#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 5411
#define LARGE_STATE_COUNT 2516
#define SYMBOL_COUNT 435
#define ALIAS_COUNT 3
#define TOKEN_COUNT 198
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 19
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 60

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_namespace = 2,
  anon_sym_global = 3,
  anon_sym_rec = 4,
  anon_sym_module = 5,
  anon_sym_EQ = 6,
  anon_sym_POUNDnowarn = 7,
  anon_sym_POUNDr = 8,
  anon_sym_POUNDload = 9,
  anon_sym_open = 10,
  anon_sym_LBRACK_LT = 11,
  anon_sym_GT_RBRACK = 12,
  anon_sym_COLON = 13,
  anon_sym_assembly = 14,
  anon_sym_return = 15,
  anon_sym_field = 16,
  anon_sym_property = 17,
  anon_sym_param = 18,
  anon_sym_type = 19,
  anon_sym_constructor = 20,
  anon_sym_event = 21,
  anon_sym_do = 22,
  anon_sym_and = 23,
  anon_sym_let = 24,
  anon_sym_let_BANG = 25,
  anon_sym_inline = 26,
  anon_sym_mutable = 27,
  aux_sym_access_modifier_token1 = 28,
  anon_sym_null = 29,
  anon_sym__ = 30,
  anon_sym_QMARK = 31,
  anon_sym_COLON_QMARK = 32,
  anon_sym_as = 33,
  anon_sym_LPAREN = 34,
  anon_sym_RPAREN = 35,
  anon_sym_COMMA = 36,
  anon_sym_COLON_COLON = 37,
  anon_sym_PIPE = 38,
  anon_sym_AMP = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_SEMI = 42,
  anon_sym_LBRACK_PIPE = 43,
  anon_sym_PIPE_RBRACK = 44,
  anon_sym_LBRACE = 45,
  anon_sym_RBRACE = 46,
  anon_sym_LBRACE_PIPE = 47,
  anon_sym_PIPE_RBRACE = 48,
  anon_sym_with = 49,
  anon_sym_new = 50,
  anon_sym_return_BANG = 51,
  anon_sym_yield = 52,
  anon_sym_yield_BANG = 53,
  anon_sym_lazy = 54,
  anon_sym_assert = 55,
  anon_sym_upcast = 56,
  anon_sym_downcast = 57,
  anon_sym_LT_AT = 58,
  anon_sym_AT_GT = 59,
  anon_sym_LT_AT_AT = 60,
  anon_sym_AT_AT_GT = 61,
  anon_sym_COLON_GT = 62,
  anon_sym_COLON_QMARK_GT = 63,
  anon_sym_for = 64,
  anon_sym_in = 65,
  anon_sym_to = 66,
  anon_sym_downto = 67,
  anon_sym_done = 68,
  anon_sym_while = 69,
  anon_sym_if = 70,
  anon_sym_fun = 71,
  anon_sym_DASH_GT = 72,
  anon_sym_try = 73,
  anon_sym_finally = 74,
  anon_sym_match = 75,
  anon_sym_match_BANG = 76,
  anon_sym_function = 77,
  anon_sym_LT_DASH = 78,
  anon_sym_DOT_LBRACK = 79,
  anon_sym_DOT = 80,
  anon_sym_LT = 81,
  anon_sym_GT = 82,
  anon_sym_use = 83,
  anon_sym_use_BANG = 84,
  anon_sym_do_BANG = 85,
  anon_sym_DOT_DOT = 86,
  anon_sym_when = 87,
  anon_sym_begin = 88,
  anon_sym_end = 89,
  anon_sym_LPAREN2 = 90,
  anon_sym_DOT_DOT2 = 91,
  anon_sym_DOT_DOT3 = 92,
  anon_sym_STAR = 93,
  anon_sym_LT2 = 94,
  anon_sym_LBRACK_RBRACK = 95,
  anon_sym_POUND = 96,
  anon_sym_POUND2 = 97,
  anon_sym_unit = 98,
  anon_sym_SQUOTET = 99,
  anon_sym_struct = 100,
  anon_sym_not = 101,
  anon_sym_enum = 102,
  anon_sym_unmanaged = 103,
  anon_sym_equality = 104,
  anon_sym_comparison = 105,
  anon_sym_delegate = 106,
  anon_sym_SQUOTE = 107,
  anon_sym_CARET = 108,
  anon_sym_or = 109,
  anon_sym_static = 110,
  anon_sym_member = 111,
  anon_sym_get = 112,
  anon_sym_set = 113,
  anon_sym_interface = 114,
  anon_sym_id = 115,
  anon_sym_of = 116,
  anon_sym_abstract = 117,
  anon_sym_override = 118,
  anon_sym_default = 119,
  anon_sym_val = 120,
  anon_sym_inherit = 121,
  anon_sym_EQ2 = 122,
  sym__escape_char = 123,
  sym__non_escape_char = 124,
  sym__simple_char_char = 125,
  sym__hex_digit_imm = 126,
  sym__digit_char_imm = 127,
  anon_sym_BSLASHu = 128,
  anon_sym_BSLASHU = 129,
  anon_sym_BSLASH = 130,
  sym__simple_string_char = 131,
  anon_sym_BSLASH2 = 132,
  anon_sym_SQUOTE2 = 133,
  anon_sym_LBRACE2 = 134,
  anon_sym_DOLLAR_DQUOTE = 135,
  anon_sym_DQUOTE = 136,
  anon_sym_AT_DQUOTE = 137,
  anon_sym_DQUOTE2 = 138,
  anon_sym_SQUOTEB = 139,
  anon_sym_DQUOTEB = 140,
  anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE = 141,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 142,
  sym_bool = 143,
  sym_unit = 144,
  aux_sym__identifier_or_op_token1 = 145,
  anon_sym_LPAREN_STAR_RPAREN = 146,
  anon_sym_PLUS = 147,
  anon_sym_DASH = 148,
  anon_sym_PLUS_DOT = 149,
  anon_sym_DASH_DOT = 150,
  anon_sym_PERCENT = 151,
  anon_sym_AMP_AMP = 152,
  anon_sym_TILDE = 153,
  aux_sym_prefix_op_token1 = 154,
  aux_sym_infix_op_token1 = 155,
  anon_sym_PIPE_PIPE = 156,
  anon_sym_BANG_EQ = 157,
  anon_sym_COLON_EQ = 158,
  anon_sym_DOLLAR = 159,
  anon_sym_QMARK_LT_DASH = 160,
  sym__octaldigit_imm = 161,
  sym__bitdigit_imm = 162,
  aux_sym_int_token1 = 163,
  aux_sym_xint_token1 = 164,
  aux_sym_xint_token2 = 165,
  aux_sym_xint_token3 = 166,
  anon_sym_y = 167,
  anon_sym_uy = 168,
  anon_sym_s = 169,
  anon_sym_us = 170,
  anon_sym_l = 171,
  aux_sym_uint32_token1 = 172,
  anon_sym_n = 173,
  anon_sym_un = 174,
  anon_sym_L = 175,
  aux_sym_uint64_token1 = 176,
  anon_sym_f = 177,
  anon_sym_lf = 178,
  anon_sym_LF = 179,
  aux_sym_bignum_token1 = 180,
  aux_sym_decimal_token1 = 181,
  anon_sym_DOT2 = 182,
  aux_sym_float_token1 = 183,
  anon_sym_SLASH_SLASH_SLASH = 184,
  aux_sym_xml_doc_token1 = 185,
  anon_sym_LPAREN_STAR = 186,
  anon_sym_STAR_RPAREN = 187,
  sym_line_comment = 188,
  sym__newline = 189,
  sym__indent = 190,
  sym__dedent = 191,
  sym__then = 192,
  sym__else = 193,
  sym__elif = 194,
  sym__triple_quoted_content = 195,
  sym_block_comment_content = 196,
  sym__error_sentinel = 197,
  sym_file = 198,
  sym_namespace = 199,
  sym_named_module = 200,
  sym_module_abbrev = 201,
  sym_module_defn = 202,
  sym_compiler_directive_decl = 203,
  sym_fsi_directive_decl = 204,
  sym_import_decl = 205,
  sym_attributes = 206,
  sym_attribute_set = 207,
  sym_attribute = 208,
  sym_attribute_target = 209,
  sym_object_construction = 210,
  sym_value_declaration = 211,
  sym_do = 212,
  sym__function_or_value_defns = 213,
  sym_function_or_value_defn = 214,
  sym__function_or_value_defn_body = 215,
  sym_function_declaration_left = 216,
  sym_value_declaration_left = 217,
  sym_access_modifier = 218,
  sym__pattern = 219,
  sym_optional_pattern = 220,
  sym_type_check_pattern = 221,
  sym_attribute_pattern = 222,
  sym_paren_pattern = 223,
  sym_repeat_pattern = 224,
  sym_as_pattern = 225,
  sym_cons_pattern = 226,
  sym_disjunct_pattern = 227,
  sym_conjunct_pattern = 228,
  sym_typed_pattern = 229,
  sym_argument_patterns = 230,
  sym_field_pattern = 231,
  sym__atomic_pattern = 232,
  sym_list_pattern = 233,
  sym_array_pattern = 234,
  sym_record_pattern = 235,
  sym_identifier_pattern = 236,
  sym__pattern_param = 237,
  sym__expression_block = 238,
  sym__expression = 239,
  sym_tuple_expression = 240,
  sym_brace_expression = 241,
  sym_anon_record_expression = 242,
  sym_with_field_expression = 243,
  sym_object_expression = 244,
  sym_prefixed_expression = 245,
  sym_literal_expression = 246,
  sym_typecast_expression = 247,
  sym_for_expression = 248,
  sym_while_expression = 249,
  sym__else_expression = 250,
  sym_elif_expression = 251,
  sym__if_then_else_expression = 252,
  sym__if_then_expression = 253,
  sym_if_expression = 254,
  sym_fun_expression = 255,
  sym_try_expression = 256,
  sym_match_expression = 257,
  sym_function_expression = 258,
  sym_object_instantiation_expression = 259,
  sym_mutate_expression = 260,
  sym_index_expression = 261,
  sym_dot_expression = 262,
  sym_typed_expression = 263,
  sym_declaration_expression = 264,
  sym_do_expression = 265,
  sym__list_elements = 266,
  sym__list_element = 267,
  sym_list_expression = 268,
  sym_array_expression = 269,
  sym_range_expression = 270,
  sym_rule = 271,
  sym_rules = 272,
  sym_begin_end_expression = 273,
  sym_paren_expression = 274,
  sym_application_expression = 275,
  sym_infix_expression = 276,
  sym_ce_expression = 277,
  sym_sequential_expression = 278,
  sym__comp_or_range_expression = 279,
  sym_short_comp_expression = 280,
  sym_slice_ranges = 281,
  sym__slice_range_special = 282,
  sym_slice_range = 283,
  sym_type = 284,
  sym__simple_type = 285,
  sym__generic_type = 286,
  sym__paren_type = 287,
  sym__function_type = 288,
  sym__compound_type = 289,
  sym__postfix_type = 290,
  sym__list_type = 291,
  sym__static_type = 292,
  sym__constrained_type = 293,
  sym__flexible_type = 294,
  sym_types = 295,
  sym_type_attribute = 296,
  sym_type_attributes = 297,
  sym_atomic_type = 298,
  sym_constraint = 299,
  sym_type_argument_constraints = 300,
  sym_type_argument = 301,
  sym_type_argument_defn = 302,
  sym_static_type_argument = 303,
  sym_type_arguments = 304,
  sym_trait_member_constraint = 305,
  sym_member_signature = 306,
  sym_curried_spec = 307,
  sym_argument_spec = 308,
  sym_arguments_spec = 309,
  sym_argument_name_spec = 310,
  sym_type_definition = 311,
  sym__type_defn_body = 312,
  sym_type_name = 313,
  sym_type_extension = 314,
  sym_delegate_type_defn = 315,
  sym_delegate_signature = 316,
  sym_type_abbrev_defn = 317,
  sym__class_type_body_inner = 318,
  sym__class_type_body = 319,
  sym_record_type_defn = 320,
  sym_record_fields = 321,
  sym_record_field = 322,
  sym_enum_type_defn = 323,
  sym_enum_type_cases = 324,
  sym_enum_type_case = 325,
  sym_union_type_defn = 326,
  sym_union_type_cases = 327,
  sym_union_type_case = 328,
  sym_union_type_fields = 329,
  sym_union_type_field = 330,
  sym_anon_type_defn = 331,
  sym_primary_constr_args = 332,
  sym_simple_pattern = 333,
  sym__class_function_or_value_defn = 334,
  sym_type_extension_elements = 335,
  sym__type_defn_elements = 336,
  sym_interface_implementation = 337,
  sym__member_defns = 338,
  sym__object_members = 339,
  sym_member_defn = 340,
  sym_property_or_ident = 341,
  sym__method_defn = 342,
  sym__property_defn = 343,
  sym_method_or_prop_defn = 344,
  sym_additional_constr_defn = 345,
  sym_class_inherits_decl = 346,
  sym_field_initializer = 347,
  sym_field_initializers = 348,
  sym__unicodegraph_short = 349,
  sym__unicodegraph_long = 350,
  sym__trigraph = 351,
  sym__char_char = 352,
  sym__string_char = 353,
  sym_char = 354,
  sym_format_string_eval = 355,
  sym_format_string = 356,
  sym_string = 357,
  sym__verbatim_string_char = 358,
  sym_verbatim_string = 359,
  sym_bytechar = 360,
  sym_bytearray = 361,
  sym_verbatim_bytearray = 362,
  sym_format_triple_quoted_string = 363,
  sym_triple_quoted_string = 364,
  sym_const = 365,
  sym_long_identifier_or_op = 366,
  sym_long_identifier = 367,
  sym__identifier_or_op = 368,
  sym_active_pattern_op_name = 369,
  sym_prefix_op = 370,
  sym_infix_op = 371,
  sym_int = 372,
  sym_xint = 373,
  sym_sbyte = 374,
  sym_byte = 375,
  sym_int16 = 376,
  sym_uint16 = 377,
  sym_int32 = 378,
  sym_uint32 = 379,
  sym_nativeint = 380,
  sym_unativeint = 381,
  sym_int64 = 382,
  sym_uint64 = 383,
  sym_ieee32 = 384,
  sym_ieee64 = 385,
  sym_bignum = 386,
  sym_decimal = 387,
  sym_float = 388,
  sym_xml_doc = 389,
  sym_block_comment = 390,
  aux_sym_file_repeat1 = 391,
  aux_sym_file_repeat2 = 392,
  aux_sym_file_repeat3 = 393,
  aux_sym_attributes_repeat1 = 394,
  aux_sym_attribute_set_repeat1 = 395,
  aux_sym__function_or_value_defns_repeat1 = 396,
  aux_sym_repeat_pattern_repeat1 = 397,
  aux_sym_argument_patterns_repeat1 = 398,
  aux_sym_list_pattern_repeat1 = 399,
  aux_sym_record_pattern_repeat1 = 400,
  aux_sym__object_expression_inner_repeat1 = 401,
  aux_sym__if_then_else_expression_repeat1 = 402,
  aux_sym__list_elements_repeat1 = 403,
  aux_sym_rules_repeat1 = 404,
  aux_sym_sequential_expression_repeat1 = 405,
  aux_sym_slice_ranges_repeat1 = 406,
  aux_sym__compound_type_repeat1 = 407,
  aux_sym_types_repeat1 = 408,
  aux_sym_type_attributes_repeat1 = 409,
  aux_sym_type_argument_constraints_repeat1 = 410,
  aux_sym_static_type_argument_repeat1 = 411,
  aux_sym_type_arguments_repeat1 = 412,
  aux_sym_curried_spec_repeat1 = 413,
  aux_sym_arguments_spec_repeat1 = 414,
  aux_sym_type_definition_repeat1 = 415,
  aux_sym__class_type_body_repeat1 = 416,
  aux_sym_record_fields_repeat1 = 417,
  aux_sym_enum_type_cases_repeat1 = 418,
  aux_sym_union_type_cases_repeat1 = 419,
  aux_sym_union_type_fields_repeat1 = 420,
  aux_sym_primary_constr_args_repeat1 = 421,
  aux_sym__member_defns_repeat1 = 422,
  aux_sym__method_defn_repeat1 = 423,
  aux_sym_field_initializers_repeat1 = 424,
  aux_sym_format_string_repeat1 = 425,
  aux_sym_string_repeat1 = 426,
  aux_sym_verbatim_string_repeat1 = 427,
  aux_sym_long_identifier_repeat1 = 428,
  aux_sym_active_pattern_op_name_repeat1 = 429,
  aux_sym_prefix_op_repeat1 = 430,
  aux_sym_int_repeat1 = 431,
  aux_sym_xint_repeat1 = 432,
  aux_sym_xint_repeat2 = 433,
  aux_sym_xint_repeat3 = 434,
  alias_sym_const_pattern = 435,
  alias_sym_null_pattern = 436,
  alias_sym_wildcard_pattern = 437,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_namespace] = "namespace",
  [anon_sym_global] = "global",
  [anon_sym_rec] = "rec",
  [anon_sym_module] = "module",
  [anon_sym_EQ] = "=",
  [anon_sym_POUNDnowarn] = "#nowarn",
  [anon_sym_POUNDr] = "#r",
  [anon_sym_POUNDload] = "#load",
  [anon_sym_open] = "open",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT_RBRACK] = ">]",
  [anon_sym_COLON] = ":",
  [anon_sym_assembly] = "assembly",
  [anon_sym_return] = "return",
  [anon_sym_field] = "field",
  [anon_sym_property] = "property",
  [anon_sym_param] = "param",
  [anon_sym_type] = "type",
  [anon_sym_constructor] = "constructor",
  [anon_sym_event] = "event",
  [anon_sym_do] = "do",
  [anon_sym_and] = "and",
  [anon_sym_let] = "let",
  [anon_sym_let_BANG] = "let!",
  [anon_sym_inline] = "inline",
  [anon_sym_mutable] = "mutable",
  [aux_sym_access_modifier_token1] = "access_modifier_token1",
  [anon_sym_null] = "null",
  [anon_sym__] = "_",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON_QMARK] = ":\?",
  [anon_sym_as] = "as",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_SEMI] = ";",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [anon_sym_with] = "with",
  [anon_sym_new] = "new",
  [anon_sym_return_BANG] = "return!",
  [anon_sym_yield] = "yield",
  [anon_sym_yield_BANG] = "yield!",
  [anon_sym_lazy] = "lazy",
  [anon_sym_assert] = "assert",
  [anon_sym_upcast] = "upcast",
  [anon_sym_downcast] = "downcast",
  [anon_sym_LT_AT] = "<@",
  [anon_sym_AT_GT] = "@>",
  [anon_sym_LT_AT_AT] = "<@@",
  [anon_sym_AT_AT_GT] = "@@>",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_COLON_QMARK_GT] = ":\?>",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_done] = "done",
  [anon_sym_while] = "while",
  [anon_sym_if] = "if",
  [anon_sym_fun] = "fun",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_try] = "try",
  [anon_sym_finally] = "finally",
  [anon_sym_match] = "match",
  [anon_sym_match_BANG] = "match!",
  [anon_sym_function] = "function",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_DOT_LBRACK] = ".[",
  [anon_sym_DOT] = ".",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_use] = "use",
  [anon_sym_use_BANG] = "use!",
  [anon_sym_do_BANG] = "do!",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_when] = "when",
  [anon_sym_begin] = "begin",
  [anon_sym_end] = "end",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_DOT_DOT2] = "..",
  [anon_sym_DOT_DOT3] = "..",
  [anon_sym_STAR] = "*",
  [anon_sym_LT2] = "<",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_POUND] = "#",
  [anon_sym_POUND2] = "#",
  [anon_sym_unit] = "unit",
  [anon_sym_SQUOTET] = "'T",
  [anon_sym_struct] = "struct",
  [anon_sym_not] = "not",
  [anon_sym_enum] = "enum",
  [anon_sym_unmanaged] = "unmanaged",
  [anon_sym_equality] = "equality",
  [anon_sym_comparison] = "comparison",
  [anon_sym_delegate] = "delegate",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_CARET] = "^",
  [anon_sym_or] = "or",
  [anon_sym_static] = "static",
  [anon_sym_member] = "member",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_interface] = "interface",
  [anon_sym_id] = "id",
  [anon_sym_of] = "of",
  [anon_sym_abstract] = "abstract",
  [anon_sym_override] = "override",
  [anon_sym_default] = "default",
  [anon_sym_val] = "val",
  [anon_sym_inherit] = "inherit",
  [anon_sym_EQ2] = "=",
  [sym__escape_char] = "_escape_char",
  [sym__non_escape_char] = "_non_escape_char",
  [sym__simple_char_char] = "_simple_char_char",
  [sym__hex_digit_imm] = "_hex_digit_imm",
  [sym__digit_char_imm] = "_digit_char_imm",
  [anon_sym_BSLASHu] = "\\u",
  [anon_sym_BSLASHU] = "\\U",
  [anon_sym_BSLASH] = "\\",
  [sym__simple_string_char] = "_simple_string_char",
  [anon_sym_BSLASH2] = "\\",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_LBRACE2] = "{",
  [anon_sym_DOLLAR_DQUOTE] = "$\"",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_AT_DQUOTE] = "@\"",
  [anon_sym_DQUOTE2] = "\"",
  [anon_sym_SQUOTEB] = "'B",
  [anon_sym_DQUOTEB] = "\"B",
  [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = "$\"\"\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [sym_bool] = "bool",
  [sym_unit] = "unit",
  [aux_sym__identifier_or_op_token1] = "_identifier_or_op_token1",
  [anon_sym_LPAREN_STAR_RPAREN] = "(*)",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS_DOT] = "+.",
  [anon_sym_DASH_DOT] = "-.",
  [anon_sym_PERCENT] = "%",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_TILDE] = "~",
  [aux_sym_prefix_op_token1] = "prefix_op_token1",
  [aux_sym_infix_op_token1] = "infix_op_token1",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_QMARK_LT_DASH] = "\?<-",
  [sym__octaldigit_imm] = "_octaldigit_imm",
  [sym__bitdigit_imm] = "_bitdigit_imm",
  [aux_sym_int_token1] = "int_token1",
  [aux_sym_xint_token1] = "xint_token1",
  [aux_sym_xint_token2] = "xint_token2",
  [aux_sym_xint_token3] = "xint_token3",
  [anon_sym_y] = "y",
  [anon_sym_uy] = "uy",
  [anon_sym_s] = "s",
  [anon_sym_us] = "us",
  [anon_sym_l] = "l",
  [aux_sym_uint32_token1] = "uint32_token1",
  [anon_sym_n] = "n",
  [anon_sym_un] = "un",
  [anon_sym_L] = "L",
  [aux_sym_uint64_token1] = "uint64_token1",
  [anon_sym_f] = "f",
  [anon_sym_lf] = "lf",
  [anon_sym_LF] = "LF",
  [aux_sym_bignum_token1] = "bignum_token1",
  [aux_sym_decimal_token1] = "decimal_token1",
  [anon_sym_DOT2] = "float",
  [aux_sym_float_token1] = "float",
  [anon_sym_SLASH_SLASH_SLASH] = "///",
  [aux_sym_xml_doc_token1] = "xml_doc_content",
  [anon_sym_LPAREN_STAR] = "(*",
  [anon_sym_STAR_RPAREN] = "*)",
  [sym_line_comment] = "line_comment",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__then] = "then",
  [sym__else] = "else",
  [sym__elif] = "elif",
  [sym__triple_quoted_content] = "_triple_quoted_content",
  [sym_block_comment_content] = "block_comment_content",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_file] = "file",
  [sym_namespace] = "namespace",
  [sym_named_module] = "named_module",
  [sym_module_abbrev] = "module_abbrev",
  [sym_module_defn] = "module_defn",
  [sym_compiler_directive_decl] = "compiler_directive_decl",
  [sym_fsi_directive_decl] = "fsi_directive_decl",
  [sym_import_decl] = "import_decl",
  [sym_attributes] = "attributes",
  [sym_attribute_set] = "attribute_set",
  [sym_attribute] = "attribute",
  [sym_attribute_target] = "attribute_target",
  [sym_object_construction] = "object_construction",
  [sym_value_declaration] = "value_declaration",
  [sym_do] = "do",
  [sym__function_or_value_defns] = "_function_or_value_defns",
  [sym_function_or_value_defn] = "function_or_value_defn",
  [sym__function_or_value_defn_body] = "_function_or_value_defn_body",
  [sym_function_declaration_left] = "function_declaration_left",
  [sym_value_declaration_left] = "value_declaration_left",
  [sym_access_modifier] = "access_modifier",
  [sym__pattern] = "_pattern",
  [sym_optional_pattern] = "optional_pattern",
  [sym_type_check_pattern] = "type_check_pattern",
  [sym_attribute_pattern] = "attribute_pattern",
  [sym_paren_pattern] = "paren_pattern",
  [sym_repeat_pattern] = "repeat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_disjunct_pattern] = "disjunct_pattern",
  [sym_conjunct_pattern] = "conjunct_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_argument_patterns] = "argument_patterns",
  [sym_field_pattern] = "field_pattern",
  [sym__atomic_pattern] = "_atomic_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_identifier_pattern] = "identifier_pattern",
  [sym__pattern_param] = "_pattern_param",
  [sym__expression_block] = "_expression_block",
  [sym__expression] = "_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_brace_expression] = "brace_expression",
  [sym_anon_record_expression] = "anon_record_expression",
  [sym_with_field_expression] = "with_field_expression",
  [sym_object_expression] = "object_expression",
  [sym_prefixed_expression] = "prefixed_expression",
  [sym_literal_expression] = "literal_expression",
  [sym_typecast_expression] = "typecast_expression",
  [sym_for_expression] = "for_expression",
  [sym_while_expression] = "while_expression",
  [sym__else_expression] = "_else_expression",
  [sym_elif_expression] = "elif_expression",
  [sym__if_then_else_expression] = "_if_then_else_expression",
  [sym__if_then_expression] = "_if_then_expression",
  [sym_if_expression] = "if_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_match_expression] = "match_expression",
  [sym_function_expression] = "function_expression",
  [sym_object_instantiation_expression] = "object_instantiation_expression",
  [sym_mutate_expression] = "mutate_expression",
  [sym_index_expression] = "index_expression",
  [sym_dot_expression] = "dot_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_declaration_expression] = "declaration_expression",
  [sym_do_expression] = "do_expression",
  [sym__list_elements] = "_list_elements",
  [sym__list_element] = "_list_element",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_range_expression] = "range_expression",
  [sym_rule] = "rule",
  [sym_rules] = "rules",
  [sym_begin_end_expression] = "begin_end_expression",
  [sym_paren_expression] = "paren_expression",
  [sym_application_expression] = "application_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_ce_expression] = "ce_expression",
  [sym_sequential_expression] = "sequential_expression",
  [sym__comp_or_range_expression] = "_comp_or_range_expression",
  [sym_short_comp_expression] = "short_comp_expression",
  [sym_slice_ranges] = "slice_ranges",
  [sym__slice_range_special] = "_slice_range_special",
  [sym_slice_range] = "slice_range",
  [sym_type] = "type",
  [sym__simple_type] = "_simple_type",
  [sym__generic_type] = "_generic_type",
  [sym__paren_type] = "_paren_type",
  [sym__function_type] = "_function_type",
  [sym__compound_type] = "_compound_type",
  [sym__postfix_type] = "_postfix_type",
  [sym__list_type] = "_list_type",
  [sym__static_type] = "_static_type",
  [sym__constrained_type] = "_constrained_type",
  [sym__flexible_type] = "_flexible_type",
  [sym_types] = "types",
  [sym_type_attribute] = "type_attribute",
  [sym_type_attributes] = "type_attributes",
  [sym_atomic_type] = "atomic_type",
  [sym_constraint] = "constraint",
  [sym_type_argument_constraints] = "type_argument_constraints",
  [sym_type_argument] = "type_argument",
  [sym_type_argument_defn] = "type_argument_defn",
  [sym_static_type_argument] = "static_type_argument",
  [sym_type_arguments] = "type_arguments",
  [sym_trait_member_constraint] = "trait_member_constraint",
  [sym_member_signature] = "member_signature",
  [sym_curried_spec] = "curried_spec",
  [sym_argument_spec] = "argument_spec",
  [sym_arguments_spec] = "arguments_spec",
  [sym_argument_name_spec] = "argument_name_spec",
  [sym_type_definition] = "type_definition",
  [sym__type_defn_body] = "_type_defn_body",
  [sym_type_name] = "type_name",
  [sym_type_extension] = "type_extension",
  [sym_delegate_type_defn] = "delegate_type_defn",
  [sym_delegate_signature] = "delegate_signature",
  [sym_type_abbrev_defn] = "type_abbrev_defn",
  [sym__class_type_body_inner] = "_class_type_body_inner",
  [sym__class_type_body] = "_class_type_body",
  [sym_record_type_defn] = "record_type_defn",
  [sym_record_fields] = "record_fields",
  [sym_record_field] = "record_field",
  [sym_enum_type_defn] = "enum_type_defn",
  [sym_enum_type_cases] = "enum_type_cases",
  [sym_enum_type_case] = "enum_type_case",
  [sym_union_type_defn] = "union_type_defn",
  [sym_union_type_cases] = "union_type_cases",
  [sym_union_type_case] = "union_type_case",
  [sym_union_type_fields] = "union_type_fields",
  [sym_union_type_field] = "union_type_field",
  [sym_anon_type_defn] = "anon_type_defn",
  [sym_primary_constr_args] = "primary_constr_args",
  [sym_simple_pattern] = "simple_pattern",
  [sym__class_function_or_value_defn] = "_class_function_or_value_defn",
  [sym_type_extension_elements] = "type_extension_elements",
  [sym__type_defn_elements] = "_type_defn_elements",
  [sym_interface_implementation] = "interface_implementation",
  [sym__member_defns] = "_member_defns",
  [sym__object_members] = "_object_members",
  [sym_member_defn] = "member_defn",
  [sym_property_or_ident] = "property_or_ident",
  [sym__method_defn] = "_method_defn",
  [sym__property_defn] = "_property_defn",
  [sym_method_or_prop_defn] = "method_or_prop_defn",
  [sym_additional_constr_defn] = "additional_constr_defn",
  [sym_class_inherits_decl] = "class_inherits_decl",
  [sym_field_initializer] = "field_initializer",
  [sym_field_initializers] = "field_initializers",
  [sym__unicodegraph_short] = "_unicodegraph_short",
  [sym__unicodegraph_long] = "_unicodegraph_long",
  [sym__trigraph] = "_trigraph",
  [sym__char_char] = "_char_char",
  [sym__string_char] = "_string_char",
  [sym_char] = "char",
  [sym_format_string_eval] = "format_string_eval",
  [sym_format_string] = "format_string",
  [sym_string] = "string",
  [sym__verbatim_string_char] = "_verbatim_string_char",
  [sym_verbatim_string] = "verbatim_string",
  [sym_bytechar] = "bytechar",
  [sym_bytearray] = "bytearray",
  [sym_verbatim_bytearray] = "verbatim_bytearray",
  [sym_format_triple_quoted_string] = "format_triple_quoted_string",
  [sym_triple_quoted_string] = "triple_quoted_string",
  [sym_const] = "const",
  [sym_long_identifier_or_op] = "long_identifier_or_op",
  [sym_long_identifier] = "long_identifier",
  [sym__identifier_or_op] = "_identifier_or_op",
  [sym_active_pattern_op_name] = "active_pattern_op_name",
  [sym_prefix_op] = "prefix_op",
  [sym_infix_op] = "infix_op",
  [sym_int] = "int",
  [sym_xint] = "xint",
  [sym_sbyte] = "sbyte",
  [sym_byte] = "byte",
  [sym_int16] = "int16",
  [sym_uint16] = "uint16",
  [sym_int32] = "int32",
  [sym_uint32] = "uint32",
  [sym_nativeint] = "nativeint",
  [sym_unativeint] = "unativeint",
  [sym_int64] = "int64",
  [sym_uint64] = "uint64",
  [sym_ieee32] = "ieee32",
  [sym_ieee64] = "ieee64",
  [sym_bignum] = "bignum",
  [sym_decimal] = "decimal",
  [sym_float] = "float",
  [sym_xml_doc] = "xml_doc",
  [sym_block_comment] = "block_comment",
  [aux_sym_file_repeat1] = "file_repeat1",
  [aux_sym_file_repeat2] = "file_repeat2",
  [aux_sym_file_repeat3] = "file_repeat3",
  [aux_sym_attributes_repeat1] = "attributes_repeat1",
  [aux_sym_attribute_set_repeat1] = "attribute_set_repeat1",
  [aux_sym__function_or_value_defns_repeat1] = "_function_or_value_defns_repeat1",
  [aux_sym_repeat_pattern_repeat1] = "repeat_pattern_repeat1",
  [aux_sym_argument_patterns_repeat1] = "argument_patterns_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym__object_expression_inner_repeat1] = "_object_expression_inner_repeat1",
  [aux_sym__if_then_else_expression_repeat1] = "_if_then_else_expression_repeat1",
  [aux_sym__list_elements_repeat1] = "_list_elements_repeat1",
  [aux_sym_rules_repeat1] = "rules_repeat1",
  [aux_sym_sequential_expression_repeat1] = "sequential_expression_repeat1",
  [aux_sym_slice_ranges_repeat1] = "slice_ranges_repeat1",
  [aux_sym__compound_type_repeat1] = "_compound_type_repeat1",
  [aux_sym_types_repeat1] = "types_repeat1",
  [aux_sym_type_attributes_repeat1] = "type_attributes_repeat1",
  [aux_sym_type_argument_constraints_repeat1] = "type_argument_constraints_repeat1",
  [aux_sym_static_type_argument_repeat1] = "static_type_argument_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_curried_spec_repeat1] = "curried_spec_repeat1",
  [aux_sym_arguments_spec_repeat1] = "arguments_spec_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__class_type_body_repeat1] = "_class_type_body_repeat1",
  [aux_sym_record_fields_repeat1] = "record_fields_repeat1",
  [aux_sym_enum_type_cases_repeat1] = "enum_type_cases_repeat1",
  [aux_sym_union_type_cases_repeat1] = "union_type_cases_repeat1",
  [aux_sym_union_type_fields_repeat1] = "union_type_fields_repeat1",
  [aux_sym_primary_constr_args_repeat1] = "primary_constr_args_repeat1",
  [aux_sym__member_defns_repeat1] = "_member_defns_repeat1",
  [aux_sym__method_defn_repeat1] = "_method_defn_repeat1",
  [aux_sym_field_initializers_repeat1] = "field_initializers_repeat1",
  [aux_sym_format_string_repeat1] = "format_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_verbatim_string_repeat1] = "verbatim_string_repeat1",
  [aux_sym_long_identifier_repeat1] = "long_identifier_repeat1",
  [aux_sym_active_pattern_op_name_repeat1] = "active_pattern_op_name_repeat1",
  [aux_sym_prefix_op_repeat1] = "prefix_op_repeat1",
  [aux_sym_int_repeat1] = "int_repeat1",
  [aux_sym_xint_repeat1] = "xint_repeat1",
  [aux_sym_xint_repeat2] = "xint_repeat2",
  [aux_sym_xint_repeat3] = "xint_repeat3",
  [alias_sym_const_pattern] = "const_pattern",
  [alias_sym_null_pattern] = "null_pattern",
  [alias_sym_wildcard_pattern] = "wildcard_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_POUNDnowarn] = anon_sym_POUNDnowarn,
  [anon_sym_POUNDr] = anon_sym_POUNDr,
  [anon_sym_POUNDload] = anon_sym_POUNDload,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT_RBRACK] = anon_sym_GT_RBRACK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_assembly] = anon_sym_assembly,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_field] = anon_sym_field,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_param] = anon_sym_param,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_constructor] = anon_sym_constructor,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_let_BANG] = anon_sym_let_BANG,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_mutable] = anon_sym_mutable,
  [aux_sym_access_modifier_token1] = aux_sym_access_modifier_token1,
  [anon_sym_null] = anon_sym_null,
  [anon_sym__] = anon_sym__,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_return_BANG] = anon_sym_return_BANG,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_yield_BANG] = anon_sym_yield_BANG,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_upcast] = anon_sym_upcast,
  [anon_sym_downcast] = anon_sym_downcast,
  [anon_sym_LT_AT] = anon_sym_LT_AT,
  [anon_sym_AT_GT] = anon_sym_AT_GT,
  [anon_sym_LT_AT_AT] = anon_sym_LT_AT_AT,
  [anon_sym_AT_AT_GT] = anon_sym_AT_AT_GT,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_COLON_QMARK_GT] = anon_sym_COLON_QMARK_GT,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_match_BANG] = anon_sym_match_BANG,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_DOT_LBRACK] = anon_sym_DOT_LBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_use_BANG] = anon_sym_use_BANG,
  [anon_sym_do_BANG] = anon_sym_do_BANG,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_begin] = anon_sym_begin,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT2] = anon_sym_DOT_DOT,
  [anon_sym_DOT_DOT3] = anon_sym_DOT_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LT2] = anon_sym_LT,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_POUND2] = anon_sym_POUND,
  [anon_sym_unit] = anon_sym_unit,
  [anon_sym_SQUOTET] = anon_sym_SQUOTET,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_unmanaged] = anon_sym_unmanaged,
  [anon_sym_equality] = anon_sym_equality,
  [anon_sym_comparison] = anon_sym_comparison,
  [anon_sym_delegate] = anon_sym_delegate,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_member] = anon_sym_member,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_id] = anon_sym_id,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_EQ2] = anon_sym_EQ,
  [sym__escape_char] = sym__escape_char,
  [sym__non_escape_char] = sym__non_escape_char,
  [sym__simple_char_char] = sym__simple_char_char,
  [sym__hex_digit_imm] = sym__hex_digit_imm,
  [sym__digit_char_imm] = sym__digit_char_imm,
  [anon_sym_BSLASHu] = anon_sym_BSLASHu,
  [anon_sym_BSLASHU] = anon_sym_BSLASHU,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [sym__simple_string_char] = sym__simple_string_char,
  [anon_sym_BSLASH2] = anon_sym_BSLASH,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [anon_sym_DOLLAR_DQUOTE] = anon_sym_DOLLAR_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_AT_DQUOTE] = anon_sym_AT_DQUOTE,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [anon_sym_SQUOTEB] = anon_sym_SQUOTEB,
  [anon_sym_DQUOTEB] = anon_sym_DQUOTEB,
  [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [sym_bool] = sym_bool,
  [sym_unit] = sym_unit,
  [aux_sym__identifier_or_op_token1] = aux_sym__identifier_or_op_token1,
  [anon_sym_LPAREN_STAR_RPAREN] = anon_sym_LPAREN_STAR_RPAREN,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS_DOT] = anon_sym_PLUS_DOT,
  [anon_sym_DASH_DOT] = anon_sym_DASH_DOT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [aux_sym_prefix_op_token1] = aux_sym_prefix_op_token1,
  [aux_sym_infix_op_token1] = aux_sym_infix_op_token1,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_QMARK_LT_DASH] = anon_sym_QMARK_LT_DASH,
  [sym__octaldigit_imm] = sym__octaldigit_imm,
  [sym__bitdigit_imm] = sym__bitdigit_imm,
  [aux_sym_int_token1] = aux_sym_int_token1,
  [aux_sym_xint_token1] = aux_sym_xint_token1,
  [aux_sym_xint_token2] = aux_sym_xint_token2,
  [aux_sym_xint_token3] = aux_sym_xint_token3,
  [anon_sym_y] = anon_sym_y,
  [anon_sym_uy] = anon_sym_uy,
  [anon_sym_s] = anon_sym_s,
  [anon_sym_us] = anon_sym_us,
  [anon_sym_l] = anon_sym_l,
  [aux_sym_uint32_token1] = aux_sym_uint32_token1,
  [anon_sym_n] = anon_sym_n,
  [anon_sym_un] = anon_sym_un,
  [anon_sym_L] = anon_sym_L,
  [aux_sym_uint64_token1] = aux_sym_uint64_token1,
  [anon_sym_f] = anon_sym_f,
  [anon_sym_lf] = anon_sym_lf,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_bignum_token1] = aux_sym_bignum_token1,
  [aux_sym_decimal_token1] = aux_sym_decimal_token1,
  [anon_sym_DOT2] = anon_sym_DOT2,
  [aux_sym_float_token1] = anon_sym_DOT2,
  [anon_sym_SLASH_SLASH_SLASH] = anon_sym_SLASH_SLASH_SLASH,
  [aux_sym_xml_doc_token1] = aux_sym_xml_doc_token1,
  [anon_sym_LPAREN_STAR] = anon_sym_LPAREN_STAR,
  [anon_sym_STAR_RPAREN] = anon_sym_STAR_RPAREN,
  [sym_line_comment] = sym_line_comment,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__then] = sym__then,
  [sym__else] = sym__else,
  [sym__elif] = sym__elif,
  [sym__triple_quoted_content] = sym__triple_quoted_content,
  [sym_block_comment_content] = sym_block_comment_content,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_file] = sym_file,
  [sym_namespace] = sym_namespace,
  [sym_named_module] = sym_named_module,
  [sym_module_abbrev] = sym_module_abbrev,
  [sym_module_defn] = sym_module_defn,
  [sym_compiler_directive_decl] = sym_compiler_directive_decl,
  [sym_fsi_directive_decl] = sym_fsi_directive_decl,
  [sym_import_decl] = sym_import_decl,
  [sym_attributes] = sym_attributes,
  [sym_attribute_set] = sym_attribute_set,
  [sym_attribute] = sym_attribute,
  [sym_attribute_target] = sym_attribute_target,
  [sym_object_construction] = sym_object_construction,
  [sym_value_declaration] = sym_value_declaration,
  [sym_do] = sym_do,
  [sym__function_or_value_defns] = sym__function_or_value_defns,
  [sym_function_or_value_defn] = sym_function_or_value_defn,
  [sym__function_or_value_defn_body] = sym__function_or_value_defn_body,
  [sym_function_declaration_left] = sym_function_declaration_left,
  [sym_value_declaration_left] = sym_value_declaration_left,
  [sym_access_modifier] = sym_access_modifier,
  [sym__pattern] = sym__pattern,
  [sym_optional_pattern] = sym_optional_pattern,
  [sym_type_check_pattern] = sym_type_check_pattern,
  [sym_attribute_pattern] = sym_attribute_pattern,
  [sym_paren_pattern] = sym_paren_pattern,
  [sym_repeat_pattern] = sym_repeat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_disjunct_pattern] = sym_disjunct_pattern,
  [sym_conjunct_pattern] = sym_conjunct_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_argument_patterns] = sym_argument_patterns,
  [sym_field_pattern] = sym_field_pattern,
  [sym__atomic_pattern] = sym__atomic_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_identifier_pattern] = sym_identifier_pattern,
  [sym__pattern_param] = sym__pattern_param,
  [sym__expression_block] = sym__expression_block,
  [sym__expression] = sym__expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_brace_expression] = sym_brace_expression,
  [sym_anon_record_expression] = sym_anon_record_expression,
  [sym_with_field_expression] = sym_with_field_expression,
  [sym_object_expression] = sym_object_expression,
  [sym_prefixed_expression] = sym_prefixed_expression,
  [sym_literal_expression] = sym_literal_expression,
  [sym_typecast_expression] = sym_typecast_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_while_expression] = sym_while_expression,
  [sym__else_expression] = sym__else_expression,
  [sym_elif_expression] = sym_elif_expression,
  [sym__if_then_else_expression] = sym__if_then_else_expression,
  [sym__if_then_expression] = sym__if_then_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_match_expression] = sym_match_expression,
  [sym_function_expression] = sym_function_expression,
  [sym_object_instantiation_expression] = sym_object_instantiation_expression,
  [sym_mutate_expression] = sym_mutate_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_dot_expression] = sym_dot_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_declaration_expression] = sym_declaration_expression,
  [sym_do_expression] = sym_do_expression,
  [sym__list_elements] = sym__list_elements,
  [sym__list_element] = sym__list_element,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_rule] = sym_rule,
  [sym_rules] = sym_rules,
  [sym_begin_end_expression] = sym_begin_end_expression,
  [sym_paren_expression] = sym_paren_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_ce_expression] = sym_ce_expression,
  [sym_sequential_expression] = sym_sequential_expression,
  [sym__comp_or_range_expression] = sym__comp_or_range_expression,
  [sym_short_comp_expression] = sym_short_comp_expression,
  [sym_slice_ranges] = sym_slice_ranges,
  [sym__slice_range_special] = sym__slice_range_special,
  [sym_slice_range] = sym_slice_range,
  [sym_type] = sym_type,
  [sym__simple_type] = sym__simple_type,
  [sym__generic_type] = sym__generic_type,
  [sym__paren_type] = sym__paren_type,
  [sym__function_type] = sym__function_type,
  [sym__compound_type] = sym__compound_type,
  [sym__postfix_type] = sym__postfix_type,
  [sym__list_type] = sym__list_type,
  [sym__static_type] = sym__static_type,
  [sym__constrained_type] = sym__constrained_type,
  [sym__flexible_type] = sym__flexible_type,
  [sym_types] = sym_types,
  [sym_type_attribute] = sym_type_attribute,
  [sym_type_attributes] = sym_type_attributes,
  [sym_atomic_type] = sym_atomic_type,
  [sym_constraint] = sym_constraint,
  [sym_type_argument_constraints] = sym_type_argument_constraints,
  [sym_type_argument] = sym_type_argument,
  [sym_type_argument_defn] = sym_type_argument_defn,
  [sym_static_type_argument] = sym_static_type_argument,
  [sym_type_arguments] = sym_type_arguments,
  [sym_trait_member_constraint] = sym_trait_member_constraint,
  [sym_member_signature] = sym_member_signature,
  [sym_curried_spec] = sym_curried_spec,
  [sym_argument_spec] = sym_argument_spec,
  [sym_arguments_spec] = sym_arguments_spec,
  [sym_argument_name_spec] = sym_argument_name_spec,
  [sym_type_definition] = sym_type_definition,
  [sym__type_defn_body] = sym__type_defn_body,
  [sym_type_name] = sym_type_name,
  [sym_type_extension] = sym_type_extension,
  [sym_delegate_type_defn] = sym_delegate_type_defn,
  [sym_delegate_signature] = sym_delegate_signature,
  [sym_type_abbrev_defn] = sym_type_abbrev_defn,
  [sym__class_type_body_inner] = sym__class_type_body_inner,
  [sym__class_type_body] = sym__class_type_body,
  [sym_record_type_defn] = sym_record_type_defn,
  [sym_record_fields] = sym_record_fields,
  [sym_record_field] = sym_record_field,
  [sym_enum_type_defn] = sym_enum_type_defn,
  [sym_enum_type_cases] = sym_enum_type_cases,
  [sym_enum_type_case] = sym_enum_type_case,
  [sym_union_type_defn] = sym_union_type_defn,
  [sym_union_type_cases] = sym_union_type_cases,
  [sym_union_type_case] = sym_union_type_case,
  [sym_union_type_fields] = sym_union_type_fields,
  [sym_union_type_field] = sym_union_type_field,
  [sym_anon_type_defn] = sym_anon_type_defn,
  [sym_primary_constr_args] = sym_primary_constr_args,
  [sym_simple_pattern] = sym_simple_pattern,
  [sym__class_function_or_value_defn] = sym__class_function_or_value_defn,
  [sym_type_extension_elements] = sym_type_extension_elements,
  [sym__type_defn_elements] = sym__type_defn_elements,
  [sym_interface_implementation] = sym_interface_implementation,
  [sym__member_defns] = sym__member_defns,
  [sym__object_members] = sym__object_members,
  [sym_member_defn] = sym_member_defn,
  [sym_property_or_ident] = sym_property_or_ident,
  [sym__method_defn] = sym__method_defn,
  [sym__property_defn] = sym__property_defn,
  [sym_method_or_prop_defn] = sym_method_or_prop_defn,
  [sym_additional_constr_defn] = sym_additional_constr_defn,
  [sym_class_inherits_decl] = sym_class_inherits_decl,
  [sym_field_initializer] = sym_field_initializer,
  [sym_field_initializers] = sym_field_initializers,
  [sym__unicodegraph_short] = sym__unicodegraph_short,
  [sym__unicodegraph_long] = sym__unicodegraph_long,
  [sym__trigraph] = sym__trigraph,
  [sym__char_char] = sym__char_char,
  [sym__string_char] = sym__string_char,
  [sym_char] = sym_char,
  [sym_format_string_eval] = sym_format_string_eval,
  [sym_format_string] = sym_format_string,
  [sym_string] = sym_string,
  [sym__verbatim_string_char] = sym__verbatim_string_char,
  [sym_verbatim_string] = sym_verbatim_string,
  [sym_bytechar] = sym_bytechar,
  [sym_bytearray] = sym_bytearray,
  [sym_verbatim_bytearray] = sym_verbatim_bytearray,
  [sym_format_triple_quoted_string] = sym_format_triple_quoted_string,
  [sym_triple_quoted_string] = sym_triple_quoted_string,
  [sym_const] = sym_const,
  [sym_long_identifier_or_op] = sym_long_identifier_or_op,
  [sym_long_identifier] = sym_long_identifier,
  [sym__identifier_or_op] = sym__identifier_or_op,
  [sym_active_pattern_op_name] = sym_active_pattern_op_name,
  [sym_prefix_op] = sym_prefix_op,
  [sym_infix_op] = sym_infix_op,
  [sym_int] = sym_int,
  [sym_xint] = sym_xint,
  [sym_sbyte] = sym_sbyte,
  [sym_byte] = sym_byte,
  [sym_int16] = sym_int16,
  [sym_uint16] = sym_uint16,
  [sym_int32] = sym_int32,
  [sym_uint32] = sym_uint32,
  [sym_nativeint] = sym_nativeint,
  [sym_unativeint] = sym_unativeint,
  [sym_int64] = sym_int64,
  [sym_uint64] = sym_uint64,
  [sym_ieee32] = sym_ieee32,
  [sym_ieee64] = sym_ieee64,
  [sym_bignum] = sym_bignum,
  [sym_decimal] = sym_decimal,
  [sym_float] = sym_float,
  [sym_xml_doc] = sym_xml_doc,
  [sym_block_comment] = sym_block_comment,
  [aux_sym_file_repeat1] = aux_sym_file_repeat1,
  [aux_sym_file_repeat2] = aux_sym_file_repeat2,
  [aux_sym_file_repeat3] = aux_sym_file_repeat3,
  [aux_sym_attributes_repeat1] = aux_sym_attributes_repeat1,
  [aux_sym_attribute_set_repeat1] = aux_sym_attribute_set_repeat1,
  [aux_sym__function_or_value_defns_repeat1] = aux_sym__function_or_value_defns_repeat1,
  [aux_sym_repeat_pattern_repeat1] = aux_sym_repeat_pattern_repeat1,
  [aux_sym_argument_patterns_repeat1] = aux_sym_argument_patterns_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym__object_expression_inner_repeat1] = aux_sym__object_expression_inner_repeat1,
  [aux_sym__if_then_else_expression_repeat1] = aux_sym__if_then_else_expression_repeat1,
  [aux_sym__list_elements_repeat1] = aux_sym__list_elements_repeat1,
  [aux_sym_rules_repeat1] = aux_sym_rules_repeat1,
  [aux_sym_sequential_expression_repeat1] = aux_sym_sequential_expression_repeat1,
  [aux_sym_slice_ranges_repeat1] = aux_sym_slice_ranges_repeat1,
  [aux_sym__compound_type_repeat1] = aux_sym__compound_type_repeat1,
  [aux_sym_types_repeat1] = aux_sym_types_repeat1,
  [aux_sym_type_attributes_repeat1] = aux_sym_type_attributes_repeat1,
  [aux_sym_type_argument_constraints_repeat1] = aux_sym_type_argument_constraints_repeat1,
  [aux_sym_static_type_argument_repeat1] = aux_sym_static_type_argument_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_curried_spec_repeat1] = aux_sym_curried_spec_repeat1,
  [aux_sym_arguments_spec_repeat1] = aux_sym_arguments_spec_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__class_type_body_repeat1] = aux_sym__class_type_body_repeat1,
  [aux_sym_record_fields_repeat1] = aux_sym_record_fields_repeat1,
  [aux_sym_enum_type_cases_repeat1] = aux_sym_enum_type_cases_repeat1,
  [aux_sym_union_type_cases_repeat1] = aux_sym_union_type_cases_repeat1,
  [aux_sym_union_type_fields_repeat1] = aux_sym_union_type_fields_repeat1,
  [aux_sym_primary_constr_args_repeat1] = aux_sym_primary_constr_args_repeat1,
  [aux_sym__member_defns_repeat1] = aux_sym__member_defns_repeat1,
  [aux_sym__method_defn_repeat1] = aux_sym__method_defn_repeat1,
  [aux_sym_field_initializers_repeat1] = aux_sym_field_initializers_repeat1,
  [aux_sym_format_string_repeat1] = aux_sym_format_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_verbatim_string_repeat1] = aux_sym_verbatim_string_repeat1,
  [aux_sym_long_identifier_repeat1] = aux_sym_long_identifier_repeat1,
  [aux_sym_active_pattern_op_name_repeat1] = aux_sym_active_pattern_op_name_repeat1,
  [aux_sym_prefix_op_repeat1] = aux_sym_prefix_op_repeat1,
  [aux_sym_int_repeat1] = aux_sym_int_repeat1,
  [aux_sym_xint_repeat1] = aux_sym_xint_repeat1,
  [aux_sym_xint_repeat2] = aux_sym_xint_repeat2,
  [aux_sym_xint_repeat3] = aux_sym_xint_repeat3,
  [alias_sym_const_pattern] = alias_sym_const_pattern,
  [alias_sym_null_pattern] = alias_sym_null_pattern,
  [alias_sym_wildcard_pattern] = alias_sym_wildcard_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDnowarn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assembly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_param] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constructor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_access_modifier_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_upcast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downcast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_AT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unmanaged] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equality] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comparison] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delegate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_member] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_id] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ2] = {
    .visible = true,
    .named = false,
  },
  [sym__escape_char] = {
    .visible = false,
    .named = true,
  },
  [sym__non_escape_char] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_char_char] = {
    .visible = false,
    .named = true,
  },
  [sym__hex_digit_imm] = {
    .visible = false,
    .named = true,
  },
  [sym__digit_char_imm] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHU] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__simple_string_char] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTEB] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEB] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__identifier_or_op_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LPAREN_STAR_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_prefix_op_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_infix_op_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym__octaldigit_imm] = {
    .visible = false,
    .named = true,
  },
  [sym__bitdigit_imm] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_int_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_xint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_xint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_xint_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_y] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_us] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_l] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_uint32_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_n] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_un] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_L] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_uint64_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_f] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bignum_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decimal_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_float_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_xml_doc_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__then] = {
    .visible = true,
    .named = false,
  },
  [sym__else] = {
    .visible = true,
    .named = false,
  },
  [sym__elif] = {
    .visible = true,
    .named = false,
  },
  [sym__triple_quoted_content] = {
    .visible = false,
    .named = true,
  },
  [sym_block_comment_content] = {
    .visible = true,
    .named = true,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_file] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace] = {
    .visible = true,
    .named = true,
  },
  [sym_named_module] = {
    .visible = true,
    .named = true,
  },
  [sym_module_abbrev] = {
    .visible = true,
    .named = true,
  },
  [sym_module_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_compiler_directive_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_fsi_directive_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_import_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_set] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_target] = {
    .visible = true,
    .named = true,
  },
  [sym_object_construction] = {
    .visible = true,
    .named = true,
  },
  [sym_value_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_do] = {
    .visible = true,
    .named = true,
  },
  [sym__function_or_value_defns] = {
    .visible = false,
    .named = true,
  },
  [sym_function_or_value_defn] = {
    .visible = true,
    .named = true,
  },
  [sym__function_or_value_defn_body] = {
    .visible = false,
    .named = true,
  },
  [sym_function_declaration_left] = {
    .visible = true,
    .named = true,
  },
  [sym_value_declaration_left] = {
    .visible = true,
    .named = true,
  },
  [sym_access_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_optional_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_type_check_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_paren_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunct_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_conjunct_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_patterns] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__atomic_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_param] = {
    .visible = false,
    .named = true,
  },
  [sym__expression_block] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_brace_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anon_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_with_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_prefixed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_typecast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__else_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_elif_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__if_then_else_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__if_then_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_mutate_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__list_elements] = {
    .visible = false,
    .named = true,
  },
  [sym__list_element] = {
    .visible = false,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_rules] = {
    .visible = true,
    .named = true,
  },
  [sym_begin_end_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_paren_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ce_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequential_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comp_or_range_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_short_comp_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_ranges] = {
    .visible = true,
    .named = true,
  },
  [sym__slice_range_special] = {
    .visible = false,
    .named = true,
  },
  [sym_slice_range] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym__generic_type] = {
    .visible = false,
    .named = true,
  },
  [sym__paren_type] = {
    .visible = false,
    .named = true,
  },
  [sym__function_type] = {
    .visible = false,
    .named = true,
  },
  [sym__compound_type] = {
    .visible = false,
    .named = true,
  },
  [sym__postfix_type] = {
    .visible = false,
    .named = true,
  },
  [sym__list_type] = {
    .visible = false,
    .named = true,
  },
  [sym__static_type] = {
    .visible = false,
    .named = true,
  },
  [sym__constrained_type] = {
    .visible = false,
    .named = true,
  },
  [sym__flexible_type] = {
    .visible = false,
    .named = true,
  },
  [sym_types] = {
    .visible = true,
    .named = true,
  },
  [sym_type_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_type_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_atomic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_type_argument_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_type_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_type_argument_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_static_type_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_member_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_member_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_curried_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_name_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_defn_body] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_delegate_type_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_delegate_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_abbrev_defn] = {
    .visible = true,
    .named = true,
  },
  [sym__class_type_body_inner] = {
    .visible = false,
    .named = true,
  },
  [sym__class_type_body] = {
    .visible = false,
    .named = true,
  },
  [sym_record_type_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_record_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_record_field] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_type_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_type_cases] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type_cases] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type_field] = {
    .visible = true,
    .named = true,
  },
  [sym_anon_type_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_constr_args] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__class_function_or_value_defn] = {
    .visible = false,
    .named = true,
  },
  [sym_type_extension_elements] = {
    .visible = true,
    .named = true,
  },
  [sym__type_defn_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_implementation] = {
    .visible = true,
    .named = true,
  },
  [sym__member_defns] = {
    .visible = false,
    .named = true,
  },
  [sym__object_members] = {
    .visible = false,
    .named = true,
  },
  [sym_member_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_property_or_ident] = {
    .visible = true,
    .named = true,
  },
  [sym__method_defn] = {
    .visible = false,
    .named = true,
  },
  [sym__property_defn] = {
    .visible = false,
    .named = true,
  },
  [sym_method_or_prop_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_additional_constr_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_class_inherits_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializers] = {
    .visible = true,
    .named = true,
  },
  [sym__unicodegraph_short] = {
    .visible = false,
    .named = true,
  },
  [sym__unicodegraph_long] = {
    .visible = false,
    .named = true,
  },
  [sym__trigraph] = {
    .visible = false,
    .named = true,
  },
  [sym__char_char] = {
    .visible = false,
    .named = true,
  },
  [sym__string_char] = {
    .visible = false,
    .named = true,
  },
  [sym_char] = {
    .visible = true,
    .named = true,
  },
  [sym_format_string_eval] = {
    .visible = true,
    .named = true,
  },
  [sym_format_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__verbatim_string_char] = {
    .visible = false,
    .named = true,
  },
  [sym_verbatim_string] = {
    .visible = true,
    .named = true,
  },
  [sym_bytechar] = {
    .visible = true,
    .named = true,
  },
  [sym_bytearray] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_bytearray] = {
    .visible = true,
    .named = true,
  },
  [sym_format_triple_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym_triple_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym_const] = {
    .visible = true,
    .named = true,
  },
  [sym_long_identifier_or_op] = {
    .visible = true,
    .named = true,
  },
  [sym_long_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier_or_op] = {
    .visible = false,
    .named = true,
  },
  [sym_active_pattern_op_name] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_op] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_op] = {
    .visible = true,
    .named = true,
  },
  [sym_int] = {
    .visible = true,
    .named = true,
  },
  [sym_xint] = {
    .visible = true,
    .named = true,
  },
  [sym_sbyte] = {
    .visible = true,
    .named = true,
  },
  [sym_byte] = {
    .visible = true,
    .named = true,
  },
  [sym_int16] = {
    .visible = true,
    .named = true,
  },
  [sym_uint16] = {
    .visible = true,
    .named = true,
  },
  [sym_int32] = {
    .visible = true,
    .named = true,
  },
  [sym_uint32] = {
    .visible = true,
    .named = true,
  },
  [sym_nativeint] = {
    .visible = true,
    .named = true,
  },
  [sym_unativeint] = {
    .visible = true,
    .named = true,
  },
  [sym_int64] = {
    .visible = true,
    .named = true,
  },
  [sym_uint64] = {
    .visible = true,
    .named = true,
  },
  [sym_ieee32] = {
    .visible = true,
    .named = true,
  },
  [sym_ieee64] = {
    .visible = true,
    .named = true,
  },
  [sym_bignum] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_xml_doc] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_file_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_file_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_or_value_defns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_repeat_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__object_expression_inner_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__if_then_else_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_rules_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequential_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slice_ranges_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__compound_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_types_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_argument_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_static_type_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_curried_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_type_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_fields_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_type_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_fields_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_primary_constr_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__member_defns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__method_defn_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_verbatim_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_long_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_active_pattern_op_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_prefix_op_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_int_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_xint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_xint_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_xint_repeat3] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_const_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_null_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_wildcard_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_args = 1,
  field_assignee = 2,
  field_base = 3,
  field_block = 4,
  field_body = 5,
  field_constructor = 6,
  field_else = 7,
  field_field = 8,
  field_from = 9,
  field_guard = 10,
  field_in = 11,
  field_index = 12,
  field_instance = 13,
  field_method = 14,
  field_name = 15,
  field_then = 16,
  field_to = 17,
  field_type_name = 18,
  field_value = 19,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_args] = "args",
  [field_assignee] = "assignee",
  [field_base] = "base",
  [field_block] = "block",
  [field_body] = "body",
  [field_constructor] = "constructor",
  [field_else] = "else",
  [field_field] = "field",
  [field_from] = "from",
  [field_guard] = "guard",
  [field_in] = "in",
  [field_index] = "index",
  [field_instance] = "instance",
  [field_method] = "method",
  [field_name] = "name",
  [field_then] = "then",
  [field_to] = "to",
  [field_type_name] = "type_name",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 3},
  [2] = {.index = 3, .length = 2},
  [4] = {.index = 5, .length = 1},
  [5] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [10] = {.index = 8, .length = 1},
  [12] = {.index = 9, .length = 2},
  [13] = {.index = 11, .length = 1},
  [14] = {.index = 12, .length = 1},
  [15] = {.index = 13, .length = 1},
  [16] = {.index = 14, .length = 1},
  [17] = {.index = 15, .length = 2},
  [19] = {.index = 17, .length = 2},
  [20] = {.index = 19, .length = 2},
  [23] = {.index = 21, .length = 1},
  [24] = {.index = 22, .length = 2},
  [25] = {.index = 24, .length = 1},
  [26] = {.index = 25, .length = 2},
  [27] = {.index = 27, .length = 1},
  [28] = {.index = 28, .length = 1},
  [29] = {.index = 29, .length = 1},
  [30] = {.index = 30, .length = 1},
  [31] = {.index = 31, .length = 1},
  [32] = {.index = 32, .length = 3},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 2},
  [35] = {.index = 38, .length = 3},
  [36] = {.index = 41, .length = 2},
  [37] = {.index = 43, .length = 1},
  [39] = {.index = 44, .length = 3},
  [40] = {.index = 47, .length = 3},
  [41] = {.index = 50, .length = 4},
  [42] = {.index = 54, .length = 2},
  [43] = {.index = 56, .length = 1},
  [44] = {.index = 57, .length = 2},
  [45] = {.index = 59, .length = 3},
  [46] = {.index = 62, .length = 3},
  [47] = {.index = 65, .length = 4},
  [48] = {.index = 69, .length = 1},
  [49] = {.index = 70, .length = 1},
  [50] = {.index = 71, .length = 5},
  [51] = {.index = 76, .length = 1},
  [52] = {.index = 77, .length = 1},
  [53] = {.index = 78, .length = 3},
  [54] = {.index = 81, .length = 4},
  [55] = {.index = 85, .length = 1},
  [56] = {.index = 86, .length = 6},
  [57] = {.index = 92, .length = 3},
  [58] = {.index = 95, .length = 7},
  [59] = {.index = 102, .length = 8},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_else, 0, .inherited = true},
    {field_guard, 0, .inherited = true},
    {field_then, 0, .inherited = true},
  [3] =
    {field_guard, 0, .inherited = true},
    {field_then, 0, .inherited = true},
  [5] =
    {field_name, 1},
  [6] =
    {field_type_name, 0},
  [7] =
    {field_body, 1, .inherited = true},
  [8] =
    {field_in, 1},
  [9] =
    {field_name, 1},
    {field_name, 2},
  [11] =
    {field_name, 2},
  [12] =
    {field_type_name, 1},
  [13] =
    {field_body, 2, .inherited = true},
  [14] =
    {field_body, 0, .inherited = true},
  [15] =
    {field_from, 0, .inherited = true},
    {field_to, 0, .inherited = true},
  [17] =
    {field_assignee, 0},
    {field_value, 2},
  [19] =
    {field_base, 0},
    {field_field, 2},
  [21] =
    {field_type_name, 2},
  [22] =
    {field_constructor, 0},
    {field_constructor, 1},
  [24] =
    {field_args, 0, .inherited = true},
  [25] =
    {field_body, 0, .inherited = true},
    {field_body, 1, .inherited = true},
  [27] =
    {field_body, 2},
  [28] =
    {field_to, 1},
  [29] =
    {field_from, 0},
  [30] =
    {field_index, 2},
  [31] =
    {field_type_name, 3},
  [32] =
    {field_constructor, 0},
    {field_constructor, 1},
    {field_constructor, 2},
  [35] =
    {field_block, 2, .inherited = true},
  [36] =
    {field_from, 0},
    {field_to, 2},
  [38] =
    {field_block, 1},
    {field_block, 2},
    {field_block, 3},
  [41] =
    {field_field, 0},
    {field_value, 2},
  [43] =
    {field_in, 4},
  [44] =
    {field_block, 3},
    {field_block, 4},
    {field_block, 5},
  [47] =
    {field_block, 2},
    {field_block, 3},
    {field_block, 4},
  [50] =
    {field_constructor, 0},
    {field_constructor, 1},
    {field_constructor, 2},
    {field_constructor, 3},
  [54] =
    {field_instance, 0},
    {field_method, 2},
  [56] =
    {field_body, 4},
  [57] =
    {field_guard, 1},
    {field_then, 4},
  [59] =
    {field_else, 5, .inherited = true},
    {field_guard, 1},
    {field_then, 4},
  [62] =
    {field_block, 4},
    {field_block, 5},
    {field_block, 6},
  [65] =
    {field_block, 2},
    {field_block, 3},
    {field_block, 4},
    {field_block, 5},
  [69] =
    {field_args, 1},
  [70] =
    {field_name, 0},
  [71] =
    {field_constructor, 0},
    {field_constructor, 1},
    {field_constructor, 2},
    {field_constructor, 3},
    {field_constructor, 4},
  [76] =
    {field_block, 4, .inherited = true},
  [77] =
    {field_else, 1},
  [78] =
    {field_else, 6, .inherited = true},
    {field_guard, 1},
    {field_then, 4},
  [81] =
    {field_block, 2},
    {field_block, 3},
    {field_block, 4},
    {field_body, 3, .inherited = true},
  [85] =
    {field_args, 2},
  [86] =
    {field_constructor, 0},
    {field_constructor, 1},
    {field_constructor, 2},
    {field_constructor, 3},
    {field_constructor, 4},
    {field_constructor, 5},
  [92] =
    {field_block, 5},
    {field_block, 6},
    {field_block, 7},
  [95] =
    {field_block, 2},
    {field_block, 3},
    {field_block, 4},
    {field_block, 5},
    {field_block, 6},
    {field_block, 7},
    {field_block, 8},
  [102] =
    {field_block, 2},
    {field_block, 3},
    {field_block, 4},
    {field_block, 5},
    {field_block, 6},
    {field_block, 7},
    {field_block, 8},
    {field_block, 9},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [3] = {
    [0] = sym_long_identifier,
  },
  [6] = {
    [0] = alias_sym_null_pattern,
  },
  [7] = {
    [0] = alias_sym_wildcard_pattern,
  },
  [9] = {
    [0] = alias_sym_const_pattern,
  },
  [11] = {
    [0] = anon_sym_DOT2,
  },
  [18] = {
    [0] = anon_sym_SEMI,
  },
  [21] = {
    [0] = sym_long_identifier,
    [1] = sym_long_identifier,
    [2] = sym_long_identifier,
  },
  [22] = {
    [0] = anon_sym_DOT2,
    [2] = anon_sym_DOT2,
  },
  [38] = {
    [0] = anon_sym_DOT2,
    [2] = anon_sym_DOT2,
    [4] = anon_sym_DOT2,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_const, 2,
    sym_const,
    alias_sym_const_pattern,
  sym_long_identifier, 2,
    sym_long_identifier,
    sym_long_identifier,
  sym__identifier_or_op, 2,
    sym__identifier_or_op,
    sym_long_identifier,
  sym_int, 2,
    sym_int,
    anon_sym_DOT2,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 7,
  [13] = 6,
  [14] = 11,
  [15] = 3,
  [16] = 6,
  [17] = 7,
  [18] = 9,
  [19] = 5,
  [20] = 2,
  [21] = 4,
  [22] = 8,
  [23] = 3,
  [24] = 10,
  [25] = 2,
  [26] = 8,
  [27] = 4,
  [28] = 9,
  [29] = 10,
  [30] = 5,
  [31] = 11,
  [32] = 9,
  [33] = 5,
  [34] = 7,
  [35] = 4,
  [36] = 2,
  [37] = 8,
  [38] = 10,
  [39] = 11,
  [40] = 6,
  [41] = 41,
  [42] = 41,
  [43] = 41,
  [44] = 41,
  [45] = 41,
  [46] = 41,
  [47] = 41,
  [48] = 41,
  [49] = 41,
  [50] = 41,
  [51] = 9,
  [52] = 4,
  [53] = 7,
  [54] = 10,
  [55] = 10,
  [56] = 4,
  [57] = 7,
  [58] = 9,
  [59] = 11,
  [60] = 2,
  [61] = 61,
  [62] = 62,
  [63] = 8,
  [64] = 6,
  [65] = 5,
  [66] = 11,
  [67] = 2,
  [68] = 8,
  [69] = 6,
  [70] = 5,
  [71] = 2,
  [72] = 6,
  [73] = 9,
  [74] = 74,
  [75] = 4,
  [76] = 5,
  [77] = 10,
  [78] = 78,
  [79] = 79,
  [80] = 6,
  [81] = 7,
  [82] = 4,
  [83] = 9,
  [84] = 10,
  [85] = 7,
  [86] = 2,
  [87] = 11,
  [88] = 2,
  [89] = 11,
  [90] = 8,
  [91] = 5,
  [92] = 6,
  [93] = 4,
  [94] = 5,
  [95] = 9,
  [96] = 10,
  [97] = 7,
  [98] = 4,
  [99] = 9,
  [100] = 10,
  [101] = 7,
  [102] = 102,
  [103] = 78,
  [104] = 11,
  [105] = 78,
  [106] = 11,
  [107] = 78,
  [108] = 2,
  [109] = 78,
  [110] = 8,
  [111] = 78,
  [112] = 8,
  [113] = 78,
  [114] = 8,
  [115] = 115,
  [116] = 78,
  [117] = 6,
  [118] = 78,
  [119] = 5,
  [120] = 4,
  [121] = 5,
  [122] = 62,
  [123] = 74,
  [124] = 124,
  [125] = 115,
  [126] = 11,
  [127] = 2,
  [128] = 8,
  [129] = 6,
  [130] = 5,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 9,
  [135] = 78,
  [136] = 10,
  [137] = 7,
  [138] = 11,
  [139] = 2,
  [140] = 8,
  [141] = 4,
  [142] = 9,
  [143] = 10,
  [144] = 7,
  [145] = 132,
  [146] = 132,
  [147] = 132,
  [148] = 132,
  [149] = 6,
  [150] = 132,
  [151] = 132,
  [152] = 132,
  [153] = 132,
  [154] = 132,
  [155] = 10,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 4,
  [160] = 2,
  [161] = 161,
  [162] = 11,
  [163] = 9,
  [164] = 161,
  [165] = 156,
  [166] = 8,
  [167] = 6,
  [168] = 7,
  [169] = 169,
  [170] = 156,
  [171] = 171,
  [172] = 158,
  [173] = 158,
  [174] = 174,
  [175] = 158,
  [176] = 157,
  [177] = 161,
  [178] = 4,
  [179] = 157,
  [180] = 5,
  [181] = 171,
  [182] = 157,
  [183] = 156,
  [184] = 158,
  [185] = 157,
  [186] = 157,
  [187] = 187,
  [188] = 188,
  [189] = 157,
  [190] = 157,
  [191] = 157,
  [192] = 161,
  [193] = 9,
  [194] = 158,
  [195] = 157,
  [196] = 156,
  [197] = 10,
  [198] = 158,
  [199] = 7,
  [200] = 2,
  [201] = 161,
  [202] = 156,
  [203] = 158,
  [204] = 161,
  [205] = 205,
  [206] = 156,
  [207] = 187,
  [208] = 158,
  [209] = 124,
  [210] = 161,
  [211] = 158,
  [212] = 156,
  [213] = 11,
  [214] = 158,
  [215] = 161,
  [216] = 216,
  [217] = 156,
  [218] = 158,
  [219] = 161,
  [220] = 5,
  [221] = 171,
  [222] = 188,
  [223] = 6,
  [224] = 8,
  [225] = 174,
  [226] = 171,
  [227] = 188,
  [228] = 156,
  [229] = 229,
  [230] = 158,
  [231] = 8,
  [232] = 232,
  [233] = 6,
  [234] = 161,
  [235] = 171,
  [236] = 188,
  [237] = 188,
  [238] = 188,
  [239] = 188,
  [240] = 188,
  [241] = 188,
  [242] = 188,
  [243] = 188,
  [244] = 4,
  [245] = 245,
  [246] = 188,
  [247] = 188,
  [248] = 188,
  [249] = 188,
  [250] = 9,
  [251] = 171,
  [252] = 188,
  [253] = 188,
  [254] = 188,
  [255] = 188,
  [256] = 10,
  [257] = 7,
  [258] = 188,
  [259] = 188,
  [260] = 260,
  [261] = 171,
  [262] = 188,
  [263] = 188,
  [264] = 188,
  [265] = 171,
  [266] = 188,
  [267] = 188,
  [268] = 188,
  [269] = 188,
  [270] = 79,
  [271] = 188,
  [272] = 171,
  [273] = 273,
  [274] = 2,
  [275] = 11,
  [276] = 188,
  [277] = 5,
  [278] = 171,
  [279] = 279,
  [280] = 280,
  [281] = 279,
  [282] = 282,
  [283] = 283,
  [284] = 280,
  [285] = 282,
  [286] = 279,
  [287] = 280,
  [288] = 288,
  [289] = 288,
  [290] = 288,
  [291] = 282,
  [292] = 282,
  [293] = 280,
  [294] = 288,
  [295] = 280,
  [296] = 280,
  [297] = 280,
  [298] = 279,
  [299] = 282,
  [300] = 169,
  [301] = 279,
  [302] = 282,
  [303] = 282,
  [304] = 280,
  [305] = 279,
  [306] = 280,
  [307] = 288,
  [308] = 288,
  [309] = 282,
  [310] = 279,
  [311] = 282,
  [312] = 279,
  [313] = 288,
  [314] = 279,
  [315] = 279,
  [316] = 282,
  [317] = 288,
  [318] = 280,
  [319] = 288,
  [320] = 288,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 322,
  [332] = 328,
  [333] = 333,
  [334] = 322,
  [335] = 335,
  [336] = 336,
  [337] = 329,
  [338] = 330,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 343,
  [346] = 344,
  [347] = 342,
  [348] = 348,
  [349] = 349,
  [350] = 349,
  [351] = 349,
  [352] = 352,
  [353] = 353,
  [354] = 352,
  [355] = 355,
  [356] = 355,
  [357] = 357,
  [358] = 357,
  [359] = 357,
  [360] = 355,
  [361] = 355,
  [362] = 357,
  [363] = 357,
  [364] = 355,
  [365] = 355,
  [366] = 355,
  [367] = 355,
  [368] = 357,
  [369] = 355,
  [370] = 357,
  [371] = 355,
  [372] = 355,
  [373] = 357,
  [374] = 357,
  [375] = 357,
  [376] = 355,
  [377] = 355,
  [378] = 355,
  [379] = 355,
  [380] = 380,
  [381] = 380,
  [382] = 380,
  [383] = 380,
  [384] = 380,
  [385] = 380,
  [386] = 380,
  [387] = 380,
  [388] = 380,
  [389] = 380,
  [390] = 390,
  [391] = 391,
  [392] = 391,
  [393] = 391,
  [394] = 391,
  [395] = 391,
  [396] = 391,
  [397] = 391,
  [398] = 391,
  [399] = 391,
  [400] = 391,
  [401] = 390,
  [402] = 402,
  [403] = 402,
  [404] = 404,
  [405] = 405,
  [406] = 404,
  [407] = 405,
  [408] = 405,
  [409] = 404,
  [410] = 405,
  [411] = 404,
  [412] = 412,
  [413] = 405,
  [414] = 404,
  [415] = 404,
  [416] = 404,
  [417] = 404,
  [418] = 404,
  [419] = 405,
  [420] = 405,
  [421] = 404,
  [422] = 405,
  [423] = 404,
  [424] = 412,
  [425] = 404,
  [426] = 404,
  [427] = 405,
  [428] = 405,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 430,
  [441] = 441,
  [442] = 442,
  [443] = 435,
  [444] = 432,
  [445] = 445,
  [446] = 433,
  [447] = 434,
  [448] = 448,
  [449] = 434,
  [450] = 431,
  [451] = 429,
  [452] = 435,
  [453] = 453,
  [454] = 435,
  [455] = 436,
  [456] = 437,
  [457] = 441,
  [458] = 458,
  [459] = 435,
  [460] = 432,
  [461] = 458,
  [462] = 458,
  [463] = 448,
  [464] = 429,
  [465] = 431,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 431,
  [470] = 470,
  [471] = 429,
  [472] = 435,
  [473] = 436,
  [474] = 437,
  [475] = 441,
  [476] = 435,
  [477] = 477,
  [478] = 429,
  [479] = 432,
  [480] = 458,
  [481] = 448,
  [482] = 435,
  [483] = 483,
  [484] = 484,
  [485] = 458,
  [486] = 433,
  [487] = 439,
  [488] = 435,
  [489] = 436,
  [490] = 435,
  [491] = 448,
  [492] = 438,
  [493] = 439,
  [494] = 445,
  [495] = 435,
  [496] = 436,
  [497] = 437,
  [498] = 483,
  [499] = 441,
  [500] = 435,
  [501] = 458,
  [502] = 432,
  [503] = 442,
  [504] = 430,
  [505] = 442,
  [506] = 435,
  [507] = 429,
  [508] = 431,
  [509] = 448,
  [510] = 435,
  [511] = 445,
  [512] = 435,
  [513] = 436,
  [514] = 437,
  [515] = 441,
  [516] = 435,
  [517] = 483,
  [518] = 468,
  [519] = 470,
  [520] = 453,
  [521] = 435,
  [522] = 432,
  [523] = 435,
  [524] = 431,
  [525] = 435,
  [526] = 458,
  [527] = 429,
  [528] = 435,
  [529] = 434,
  [530] = 435,
  [531] = 435,
  [532] = 532,
  [533] = 436,
  [534] = 466,
  [535] = 442,
  [536] = 437,
  [537] = 438,
  [538] = 432,
  [539] = 441,
  [540] = 445,
  [541] = 429,
  [542] = 439,
  [543] = 448,
  [544] = 435,
  [545] = 442,
  [546] = 431,
  [547] = 442,
  [548] = 468,
  [549] = 466,
  [550] = 431,
  [551] = 483,
  [552] = 442,
  [553] = 441,
  [554] = 435,
  [555] = 445,
  [556] = 467,
  [557] = 432,
  [558] = 467,
  [559] = 435,
  [560] = 435,
  [561] = 483,
  [562] = 445,
  [563] = 458,
  [564] = 468,
  [565] = 433,
  [566] = 434,
  [567] = 445,
  [568] = 467,
  [569] = 466,
  [570] = 430,
  [571] = 430,
  [572] = 429,
  [573] = 431,
  [574] = 439,
  [575] = 435,
  [576] = 436,
  [577] = 437,
  [578] = 441,
  [579] = 448,
  [580] = 438,
  [581] = 439,
  [582] = 438,
  [583] = 442,
  [584] = 448,
  [585] = 468,
  [586] = 445,
  [587] = 432,
  [588] = 445,
  [589] = 448,
  [590] = 468,
  [591] = 467,
  [592] = 433,
  [593] = 430,
  [594] = 484,
  [595] = 435,
  [596] = 435,
  [597] = 436,
  [598] = 437,
  [599] = 437,
  [600] = 600,
  [601] = 483,
  [602] = 442,
  [603] = 433,
  [604] = 467,
  [605] = 442,
  [606] = 434,
  [607] = 445,
  [608] = 466,
  [609] = 445,
  [610] = 458,
  [611] = 429,
  [612] = 431,
  [613] = 448,
  [614] = 483,
  [615] = 429,
  [616] = 430,
  [617] = 468,
  [618] = 438,
  [619] = 439,
  [620] = 433,
  [621] = 445,
  [622] = 622,
  [623] = 429,
  [624] = 458,
  [625] = 445,
  [626] = 434,
  [627] = 431,
  [628] = 445,
  [629] = 483,
  [630] = 448,
  [631] = 434,
  [632] = 429,
  [633] = 441,
  [634] = 448,
  [635] = 438,
  [636] = 467,
  [637] = 431,
  [638] = 439,
  [639] = 429,
  [640] = 442,
  [641] = 458,
  [642] = 458,
  [643] = 439,
  [644] = 438,
  [645] = 430,
  [646] = 646,
  [647] = 466,
  [648] = 483,
  [649] = 442,
  [650] = 431,
  [651] = 483,
  [652] = 458,
  [653] = 467,
  [654] = 458,
  [655] = 466,
  [656] = 483,
  [657] = 657,
  [658] = 429,
  [659] = 431,
  [660] = 483,
  [661] = 442,
  [662] = 448,
  [663] = 483,
  [664] = 664,
  [665] = 483,
  [666] = 467,
  [667] = 432,
  [668] = 438,
  [669] = 458,
  [670] = 439,
  [671] = 433,
  [672] = 438,
  [673] = 646,
  [674] = 466,
  [675] = 675,
  [676] = 467,
  [677] = 433,
  [678] = 442,
  [679] = 466,
  [680] = 434,
  [681] = 430,
  [682] = 468,
  [683] = 442,
  [684] = 448,
  [685] = 468,
  [686] = 431,
  [687] = 430,
  [688] = 448,
  [689] = 435,
  [690] = 466,
  [691] = 445,
  [692] = 468,
  [693] = 436,
  [694] = 437,
  [695] = 441,
  [696] = 433,
  [697] = 434,
  [698] = 483,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 699,
  [703] = 700,
  [704] = 701,
  [705] = 699,
  [706] = 701,
  [707] = 707,
  [708] = 699,
  [709] = 700,
  [710] = 701,
  [711] = 700,
  [712] = 712,
  [713] = 707,
  [714] = 707,
  [715] = 707,
  [716] = 712,
  [717] = 712,
  [718] = 712,
  [719] = 701,
  [720] = 701,
  [721] = 701,
  [722] = 700,
  [723] = 699,
  [724] = 700,
  [725] = 699,
  [726] = 699,
  [727] = 700,
  [728] = 700,
  [729] = 699,
  [730] = 700,
  [731] = 701,
  [732] = 699,
  [733] = 701,
  [734] = 701,
  [735] = 707,
  [736] = 700,
  [737] = 707,
  [738] = 699,
  [739] = 707,
  [740] = 707,
  [741] = 741,
  [742] = 701,
  [743] = 712,
  [744] = 712,
  [745] = 699,
  [746] = 707,
  [747] = 747,
  [748] = 748,
  [749] = 700,
  [750] = 699,
  [751] = 712,
  [752] = 700,
  [753] = 701,
  [754] = 754,
  [755] = 755,
  [756] = 707,
  [757] = 747,
  [758] = 712,
  [759] = 707,
  [760] = 754,
  [761] = 741,
  [762] = 712,
  [763] = 712,
  [764] = 755,
  [765] = 707,
  [766] = 748,
  [767] = 767,
  [768] = 754,
  [769] = 755,
  [770] = 741,
  [771] = 747,
  [772] = 748,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 712,
  [777] = 777,
  [778] = 712,
  [779] = 779,
  [780] = 780,
  [781] = 775,
  [782] = 767,
  [783] = 783,
  [784] = 784,
  [785] = 779,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 777,
  [791] = 773,
  [792] = 792,
  [793] = 793,
  [794] = 774,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 779,
  [803] = 788,
  [804] = 780,
  [805] = 793,
  [806] = 800,
  [807] = 799,
  [808] = 774,
  [809] = 775,
  [810] = 773,
  [811] = 767,
  [812] = 777,
  [813] = 783,
  [814] = 792,
  [815] = 789,
  [816] = 797,
  [817] = 796,
  [818] = 798,
  [819] = 795,
  [820] = 784,
  [821] = 787,
  [822] = 786,
  [823] = 801,
  [824] = 824,
  [825] = 797,
  [826] = 789,
  [827] = 827,
  [828] = 795,
  [829] = 793,
  [830] = 783,
  [831] = 801,
  [832] = 800,
  [833] = 784,
  [834] = 834,
  [835] = 788,
  [836] = 780,
  [837] = 798,
  [838] = 838,
  [839] = 839,
  [840] = 796,
  [841] = 841,
  [842] = 787,
  [843] = 799,
  [844] = 792,
  [845] = 786,
  [846] = 839,
  [847] = 767,
  [848] = 848,
  [849] = 841,
  [850] = 824,
  [851] = 851,
  [852] = 852,
  [853] = 841,
  [854] = 838,
  [855] = 827,
  [856] = 834,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 777,
  [862] = 862,
  [863] = 858,
  [864] = 774,
  [865] = 841,
  [866] = 866,
  [867] = 754,
  [868] = 748,
  [869] = 774,
  [870] = 870,
  [871] = 871,
  [872] = 838,
  [873] = 873,
  [874] = 767,
  [875] = 841,
  [876] = 788,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 851,
  [883] = 848,
  [884] = 852,
  [885] = 827,
  [886] = 834,
  [887] = 755,
  [888] = 747,
  [889] = 889,
  [890] = 890,
  [891] = 860,
  [892] = 741,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 859,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 741,
  [908] = 908,
  [909] = 862,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 839,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 777,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 824,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 747,
  [951] = 951,
  [952] = 857,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 748,
  [960] = 960,
  [961] = 841,
  [962] = 755,
  [963] = 963,
  [964] = 754,
  [965] = 965,
  [966] = 916,
  [967] = 748,
  [968] = 915,
  [969] = 921,
  [970] = 755,
  [971] = 924,
  [972] = 932,
  [973] = 914,
  [974] = 931,
  [975] = 930,
  [976] = 860,
  [977] = 859,
  [978] = 754,
  [979] = 862,
  [980] = 858,
  [981] = 879,
  [982] = 895,
  [983] = 934,
  [984] = 857,
  [985] = 929,
  [986] = 877,
  [987] = 935,
  [988] = 936,
  [989] = 928,
  [990] = 774,
  [991] = 747,
  [992] = 881,
  [993] = 945,
  [994] = 890,
  [995] = 871,
  [996] = 938,
  [997] = 958,
  [998] = 926,
  [999] = 880,
  [1000] = 878,
  [1001] = 943,
  [1002] = 777,
  [1003] = 767,
  [1004] = 965,
  [1005] = 747,
  [1006] = 870,
  [1007] = 894,
  [1008] = 841,
  [1009] = 925,
  [1010] = 963,
  [1011] = 893,
  [1012] = 908,
  [1013] = 841,
  [1014] = 896,
  [1015] = 941,
  [1016] = 906,
  [1017] = 897,
  [1018] = 741,
  [1019] = 905,
  [1020] = 898,
  [1021] = 866,
  [1022] = 911,
  [1023] = 939,
  [1024] = 920,
  [1025] = 852,
  [1026] = 946,
  [1027] = 947,
  [1028] = 948,
  [1029] = 848,
  [1030] = 851,
  [1031] = 954,
  [1032] = 919,
  [1033] = 955,
  [1034] = 956,
  [1035] = 748,
  [1036] = 903,
  [1037] = 754,
  [1038] = 1038,
  [1039] = 957,
  [1040] = 951,
  [1041] = 949,
  [1042] = 953,
  [1043] = 944,
  [1044] = 912,
  [1045] = 900,
  [1046] = 937,
  [1047] = 923,
  [1048] = 940,
  [1049] = 910,
  [1050] = 904,
  [1051] = 755,
  [1052] = 901,
  [1053] = 741,
  [1054] = 788,
  [1055] = 902,
  [1056] = 873,
  [1057] = 870,
  [1058] = 889,
  [1059] = 960,
  [1060] = 933,
  [1061] = 917,
  [1062] = 922,
  [1063] = 927,
  [1064] = 940,
  [1065] = 747,
  [1066] = 894,
  [1067] = 953,
  [1068] = 949,
  [1069] = 779,
  [1070] = 1038,
  [1071] = 779,
  [1072] = 873,
  [1073] = 877,
  [1074] = 880,
  [1075] = 881,
  [1076] = 938,
  [1077] = 871,
  [1078] = 936,
  [1079] = 935,
  [1080] = 934,
  [1081] = 870,
  [1082] = 747,
  [1083] = 933,
  [1084] = 932,
  [1085] = 931,
  [1086] = 930,
  [1087] = 929,
  [1088] = 928,
  [1089] = 878,
  [1090] = 879,
  [1091] = 926,
  [1092] = 920,
  [1093] = 919,
  [1094] = 1094,
  [1095] = 754,
  [1096] = 912,
  [1097] = 755,
  [1098] = 748,
  [1099] = 911,
  [1100] = 908,
  [1101] = 748,
  [1102] = 925,
  [1103] = 890,
  [1104] = 755,
  [1105] = 963,
  [1106] = 754,
  [1107] = 960,
  [1108] = 893,
  [1109] = 896,
  [1110] = 965,
  [1111] = 957,
  [1112] = 898,
  [1113] = 958,
  [1114] = 945,
  [1115] = 903,
  [1116] = 1094,
  [1117] = 951,
  [1118] = 944,
  [1119] = 943,
  [1120] = 937,
  [1121] = 897,
  [1122] = 923,
  [1123] = 910,
  [1124] = 904,
  [1125] = 788,
  [1126] = 777,
  [1127] = 889,
  [1128] = 747,
  [1129] = 774,
  [1130] = 773,
  [1131] = 767,
  [1132] = 895,
  [1133] = 774,
  [1134] = 777,
  [1135] = 917,
  [1136] = 922,
  [1137] = 927,
  [1138] = 767,
  [1139] = 940,
  [1140] = 941,
  [1141] = 900,
  [1142] = 775,
  [1143] = 901,
  [1144] = 902,
  [1145] = 866,
  [1146] = 905,
  [1147] = 906,
  [1148] = 741,
  [1149] = 914,
  [1150] = 915,
  [1151] = 916,
  [1152] = 921,
  [1153] = 924,
  [1154] = 773,
  [1155] = 939,
  [1156] = 946,
  [1157] = 947,
  [1158] = 948,
  [1159] = 954,
  [1160] = 955,
  [1161] = 956,
  [1162] = 775,
  [1163] = 741,
  [1164] = 796,
  [1165] = 779,
  [1166] = 792,
  [1167] = 774,
  [1168] = 773,
  [1169] = 799,
  [1170] = 767,
  [1171] = 792,
  [1172] = 800,
  [1173] = 775,
  [1174] = 780,
  [1175] = 800,
  [1176] = 793,
  [1177] = 779,
  [1178] = 789,
  [1179] = 795,
  [1180] = 777,
  [1181] = 780,
  [1182] = 780,
  [1183] = 784,
  [1184] = 797,
  [1185] = 747,
  [1186] = 773,
  [1187] = 801,
  [1188] = 796,
  [1189] = 798,
  [1190] = 788,
  [1191] = 786,
  [1192] = 784,
  [1193] = 783,
  [1194] = 793,
  [1195] = 788,
  [1196] = 798,
  [1197] = 801,
  [1198] = 787,
  [1199] = 783,
  [1200] = 795,
  [1201] = 767,
  [1202] = 789,
  [1203] = 797,
  [1204] = 799,
  [1205] = 774,
  [1206] = 787,
  [1207] = 777,
  [1208] = 786,
  [1209] = 775,
  [1210] = 777,
  [1211] = 789,
  [1212] = 783,
  [1213] = 798,
  [1214] = 788,
  [1215] = 767,
  [1216] = 787,
  [1217] = 799,
  [1218] = 784,
  [1219] = 784,
  [1220] = 786,
  [1221] = 795,
  [1222] = 775,
  [1223] = 800,
  [1224] = 792,
  [1225] = 779,
  [1226] = 787,
  [1227] = 797,
  [1228] = 796,
  [1229] = 783,
  [1230] = 780,
  [1231] = 777,
  [1232] = 779,
  [1233] = 799,
  [1234] = 773,
  [1235] = 786,
  [1236] = 797,
  [1237] = 796,
  [1238] = 777,
  [1239] = 798,
  [1240] = 767,
  [1241] = 775,
  [1242] = 774,
  [1243] = 773,
  [1244] = 780,
  [1245] = 801,
  [1246] = 789,
  [1247] = 792,
  [1248] = 793,
  [1249] = 801,
  [1250] = 800,
  [1251] = 774,
  [1252] = 780,
  [1253] = 793,
  [1254] = 795,
  [1255] = 788,
  [1256] = 787,
  [1257] = 797,
  [1258] = 788,
  [1259] = 784,
  [1260] = 795,
  [1261] = 780,
  [1262] = 787,
  [1263] = 783,
  [1264] = 795,
  [1265] = 841,
  [1266] = 827,
  [1267] = 839,
  [1268] = 789,
  [1269] = 786,
  [1270] = 841,
  [1271] = 788,
  [1272] = 834,
  [1273] = 796,
  [1274] = 838,
  [1275] = 827,
  [1276] = 824,
  [1277] = 841,
  [1278] = 780,
  [1279] = 799,
  [1280] = 797,
  [1281] = 824,
  [1282] = 858,
  [1283] = 792,
  [1284] = 839,
  [1285] = 786,
  [1286] = 858,
  [1287] = 799,
  [1288] = 798,
  [1289] = 858,
  [1290] = 801,
  [1291] = 780,
  [1292] = 783,
  [1293] = 789,
  [1294] = 834,
  [1295] = 780,
  [1296] = 838,
  [1297] = 858,
  [1298] = 796,
  [1299] = 792,
  [1300] = 798,
  [1301] = 777,
  [1302] = 800,
  [1303] = 793,
  [1304] = 841,
  [1305] = 793,
  [1306] = 784,
  [1307] = 800,
  [1308] = 801,
  [1309] = 940,
  [1310] = 774,
  [1311] = 827,
  [1312] = 834,
  [1313] = 838,
  [1314] = 767,
  [1315] = 774,
  [1316] = 858,
  [1317] = 824,
  [1318] = 870,
  [1319] = 834,
  [1320] = 858,
  [1321] = 862,
  [1322] = 870,
  [1323] = 862,
  [1324] = 852,
  [1325] = 848,
  [1326] = 839,
  [1327] = 860,
  [1328] = 848,
  [1329] = 841,
  [1330] = 940,
  [1331] = 780,
  [1332] = 824,
  [1333] = 838,
  [1334] = 860,
  [1335] = 852,
  [1336] = 858,
  [1337] = 838,
  [1338] = 777,
  [1339] = 859,
  [1340] = 839,
  [1341] = 841,
  [1342] = 834,
  [1343] = 858,
  [1344] = 827,
  [1345] = 851,
  [1346] = 774,
  [1347] = 841,
  [1348] = 767,
  [1349] = 777,
  [1350] = 851,
  [1351] = 859,
  [1352] = 777,
  [1353] = 824,
  [1354] = 839,
  [1355] = 857,
  [1356] = 857,
  [1357] = 841,
  [1358] = 767,
  [1359] = 827,
  [1360] = 944,
  [1361] = 940,
  [1362] = 877,
  [1363] = 873,
  [1364] = 851,
  [1365] = 902,
  [1366] = 788,
  [1367] = 767,
  [1368] = 841,
  [1369] = 857,
  [1370] = 901,
  [1371] = 841,
  [1372] = 777,
  [1373] = 754,
  [1374] = 858,
  [1375] = 755,
  [1376] = 748,
  [1377] = 940,
  [1378] = 788,
  [1379] = 943,
  [1380] = 900,
  [1381] = 889,
  [1382] = 895,
  [1383] = 894,
  [1384] = 841,
  [1385] = 741,
  [1386] = 859,
  [1387] = 881,
  [1388] = 852,
  [1389] = 897,
  [1390] = 880,
  [1391] = 857,
  [1392] = 963,
  [1393] = 960,
  [1394] = 860,
  [1395] = 879,
  [1396] = 839,
  [1397] = 824,
  [1398] = 859,
  [1399] = 860,
  [1400] = 940,
  [1401] = 852,
  [1402] = 774,
  [1403] = 870,
  [1404] = 958,
  [1405] = 945,
  [1406] = 767,
  [1407] = 878,
  [1408] = 862,
  [1409] = 848,
  [1410] = 940,
  [1411] = 894,
  [1412] = 960,
  [1413] = 908,
  [1414] = 866,
  [1415] = 911,
  [1416] = 925,
  [1417] = 895,
  [1418] = 862,
  [1419] = 905,
  [1420] = 904,
  [1421] = 912,
  [1422] = 919,
  [1423] = 900,
  [1424] = 920,
  [1425] = 767,
  [1426] = 926,
  [1427] = 928,
  [1428] = 774,
  [1429] = 777,
  [1430] = 929,
  [1431] = 788,
  [1432] = 901,
  [1433] = 841,
  [1434] = 902,
  [1435] = 910,
  [1436] = 866,
  [1437] = 851,
  [1438] = 774,
  [1439] = 930,
  [1440] = 767,
  [1441] = 923,
  [1442] = 870,
  [1443] = 931,
  [1444] = 905,
  [1445] = 906,
  [1446] = 937,
  [1447] = 932,
  [1448] = 944,
  [1449] = 933,
  [1450] = 951,
  [1451] = 774,
  [1452] = 914,
  [1453] = 934,
  [1454] = 915,
  [1455] = 916,
  [1456] = 921,
  [1457] = 838,
  [1458] = 935,
  [1459] = 936,
  [1460] = 834,
  [1461] = 924,
  [1462] = 871,
  [1463] = 939,
  [1464] = 946,
  [1465] = 947,
  [1466] = 948,
  [1467] = 906,
  [1468] = 938,
  [1469] = 938,
  [1470] = 827,
  [1471] = 957,
  [1472] = 871,
  [1473] = 936,
  [1474] = 951,
  [1475] = 940,
  [1476] = 937,
  [1477] = 848,
  [1478] = 923,
  [1479] = 910,
  [1480] = 954,
  [1481] = 955,
  [1482] = 956,
  [1483] = 935,
  [1484] = 934,
  [1485] = 870,
  [1486] = 904,
  [1487] = 841,
  [1488] = 943,
  [1489] = 914,
  [1490] = 915,
  [1491] = 933,
  [1492] = 916,
  [1493] = 921,
  [1494] = 924,
  [1495] = 879,
  [1496] = 878,
  [1497] = 939,
  [1498] = 946,
  [1499] = 858,
  [1500] = 851,
  [1501] = 932,
  [1502] = 931,
  [1503] = 848,
  [1504] = 852,
  [1505] = 930,
  [1506] = 940,
  [1507] = 947,
  [1508] = 965,
  [1509] = 929,
  [1510] = 928,
  [1511] = 857,
  [1512] = 926,
  [1513] = 941,
  [1514] = 870,
  [1515] = 920,
  [1516] = 927,
  [1517] = 922,
  [1518] = 859,
  [1519] = 917,
  [1520] = 919,
  [1521] = 860,
  [1522] = 839,
  [1523] = 824,
  [1524] = 862,
  [1525] = 925,
  [1526] = 912,
  [1527] = 948,
  [1528] = 911,
  [1529] = 777,
  [1530] = 945,
  [1531] = 958,
  [1532] = 963,
  [1533] = 777,
  [1534] = 953,
  [1535] = 890,
  [1536] = 965,
  [1537] = 870,
  [1538] = 954,
  [1539] = 949,
  [1540] = 893,
  [1541] = 896,
  [1542] = 898,
  [1543] = 908,
  [1544] = 873,
  [1545] = 903,
  [1546] = 903,
  [1547] = 1547,
  [1548] = 877,
  [1549] = 880,
  [1550] = 898,
  [1551] = 881,
  [1552] = 955,
  [1553] = 896,
  [1554] = 893,
  [1555] = 956,
  [1556] = 949,
  [1557] = 890,
  [1558] = 838,
  [1559] = 953,
  [1560] = 870,
  [1561] = 858,
  [1562] = 957,
  [1563] = 889,
  [1564] = 834,
  [1565] = 827,
  [1566] = 897,
  [1567] = 941,
  [1568] = 917,
  [1569] = 922,
  [1570] = 927,
  [1571] = 917,
  [1572] = 903,
  [1573] = 933,
  [1574] = 1547,
  [1575] = 767,
  [1576] = 935,
  [1577] = 936,
  [1578] = 932,
  [1579] = 871,
  [1580] = 938,
  [1581] = 852,
  [1582] = 848,
  [1583] = 957,
  [1584] = 965,
  [1585] = 903,
  [1586] = 951,
  [1587] = 934,
  [1588] = 851,
  [1589] = 931,
  [1590] = 930,
  [1591] = 929,
  [1592] = 928,
  [1593] = 904,
  [1594] = 777,
  [1595] = 923,
  [1596] = 944,
  [1597] = 937,
  [1598] = 923,
  [1599] = 857,
  [1600] = 859,
  [1601] = 910,
  [1602] = 898,
  [1603] = 937,
  [1604] = 960,
  [1605] = 904,
  [1606] = 944,
  [1607] = 951,
  [1608] = 957,
  [1609] = 860,
  [1610] = 896,
  [1611] = 894,
  [1612] = 748,
  [1613] = 755,
  [1614] = 895,
  [1615] = 754,
  [1616] = 900,
  [1617] = 901,
  [1618] = 862,
  [1619] = 902,
  [1620] = 889,
  [1621] = 866,
  [1622] = 862,
  [1623] = 905,
  [1624] = 943,
  [1625] = 906,
  [1626] = 926,
  [1627] = 965,
  [1628] = 940,
  [1629] = 914,
  [1630] = 897,
  [1631] = 893,
  [1632] = 1632,
  [1633] = 779,
  [1634] = 915,
  [1635] = 916,
  [1636] = 921,
  [1637] = 879,
  [1638] = 878,
  [1639] = 908,
  [1640] = 911,
  [1641] = 912,
  [1642] = 924,
  [1643] = 938,
  [1644] = 939,
  [1645] = 946,
  [1646] = 947,
  [1647] = 919,
  [1648] = 920,
  [1649] = 926,
  [1650] = 948,
  [1651] = 871,
  [1652] = 936,
  [1653] = 935,
  [1654] = 954,
  [1655] = 955,
  [1656] = 956,
  [1657] = 890,
  [1658] = 928,
  [1659] = 929,
  [1660] = 930,
  [1661] = 860,
  [1662] = 931,
  [1663] = 859,
  [1664] = 934,
  [1665] = 933,
  [1666] = 932,
  [1667] = 931,
  [1668] = 930,
  [1669] = 932,
  [1670] = 933,
  [1671] = 934,
  [1672] = 910,
  [1673] = 935,
  [1674] = 922,
  [1675] = 941,
  [1676] = 936,
  [1677] = 871,
  [1678] = 938,
  [1679] = 940,
  [1680] = 927,
  [1681] = 922,
  [1682] = 917,
  [1683] = 926,
  [1684] = 920,
  [1685] = 919,
  [1686] = 870,
  [1687] = 912,
  [1688] = 857,
  [1689] = 1689,
  [1690] = 911,
  [1691] = 879,
  [1692] = 953,
  [1693] = 957,
  [1694] = 951,
  [1695] = 949,
  [1696] = 953,
  [1697] = 914,
  [1698] = 928,
  [1699] = 944,
  [1700] = 949,
  [1701] = 927,
  [1702] = 898,
  [1703] = 908,
  [1704] = 896,
  [1705] = 893,
  [1706] = 965,
  [1707] = 890,
  [1708] = 937,
  [1709] = 858,
  [1710] = 941,
  [1711] = 777,
  [1712] = 923,
  [1713] = 881,
  [1714] = 910,
  [1715] = 880,
  [1716] = 920,
  [1717] = 919,
  [1718] = 852,
  [1719] = 848,
  [1720] = 851,
  [1721] = 912,
  [1722] = 767,
  [1723] = 774,
  [1724] = 897,
  [1725] = 788,
  [1726] = 1726,
  [1727] = 956,
  [1728] = 894,
  [1729] = 788,
  [1730] = 889,
  [1731] = 878,
  [1732] = 881,
  [1733] = 880,
  [1734] = 877,
  [1735] = 873,
  [1736] = 955,
  [1737] = 904,
  [1738] = 895,
  [1739] = 940,
  [1740] = 911,
  [1741] = 900,
  [1742] = 925,
  [1743] = 741,
  [1744] = 963,
  [1745] = 877,
  [1746] = 954,
  [1747] = 945,
  [1748] = 958,
  [1749] = 878,
  [1750] = 873,
  [1751] = 960,
  [1752] = 963,
  [1753] = 958,
  [1754] = 943,
  [1755] = 945,
  [1756] = 879,
  [1757] = 894,
  [1758] = 925,
  [1759] = 895,
  [1760] = 901,
  [1761] = 929,
  [1762] = 873,
  [1763] = 877,
  [1764] = 900,
  [1765] = 901,
  [1766] = 880,
  [1767] = 881,
  [1768] = 902,
  [1769] = 866,
  [1770] = 908,
  [1771] = 788,
  [1772] = 866,
  [1773] = 905,
  [1774] = 906,
  [1775] = 841,
  [1776] = 774,
  [1777] = 1777,
  [1778] = 774,
  [1779] = 914,
  [1780] = 915,
  [1781] = 916,
  [1782] = 870,
  [1783] = 921,
  [1784] = 924,
  [1785] = 939,
  [1786] = 946,
  [1787] = 963,
  [1788] = 960,
  [1789] = 947,
  [1790] = 948,
  [1791] = 905,
  [1792] = 897,
  [1793] = 958,
  [1794] = 945,
  [1795] = 906,
  [1796] = 948,
  [1797] = 890,
  [1798] = 841,
  [1799] = 893,
  [1800] = 896,
  [1801] = 898,
  [1802] = 1802,
  [1803] = 903,
  [1804] = 902,
  [1805] = 925,
  [1806] = 947,
  [1807] = 946,
  [1808] = 939,
  [1809] = 917,
  [1810] = 922,
  [1811] = 927,
  [1812] = 943,
  [1813] = 870,
  [1814] = 941,
  [1815] = 767,
  [1816] = 924,
  [1817] = 921,
  [1818] = 889,
  [1819] = 916,
  [1820] = 953,
  [1821] = 949,
  [1822] = 915,
  [1823] = 788,
  [1824] = 956,
  [1825] = 955,
  [1826] = 954,
  [1827] = 948,
  [1828] = 936,
  [1829] = 881,
  [1830] = 788,
  [1831] = 873,
  [1832] = 877,
  [1833] = 779,
  [1834] = 773,
  [1835] = 930,
  [1836] = 931,
  [1837] = 890,
  [1838] = 893,
  [1839] = 929,
  [1840] = 928,
  [1841] = 775,
  [1842] = 949,
  [1843] = 896,
  [1844] = 953,
  [1845] = 926,
  [1846] = 898,
  [1847] = 903,
  [1848] = 963,
  [1849] = 960,
  [1850] = 958,
  [1851] = 919,
  [1852] = 945,
  [1853] = 925,
  [1854] = 1854,
  [1855] = 917,
  [1856] = 932,
  [1857] = 922,
  [1858] = 927,
  [1859] = 943,
  [1860] = 941,
  [1861] = 925,
  [1862] = 774,
  [1863] = 945,
  [1864] = 767,
  [1865] = 958,
  [1866] = 960,
  [1867] = 963,
  [1868] = 879,
  [1869] = 788,
  [1870] = 933,
  [1871] = 904,
  [1872] = 920,
  [1873] = 956,
  [1874] = 1726,
  [1875] = 955,
  [1876] = 954,
  [1877] = 934,
  [1878] = 935,
  [1879] = 936,
  [1880] = 871,
  [1881] = 878,
  [1882] = 948,
  [1883] = 878,
  [1884] = 879,
  [1885] = 938,
  [1886] = 947,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 946,
  [1890] = 939,
  [1891] = 800,
  [1892] = 873,
  [1893] = 877,
  [1894] = 880,
  [1895] = 881,
  [1896] = 924,
  [1897] = 943,
  [1898] = 921,
  [1899] = 916,
  [1900] = 915,
  [1901] = 787,
  [1902] = 914,
  [1903] = 880,
  [1904] = 906,
  [1905] = 905,
  [1906] = 866,
  [1907] = 910,
  [1908] = 1908,
  [1909] = 902,
  [1910] = 901,
  [1911] = 900,
  [1912] = 890,
  [1913] = 893,
  [1914] = 896,
  [1915] = 898,
  [1916] = 903,
  [1917] = 1917,
  [1918] = 895,
  [1919] = 889,
  [1920] = 894,
  [1921] = 897,
  [1922] = 917,
  [1923] = 895,
  [1924] = 922,
  [1925] = 927,
  [1926] = 941,
  [1927] = 923,
  [1928] = 956,
  [1929] = 955,
  [1930] = 954,
  [1931] = 788,
  [1932] = 908,
  [1933] = 911,
  [1934] = 912,
  [1935] = 947,
  [1936] = 946,
  [1937] = 939,
  [1938] = 924,
  [1939] = 921,
  [1940] = 1802,
  [1941] = 919,
  [1942] = 920,
  [1943] = 783,
  [1944] = 1944,
  [1945] = 926,
  [1946] = 912,
  [1947] = 911,
  [1948] = 908,
  [1949] = 928,
  [1950] = 929,
  [1951] = 930,
  [1952] = 931,
  [1953] = 1777,
  [1954] = 933,
  [1955] = 934,
  [1956] = 935,
  [1957] = 965,
  [1958] = 949,
  [1959] = 953,
  [1960] = 897,
  [1961] = 889,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 957,
  [1966] = 951,
  [1967] = 944,
  [1968] = 937,
  [1969] = 904,
  [1970] = 910,
  [1971] = 923,
  [1972] = 937,
  [1973] = 944,
  [1974] = 894,
  [1975] = 951,
  [1976] = 957,
  [1977] = 932,
  [1978] = 900,
  [1979] = 901,
  [1980] = 902,
  [1981] = 965,
  [1982] = 866,
  [1983] = 905,
  [1984] = 906,
  [1985] = 914,
  [1986] = 915,
  [1987] = 916,
  [1988] = 938,
  [1989] = 871,
  [1990] = 1990,
  [1991] = 773,
  [1992] = 801,
  [1993] = 798,
  [1994] = 784,
  [1995] = 795,
  [1996] = 789,
  [1997] = 786,
  [1998] = 788,
  [1999] = 800,
  [2000] = 2000,
  [2001] = 783,
  [2002] = 799,
  [2003] = 2000,
  [2004] = 1990,
  [2005] = 2000,
  [2006] = 793,
  [2007] = 792,
  [2008] = 787,
  [2009] = 2000,
  [2010] = 1964,
  [2011] = 797,
  [2012] = 1990,
  [2013] = 1963,
  [2014] = 1888,
  [2015] = 2015,
  [2016] = 1962,
  [2017] = 2015,
  [2018] = 796,
  [2019] = 1917,
  [2020] = 1990,
  [2021] = 1944,
  [2022] = 2015,
  [2023] = 2015,
  [2024] = 1854,
  [2025] = 775,
  [2026] = 1887,
  [2027] = 796,
  [2028] = 2028,
  [2029] = 2028,
  [2030] = 1689,
  [2031] = 1632,
  [2032] = 1689,
  [2033] = 1632,
  [2034] = 2028,
  [2035] = 2028,
  [2036] = 795,
  [2037] = 784,
  [2038] = 799,
  [2039] = 786,
  [2040] = 797,
  [2041] = 2028,
  [2042] = 801,
  [2043] = 789,
  [2044] = 793,
  [2045] = 798,
  [2046] = 792,
  [2047] = 1689,
  [2048] = 1689,
  [2049] = 1632,
  [2050] = 1908,
  [2051] = 1689,
  [2052] = 1689,
  [2053] = 1632,
  [2054] = 1689,
  [2055] = 1632,
  [2056] = 1632,
  [2057] = 1632,
  [2058] = 1908,
  [2059] = 1908,
  [2060] = 1689,
  [2061] = 2061,
  [2062] = 1908,
  [2063] = 1632,
  [2064] = 1632,
  [2065] = 1908,
  [2066] = 1908,
  [2067] = 1689,
  [2068] = 1908,
  [2069] = 1908,
  [2070] = 1908,
  [2071] = 2061,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 841,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2082,
  [2085] = 2074,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2082,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2075,
  [2098] = 841,
  [2099] = 2073,
  [2100] = 2077,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2082,
  [2105] = 2078,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2079,
  [2109] = 2080,
  [2110] = 2072,
  [2111] = 2076,
  [2112] = 2103,
  [2113] = 2095,
  [2114] = 2090,
  [2115] = 2101,
  [2116] = 2107,
  [2117] = 2102,
  [2118] = 2093,
  [2119] = 2106,
  [2120] = 2096,
  [2121] = 2088,
  [2122] = 2083,
  [2123] = 2094,
  [2124] = 2089,
  [2125] = 2092,
  [2126] = 2086,
  [2127] = 2087,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2128,
  [2132] = 2132,
  [2133] = 2130,
  [2134] = 2134,
  [2135] = 2129,
  [2136] = 2136,
  [2137] = 2128,
  [2138] = 2128,
  [2139] = 2128,
  [2140] = 2130,
  [2141] = 2132,
  [2142] = 2130,
  [2143] = 2128,
  [2144] = 2128,
  [2145] = 2132,
  [2146] = 2129,
  [2147] = 2129,
  [2148] = 2136,
  [2149] = 2130,
  [2150] = 2129,
  [2151] = 2132,
  [2152] = 2132,
  [2153] = 2136,
  [2154] = 2132,
  [2155] = 2130,
  [2156] = 2136,
  [2157] = 2129,
  [2158] = 2129,
  [2159] = 2132,
  [2160] = 2130,
  [2161] = 2130,
  [2162] = 2128,
  [2163] = 2136,
  [2164] = 2129,
  [2165] = 2129,
  [2166] = 2136,
  [2167] = 2130,
  [2168] = 2130,
  [2169] = 2136,
  [2170] = 2132,
  [2171] = 2136,
  [2172] = 2132,
  [2173] = 2136,
  [2174] = 2128,
  [2175] = 2128,
  [2176] = 2136,
  [2177] = 2132,
  [2178] = 2129,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2183,
  [2185] = 2182,
  [2186] = 2186,
  [2187] = 2182,
  [2188] = 2188,
  [2189] = 2183,
  [2190] = 2190,
  [2191] = 2182,
  [2192] = 2183,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2196,
  [2200] = 2195,
  [2201] = 2197,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2198,
  [2205] = 2202,
  [2206] = 2196,
  [2207] = 2197,
  [2208] = 2202,
  [2209] = 2196,
  [2210] = 2195,
  [2211] = 2197,
  [2212] = 2202,
  [2213] = 2196,
  [2214] = 2203,
  [2215] = 2196,
  [2216] = 2197,
  [2217] = 2217,
  [2218] = 2202,
  [2219] = 2219,
  [2220] = 2203,
  [2221] = 2197,
  [2222] = 2196,
  [2223] = 2203,
  [2224] = 2196,
  [2225] = 2180,
  [2226] = 2202,
  [2227] = 2188,
  [2228] = 2197,
  [2229] = 2197,
  [2230] = 2194,
  [2231] = 2202,
  [2232] = 2197,
  [2233] = 2193,
  [2234] = 2197,
  [2235] = 2196,
  [2236] = 2196,
  [2237] = 2202,
  [2238] = 2198,
  [2239] = 2190,
  [2240] = 2195,
  [2241] = 2202,
  [2242] = 2202,
  [2243] = 2198,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2245,
  [2249] = 2246,
  [2250] = 2246,
  [2251] = 2251,
  [2252] = 2245,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2251,
  [2258] = 2246,
  [2259] = 2255,
  [2260] = 2247,
  [2261] = 2245,
  [2262] = 2253,
  [2263] = 2254,
  [2264] = 2255,
  [2265] = 2256,
  [2266] = 2251,
  [2267] = 2251,
  [2268] = 2244,
  [2269] = 2251,
  [2270] = 2254,
  [2271] = 2253,
  [2272] = 2256,
  [2273] = 2251,
  [2274] = 2274,
  [2275] = 2256,
  [2276] = 2246,
  [2277] = 2254,
  [2278] = 2246,
  [2279] = 2246,
  [2280] = 2246,
  [2281] = 2247,
  [2282] = 2282,
  [2283] = 2256,
  [2284] = 2247,
  [2285] = 2285,
  [2286] = 2246,
  [2287] = 2255,
  [2288] = 2245,
  [2289] = 2253,
  [2290] = 2254,
  [2291] = 2255,
  [2292] = 2254,
  [2293] = 2256,
  [2294] = 2253,
  [2295] = 2295,
  [2296] = 2285,
  [2297] = 2245,
  [2298] = 2253,
  [2299] = 2254,
  [2300] = 2255,
  [2301] = 2274,
  [2302] = 2245,
  [2303] = 2256,
  [2304] = 2251,
  [2305] = 2295,
  [2306] = 2244,
  [2307] = 2307,
  [2308] = 2246,
  [2309] = 2245,
  [2310] = 2253,
  [2311] = 2254,
  [2312] = 2255,
  [2313] = 2247,
  [2314] = 2217,
  [2315] = 2256,
  [2316] = 2253,
  [2317] = 2254,
  [2318] = 2255,
  [2319] = 2247,
  [2320] = 2295,
  [2321] = 2247,
  [2322] = 2285,
  [2323] = 2245,
  [2324] = 2295,
  [2325] = 2245,
  [2326] = 2253,
  [2327] = 2255,
  [2328] = 2253,
  [2329] = 2251,
  [2330] = 2256,
  [2331] = 2285,
  [2332] = 2332,
  [2333] = 2251,
  [2334] = 2246,
  [2335] = 2246,
  [2336] = 2254,
  [2337] = 2251,
  [2338] = 2256,
  [2339] = 2246,
  [2340] = 2219,
  [2341] = 2255,
  [2342] = 2247,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 779,
  [2347] = 774,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 767,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2344,
  [2358] = 2343,
  [2359] = 788,
  [2360] = 2360,
  [2361] = 779,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2345,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2350,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2349,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 774,
  [2382] = 2348,
  [2383] = 767,
  [2384] = 2384,
  [2385] = 879,
  [2386] = 2355,
  [2387] = 748,
  [2388] = 754,
  [2389] = 2378,
  [2390] = 2367,
  [2391] = 2391,
  [2392] = 755,
  [2393] = 748,
  [2394] = 2363,
  [2395] = 755,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 754,
  [2399] = 949,
  [2400] = 953,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 878,
  [2405] = 2405,
  [2406] = 2360,
  [2407] = 2407,
  [2408] = 2370,
  [2409] = 2409,
  [2410] = 2364,
  [2411] = 2411,
  [2412] = 788,
  [2413] = 2368,
  [2414] = 2414,
  [2415] = 943,
  [2416] = 2380,
  [2417] = 2379,
  [2418] = 741,
  [2419] = 2377,
  [2420] = 2420,
  [2421] = 2369,
  [2422] = 2422,
  [2423] = 2375,
  [2424] = 2374,
  [2425] = 2362,
  [2426] = 2426,
  [2427] = 2365,
  [2428] = 2372,
  [2429] = 2371,
  [2430] = 741,
  [2431] = 2431,
  [2432] = 2356,
  [2433] = 779,
  [2434] = 953,
  [2435] = 2391,
  [2436] = 2420,
  [2437] = 779,
  [2438] = 2396,
  [2439] = 2401,
  [2440] = 949,
  [2441] = 2431,
  [2442] = 767,
  [2443] = 878,
  [2444] = 2426,
  [2445] = 767,
  [2446] = 879,
  [2447] = 774,
  [2448] = 2397,
  [2449] = 2409,
  [2450] = 774,
  [2451] = 2405,
  [2452] = 2407,
  [2453] = 2411,
  [2454] = 2403,
  [2455] = 943,
  [2456] = 2384,
  [2457] = 2402,
  [2458] = 755,
  [2459] = 783,
  [2460] = 741,
  [2461] = 787,
  [2462] = 800,
  [2463] = 775,
  [2464] = 800,
  [2465] = 775,
  [2466] = 773,
  [2467] = 787,
  [2468] = 788,
  [2469] = 783,
  [2470] = 773,
  [2471] = 788,
  [2472] = 754,
  [2473] = 748,
  [2474] = 792,
  [2475] = 798,
  [2476] = 784,
  [2477] = 796,
  [2478] = 797,
  [2479] = 789,
  [2480] = 793,
  [2481] = 801,
  [2482] = 793,
  [2483] = 797,
  [2484] = 795,
  [2485] = 786,
  [2486] = 799,
  [2487] = 796,
  [2488] = 774,
  [2489] = 799,
  [2490] = 792,
  [2491] = 767,
  [2492] = 786,
  [2493] = 784,
  [2494] = 779,
  [2495] = 801,
  [2496] = 789,
  [2497] = 798,
  [2498] = 795,
  [2499] = 800,
  [2500] = 773,
  [2501] = 788,
  [2502] = 787,
  [2503] = 775,
  [2504] = 783,
  [2505] = 799,
  [2506] = 795,
  [2507] = 793,
  [2508] = 784,
  [2509] = 792,
  [2510] = 797,
  [2511] = 789,
  [2512] = 786,
  [2513] = 796,
  [2514] = 798,
  [2515] = 801,
  [2516] = 2349,
  [2517] = 2348,
  [2518] = 2350,
  [2519] = 841,
  [2520] = 2367,
  [2521] = 2521,
  [2522] = 2368,
  [2523] = 2523,
  [2524] = 2378,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2409,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2528,
  [2531] = 2402,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2538,
  [2540] = 2540,
  [2541] = 2538,
  [2542] = 2542,
  [2543] = 2538,
  [2544] = 2544,
  [2545] = 2538,
  [2546] = 2538,
  [2547] = 2538,
  [2548] = 2538,
  [2549] = 2538,
  [2550] = 2537,
  [2551] = 2538,
  [2552] = 2536,
  [2553] = 700,
  [2554] = 699,
  [2555] = 701,
  [2556] = 707,
  [2557] = 712,
  [2558] = 700,
  [2559] = 701,
  [2560] = 699,
  [2561] = 707,
  [2562] = 700,
  [2563] = 701,
  [2564] = 699,
  [2565] = 712,
  [2566] = 707,
  [2567] = 699,
  [2568] = 712,
  [2569] = 700,
  [2570] = 701,
  [2571] = 707,
  [2572] = 712,
  [2573] = 2573,
  [2574] = 700,
  [2575] = 701,
  [2576] = 699,
  [2577] = 767,
  [2578] = 748,
  [2579] = 2579,
  [2580] = 748,
  [2581] = 2581,
  [2582] = 754,
  [2583] = 779,
  [2584] = 741,
  [2585] = 774,
  [2586] = 2581,
  [2587] = 741,
  [2588] = 754,
  [2589] = 707,
  [2590] = 755,
  [2591] = 755,
  [2592] = 2579,
  [2593] = 767,
  [2594] = 788,
  [2595] = 712,
  [2596] = 767,
  [2597] = 774,
  [2598] = 779,
  [2599] = 779,
  [2600] = 774,
  [2601] = 910,
  [2602] = 936,
  [2603] = 933,
  [2604] = 932,
  [2605] = 931,
  [2606] = 930,
  [2607] = 929,
  [2608] = 928,
  [2609] = 926,
  [2610] = 783,
  [2611] = 904,
  [2612] = 943,
  [2613] = 920,
  [2614] = 919,
  [2615] = 934,
  [2616] = 935,
  [2617] = 788,
  [2618] = 788,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 912,
  [2622] = 800,
  [2623] = 878,
  [2624] = 787,
  [2625] = 871,
  [2626] = 938,
  [2627] = 773,
  [2628] = 879,
  [2629] = 923,
  [2630] = 937,
  [2631] = 773,
  [2632] = 957,
  [2633] = 775,
  [2634] = 911,
  [2635] = 908,
  [2636] = 953,
  [2637] = 949,
  [2638] = 775,
  [2639] = 800,
  [2640] = 783,
  [2641] = 951,
  [2642] = 889,
  [2643] = 897,
  [2644] = 944,
  [2645] = 787,
  [2646] = 796,
  [2647] = 786,
  [2648] = 795,
  [2649] = 799,
  [2650] = 789,
  [2651] = 797,
  [2652] = 795,
  [2653] = 784,
  [2654] = 796,
  [2655] = 801,
  [2656] = 798,
  [2657] = 801,
  [2658] = 793,
  [2659] = 798,
  [2660] = 792,
  [2661] = 786,
  [2662] = 789,
  [2663] = 792,
  [2664] = 784,
  [2665] = 799,
  [2666] = 797,
  [2667] = 793,
  [2668] = 767,
  [2669] = 779,
  [2670] = 774,
  [2671] = 774,
  [2672] = 2579,
  [2673] = 767,
  [2674] = 2674,
  [2675] = 2674,
  [2676] = 700,
  [2677] = 699,
  [2678] = 2674,
  [2679] = 788,
  [2680] = 2674,
  [2681] = 2674,
  [2682] = 2674,
  [2683] = 777,
  [2684] = 2674,
  [2685] = 788,
  [2686] = 2674,
  [2687] = 779,
  [2688] = 2674,
  [2689] = 2674,
  [2690] = 701,
  [2691] = 910,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 928,
  [2697] = 2697,
  [2698] = 779,
  [2699] = 2619,
  [2700] = 908,
  [2701] = 2620,
  [2702] = 2702,
  [2703] = 911,
  [2704] = 912,
  [2705] = 774,
  [2706] = 2706,
  [2707] = 767,
  [2708] = 919,
  [2709] = 920,
  [2710] = 926,
  [2711] = 2711,
  [2712] = 943,
  [2713] = 2713,
  [2714] = 879,
  [2715] = 2706,
  [2716] = 930,
  [2717] = 931,
  [2718] = 878,
  [2719] = 929,
  [2720] = 932,
  [2721] = 2706,
  [2722] = 933,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 934,
  [2726] = 889,
  [2727] = 935,
  [2728] = 936,
  [2729] = 897,
  [2730] = 2730,
  [2731] = 871,
  [2732] = 938,
  [2733] = 904,
  [2734] = 923,
  [2735] = 707,
  [2736] = 2706,
  [2737] = 2737,
  [2738] = 937,
  [2739] = 944,
  [2740] = 949,
  [2741] = 953,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2702,
  [2745] = 2737,
  [2746] = 957,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 951,
  [2750] = 957,
  [2751] = 2693,
  [2752] = 2620,
  [2753] = 2743,
  [2754] = 2619,
  [2755] = 879,
  [2756] = 897,
  [2757] = 2757,
  [2758] = 938,
  [2759] = 871,
  [2760] = 936,
  [2761] = 2761,
  [2762] = 935,
  [2763] = 934,
  [2764] = 933,
  [2765] = 932,
  [2766] = 931,
  [2767] = 904,
  [2768] = 930,
  [2769] = 929,
  [2770] = 928,
  [2771] = 2692,
  [2772] = 926,
  [2773] = 920,
  [2774] = 919,
  [2775] = 949,
  [2776] = 953,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2748,
  [2781] = 889,
  [2782] = 2782,
  [2783] = 787,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2747,
  [2788] = 2724,
  [2789] = 2742,
  [2790] = 2694,
  [2791] = 2695,
  [2792] = 2697,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 943,
  [2799] = 2799,
  [2800] = 878,
  [2801] = 783,
  [2802] = 951,
  [2803] = 912,
  [2804] = 944,
  [2805] = 937,
  [2806] = 923,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 910,
  [2810] = 2810,
  [2811] = 788,
  [2812] = 2812,
  [2813] = 908,
  [2814] = 911,
  [2815] = 2815,
  [2816] = 2815,
  [2817] = 2711,
  [2818] = 2818,
  [2819] = 2818,
  [2820] = 2815,
  [2821] = 712,
  [2822] = 2822,
  [2823] = 2822,
  [2824] = 2815,
  [2825] = 2818,
  [2826] = 2818,
  [2827] = 928,
  [2828] = 2697,
  [2829] = 2812,
  [2830] = 2807,
  [2831] = 2757,
  [2832] = 2782,
  [2833] = 2761,
  [2834] = 2777,
  [2835] = 2793,
  [2836] = 2713,
  [2837] = 2723,
  [2838] = 2742,
  [2839] = 2839,
  [2840] = 2695,
  [2841] = 2713,
  [2842] = 2737,
  [2843] = 2702,
  [2844] = 2808,
  [2845] = 2737,
  [2846] = 2796,
  [2847] = 2795,
  [2848] = 783,
  [2849] = 2695,
  [2850] = 2694,
  [2851] = 2693,
  [2852] = 787,
  [2853] = 2724,
  [2854] = 2747,
  [2855] = 2786,
  [2856] = 2784,
  [2857] = 2743,
  [2858] = 2742,
  [2859] = 2692,
  [2860] = 2778,
  [2861] = 2779,
  [2862] = 2748,
  [2863] = 2785,
  [2864] = 2864,
  [2865] = 908,
  [2866] = 2794,
  [2867] = 2723,
  [2868] = 2797,
  [2869] = 2799,
  [2870] = 2697,
  [2871] = 2694,
  [2872] = 2693,
  [2873] = 2724,
  [2874] = 2747,
  [2875] = 2743,
  [2876] = 2839,
  [2877] = 2692,
  [2878] = 2748,
  [2879] = 2839,
  [2880] = 2723,
  [2881] = 2702,
  [2882] = 889,
  [2883] = 2839,
  [2884] = 2723,
  [2885] = 897,
  [2886] = 911,
  [2887] = 953,
  [2888] = 949,
  [2889] = 912,
  [2890] = 919,
  [2891] = 920,
  [2892] = 926,
  [2893] = 929,
  [2894] = 878,
  [2895] = 879,
  [2896] = 930,
  [2897] = 931,
  [2898] = 932,
  [2899] = 943,
  [2900] = 933,
  [2901] = 934,
  [2902] = 935,
  [2903] = 2903,
  [2904] = 904,
  [2905] = 936,
  [2906] = 910,
  [2907] = 923,
  [2908] = 937,
  [2909] = 944,
  [2910] = 951,
  [2911] = 957,
  [2912] = 871,
  [2913] = 938,
  [2914] = 2914,
  [2915] = 2915,
  [2916] = 2916,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2919,
  [2920] = 2919,
  [2921] = 2921,
  [2922] = 2922,
  [2923] = 779,
  [2924] = 774,
  [2925] = 767,
  [2926] = 2926,
  [2927] = 2927,
  [2928] = 788,
  [2929] = 2713,
  [2930] = 2930,
  [2931] = 2793,
  [2932] = 796,
  [2933] = 2737,
  [2934] = 2934,
  [2935] = 2934,
  [2936] = 2702,
  [2937] = 2930,
  [2938] = 799,
  [2939] = 797,
  [2940] = 2940,
  [2941] = 871,
  [2942] = 931,
  [2943] = 2943,
  [2944] = 796,
  [2945] = 2943,
  [2946] = 2943,
  [2947] = 2943,
  [2948] = 2943,
  [2949] = 2927,
  [2950] = 2757,
  [2951] = 2782,
  [2952] = 2737,
  [2953] = 2943,
  [2954] = 2943,
  [2955] = 2943,
  [2956] = 2943,
  [2957] = 889,
  [2958] = 2943,
  [2959] = 2943,
  [2960] = 897,
  [2961] = 908,
  [2962] = 911,
  [2963] = 912,
  [2964] = 2761,
  [2965] = 2777,
  [2966] = 2713,
  [2967] = 919,
  [2968] = 920,
  [2969] = 926,
  [2970] = 928,
  [2971] = 2943,
  [2972] = 929,
  [2973] = 930,
  [2974] = 2943,
  [2975] = 2812,
  [2976] = 2943,
  [2977] = 932,
  [2978] = 933,
  [2979] = 934,
  [2980] = 935,
  [2981] = 2943,
  [2982] = 2943,
  [2983] = 938,
  [2984] = 957,
  [2985] = 951,
  [2986] = 944,
  [2987] = 937,
  [2988] = 2988,
  [2989] = 2943,
  [2990] = 2943,
  [2991] = 2943,
  [2992] = 2807,
  [2993] = 2993,
  [2994] = 923,
  [2995] = 2995,
  [2996] = 910,
  [2997] = 904,
  [2998] = 2943,
  [2999] = 797,
  [3000] = 2943,
  [3001] = 2702,
  [3002] = 2943,
  [3003] = 949,
  [3004] = 953,
  [3005] = 936,
  [3006] = 878,
  [3007] = 799,
  [3008] = 879,
  [3009] = 943,
  [3010] = 2914,
  [3011] = 748,
  [3012] = 3012,
  [3013] = 3013,
  [3014] = 748,
  [3015] = 3015,
  [3016] = 754,
  [3017] = 3015,
  [3018] = 755,
  [3019] = 741,
  [3020] = 3020,
  [3021] = 3015,
  [3022] = 3022,
  [3023] = 3012,
  [3024] = 3015,
  [3025] = 3015,
  [3026] = 3012,
  [3027] = 3015,
  [3028] = 3028,
  [3029] = 755,
  [3030] = 3015,
  [3031] = 3031,
  [3032] = 2926,
  [3033] = 3015,
  [3034] = 3034,
  [3035] = 3035,
  [3036] = 741,
  [3037] = 3015,
  [3038] = 3015,
  [3039] = 754,
  [3040] = 3040,
  [3041] = 774,
  [3042] = 3042,
  [3043] = 779,
  [3044] = 3044,
  [3045] = 3045,
  [3046] = 3044,
  [3047] = 1777,
  [3048] = 1802,
  [3049] = 3049,
  [3050] = 779,
  [3051] = 767,
  [3052] = 774,
  [3053] = 3053,
  [3054] = 3054,
  [3055] = 3053,
  [3056] = 3042,
  [3057] = 965,
  [3058] = 767,
  [3059] = 3059,
  [3060] = 894,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 3059,
  [3064] = 3045,
  [3065] = 1726,
  [3066] = 3053,
  [3067] = 3062,
  [3068] = 3068,
  [3069] = 3069,
  [3070] = 3070,
  [3071] = 3071,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 3071,
  [3075] = 3071,
  [3076] = 3073,
  [3077] = 3077,
  [3078] = 773,
  [3079] = 3079,
  [3080] = 3080,
  [3081] = 3072,
  [3082] = 3071,
  [3083] = 3069,
  [3084] = 3069,
  [3085] = 3085,
  [3086] = 3073,
  [3087] = 3073,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 3072,
  [3091] = 3072,
  [3092] = 3092,
  [3093] = 3093,
  [3094] = 3069,
  [3095] = 3095,
  [3096] = 3096,
  [3097] = 3097,
  [3098] = 3071,
  [3099] = 3085,
  [3100] = 3073,
  [3101] = 1802,
  [3102] = 3102,
  [3103] = 3070,
  [3104] = 1726,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 3092,
  [3108] = 3072,
  [3109] = 1777,
  [3110] = 3072,
  [3111] = 3073,
  [3112] = 3071,
  [3113] = 3069,
  [3114] = 800,
  [3115] = 2918,
  [3116] = 3068,
  [3117] = 3085,
  [3118] = 3096,
  [3119] = 3079,
  [3120] = 3071,
  [3121] = 3092,
  [3122] = 3073,
  [3123] = 3097,
  [3124] = 3072,
  [3125] = 3080,
  [3126] = 3072,
  [3127] = 3092,
  [3128] = 3079,
  [3129] = 3129,
  [3130] = 3071,
  [3131] = 3073,
  [3132] = 3072,
  [3133] = 3073,
  [3134] = 3092,
  [3135] = 783,
  [3136] = 3095,
  [3137] = 2917,
  [3138] = 3085,
  [3139] = 3092,
  [3140] = 3092,
  [3141] = 3071,
  [3142] = 3079,
  [3143] = 3092,
  [3144] = 3072,
  [3145] = 3095,
  [3146] = 783,
  [3147] = 3069,
  [3148] = 3071,
  [3149] = 3149,
  [3150] = 3069,
  [3151] = 3092,
  [3152] = 3071,
  [3153] = 3073,
  [3154] = 3097,
  [3155] = 3085,
  [3156] = 3092,
  [3157] = 3092,
  [3158] = 3106,
  [3159] = 3072,
  [3160] = 3160,
  [3161] = 3069,
  [3162] = 3079,
  [3163] = 3092,
  [3164] = 3071,
  [3165] = 3073,
  [3166] = 3092,
  [3167] = 788,
  [3168] = 3168,
  [3169] = 3169,
  [3170] = 3072,
  [3171] = 3092,
  [3172] = 3172,
  [3173] = 3079,
  [3174] = 3092,
  [3175] = 3092,
  [3176] = 3070,
  [3177] = 3071,
  [3178] = 3073,
  [3179] = 3069,
  [3180] = 3072,
  [3181] = 775,
  [3182] = 3069,
  [3183] = 3079,
  [3184] = 2921,
  [3185] = 3089,
  [3186] = 3079,
  [3187] = 3187,
  [3188] = 3077,
  [3189] = 3092,
  [3190] = 3071,
  [3191] = 3071,
  [3192] = 788,
  [3193] = 3193,
  [3194] = 3092,
  [3195] = 3068,
  [3196] = 3079,
  [3197] = 3071,
  [3198] = 3072,
  [3199] = 3085,
  [3200] = 3200,
  [3201] = 3089,
  [3202] = 3073,
  [3203] = 3073,
  [3204] = 3071,
  [3205] = 1964,
  [3206] = 3072,
  [3207] = 3092,
  [3208] = 3092,
  [3209] = 3072,
  [3210] = 1963,
  [3211] = 3211,
  [3212] = 3073,
  [3213] = 3073,
  [3214] = 3085,
  [3215] = 3097,
  [3216] = 3073,
  [3217] = 3217,
  [3218] = 1888,
  [3219] = 3072,
  [3220] = 3073,
  [3221] = 3079,
  [3222] = 3222,
  [3223] = 3071,
  [3224] = 1854,
  [3225] = 3071,
  [3226] = 3079,
  [3227] = 1917,
  [3228] = 3228,
  [3229] = 3073,
  [3230] = 3069,
  [3231] = 3071,
  [3232] = 3072,
  [3233] = 3079,
  [3234] = 3069,
  [3235] = 3092,
  [3236] = 3092,
  [3237] = 3072,
  [3238] = 3071,
  [3239] = 3073,
  [3240] = 3069,
  [3241] = 3069,
  [3242] = 3072,
  [3243] = 3072,
  [3244] = 3085,
  [3245] = 3245,
  [3246] = 3077,
  [3247] = 3068,
  [3248] = 3073,
  [3249] = 3249,
  [3250] = 3085,
  [3251] = 3249,
  [3252] = 775,
  [3253] = 787,
  [3254] = 773,
  [3255] = 3070,
  [3256] = 3096,
  [3257] = 3257,
  [3258] = 3106,
  [3259] = 3095,
  [3260] = 3249,
  [3261] = 3069,
  [3262] = 3079,
  [3263] = 3071,
  [3264] = 3089,
  [3265] = 3096,
  [3266] = 3073,
  [3267] = 787,
  [3268] = 3072,
  [3269] = 3080,
  [3270] = 3070,
  [3271] = 3077,
  [3272] = 3249,
  [3273] = 800,
  [3274] = 3080,
  [3275] = 3249,
  [3276] = 3085,
  [3277] = 3085,
  [3278] = 797,
  [3279] = 700,
  [3280] = 1962,
  [3281] = 1964,
  [3282] = 1963,
  [3283] = 792,
  [3284] = 1888,
  [3285] = 1854,
  [3286] = 798,
  [3287] = 793,
  [3288] = 1887,
  [3289] = 801,
  [3290] = 801,
  [3291] = 789,
  [3292] = 793,
  [3293] = 1917,
  [3294] = 796,
  [3295] = 792,
  [3296] = 789,
  [3297] = 798,
  [3298] = 795,
  [3299] = 796,
  [3300] = 701,
  [3301] = 797,
  [3302] = 799,
  [3303] = 1944,
  [3304] = 784,
  [3305] = 784,
  [3306] = 795,
  [3307] = 786,
  [3308] = 786,
  [3309] = 799,
  [3310] = 699,
  [3311] = 707,
  [3312] = 767,
  [3313] = 1944,
  [3314] = 1887,
  [3315] = 774,
  [3316] = 779,
  [3317] = 1962,
  [3318] = 748,
  [3319] = 755,
  [3320] = 3320,
  [3321] = 2581,
  [3322] = 788,
  [3323] = 783,
  [3324] = 787,
  [3325] = 3325,
  [3326] = 741,
  [3327] = 3320,
  [3328] = 754,
  [3329] = 755,
  [3330] = 2579,
  [3331] = 741,
  [3332] = 3320,
  [3333] = 2581,
  [3334] = 748,
  [3335] = 3320,
  [3336] = 2579,
  [3337] = 712,
  [3338] = 754,
  [3339] = 949,
  [3340] = 2793,
  [3341] = 2785,
  [3342] = 2794,
  [3343] = 879,
  [3344] = 878,
  [3345] = 904,
  [3346] = 2914,
  [3347] = 3347,
  [3348] = 2797,
  [3349] = 2807,
  [3350] = 3350,
  [3351] = 910,
  [3352] = 779,
  [3353] = 3353,
  [3354] = 923,
  [3355] = 937,
  [3356] = 3356,
  [3357] = 944,
  [3358] = 2799,
  [3359] = 957,
  [3360] = 3360,
  [3361] = 938,
  [3362] = 953,
  [3363] = 920,
  [3364] = 2795,
  [3365] = 919,
  [3366] = 2808,
  [3367] = 2796,
  [3368] = 897,
  [3369] = 767,
  [3370] = 2777,
  [3371] = 3371,
  [3372] = 943,
  [3373] = 3373,
  [3374] = 926,
  [3375] = 928,
  [3376] = 889,
  [3377] = 774,
  [3378] = 2779,
  [3379] = 908,
  [3380] = 2778,
  [3381] = 2711,
  [3382] = 929,
  [3383] = 2784,
  [3384] = 930,
  [3385] = 2812,
  [3386] = 931,
  [3387] = 932,
  [3388] = 2757,
  [3389] = 871,
  [3390] = 2782,
  [3391] = 936,
  [3392] = 3392,
  [3393] = 2786,
  [3394] = 933,
  [3395] = 951,
  [3396] = 3396,
  [3397] = 2761,
  [3398] = 934,
  [3399] = 935,
  [3400] = 767,
  [3401] = 2926,
  [3402] = 774,
  [3403] = 911,
  [3404] = 912,
  [3405] = 779,
  [3406] = 800,
  [3407] = 3407,
  [3408] = 3407,
  [3409] = 800,
  [3410] = 788,
  [3411] = 3407,
  [3412] = 788,
  [3413] = 3407,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 3415,
  [3417] = 3415,
  [3418] = 3415,
  [3419] = 3415,
  [3420] = 3420,
  [3421] = 3415,
  [3422] = 3422,
  [3423] = 3407,
  [3424] = 754,
  [3425] = 3407,
  [3426] = 3415,
  [3427] = 3427,
  [3428] = 755,
  [3429] = 3407,
  [3430] = 3415,
  [3431] = 748,
  [3432] = 3432,
  [3433] = 773,
  [3434] = 3434,
  [3435] = 775,
  [3436] = 3436,
  [3437] = 3407,
  [3438] = 741,
  [3439] = 3439,
  [3440] = 3415,
  [3441] = 787,
  [3442] = 3415,
  [3443] = 3443,
  [3444] = 783,
  [3445] = 3415,
  [3446] = 3446,
  [3447] = 3407,
  [3448] = 3407,
  [3449] = 3407,
  [3450] = 3450,
  [3451] = 3415,
  [3452] = 3407,
  [3453] = 3415,
  [3454] = 3407,
  [3455] = 3455,
  [3456] = 783,
  [3457] = 3407,
  [3458] = 787,
  [3459] = 3415,
  [3460] = 3407,
  [3461] = 773,
  [3462] = 3407,
  [3463] = 3407,
  [3464] = 3415,
  [3465] = 775,
  [3466] = 3407,
  [3467] = 3467,
  [3468] = 3415,
  [3469] = 3415,
  [3470] = 3415,
  [3471] = 3415,
  [3472] = 3472,
  [3473] = 3407,
  [3474] = 3474,
  [3475] = 792,
  [3476] = 3476,
  [3477] = 784,
  [3478] = 3478,
  [3479] = 3479,
  [3480] = 3480,
  [3481] = 3481,
  [3482] = 3482,
  [3483] = 767,
  [3484] = 3482,
  [3485] = 2061,
  [3486] = 3486,
  [3487] = 3478,
  [3488] = 3482,
  [3489] = 3478,
  [3490] = 789,
  [3491] = 786,
  [3492] = 3478,
  [3493] = 798,
  [3494] = 801,
  [3495] = 3482,
  [3496] = 3482,
  [3497] = 3478,
  [3498] = 3478,
  [3499] = 2692,
  [3500] = 2748,
  [3501] = 3482,
  [3502] = 3482,
  [3503] = 3478,
  [3504] = 3478,
  [3505] = 3478,
  [3506] = 3478,
  [3507] = 3482,
  [3508] = 3482,
  [3509] = 3509,
  [3510] = 3510,
  [3511] = 3511,
  [3512] = 2918,
  [3513] = 3482,
  [3514] = 3514,
  [3515] = 793,
  [3516] = 2723,
  [3517] = 3517,
  [3518] = 3478,
  [3519] = 3482,
  [3520] = 795,
  [3521] = 792,
  [3522] = 3478,
  [3523] = 3478,
  [3524] = 2697,
  [3525] = 796,
  [3526] = 2695,
  [3527] = 2694,
  [3528] = 2921,
  [3529] = 797,
  [3530] = 786,
  [3531] = 3482,
  [3532] = 2693,
  [3533] = 799,
  [3534] = 789,
  [3535] = 3535,
  [3536] = 2702,
  [3537] = 784,
  [3538] = 2724,
  [3539] = 798,
  [3540] = 2917,
  [3541] = 2747,
  [3542] = 3542,
  [3543] = 3478,
  [3544] = 774,
  [3545] = 3482,
  [3546] = 3482,
  [3547] = 3478,
  [3548] = 2742,
  [3549] = 2743,
  [3550] = 796,
  [3551] = 797,
  [3552] = 3478,
  [3553] = 799,
  [3554] = 801,
  [3555] = 2737,
  [3556] = 3478,
  [3557] = 793,
  [3558] = 3482,
  [3559] = 2713,
  [3560] = 3482,
  [3561] = 795,
  [3562] = 779,
  [3563] = 841,
  [3564] = 3482,
  [3565] = 3565,
  [3566] = 2076,
  [3567] = 3565,
  [3568] = 800,
  [3569] = 2061,
  [3570] = 2072,
  [3571] = 2079,
  [3572] = 3572,
  [3573] = 3573,
  [3574] = 775,
  [3575] = 773,
  [3576] = 3565,
  [3577] = 3577,
  [3578] = 3535,
  [3579] = 3565,
  [3580] = 3565,
  [3581] = 2080,
  [3582] = 2078,
  [3583] = 2073,
  [3584] = 3565,
  [3585] = 3565,
  [3586] = 2074,
  [3587] = 2077,
  [3588] = 3565,
  [3589] = 788,
  [3590] = 2075,
  [3591] = 787,
  [3592] = 3565,
  [3593] = 3572,
  [3594] = 3565,
  [3595] = 3577,
  [3596] = 3565,
  [3597] = 783,
  [3598] = 3565,
  [3599] = 3565,
  [3600] = 3565,
  [3601] = 841,
  [3602] = 3565,
  [3603] = 3565,
  [3604] = 3565,
  [3605] = 2078,
  [3606] = 2095,
  [3607] = 795,
  [3608] = 2103,
  [3609] = 748,
  [3610] = 755,
  [3611] = 2106,
  [3612] = 2107,
  [3613] = 2083,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 754,
  [3617] = 2088,
  [3618] = 2737,
  [3619] = 2702,
  [3620] = 2101,
  [3621] = 3615,
  [3622] = 741,
  [3623] = 2092,
  [3624] = 2096,
  [3625] = 2089,
  [3626] = 2090,
  [3627] = 2093,
  [3628] = 2094,
  [3629] = 2102,
  [3630] = 2076,
  [3631] = 2079,
  [3632] = 2072,
  [3633] = 2086,
  [3634] = 2080,
  [3635] = 2087,
  [3636] = 792,
  [3637] = 793,
  [3638] = 2073,
  [3639] = 801,
  [3640] = 2074,
  [3641] = 798,
  [3642] = 784,
  [3643] = 2077,
  [3644] = 2075,
  [3645] = 3645,
  [3646] = 786,
  [3647] = 789,
  [3648] = 2101,
  [3649] = 3649,
  [3650] = 779,
  [3651] = 2088,
  [3652] = 2737,
  [3653] = 2083,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 2107,
  [3657] = 3657,
  [3658] = 2106,
  [3659] = 2103,
  [3660] = 2713,
  [3661] = 2737,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 2096,
  [3665] = 3665,
  [3666] = 2089,
  [3667] = 2090,
  [3668] = 2094,
  [3669] = 2697,
  [3670] = 774,
  [3671] = 767,
  [3672] = 2102,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 2086,
  [3676] = 2087,
  [3677] = 2095,
  [3678] = 3662,
  [3679] = 2093,
  [3680] = 3680,
  [3681] = 2914,
  [3682] = 3682,
  [3683] = 2092,
  [3684] = 2748,
  [3685] = 2695,
  [3686] = 2702,
  [3687] = 2694,
  [3688] = 2742,
  [3689] = 2693,
  [3690] = 3655,
  [3691] = 2724,
  [3692] = 2926,
  [3693] = 3654,
  [3694] = 2748,
  [3695] = 3655,
  [3696] = 3654,
  [3697] = 2692,
  [3698] = 2747,
  [3699] = 2743,
  [3700] = 2747,
  [3701] = 2702,
  [3702] = 2724,
  [3703] = 2692,
  [3704] = 2742,
  [3705] = 3705,
  [3706] = 3673,
  [3707] = 2693,
  [3708] = 2694,
  [3709] = 2743,
  [3710] = 3655,
  [3711] = 3654,
  [3712] = 3712,
  [3713] = 2695,
  [3714] = 3714,
  [3715] = 2697,
  [3716] = 2723,
  [3717] = 3717,
  [3718] = 3673,
  [3719] = 3673,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 3722,
  [3725] = 3720,
  [3726] = 3722,
  [3727] = 3722,
  [3728] = 3720,
  [3729] = 773,
  [3730] = 3721,
  [3731] = 3723,
  [3732] = 3732,
  [3733] = 3721,
  [3734] = 775,
  [3735] = 3722,
  [3736] = 3736,
  [3737] = 3737,
  [3738] = 3722,
  [3739] = 3722,
  [3740] = 3722,
  [3741] = 3722,
  [3742] = 3722,
  [3743] = 3720,
  [3744] = 3722,
  [3745] = 3722,
  [3746] = 3720,
  [3747] = 3720,
  [3748] = 3722,
  [3749] = 3737,
  [3750] = 3737,
  [3751] = 2702,
  [3752] = 3722,
  [3753] = 800,
  [3754] = 2702,
  [3755] = 3720,
  [3756] = 2723,
  [3757] = 3722,
  [3758] = 2737,
  [3759] = 3737,
  [3760] = 3760,
  [3761] = 3722,
  [3762] = 3737,
  [3763] = 3722,
  [3764] = 3720,
  [3765] = 3720,
  [3766] = 3736,
  [3767] = 3720,
  [3768] = 3720,
  [3769] = 3760,
  [3770] = 3722,
  [3771] = 3737,
  [3772] = 3737,
  [3773] = 2697,
  [3774] = 2695,
  [3775] = 2713,
  [3776] = 3720,
  [3777] = 2694,
  [3778] = 3760,
  [3779] = 2692,
  [3780] = 2748,
  [3781] = 3722,
  [3782] = 3720,
  [3783] = 2926,
  [3784] = 3722,
  [3785] = 2693,
  [3786] = 2724,
  [3787] = 3787,
  [3788] = 3760,
  [3789] = 3720,
  [3790] = 2747,
  [3791] = 787,
  [3792] = 3721,
  [3793] = 788,
  [3794] = 3794,
  [3795] = 783,
  [3796] = 3722,
  [3797] = 3797,
  [3798] = 3737,
  [3799] = 3720,
  [3800] = 3720,
  [3801] = 3801,
  [3802] = 3802,
  [3803] = 3720,
  [3804] = 3804,
  [3805] = 3720,
  [3806] = 2743,
  [3807] = 2742,
  [3808] = 3760,
  [3809] = 3809,
  [3810] = 2742,
  [3811] = 3722,
  [3812] = 2743,
  [3813] = 3737,
  [3814] = 3720,
  [3815] = 3815,
  [3816] = 2692,
  [3817] = 3720,
  [3818] = 2748,
  [3819] = 3722,
  [3820] = 3737,
  [3821] = 3721,
  [3822] = 2737,
  [3823] = 3736,
  [3824] = 2747,
  [3825] = 3720,
  [3826] = 2724,
  [3827] = 2693,
  [3828] = 3720,
  [3829] = 2694,
  [3830] = 2695,
  [3831] = 2697,
  [3832] = 3832,
  [3833] = 3833,
  [3834] = 3834,
  [3835] = 3835,
  [3836] = 3836,
  [3837] = 3837,
  [3838] = 3838,
  [3839] = 2921,
  [3840] = 3832,
  [3841] = 3841,
  [3842] = 3842,
  [3843] = 2917,
  [3844] = 3832,
  [3845] = 3845,
  [3846] = 3846,
  [3847] = 2918,
  [3848] = 3832,
  [3849] = 3849,
  [3850] = 3832,
  [3851] = 3832,
  [3852] = 3832,
  [3853] = 3832,
  [3854] = 3854,
  [3855] = 3832,
  [3856] = 3833,
  [3857] = 3832,
  [3858] = 3832,
  [3859] = 3832,
  [3860] = 3833,
  [3861] = 3845,
  [3862] = 799,
  [3863] = 797,
  [3864] = 1726,
  [3865] = 3841,
  [3866] = 3866,
  [3867] = 3833,
  [3868] = 3834,
  [3869] = 3836,
  [3870] = 796,
  [3871] = 3871,
  [3872] = 3842,
  [3873] = 3838,
  [3874] = 792,
  [3875] = 3846,
  [3876] = 3845,
  [3877] = 786,
  [3878] = 3845,
  [3879] = 3846,
  [3880] = 3880,
  [3881] = 3881,
  [3882] = 2692,
  [3883] = 789,
  [3884] = 2748,
  [3885] = 2742,
  [3886] = 2743,
  [3887] = 3887,
  [3888] = 3888,
  [3889] = 2747,
  [3890] = 2724,
  [3891] = 795,
  [3892] = 784,
  [3893] = 3832,
  [3894] = 2693,
  [3895] = 2694,
  [3896] = 793,
  [3897] = 2695,
  [3898] = 798,
  [3899] = 2697,
  [3900] = 801,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3901,
  [3905] = 3905,
  [3906] = 3842,
  [3907] = 3907,
  [3908] = 3901,
  [3909] = 3909,
  [3910] = 3907,
  [3911] = 3901,
  [3912] = 3907,
  [3913] = 3907,
  [3914] = 3914,
  [3915] = 3915,
  [3916] = 3905,
  [3917] = 3841,
  [3918] = 3909,
  [3919] = 3914,
  [3920] = 3902,
  [3921] = 3905,
  [3922] = 3901,
  [3923] = 3836,
  [3924] = 3838,
  [3925] = 3907,
  [3926] = 3905,
  [3927] = 3905,
  [3928] = 3905,
  [3929] = 3907,
  [3930] = 3907,
  [3931] = 3905,
  [3932] = 3905,
  [3933] = 3905,
  [3934] = 3907,
  [3935] = 3902,
  [3936] = 3901,
  [3937] = 3905,
  [3938] = 3909,
  [3939] = 3907,
  [3940] = 3907,
  [3941] = 3905,
  [3942] = 3914,
  [3943] = 3907,
  [3944] = 3905,
  [3945] = 3901,
  [3946] = 3909,
  [3947] = 3854,
  [3948] = 3907,
  [3949] = 3914,
  [3950] = 3905,
  [3951] = 3905,
  [3952] = 3907,
  [3953] = 3953,
  [3954] = 3905,
  [3955] = 3914,
  [3956] = 3914,
  [3957] = 3914,
  [3958] = 3914,
  [3959] = 3907,
  [3960] = 3914,
  [3961] = 3901,
  [3962] = 3907,
  [3963] = 3963,
  [3964] = 3914,
  [3965] = 3915,
  [3966] = 3907,
  [3967] = 3914,
  [3968] = 3905,
  [3969] = 3914,
  [3970] = 3902,
  [3971] = 3914,
  [3972] = 3914,
  [3973] = 3914,
  [3974] = 3974,
  [3975] = 3901,
  [3976] = 3905,
  [3977] = 3914,
  [3978] = 3901,
  [3979] = 3914,
  [3980] = 2927,
  [3981] = 3907,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3984,
  [3985] = 3985,
  [3986] = 3986,
  [3987] = 3987,
  [3988] = 3988,
  [3989] = 3987,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3988,
  [3993] = 3993,
  [3994] = 3993,
  [3995] = 3995,
  [3996] = 3988,
  [3997] = 3993,
  [3998] = 3987,
  [3999] = 3993,
  [4000] = 3988,
  [4001] = 3991,
  [4002] = 3988,
  [4003] = 3995,
  [4004] = 3993,
  [4005] = 3993,
  [4006] = 4006,
  [4007] = 4007,
  [4008] = 4008,
  [4009] = 3991,
  [4010] = 3988,
  [4011] = 3988,
  [4012] = 3993,
  [4013] = 4013,
  [4014] = 4014,
  [4015] = 3988,
  [4016] = 3988,
  [4017] = 3995,
  [4018] = 3995,
  [4019] = 3988,
  [4020] = 3993,
  [4021] = 3991,
  [4022] = 3988,
  [4023] = 3988,
  [4024] = 3991,
  [4025] = 3993,
  [4026] = 2217,
  [4027] = 4027,
  [4028] = 3995,
  [4029] = 3991,
  [4030] = 3991,
  [4031] = 4013,
  [4032] = 3987,
  [4033] = 3990,
  [4034] = 3993,
  [4035] = 4014,
  [4036] = 3993,
  [4037] = 3988,
  [4038] = 3993,
  [4039] = 3995,
  [4040] = 3991,
  [4041] = 3988,
  [4042] = 3993,
  [4043] = 4008,
  [4044] = 3995,
  [4045] = 4006,
  [4046] = 3993,
  [4047] = 3988,
  [4048] = 3991,
  [4049] = 3988,
  [4050] = 4006,
  [4051] = 3993,
  [4052] = 3993,
  [4053] = 3988,
  [4054] = 4054,
  [4055] = 2219,
  [4056] = 3995,
  [4057] = 3988,
  [4058] = 3988,
  [4059] = 3993,
  [4060] = 3995,
  [4061] = 3995,
  [4062] = 3993,
  [4063] = 4006,
  [4064] = 3993,
  [4065] = 4013,
  [4066] = 3990,
  [4067] = 4013,
  [4068] = 4008,
  [4069] = 3993,
  [4070] = 3991,
  [4071] = 3993,
  [4072] = 3990,
  [4073] = 4073,
  [4074] = 3988,
  [4075] = 3993,
  [4076] = 4008,
  [4077] = 4077,
  [4078] = 3993,
  [4079] = 3988,
  [4080] = 4014,
  [4081] = 4014,
  [4082] = 3988,
  [4083] = 3988,
  [4084] = 4084,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 4084,
  [4090] = 4086,
  [4091] = 4084,
  [4092] = 4085,
  [4093] = 4087,
  [4094] = 4094,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 4097,
  [4098] = 4085,
  [4099] = 4097,
  [4100] = 2349,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 2348,
  [4104] = 4097,
  [4105] = 4087,
  [4106] = 4106,
  [4107] = 4107,
  [4108] = 4108,
  [4109] = 4087,
  [4110] = 4084,
  [4111] = 4086,
  [4112] = 4097,
  [4113] = 4113,
  [4114] = 4085,
  [4115] = 4102,
  [4116] = 4086,
  [4117] = 4084,
  [4118] = 2350,
  [4119] = 4088,
  [4120] = 4097,
  [4121] = 4084,
  [4122] = 4097,
  [4123] = 4088,
  [4124] = 4124,
  [4125] = 4088,
  [4126] = 4102,
  [4127] = 4084,
  [4128] = 4102,
  [4129] = 4084,
  [4130] = 4097,
  [4131] = 4131,
  [4132] = 4124,
  [4133] = 4097,
  [4134] = 4131,
  [4135] = 2219,
  [4136] = 4136,
  [4137] = 2217,
  [4138] = 4084,
  [4139] = 4139,
  [4140] = 4097,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 2927,
  [4145] = 4145,
  [4146] = 4146,
  [4147] = 4147,
  [4148] = 4148,
  [4149] = 4097,
  [4150] = 4084,
  [4151] = 4151,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 2367,
  [4155] = 2344,
  [4156] = 4156,
  [4157] = 4156,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 4158,
  [4161] = 4161,
  [4162] = 841,
  [4163] = 4163,
  [4164] = 4164,
  [4165] = 4165,
  [4166] = 4166,
  [4167] = 4158,
  [4168] = 4168,
  [4169] = 4169,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4172,
  [4173] = 4159,
  [4174] = 4170,
  [4175] = 4172,
  [4176] = 4165,
  [4177] = 4166,
  [4178] = 2343,
  [4179] = 4179,
  [4180] = 4170,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 4156,
  [4186] = 4172,
  [4187] = 2349,
  [4188] = 4188,
  [4189] = 4166,
  [4190] = 4190,
  [4191] = 4158,
  [4192] = 4192,
  [4193] = 4161,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4170,
  [4197] = 4172,
  [4198] = 4170,
  [4199] = 4199,
  [4200] = 4200,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4172,
  [4205] = 4205,
  [4206] = 4165,
  [4207] = 4207,
  [4208] = 4164,
  [4209] = 4209,
  [4210] = 4166,
  [4211] = 4172,
  [4212] = 4172,
  [4213] = 4213,
  [4214] = 4214,
  [4215] = 4170,
  [4216] = 4158,
  [4217] = 4170,
  [4218] = 4156,
  [4219] = 4219,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4161,
  [4223] = 4223,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4156,
  [4227] = 779,
  [4228] = 4228,
  [4229] = 4183,
  [4230] = 779,
  [4231] = 4165,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4165,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 4158,
  [4239] = 4190,
  [4240] = 4199,
  [4241] = 4228,
  [4242] = 4236,
  [4243] = 4165,
  [4244] = 4244,
  [4245] = 4182,
  [4246] = 4246,
  [4247] = 4221,
  [4248] = 4248,
  [4249] = 4249,
  [4250] = 4165,
  [4251] = 4170,
  [4252] = 4172,
  [4253] = 4253,
  [4254] = 4181,
  [4255] = 4161,
  [4256] = 4171,
  [4257] = 4202,
  [4258] = 4258,
  [4259] = 4166,
  [4260] = 4165,
  [4261] = 4199,
  [4262] = 4166,
  [4263] = 4263,
  [4264] = 4264,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 4183,
  [4268] = 4165,
  [4269] = 2368,
  [4270] = 4253,
  [4271] = 4271,
  [4272] = 4272,
  [4273] = 4166,
  [4274] = 4183,
  [4275] = 4156,
  [4276] = 4276,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4170,
  [4280] = 4172,
  [4281] = 2378,
  [4282] = 4199,
  [4283] = 4283,
  [4284] = 4166,
  [4285] = 4166,
  [4286] = 2348,
  [4287] = 4158,
  [4288] = 4190,
  [4289] = 4156,
  [4290] = 4236,
  [4291] = 4291,
  [4292] = 4182,
  [4293] = 4181,
  [4294] = 4294,
  [4295] = 4171,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4166,
  [4299] = 4156,
  [4300] = 4253,
  [4301] = 4159,
  [4302] = 2350,
  [4303] = 4165,
  [4304] = 4158,
  [4305] = 4190,
  [4306] = 4306,
  [4307] = 2345,
  [4308] = 4156,
  [4309] = 4159,
  [4310] = 4236,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 4253,
  [4314] = 4314,
  [4315] = 4171,
  [4316] = 4276,
  [4317] = 4317,
  [4318] = 4170,
  [4319] = 4172,
  [4320] = 4182,
  [4321] = 4321,
  [4322] = 4156,
  [4323] = 4181,
  [4324] = 4220,
  [4325] = 4224,
  [4326] = 4166,
  [4327] = 4166,
  [4328] = 4328,
  [4329] = 4329,
  [4330] = 878,
  [4331] = 4331,
  [4332] = 943,
  [4333] = 4333,
  [4334] = 4331,
  [4335] = 4335,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 926,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 4341,
  [4342] = 4342,
  [4343] = 4343,
  [4344] = 4344,
  [4345] = 4345,
  [4346] = 4336,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4349,
  [4350] = 4350,
  [4351] = 4351,
  [4352] = 4352,
  [4353] = 953,
  [4354] = 4354,
  [4355] = 4335,
  [4356] = 4356,
  [4357] = 4331,
  [4358] = 4358,
  [4359] = 2368,
  [4360] = 4345,
  [4361] = 4331,
  [4362] = 4362,
  [4363] = 4354,
  [4364] = 2378,
  [4365] = 4340,
  [4366] = 4366,
  [4367] = 889,
  [4368] = 4368,
  [4369] = 2367,
  [4370] = 4331,
  [4371] = 4345,
  [4372] = 4352,
  [4373] = 4336,
  [4374] = 4350,
  [4375] = 4336,
  [4376] = 897,
  [4377] = 4377,
  [4378] = 4378,
  [4379] = 4335,
  [4380] = 4335,
  [4381] = 908,
  [4382] = 4331,
  [4383] = 4331,
  [4384] = 4384,
  [4385] = 911,
  [4386] = 4354,
  [4387] = 4333,
  [4388] = 4348,
  [4389] = 4352,
  [4390] = 4390,
  [4391] = 4329,
  [4392] = 4392,
  [4393] = 4350,
  [4394] = 4348,
  [4395] = 4395,
  [4396] = 4345,
  [4397] = 4340,
  [4398] = 4340,
  [4399] = 4345,
  [4400] = 4331,
  [4401] = 912,
  [4402] = 4402,
  [4403] = 4341,
  [4404] = 904,
  [4405] = 4405,
  [4406] = 4335,
  [4407] = 2409,
  [4408] = 4331,
  [4409] = 4409,
  [4410] = 910,
  [4411] = 4411,
  [4412] = 4356,
  [4413] = 4345,
  [4414] = 4331,
  [4415] = 4333,
  [4416] = 4340,
  [4417] = 4354,
  [4418] = 923,
  [4419] = 4329,
  [4420] = 937,
  [4421] = 944,
  [4422] = 4422,
  [4423] = 4423,
  [4424] = 4352,
  [4425] = 4425,
  [4426] = 4340,
  [4427] = 4335,
  [4428] = 4428,
  [4429] = 4348,
  [4430] = 4335,
  [4431] = 4350,
  [4432] = 4331,
  [4433] = 4351,
  [4434] = 2343,
  [4435] = 919,
  [4436] = 4425,
  [4437] = 4352,
  [4438] = 4354,
  [4439] = 4350,
  [4440] = 4440,
  [4441] = 4354,
  [4442] = 4352,
  [4443] = 4348,
  [4444] = 4440,
  [4445] = 4445,
  [4446] = 4446,
  [4447] = 879,
  [4448] = 4448,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 4331,
  [4452] = 4390,
  [4453] = 4339,
  [4454] = 4350,
  [4455] = 4340,
  [4456] = 4456,
  [4457] = 951,
  [4458] = 4335,
  [4459] = 4459,
  [4460] = 4460,
  [4461] = 4448,
  [4462] = 4462,
  [4463] = 4456,
  [4464] = 4464,
  [4465] = 4340,
  [4466] = 4331,
  [4467] = 4345,
  [4468] = 4464,
  [4469] = 4469,
  [4470] = 4368,
  [4471] = 4377,
  [4472] = 4472,
  [4473] = 4345,
  [4474] = 4358,
  [4475] = 4395,
  [4476] = 4348,
  [4477] = 4347,
  [4478] = 4478,
  [4479] = 4392,
  [4480] = 4445,
  [4481] = 4390,
  [4482] = 4339,
  [4483] = 4395,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 4392,
  [4487] = 4377,
  [4488] = 957,
  [4489] = 938,
  [4490] = 871,
  [4491] = 4378,
  [4492] = 4328,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 949,
  [4496] = 4496,
  [4497] = 4494,
  [4498] = 4335,
  [4499] = 4499,
  [4500] = 4351,
  [4501] = 4378,
  [4502] = 936,
  [4503] = 4341,
  [4504] = 4392,
  [4505] = 4329,
  [4506] = 4464,
  [4507] = 4395,
  [4508] = 4392,
  [4509] = 4345,
  [4510] = 4390,
  [4511] = 4339,
  [4512] = 3838,
  [4513] = 4493,
  [4514] = 4514,
  [4515] = 4335,
  [4516] = 4356,
  [4517] = 4377,
  [4518] = 4345,
  [4519] = 4378,
  [4520] = 4335,
  [4521] = 4392,
  [4522] = 4395,
  [4523] = 4329,
  [4524] = 4345,
  [4525] = 935,
  [4526] = 4345,
  [4527] = 4395,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4339,
  [4531] = 4484,
  [4532] = 4532,
  [4533] = 4533,
  [4534] = 4329,
  [4535] = 4390,
  [4536] = 4339,
  [4537] = 4445,
  [4538] = 4333,
  [4539] = 4478,
  [4540] = 4377,
  [4541] = 4368,
  [4542] = 934,
  [4543] = 4395,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4392,
  [4547] = 4390,
  [4548] = 4339,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4340,
  [4553] = 4553,
  [4554] = 4484,
  [4555] = 4340,
  [4556] = 2363,
  [4557] = 2402,
  [4558] = 4348,
  [4559] = 4559,
  [4560] = 4378,
  [4561] = 4411,
  [4562] = 4350,
  [4563] = 4456,
  [4564] = 4335,
  [4565] = 4352,
  [4566] = 4354,
  [4567] = 4494,
  [4568] = 933,
  [4569] = 4348,
  [4570] = 4448,
  [4571] = 4571,
  [4572] = 4572,
  [4573] = 4494,
  [4574] = 4339,
  [4575] = 4575,
  [4576] = 4350,
  [4577] = 4377,
  [4578] = 4440,
  [4579] = 932,
  [4580] = 4493,
  [4581] = 4581,
  [4582] = 4390,
  [4583] = 4328,
  [4584] = 4352,
  [4585] = 920,
  [4586] = 3836,
  [4587] = 4390,
  [4588] = 4392,
  [4589] = 4425,
  [4590] = 4378,
  [4591] = 4354,
  [4592] = 4395,
  [4593] = 4378,
  [4594] = 4339,
  [4595] = 4478,
  [4596] = 4333,
  [4597] = 4378,
  [4598] = 4484,
  [4599] = 4331,
  [4600] = 4445,
  [4601] = 4345,
  [4602] = 4333,
  [4603] = 4351,
  [4604] = 4604,
  [4605] = 4351,
  [4606] = 4335,
  [4607] = 2345,
  [4608] = 4411,
  [4609] = 4351,
  [4610] = 4351,
  [4611] = 4333,
  [4612] = 931,
  [4613] = 4613,
  [4614] = 4329,
  [4615] = 4478,
  [4616] = 4514,
  [4617] = 4329,
  [4618] = 4377,
  [4619] = 4351,
  [4620] = 4620,
  [4621] = 4331,
  [4622] = 4335,
  [4623] = 4368,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4626,
  [4627] = 930,
  [4628] = 4464,
  [4629] = 4629,
  [4630] = 4333,
  [4631] = 4384,
  [4632] = 4335,
  [4633] = 4340,
  [4634] = 4634,
  [4635] = 4335,
  [4636] = 4377,
  [4637] = 4390,
  [4638] = 4378,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4456,
  [4642] = 4356,
  [4643] = 4643,
  [4644] = 4392,
  [4645] = 4339,
  [4646] = 929,
  [4647] = 4340,
  [4648] = 4395,
  [4649] = 4345,
  [4650] = 4650,
  [4651] = 4341,
  [4652] = 4331,
  [4653] = 4335,
  [4654] = 4448,
  [4655] = 4331,
  [4656] = 4351,
  [4657] = 4493,
  [4658] = 4440,
  [4659] = 4411,
  [4660] = 4625,
  [4661] = 4329,
  [4662] = 4351,
  [4663] = 4663,
  [4664] = 4425,
  [4665] = 4377,
  [4666] = 2344,
  [4667] = 4333,
  [4668] = 4333,
  [4669] = 4328,
  [4670] = 4670,
  [4671] = 4378,
  [4672] = 4340,
  [4673] = 928,
  [4674] = 4629,
  [4675] = 4675,
  [4676] = 4392,
  [4677] = 4411,
  [4678] = 4340,
  [4679] = 4348,
  [4680] = 4340,
  [4681] = 4395,
  [4682] = 4339,
  [4683] = 4348,
  [4684] = 4350,
  [4685] = 4390,
  [4686] = 4352,
  [4687] = 4687,
  [4688] = 4354,
  [4689] = 4689,
  [4690] = 4350,
  [4691] = 4345,
  [4692] = 4692,
  [4693] = 4336,
  [4694] = 4464,
  [4695] = 4377,
  [4696] = 4329,
  [4697] = 4352,
  [4698] = 4354,
  [4699] = 4699,
  [4700] = 4700,
  [4701] = 4701,
  [4702] = 4702,
  [4703] = 4703,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4712,
  [4713] = 4713,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 4716,
  [4717] = 4717,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4723,
  [4724] = 4724,
  [4725] = 4725,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4728,
  [4729] = 4729,
  [4730] = 4730,
  [4731] = 4718,
  [4732] = 4732,
  [4733] = 4733,
  [4734] = 4734,
  [4735] = 4735,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4740,
  [4741] = 4701,
  [4742] = 4742,
  [4743] = 4702,
  [4744] = 4718,
  [4745] = 4710,
  [4746] = 4711,
  [4747] = 4747,
  [4748] = 4724,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4706,
  [4752] = 4752,
  [4753] = 4753,
  [4754] = 4754,
  [4755] = 4713,
  [4756] = 4756,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 4760,
  [4761] = 4726,
  [4762] = 4733,
  [4763] = 4738,
  [4764] = 4764,
  [4765] = 4765,
  [4766] = 4704,
  [4767] = 4705,
  [4768] = 4768,
  [4769] = 4739,
  [4770] = 4709,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4712,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4719,
  [4778] = 4723,
  [4779] = 4779,
  [4780] = 4722,
  [4781] = 4723,
  [4782] = 4724,
  [4783] = 4736,
  [4784] = 4726,
  [4785] = 4785,
  [4786] = 4729,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 4735,
  [4790] = 4722,
  [4791] = 4734,
  [4792] = 4735,
  [4793] = 4793,
  [4794] = 4734,
  [4795] = 4729,
  [4796] = 4719,
  [4797] = 4797,
  [4798] = 4710,
  [4799] = 4711,
  [4800] = 4800,
  [4801] = 4774,
  [4802] = 4726,
  [4803] = 4724,
  [4804] = 4706,
  [4805] = 4723,
  [4806] = 4722,
  [4807] = 4719,
  [4808] = 4713,
  [4809] = 4772,
  [4810] = 4788,
  [4811] = 4750,
  [4812] = 4712,
  [4813] = 4709,
  [4814] = 4733,
  [4815] = 4738,
  [4816] = 4747,
  [4817] = 4817,
  [4818] = 4704,
  [4819] = 4819,
  [4820] = 4705,
  [4821] = 4704,
  [4822] = 4719,
  [4823] = 4823,
  [4824] = 4738,
  [4825] = 4723,
  [4826] = 4733,
  [4827] = 4718,
  [4828] = 4828,
  [4829] = 4758,
  [4830] = 4830,
  [4831] = 4831,
  [4832] = 4710,
  [4833] = 4711,
  [4834] = 4713,
  [4835] = 2370,
  [4836] = 4836,
  [4837] = 4706,
  [4838] = 4706,
  [4839] = 4740,
  [4840] = 4711,
  [4841] = 4713,
  [4842] = 4710,
  [4843] = 4843,
  [4844] = 4844,
  [4845] = 4728,
  [4846] = 4717,
  [4847] = 4733,
  [4848] = 4738,
  [4849] = 4739,
  [4850] = 4727,
  [4851] = 4704,
  [4852] = 4852,
  [4853] = 4853,
  [4854] = 4719,
  [4855] = 4855,
  [4856] = 4739,
  [4857] = 4723,
  [4858] = 4739,
  [4859] = 4859,
  [4860] = 4860,
  [4861] = 4739,
  [4862] = 4862,
  [4863] = 4739,
  [4864] = 4710,
  [4865] = 4711,
  [4866] = 4739,
  [4867] = 4739,
  [4868] = 4739,
  [4869] = 4706,
  [4870] = 4739,
  [4871] = 4765,
  [4872] = 4872,
  [4873] = 4713,
  [4874] = 4739,
  [4875] = 4875,
  [4876] = 4739,
  [4877] = 4733,
  [4878] = 4738,
  [4879] = 4859,
  [4880] = 4739,
  [4881] = 4704,
  [4882] = 4739,
  [4883] = 4739,
  [4884] = 4719,
  [4885] = 4739,
  [4886] = 4739,
  [4887] = 4723,
  [4888] = 4888,
  [4889] = 4739,
  [4890] = 4785,
  [4891] = 4891,
  [4892] = 4739,
  [4893] = 4785,
  [4894] = 4710,
  [4895] = 4711,
  [4896] = 4788,
  [4897] = 4897,
  [4898] = 4898,
  [4899] = 4706,
  [4900] = 4750,
  [4901] = 4901,
  [4902] = 4739,
  [4903] = 4713,
  [4904] = 4712,
  [4905] = 4785,
  [4906] = 4859,
  [4907] = 4733,
  [4908] = 4738,
  [4909] = 4750,
  [4910] = 4759,
  [4911] = 4704,
  [4912] = 4819,
  [4913] = 4739,
  [4914] = 4719,
  [4915] = 4785,
  [4916] = 4859,
  [4917] = 4723,
  [4918] = 4709,
  [4919] = 4750,
  [4920] = 4759,
  [4921] = 4859,
  [4922] = 4739,
  [4923] = 4785,
  [4924] = 4710,
  [4925] = 4711,
  [4926] = 4926,
  [4927] = 4859,
  [4928] = 4859,
  [4929] = 4706,
  [4930] = 4750,
  [4931] = 4759,
  [4932] = 4836,
  [4933] = 4713,
  [4934] = 4934,
  [4935] = 4819,
  [4936] = 4875,
  [4937] = 4733,
  [4938] = 4738,
  [4939] = 4739,
  [4940] = 4785,
  [4941] = 4704,
  [4942] = 4872,
  [4943] = 4943,
  [4944] = 4719,
  [4945] = 4859,
  [4946] = 4750,
  [4947] = 4723,
  [4948] = 4759,
  [4949] = 4759,
  [4950] = 4739,
  [4951] = 4862,
  [4952] = 4785,
  [4953] = 4860,
  [4954] = 4710,
  [4955] = 4711,
  [4956] = 4855,
  [4957] = 4853,
  [4958] = 4852,
  [4959] = 4706,
  [4960] = 4717,
  [4961] = 4859,
  [4962] = 4740,
  [4963] = 4713,
  [4964] = 4750,
  [4965] = 4759,
  [4966] = 4728,
  [4967] = 4733,
  [4968] = 4738,
  [4969] = 4739,
  [4970] = 4970,
  [4971] = 4704,
  [4972] = 4785,
  [4973] = 4852,
  [4974] = 4719,
  [4975] = 4975,
  [4976] = 4976,
  [4977] = 4723,
  [4978] = 4978,
  [4979] = 4853,
  [4980] = 4710,
  [4981] = 4711,
  [4982] = 4758,
  [4983] = 4855,
  [4984] = 4713,
  [4985] = 4859,
  [4986] = 4750,
  [4987] = 4759,
  [4988] = 4710,
  [4989] = 4711,
  [4990] = 4860,
  [4991] = 4707,
  [4992] = 4713,
  [4993] = 4862,
  [4994] = 4732,
  [4995] = 4739,
  [4996] = 4710,
  [4997] = 4711,
  [4998] = 4701,
  [4999] = 4747,
  [5000] = 4713,
  [5001] = 5001,
  [5002] = 4720,
  [5003] = 4702,
  [5004] = 4710,
  [5005] = 4711,
  [5006] = 4703,
  [5007] = 5007,
  [5008] = 4715,
  [5009] = 4785,
  [5010] = 4710,
  [5011] = 4711,
  [5012] = 4785,
  [5013] = 5013,
  [5014] = 4750,
  [5015] = 4859,
  [5016] = 4710,
  [5017] = 4711,
  [5018] = 4765,
  [5019] = 4750,
  [5020] = 4774,
  [5021] = 4759,
  [5022] = 4710,
  [5023] = 4711,
  [5024] = 4772,
  [5025] = 4859,
  [5026] = 4771,
  [5027] = 4739,
  [5028] = 4757,
  [5029] = 4701,
  [5030] = 4702,
  [5031] = 4760,
  [5032] = 4757,
  [5033] = 4785,
  [5034] = 4756,
  [5035] = 5035,
  [5036] = 4759,
  [5037] = 5037,
  [5038] = 4707,
  [5039] = 4732,
  [5040] = 5040,
  [5041] = 4720,
  [5042] = 4705,
  [5043] = 5043,
  [5044] = 5044,
  [5045] = 4702,
  [5046] = 4704,
  [5047] = 4859,
  [5048] = 4750,
  [5049] = 4759,
  [5050] = 4701,
  [5051] = 4739,
  [5052] = 5052,
  [5053] = 4739,
  [5054] = 4701,
  [5055] = 5055,
  [5056] = 5001,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 5059,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 4738,
  [5065] = 4785,
  [5066] = 4836,
  [5067] = 4718,
  [5068] = 4859,
  [5069] = 5052,
  [5070] = 4733,
  [5071] = 5044,
  [5072] = 4978,
  [5073] = 4975,
  [5074] = 4750,
  [5075] = 4759,
  [5076] = 4901,
  [5077] = 5077,
  [5078] = 4888,
  [5079] = 4739,
  [5080] = 4749,
  [5081] = 4753,
  [5082] = 4701,
  [5083] = 4754,
  [5084] = 4702,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 4831,
  [5088] = 5088,
  [5089] = 4736,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 4785,
  [5095] = 5095,
  [5096] = 841,
  [5097] = 4716,
  [5098] = 5098,
  [5099] = 4859,
  [5100] = 4750,
  [5101] = 4718,
  [5102] = 4759,
  [5103] = 4735,
  [5104] = 4720,
  [5105] = 4739,
  [5106] = 4716,
  [5107] = 4701,
  [5108] = 4702,
  [5109] = 4732,
  [5110] = 5055,
  [5111] = 4707,
  [5112] = 4785,
  [5113] = 4759,
  [5114] = 5059,
  [5115] = 5060,
  [5116] = 5063,
  [5117] = 4859,
  [5118] = 4750,
  [5119] = 4759,
  [5120] = 4739,
  [5121] = 4718,
  [5122] = 5052,
  [5123] = 4701,
  [5124] = 5044,
  [5125] = 4702,
  [5126] = 4785,
  [5127] = 4901,
  [5128] = 4772,
  [5129] = 4774,
  [5130] = 4749,
  [5131] = 4753,
  [5132] = 4739,
  [5133] = 4754,
  [5134] = 4926,
  [5135] = 4701,
  [5136] = 5088,
  [5137] = 4788,
  [5138] = 5091,
  [5139] = 5092,
  [5140] = 4702,
  [5141] = 4750,
  [5142] = 4759,
  [5143] = 4750,
  [5144] = 4756,
  [5145] = 5055,
  [5146] = 4759,
  [5147] = 4739,
  [5148] = 5059,
  [5149] = 5060,
  [5150] = 4760,
  [5151] = 4897,
  [5152] = 4771,
  [5153] = 4702,
  [5154] = 5052,
  [5155] = 5092,
  [5156] = 5044,
  [5157] = 4760,
  [5158] = 4785,
  [5159] = 4901,
  [5160] = 4758,
  [5161] = 4859,
  [5162] = 4749,
  [5163] = 4753,
  [5164] = 2369,
  [5165] = 4754,
  [5166] = 4836,
  [5167] = 4750,
  [5168] = 5088,
  [5169] = 5169,
  [5170] = 5091,
  [5171] = 4774,
  [5172] = 5172,
  [5173] = 4772,
  [5174] = 4759,
  [5175] = 5055,
  [5176] = 4707,
  [5177] = 4732,
  [5178] = 5060,
  [5179] = 4785,
  [5180] = 4720,
  [5181] = 5052,
  [5182] = 4729,
  [5183] = 5088,
  [5184] = 4836,
  [5185] = 4859,
  [5186] = 5186,
  [5187] = 4739,
  [5188] = 5055,
  [5189] = 5063,
  [5190] = 4701,
  [5191] = 5060,
  [5192] = 4702,
  [5193] = 5052,
  [5194] = 5062,
  [5195] = 4830,
  [5196] = 4875,
  [5197] = 5197,
  [5198] = 4756,
  [5199] = 5199,
  [5200] = 5055,
  [5201] = 4757,
  [5202] = 4760,
  [5203] = 5060,
  [5204] = 4771,
  [5205] = 5052,
  [5206] = 4785,
  [5207] = 4872,
  [5208] = 4862,
  [5209] = 4860,
  [5210] = 4855,
  [5211] = 4853,
  [5212] = 5055,
  [5213] = 4717,
  [5214] = 4859,
  [5215] = 5060,
  [5216] = 4836,
  [5217] = 5052,
  [5218] = 4750,
  [5219] = 4774,
  [5220] = 4772,
  [5221] = 4759,
  [5222] = 4707,
  [5223] = 5061,
  [5224] = 5055,
  [5225] = 4732,
  [5226] = 5060,
  [5227] = 2363,
  [5228] = 5052,
  [5229] = 4720,
  [5230] = 5230,
  [5231] = 4728,
  [5232] = 4759,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5055,
  [5237] = 4739,
  [5238] = 4701,
  [5239] = 5060,
  [5240] = 4702,
  [5241] = 5052,
  [5242] = 5242,
  [5243] = 4756,
  [5244] = 5055,
  [5245] = 4757,
  [5246] = 5055,
  [5247] = 5060,
  [5248] = 5055,
  [5249] = 4760,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 4771,
  [5253] = 4785,
  [5254] = 4785,
  [5255] = 5255,
  [5256] = 4793,
  [5257] = 5172,
  [5258] = 5258,
  [5259] = 5013,
  [5260] = 4976,
  [5261] = 4819,
  [5262] = 4739,
  [5263] = 4779,
  [5264] = 4760,
  [5265] = 5265,
  [5266] = 5250,
  [5267] = 5251,
  [5268] = 4859,
  [5269] = 4836,
  [5270] = 5255,
  [5271] = 4750,
  [5272] = 5265,
  [5273] = 5250,
  [5274] = 5251,
  [5275] = 5265,
  [5276] = 4774,
  [5277] = 5255,
  [5278] = 4772,
  [5279] = 5250,
  [5280] = 5251,
  [5281] = 5281,
  [5282] = 4771,
  [5283] = 4707,
  [5284] = 5250,
  [5285] = 5251,
  [5286] = 4732,
  [5287] = 4701,
  [5288] = 4702,
  [5289] = 5250,
  [5290] = 5251,
  [5291] = 4720,
  [5292] = 4757,
  [5293] = 4756,
  [5294] = 5250,
  [5295] = 5251,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5250,
  [5300] = 5251,
  [5301] = 4739,
  [5302] = 4701,
  [5303] = 4702,
  [5304] = 5250,
  [5305] = 5251,
  [5306] = 4702,
  [5307] = 4701,
  [5308] = 5230,
  [5309] = 5309,
  [5310] = 4756,
  [5311] = 4757,
  [5312] = 4760,
  [5313] = 4771,
  [5314] = 4785,
  [5315] = 5059,
  [5316] = 5255,
  [5317] = 5007,
  [5318] = 4730,
  [5319] = 4823,
  [5320] = 4739,
  [5321] = 4713,
  [5322] = 5322,
  [5323] = 4823,
  [5324] = 5324,
  [5325] = 4718,
  [5326] = 4706,
  [5327] = 5327,
  [5328] = 4859,
  [5329] = 4836,
  [5330] = 4756,
  [5331] = 4757,
  [5332] = 4760,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5090,
  [5336] = 4750,
  [5337] = 4772,
  [5338] = 4774,
  [5339] = 4772,
  [5340] = 4759,
  [5341] = 4707,
  [5342] = 4732,
  [5343] = 4720,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 4771,
  [5348] = 4739,
  [5349] = 4701,
  [5350] = 4787,
  [5351] = 5351,
  [5352] = 4702,
  [5353] = 4785,
  [5354] = 4756,
  [5355] = 4757,
  [5356] = 5356,
  [5357] = 4760,
  [5358] = 4771,
  [5359] = 4785,
  [5360] = 4732,
  [5361] = 5361,
  [5362] = 5230,
  [5363] = 4707,
  [5364] = 4720,
  [5365] = 4859,
  [5366] = 4836,
  [5367] = 4750,
  [5368] = 4734,
  [5369] = 5369,
  [5370] = 4774,
  [5371] = 5371,
  [5372] = 4772,
  [5373] = 4759,
  [5374] = 4707,
  [5375] = 4711,
  [5376] = 4710,
  [5377] = 4732,
  [5378] = 4720,
  [5379] = 4875,
  [5380] = 4872,
  [5381] = 5381,
  [5382] = 5055,
  [5383] = 4739,
  [5384] = 4701,
  [5385] = 5251,
  [5386] = 5250,
  [5387] = 4702,
  [5388] = 5388,
  [5389] = 5091,
  [5390] = 4756,
  [5391] = 4757,
  [5392] = 4713,
  [5393] = 4713,
  [5394] = 5055,
  [5395] = 5055,
  [5396] = 4760,
  [5397] = 4787,
  [5398] = 4771,
  [5399] = 4785,
  [5400] = 5400,
  [5401] = 4859,
  [5402] = 4836,
  [5403] = 5403,
  [5404] = 4750,
  [5405] = 5040,
  [5406] = 4774,
  [5407] = 5407,
  [5408] = 5040,
  [5409] = 5409,
  [5410] = 5410,
};

static inline bool sym__non_escape_char_character_set_1(int32_t c) {
  return (c < 'f'
    ? (c < '\''
      ? (c < '"'
        ? c == 0
        : c <= '"')
      : (c <= '\'' || (c >= 'a' && c <= 'b')))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? (c >= 'H' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? (c >= 'A' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Y')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '\''
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '\''
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(363);
      if (lookahead == '#') ADVANCE(332);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(380);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\'') ADVANCE(354);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == '*') ADVANCE(325);
      if (lookahead == '+') ADVANCE(370);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(373);
      if (lookahead == '.') ADVANCE(449);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(432);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(438);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == 'l') ADVANCE(418);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(356);
      if (lookahead == '|') ADVANCE(273);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(343);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(343);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('2' <= lookahead && lookahead <= '7')) ADVANCE(343);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(216)
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(344);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(500);
      END_STATE();
    case 1:
      if (lookahead == '\r') SKIP(157)
      if (lookahead == 'U') ADVANCE(348);
      if (lookahead == 'n') SKIP(41)
      if (lookahead == 'u') ADVANCE(347);
      END_STATE();
    case 2:
      if (lookahead == '\r') SKIP(157)
      if (lookahead == 'n') SKIP(41)
      END_STATE();
    case 3:
      if (lookahead == '\r') SKIP(187)
      if (lookahead == 'n') SKIP(62)
      END_STATE();
    case 4:
      if (lookahead == '\r') SKIP(188)
      if (lookahead == 'n') SKIP(66)
      END_STATE();
    case 5:
      if (lookahead == '\r') SKIP(159)
      if (lookahead == 'n') SKIP(68)
      END_STATE();
    case 6:
      if (lookahead == '\r') SKIP(192)
      if (lookahead == 'n') SKIP(63)
      END_STATE();
    case 7:
      if (lookahead == '\r') SKIP(189)
      if (lookahead == 'n') SKIP(57)
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(190)
      if (lookahead == 'n') SKIP(58)
      END_STATE();
    case 9:
      if (lookahead == '\r') SKIP(193)
      if (lookahead == 'n') SKIP(65)
      END_STATE();
    case 10:
      if (lookahead == '\r') SKIP(195)
      if (lookahead == 'n') SKIP(59)
      END_STATE();
    case 11:
      if (lookahead == '\r') SKIP(196)
      if (lookahead == 'n') SKIP(67)
      END_STATE();
    case 12:
      if (lookahead == '\r') SKIP(197)
      if (lookahead == 'n') SKIP(64)
      END_STATE();
    case 13:
      if (lookahead == '\r') SKIP(160)
      if (lookahead == 'n') SKIP(98)
      END_STATE();
    case 14:
      if (lookahead == '\r') SKIP(161)
      if (lookahead == 'n') SKIP(85)
      END_STATE();
    case 15:
      if (lookahead == '\r') SKIP(162)
      if (lookahead == 'n') SKIP(93)
      END_STATE();
    case 16:
      if (lookahead == '\r') SKIP(163)
      if (lookahead == 'n') SKIP(74)
      END_STATE();
    case 17:
      if (lookahead == '\r') SKIP(164)
      if (lookahead == 'n') SKIP(99)
      END_STATE();
    case 18:
      if (lookahead == '\r') SKIP(165)
      if (lookahead == 'n') SKIP(82)
      END_STATE();
    case 19:
      if (lookahead == '\r') SKIP(166)
      if (lookahead == 'n') SKIP(91)
      END_STATE();
    case 20:
      if (lookahead == '\r') SKIP(167)
      if (lookahead == 'n') SKIP(97)
      END_STATE();
    case 21:
      if (lookahead == '\r') SKIP(168)
      if (lookahead == 'n') SKIP(92)
      END_STATE();
    case 22:
      if (lookahead == '\r') SKIP(169)
      if (lookahead == 'n') SKIP(102)
      END_STATE();
    case 23:
      if (lookahead == '\r') SKIP(170)
      if (lookahead == 'n') SKIP(79)
      END_STATE();
    case 24:
      if (lookahead == '\r') SKIP(171)
      if (lookahead == 'n') SKIP(83)
      END_STATE();
    case 25:
      if (lookahead == '\r') SKIP(172)
      if (lookahead == 'n') SKIP(103)
      END_STATE();
    case 26:
      if (lookahead == '\r') SKIP(173)
      if (lookahead == 'n') SKIP(94)
      END_STATE();
    case 27:
      if (lookahead == '\r') SKIP(174)
      if (lookahead == 'n') SKIP(112)
      END_STATE();
    case 28:
      if (lookahead == '\r') SKIP(177)
      if (lookahead == 'n') SKIP(86)
      END_STATE();
    case 29:
      if (lookahead == '\r') SKIP(178)
      if (lookahead == 'n') SKIP(115)
      END_STATE();
    case 30:
      if (lookahead == '\r') SKIP(179)
      if (lookahead == 'n') SKIP(111)
      END_STATE();
    case 31:
      if (lookahead == '\r') SKIP(180)
      if (lookahead == 'n') SKIP(113)
      END_STATE();
    case 32:
      if (lookahead == '\r') SKIP(181)
      if (lookahead == 'n') SKIP(114)
      END_STATE();
    case 33:
      if (lookahead == '\r') SKIP(182)
      if (lookahead == 'n') SKIP(75)
      END_STATE();
    case 34:
      if (lookahead == '\r') SKIP(183)
      if (lookahead == 'n') SKIP(119)
      END_STATE();
    case 35:
      if (lookahead == '\r') SKIP(184)
      if (lookahead == 'n') SKIP(108)
      END_STATE();
    case 36:
      if (lookahead == '\r') SKIP(185)
      if (lookahead == 'n') SKIP(122)
      END_STATE();
    case 37:
      if (lookahead == '\r') SKIP(186)
      if (lookahead == 'n') SKIP(121)
      END_STATE();
    case 38:
      if (lookahead == '\r') SKIP(191)
      if (lookahead == 'n') SKIP(60)
      END_STATE();
    case 39:
      if (lookahead == '\r') SKIP(194)
      if (lookahead == 'n') SKIP(61)
      END_STATE();
    case 40:
      if (lookahead == ' ') ADVANCE(133);
      if (lookahead == ')') ADVANCE(369);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(128);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(359);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(380);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == '+') ADVANCE(370);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(373);
      if (lookahead == '.') ADVANCE(310);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(273);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(41)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '*') ADVANCE(326);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(313);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(280);
      if (lookahead == '\\') SKIP(7)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(57)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '*') ADVANCE(326);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(280);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(452);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(38)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(419);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(60)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(452);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(38)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(419);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(60)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(313);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(10)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 47:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(313);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(39)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(61)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 48:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(451);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(6)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(419);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(63)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 49:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(451);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(6)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(419);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(63)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 50:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(3)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(62)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 51:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(12)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(64)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 52:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(9)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(65)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 53:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(451);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(419);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(66)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 54:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(451);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(419);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(66)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 55:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(66)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 56:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(11)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(67)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 57:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '*') ADVANCE(326);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(313);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(329);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(280);
      if (lookahead == '\\') SKIP(7)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(57)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 58:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '*') ADVANCE(326);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(329);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(280);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 59:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(313);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(10)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 60:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(313);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(38)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(60)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 61:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(313);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(39)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(61)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 62:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(3)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(62)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 63:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(6)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(63)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 64:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(12)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(64)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 65:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(9)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(65)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 66:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(66)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 67:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(11)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '>' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(67)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 68:
      if (lookahead == '!') ADVANCE(204);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '%') ADVANCE(380);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == '+') ADVANCE(370);
      if (lookahead == '-') ADVANCE(373);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(140);
      if (lookahead == '<') ADVANCE(330);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(280);
      if (lookahead == '\\') SKIP(5)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '~') ADVANCE(384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(68)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 69:
      if (lookahead == '"') ADVANCE(363);
      if (lookahead == '(') ADVANCE(351);
      if (lookahead == '/') ADVANCE(351);
      if (lookahead == '\\') ADVANCE(353);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r')) SKIP(118)
      if (lookahead == '\n' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != 7 &&
          lookahead != 8) ADVANCE(351);
      END_STATE();
    case 70:
      if (lookahead == '"') ADVANCE(358);
      END_STATE();
    case 71:
      if (lookahead == '"') ADVANCE(362);
      END_STATE();
    case 72:
      if (lookahead == '"') ADVANCE(362);
      if (lookahead == '>') ADVANCE(295);
      if (lookahead == '@') ADVANCE(141);
      END_STATE();
    case 73:
      if (lookahead == '"') ADVANCE(359);
      if (lookahead == '#') ADVANCE(332);
      if (lookahead == '$') ADVANCE(105);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(267);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(255);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '[') ADVANCE(136);
      if (lookahead == '\\') SKIP(16)
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(401);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(74)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 74:
      if (lookahead == '"') ADVANCE(359);
      if (lookahead == '$') ADVANCE(105);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(267);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(255);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '[') ADVANCE(136);
      if (lookahead == '\\') SKIP(16)
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(74)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 75:
      if (lookahead == '"') ADVANCE(359);
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '\\') SKIP(33)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(75)
      END_STATE();
    case 76:
      if (lookahead == '"') ADVANCE(359);
      if (lookahead == '(') ADVANCE(351);
      if (lookahead == '/') ADVANCE(351);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead == '{') ADVANCE(356);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r')) SKIP(75)
      if (lookahead == '\n' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != 7 &&
          lookahead != 8) ADVANCE(351);
      END_STATE();
    case 77:
      if (lookahead == '"') ADVANCE(359);
      if (lookahead == '(') ADVANCE(351);
      if (lookahead == '/') ADVANCE(351);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r')) SKIP(75)
      if (lookahead == '\n' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != 7 &&
          lookahead != 8) ADVANCE(351);
      END_STATE();
    case 78:
      if (lookahead == '"') ADVANCE(366);
      END_STATE();
    case 79:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(252);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(280);
      if (lookahead == '\\') SKIP(23)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(79)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 80:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(18)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(272);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(82)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 81:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(18)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(272);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(82)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 82:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(18)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(82)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 83:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(253);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') SKIP(24)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(83)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 84:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(14)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(85)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 85:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(14)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(85)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 86:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(250);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(28)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(86)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 87:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(19)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(91)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 88:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(250);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(21)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(92)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 89:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(19)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(91)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 90:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(250);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(21)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(92)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 91:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(19)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(91)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 92:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(250);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(21)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(92)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 93:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(15)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(93)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 94:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(26)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(94)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 95:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(20)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(97)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 96:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(20)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(97)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 97:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(20)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(97)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 98:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(142);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(13)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == '{') ADVANCE(286);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(98)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 99:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(255);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(17)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(99)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 100:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(249);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(25)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(103)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 101:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(249);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(22)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(421);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(424);
      if (lookahead == 'y') ADVANCE(409);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(203);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(447);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(102)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(500);
      END_STATE();
    case 102:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(249);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(22)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(203);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(102)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 103:
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(249);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(281);
      if (lookahead == '\\') SKIP(25)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == '{') ADVANCE(286);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(103)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 104:
      if (lookahead == '"') ADVANCE(367);
      END_STATE();
    case 105:
      if (lookahead == '"') ADVANCE(357);
      END_STATE();
    case 106:
      if (lookahead == '"') ADVANCE(361);
      if (lookahead == '(') ADVANCE(351);
      if (lookahead == '/') ADVANCE(351);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r')) SKIP(75)
      if (lookahead == '\n' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != 7 &&
          lookahead != 8) ADVANCE(351);
      END_STATE();
    case 107:
      if (lookahead == '#') ADVANCE(332);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(267);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(255);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '[') ADVANCE(137);
      if (lookahead == '\\') SKIP(29)
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == '|') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(400);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(115)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 108:
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(267);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '\\') SKIP(35)
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(108)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 109:
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(448);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(250);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == 'L') ADVANCE(431);
      if (lookahead == 'U') ADVANCE(144);
      if (lookahead == '\\') SKIP(27)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(201);
      if (lookahead == 'f') ADVANCE(437);
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'l') ADVANCE(417);
      if (lookahead == 'n') ADVANCE(427);
      if (lookahead == 's') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(425);
      if (lookahead == 'w') ADVANCE(155);
      if (lookahead == 'y') ADVANCE(407);
      if (lookahead == '|') ADVANCE(272);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(454);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(445);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(443);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(112)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(345);
      END_STATE();
    case 110:
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(145);
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(250);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == 'L') ADVANCE(433);
      if (lookahead == 'U') ADVANCE(144);
      if (lookahead == '\\') SKIP(30)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(201);
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'l') ADVANCE(420);
      if (lookahead == 'n') ADVANCE(427);
      if (lookahead == 's') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(425);
      if (lookahead == 'w') ADVANCE(155);
      if (lookahead == 'y') ADVANCE(407);
      if (lookahead == '|') ADVANCE(272);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(401);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(111)
      END_STATE();
    case 111:
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(145);
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(250);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '\\') SKIP(30)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(201);
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'w') ADVANCE(155);
      if (lookahead == '|') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(111)
      END_STATE();
    case 112:
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(250);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '\\') SKIP(27)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(201);
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'w') ADVANCE(155);
      if (lookahead == '|') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(112)
      END_STATE();
    case 113:
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(252);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '[') ADVANCE(146);
      if (lookahead == '\\') SKIP(31)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(113)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 114:
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(252);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '[') ADVANCE(146);
      if (lookahead == '\\') SKIP(32)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(114)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 115:
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(267);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(255);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '[') ADVANCE(137);
      if (lookahead == '\\') SKIP(29)
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == '|') ADVANCE(271);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(115)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 116:
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == 'L') ADVANCE(433);
      if (lookahead == 'U') ADVANCE(144);
      if (lookahead == '\\') SKIP(34)
      if (lookahead == 'l') ADVANCE(420);
      if (lookahead == 'n') ADVANCE(427);
      if (lookahead == 's') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(425);
      if (lookahead == 'y') ADVANCE(407);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(400);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(119)
      END_STATE();
    case 117:
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == 'L') ADVANCE(433);
      if (lookahead == 'U') ADVANCE(144);
      if (lookahead == '\\') SKIP(34)
      if (lookahead == 'l') ADVANCE(420);
      if (lookahead == 'n') ADVANCE(427);
      if (lookahead == 's') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(425);
      if (lookahead == 'y') ADVANCE(407);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(119)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(343);
      END_STATE();
    case 118:
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(352);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(118)
      END_STATE();
    case 119:
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '\\') SKIP(34)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(119)
      END_STATE();
    case 120:
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '\\') SKIP(37)
      if (lookahead == 'f') ADVANCE(437);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(445);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(121)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(402);
      END_STATE();
    case 121:
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '\\') SKIP(37)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(121)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(402);
      END_STATE();
    case 122:
      if (lookahead == '(') ADVANCE(266);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '\\') SKIP(36)
      if (lookahead == '`') ADVANCE(148);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(122)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 123:
      if (lookahead == '(') ADVANCE(341);
      if (lookahead == '/') ADVANCE(342);
      if (lookahead == '\\') ADVANCE(350);
      if (lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(340);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(119)
      if (lookahead != 0 &&
          lookahead != 7 &&
          lookahead != 8 &&
          lookahead != '\'') ADVANCE(340);
      END_STATE();
    case 124:
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(459);
      if (lookahead != 0) ADVANCE(464);
      END_STATE();
    case 125:
      if (lookahead == ')') ADVANCE(468);
      END_STATE();
    case 126:
      if (lookahead == ')') ADVANCE(369);
      END_STATE();
    case 127:
      if (lookahead == ')') ADVANCE(369);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(128);
      END_STATE();
    case 128:
      if (lookahead == ')') ADVANCE(369);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(128);
      END_STATE();
    case 129:
      if (lookahead == '*') ADVANCE(465);
      END_STATE();
    case 130:
      if (lookahead == '-') ADVANCE(399);
      END_STATE();
    case 131:
      if (lookahead == '.') ADVANCE(323);
      END_STATE();
    case 132:
      if (lookahead == '.') ADVANCE(126);
      END_STATE();
    case 133:
      if (lookahead == '.') ADVANCE(132);
      END_STATE();
    case 134:
      if (lookahead == '/') ADVANCE(135);
      END_STATE();
    case 135:
      if (lookahead == '/') ADVANCE(456);
      if (lookahead != 0) ADVANCE(469);
      END_STATE();
    case 136:
      if (lookahead == '<') ADVANCE(247);
      END_STATE();
    case 137:
      if (lookahead == '<') ADVANCE(247);
      if (lookahead == ']') ADVANCE(331);
      END_STATE();
    case 138:
      if (lookahead == '=') ADVANCE(396);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(385);
      END_STATE();
    case 139:
      if (lookahead == '>') ADVANCE(303);
      END_STATE();
    case 140:
      if (lookahead == '>') ADVANCE(299);
      END_STATE();
    case 141:
      if (lookahead == '>') ADVANCE(298);
      END_STATE();
    case 142:
      if (lookahead == '?') ADVANCE(260);
      END_STATE();
    case 143:
      if (lookahead == '@') ADVANCE(293);
      END_STATE();
    case 144:
      if (lookahead == 'L') ADVANCE(435);
      END_STATE();
    case 145:
      if (lookahead == 'T') ADVANCE(334);
      END_STATE();
    case 146:
      if (lookahead == ']') ADVANCE(331);
      END_STATE();
    case 147:
      if (lookahead == ']') ADVANCE(248);
      END_STATE();
    case 148:
      if (lookahead == '`') ADVANCE(205);
      END_STATE();
    case 149:
      if (lookahead == '`') ADVANCE(470);
      END_STATE();
    case 150:
      if (lookahead == '`') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(150);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(153);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(200);
      END_STATE();
    case 153:
      if (lookahead == 'd') ADVANCE(246);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 155:
      if (lookahead == 'h') ADVANCE(154);
      END_STATE();
    case 156:
      if (lookahead == 'l') ADVANCE(198);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead == 'r') ADVANCE(245);
      END_STATE();
    case 157:
      if (lookahead == 'n') SKIP(41)
      END_STATE();
    case 158:
      if (lookahead == 'n') ADVANCE(244);
      END_STATE();
    case 159:
      if (lookahead == 'n') SKIP(68)
      END_STATE();
    case 160:
      if (lookahead == 'n') SKIP(98)
      END_STATE();
    case 161:
      if (lookahead == 'n') SKIP(85)
      END_STATE();
    case 162:
      if (lookahead == 'n') SKIP(93)
      END_STATE();
    case 163:
      if (lookahead == 'n') SKIP(74)
      END_STATE();
    case 164:
      if (lookahead == 'n') SKIP(99)
      END_STATE();
    case 165:
      if (lookahead == 'n') SKIP(82)
      END_STATE();
    case 166:
      if (lookahead == 'n') SKIP(91)
      END_STATE();
    case 167:
      if (lookahead == 'n') SKIP(97)
      END_STATE();
    case 168:
      if (lookahead == 'n') SKIP(92)
      END_STATE();
    case 169:
      if (lookahead == 'n') SKIP(102)
      END_STATE();
    case 170:
      if (lookahead == 'n') SKIP(79)
      END_STATE();
    case 171:
      if (lookahead == 'n') SKIP(83)
      END_STATE();
    case 172:
      if (lookahead == 'n') SKIP(103)
      END_STATE();
    case 173:
      if (lookahead == 'n') SKIP(94)
      END_STATE();
    case 174:
      if (lookahead == 'n') SKIP(112)
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(301);
      END_STATE();
    case 176:
      if (lookahead == 'n') ADVANCE(319);
      END_STATE();
    case 177:
      if (lookahead == 'n') SKIP(86)
      END_STATE();
    case 178:
      if (lookahead == 'n') SKIP(115)
      END_STATE();
    case 179:
      if (lookahead == 'n') SKIP(111)
      END_STATE();
    case 180:
      if (lookahead == 'n') SKIP(113)
      END_STATE();
    case 181:
      if (lookahead == 'n') SKIP(114)
      END_STATE();
    case 182:
      if (lookahead == 'n') SKIP(75)
      END_STATE();
    case 183:
      if (lookahead == 'n') SKIP(119)
      END_STATE();
    case 184:
      if (lookahead == 'n') SKIP(108)
      END_STATE();
    case 185:
      if (lookahead == 'n') SKIP(122)
      END_STATE();
    case 186:
      if (lookahead == 'n') SKIP(121)
      END_STATE();
    case 187:
      if (lookahead == 'n') SKIP(62)
      END_STATE();
    case 188:
      if (lookahead == 'n') SKIP(66)
      END_STATE();
    case 189:
      if (lookahead == 'n') SKIP(57)
      END_STATE();
    case 190:
      if (lookahead == 'n') SKIP(58)
      END_STATE();
    case 191:
      if (lookahead == 'n') SKIP(60)
      END_STATE();
    case 192:
      if (lookahead == 'n') SKIP(63)
      END_STATE();
    case 193:
      if (lookahead == 'n') SKIP(65)
      END_STATE();
    case 194:
      if (lookahead == 'n') SKIP(61)
      END_STATE();
    case 195:
      if (lookahead == 'n') SKIP(59)
      END_STATE();
    case 196:
      if (lookahead == 'n') SKIP(67)
      END_STATE();
    case 197:
      if (lookahead == 'n') SKIP(64)
      END_STATE();
    case 198:
      if (lookahead == 'o') ADVANCE(151);
      END_STATE();
    case 199:
      if (lookahead == 'o') ADVANCE(202);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 201:
      if (lookahead == 's') ADVANCE(262);
      END_STATE();
    case 202:
      if (lookahead == 'w') ADVANCE(152);
      END_STATE();
    case 203:
      if (lookahead == '}') ADVANCE(290);
      END_STATE();
    case 204:
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          lookahead == '<' ||
          ('>' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(385);
      END_STATE();
    case 205:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '`') ADVANCE(150);
      END_STATE();
    case 206:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(232)
      if (lookahead == 'n') SKIP(216)
      END_STATE();
    case 207:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(233)
      if (lookahead == 'n') SKIP(227)
      END_STATE();
    case 208:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(238)
      if (lookahead == 'n') SKIP(224)
      END_STATE();
    case 209:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(240)
      if (lookahead == 'n') SKIP(226)
      END_STATE();
    case 210:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(234)
      if (lookahead == 'n') SKIP(228)
      END_STATE();
    case 211:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(239)
      if (lookahead == 'n') SKIP(223)
      END_STATE();
    case 212:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(241)
      if (lookahead == 'n') SKIP(225)
      END_STATE();
    case 213:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(235)
      if (lookahead == 'n') SKIP(230)
      END_STATE();
    case 214:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(236)
      if (lookahead == 'n') SKIP(231)
      END_STATE();
    case 215:
      if (eof) ADVANCE(242);
      if (lookahead == '\r') SKIP(237)
      if (lookahead == 'n') SKIP(229)
      END_STATE();
    case 216:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(359);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(380);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == '+') ADVANCE(370);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(373);
      if (lookahead == '.') ADVANCE(310);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') SKIP(206)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'w') ADVANCE(485);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(273);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(216)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 217:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '*') ADVANCE(326);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') SKIP(211)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '^') ADVANCE(392);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(223)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 218:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(450);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(208)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(419);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '^') ADVANCE(392);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(224)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 219:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(450);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(346);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == 'L') ADVANCE(434);
      if (lookahead == 'M') ADVANCE(447);
      if (lookahead == 'U') ADVANCE(476);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(208)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(419);
      if (lookahead == 'm') ADVANCE(446);
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 's') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(423);
      if (lookahead == 'y') ADVANCE(408);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '^') ADVANCE(392);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'G' ||
          lookahead == 'I' ||
          lookahead == 'N' ||
          lookahead == 'Q' ||
          lookahead == 'R' ||
          lookahead == 'Z') ADVANCE(444);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(224)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(345);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 220:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(208)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(224)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 221:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(212)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(225)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 222:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(321);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(314);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(209)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(226)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 223:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '*') ADVANCE(326);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(374);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(329);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') SKIP(211)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '^') ADVANCE(392);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(223)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 224:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(208)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(224)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 225:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(212)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(225)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 226:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(398);
      if (lookahead == '%') ADVANCE(381);
      if (lookahead == '&') ADVANCE(277);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(371);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(375);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(251);
      if (lookahead == '<') ADVANCE(387);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(390);
      if (lookahead == '?') ADVANCE(259);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(209)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '|') ADVANCE(391);
      if (lookahead == '}') ADVANCE(288);
      if (lookahead == '~') ADVANCE(384);
      if (lookahead == '*' ||
          lookahead == '^') ADVANCE(392);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(226)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 227:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(204);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '%') ADVANCE(380);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == '+') ADVANCE(370);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(372);
      if (lookahead == '.') ADVANCE(131);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == '<') ADVANCE(143);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(207)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '~') ADVANCE(384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(227)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 228:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(204);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '%') ADVANCE(380);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == '+') ADVANCE(370);
      if (lookahead == '-') ADVANCE(373);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(255);
      if (lookahead == '<') ADVANCE(330);
      if (lookahead == '>') ADVANCE(147);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') SKIP(210)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '~') ADVANCE(384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(228)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 229:
      if (eof) ADVANCE(242);
      if (lookahead == '!') ADVANCE(204);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '#') ADVANCE(156);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '%') ADVANCE(380);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(264);
      if (lookahead == '+') ADVANCE(370);
      if (lookahead == '-') ADVANCE(372);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == '<') ADVANCE(143);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(215)
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(492);
      if (lookahead == 'l') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(477);
      if (lookahead == 'r') ADVANCE(484);
      if (lookahead == 'u') ADVANCE(495);
      if (lookahead == 'y') ADVANCE(487);
      if (lookahead == '{') ADVANCE(287);
      if (lookahead == '~') ADVANCE(384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(229)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(500);
      END_STATE();
    case 230:
      if (eof) ADVANCE(242);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(254);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(147);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(213)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(494);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(272);
      if (lookahead == '}') ADVANCE(288);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(230)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 231:
      if (eof) ADVANCE(242);
      if (lookahead == '"') ADVANCE(360);
      if (lookahead == '$') ADVANCE(70);
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead == '(') ADVANCE(265);
      if (lookahead == ')') ADVANCE(268);
      if (lookahead == '*') ADVANCE(324);
      if (lookahead == ',') ADVANCE(269);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == ':') ADVANCE(142);
      if (lookahead == ';') ADVANCE(283);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '?') ADVANCE(258);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') SKIP(214)
      if (lookahead == ']') ADVANCE(282);
      if (lookahead == '^') ADVANCE(336);
      if (lookahead == '`') ADVANCE(148);
      if (lookahead == '{') ADVANCE(286);
      if (lookahead == '|') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(231)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(402);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(500);
      END_STATE();
    case 232:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(216)
      END_STATE();
    case 233:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(227)
      END_STATE();
    case 234:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(228)
      END_STATE();
    case 235:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(230)
      END_STATE();
    case 236:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(231)
      END_STATE();
    case 237:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(229)
      END_STATE();
    case 238:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(224)
      END_STATE();
    case 239:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(223)
      END_STATE();
    case 240:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(226)
      END_STATE();
    case 241:
      if (eof) ADVANCE(242);
      if (lookahead == 'n') SKIP(225)
      END_STATE();
    case 242:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_POUNDnowarn);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_POUNDr);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_POUNDload);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_GT_RBRACK);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(270);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(270);
      if (lookahead == '=') ADVANCE(397);
      if (lookahead == '>') ADVANCE(299);
      if (lookahead == '?') ADVANCE(261);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(270);
      if (lookahead == '>') ADVANCE(299);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(270);
      if (lookahead == '>') ADVANCE(299);
      if (lookahead == '?') ADVANCE(260);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(270);
      if (lookahead == '?') ADVANCE(260);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(299);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '!') ADVANCE(257);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_let_BANG);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '<') ADVANCE(130);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '>') ADVANCE(300);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_as);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == ')') ADVANCE(368);
      if (lookahead == '*') ADVANCE(466);
      if (lookahead == '.') ADVANCE(127);
      if (lookahead == '?') ADVANCE(126);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('+' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(128);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == ')') ADVANCE(368);
      if (lookahead == '*') ADVANCE(465);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '*') ADVANCE(466);
      if (lookahead == '.') ADVANCE(127);
      if (lookahead == '?') ADVANCE(126);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('+' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(128);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '*') ADVANCE(465);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(285);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(285);
      if (lookahead == '|') ADVANCE(394);
      if (lookahead == '}') ADVANCE(290);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(395);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(382);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(383);
      if (lookahead == '!' ||
          lookahead == '%' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '<') ADVANCE(247);
      if (lookahead == ']') ADVANCE(331);
      if (lookahead == '|') ADVANCE(284);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '<') ADVANCE(247);
      if (lookahead == '|') ADVANCE(284);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(331);
      if (lookahead == '|') ADVANCE(284);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '|') ADVANCE(284);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(289);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_return_BANG);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_yield_BANG);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_LT_AT);
      if (lookahead == '@') ADVANCE(296);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_LT_AT);
      if (lookahead == '@') ADVANCE(297);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '?') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_AT_GT);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_LT_AT_AT);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_LT_AT_AT);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_AT_AT_GT);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK_GT);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_in);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_match_BANG);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_DOT_LBRACK);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(323);
      if (lookahead == '[') ADVANCE(308);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(322);
      if (lookahead == '[') ADVANCE(308);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '[') ADVANCE(308);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '[') ADVANCE(308);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_use_BANG);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_do_BANG);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_when);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_DOT_DOT2);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_DOT_DOT3);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == ')') ADVANCE(468);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_LT2);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '@') ADVANCE(293);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '@') ADVANCE(294);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '?') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '@') ADVANCE(293);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_POUND2);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_SQUOTET);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_EQ2);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym__escape_char);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym__non_escape_char);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym__simple_char_char);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym__simple_char_char);
      if (lookahead == '*') ADVANCE(465);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym__simple_char_char);
      if (lookahead == '/') ADVANCE(135);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym__hex_digit_imm);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym__hex_digit_imm);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym__digit_char_imm);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym__digit_char_imm);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(406);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(405);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(404);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_BSLASHU);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\r') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(339);
      if (lookahead == 'n') ADVANCE(338);
      if (lookahead == 'u') ADVANCE(339);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(338);
      if (lookahead != 0) ADVANCE(339);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == 'n') ADVANCE(338);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'r' ||
          lookahead == 't' ||
          lookahead == 'v') ADVANCE(338);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym__simple_string_char);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_BSLASH2);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_BSLASH2);
      if (lookahead == '\r') ADVANCE(339);
      if (!sym__non_escape_char_character_set_1(lookahead)) ADVANCE(339);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      if (lookahead == 'B') ADVANCE(364);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DQUOTE);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DQUOTE);
      if (lookahead == '"') ADVANCE(78);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(104);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == 'B') ADVANCE(365);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_AT_DQUOTE);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      if (lookahead == 'B') ADVANCE(365);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_SQUOTEB);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_DQUOTEB);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_unit);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym__identifier_or_op_token1);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(376);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(377);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(378);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(378);
      if (lookahead == '>') ADVANCE(303);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(379);
      if (lookahead == '>') ADVANCE(304);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(379);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_PLUS_DOT);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_PLUS_DOT);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_DASH_DOT);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_DASH_DOT);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_prefix_op_token1);
      if (lookahead == '=') ADVANCE(386);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(385);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_prefix_op_token1);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(386);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_infix_op_token1);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '@') ADVANCE(294);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '?') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_infix_op_token1);
      if (lookahead == '/') ADVANCE(389);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '.') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_infix_op_token1);
      if (lookahead == '/') ADVANCE(457);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '.') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(393);
      if (lookahead != 0) ADVANCE(469);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_infix_op_token1);
      if (lookahead == ']') ADVANCE(248);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_infix_op_token1);
      if (lookahead == '|') ADVANCE(395);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(aux_sym_infix_op_token1);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(aux_sym_infix_op_token1);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(393);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(469);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '"') ADVANCE(358);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_QMARK_LT_DASH);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym__octaldigit_imm);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym__bitdigit_imm);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_int_token1);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_int_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(406);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(405);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(404);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_xint_token1);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_xint_token2);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_xint_token3);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_y);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_y);
      if (lookahead == 'i') ADVANCE(482);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_y);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_uy);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_uy);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_s);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_s);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_us);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_us);
      if (lookahead == 'e') ADVANCE(471);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_us);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_l);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_l);
      if (lookahead == 'e') ADVANCE(496);
      if (lookahead == 'f') ADVANCE(440);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_l);
      if (lookahead == 'e') ADVANCE(496);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_l);
      if (lookahead == 'f') ADVANCE(439);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_l);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym_uint32_token1);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(aux_sym_uint32_token1);
      if (lookahead == 'L') ADVANCE(436);
      if (lookahead == 'l') ADVANCE(426);
      if (lookahead == 'n') ADVANCE(430);
      if (lookahead == 's') ADVANCE(415);
      if (lookahead == 'y') ADVANCE(411);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym_uint32_token1);
      if (lookahead == 'L') ADVANCE(436);
      if (lookahead == 'l') ADVANCE(426);
      if (lookahead == 'n') ADVANCE(430);
      if (lookahead == 's') ADVANCE(416);
      if (lookahead == 'y') ADVANCE(411);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym_uint32_token1);
      if (lookahead == 'L') ADVANCE(435);
      if (lookahead == 'l') ADVANCE(422);
      if (lookahead == 'n') ADVANCE(429);
      if (lookahead == 's') ADVANCE(414);
      if (lookahead == 'y') ADVANCE(410);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(aux_sym_uint32_token1);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_n);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_n);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_un);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_un);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_L);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_L);
      if (lookahead == 'F') ADVANCE(442);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_L);
      if (lookahead == 'F') ADVANCE(441);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_L);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(aux_sym_uint64_token1);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_uint64_token1);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_f);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_f);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_lf);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_lf);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_LF);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_bignum_token1);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_bignum_token1);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(aux_sym_decimal_token1);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(aux_sym_decimal_token1);
      if (lookahead == 'a') ADVANCE(497);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(500);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(aux_sym_decimal_token1);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_DOT2);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(323);
      if (lookahead == '[') ADVANCE(308);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(322);
      if (lookahead == '[') ADVANCE(308);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '[') ADVANCE(308);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '[') ADVANCE(308);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(aux_sym_float_token1);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(aux_sym_float_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(453);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(aux_sym_float_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(453);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(392);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(464);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(aux_sym_xml_doc_token1);
      if (lookahead == '(') ADVANCE(460);
      if (lookahead == '/') ADVANCE(461);
      if (lookahead == '\\') ADVANCE(463);
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(459);
      if (lookahead != 0 &&
          (lookahead < '\n' || '\r' < lookahead)) ADVANCE(464);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(aux_sym_xml_doc_token1);
      if (lookahead == '*') ADVANCE(467);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(464);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(aux_sym_xml_doc_token1);
      if (lookahead == '/') ADVANCE(462);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(464);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(aux_sym_xml_doc_token1);
      if (lookahead == '/') ADVANCE(458);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(469);
      if (lookahead != 0) ADVANCE(464);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(aux_sym_xml_doc_token1);
      if (lookahead == 'n') ADVANCE(459);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(464);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(aux_sym_xml_doc_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(464);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_LPAREN_STAR);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_LPAREN_STAR);
      if (lookahead == ')') ADVANCE(369);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          ('*' <= lookahead && lookahead <= '/') ||
          ('<' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          lookahead == '|' ||
          lookahead == '~') ADVANCE(128);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_LPAREN_STAR);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(464);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_STAR_RPAREN);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(469);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_identifier);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '!') ADVANCE(316);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '!') ADVANCE(305);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '!') ADVANCE(292);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '!') ADVANCE(291);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '!') ADVANCE(317);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(436);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(497);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(500);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(486);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(473);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(496);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(471);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(488);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(490);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(498);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(483);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(472);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(482);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(479);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(302);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(320);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(474);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(475);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(491);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(263);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(481);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(256);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(478);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(499);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(493);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(500);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == '_') ADVANCE(2);
      if (lookahead == 'a') ADVANCE(3);
      if (lookahead == 'b') ADVANCE(4);
      if (lookahead == 'c') ADVANCE(5);
      if (lookahead == 'd') ADVANCE(6);
      if (lookahead == 'e') ADVANCE(7);
      if (lookahead == 'f') ADVANCE(8);
      if (lookahead == 'g') ADVANCE(9);
      if (lookahead == 'i') ADVANCE(10);
      if (lookahead == 'l') ADVANCE(11);
      if (lookahead == 'm') ADVANCE(12);
      if (lookahead == 'n') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      if (lookahead == 'p') ADVANCE(15);
      if (lookahead == 'r') ADVANCE(16);
      if (lookahead == 's') ADVANCE(17);
      if (lookahead == 't') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      if (lookahead == 'v') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (lookahead == 'y') ADVANCE(22);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(23)
      END_STATE();
    case 1:
      if (lookahead == '\r') SKIP(24)
      if (lookahead == 'n') SKIP(23)
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 3:
      if (lookahead == 'b') ADVANCE(25);
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 5:
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 7:
      if (lookahead == 'n') ADVANCE(32);
      if (lookahead == 'q') ADVANCE(33);
      if (lookahead == 'v') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'u') ADVANCE(38);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 10:
      if (lookahead == 'd') ADVANCE(41);
      if (lookahead == 'f') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'e') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'e') ADVANCE(50);
      if (lookahead == 'o') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 14:
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'p') ADVANCE(54);
      if (lookahead == 'r') ADVANCE(55);
      if (lookahead == 'v') ADVANCE(56);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'r') ADVANCE(58);
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 't') ADVANCE(62);
      END_STATE();
    case 18:
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 'r') ADVANCE(64);
      if (lookahead == 'y') ADVANCE(65);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(66);
      if (lookahead == 'p') ADVANCE(67);
      if (lookahead == 's') ADVANCE(68);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(69);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(72);
      END_STATE();
    case 23:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == '_') ADVANCE(2);
      if (lookahead == 'a') ADVANCE(3);
      if (lookahead == 'b') ADVANCE(4);
      if (lookahead == 'c') ADVANCE(5);
      if (lookahead == 'd') ADVANCE(6);
      if (lookahead == 'e') ADVANCE(7);
      if (lookahead == 'f') ADVANCE(8);
      if (lookahead == 'g') ADVANCE(9);
      if (lookahead == 'i') ADVANCE(10);
      if (lookahead == 'l') ADVANCE(11);
      if (lookahead == 'm') ADVANCE(12);
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 'o') ADVANCE(14);
      if (lookahead == 'p') ADVANCE(15);
      if (lookahead == 'r') ADVANCE(16);
      if (lookahead == 's') ADVANCE(17);
      if (lookahead == 't') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      if (lookahead == 'v') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (lookahead == 'y') ADVANCE(22);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(23)
      END_STATE();
    case 24:
      if (lookahead == 'n') SKIP(23)
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(75);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(76);
      END_STATE();
    case 28:
      if (lookahead == 'g') ADVANCE(77);
      END_STATE();
    case 29:
      if (lookahead == 'm') ADVANCE(78);
      if (lookahead == 'n') ADVANCE(79);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(80);
      if (lookahead == 'l') ADVANCE(81);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(82);
      if (lookahead == 'w') ADVANCE(83);
      END_STATE();
    case 32:
      if (lookahead == 'd') ADVANCE(84);
      if (lookahead == 'u') ADVANCE(85);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(88);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(89);
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(92);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(94);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_id);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'h') ADVANCE(95);
      if (lookahead == 'l') ADVANCE(96);
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 44:
      if (lookahead == 'z') ADVANCE(98);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 46:
      if (lookahead == 'm') ADVANCE(100);
      END_STATE();
    case 47:
      if (lookahead == 'd') ADVANCE(101);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 49:
      if (lookahead == 'm') ADVANCE(103);
      END_STATE();
    case 50:
      if (lookahead == 'w') ADVANCE(104);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(106);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 57:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(110);
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 59:
      if (lookahead == 'b') ADVANCE(112);
      END_STATE();
    case 60:
      if (lookahead == 'c') ADVANCE(113);
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(116);
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(118);
      if (lookahead == 'y') ADVANCE(119);
      END_STATE();
    case 65:
      if (lookahead == 'p') ADVANCE(120);
      END_STATE();
    case 66:
      if (lookahead == 'i') ADVANCE(121);
      if (lookahead == 'm') ADVANCE(122);
      END_STATE();
    case 67:
      if (lookahead == 'c') ADVANCE(123);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(125);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(50);
      if (lookahead == 'o') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 78:
      if (lookahead == 'p') ADVANCE(132);
      END_STATE();
    case 79:
      if (lookahead == 's') ADVANCE(133);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(134);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(137);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 85:
      if (lookahead == 'm') ADVANCE(138);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(139);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(140);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(142);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(143);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(144);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 94:
      if (lookahead == 'b') ADVANCE(145);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 96:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 98:
      if (lookahead == 'y') ADVANCE(149);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(150);
      END_STATE();
    case 100:
      if (lookahead == 'b') ADVANCE(151);
      END_STATE();
    case 101:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 102:
      if (lookahead == 'a') ADVANCE(153);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 107:
      if (lookahead == 'n') ADVANCE(156);
      END_STATE();
    case 108:
      if (lookahead == 'r') ADVANCE(157);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(158);
      END_STATE();
    case 110:
      if (lookahead == 'v') ADVANCE(159);
      END_STATE();
    case 111:
      if (lookahead == 'p') ADVANCE(160);
      END_STATE();
    case 112:
      if (lookahead == 'l') ADVANCE(161);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 114:
      if (lookahead == 'u') ADVANCE(162);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(163);
      END_STATE();
    case 117:
      if (lookahead == 'u') ADVANCE(164);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 122:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_use);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 126:
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(171);
      END_STATE();
    case 128:
      if (lookahead == 'l') ADVANCE(172);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 130:
      if (lookahead == 'm') ADVANCE(174);
      if (lookahead == 'r') ADVANCE(175);
      END_STATE();
    case 131:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(177);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 134:
      if (lookahead == 'u') ADVANCE(179);
      END_STATE();
    case 135:
      if (lookahead == 'g') ADVANCE(180);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 137:
      if (lookahead == 'c') ADVANCE(181);
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 139:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(185);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 144:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(188);
      END_STATE();
    case 146:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 147:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 150:
      if (lookahead == 'h') ADVANCE(192);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(194);
      END_STATE();
    case 153:
      if (lookahead == 'b') ADVANCE(195);
      END_STATE();
    case 154:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(197);
      END_STATE();
    case 158:
      if (lookahead == 'm') ADVANCE(198);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(199);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(201);
      END_STATE();
    case 162:
      if (lookahead == 'r') ADVANCE(202);
      END_STATE();
    case 163:
      if (lookahead == 'i') ADVANCE(203);
      END_STATE();
    case 164:
      if (lookahead == 'c') ADVANCE(204);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_bool);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_unit);
      END_STATE();
    case 168:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(206);
      END_STATE();
    case 170:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 172:
      if (lookahead == 'd') ADVANCE(208);
      END_STATE();
    case 173:
      if (lookahead == 'a') ADVANCE(209);
      END_STATE();
    case 174:
      if (lookahead == 'b') ADVANCE(210);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 178:
      if (lookahead == 'r') ADVANCE(213);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 180:
      if (lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 181:
      if (lookahead == 'a') ADVANCE(216);
      END_STATE();
    case 182:
      if (lookahead == 'o') ADVANCE(217);
      END_STATE();
    case 183:
      if (lookahead == 'i') ADVANCE(218);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_field);
      END_STATE();
    case 186:
      if (lookahead == 'l') ADVANCE(219);
      END_STATE();
    case 187:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(221);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(222);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 191:
      if (lookahead == 'f') ADVANCE(224);
      if (lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 193:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 195:
      if (lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 196:
      if (lookahead == 'p') ADVANCE(229);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_param);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(231);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 201:
      if (lookahead == 'c') ADVANCE(233);
      END_STATE();
    case 202:
      if (lookahead == 'n') ADVANCE(234);
      END_STATE();
    case 203:
      if (lookahead == 'c') ADVANCE(235);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 205:
      if (lookahead == 'a') ADVANCE(237);
      END_STATE();
    case 206:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 209:
      if (lookahead == 'c') ADVANCE(239);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(240);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 212:
      if (lookahead == 'i') ADVANCE(241);
      END_STATE();
    case 213:
      if (lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 214:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 215:
      if (lookahead == 't') ADVANCE(244);
      END_STATE();
    case 216:
      if (lookahead == 's') ADVANCE(245);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 218:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 219:
      if (lookahead == 'y') ADVANCE(247);
      END_STATE();
    case 220:
      if (lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 222:
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(251);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_member);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(252);
      END_STATE();
    case 229:
      if (lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 230:
      if (lookahead == 'd') ADVANCE(254);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 232:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_access_modifier_token1);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 237:
      if (lookahead == 'g') ADVANCE(256);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_upcast);
      END_STATE();
    case 239:
      if (lookahead == 't') ADVANCE(257);
      END_STATE();
    case 240:
      if (lookahead == 'y') ADVANCE(258);
      END_STATE();
    case 241:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 242:
      if (lookahead == 'c') ADVANCE(260);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 244:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 245:
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 246:
      if (lookahead == 'y') ADVANCE(263);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(264);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 250:
      if (lookahead == 'c') ADVANCE(265);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 253:
      if (lookahead == 'c') ADVANCE(266);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 255:
      if (lookahead == 'y') ADVANCE(268);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_assembly);
      END_STATE();
    case 259:
      if (lookahead == 'o') ADVANCE(270);
      END_STATE();
    case 260:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_delegate);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_downcast);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_equality);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 269:
      if (lookahead == 'd') ADVANCE(274);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 271:
      if (lookahead == 'o') ADVANCE(276);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_unmanaged);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_comparison);
      END_STATE();
    case 276:
      if (lookahead == 'r') ADVANCE(277);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_constructor);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 227, .external_lex_state = 2},
  [2] = {.lex_state = 220, .external_lex_state = 3},
  [3] = {.lex_state = 220, .external_lex_state = 3},
  [4] = {.lex_state = 220, .external_lex_state = 3},
  [5] = {.lex_state = 220, .external_lex_state = 3},
  [6] = {.lex_state = 220, .external_lex_state = 3},
  [7] = {.lex_state = 220, .external_lex_state = 3},
  [8] = {.lex_state = 220, .external_lex_state = 3},
  [9] = {.lex_state = 220, .external_lex_state = 3},
  [10] = {.lex_state = 220, .external_lex_state = 3},
  [11] = {.lex_state = 220, .external_lex_state = 3},
  [12] = {.lex_state = 220, .external_lex_state = 4},
  [13] = {.lex_state = 220, .external_lex_state = 4},
  [14] = {.lex_state = 220, .external_lex_state = 3},
  [15] = {.lex_state = 220, .external_lex_state = 4},
  [16] = {.lex_state = 220, .external_lex_state = 3},
  [17] = {.lex_state = 220, .external_lex_state = 3},
  [18] = {.lex_state = 220, .external_lex_state = 3},
  [19] = {.lex_state = 220, .external_lex_state = 3},
  [20] = {.lex_state = 220, .external_lex_state = 3},
  [21] = {.lex_state = 220, .external_lex_state = 3},
  [22] = {.lex_state = 220, .external_lex_state = 4},
  [23] = {.lex_state = 220, .external_lex_state = 3},
  [24] = {.lex_state = 220, .external_lex_state = 3},
  [25] = {.lex_state = 220, .external_lex_state = 4},
  [26] = {.lex_state = 220, .external_lex_state = 3},
  [27] = {.lex_state = 220, .external_lex_state = 4},
  [28] = {.lex_state = 220, .external_lex_state = 4},
  [29] = {.lex_state = 220, .external_lex_state = 4},
  [30] = {.lex_state = 220, .external_lex_state = 4},
  [31] = {.lex_state = 220, .external_lex_state = 4},
  [32] = {.lex_state = 220, .external_lex_state = 3},
  [33] = {.lex_state = 220, .external_lex_state = 3},
  [34] = {.lex_state = 220, .external_lex_state = 3},
  [35] = {.lex_state = 220, .external_lex_state = 3},
  [36] = {.lex_state = 220, .external_lex_state = 3},
  [37] = {.lex_state = 220, .external_lex_state = 3},
  [38] = {.lex_state = 220, .external_lex_state = 3},
  [39] = {.lex_state = 220, .external_lex_state = 3},
  [40] = {.lex_state = 220, .external_lex_state = 3},
  [41] = {.lex_state = 220, .external_lex_state = 5},
  [42] = {.lex_state = 220, .external_lex_state = 5},
  [43] = {.lex_state = 220, .external_lex_state = 5},
  [44] = {.lex_state = 220, .external_lex_state = 5},
  [45] = {.lex_state = 220, .external_lex_state = 5},
  [46] = {.lex_state = 220, .external_lex_state = 5},
  [47] = {.lex_state = 220, .external_lex_state = 5},
  [48] = {.lex_state = 220, .external_lex_state = 5},
  [49] = {.lex_state = 220, .external_lex_state = 5},
  [50] = {.lex_state = 220, .external_lex_state = 5},
  [51] = {.lex_state = 50, .external_lex_state = 4},
  [52] = {.lex_state = 50, .external_lex_state = 4},
  [53] = {.lex_state = 220, .external_lex_state = 5},
  [54] = {.lex_state = 220, .external_lex_state = 5},
  [55] = {.lex_state = 50, .external_lex_state = 4},
  [56] = {.lex_state = 220, .external_lex_state = 5},
  [57] = {.lex_state = 50, .external_lex_state = 4},
  [58] = {.lex_state = 220, .external_lex_state = 5},
  [59] = {.lex_state = 220, .external_lex_state = 5},
  [60] = {.lex_state = 220, .external_lex_state = 5},
  [61] = {.lex_state = 220, .external_lex_state = 4},
  [62] = {.lex_state = 50, .external_lex_state = 4},
  [63] = {.lex_state = 220, .external_lex_state = 5},
  [64] = {.lex_state = 220, .external_lex_state = 5},
  [65] = {.lex_state = 220, .external_lex_state = 5},
  [66] = {.lex_state = 50, .external_lex_state = 4},
  [67] = {.lex_state = 50, .external_lex_state = 4},
  [68] = {.lex_state = 50, .external_lex_state = 4},
  [69] = {.lex_state = 50, .external_lex_state = 4},
  [70] = {.lex_state = 50, .external_lex_state = 4},
  [71] = {.lex_state = 220, .external_lex_state = 4},
  [72] = {.lex_state = 220, .external_lex_state = 4},
  [73] = {.lex_state = 220, .external_lex_state = 3},
  [74] = {.lex_state = 220, .external_lex_state = 3},
  [75] = {.lex_state = 220, .external_lex_state = 3},
  [76] = {.lex_state = 220, .external_lex_state = 6},
  [77] = {.lex_state = 220, .external_lex_state = 3},
  [78] = {.lex_state = 220, .external_lex_state = 3},
  [79] = {.lex_state = 55, .external_lex_state = 3},
  [80] = {.lex_state = 220, .external_lex_state = 3},
  [81] = {.lex_state = 220, .external_lex_state = 3},
  [82] = {.lex_state = 220, .external_lex_state = 4},
  [83] = {.lex_state = 220, .external_lex_state = 4},
  [84] = {.lex_state = 220, .external_lex_state = 4},
  [85] = {.lex_state = 220, .external_lex_state = 4},
  [86] = {.lex_state = 220, .external_lex_state = 3},
  [87] = {.lex_state = 220, .external_lex_state = 4},
  [88] = {.lex_state = 220, .external_lex_state = 4},
  [89] = {.lex_state = 220, .external_lex_state = 3},
  [90] = {.lex_state = 220, .external_lex_state = 4},
  [91] = {.lex_state = 220, .external_lex_state = 3},
  [92] = {.lex_state = 220, .external_lex_state = 4},
  [93] = {.lex_state = 220, .external_lex_state = 4},
  [94] = {.lex_state = 220, .external_lex_state = 4},
  [95] = {.lex_state = 220, .external_lex_state = 4},
  [96] = {.lex_state = 220, .external_lex_state = 4},
  [97] = {.lex_state = 220, .external_lex_state = 4},
  [98] = {.lex_state = 50, .external_lex_state = 3},
  [99] = {.lex_state = 50, .external_lex_state = 3},
  [100] = {.lex_state = 50, .external_lex_state = 3},
  [101] = {.lex_state = 50, .external_lex_state = 3},
  [102] = {.lex_state = 220, .external_lex_state = 6},
  [103] = {.lex_state = 220, .external_lex_state = 3},
  [104] = {.lex_state = 220, .external_lex_state = 4},
  [105] = {.lex_state = 220, .external_lex_state = 3},
  [106] = {.lex_state = 50, .external_lex_state = 3},
  [107] = {.lex_state = 220, .external_lex_state = 3},
  [108] = {.lex_state = 50, .external_lex_state = 3},
  [109] = {.lex_state = 220, .external_lex_state = 3},
  [110] = {.lex_state = 220, .external_lex_state = 4},
  [111] = {.lex_state = 220, .external_lex_state = 3},
  [112] = {.lex_state = 220, .external_lex_state = 3},
  [113] = {.lex_state = 220, .external_lex_state = 3},
  [114] = {.lex_state = 50, .external_lex_state = 3},
  [115] = {.lex_state = 55, .external_lex_state = 3},
  [116] = {.lex_state = 220, .external_lex_state = 3},
  [117] = {.lex_state = 50, .external_lex_state = 3},
  [118] = {.lex_state = 220, .external_lex_state = 3},
  [119] = {.lex_state = 50, .external_lex_state = 3},
  [120] = {.lex_state = 220, .external_lex_state = 6},
  [121] = {.lex_state = 220, .external_lex_state = 4},
  [122] = {.lex_state = 50, .external_lex_state = 3},
  [123] = {.lex_state = 220, .external_lex_state = 4},
  [124] = {.lex_state = 220, .external_lex_state = 4},
  [125] = {.lex_state = 55, .external_lex_state = 3},
  [126] = {.lex_state = 55, .external_lex_state = 3},
  [127] = {.lex_state = 55, .external_lex_state = 3},
  [128] = {.lex_state = 55, .external_lex_state = 3},
  [129] = {.lex_state = 55, .external_lex_state = 3},
  [130] = {.lex_state = 55, .external_lex_state = 3},
  [131] = {.lex_state = 220, .external_lex_state = 4},
  [132] = {.lex_state = 220, .external_lex_state = 3},
  [133] = {.lex_state = 220, .external_lex_state = 4},
  [134] = {.lex_state = 220, .external_lex_state = 6},
  [135] = {.lex_state = 220, .external_lex_state = 3},
  [136] = {.lex_state = 220, .external_lex_state = 6},
  [137] = {.lex_state = 220, .external_lex_state = 6},
  [138] = {.lex_state = 220, .external_lex_state = 6},
  [139] = {.lex_state = 220, .external_lex_state = 6},
  [140] = {.lex_state = 220, .external_lex_state = 6},
  [141] = {.lex_state = 55, .external_lex_state = 3},
  [142] = {.lex_state = 55, .external_lex_state = 3},
  [143] = {.lex_state = 55, .external_lex_state = 3},
  [144] = {.lex_state = 55, .external_lex_state = 3},
  [145] = {.lex_state = 220, .external_lex_state = 3},
  [146] = {.lex_state = 220, .external_lex_state = 3},
  [147] = {.lex_state = 220, .external_lex_state = 3},
  [148] = {.lex_state = 220, .external_lex_state = 3},
  [149] = {.lex_state = 220, .external_lex_state = 6},
  [150] = {.lex_state = 220, .external_lex_state = 3},
  [151] = {.lex_state = 220, .external_lex_state = 3},
  [152] = {.lex_state = 220, .external_lex_state = 3},
  [153] = {.lex_state = 220, .external_lex_state = 3},
  [154] = {.lex_state = 220, .external_lex_state = 3},
  [155] = {.lex_state = 220, .external_lex_state = 7},
  [156] = {.lex_state = 55, .external_lex_state = 3},
  [157] = {.lex_state = 220, .external_lex_state = 7},
  [158] = {.lex_state = 222, .external_lex_state = 3},
  [159] = {.lex_state = 220, .external_lex_state = 7},
  [160] = {.lex_state = 220, .external_lex_state = 7},
  [161] = {.lex_state = 220, .external_lex_state = 3},
  [162] = {.lex_state = 220, .external_lex_state = 7},
  [163] = {.lex_state = 220, .external_lex_state = 7},
  [164] = {.lex_state = 220, .external_lex_state = 3},
  [165] = {.lex_state = 55, .external_lex_state = 3},
  [166] = {.lex_state = 220, .external_lex_state = 7},
  [167] = {.lex_state = 220, .external_lex_state = 7},
  [168] = {.lex_state = 220, .external_lex_state = 7},
  [169] = {.lex_state = 55, .external_lex_state = 3},
  [170] = {.lex_state = 55, .external_lex_state = 3},
  [171] = {.lex_state = 220, .external_lex_state = 3},
  [172] = {.lex_state = 222, .external_lex_state = 3},
  [173] = {.lex_state = 222, .external_lex_state = 3},
  [174] = {.lex_state = 220, .external_lex_state = 3},
  [175] = {.lex_state = 222, .external_lex_state = 3},
  [176] = {.lex_state = 220, .external_lex_state = 7},
  [177] = {.lex_state = 220, .external_lex_state = 3},
  [178] = {.lex_state = 222, .external_lex_state = 3},
  [179] = {.lex_state = 220, .external_lex_state = 7},
  [180] = {.lex_state = 220, .external_lex_state = 7},
  [181] = {.lex_state = 220, .external_lex_state = 3},
  [182] = {.lex_state = 220, .external_lex_state = 7},
  [183] = {.lex_state = 55, .external_lex_state = 3},
  [184] = {.lex_state = 222, .external_lex_state = 3},
  [185] = {.lex_state = 220, .external_lex_state = 7},
  [186] = {.lex_state = 220, .external_lex_state = 7},
  [187] = {.lex_state = 220, .external_lex_state = 3},
  [188] = {.lex_state = 220, .external_lex_state = 4},
  [189] = {.lex_state = 220, .external_lex_state = 7},
  [190] = {.lex_state = 220, .external_lex_state = 7},
  [191] = {.lex_state = 220, .external_lex_state = 7},
  [192] = {.lex_state = 220, .external_lex_state = 3},
  [193] = {.lex_state = 222, .external_lex_state = 3},
  [194] = {.lex_state = 222, .external_lex_state = 3},
  [195] = {.lex_state = 220, .external_lex_state = 7},
  [196] = {.lex_state = 55, .external_lex_state = 3},
  [197] = {.lex_state = 222, .external_lex_state = 3},
  [198] = {.lex_state = 222, .external_lex_state = 3},
  [199] = {.lex_state = 222, .external_lex_state = 3},
  [200] = {.lex_state = 55, .external_lex_state = 3},
  [201] = {.lex_state = 220, .external_lex_state = 3},
  [202] = {.lex_state = 55, .external_lex_state = 3},
  [203] = {.lex_state = 222, .external_lex_state = 3},
  [204] = {.lex_state = 220, .external_lex_state = 3},
  [205] = {.lex_state = 220, .external_lex_state = 3},
  [206] = {.lex_state = 55, .external_lex_state = 3},
  [207] = {.lex_state = 220, .external_lex_state = 4},
  [208] = {.lex_state = 222, .external_lex_state = 3},
  [209] = {.lex_state = 220, .external_lex_state = 4},
  [210] = {.lex_state = 220, .external_lex_state = 3},
  [211] = {.lex_state = 222, .external_lex_state = 3},
  [212] = {.lex_state = 55, .external_lex_state = 3},
  [213] = {.lex_state = 55, .external_lex_state = 3},
  [214] = {.lex_state = 222, .external_lex_state = 3},
  [215] = {.lex_state = 220, .external_lex_state = 3},
  [216] = {.lex_state = 220, .external_lex_state = 3},
  [217] = {.lex_state = 55, .external_lex_state = 3},
  [218] = {.lex_state = 222, .external_lex_state = 3},
  [219] = {.lex_state = 220, .external_lex_state = 3},
  [220] = {.lex_state = 222, .external_lex_state = 3},
  [221] = {.lex_state = 220, .external_lex_state = 3},
  [222] = {.lex_state = 220, .external_lex_state = 4},
  [223] = {.lex_state = 222, .external_lex_state = 3},
  [224] = {.lex_state = 222, .external_lex_state = 3},
  [225] = {.lex_state = 220, .external_lex_state = 4},
  [226] = {.lex_state = 220, .external_lex_state = 3},
  [227] = {.lex_state = 220, .external_lex_state = 4},
  [228] = {.lex_state = 55, .external_lex_state = 3},
  [229] = {.lex_state = 220, .external_lex_state = 4},
  [230] = {.lex_state = 222, .external_lex_state = 3},
  [231] = {.lex_state = 55, .external_lex_state = 3},
  [232] = {.lex_state = 220, .external_lex_state = 4},
  [233] = {.lex_state = 55, .external_lex_state = 3},
  [234] = {.lex_state = 220, .external_lex_state = 3},
  [235] = {.lex_state = 220, .external_lex_state = 3},
  [236] = {.lex_state = 220, .external_lex_state = 4},
  [237] = {.lex_state = 220, .external_lex_state = 4},
  [238] = {.lex_state = 220, .external_lex_state = 4},
  [239] = {.lex_state = 220, .external_lex_state = 4},
  [240] = {.lex_state = 220, .external_lex_state = 4},
  [241] = {.lex_state = 220, .external_lex_state = 4},
  [242] = {.lex_state = 220, .external_lex_state = 4},
  [243] = {.lex_state = 220, .external_lex_state = 4},
  [244] = {.lex_state = 55, .external_lex_state = 3},
  [245] = {.lex_state = 220, .external_lex_state = 7},
  [246] = {.lex_state = 220, .external_lex_state = 4},
  [247] = {.lex_state = 220, .external_lex_state = 4},
  [248] = {.lex_state = 220, .external_lex_state = 4},
  [249] = {.lex_state = 220, .external_lex_state = 4},
  [250] = {.lex_state = 55, .external_lex_state = 3},
  [251] = {.lex_state = 220, .external_lex_state = 3},
  [252] = {.lex_state = 220, .external_lex_state = 4},
  [253] = {.lex_state = 220, .external_lex_state = 4},
  [254] = {.lex_state = 220, .external_lex_state = 4},
  [255] = {.lex_state = 220, .external_lex_state = 4},
  [256] = {.lex_state = 55, .external_lex_state = 3},
  [257] = {.lex_state = 55, .external_lex_state = 3},
  [258] = {.lex_state = 220, .external_lex_state = 4},
  [259] = {.lex_state = 220, .external_lex_state = 4},
  [260] = {.lex_state = 220, .external_lex_state = 3},
  [261] = {.lex_state = 220, .external_lex_state = 3},
  [262] = {.lex_state = 220, .external_lex_state = 4},
  [263] = {.lex_state = 220, .external_lex_state = 4},
  [264] = {.lex_state = 220, .external_lex_state = 4},
  [265] = {.lex_state = 220, .external_lex_state = 3},
  [266] = {.lex_state = 220, .external_lex_state = 4},
  [267] = {.lex_state = 220, .external_lex_state = 4},
  [268] = {.lex_state = 220, .external_lex_state = 4},
  [269] = {.lex_state = 220, .external_lex_state = 4},
  [270] = {.lex_state = 222, .external_lex_state = 3},
  [271] = {.lex_state = 220, .external_lex_state = 4},
  [272] = {.lex_state = 220, .external_lex_state = 3},
  [273] = {.lex_state = 220, .external_lex_state = 4},
  [274] = {.lex_state = 222, .external_lex_state = 3},
  [275] = {.lex_state = 222, .external_lex_state = 3},
  [276] = {.lex_state = 220, .external_lex_state = 4},
  [277] = {.lex_state = 55, .external_lex_state = 3},
  [278] = {.lex_state = 220, .external_lex_state = 3},
  [279] = {.lex_state = 220, .external_lex_state = 3},
  [280] = {.lex_state = 220, .external_lex_state = 3},
  [281] = {.lex_state = 220, .external_lex_state = 3},
  [282] = {.lex_state = 220, .external_lex_state = 3},
  [283] = {.lex_state = 227, .external_lex_state = 2},
  [284] = {.lex_state = 220, .external_lex_state = 3},
  [285] = {.lex_state = 220, .external_lex_state = 3},
  [286] = {.lex_state = 220, .external_lex_state = 3},
  [287] = {.lex_state = 220, .external_lex_state = 3},
  [288] = {.lex_state = 220, .external_lex_state = 3},
  [289] = {.lex_state = 220, .external_lex_state = 3},
  [290] = {.lex_state = 220, .external_lex_state = 3},
  [291] = {.lex_state = 220, .external_lex_state = 3},
  [292] = {.lex_state = 220, .external_lex_state = 3},
  [293] = {.lex_state = 220, .external_lex_state = 3},
  [294] = {.lex_state = 220, .external_lex_state = 3},
  [295] = {.lex_state = 220, .external_lex_state = 3},
  [296] = {.lex_state = 220, .external_lex_state = 3},
  [297] = {.lex_state = 220, .external_lex_state = 3},
  [298] = {.lex_state = 220, .external_lex_state = 3},
  [299] = {.lex_state = 220, .external_lex_state = 3},
  [300] = {.lex_state = 220, .external_lex_state = 3},
  [301] = {.lex_state = 220, .external_lex_state = 3},
  [302] = {.lex_state = 220, .external_lex_state = 3},
  [303] = {.lex_state = 220, .external_lex_state = 3},
  [304] = {.lex_state = 220, .external_lex_state = 3},
  [305] = {.lex_state = 220, .external_lex_state = 3},
  [306] = {.lex_state = 220, .external_lex_state = 3},
  [307] = {.lex_state = 220, .external_lex_state = 3},
  [308] = {.lex_state = 220, .external_lex_state = 3},
  [309] = {.lex_state = 220, .external_lex_state = 3},
  [310] = {.lex_state = 220, .external_lex_state = 3},
  [311] = {.lex_state = 220, .external_lex_state = 3},
  [312] = {.lex_state = 220, .external_lex_state = 3},
  [313] = {.lex_state = 220, .external_lex_state = 3},
  [314] = {.lex_state = 220, .external_lex_state = 3},
  [315] = {.lex_state = 220, .external_lex_state = 3},
  [316] = {.lex_state = 220, .external_lex_state = 3},
  [317] = {.lex_state = 220, .external_lex_state = 3},
  [318] = {.lex_state = 220, .external_lex_state = 3},
  [319] = {.lex_state = 220, .external_lex_state = 3},
  [320] = {.lex_state = 220, .external_lex_state = 3},
  [321] = {.lex_state = 227, .external_lex_state = 2},
  [322] = {.lex_state = 227, .external_lex_state = 2},
  [323] = {.lex_state = 227, .external_lex_state = 2},
  [324] = {.lex_state = 227, .external_lex_state = 2},
  [325] = {.lex_state = 227, .external_lex_state = 2},
  [326] = {.lex_state = 227, .external_lex_state = 2},
  [327] = {.lex_state = 227, .external_lex_state = 2},
  [328] = {.lex_state = 227, .external_lex_state = 8},
  [329] = {.lex_state = 227, .external_lex_state = 8},
  [330] = {.lex_state = 227, .external_lex_state = 8},
  [331] = {.lex_state = 227, .external_lex_state = 2},
  [332] = {.lex_state = 227, .external_lex_state = 8},
  [333] = {.lex_state = 227, .external_lex_state = 2},
  [334] = {.lex_state = 227, .external_lex_state = 8},
  [335] = {.lex_state = 227, .external_lex_state = 2},
  [336] = {.lex_state = 227, .external_lex_state = 2},
  [337] = {.lex_state = 227, .external_lex_state = 8},
  [338] = {.lex_state = 227, .external_lex_state = 8},
  [339] = {.lex_state = 227, .external_lex_state = 2},
  [340] = {.lex_state = 227, .external_lex_state = 2},
  [341] = {.lex_state = 227, .external_lex_state = 2},
  [342] = {.lex_state = 227, .external_lex_state = 2},
  [343] = {.lex_state = 227, .external_lex_state = 2},
  [344] = {.lex_state = 227, .external_lex_state = 2},
  [345] = {.lex_state = 227, .external_lex_state = 2},
  [346] = {.lex_state = 227, .external_lex_state = 2},
  [347] = {.lex_state = 227, .external_lex_state = 2},
  [348] = {.lex_state = 227, .external_lex_state = 3},
  [349] = {.lex_state = 227, .external_lex_state = 2},
  [350] = {.lex_state = 227, .external_lex_state = 2},
  [351] = {.lex_state = 227, .external_lex_state = 8},
  [352] = {.lex_state = 68, .external_lex_state = 2},
  [353] = {.lex_state = 228, .external_lex_state = 3},
  [354] = {.lex_state = 68, .external_lex_state = 2},
  [355] = {.lex_state = 228, .external_lex_state = 2},
  [356] = {.lex_state = 228, .external_lex_state = 2},
  [357] = {.lex_state = 227, .external_lex_state = 2},
  [358] = {.lex_state = 227, .external_lex_state = 2},
  [359] = {.lex_state = 227, .external_lex_state = 2},
  [360] = {.lex_state = 228, .external_lex_state = 2},
  [361] = {.lex_state = 228, .external_lex_state = 2},
  [362] = {.lex_state = 227, .external_lex_state = 2},
  [363] = {.lex_state = 227, .external_lex_state = 2},
  [364] = {.lex_state = 228, .external_lex_state = 2},
  [365] = {.lex_state = 228, .external_lex_state = 2},
  [366] = {.lex_state = 228, .external_lex_state = 2},
  [367] = {.lex_state = 228, .external_lex_state = 2},
  [368] = {.lex_state = 227, .external_lex_state = 2},
  [369] = {.lex_state = 228, .external_lex_state = 2},
  [370] = {.lex_state = 227, .external_lex_state = 2},
  [371] = {.lex_state = 228, .external_lex_state = 2},
  [372] = {.lex_state = 228, .external_lex_state = 2},
  [373] = {.lex_state = 227, .external_lex_state = 2},
  [374] = {.lex_state = 227, .external_lex_state = 2},
  [375] = {.lex_state = 227, .external_lex_state = 2},
  [376] = {.lex_state = 228, .external_lex_state = 2},
  [377] = {.lex_state = 228, .external_lex_state = 2},
  [378] = {.lex_state = 228, .external_lex_state = 2},
  [379] = {.lex_state = 228, .external_lex_state = 2},
  [380] = {.lex_state = 227, .external_lex_state = 2},
  [381] = {.lex_state = 227, .external_lex_state = 2},
  [382] = {.lex_state = 227, .external_lex_state = 2},
  [383] = {.lex_state = 227, .external_lex_state = 2},
  [384] = {.lex_state = 227, .external_lex_state = 2},
  [385] = {.lex_state = 227, .external_lex_state = 2},
  [386] = {.lex_state = 227, .external_lex_state = 2},
  [387] = {.lex_state = 227, .external_lex_state = 2},
  [388] = {.lex_state = 227, .external_lex_state = 2},
  [389] = {.lex_state = 227, .external_lex_state = 2},
  [390] = {.lex_state = 227, .external_lex_state = 2},
  [391] = {.lex_state = 227, .external_lex_state = 2},
  [392] = {.lex_state = 227, .external_lex_state = 2},
  [393] = {.lex_state = 227, .external_lex_state = 2},
  [394] = {.lex_state = 227, .external_lex_state = 2},
  [395] = {.lex_state = 227, .external_lex_state = 2},
  [396] = {.lex_state = 227, .external_lex_state = 2},
  [397] = {.lex_state = 227, .external_lex_state = 2},
  [398] = {.lex_state = 227, .external_lex_state = 2},
  [399] = {.lex_state = 227, .external_lex_state = 2},
  [400] = {.lex_state = 227, .external_lex_state = 2},
  [401] = {.lex_state = 227, .external_lex_state = 2},
  [402] = {.lex_state = 227, .external_lex_state = 2},
  [403] = {.lex_state = 227, .external_lex_state = 8},
  [404] = {.lex_state = 227, .external_lex_state = 2},
  [405] = {.lex_state = 227, .external_lex_state = 2},
  [406] = {.lex_state = 227, .external_lex_state = 2},
  [407] = {.lex_state = 227, .external_lex_state = 2},
  [408] = {.lex_state = 227, .external_lex_state = 2},
  [409] = {.lex_state = 227, .external_lex_state = 2},
  [410] = {.lex_state = 227, .external_lex_state = 2},
  [411] = {.lex_state = 227, .external_lex_state = 2},
  [412] = {.lex_state = 227, .external_lex_state = 2},
  [413] = {.lex_state = 227, .external_lex_state = 2},
  [414] = {.lex_state = 227, .external_lex_state = 2},
  [415] = {.lex_state = 227, .external_lex_state = 2},
  [416] = {.lex_state = 227, .external_lex_state = 2},
  [417] = {.lex_state = 227, .external_lex_state = 2},
  [418] = {.lex_state = 227, .external_lex_state = 2},
  [419] = {.lex_state = 227, .external_lex_state = 2},
  [420] = {.lex_state = 227, .external_lex_state = 2},
  [421] = {.lex_state = 227, .external_lex_state = 2},
  [422] = {.lex_state = 227, .external_lex_state = 2},
  [423] = {.lex_state = 227, .external_lex_state = 2},
  [424] = {.lex_state = 227, .external_lex_state = 2},
  [425] = {.lex_state = 227, .external_lex_state = 2},
  [426] = {.lex_state = 227, .external_lex_state = 2},
  [427] = {.lex_state = 227, .external_lex_state = 2},
  [428] = {.lex_state = 227, .external_lex_state = 2},
  [429] = {.lex_state = 227, .external_lex_state = 2},
  [430] = {.lex_state = 227, .external_lex_state = 2},
  [431] = {.lex_state = 227, .external_lex_state = 2},
  [432] = {.lex_state = 227, .external_lex_state = 2},
  [433] = {.lex_state = 227, .external_lex_state = 2},
  [434] = {.lex_state = 227, .external_lex_state = 2},
  [435] = {.lex_state = 227, .external_lex_state = 2},
  [436] = {.lex_state = 227, .external_lex_state = 2},
  [437] = {.lex_state = 227, .external_lex_state = 2},
  [438] = {.lex_state = 227, .external_lex_state = 2},
  [439] = {.lex_state = 227, .external_lex_state = 2},
  [440] = {.lex_state = 227, .external_lex_state = 2},
  [441] = {.lex_state = 227, .external_lex_state = 2},
  [442] = {.lex_state = 227, .external_lex_state = 2},
  [443] = {.lex_state = 227, .external_lex_state = 2},
  [444] = {.lex_state = 227, .external_lex_state = 2},
  [445] = {.lex_state = 227, .external_lex_state = 2},
  [446] = {.lex_state = 227, .external_lex_state = 2},
  [447] = {.lex_state = 227, .external_lex_state = 2},
  [448] = {.lex_state = 227, .external_lex_state = 2},
  [449] = {.lex_state = 227, .external_lex_state = 2},
  [450] = {.lex_state = 227, .external_lex_state = 2},
  [451] = {.lex_state = 227, .external_lex_state = 2},
  [452] = {.lex_state = 227, .external_lex_state = 2},
  [453] = {.lex_state = 227, .external_lex_state = 2},
  [454] = {.lex_state = 227, .external_lex_state = 2},
  [455] = {.lex_state = 227, .external_lex_state = 2},
  [456] = {.lex_state = 227, .external_lex_state = 2},
  [457] = {.lex_state = 227, .external_lex_state = 2},
  [458] = {.lex_state = 227, .external_lex_state = 2},
  [459] = {.lex_state = 227, .external_lex_state = 2},
  [460] = {.lex_state = 227, .external_lex_state = 2},
  [461] = {.lex_state = 227, .external_lex_state = 2},
  [462] = {.lex_state = 227, .external_lex_state = 2},
  [463] = {.lex_state = 227, .external_lex_state = 2},
  [464] = {.lex_state = 227, .external_lex_state = 2},
  [465] = {.lex_state = 227, .external_lex_state = 2},
  [466] = {.lex_state = 227, .external_lex_state = 2},
  [467] = {.lex_state = 227, .external_lex_state = 2},
  [468] = {.lex_state = 227, .external_lex_state = 2},
  [469] = {.lex_state = 227, .external_lex_state = 2},
  [470] = {.lex_state = 227, .external_lex_state = 2},
  [471] = {.lex_state = 227, .external_lex_state = 2},
  [472] = {.lex_state = 227, .external_lex_state = 2},
  [473] = {.lex_state = 227, .external_lex_state = 2},
  [474] = {.lex_state = 227, .external_lex_state = 2},
  [475] = {.lex_state = 227, .external_lex_state = 2},
  [476] = {.lex_state = 227, .external_lex_state = 2},
  [477] = {.lex_state = 227, .external_lex_state = 2},
  [478] = {.lex_state = 227, .external_lex_state = 2},
  [479] = {.lex_state = 227, .external_lex_state = 2},
  [480] = {.lex_state = 227, .external_lex_state = 2},
  [481] = {.lex_state = 227, .external_lex_state = 2},
  [482] = {.lex_state = 227, .external_lex_state = 2},
  [483] = {.lex_state = 227, .external_lex_state = 2},
  [484] = {.lex_state = 227, .external_lex_state = 2},
  [485] = {.lex_state = 227, .external_lex_state = 2},
  [486] = {.lex_state = 227, .external_lex_state = 2},
  [487] = {.lex_state = 227, .external_lex_state = 2},
  [488] = {.lex_state = 227, .external_lex_state = 2},
  [489] = {.lex_state = 227, .external_lex_state = 2},
  [490] = {.lex_state = 227, .external_lex_state = 2},
  [491] = {.lex_state = 227, .external_lex_state = 2},
  [492] = {.lex_state = 227, .external_lex_state = 2},
  [493] = {.lex_state = 227, .external_lex_state = 2},
  [494] = {.lex_state = 227, .external_lex_state = 2},
  [495] = {.lex_state = 227, .external_lex_state = 2},
  [496] = {.lex_state = 227, .external_lex_state = 2},
  [497] = {.lex_state = 227, .external_lex_state = 2},
  [498] = {.lex_state = 227, .external_lex_state = 2},
  [499] = {.lex_state = 227, .external_lex_state = 2},
  [500] = {.lex_state = 227, .external_lex_state = 2},
  [501] = {.lex_state = 227, .external_lex_state = 2},
  [502] = {.lex_state = 227, .external_lex_state = 2},
  [503] = {.lex_state = 227, .external_lex_state = 2},
  [504] = {.lex_state = 227, .external_lex_state = 2},
  [505] = {.lex_state = 227, .external_lex_state = 2},
  [506] = {.lex_state = 227, .external_lex_state = 2},
  [507] = {.lex_state = 227, .external_lex_state = 2},
  [508] = {.lex_state = 227, .external_lex_state = 2},
  [509] = {.lex_state = 227, .external_lex_state = 2},
  [510] = {.lex_state = 227, .external_lex_state = 2},
  [511] = {.lex_state = 227, .external_lex_state = 2},
  [512] = {.lex_state = 227, .external_lex_state = 2},
  [513] = {.lex_state = 227, .external_lex_state = 2},
  [514] = {.lex_state = 227, .external_lex_state = 2},
  [515] = {.lex_state = 227, .external_lex_state = 2},
  [516] = {.lex_state = 227, .external_lex_state = 2},
  [517] = {.lex_state = 227, .external_lex_state = 2},
  [518] = {.lex_state = 227, .external_lex_state = 2},
  [519] = {.lex_state = 227, .external_lex_state = 2},
  [520] = {.lex_state = 227, .external_lex_state = 2},
  [521] = {.lex_state = 227, .external_lex_state = 2},
  [522] = {.lex_state = 227, .external_lex_state = 2},
  [523] = {.lex_state = 227, .external_lex_state = 2},
  [524] = {.lex_state = 227, .external_lex_state = 2},
  [525] = {.lex_state = 227, .external_lex_state = 2},
  [526] = {.lex_state = 227, .external_lex_state = 2},
  [527] = {.lex_state = 227, .external_lex_state = 2},
  [528] = {.lex_state = 227, .external_lex_state = 2},
  [529] = {.lex_state = 227, .external_lex_state = 2},
  [530] = {.lex_state = 227, .external_lex_state = 2},
  [531] = {.lex_state = 227, .external_lex_state = 2},
  [532] = {.lex_state = 227, .external_lex_state = 2},
  [533] = {.lex_state = 227, .external_lex_state = 2},
  [534] = {.lex_state = 227, .external_lex_state = 2},
  [535] = {.lex_state = 227, .external_lex_state = 2},
  [536] = {.lex_state = 227, .external_lex_state = 2},
  [537] = {.lex_state = 227, .external_lex_state = 2},
  [538] = {.lex_state = 227, .external_lex_state = 2},
  [539] = {.lex_state = 227, .external_lex_state = 2},
  [540] = {.lex_state = 227, .external_lex_state = 2},
  [541] = {.lex_state = 227, .external_lex_state = 2},
  [542] = {.lex_state = 227, .external_lex_state = 2},
  [543] = {.lex_state = 227, .external_lex_state = 2},
  [544] = {.lex_state = 227, .external_lex_state = 2},
  [545] = {.lex_state = 227, .external_lex_state = 2},
  [546] = {.lex_state = 227, .external_lex_state = 2},
  [547] = {.lex_state = 227, .external_lex_state = 2},
  [548] = {.lex_state = 227, .external_lex_state = 2},
  [549] = {.lex_state = 227, .external_lex_state = 2},
  [550] = {.lex_state = 227, .external_lex_state = 2},
  [551] = {.lex_state = 227, .external_lex_state = 2},
  [552] = {.lex_state = 227, .external_lex_state = 2},
  [553] = {.lex_state = 227, .external_lex_state = 2},
  [554] = {.lex_state = 227, .external_lex_state = 2},
  [555] = {.lex_state = 227, .external_lex_state = 2},
  [556] = {.lex_state = 227, .external_lex_state = 2},
  [557] = {.lex_state = 227, .external_lex_state = 2},
  [558] = {.lex_state = 227, .external_lex_state = 2},
  [559] = {.lex_state = 227, .external_lex_state = 2},
  [560] = {.lex_state = 227, .external_lex_state = 2},
  [561] = {.lex_state = 227, .external_lex_state = 2},
  [562] = {.lex_state = 227, .external_lex_state = 2},
  [563] = {.lex_state = 227, .external_lex_state = 2},
  [564] = {.lex_state = 227, .external_lex_state = 2},
  [565] = {.lex_state = 227, .external_lex_state = 2},
  [566] = {.lex_state = 227, .external_lex_state = 2},
  [567] = {.lex_state = 227, .external_lex_state = 2},
  [568] = {.lex_state = 227, .external_lex_state = 2},
  [569] = {.lex_state = 227, .external_lex_state = 2},
  [570] = {.lex_state = 227, .external_lex_state = 2},
  [571] = {.lex_state = 227, .external_lex_state = 2},
  [572] = {.lex_state = 227, .external_lex_state = 2},
  [573] = {.lex_state = 227, .external_lex_state = 2},
  [574] = {.lex_state = 227, .external_lex_state = 2},
  [575] = {.lex_state = 227, .external_lex_state = 2},
  [576] = {.lex_state = 227, .external_lex_state = 2},
  [577] = {.lex_state = 227, .external_lex_state = 2},
  [578] = {.lex_state = 227, .external_lex_state = 2},
  [579] = {.lex_state = 227, .external_lex_state = 2},
  [580] = {.lex_state = 227, .external_lex_state = 2},
  [581] = {.lex_state = 227, .external_lex_state = 2},
  [582] = {.lex_state = 227, .external_lex_state = 2},
  [583] = {.lex_state = 227, .external_lex_state = 2},
  [584] = {.lex_state = 227, .external_lex_state = 2},
  [585] = {.lex_state = 227, .external_lex_state = 2},
  [586] = {.lex_state = 227, .external_lex_state = 2},
  [587] = {.lex_state = 227, .external_lex_state = 2},
  [588] = {.lex_state = 227, .external_lex_state = 2},
  [589] = {.lex_state = 227, .external_lex_state = 2},
  [590] = {.lex_state = 227, .external_lex_state = 2},
  [591] = {.lex_state = 227, .external_lex_state = 2},
  [592] = {.lex_state = 227, .external_lex_state = 2},
  [593] = {.lex_state = 227, .external_lex_state = 2},
  [594] = {.lex_state = 227, .external_lex_state = 2},
  [595] = {.lex_state = 227, .external_lex_state = 2},
  [596] = {.lex_state = 227, .external_lex_state = 2},
  [597] = {.lex_state = 227, .external_lex_state = 2},
  [598] = {.lex_state = 227, .external_lex_state = 2},
  [599] = {.lex_state = 227, .external_lex_state = 2},
  [600] = {.lex_state = 227, .external_lex_state = 2},
  [601] = {.lex_state = 227, .external_lex_state = 2},
  [602] = {.lex_state = 227, .external_lex_state = 2},
  [603] = {.lex_state = 227, .external_lex_state = 2},
  [604] = {.lex_state = 227, .external_lex_state = 2},
  [605] = {.lex_state = 227, .external_lex_state = 2},
  [606] = {.lex_state = 227, .external_lex_state = 2},
  [607] = {.lex_state = 227, .external_lex_state = 2},
  [608] = {.lex_state = 227, .external_lex_state = 2},
  [609] = {.lex_state = 227, .external_lex_state = 2},
  [610] = {.lex_state = 227, .external_lex_state = 2},
  [611] = {.lex_state = 227, .external_lex_state = 2},
  [612] = {.lex_state = 227, .external_lex_state = 2},
  [613] = {.lex_state = 227, .external_lex_state = 2},
  [614] = {.lex_state = 227, .external_lex_state = 2},
  [615] = {.lex_state = 227, .external_lex_state = 2},
  [616] = {.lex_state = 227, .external_lex_state = 2},
  [617] = {.lex_state = 227, .external_lex_state = 2},
  [618] = {.lex_state = 227, .external_lex_state = 2},
  [619] = {.lex_state = 227, .external_lex_state = 2},
  [620] = {.lex_state = 227, .external_lex_state = 2},
  [621] = {.lex_state = 227, .external_lex_state = 2},
  [622] = {.lex_state = 227, .external_lex_state = 2},
  [623] = {.lex_state = 227, .external_lex_state = 2},
  [624] = {.lex_state = 227, .external_lex_state = 2},
  [625] = {.lex_state = 227, .external_lex_state = 2},
  [626] = {.lex_state = 227, .external_lex_state = 2},
  [627] = {.lex_state = 227, .external_lex_state = 2},
  [628] = {.lex_state = 227, .external_lex_state = 2},
  [629] = {.lex_state = 227, .external_lex_state = 2},
  [630] = {.lex_state = 227, .external_lex_state = 2},
  [631] = {.lex_state = 227, .external_lex_state = 2},
  [632] = {.lex_state = 227, .external_lex_state = 2},
  [633] = {.lex_state = 227, .external_lex_state = 2},
  [634] = {.lex_state = 227, .external_lex_state = 2},
  [635] = {.lex_state = 227, .external_lex_state = 2},
  [636] = {.lex_state = 227, .external_lex_state = 2},
  [637] = {.lex_state = 227, .external_lex_state = 2},
  [638] = {.lex_state = 227, .external_lex_state = 2},
  [639] = {.lex_state = 227, .external_lex_state = 2},
  [640] = {.lex_state = 227, .external_lex_state = 2},
  [641] = {.lex_state = 227, .external_lex_state = 2},
  [642] = {.lex_state = 227, .external_lex_state = 2},
  [643] = {.lex_state = 227, .external_lex_state = 2},
  [644] = {.lex_state = 227, .external_lex_state = 2},
  [645] = {.lex_state = 227, .external_lex_state = 2},
  [646] = {.lex_state = 227, .external_lex_state = 2},
  [647] = {.lex_state = 227, .external_lex_state = 2},
  [648] = {.lex_state = 227, .external_lex_state = 2},
  [649] = {.lex_state = 227, .external_lex_state = 2},
  [650] = {.lex_state = 227, .external_lex_state = 2},
  [651] = {.lex_state = 227, .external_lex_state = 2},
  [652] = {.lex_state = 227, .external_lex_state = 2},
  [653] = {.lex_state = 227, .external_lex_state = 2},
  [654] = {.lex_state = 227, .external_lex_state = 2},
  [655] = {.lex_state = 227, .external_lex_state = 2},
  [656] = {.lex_state = 227, .external_lex_state = 2},
  [657] = {.lex_state = 227, .external_lex_state = 2},
  [658] = {.lex_state = 227, .external_lex_state = 2},
  [659] = {.lex_state = 227, .external_lex_state = 2},
  [660] = {.lex_state = 227, .external_lex_state = 2},
  [661] = {.lex_state = 227, .external_lex_state = 2},
  [662] = {.lex_state = 227, .external_lex_state = 2},
  [663] = {.lex_state = 227, .external_lex_state = 2},
  [664] = {.lex_state = 227, .external_lex_state = 2},
  [665] = {.lex_state = 227, .external_lex_state = 2},
  [666] = {.lex_state = 227, .external_lex_state = 2},
  [667] = {.lex_state = 227, .external_lex_state = 2},
  [668] = {.lex_state = 227, .external_lex_state = 2},
  [669] = {.lex_state = 227, .external_lex_state = 2},
  [670] = {.lex_state = 227, .external_lex_state = 2},
  [671] = {.lex_state = 227, .external_lex_state = 2},
  [672] = {.lex_state = 227, .external_lex_state = 2},
  [673] = {.lex_state = 227, .external_lex_state = 2},
  [674] = {.lex_state = 227, .external_lex_state = 2},
  [675] = {.lex_state = 227, .external_lex_state = 2},
  [676] = {.lex_state = 227, .external_lex_state = 2},
  [677] = {.lex_state = 227, .external_lex_state = 2},
  [678] = {.lex_state = 227, .external_lex_state = 2},
  [679] = {.lex_state = 227, .external_lex_state = 2},
  [680] = {.lex_state = 227, .external_lex_state = 2},
  [681] = {.lex_state = 227, .external_lex_state = 2},
  [682] = {.lex_state = 227, .external_lex_state = 2},
  [683] = {.lex_state = 227, .external_lex_state = 2},
  [684] = {.lex_state = 227, .external_lex_state = 2},
  [685] = {.lex_state = 227, .external_lex_state = 2},
  [686] = {.lex_state = 227, .external_lex_state = 2},
  [687] = {.lex_state = 227, .external_lex_state = 2},
  [688] = {.lex_state = 227, .external_lex_state = 2},
  [689] = {.lex_state = 227, .external_lex_state = 2},
  [690] = {.lex_state = 227, .external_lex_state = 2},
  [691] = {.lex_state = 227, .external_lex_state = 2},
  [692] = {.lex_state = 227, .external_lex_state = 2},
  [693] = {.lex_state = 227, .external_lex_state = 2},
  [694] = {.lex_state = 227, .external_lex_state = 2},
  [695] = {.lex_state = 227, .external_lex_state = 2},
  [696] = {.lex_state = 227, .external_lex_state = 2},
  [697] = {.lex_state = 227, .external_lex_state = 2},
  [698] = {.lex_state = 227, .external_lex_state = 2},
  [699] = {.lex_state = 219, .external_lex_state = 3},
  [700] = {.lex_state = 219, .external_lex_state = 3},
  [701] = {.lex_state = 219, .external_lex_state = 3},
  [702] = {.lex_state = 219, .external_lex_state = 3},
  [703] = {.lex_state = 219, .external_lex_state = 3},
  [704] = {.lex_state = 219, .external_lex_state = 4},
  [705] = {.lex_state = 219, .external_lex_state = 3},
  [706] = {.lex_state = 219, .external_lex_state = 3},
  [707] = {.lex_state = 219, .external_lex_state = 3},
  [708] = {.lex_state = 219, .external_lex_state = 4},
  [709] = {.lex_state = 219, .external_lex_state = 4},
  [710] = {.lex_state = 219, .external_lex_state = 3},
  [711] = {.lex_state = 219, .external_lex_state = 3},
  [712] = {.lex_state = 218, .external_lex_state = 3},
  [713] = {.lex_state = 219, .external_lex_state = 3},
  [714] = {.lex_state = 219, .external_lex_state = 3},
  [715] = {.lex_state = 219, .external_lex_state = 4},
  [716] = {.lex_state = 218, .external_lex_state = 3},
  [717] = {.lex_state = 218, .external_lex_state = 4},
  [718] = {.lex_state = 218, .external_lex_state = 3},
  [719] = {.lex_state = 219, .external_lex_state = 5},
  [720] = {.lex_state = 45, .external_lex_state = 4},
  [721] = {.lex_state = 219, .external_lex_state = 4},
  [722] = {.lex_state = 219, .external_lex_state = 5},
  [723] = {.lex_state = 45, .external_lex_state = 4},
  [724] = {.lex_state = 219, .external_lex_state = 4},
  [725] = {.lex_state = 219, .external_lex_state = 4},
  [726] = {.lex_state = 219, .external_lex_state = 5},
  [727] = {.lex_state = 45, .external_lex_state = 4},
  [728] = {.lex_state = 219, .external_lex_state = 6},
  [729] = {.lex_state = 45, .external_lex_state = 3},
  [730] = {.lex_state = 45, .external_lex_state = 3},
  [731] = {.lex_state = 45, .external_lex_state = 3},
  [732] = {.lex_state = 219, .external_lex_state = 6},
  [733] = {.lex_state = 54, .external_lex_state = 3},
  [734] = {.lex_state = 219, .external_lex_state = 6},
  [735] = {.lex_state = 45, .external_lex_state = 4},
  [736] = {.lex_state = 54, .external_lex_state = 3},
  [737] = {.lex_state = 219, .external_lex_state = 4},
  [738] = {.lex_state = 54, .external_lex_state = 3},
  [739] = {.lex_state = 219, .external_lex_state = 5},
  [740] = {.lex_state = 219, .external_lex_state = 6},
  [741] = {.lex_state = 217, .external_lex_state = 4},
  [742] = {.lex_state = 49, .external_lex_state = 3},
  [743] = {.lex_state = 44, .external_lex_state = 4},
  [744] = {.lex_state = 218, .external_lex_state = 4},
  [745] = {.lex_state = 219, .external_lex_state = 7},
  [746] = {.lex_state = 45, .external_lex_state = 3},
  [747] = {.lex_state = 217, .external_lex_state = 4},
  [748] = {.lex_state = 217, .external_lex_state = 4},
  [749] = {.lex_state = 219, .external_lex_state = 7},
  [750] = {.lex_state = 49, .external_lex_state = 3},
  [751] = {.lex_state = 218, .external_lex_state = 5},
  [752] = {.lex_state = 49, .external_lex_state = 3},
  [753] = {.lex_state = 219, .external_lex_state = 7},
  [754] = {.lex_state = 217, .external_lex_state = 4},
  [755] = {.lex_state = 217, .external_lex_state = 4},
  [756] = {.lex_state = 54, .external_lex_state = 3},
  [757] = {.lex_state = 217, .external_lex_state = 3},
  [758] = {.lex_state = 44, .external_lex_state = 3},
  [759] = {.lex_state = 219, .external_lex_state = 7},
  [760] = {.lex_state = 217, .external_lex_state = 3},
  [761] = {.lex_state = 217, .external_lex_state = 3},
  [762] = {.lex_state = 218, .external_lex_state = 6},
  [763] = {.lex_state = 53, .external_lex_state = 3},
  [764] = {.lex_state = 217, .external_lex_state = 3},
  [765] = {.lex_state = 49, .external_lex_state = 3},
  [766] = {.lex_state = 217, .external_lex_state = 3},
  [767] = {.lex_state = 217, .external_lex_state = 4},
  [768] = {.lex_state = 217, .external_lex_state = 3},
  [769] = {.lex_state = 217, .external_lex_state = 3},
  [770] = {.lex_state = 217, .external_lex_state = 3},
  [771] = {.lex_state = 217, .external_lex_state = 3},
  [772] = {.lex_state = 217, .external_lex_state = 3},
  [773] = {.lex_state = 217, .external_lex_state = 4},
  [774] = {.lex_state = 217, .external_lex_state = 4},
  [775] = {.lex_state = 217, .external_lex_state = 4},
  [776] = {.lex_state = 48, .external_lex_state = 3},
  [777] = {.lex_state = 217, .external_lex_state = 4},
  [778] = {.lex_state = 218, .external_lex_state = 7},
  [779] = {.lex_state = 217, .external_lex_state = 4},
  [780] = {.lex_state = 217, .external_lex_state = 4},
  [781] = {.lex_state = 217, .external_lex_state = 3},
  [782] = {.lex_state = 217, .external_lex_state = 3},
  [783] = {.lex_state = 217, .external_lex_state = 4},
  [784] = {.lex_state = 217, .external_lex_state = 4},
  [785] = {.lex_state = 217, .external_lex_state = 3},
  [786] = {.lex_state = 217, .external_lex_state = 4},
  [787] = {.lex_state = 217, .external_lex_state = 4},
  [788] = {.lex_state = 217, .external_lex_state = 4},
  [789] = {.lex_state = 217, .external_lex_state = 4},
  [790] = {.lex_state = 217, .external_lex_state = 3},
  [791] = {.lex_state = 217, .external_lex_state = 3},
  [792] = {.lex_state = 217, .external_lex_state = 4},
  [793] = {.lex_state = 217, .external_lex_state = 4},
  [794] = {.lex_state = 217, .external_lex_state = 3},
  [795] = {.lex_state = 217, .external_lex_state = 4},
  [796] = {.lex_state = 217, .external_lex_state = 4},
  [797] = {.lex_state = 217, .external_lex_state = 4},
  [798] = {.lex_state = 217, .external_lex_state = 4},
  [799] = {.lex_state = 217, .external_lex_state = 4},
  [800] = {.lex_state = 217, .external_lex_state = 4},
  [801] = {.lex_state = 217, .external_lex_state = 4},
  [802] = {.lex_state = 217, .external_lex_state = 3},
  [803] = {.lex_state = 217, .external_lex_state = 3},
  [804] = {.lex_state = 217, .external_lex_state = 3},
  [805] = {.lex_state = 217, .external_lex_state = 3},
  [806] = {.lex_state = 217, .external_lex_state = 3},
  [807] = {.lex_state = 217, .external_lex_state = 3},
  [808] = {.lex_state = 217, .external_lex_state = 3},
  [809] = {.lex_state = 217, .external_lex_state = 3},
  [810] = {.lex_state = 217, .external_lex_state = 3},
  [811] = {.lex_state = 217, .external_lex_state = 3},
  [812] = {.lex_state = 217, .external_lex_state = 3},
  [813] = {.lex_state = 217, .external_lex_state = 3},
  [814] = {.lex_state = 217, .external_lex_state = 3},
  [815] = {.lex_state = 217, .external_lex_state = 3},
  [816] = {.lex_state = 217, .external_lex_state = 3},
  [817] = {.lex_state = 217, .external_lex_state = 3},
  [818] = {.lex_state = 217, .external_lex_state = 3},
  [819] = {.lex_state = 217, .external_lex_state = 3},
  [820] = {.lex_state = 217, .external_lex_state = 3},
  [821] = {.lex_state = 217, .external_lex_state = 3},
  [822] = {.lex_state = 217, .external_lex_state = 3},
  [823] = {.lex_state = 217, .external_lex_state = 3},
  [824] = {.lex_state = 221, .external_lex_state = 4},
  [825] = {.lex_state = 217, .external_lex_state = 3},
  [826] = {.lex_state = 217, .external_lex_state = 3},
  [827] = {.lex_state = 221, .external_lex_state = 4},
  [828] = {.lex_state = 217, .external_lex_state = 3},
  [829] = {.lex_state = 217, .external_lex_state = 3},
  [830] = {.lex_state = 217, .external_lex_state = 3},
  [831] = {.lex_state = 217, .external_lex_state = 3},
  [832] = {.lex_state = 217, .external_lex_state = 3},
  [833] = {.lex_state = 217, .external_lex_state = 3},
  [834] = {.lex_state = 221, .external_lex_state = 4},
  [835] = {.lex_state = 217, .external_lex_state = 3},
  [836] = {.lex_state = 217, .external_lex_state = 3},
  [837] = {.lex_state = 217, .external_lex_state = 3},
  [838] = {.lex_state = 221, .external_lex_state = 4},
  [839] = {.lex_state = 221, .external_lex_state = 4},
  [840] = {.lex_state = 217, .external_lex_state = 3},
  [841] = {.lex_state = 220, .external_lex_state = 4},
  [842] = {.lex_state = 217, .external_lex_state = 3},
  [843] = {.lex_state = 217, .external_lex_state = 3},
  [844] = {.lex_state = 217, .external_lex_state = 3},
  [845] = {.lex_state = 217, .external_lex_state = 3},
  [846] = {.lex_state = 221, .external_lex_state = 3},
  [847] = {.lex_state = 220, .external_lex_state = 4},
  [848] = {.lex_state = 221, .external_lex_state = 4},
  [849] = {.lex_state = 222, .external_lex_state = 3},
  [850] = {.lex_state = 221, .external_lex_state = 3},
  [851] = {.lex_state = 220, .external_lex_state = 4},
  [852] = {.lex_state = 221, .external_lex_state = 4},
  [853] = {.lex_state = 221, .external_lex_state = 4},
  [854] = {.lex_state = 221, .external_lex_state = 3},
  [855] = {.lex_state = 221, .external_lex_state = 3},
  [856] = {.lex_state = 221, .external_lex_state = 3},
  [857] = {.lex_state = 221, .external_lex_state = 4},
  [858] = {.lex_state = 222, .external_lex_state = 4},
  [859] = {.lex_state = 220, .external_lex_state = 4},
  [860] = {.lex_state = 221, .external_lex_state = 4},
  [861] = {.lex_state = 220, .external_lex_state = 4},
  [862] = {.lex_state = 220, .external_lex_state = 4},
  [863] = {.lex_state = 222, .external_lex_state = 3},
  [864] = {.lex_state = 220, .external_lex_state = 4},
  [865] = {.lex_state = 222, .external_lex_state = 4},
  [866] = {.lex_state = 220, .external_lex_state = 4},
  [867] = {.lex_state = 42, .external_lex_state = 4},
  [868] = {.lex_state = 42, .external_lex_state = 4},
  [869] = {.lex_state = 220, .external_lex_state = 3},
  [870] = {.lex_state = 220, .external_lex_state = 3},
  [871] = {.lex_state = 220, .external_lex_state = 4},
  [872] = {.lex_state = 221, .external_lex_state = 3},
  [873] = {.lex_state = 220, .external_lex_state = 4},
  [874] = {.lex_state = 220, .external_lex_state = 3},
  [875] = {.lex_state = 221, .external_lex_state = 3},
  [876] = {.lex_state = 220, .external_lex_state = 4},
  [877] = {.lex_state = 220, .external_lex_state = 4},
  [878] = {.lex_state = 220, .external_lex_state = 4},
  [879] = {.lex_state = 220, .external_lex_state = 4},
  [880] = {.lex_state = 220, .external_lex_state = 4},
  [881] = {.lex_state = 220, .external_lex_state = 4},
  [882] = {.lex_state = 220, .external_lex_state = 3},
  [883] = {.lex_state = 221, .external_lex_state = 3},
  [884] = {.lex_state = 221, .external_lex_state = 3},
  [885] = {.lex_state = 221, .external_lex_state = 3},
  [886] = {.lex_state = 221, .external_lex_state = 3},
  [887] = {.lex_state = 42, .external_lex_state = 4},
  [888] = {.lex_state = 42, .external_lex_state = 4},
  [889] = {.lex_state = 220, .external_lex_state = 4},
  [890] = {.lex_state = 220, .external_lex_state = 4},
  [891] = {.lex_state = 221, .external_lex_state = 3},
  [892] = {.lex_state = 217, .external_lex_state = 5},
  [893] = {.lex_state = 220, .external_lex_state = 4},
  [894] = {.lex_state = 220, .external_lex_state = 4},
  [895] = {.lex_state = 220, .external_lex_state = 4},
  [896] = {.lex_state = 220, .external_lex_state = 4},
  [897] = {.lex_state = 220, .external_lex_state = 4},
  [898] = {.lex_state = 220, .external_lex_state = 4},
  [899] = {.lex_state = 220, .external_lex_state = 3},
  [900] = {.lex_state = 220, .external_lex_state = 4},
  [901] = {.lex_state = 220, .external_lex_state = 4},
  [902] = {.lex_state = 220, .external_lex_state = 4},
  [903] = {.lex_state = 220, .external_lex_state = 4},
  [904] = {.lex_state = 220, .external_lex_state = 4},
  [905] = {.lex_state = 220, .external_lex_state = 4},
  [906] = {.lex_state = 220, .external_lex_state = 4},
  [907] = {.lex_state = 42, .external_lex_state = 4},
  [908] = {.lex_state = 220, .external_lex_state = 4},
  [909] = {.lex_state = 220, .external_lex_state = 3},
  [910] = {.lex_state = 220, .external_lex_state = 4},
  [911] = {.lex_state = 220, .external_lex_state = 4},
  [912] = {.lex_state = 220, .external_lex_state = 4},
  [913] = {.lex_state = 221, .external_lex_state = 3},
  [914] = {.lex_state = 220, .external_lex_state = 4},
  [915] = {.lex_state = 220, .external_lex_state = 4},
  [916] = {.lex_state = 220, .external_lex_state = 4},
  [917] = {.lex_state = 220, .external_lex_state = 4},
  [918] = {.lex_state = 220, .external_lex_state = 3},
  [919] = {.lex_state = 220, .external_lex_state = 4},
  [920] = {.lex_state = 220, .external_lex_state = 4},
  [921] = {.lex_state = 220, .external_lex_state = 4},
  [922] = {.lex_state = 220, .external_lex_state = 4},
  [923] = {.lex_state = 220, .external_lex_state = 4},
  [924] = {.lex_state = 220, .external_lex_state = 4},
  [925] = {.lex_state = 220, .external_lex_state = 4},
  [926] = {.lex_state = 220, .external_lex_state = 4},
  [927] = {.lex_state = 220, .external_lex_state = 4},
  [928] = {.lex_state = 220, .external_lex_state = 4},
  [929] = {.lex_state = 220, .external_lex_state = 4},
  [930] = {.lex_state = 220, .external_lex_state = 4},
  [931] = {.lex_state = 220, .external_lex_state = 4},
  [932] = {.lex_state = 220, .external_lex_state = 4},
  [933] = {.lex_state = 220, .external_lex_state = 4},
  [934] = {.lex_state = 220, .external_lex_state = 4},
  [935] = {.lex_state = 220, .external_lex_state = 4},
  [936] = {.lex_state = 220, .external_lex_state = 4},
  [937] = {.lex_state = 220, .external_lex_state = 4},
  [938] = {.lex_state = 220, .external_lex_state = 4},
  [939] = {.lex_state = 220, .external_lex_state = 4},
  [940] = {.lex_state = 220, .external_lex_state = 3},
  [941] = {.lex_state = 220, .external_lex_state = 4},
  [942] = {.lex_state = 221, .external_lex_state = 3},
  [943] = {.lex_state = 220, .external_lex_state = 4},
  [944] = {.lex_state = 220, .external_lex_state = 4},
  [945] = {.lex_state = 220, .external_lex_state = 4},
  [946] = {.lex_state = 220, .external_lex_state = 4},
  [947] = {.lex_state = 220, .external_lex_state = 4},
  [948] = {.lex_state = 220, .external_lex_state = 4},
  [949] = {.lex_state = 220, .external_lex_state = 4},
  [950] = {.lex_state = 217, .external_lex_state = 5},
  [951] = {.lex_state = 220, .external_lex_state = 4},
  [952] = {.lex_state = 221, .external_lex_state = 3},
  [953] = {.lex_state = 220, .external_lex_state = 4},
  [954] = {.lex_state = 220, .external_lex_state = 4},
  [955] = {.lex_state = 220, .external_lex_state = 4},
  [956] = {.lex_state = 220, .external_lex_state = 4},
  [957] = {.lex_state = 220, .external_lex_state = 4},
  [958] = {.lex_state = 220, .external_lex_state = 4},
  [959] = {.lex_state = 217, .external_lex_state = 5},
  [960] = {.lex_state = 220, .external_lex_state = 4},
  [961] = {.lex_state = 220, .external_lex_state = 3},
  [962] = {.lex_state = 217, .external_lex_state = 5},
  [963] = {.lex_state = 220, .external_lex_state = 4},
  [964] = {.lex_state = 217, .external_lex_state = 5},
  [965] = {.lex_state = 220, .external_lex_state = 4},
  [966] = {.lex_state = 220, .external_lex_state = 3},
  [967] = {.lex_state = 217, .external_lex_state = 6},
  [968] = {.lex_state = 220, .external_lex_state = 3},
  [969] = {.lex_state = 220, .external_lex_state = 3},
  [970] = {.lex_state = 217, .external_lex_state = 6},
  [971] = {.lex_state = 220, .external_lex_state = 3},
  [972] = {.lex_state = 220, .external_lex_state = 3},
  [973] = {.lex_state = 220, .external_lex_state = 3},
  [974] = {.lex_state = 220, .external_lex_state = 3},
  [975] = {.lex_state = 220, .external_lex_state = 3},
  [976] = {.lex_state = 221, .external_lex_state = 3},
  [977] = {.lex_state = 220, .external_lex_state = 3},
  [978] = {.lex_state = 217, .external_lex_state = 6},
  [979] = {.lex_state = 220, .external_lex_state = 3},
  [980] = {.lex_state = 222, .external_lex_state = 3},
  [981] = {.lex_state = 220, .external_lex_state = 3},
  [982] = {.lex_state = 220, .external_lex_state = 3},
  [983] = {.lex_state = 220, .external_lex_state = 3},
  [984] = {.lex_state = 221, .external_lex_state = 3},
  [985] = {.lex_state = 220, .external_lex_state = 3},
  [986] = {.lex_state = 220, .external_lex_state = 3},
  [987] = {.lex_state = 220, .external_lex_state = 3},
  [988] = {.lex_state = 220, .external_lex_state = 3},
  [989] = {.lex_state = 220, .external_lex_state = 3},
  [990] = {.lex_state = 220, .external_lex_state = 3},
  [991] = {.lex_state = 217, .external_lex_state = 6},
  [992] = {.lex_state = 220, .external_lex_state = 3},
  [993] = {.lex_state = 220, .external_lex_state = 3},
  [994] = {.lex_state = 220, .external_lex_state = 3},
  [995] = {.lex_state = 220, .external_lex_state = 3},
  [996] = {.lex_state = 220, .external_lex_state = 3},
  [997] = {.lex_state = 220, .external_lex_state = 3},
  [998] = {.lex_state = 220, .external_lex_state = 3},
  [999] = {.lex_state = 220, .external_lex_state = 3},
  [1000] = {.lex_state = 220, .external_lex_state = 3},
  [1001] = {.lex_state = 220, .external_lex_state = 3},
  [1002] = {.lex_state = 220, .external_lex_state = 3},
  [1003] = {.lex_state = 220, .external_lex_state = 3},
  [1004] = {.lex_state = 220, .external_lex_state = 3},
  [1005] = {.lex_state = 42, .external_lex_state = 3},
  [1006] = {.lex_state = 220, .external_lex_state = 4},
  [1007] = {.lex_state = 220, .external_lex_state = 3},
  [1008] = {.lex_state = 222, .external_lex_state = 3},
  [1009] = {.lex_state = 220, .external_lex_state = 3},
  [1010] = {.lex_state = 220, .external_lex_state = 3},
  [1011] = {.lex_state = 220, .external_lex_state = 3},
  [1012] = {.lex_state = 220, .external_lex_state = 3},
  [1013] = {.lex_state = 221, .external_lex_state = 3},
  [1014] = {.lex_state = 220, .external_lex_state = 3},
  [1015] = {.lex_state = 220, .external_lex_state = 3},
  [1016] = {.lex_state = 220, .external_lex_state = 3},
  [1017] = {.lex_state = 220, .external_lex_state = 3},
  [1018] = {.lex_state = 42, .external_lex_state = 3},
  [1019] = {.lex_state = 220, .external_lex_state = 3},
  [1020] = {.lex_state = 220, .external_lex_state = 3},
  [1021] = {.lex_state = 220, .external_lex_state = 3},
  [1022] = {.lex_state = 220, .external_lex_state = 3},
  [1023] = {.lex_state = 220, .external_lex_state = 3},
  [1024] = {.lex_state = 220, .external_lex_state = 3},
  [1025] = {.lex_state = 221, .external_lex_state = 3},
  [1026] = {.lex_state = 220, .external_lex_state = 3},
  [1027] = {.lex_state = 220, .external_lex_state = 3},
  [1028] = {.lex_state = 220, .external_lex_state = 3},
  [1029] = {.lex_state = 221, .external_lex_state = 3},
  [1030] = {.lex_state = 220, .external_lex_state = 3},
  [1031] = {.lex_state = 220, .external_lex_state = 3},
  [1032] = {.lex_state = 220, .external_lex_state = 3},
  [1033] = {.lex_state = 220, .external_lex_state = 3},
  [1034] = {.lex_state = 220, .external_lex_state = 3},
  [1035] = {.lex_state = 42, .external_lex_state = 3},
  [1036] = {.lex_state = 220, .external_lex_state = 3},
  [1037] = {.lex_state = 42, .external_lex_state = 3},
  [1038] = {.lex_state = 220, .external_lex_state = 3},
  [1039] = {.lex_state = 220, .external_lex_state = 3},
  [1040] = {.lex_state = 220, .external_lex_state = 3},
  [1041] = {.lex_state = 220, .external_lex_state = 3},
  [1042] = {.lex_state = 220, .external_lex_state = 3},
  [1043] = {.lex_state = 220, .external_lex_state = 3},
  [1044] = {.lex_state = 220, .external_lex_state = 3},
  [1045] = {.lex_state = 220, .external_lex_state = 3},
  [1046] = {.lex_state = 220, .external_lex_state = 3},
  [1047] = {.lex_state = 220, .external_lex_state = 3},
  [1048] = {.lex_state = 220, .external_lex_state = 4},
  [1049] = {.lex_state = 220, .external_lex_state = 3},
  [1050] = {.lex_state = 220, .external_lex_state = 3},
  [1051] = {.lex_state = 42, .external_lex_state = 3},
  [1052] = {.lex_state = 220, .external_lex_state = 3},
  [1053] = {.lex_state = 217, .external_lex_state = 6},
  [1054] = {.lex_state = 220, .external_lex_state = 3},
  [1055] = {.lex_state = 220, .external_lex_state = 3},
  [1056] = {.lex_state = 220, .external_lex_state = 3},
  [1057] = {.lex_state = 220, .external_lex_state = 3},
  [1058] = {.lex_state = 220, .external_lex_state = 3},
  [1059] = {.lex_state = 220, .external_lex_state = 3},
  [1060] = {.lex_state = 220, .external_lex_state = 3},
  [1061] = {.lex_state = 220, .external_lex_state = 3},
  [1062] = {.lex_state = 220, .external_lex_state = 3},
  [1063] = {.lex_state = 220, .external_lex_state = 3},
  [1064] = {.lex_state = 220, .external_lex_state = 3},
  [1065] = {.lex_state = 43, .external_lex_state = 3},
  [1066] = {.lex_state = 220, .external_lex_state = 3},
  [1067] = {.lex_state = 220, .external_lex_state = 3},
  [1068] = {.lex_state = 220, .external_lex_state = 3},
  [1069] = {.lex_state = 217, .external_lex_state = 5},
  [1070] = {.lex_state = 220, .external_lex_state = 4},
  [1071] = {.lex_state = 42, .external_lex_state = 4},
  [1072] = {.lex_state = 220, .external_lex_state = 3},
  [1073] = {.lex_state = 220, .external_lex_state = 3},
  [1074] = {.lex_state = 220, .external_lex_state = 3},
  [1075] = {.lex_state = 220, .external_lex_state = 3},
  [1076] = {.lex_state = 220, .external_lex_state = 3},
  [1077] = {.lex_state = 220, .external_lex_state = 3},
  [1078] = {.lex_state = 220, .external_lex_state = 3},
  [1079] = {.lex_state = 220, .external_lex_state = 3},
  [1080] = {.lex_state = 220, .external_lex_state = 3},
  [1081] = {.lex_state = 220, .external_lex_state = 3},
  [1082] = {.lex_state = 43, .external_lex_state = 3},
  [1083] = {.lex_state = 220, .external_lex_state = 3},
  [1084] = {.lex_state = 220, .external_lex_state = 3},
  [1085] = {.lex_state = 220, .external_lex_state = 3},
  [1086] = {.lex_state = 220, .external_lex_state = 3},
  [1087] = {.lex_state = 220, .external_lex_state = 3},
  [1088] = {.lex_state = 220, .external_lex_state = 3},
  [1089] = {.lex_state = 220, .external_lex_state = 3},
  [1090] = {.lex_state = 220, .external_lex_state = 3},
  [1091] = {.lex_state = 220, .external_lex_state = 3},
  [1092] = {.lex_state = 220, .external_lex_state = 3},
  [1093] = {.lex_state = 220, .external_lex_state = 3},
  [1094] = {.lex_state = 220, .external_lex_state = 4},
  [1095] = {.lex_state = 217, .external_lex_state = 7},
  [1096] = {.lex_state = 220, .external_lex_state = 3},
  [1097] = {.lex_state = 217, .external_lex_state = 7},
  [1098] = {.lex_state = 217, .external_lex_state = 7},
  [1099] = {.lex_state = 220, .external_lex_state = 3},
  [1100] = {.lex_state = 220, .external_lex_state = 3},
  [1101] = {.lex_state = 43, .external_lex_state = 3},
  [1102] = {.lex_state = 220, .external_lex_state = 3},
  [1103] = {.lex_state = 220, .external_lex_state = 3},
  [1104] = {.lex_state = 43, .external_lex_state = 3},
  [1105] = {.lex_state = 220, .external_lex_state = 3},
  [1106] = {.lex_state = 43, .external_lex_state = 3},
  [1107] = {.lex_state = 220, .external_lex_state = 3},
  [1108] = {.lex_state = 220, .external_lex_state = 3},
  [1109] = {.lex_state = 220, .external_lex_state = 3},
  [1110] = {.lex_state = 220, .external_lex_state = 3},
  [1111] = {.lex_state = 220, .external_lex_state = 3},
  [1112] = {.lex_state = 220, .external_lex_state = 3},
  [1113] = {.lex_state = 220, .external_lex_state = 3},
  [1114] = {.lex_state = 220, .external_lex_state = 3},
  [1115] = {.lex_state = 220, .external_lex_state = 3},
  [1116] = {.lex_state = 220, .external_lex_state = 4},
  [1117] = {.lex_state = 220, .external_lex_state = 3},
  [1118] = {.lex_state = 220, .external_lex_state = 3},
  [1119] = {.lex_state = 220, .external_lex_state = 3},
  [1120] = {.lex_state = 220, .external_lex_state = 3},
  [1121] = {.lex_state = 220, .external_lex_state = 3},
  [1122] = {.lex_state = 220, .external_lex_state = 3},
  [1123] = {.lex_state = 220, .external_lex_state = 3},
  [1124] = {.lex_state = 220, .external_lex_state = 3},
  [1125] = {.lex_state = 220, .external_lex_state = 3},
  [1126] = {.lex_state = 42, .external_lex_state = 4},
  [1127] = {.lex_state = 220, .external_lex_state = 3},
  [1128] = {.lex_state = 217, .external_lex_state = 7},
  [1129] = {.lex_state = 42, .external_lex_state = 4},
  [1130] = {.lex_state = 42, .external_lex_state = 4},
  [1131] = {.lex_state = 42, .external_lex_state = 4},
  [1132] = {.lex_state = 220, .external_lex_state = 3},
  [1133] = {.lex_state = 217, .external_lex_state = 5},
  [1134] = {.lex_state = 217, .external_lex_state = 5},
  [1135] = {.lex_state = 220, .external_lex_state = 3},
  [1136] = {.lex_state = 220, .external_lex_state = 3},
  [1137] = {.lex_state = 220, .external_lex_state = 3},
  [1138] = {.lex_state = 217, .external_lex_state = 5},
  [1139] = {.lex_state = 220, .external_lex_state = 3},
  [1140] = {.lex_state = 220, .external_lex_state = 3},
  [1141] = {.lex_state = 220, .external_lex_state = 3},
  [1142] = {.lex_state = 42, .external_lex_state = 4},
  [1143] = {.lex_state = 220, .external_lex_state = 3},
  [1144] = {.lex_state = 220, .external_lex_state = 3},
  [1145] = {.lex_state = 220, .external_lex_state = 3},
  [1146] = {.lex_state = 220, .external_lex_state = 3},
  [1147] = {.lex_state = 220, .external_lex_state = 3},
  [1148] = {.lex_state = 43, .external_lex_state = 3},
  [1149] = {.lex_state = 220, .external_lex_state = 3},
  [1150] = {.lex_state = 220, .external_lex_state = 3},
  [1151] = {.lex_state = 220, .external_lex_state = 3},
  [1152] = {.lex_state = 220, .external_lex_state = 3},
  [1153] = {.lex_state = 220, .external_lex_state = 3},
  [1154] = {.lex_state = 217, .external_lex_state = 5},
  [1155] = {.lex_state = 220, .external_lex_state = 3},
  [1156] = {.lex_state = 220, .external_lex_state = 3},
  [1157] = {.lex_state = 220, .external_lex_state = 3},
  [1158] = {.lex_state = 220, .external_lex_state = 3},
  [1159] = {.lex_state = 220, .external_lex_state = 3},
  [1160] = {.lex_state = 220, .external_lex_state = 3},
  [1161] = {.lex_state = 220, .external_lex_state = 3},
  [1162] = {.lex_state = 217, .external_lex_state = 5},
  [1163] = {.lex_state = 217, .external_lex_state = 7},
  [1164] = {.lex_state = 42, .external_lex_state = 4},
  [1165] = {.lex_state = 42, .external_lex_state = 3},
  [1166] = {.lex_state = 217, .external_lex_state = 5},
  [1167] = {.lex_state = 42, .external_lex_state = 3},
  [1168] = {.lex_state = 217, .external_lex_state = 6},
  [1169] = {.lex_state = 217, .external_lex_state = 5},
  [1170] = {.lex_state = 42, .external_lex_state = 3},
  [1171] = {.lex_state = 42, .external_lex_state = 4},
  [1172] = {.lex_state = 217, .external_lex_state = 5},
  [1173] = {.lex_state = 217, .external_lex_state = 6},
  [1174] = {.lex_state = 42, .external_lex_state = 4},
  [1175] = {.lex_state = 42, .external_lex_state = 4},
  [1176] = {.lex_state = 42, .external_lex_state = 4},
  [1177] = {.lex_state = 217, .external_lex_state = 6},
  [1178] = {.lex_state = 217, .external_lex_state = 5},
  [1179] = {.lex_state = 217, .external_lex_state = 5},
  [1180] = {.lex_state = 42, .external_lex_state = 3},
  [1181] = {.lex_state = 42, .external_lex_state = 4},
  [1182] = {.lex_state = 217, .external_lex_state = 5},
  [1183] = {.lex_state = 217, .external_lex_state = 5},
  [1184] = {.lex_state = 217, .external_lex_state = 5},
  [1185] = {.lex_state = 217, .external_lex_state = 3},
  [1186] = {.lex_state = 42, .external_lex_state = 3},
  [1187] = {.lex_state = 42, .external_lex_state = 4},
  [1188] = {.lex_state = 217, .external_lex_state = 5},
  [1189] = {.lex_state = 42, .external_lex_state = 4},
  [1190] = {.lex_state = 42, .external_lex_state = 4},
  [1191] = {.lex_state = 217, .external_lex_state = 5},
  [1192] = {.lex_state = 42, .external_lex_state = 4},
  [1193] = {.lex_state = 42, .external_lex_state = 4},
  [1194] = {.lex_state = 217, .external_lex_state = 5},
  [1195] = {.lex_state = 217, .external_lex_state = 5},
  [1196] = {.lex_state = 217, .external_lex_state = 5},
  [1197] = {.lex_state = 217, .external_lex_state = 5},
  [1198] = {.lex_state = 42, .external_lex_state = 4},
  [1199] = {.lex_state = 217, .external_lex_state = 5},
  [1200] = {.lex_state = 42, .external_lex_state = 4},
  [1201] = {.lex_state = 217, .external_lex_state = 6},
  [1202] = {.lex_state = 42, .external_lex_state = 4},
  [1203] = {.lex_state = 42, .external_lex_state = 4},
  [1204] = {.lex_state = 42, .external_lex_state = 4},
  [1205] = {.lex_state = 217, .external_lex_state = 6},
  [1206] = {.lex_state = 217, .external_lex_state = 5},
  [1207] = {.lex_state = 217, .external_lex_state = 6},
  [1208] = {.lex_state = 42, .external_lex_state = 4},
  [1209] = {.lex_state = 42, .external_lex_state = 3},
  [1210] = {.lex_state = 43, .external_lex_state = 3},
  [1211] = {.lex_state = 217, .external_lex_state = 6},
  [1212] = {.lex_state = 217, .external_lex_state = 6},
  [1213] = {.lex_state = 217, .external_lex_state = 6},
  [1214] = {.lex_state = 42, .external_lex_state = 3},
  [1215] = {.lex_state = 217, .external_lex_state = 7},
  [1216] = {.lex_state = 42, .external_lex_state = 3},
  [1217] = {.lex_state = 217, .external_lex_state = 6},
  [1218] = {.lex_state = 42, .external_lex_state = 3},
  [1219] = {.lex_state = 217, .external_lex_state = 6},
  [1220] = {.lex_state = 217, .external_lex_state = 6},
  [1221] = {.lex_state = 217, .external_lex_state = 6},
  [1222] = {.lex_state = 217, .external_lex_state = 7},
  [1223] = {.lex_state = 217, .external_lex_state = 6},
  [1224] = {.lex_state = 217, .external_lex_state = 6},
  [1225] = {.lex_state = 217, .external_lex_state = 7},
  [1226] = {.lex_state = 217, .external_lex_state = 6},
  [1227] = {.lex_state = 217, .external_lex_state = 6},
  [1228] = {.lex_state = 217, .external_lex_state = 6},
  [1229] = {.lex_state = 42, .external_lex_state = 3},
  [1230] = {.lex_state = 42, .external_lex_state = 3},
  [1231] = {.lex_state = 43, .external_lex_state = 3},
  [1232] = {.lex_state = 43, .external_lex_state = 3},
  [1233] = {.lex_state = 42, .external_lex_state = 3},
  [1234] = {.lex_state = 217, .external_lex_state = 7},
  [1235] = {.lex_state = 42, .external_lex_state = 3},
  [1236] = {.lex_state = 42, .external_lex_state = 3},
  [1237] = {.lex_state = 42, .external_lex_state = 3},
  [1238] = {.lex_state = 217, .external_lex_state = 7},
  [1239] = {.lex_state = 42, .external_lex_state = 3},
  [1240] = {.lex_state = 43, .external_lex_state = 3},
  [1241] = {.lex_state = 43, .external_lex_state = 3},
  [1242] = {.lex_state = 43, .external_lex_state = 3},
  [1243] = {.lex_state = 43, .external_lex_state = 3},
  [1244] = {.lex_state = 42, .external_lex_state = 3},
  [1245] = {.lex_state = 42, .external_lex_state = 3},
  [1246] = {.lex_state = 42, .external_lex_state = 3},
  [1247] = {.lex_state = 42, .external_lex_state = 3},
  [1248] = {.lex_state = 42, .external_lex_state = 3},
  [1249] = {.lex_state = 217, .external_lex_state = 6},
  [1250] = {.lex_state = 42, .external_lex_state = 3},
  [1251] = {.lex_state = 217, .external_lex_state = 7},
  [1252] = {.lex_state = 217, .external_lex_state = 6},
  [1253] = {.lex_state = 217, .external_lex_state = 6},
  [1254] = {.lex_state = 42, .external_lex_state = 3},
  [1255] = {.lex_state = 217, .external_lex_state = 6},
  [1256] = {.lex_state = 217, .external_lex_state = 7},
  [1257] = {.lex_state = 217, .external_lex_state = 7},
  [1258] = {.lex_state = 43, .external_lex_state = 3},
  [1259] = {.lex_state = 43, .external_lex_state = 3},
  [1260] = {.lex_state = 217, .external_lex_state = 7},
  [1261] = {.lex_state = 43, .external_lex_state = 3},
  [1262] = {.lex_state = 43, .external_lex_state = 3},
  [1263] = {.lex_state = 43, .external_lex_state = 3},
  [1264] = {.lex_state = 43, .external_lex_state = 3},
  [1265] = {.lex_state = 55, .external_lex_state = 4},
  [1266] = {.lex_state = 221, .external_lex_state = 5},
  [1267] = {.lex_state = 47, .external_lex_state = 4},
  [1268] = {.lex_state = 43, .external_lex_state = 3},
  [1269] = {.lex_state = 43, .external_lex_state = 3},
  [1270] = {.lex_state = 52, .external_lex_state = 4},
  [1271] = {.lex_state = 217, .external_lex_state = 7},
  [1272] = {.lex_state = 221, .external_lex_state = 5},
  [1273] = {.lex_state = 217, .external_lex_state = 7},
  [1274] = {.lex_state = 47, .external_lex_state = 4},
  [1275] = {.lex_state = 47, .external_lex_state = 4},
  [1276] = {.lex_state = 47, .external_lex_state = 4},
  [1277] = {.lex_state = 50, .external_lex_state = 4},
  [1278] = {.lex_state = 217, .external_lex_state = 7},
  [1279] = {.lex_state = 43, .external_lex_state = 3},
  [1280] = {.lex_state = 43, .external_lex_state = 3},
  [1281] = {.lex_state = 221, .external_lex_state = 5},
  [1282] = {.lex_state = 55, .external_lex_state = 4},
  [1283] = {.lex_state = 43, .external_lex_state = 3},
  [1284] = {.lex_state = 221, .external_lex_state = 5},
  [1285] = {.lex_state = 217, .external_lex_state = 7},
  [1286] = {.lex_state = 52, .external_lex_state = 4},
  [1287] = {.lex_state = 217, .external_lex_state = 7},
  [1288] = {.lex_state = 43, .external_lex_state = 3},
  [1289] = {.lex_state = 50, .external_lex_state = 4},
  [1290] = {.lex_state = 43, .external_lex_state = 3},
  [1291] = {.lex_state = 217, .external_lex_state = 3},
  [1292] = {.lex_state = 217, .external_lex_state = 7},
  [1293] = {.lex_state = 217, .external_lex_state = 7},
  [1294] = {.lex_state = 47, .external_lex_state = 4},
  [1295] = {.lex_state = 43, .external_lex_state = 3},
  [1296] = {.lex_state = 221, .external_lex_state = 5},
  [1297] = {.lex_state = 222, .external_lex_state = 5},
  [1298] = {.lex_state = 43, .external_lex_state = 3},
  [1299] = {.lex_state = 217, .external_lex_state = 7},
  [1300] = {.lex_state = 217, .external_lex_state = 7},
  [1301] = {.lex_state = 217, .external_lex_state = 3},
  [1302] = {.lex_state = 217, .external_lex_state = 7},
  [1303] = {.lex_state = 217, .external_lex_state = 7},
  [1304] = {.lex_state = 222, .external_lex_state = 5},
  [1305] = {.lex_state = 43, .external_lex_state = 3},
  [1306] = {.lex_state = 217, .external_lex_state = 7},
  [1307] = {.lex_state = 43, .external_lex_state = 3},
  [1308] = {.lex_state = 217, .external_lex_state = 7},
  [1309] = {.lex_state = 50, .external_lex_state = 4},
  [1310] = {.lex_state = 46, .external_lex_state = 4},
  [1311] = {.lex_state = 56, .external_lex_state = 3},
  [1312] = {.lex_state = 221, .external_lex_state = 6},
  [1313] = {.lex_state = 47, .external_lex_state = 3},
  [1314] = {.lex_state = 220, .external_lex_state = 5},
  [1315] = {.lex_state = 220, .external_lex_state = 5},
  [1316] = {.lex_state = 50, .external_lex_state = 3},
  [1317] = {.lex_state = 56, .external_lex_state = 3},
  [1318] = {.lex_state = 50, .external_lex_state = 4},
  [1319] = {.lex_state = 47, .external_lex_state = 3},
  [1320] = {.lex_state = 220, .external_lex_state = 3},
  [1321] = {.lex_state = 220, .external_lex_state = 5},
  [1322] = {.lex_state = 220, .external_lex_state = 5},
  [1323] = {.lex_state = 50, .external_lex_state = 4},
  [1324] = {.lex_state = 47, .external_lex_state = 4},
  [1325] = {.lex_state = 47, .external_lex_state = 4},
  [1326] = {.lex_state = 56, .external_lex_state = 3},
  [1327] = {.lex_state = 221, .external_lex_state = 5},
  [1328] = {.lex_state = 221, .external_lex_state = 5},
  [1329] = {.lex_state = 50, .external_lex_state = 3},
  [1330] = {.lex_state = 220, .external_lex_state = 5},
  [1331] = {.lex_state = 217, .external_lex_state = 3},
  [1332] = {.lex_state = 221, .external_lex_state = 6},
  [1333] = {.lex_state = 56, .external_lex_state = 3},
  [1334] = {.lex_state = 47, .external_lex_state = 4},
  [1335] = {.lex_state = 221, .external_lex_state = 5},
  [1336] = {.lex_state = 222, .external_lex_state = 6},
  [1337] = {.lex_state = 221, .external_lex_state = 6},
  [1338] = {.lex_state = 50, .external_lex_state = 4},
  [1339] = {.lex_state = 220, .external_lex_state = 5},
  [1340] = {.lex_state = 221, .external_lex_state = 6},
  [1341] = {.lex_state = 221, .external_lex_state = 5},
  [1342] = {.lex_state = 56, .external_lex_state = 3},
  [1343] = {.lex_state = 220, .external_lex_state = 4},
  [1344] = {.lex_state = 221, .external_lex_state = 6},
  [1345] = {.lex_state = 220, .external_lex_state = 5},
  [1346] = {.lex_state = 50, .external_lex_state = 4},
  [1347] = {.lex_state = 222, .external_lex_state = 6},
  [1348] = {.lex_state = 50, .external_lex_state = 4},
  [1349] = {.lex_state = 220, .external_lex_state = 5},
  [1350] = {.lex_state = 50, .external_lex_state = 4},
  [1351] = {.lex_state = 50, .external_lex_state = 4},
  [1352] = {.lex_state = 46, .external_lex_state = 4},
  [1353] = {.lex_state = 47, .external_lex_state = 3},
  [1354] = {.lex_state = 47, .external_lex_state = 3},
  [1355] = {.lex_state = 47, .external_lex_state = 4},
  [1356] = {.lex_state = 221, .external_lex_state = 5},
  [1357] = {.lex_state = 47, .external_lex_state = 4},
  [1358] = {.lex_state = 46, .external_lex_state = 4},
  [1359] = {.lex_state = 47, .external_lex_state = 3},
  [1360] = {.lex_state = 220, .external_lex_state = 5},
  [1361] = {.lex_state = 50, .external_lex_state = 3},
  [1362] = {.lex_state = 50, .external_lex_state = 4},
  [1363] = {.lex_state = 50, .external_lex_state = 4},
  [1364] = {.lex_state = 55, .external_lex_state = 3},
  [1365] = {.lex_state = 50, .external_lex_state = 4},
  [1366] = {.lex_state = 220, .external_lex_state = 5},
  [1367] = {.lex_state = 46, .external_lex_state = 3},
  [1368] = {.lex_state = 221, .external_lex_state = 6},
  [1369] = {.lex_state = 221, .external_lex_state = 6},
  [1370] = {.lex_state = 50, .external_lex_state = 4},
  [1371] = {.lex_state = 222, .external_lex_state = 7},
  [1372] = {.lex_state = 50, .external_lex_state = 3},
  [1373] = {.lex_state = 228, .external_lex_state = 2},
  [1374] = {.lex_state = 55, .external_lex_state = 3},
  [1375] = {.lex_state = 228, .external_lex_state = 2},
  [1376] = {.lex_state = 228, .external_lex_state = 2},
  [1377] = {.lex_state = 220, .external_lex_state = 4},
  [1378] = {.lex_state = 46, .external_lex_state = 4},
  [1379] = {.lex_state = 50, .external_lex_state = 4},
  [1380] = {.lex_state = 50, .external_lex_state = 4},
  [1381] = {.lex_state = 220, .external_lex_state = 5},
  [1382] = {.lex_state = 50, .external_lex_state = 4},
  [1383] = {.lex_state = 50, .external_lex_state = 4},
  [1384] = {.lex_state = 56, .external_lex_state = 3},
  [1385] = {.lex_state = 228, .external_lex_state = 2},
  [1386] = {.lex_state = 220, .external_lex_state = 6},
  [1387] = {.lex_state = 50, .external_lex_state = 4},
  [1388] = {.lex_state = 56, .external_lex_state = 3},
  [1389] = {.lex_state = 220, .external_lex_state = 5},
  [1390] = {.lex_state = 50, .external_lex_state = 4},
  [1391] = {.lex_state = 56, .external_lex_state = 3},
  [1392] = {.lex_state = 50, .external_lex_state = 4},
  [1393] = {.lex_state = 50, .external_lex_state = 4},
  [1394] = {.lex_state = 221, .external_lex_state = 6},
  [1395] = {.lex_state = 50, .external_lex_state = 4},
  [1396] = {.lex_state = 221, .external_lex_state = 7},
  [1397] = {.lex_state = 221, .external_lex_state = 7},
  [1398] = {.lex_state = 55, .external_lex_state = 3},
  [1399] = {.lex_state = 56, .external_lex_state = 3},
  [1400] = {.lex_state = 220, .external_lex_state = 6},
  [1401] = {.lex_state = 221, .external_lex_state = 6},
  [1402] = {.lex_state = 50, .external_lex_state = 3},
  [1403] = {.lex_state = 220, .external_lex_state = 4},
  [1404] = {.lex_state = 50, .external_lex_state = 4},
  [1405] = {.lex_state = 50, .external_lex_state = 4},
  [1406] = {.lex_state = 50, .external_lex_state = 3},
  [1407] = {.lex_state = 50, .external_lex_state = 4},
  [1408] = {.lex_state = 55, .external_lex_state = 3},
  [1409] = {.lex_state = 221, .external_lex_state = 6},
  [1410] = {.lex_state = 220, .external_lex_state = 3},
  [1411] = {.lex_state = 220, .external_lex_state = 5},
  [1412] = {.lex_state = 220, .external_lex_state = 5},
  [1413] = {.lex_state = 220, .external_lex_state = 5},
  [1414] = {.lex_state = 50, .external_lex_state = 4},
  [1415] = {.lex_state = 220, .external_lex_state = 5},
  [1416] = {.lex_state = 50, .external_lex_state = 4},
  [1417] = {.lex_state = 220, .external_lex_state = 5},
  [1418] = {.lex_state = 220, .external_lex_state = 6},
  [1419] = {.lex_state = 50, .external_lex_state = 4},
  [1420] = {.lex_state = 50, .external_lex_state = 4},
  [1421] = {.lex_state = 220, .external_lex_state = 5},
  [1422] = {.lex_state = 220, .external_lex_state = 5},
  [1423] = {.lex_state = 220, .external_lex_state = 5},
  [1424] = {.lex_state = 220, .external_lex_state = 5},
  [1425] = {.lex_state = 55, .external_lex_state = 3},
  [1426] = {.lex_state = 220, .external_lex_state = 5},
  [1427] = {.lex_state = 220, .external_lex_state = 5},
  [1428] = {.lex_state = 55, .external_lex_state = 3},
  [1429] = {.lex_state = 55, .external_lex_state = 3},
  [1430] = {.lex_state = 220, .external_lex_state = 5},
  [1431] = {.lex_state = 50, .external_lex_state = 4},
  [1432] = {.lex_state = 220, .external_lex_state = 5},
  [1433] = {.lex_state = 47, .external_lex_state = 3},
  [1434] = {.lex_state = 220, .external_lex_state = 5},
  [1435] = {.lex_state = 50, .external_lex_state = 4},
  [1436] = {.lex_state = 220, .external_lex_state = 5},
  [1437] = {.lex_state = 220, .external_lex_state = 6},
  [1438] = {.lex_state = 220, .external_lex_state = 6},
  [1439] = {.lex_state = 220, .external_lex_state = 5},
  [1440] = {.lex_state = 220, .external_lex_state = 6},
  [1441] = {.lex_state = 50, .external_lex_state = 4},
  [1442] = {.lex_state = 50, .external_lex_state = 3},
  [1443] = {.lex_state = 220, .external_lex_state = 5},
  [1444] = {.lex_state = 220, .external_lex_state = 5},
  [1445] = {.lex_state = 220, .external_lex_state = 5},
  [1446] = {.lex_state = 50, .external_lex_state = 4},
  [1447] = {.lex_state = 220, .external_lex_state = 5},
  [1448] = {.lex_state = 50, .external_lex_state = 4},
  [1449] = {.lex_state = 220, .external_lex_state = 5},
  [1450] = {.lex_state = 50, .external_lex_state = 4},
  [1451] = {.lex_state = 46, .external_lex_state = 3},
  [1452] = {.lex_state = 220, .external_lex_state = 5},
  [1453] = {.lex_state = 220, .external_lex_state = 5},
  [1454] = {.lex_state = 220, .external_lex_state = 5},
  [1455] = {.lex_state = 220, .external_lex_state = 5},
  [1456] = {.lex_state = 220, .external_lex_state = 5},
  [1457] = {.lex_state = 221, .external_lex_state = 7},
  [1458] = {.lex_state = 220, .external_lex_state = 5},
  [1459] = {.lex_state = 220, .external_lex_state = 5},
  [1460] = {.lex_state = 221, .external_lex_state = 7},
  [1461] = {.lex_state = 220, .external_lex_state = 5},
  [1462] = {.lex_state = 220, .external_lex_state = 5},
  [1463] = {.lex_state = 220, .external_lex_state = 5},
  [1464] = {.lex_state = 220, .external_lex_state = 5},
  [1465] = {.lex_state = 220, .external_lex_state = 5},
  [1466] = {.lex_state = 220, .external_lex_state = 5},
  [1467] = {.lex_state = 50, .external_lex_state = 4},
  [1468] = {.lex_state = 220, .external_lex_state = 5},
  [1469] = {.lex_state = 50, .external_lex_state = 4},
  [1470] = {.lex_state = 51, .external_lex_state = 3},
  [1471] = {.lex_state = 220, .external_lex_state = 5},
  [1472] = {.lex_state = 50, .external_lex_state = 4},
  [1473] = {.lex_state = 50, .external_lex_state = 4},
  [1474] = {.lex_state = 220, .external_lex_state = 5},
  [1475] = {.lex_state = 220, .external_lex_state = 4},
  [1476] = {.lex_state = 220, .external_lex_state = 5},
  [1477] = {.lex_state = 56, .external_lex_state = 3},
  [1478] = {.lex_state = 220, .external_lex_state = 5},
  [1479] = {.lex_state = 220, .external_lex_state = 5},
  [1480] = {.lex_state = 220, .external_lex_state = 5},
  [1481] = {.lex_state = 220, .external_lex_state = 5},
  [1482] = {.lex_state = 220, .external_lex_state = 5},
  [1483] = {.lex_state = 50, .external_lex_state = 4},
  [1484] = {.lex_state = 50, .external_lex_state = 4},
  [1485] = {.lex_state = 220, .external_lex_state = 6},
  [1486] = {.lex_state = 220, .external_lex_state = 5},
  [1487] = {.lex_state = 55, .external_lex_state = 3},
  [1488] = {.lex_state = 220, .external_lex_state = 5},
  [1489] = {.lex_state = 50, .external_lex_state = 4},
  [1490] = {.lex_state = 50, .external_lex_state = 4},
  [1491] = {.lex_state = 50, .external_lex_state = 4},
  [1492] = {.lex_state = 50, .external_lex_state = 4},
  [1493] = {.lex_state = 50, .external_lex_state = 4},
  [1494] = {.lex_state = 50, .external_lex_state = 4},
  [1495] = {.lex_state = 220, .external_lex_state = 5},
  [1496] = {.lex_state = 220, .external_lex_state = 5},
  [1497] = {.lex_state = 50, .external_lex_state = 4},
  [1498] = {.lex_state = 50, .external_lex_state = 4},
  [1499] = {.lex_state = 222, .external_lex_state = 7},
  [1500] = {.lex_state = 50, .external_lex_state = 3},
  [1501] = {.lex_state = 50, .external_lex_state = 4},
  [1502] = {.lex_state = 50, .external_lex_state = 4},
  [1503] = {.lex_state = 47, .external_lex_state = 3},
  [1504] = {.lex_state = 47, .external_lex_state = 3},
  [1505] = {.lex_state = 50, .external_lex_state = 4},
  [1506] = {.lex_state = 55, .external_lex_state = 3},
  [1507] = {.lex_state = 50, .external_lex_state = 4},
  [1508] = {.lex_state = 50, .external_lex_state = 4},
  [1509] = {.lex_state = 50, .external_lex_state = 4},
  [1510] = {.lex_state = 50, .external_lex_state = 4},
  [1511] = {.lex_state = 47, .external_lex_state = 3},
  [1512] = {.lex_state = 50, .external_lex_state = 4},
  [1513] = {.lex_state = 220, .external_lex_state = 5},
  [1514] = {.lex_state = 220, .external_lex_state = 3},
  [1515] = {.lex_state = 50, .external_lex_state = 4},
  [1516] = {.lex_state = 220, .external_lex_state = 5},
  [1517] = {.lex_state = 220, .external_lex_state = 5},
  [1518] = {.lex_state = 50, .external_lex_state = 3},
  [1519] = {.lex_state = 220, .external_lex_state = 5},
  [1520] = {.lex_state = 50, .external_lex_state = 4},
  [1521] = {.lex_state = 47, .external_lex_state = 3},
  [1522] = {.lex_state = 51, .external_lex_state = 3},
  [1523] = {.lex_state = 51, .external_lex_state = 3},
  [1524] = {.lex_state = 50, .external_lex_state = 3},
  [1525] = {.lex_state = 220, .external_lex_state = 5},
  [1526] = {.lex_state = 50, .external_lex_state = 4},
  [1527] = {.lex_state = 50, .external_lex_state = 4},
  [1528] = {.lex_state = 50, .external_lex_state = 4},
  [1529] = {.lex_state = 46, .external_lex_state = 3},
  [1530] = {.lex_state = 220, .external_lex_state = 5},
  [1531] = {.lex_state = 220, .external_lex_state = 5},
  [1532] = {.lex_state = 220, .external_lex_state = 5},
  [1533] = {.lex_state = 220, .external_lex_state = 6},
  [1534] = {.lex_state = 50, .external_lex_state = 4},
  [1535] = {.lex_state = 50, .external_lex_state = 4},
  [1536] = {.lex_state = 220, .external_lex_state = 5},
  [1537] = {.lex_state = 55, .external_lex_state = 3},
  [1538] = {.lex_state = 50, .external_lex_state = 4},
  [1539] = {.lex_state = 50, .external_lex_state = 4},
  [1540] = {.lex_state = 50, .external_lex_state = 4},
  [1541] = {.lex_state = 50, .external_lex_state = 4},
  [1542] = {.lex_state = 50, .external_lex_state = 4},
  [1543] = {.lex_state = 50, .external_lex_state = 4},
  [1544] = {.lex_state = 220, .external_lex_state = 5},
  [1545] = {.lex_state = 50, .external_lex_state = 4},
  [1546] = {.lex_state = 220, .external_lex_state = 5},
  [1547] = {.lex_state = 46, .external_lex_state = 4},
  [1548] = {.lex_state = 220, .external_lex_state = 5},
  [1549] = {.lex_state = 220, .external_lex_state = 5},
  [1550] = {.lex_state = 220, .external_lex_state = 5},
  [1551] = {.lex_state = 220, .external_lex_state = 5},
  [1552] = {.lex_state = 50, .external_lex_state = 4},
  [1553] = {.lex_state = 220, .external_lex_state = 5},
  [1554] = {.lex_state = 220, .external_lex_state = 5},
  [1555] = {.lex_state = 50, .external_lex_state = 4},
  [1556] = {.lex_state = 220, .external_lex_state = 5},
  [1557] = {.lex_state = 220, .external_lex_state = 5},
  [1558] = {.lex_state = 51, .external_lex_state = 3},
  [1559] = {.lex_state = 220, .external_lex_state = 5},
  [1560] = {.lex_state = 220, .external_lex_state = 4},
  [1561] = {.lex_state = 55, .external_lex_state = 3},
  [1562] = {.lex_state = 50, .external_lex_state = 4},
  [1563] = {.lex_state = 50, .external_lex_state = 4},
  [1564] = {.lex_state = 51, .external_lex_state = 3},
  [1565] = {.lex_state = 221, .external_lex_state = 7},
  [1566] = {.lex_state = 50, .external_lex_state = 4},
  [1567] = {.lex_state = 50, .external_lex_state = 4},
  [1568] = {.lex_state = 50, .external_lex_state = 4},
  [1569] = {.lex_state = 50, .external_lex_state = 4},
  [1570] = {.lex_state = 50, .external_lex_state = 4},
  [1571] = {.lex_state = 220, .external_lex_state = 6},
  [1572] = {.lex_state = 50, .external_lex_state = 3},
  [1573] = {.lex_state = 220, .external_lex_state = 6},
  [1574] = {.lex_state = 46, .external_lex_state = 3},
  [1575] = {.lex_state = 220, .external_lex_state = 7},
  [1576] = {.lex_state = 220, .external_lex_state = 6},
  [1577] = {.lex_state = 220, .external_lex_state = 6},
  [1578] = {.lex_state = 220, .external_lex_state = 6},
  [1579] = {.lex_state = 220, .external_lex_state = 6},
  [1580] = {.lex_state = 220, .external_lex_state = 6},
  [1581] = {.lex_state = 51, .external_lex_state = 3},
  [1582] = {.lex_state = 51, .external_lex_state = 3},
  [1583] = {.lex_state = 220, .external_lex_state = 6},
  [1584] = {.lex_state = 50, .external_lex_state = 3},
  [1585] = {.lex_state = 220, .external_lex_state = 6},
  [1586] = {.lex_state = 220, .external_lex_state = 6},
  [1587] = {.lex_state = 220, .external_lex_state = 6},
  [1588] = {.lex_state = 222, .external_lex_state = 3},
  [1589] = {.lex_state = 220, .external_lex_state = 6},
  [1590] = {.lex_state = 220, .external_lex_state = 6},
  [1591] = {.lex_state = 220, .external_lex_state = 6},
  [1592] = {.lex_state = 220, .external_lex_state = 6},
  [1593] = {.lex_state = 55, .external_lex_state = 3},
  [1594] = {.lex_state = 220, .external_lex_state = 7},
  [1595] = {.lex_state = 55, .external_lex_state = 3},
  [1596] = {.lex_state = 220, .external_lex_state = 6},
  [1597] = {.lex_state = 220, .external_lex_state = 6},
  [1598] = {.lex_state = 220, .external_lex_state = 6},
  [1599] = {.lex_state = 51, .external_lex_state = 3},
  [1600] = {.lex_state = 222, .external_lex_state = 3},
  [1601] = {.lex_state = 220, .external_lex_state = 6},
  [1602] = {.lex_state = 220, .external_lex_state = 6},
  [1603] = {.lex_state = 55, .external_lex_state = 3},
  [1604] = {.lex_state = 50, .external_lex_state = 3},
  [1605] = {.lex_state = 220, .external_lex_state = 6},
  [1606] = {.lex_state = 55, .external_lex_state = 3},
  [1607] = {.lex_state = 55, .external_lex_state = 3},
  [1608] = {.lex_state = 55, .external_lex_state = 3},
  [1609] = {.lex_state = 51, .external_lex_state = 3},
  [1610] = {.lex_state = 220, .external_lex_state = 6},
  [1611] = {.lex_state = 50, .external_lex_state = 3},
  [1612] = {.lex_state = 228, .external_lex_state = 8},
  [1613] = {.lex_state = 228, .external_lex_state = 8},
  [1614] = {.lex_state = 50, .external_lex_state = 3},
  [1615] = {.lex_state = 228, .external_lex_state = 8},
  [1616] = {.lex_state = 50, .external_lex_state = 3},
  [1617] = {.lex_state = 50, .external_lex_state = 3},
  [1618] = {.lex_state = 222, .external_lex_state = 3},
  [1619] = {.lex_state = 50, .external_lex_state = 3},
  [1620] = {.lex_state = 50, .external_lex_state = 3},
  [1621] = {.lex_state = 50, .external_lex_state = 3},
  [1622] = {.lex_state = 220, .external_lex_state = 7},
  [1623] = {.lex_state = 50, .external_lex_state = 3},
  [1624] = {.lex_state = 55, .external_lex_state = 3},
  [1625] = {.lex_state = 50, .external_lex_state = 3},
  [1626] = {.lex_state = 220, .external_lex_state = 6},
  [1627] = {.lex_state = 220, .external_lex_state = 6},
  [1628] = {.lex_state = 55, .external_lex_state = 3},
  [1629] = {.lex_state = 50, .external_lex_state = 3},
  [1630] = {.lex_state = 50, .external_lex_state = 3},
  [1631] = {.lex_state = 220, .external_lex_state = 6},
  [1632] = {.lex_state = 230, .external_lex_state = 2},
  [1633] = {.lex_state = 228, .external_lex_state = 2},
  [1634] = {.lex_state = 50, .external_lex_state = 3},
  [1635] = {.lex_state = 50, .external_lex_state = 3},
  [1636] = {.lex_state = 50, .external_lex_state = 3},
  [1637] = {.lex_state = 55, .external_lex_state = 3},
  [1638] = {.lex_state = 55, .external_lex_state = 3},
  [1639] = {.lex_state = 50, .external_lex_state = 3},
  [1640] = {.lex_state = 50, .external_lex_state = 3},
  [1641] = {.lex_state = 50, .external_lex_state = 3},
  [1642] = {.lex_state = 50, .external_lex_state = 3},
  [1643] = {.lex_state = 55, .external_lex_state = 3},
  [1644] = {.lex_state = 50, .external_lex_state = 3},
  [1645] = {.lex_state = 50, .external_lex_state = 3},
  [1646] = {.lex_state = 50, .external_lex_state = 3},
  [1647] = {.lex_state = 50, .external_lex_state = 3},
  [1648] = {.lex_state = 50, .external_lex_state = 3},
  [1649] = {.lex_state = 50, .external_lex_state = 3},
  [1650] = {.lex_state = 50, .external_lex_state = 3},
  [1651] = {.lex_state = 55, .external_lex_state = 3},
  [1652] = {.lex_state = 55, .external_lex_state = 3},
  [1653] = {.lex_state = 55, .external_lex_state = 3},
  [1654] = {.lex_state = 50, .external_lex_state = 3},
  [1655] = {.lex_state = 50, .external_lex_state = 3},
  [1656] = {.lex_state = 50, .external_lex_state = 3},
  [1657] = {.lex_state = 220, .external_lex_state = 6},
  [1658] = {.lex_state = 50, .external_lex_state = 3},
  [1659] = {.lex_state = 50, .external_lex_state = 3},
  [1660] = {.lex_state = 50, .external_lex_state = 3},
  [1661] = {.lex_state = 221, .external_lex_state = 7},
  [1662] = {.lex_state = 50, .external_lex_state = 3},
  [1663] = {.lex_state = 220, .external_lex_state = 7},
  [1664] = {.lex_state = 55, .external_lex_state = 3},
  [1665] = {.lex_state = 55, .external_lex_state = 3},
  [1666] = {.lex_state = 55, .external_lex_state = 3},
  [1667] = {.lex_state = 55, .external_lex_state = 3},
  [1668] = {.lex_state = 55, .external_lex_state = 3},
  [1669] = {.lex_state = 50, .external_lex_state = 3},
  [1670] = {.lex_state = 50, .external_lex_state = 3},
  [1671] = {.lex_state = 50, .external_lex_state = 3},
  [1672] = {.lex_state = 55, .external_lex_state = 3},
  [1673] = {.lex_state = 50, .external_lex_state = 3},
  [1674] = {.lex_state = 220, .external_lex_state = 6},
  [1675] = {.lex_state = 50, .external_lex_state = 3},
  [1676] = {.lex_state = 50, .external_lex_state = 3},
  [1677] = {.lex_state = 50, .external_lex_state = 3},
  [1678] = {.lex_state = 50, .external_lex_state = 3},
  [1679] = {.lex_state = 222, .external_lex_state = 3},
  [1680] = {.lex_state = 50, .external_lex_state = 3},
  [1681] = {.lex_state = 50, .external_lex_state = 3},
  [1682] = {.lex_state = 50, .external_lex_state = 3},
  [1683] = {.lex_state = 55, .external_lex_state = 3},
  [1684] = {.lex_state = 55, .external_lex_state = 3},
  [1685] = {.lex_state = 55, .external_lex_state = 3},
  [1686] = {.lex_state = 222, .external_lex_state = 3},
  [1687] = {.lex_state = 55, .external_lex_state = 3},
  [1688] = {.lex_state = 221, .external_lex_state = 7},
  [1689] = {.lex_state = 230, .external_lex_state = 2},
  [1690] = {.lex_state = 55, .external_lex_state = 3},
  [1691] = {.lex_state = 220, .external_lex_state = 6},
  [1692] = {.lex_state = 50, .external_lex_state = 3},
  [1693] = {.lex_state = 50, .external_lex_state = 3},
  [1694] = {.lex_state = 50, .external_lex_state = 3},
  [1695] = {.lex_state = 55, .external_lex_state = 3},
  [1696] = {.lex_state = 55, .external_lex_state = 3},
  [1697] = {.lex_state = 220, .external_lex_state = 6},
  [1698] = {.lex_state = 55, .external_lex_state = 3},
  [1699] = {.lex_state = 50, .external_lex_state = 3},
  [1700] = {.lex_state = 50, .external_lex_state = 3},
  [1701] = {.lex_state = 220, .external_lex_state = 6},
  [1702] = {.lex_state = 50, .external_lex_state = 3},
  [1703] = {.lex_state = 55, .external_lex_state = 3},
  [1704] = {.lex_state = 50, .external_lex_state = 3},
  [1705] = {.lex_state = 50, .external_lex_state = 3},
  [1706] = {.lex_state = 55, .external_lex_state = 3},
  [1707] = {.lex_state = 50, .external_lex_state = 3},
  [1708] = {.lex_state = 50, .external_lex_state = 3},
  [1709] = {.lex_state = 222, .external_lex_state = 3},
  [1710] = {.lex_state = 220, .external_lex_state = 6},
  [1711] = {.lex_state = 222, .external_lex_state = 3},
  [1712] = {.lex_state = 50, .external_lex_state = 3},
  [1713] = {.lex_state = 220, .external_lex_state = 6},
  [1714] = {.lex_state = 50, .external_lex_state = 3},
  [1715] = {.lex_state = 220, .external_lex_state = 6},
  [1716] = {.lex_state = 220, .external_lex_state = 6},
  [1717] = {.lex_state = 220, .external_lex_state = 6},
  [1718] = {.lex_state = 221, .external_lex_state = 7},
  [1719] = {.lex_state = 221, .external_lex_state = 7},
  [1720] = {.lex_state = 220, .external_lex_state = 7},
  [1721] = {.lex_state = 220, .external_lex_state = 6},
  [1722] = {.lex_state = 222, .external_lex_state = 3},
  [1723] = {.lex_state = 222, .external_lex_state = 3},
  [1724] = {.lex_state = 55, .external_lex_state = 3},
  [1725] = {.lex_state = 220, .external_lex_state = 6},
  [1726] = {.lex_state = 228, .external_lex_state = 2},
  [1727] = {.lex_state = 220, .external_lex_state = 6},
  [1728] = {.lex_state = 220, .external_lex_state = 6},
  [1729] = {.lex_state = 55, .external_lex_state = 3},
  [1730] = {.lex_state = 55, .external_lex_state = 3},
  [1731] = {.lex_state = 220, .external_lex_state = 6},
  [1732] = {.lex_state = 50, .external_lex_state = 3},
  [1733] = {.lex_state = 50, .external_lex_state = 3},
  [1734] = {.lex_state = 50, .external_lex_state = 3},
  [1735] = {.lex_state = 50, .external_lex_state = 3},
  [1736] = {.lex_state = 220, .external_lex_state = 6},
  [1737] = {.lex_state = 50, .external_lex_state = 3},
  [1738] = {.lex_state = 220, .external_lex_state = 6},
  [1739] = {.lex_state = 220, .external_lex_state = 7},
  [1740] = {.lex_state = 220, .external_lex_state = 6},
  [1741] = {.lex_state = 220, .external_lex_state = 6},
  [1742] = {.lex_state = 55, .external_lex_state = 3},
  [1743] = {.lex_state = 228, .external_lex_state = 8},
  [1744] = {.lex_state = 50, .external_lex_state = 3},
  [1745] = {.lex_state = 220, .external_lex_state = 6},
  [1746] = {.lex_state = 220, .external_lex_state = 6},
  [1747] = {.lex_state = 55, .external_lex_state = 3},
  [1748] = {.lex_state = 55, .external_lex_state = 3},
  [1749] = {.lex_state = 50, .external_lex_state = 3},
  [1750] = {.lex_state = 220, .external_lex_state = 6},
  [1751] = {.lex_state = 55, .external_lex_state = 3},
  [1752] = {.lex_state = 55, .external_lex_state = 3},
  [1753] = {.lex_state = 50, .external_lex_state = 3},
  [1754] = {.lex_state = 220, .external_lex_state = 6},
  [1755] = {.lex_state = 50, .external_lex_state = 3},
  [1756] = {.lex_state = 50, .external_lex_state = 3},
  [1757] = {.lex_state = 55, .external_lex_state = 3},
  [1758] = {.lex_state = 50, .external_lex_state = 3},
  [1759] = {.lex_state = 55, .external_lex_state = 3},
  [1760] = {.lex_state = 220, .external_lex_state = 6},
  [1761] = {.lex_state = 55, .external_lex_state = 3},
  [1762] = {.lex_state = 55, .external_lex_state = 3},
  [1763] = {.lex_state = 55, .external_lex_state = 3},
  [1764] = {.lex_state = 55, .external_lex_state = 3},
  [1765] = {.lex_state = 55, .external_lex_state = 3},
  [1766] = {.lex_state = 55, .external_lex_state = 3},
  [1767] = {.lex_state = 55, .external_lex_state = 3},
  [1768] = {.lex_state = 55, .external_lex_state = 3},
  [1769] = {.lex_state = 55, .external_lex_state = 3},
  [1770] = {.lex_state = 220, .external_lex_state = 6},
  [1771] = {.lex_state = 50, .external_lex_state = 3},
  [1772] = {.lex_state = 220, .external_lex_state = 6},
  [1773] = {.lex_state = 55, .external_lex_state = 3},
  [1774] = {.lex_state = 55, .external_lex_state = 3},
  [1775] = {.lex_state = 51, .external_lex_state = 3},
  [1776] = {.lex_state = 228, .external_lex_state = 2},
  [1777] = {.lex_state = 228, .external_lex_state = 2},
  [1778] = {.lex_state = 220, .external_lex_state = 7},
  [1779] = {.lex_state = 55, .external_lex_state = 3},
  [1780] = {.lex_state = 55, .external_lex_state = 3},
  [1781] = {.lex_state = 55, .external_lex_state = 3},
  [1782] = {.lex_state = 55, .external_lex_state = 3},
  [1783] = {.lex_state = 55, .external_lex_state = 3},
  [1784] = {.lex_state = 55, .external_lex_state = 3},
  [1785] = {.lex_state = 55, .external_lex_state = 3},
  [1786] = {.lex_state = 55, .external_lex_state = 3},
  [1787] = {.lex_state = 220, .external_lex_state = 6},
  [1788] = {.lex_state = 220, .external_lex_state = 6},
  [1789] = {.lex_state = 55, .external_lex_state = 3},
  [1790] = {.lex_state = 55, .external_lex_state = 3},
  [1791] = {.lex_state = 220, .external_lex_state = 6},
  [1792] = {.lex_state = 220, .external_lex_state = 6},
  [1793] = {.lex_state = 220, .external_lex_state = 6},
  [1794] = {.lex_state = 220, .external_lex_state = 6},
  [1795] = {.lex_state = 220, .external_lex_state = 6},
  [1796] = {.lex_state = 220, .external_lex_state = 6},
  [1797] = {.lex_state = 55, .external_lex_state = 3},
  [1798] = {.lex_state = 221, .external_lex_state = 7},
  [1799] = {.lex_state = 55, .external_lex_state = 3},
  [1800] = {.lex_state = 55, .external_lex_state = 3},
  [1801] = {.lex_state = 55, .external_lex_state = 3},
  [1802] = {.lex_state = 228, .external_lex_state = 2},
  [1803] = {.lex_state = 55, .external_lex_state = 3},
  [1804] = {.lex_state = 220, .external_lex_state = 6},
  [1805] = {.lex_state = 220, .external_lex_state = 6},
  [1806] = {.lex_state = 220, .external_lex_state = 6},
  [1807] = {.lex_state = 220, .external_lex_state = 6},
  [1808] = {.lex_state = 220, .external_lex_state = 6},
  [1809] = {.lex_state = 55, .external_lex_state = 3},
  [1810] = {.lex_state = 55, .external_lex_state = 3},
  [1811] = {.lex_state = 55, .external_lex_state = 3},
  [1812] = {.lex_state = 50, .external_lex_state = 3},
  [1813] = {.lex_state = 220, .external_lex_state = 7},
  [1814] = {.lex_state = 55, .external_lex_state = 3},
  [1815] = {.lex_state = 228, .external_lex_state = 2},
  [1816] = {.lex_state = 220, .external_lex_state = 6},
  [1817] = {.lex_state = 220, .external_lex_state = 6},
  [1818] = {.lex_state = 220, .external_lex_state = 6},
  [1819] = {.lex_state = 220, .external_lex_state = 6},
  [1820] = {.lex_state = 220, .external_lex_state = 6},
  [1821] = {.lex_state = 220, .external_lex_state = 6},
  [1822] = {.lex_state = 220, .external_lex_state = 6},
  [1823] = {.lex_state = 46, .external_lex_state = 3},
  [1824] = {.lex_state = 55, .external_lex_state = 3},
  [1825] = {.lex_state = 55, .external_lex_state = 3},
  [1826] = {.lex_state = 55, .external_lex_state = 3},
  [1827] = {.lex_state = 222, .external_lex_state = 3},
  [1828] = {.lex_state = 220, .external_lex_state = 7},
  [1829] = {.lex_state = 220, .external_lex_state = 7},
  [1830] = {.lex_state = 228, .external_lex_state = 2},
  [1831] = {.lex_state = 220, .external_lex_state = 7},
  [1832] = {.lex_state = 220, .external_lex_state = 7},
  [1833] = {.lex_state = 228, .external_lex_state = 8},
  [1834] = {.lex_state = 228, .external_lex_state = 2},
  [1835] = {.lex_state = 222, .external_lex_state = 3},
  [1836] = {.lex_state = 222, .external_lex_state = 3},
  [1837] = {.lex_state = 220, .external_lex_state = 7},
  [1838] = {.lex_state = 220, .external_lex_state = 7},
  [1839] = {.lex_state = 222, .external_lex_state = 3},
  [1840] = {.lex_state = 222, .external_lex_state = 3},
  [1841] = {.lex_state = 228, .external_lex_state = 2},
  [1842] = {.lex_state = 220, .external_lex_state = 7},
  [1843] = {.lex_state = 220, .external_lex_state = 7},
  [1844] = {.lex_state = 220, .external_lex_state = 7},
  [1845] = {.lex_state = 222, .external_lex_state = 3},
  [1846] = {.lex_state = 220, .external_lex_state = 7},
  [1847] = {.lex_state = 220, .external_lex_state = 7},
  [1848] = {.lex_state = 220, .external_lex_state = 7},
  [1849] = {.lex_state = 220, .external_lex_state = 7},
  [1850] = {.lex_state = 220, .external_lex_state = 7},
  [1851] = {.lex_state = 222, .external_lex_state = 3},
  [1852] = {.lex_state = 220, .external_lex_state = 7},
  [1853] = {.lex_state = 220, .external_lex_state = 7},
  [1854] = {.lex_state = 228, .external_lex_state = 2},
  [1855] = {.lex_state = 220, .external_lex_state = 7},
  [1856] = {.lex_state = 222, .external_lex_state = 3},
  [1857] = {.lex_state = 220, .external_lex_state = 7},
  [1858] = {.lex_state = 220, .external_lex_state = 7},
  [1859] = {.lex_state = 222, .external_lex_state = 3},
  [1860] = {.lex_state = 220, .external_lex_state = 7},
  [1861] = {.lex_state = 222, .external_lex_state = 3},
  [1862] = {.lex_state = 228, .external_lex_state = 8},
  [1863] = {.lex_state = 222, .external_lex_state = 3},
  [1864] = {.lex_state = 228, .external_lex_state = 8},
  [1865] = {.lex_state = 222, .external_lex_state = 3},
  [1866] = {.lex_state = 222, .external_lex_state = 3},
  [1867] = {.lex_state = 222, .external_lex_state = 3},
  [1868] = {.lex_state = 222, .external_lex_state = 3},
  [1869] = {.lex_state = 222, .external_lex_state = 3},
  [1870] = {.lex_state = 222, .external_lex_state = 3},
  [1871] = {.lex_state = 222, .external_lex_state = 3},
  [1872] = {.lex_state = 222, .external_lex_state = 3},
  [1873] = {.lex_state = 220, .external_lex_state = 7},
  [1874] = {.lex_state = 228, .external_lex_state = 8},
  [1875] = {.lex_state = 220, .external_lex_state = 7},
  [1876] = {.lex_state = 220, .external_lex_state = 7},
  [1877] = {.lex_state = 222, .external_lex_state = 3},
  [1878] = {.lex_state = 222, .external_lex_state = 3},
  [1879] = {.lex_state = 222, .external_lex_state = 3},
  [1880] = {.lex_state = 222, .external_lex_state = 3},
  [1881] = {.lex_state = 222, .external_lex_state = 3},
  [1882] = {.lex_state = 220, .external_lex_state = 7},
  [1883] = {.lex_state = 220, .external_lex_state = 7},
  [1884] = {.lex_state = 220, .external_lex_state = 7},
  [1885] = {.lex_state = 222, .external_lex_state = 3},
  [1886] = {.lex_state = 220, .external_lex_state = 7},
  [1887] = {.lex_state = 227, .external_lex_state = 2},
  [1888] = {.lex_state = 228, .external_lex_state = 2},
  [1889] = {.lex_state = 220, .external_lex_state = 7},
  [1890] = {.lex_state = 220, .external_lex_state = 7},
  [1891] = {.lex_state = 228, .external_lex_state = 2},
  [1892] = {.lex_state = 222, .external_lex_state = 3},
  [1893] = {.lex_state = 222, .external_lex_state = 3},
  [1894] = {.lex_state = 222, .external_lex_state = 3},
  [1895] = {.lex_state = 222, .external_lex_state = 3},
  [1896] = {.lex_state = 220, .external_lex_state = 7},
  [1897] = {.lex_state = 220, .external_lex_state = 7},
  [1898] = {.lex_state = 220, .external_lex_state = 7},
  [1899] = {.lex_state = 220, .external_lex_state = 7},
  [1900] = {.lex_state = 220, .external_lex_state = 7},
  [1901] = {.lex_state = 228, .external_lex_state = 2},
  [1902] = {.lex_state = 220, .external_lex_state = 7},
  [1903] = {.lex_state = 220, .external_lex_state = 7},
  [1904] = {.lex_state = 220, .external_lex_state = 7},
  [1905] = {.lex_state = 220, .external_lex_state = 7},
  [1906] = {.lex_state = 220, .external_lex_state = 7},
  [1907] = {.lex_state = 222, .external_lex_state = 3},
  [1908] = {.lex_state = 230, .external_lex_state = 2},
  [1909] = {.lex_state = 220, .external_lex_state = 7},
  [1910] = {.lex_state = 220, .external_lex_state = 7},
  [1911] = {.lex_state = 220, .external_lex_state = 7},
  [1912] = {.lex_state = 222, .external_lex_state = 3},
  [1913] = {.lex_state = 222, .external_lex_state = 3},
  [1914] = {.lex_state = 222, .external_lex_state = 3},
  [1915] = {.lex_state = 222, .external_lex_state = 3},
  [1916] = {.lex_state = 222, .external_lex_state = 3},
  [1917] = {.lex_state = 228, .external_lex_state = 2},
  [1918] = {.lex_state = 220, .external_lex_state = 7},
  [1919] = {.lex_state = 220, .external_lex_state = 7},
  [1920] = {.lex_state = 220, .external_lex_state = 7},
  [1921] = {.lex_state = 220, .external_lex_state = 7},
  [1922] = {.lex_state = 222, .external_lex_state = 3},
  [1923] = {.lex_state = 222, .external_lex_state = 3},
  [1924] = {.lex_state = 222, .external_lex_state = 3},
  [1925] = {.lex_state = 222, .external_lex_state = 3},
  [1926] = {.lex_state = 222, .external_lex_state = 3},
  [1927] = {.lex_state = 222, .external_lex_state = 3},
  [1928] = {.lex_state = 222, .external_lex_state = 3},
  [1929] = {.lex_state = 222, .external_lex_state = 3},
  [1930] = {.lex_state = 222, .external_lex_state = 3},
  [1931] = {.lex_state = 220, .external_lex_state = 7},
  [1932] = {.lex_state = 220, .external_lex_state = 7},
  [1933] = {.lex_state = 220, .external_lex_state = 7},
  [1934] = {.lex_state = 220, .external_lex_state = 7},
  [1935] = {.lex_state = 222, .external_lex_state = 3},
  [1936] = {.lex_state = 222, .external_lex_state = 3},
  [1937] = {.lex_state = 222, .external_lex_state = 3},
  [1938] = {.lex_state = 222, .external_lex_state = 3},
  [1939] = {.lex_state = 222, .external_lex_state = 3},
  [1940] = {.lex_state = 228, .external_lex_state = 8},
  [1941] = {.lex_state = 220, .external_lex_state = 7},
  [1942] = {.lex_state = 220, .external_lex_state = 7},
  [1943] = {.lex_state = 228, .external_lex_state = 2},
  [1944] = {.lex_state = 227, .external_lex_state = 2},
  [1945] = {.lex_state = 220, .external_lex_state = 7},
  [1946] = {.lex_state = 222, .external_lex_state = 3},
  [1947] = {.lex_state = 222, .external_lex_state = 3},
  [1948] = {.lex_state = 222, .external_lex_state = 3},
  [1949] = {.lex_state = 220, .external_lex_state = 7},
  [1950] = {.lex_state = 220, .external_lex_state = 7},
  [1951] = {.lex_state = 220, .external_lex_state = 7},
  [1952] = {.lex_state = 220, .external_lex_state = 7},
  [1953] = {.lex_state = 228, .external_lex_state = 8},
  [1954] = {.lex_state = 220, .external_lex_state = 7},
  [1955] = {.lex_state = 220, .external_lex_state = 7},
  [1956] = {.lex_state = 220, .external_lex_state = 7},
  [1957] = {.lex_state = 222, .external_lex_state = 3},
  [1958] = {.lex_state = 222, .external_lex_state = 3},
  [1959] = {.lex_state = 222, .external_lex_state = 3},
  [1960] = {.lex_state = 222, .external_lex_state = 3},
  [1961] = {.lex_state = 222, .external_lex_state = 3},
  [1962] = {.lex_state = 227, .external_lex_state = 2},
  [1963] = {.lex_state = 228, .external_lex_state = 2},
  [1964] = {.lex_state = 228, .external_lex_state = 2},
  [1965] = {.lex_state = 222, .external_lex_state = 3},
  [1966] = {.lex_state = 222, .external_lex_state = 3},
  [1967] = {.lex_state = 222, .external_lex_state = 3},
  [1968] = {.lex_state = 222, .external_lex_state = 3},
  [1969] = {.lex_state = 220, .external_lex_state = 7},
  [1970] = {.lex_state = 220, .external_lex_state = 7},
  [1971] = {.lex_state = 220, .external_lex_state = 7},
  [1972] = {.lex_state = 220, .external_lex_state = 7},
  [1973] = {.lex_state = 220, .external_lex_state = 7},
  [1974] = {.lex_state = 222, .external_lex_state = 3},
  [1975] = {.lex_state = 220, .external_lex_state = 7},
  [1976] = {.lex_state = 220, .external_lex_state = 7},
  [1977] = {.lex_state = 220, .external_lex_state = 7},
  [1978] = {.lex_state = 222, .external_lex_state = 3},
  [1979] = {.lex_state = 222, .external_lex_state = 3},
  [1980] = {.lex_state = 222, .external_lex_state = 3},
  [1981] = {.lex_state = 220, .external_lex_state = 7},
  [1982] = {.lex_state = 222, .external_lex_state = 3},
  [1983] = {.lex_state = 222, .external_lex_state = 3},
  [1984] = {.lex_state = 222, .external_lex_state = 3},
  [1985] = {.lex_state = 222, .external_lex_state = 3},
  [1986] = {.lex_state = 222, .external_lex_state = 3},
  [1987] = {.lex_state = 222, .external_lex_state = 3},
  [1988] = {.lex_state = 220, .external_lex_state = 7},
  [1989] = {.lex_state = 220, .external_lex_state = 7},
  [1990] = {.lex_state = 98, .external_lex_state = 2},
  [1991] = {.lex_state = 228, .external_lex_state = 8},
  [1992] = {.lex_state = 228, .external_lex_state = 2},
  [1993] = {.lex_state = 228, .external_lex_state = 2},
  [1994] = {.lex_state = 228, .external_lex_state = 2},
  [1995] = {.lex_state = 228, .external_lex_state = 2},
  [1996] = {.lex_state = 228, .external_lex_state = 2},
  [1997] = {.lex_state = 228, .external_lex_state = 2},
  [1998] = {.lex_state = 228, .external_lex_state = 8},
  [1999] = {.lex_state = 228, .external_lex_state = 8},
  [2000] = {.lex_state = 98, .external_lex_state = 2},
  [2001] = {.lex_state = 228, .external_lex_state = 8},
  [2002] = {.lex_state = 228, .external_lex_state = 2},
  [2003] = {.lex_state = 98, .external_lex_state = 2},
  [2004] = {.lex_state = 98, .external_lex_state = 2},
  [2005] = {.lex_state = 98, .external_lex_state = 2},
  [2006] = {.lex_state = 228, .external_lex_state = 2},
  [2007] = {.lex_state = 228, .external_lex_state = 2},
  [2008] = {.lex_state = 228, .external_lex_state = 8},
  [2009] = {.lex_state = 98, .external_lex_state = 2},
  [2010] = {.lex_state = 228, .external_lex_state = 8},
  [2011] = {.lex_state = 228, .external_lex_state = 2},
  [2012] = {.lex_state = 98, .external_lex_state = 2},
  [2013] = {.lex_state = 228, .external_lex_state = 8},
  [2014] = {.lex_state = 228, .external_lex_state = 8},
  [2015] = {.lex_state = 98, .external_lex_state = 2},
  [2016] = {.lex_state = 227, .external_lex_state = 8},
  [2017] = {.lex_state = 98, .external_lex_state = 2},
  [2018] = {.lex_state = 228, .external_lex_state = 2},
  [2019] = {.lex_state = 228, .external_lex_state = 8},
  [2020] = {.lex_state = 98, .external_lex_state = 2},
  [2021] = {.lex_state = 227, .external_lex_state = 8},
  [2022] = {.lex_state = 98, .external_lex_state = 2},
  [2023] = {.lex_state = 98, .external_lex_state = 2},
  [2024] = {.lex_state = 228, .external_lex_state = 8},
  [2025] = {.lex_state = 228, .external_lex_state = 8},
  [2026] = {.lex_state = 227, .external_lex_state = 8},
  [2027] = {.lex_state = 228, .external_lex_state = 8},
  [2028] = {.lex_state = 98, .external_lex_state = 2},
  [2029] = {.lex_state = 98, .external_lex_state = 2},
  [2030] = {.lex_state = 84, .external_lex_state = 2},
  [2031] = {.lex_state = 230, .external_lex_state = 2},
  [2032] = {.lex_state = 230, .external_lex_state = 2},
  [2033] = {.lex_state = 84, .external_lex_state = 2},
  [2034] = {.lex_state = 98, .external_lex_state = 2},
  [2035] = {.lex_state = 98, .external_lex_state = 2},
  [2036] = {.lex_state = 228, .external_lex_state = 8},
  [2037] = {.lex_state = 228, .external_lex_state = 8},
  [2038] = {.lex_state = 228, .external_lex_state = 8},
  [2039] = {.lex_state = 228, .external_lex_state = 8},
  [2040] = {.lex_state = 228, .external_lex_state = 8},
  [2041] = {.lex_state = 98, .external_lex_state = 2},
  [2042] = {.lex_state = 228, .external_lex_state = 8},
  [2043] = {.lex_state = 228, .external_lex_state = 8},
  [2044] = {.lex_state = 228, .external_lex_state = 8},
  [2045] = {.lex_state = 228, .external_lex_state = 8},
  [2046] = {.lex_state = 228, .external_lex_state = 8},
  [2047] = {.lex_state = 93, .external_lex_state = 2},
  [2048] = {.lex_state = 84, .external_lex_state = 2},
  [2049] = {.lex_state = 93, .external_lex_state = 2},
  [2050] = {.lex_state = 230, .external_lex_state = 2},
  [2051] = {.lex_state = 230, .external_lex_state = 2},
  [2052] = {.lex_state = 230, .external_lex_state = 2},
  [2053] = {.lex_state = 230, .external_lex_state = 2},
  [2054] = {.lex_state = 230, .external_lex_state = 2},
  [2055] = {.lex_state = 230, .external_lex_state = 2},
  [2056] = {.lex_state = 84, .external_lex_state = 2},
  [2057] = {.lex_state = 230, .external_lex_state = 2},
  [2058] = {.lex_state = 84, .external_lex_state = 2},
  [2059] = {.lex_state = 230, .external_lex_state = 2},
  [2060] = {.lex_state = 93, .external_lex_state = 2},
  [2061] = {.lex_state = 228, .external_lex_state = 2},
  [2062] = {.lex_state = 230, .external_lex_state = 2},
  [2063] = {.lex_state = 93, .external_lex_state = 2},
  [2064] = {.lex_state = 230, .external_lex_state = 2},
  [2065] = {.lex_state = 230, .external_lex_state = 2},
  [2066] = {.lex_state = 93, .external_lex_state = 2},
  [2067] = {.lex_state = 230, .external_lex_state = 2},
  [2068] = {.lex_state = 84, .external_lex_state = 2},
  [2069] = {.lex_state = 230, .external_lex_state = 2},
  [2070] = {.lex_state = 93, .external_lex_state = 2},
  [2071] = {.lex_state = 228, .external_lex_state = 8},
  [2072] = {.lex_state = 227, .external_lex_state = 2},
  [2073] = {.lex_state = 227, .external_lex_state = 2},
  [2074] = {.lex_state = 227, .external_lex_state = 2},
  [2075] = {.lex_state = 227, .external_lex_state = 2},
  [2076] = {.lex_state = 227, .external_lex_state = 2},
  [2077] = {.lex_state = 227, .external_lex_state = 2},
  [2078] = {.lex_state = 227, .external_lex_state = 2},
  [2079] = {.lex_state = 227, .external_lex_state = 2},
  [2080] = {.lex_state = 227, .external_lex_state = 2},
  [2081] = {.lex_state = 227, .external_lex_state = 2},
  [2082] = {.lex_state = 231, .external_lex_state = 2},
  [2083] = {.lex_state = 227, .external_lex_state = 2},
  [2084] = {.lex_state = 231, .external_lex_state = 2},
  [2085] = {.lex_state = 227, .external_lex_state = 8},
  [2086] = {.lex_state = 227, .external_lex_state = 2},
  [2087] = {.lex_state = 227, .external_lex_state = 2},
  [2088] = {.lex_state = 227, .external_lex_state = 2},
  [2089] = {.lex_state = 227, .external_lex_state = 2},
  [2090] = {.lex_state = 227, .external_lex_state = 2},
  [2091] = {.lex_state = 231, .external_lex_state = 2},
  [2092] = {.lex_state = 227, .external_lex_state = 2},
  [2093] = {.lex_state = 227, .external_lex_state = 2},
  [2094] = {.lex_state = 227, .external_lex_state = 2},
  [2095] = {.lex_state = 227, .external_lex_state = 2},
  [2096] = {.lex_state = 227, .external_lex_state = 2},
  [2097] = {.lex_state = 227, .external_lex_state = 8},
  [2098] = {.lex_state = 227, .external_lex_state = 8},
  [2099] = {.lex_state = 227, .external_lex_state = 8},
  [2100] = {.lex_state = 227, .external_lex_state = 8},
  [2101] = {.lex_state = 227, .external_lex_state = 2},
  [2102] = {.lex_state = 227, .external_lex_state = 2},
  [2103] = {.lex_state = 227, .external_lex_state = 2},
  [2104] = {.lex_state = 231, .external_lex_state = 2},
  [2105] = {.lex_state = 227, .external_lex_state = 8},
  [2106] = {.lex_state = 227, .external_lex_state = 2},
  [2107] = {.lex_state = 227, .external_lex_state = 2},
  [2108] = {.lex_state = 227, .external_lex_state = 8},
  [2109] = {.lex_state = 227, .external_lex_state = 8},
  [2110] = {.lex_state = 227, .external_lex_state = 8},
  [2111] = {.lex_state = 227, .external_lex_state = 8},
  [2112] = {.lex_state = 227, .external_lex_state = 8},
  [2113] = {.lex_state = 227, .external_lex_state = 8},
  [2114] = {.lex_state = 227, .external_lex_state = 8},
  [2115] = {.lex_state = 227, .external_lex_state = 8},
  [2116] = {.lex_state = 227, .external_lex_state = 8},
  [2117] = {.lex_state = 227, .external_lex_state = 8},
  [2118] = {.lex_state = 227, .external_lex_state = 8},
  [2119] = {.lex_state = 227, .external_lex_state = 8},
  [2120] = {.lex_state = 227, .external_lex_state = 8},
  [2121] = {.lex_state = 227, .external_lex_state = 8},
  [2122] = {.lex_state = 227, .external_lex_state = 8},
  [2123] = {.lex_state = 227, .external_lex_state = 8},
  [2124] = {.lex_state = 227, .external_lex_state = 8},
  [2125] = {.lex_state = 227, .external_lex_state = 8},
  [2126] = {.lex_state = 227, .external_lex_state = 8},
  [2127] = {.lex_state = 227, .external_lex_state = 8},
  [2128] = {.lex_state = 231, .external_lex_state = 2},
  [2129] = {.lex_state = 231, .external_lex_state = 2},
  [2130] = {.lex_state = 231, .external_lex_state = 2},
  [2131] = {.lex_state = 231, .external_lex_state = 2},
  [2132] = {.lex_state = 231, .external_lex_state = 2},
  [2133] = {.lex_state = 231, .external_lex_state = 2},
  [2134] = {.lex_state = 98, .external_lex_state = 2},
  [2135] = {.lex_state = 231, .external_lex_state = 2},
  [2136] = {.lex_state = 231, .external_lex_state = 2},
  [2137] = {.lex_state = 231, .external_lex_state = 2},
  [2138] = {.lex_state = 231, .external_lex_state = 2},
  [2139] = {.lex_state = 231, .external_lex_state = 2},
  [2140] = {.lex_state = 231, .external_lex_state = 2},
  [2141] = {.lex_state = 231, .external_lex_state = 2},
  [2142] = {.lex_state = 231, .external_lex_state = 2},
  [2143] = {.lex_state = 231, .external_lex_state = 2},
  [2144] = {.lex_state = 231, .external_lex_state = 2},
  [2145] = {.lex_state = 231, .external_lex_state = 2},
  [2146] = {.lex_state = 231, .external_lex_state = 2},
  [2147] = {.lex_state = 231, .external_lex_state = 2},
  [2148] = {.lex_state = 231, .external_lex_state = 2},
  [2149] = {.lex_state = 231, .external_lex_state = 2},
  [2150] = {.lex_state = 231, .external_lex_state = 2},
  [2151] = {.lex_state = 231, .external_lex_state = 2},
  [2152] = {.lex_state = 231, .external_lex_state = 2},
  [2153] = {.lex_state = 231, .external_lex_state = 2},
  [2154] = {.lex_state = 231, .external_lex_state = 2},
  [2155] = {.lex_state = 231, .external_lex_state = 2},
  [2156] = {.lex_state = 231, .external_lex_state = 2},
  [2157] = {.lex_state = 231, .external_lex_state = 2},
  [2158] = {.lex_state = 231, .external_lex_state = 2},
  [2159] = {.lex_state = 231, .external_lex_state = 2},
  [2160] = {.lex_state = 231, .external_lex_state = 2},
  [2161] = {.lex_state = 231, .external_lex_state = 2},
  [2162] = {.lex_state = 231, .external_lex_state = 2},
  [2163] = {.lex_state = 231, .external_lex_state = 2},
  [2164] = {.lex_state = 231, .external_lex_state = 2},
  [2165] = {.lex_state = 231, .external_lex_state = 2},
  [2166] = {.lex_state = 231, .external_lex_state = 2},
  [2167] = {.lex_state = 231, .external_lex_state = 2},
  [2168] = {.lex_state = 231, .external_lex_state = 2},
  [2169] = {.lex_state = 231, .external_lex_state = 2},
  [2170] = {.lex_state = 231, .external_lex_state = 2},
  [2171] = {.lex_state = 231, .external_lex_state = 2},
  [2172] = {.lex_state = 231, .external_lex_state = 2},
  [2173] = {.lex_state = 231, .external_lex_state = 2},
  [2174] = {.lex_state = 231, .external_lex_state = 2},
  [2175] = {.lex_state = 231, .external_lex_state = 2},
  [2176] = {.lex_state = 231, .external_lex_state = 2},
  [2177] = {.lex_state = 231, .external_lex_state = 2},
  [2178] = {.lex_state = 231, .external_lex_state = 2},
  [2179] = {.lex_state = 231, .external_lex_state = 2},
  [2180] = {.lex_state = 227, .external_lex_state = 2},
  [2181] = {.lex_state = 231, .external_lex_state = 2},
  [2182] = {.lex_state = 231, .external_lex_state = 2},
  [2183] = {.lex_state = 231, .external_lex_state = 2},
  [2184] = {.lex_state = 231, .external_lex_state = 2},
  [2185] = {.lex_state = 231, .external_lex_state = 2},
  [2186] = {.lex_state = 231, .external_lex_state = 2},
  [2187] = {.lex_state = 231, .external_lex_state = 2},
  [2188] = {.lex_state = 227, .external_lex_state = 2},
  [2189] = {.lex_state = 231, .external_lex_state = 2},
  [2190] = {.lex_state = 227, .external_lex_state = 2},
  [2191] = {.lex_state = 231, .external_lex_state = 2},
  [2192] = {.lex_state = 231, .external_lex_state = 2},
  [2193] = {.lex_state = 227, .external_lex_state = 2},
  [2194] = {.lex_state = 227, .external_lex_state = 2},
  [2195] = {.lex_state = 231, .external_lex_state = 2},
  [2196] = {.lex_state = 231, .external_lex_state = 2},
  [2197] = {.lex_state = 231, .external_lex_state = 2},
  [2198] = {.lex_state = 231, .external_lex_state = 2},
  [2199] = {.lex_state = 231, .external_lex_state = 2},
  [2200] = {.lex_state = 231, .external_lex_state = 2},
  [2201] = {.lex_state = 231, .external_lex_state = 2},
  [2202] = {.lex_state = 231, .external_lex_state = 2},
  [2203] = {.lex_state = 231, .external_lex_state = 2},
  [2204] = {.lex_state = 231, .external_lex_state = 2},
  [2205] = {.lex_state = 231, .external_lex_state = 2},
  [2206] = {.lex_state = 231, .external_lex_state = 2},
  [2207] = {.lex_state = 231, .external_lex_state = 2},
  [2208] = {.lex_state = 231, .external_lex_state = 2},
  [2209] = {.lex_state = 231, .external_lex_state = 2},
  [2210] = {.lex_state = 231, .external_lex_state = 2},
  [2211] = {.lex_state = 231, .external_lex_state = 2},
  [2212] = {.lex_state = 231, .external_lex_state = 2},
  [2213] = {.lex_state = 231, .external_lex_state = 2},
  [2214] = {.lex_state = 231, .external_lex_state = 2},
  [2215] = {.lex_state = 231, .external_lex_state = 2},
  [2216] = {.lex_state = 231, .external_lex_state = 2},
  [2217] = {.lex_state = 227, .external_lex_state = 2},
  [2218] = {.lex_state = 231, .external_lex_state = 2},
  [2219] = {.lex_state = 227, .external_lex_state = 2},
  [2220] = {.lex_state = 231, .external_lex_state = 2},
  [2221] = {.lex_state = 231, .external_lex_state = 2},
  [2222] = {.lex_state = 231, .external_lex_state = 2},
  [2223] = {.lex_state = 231, .external_lex_state = 2},
  [2224] = {.lex_state = 231, .external_lex_state = 2},
  [2225] = {.lex_state = 227, .external_lex_state = 8},
  [2226] = {.lex_state = 231, .external_lex_state = 2},
  [2227] = {.lex_state = 227, .external_lex_state = 8},
  [2228] = {.lex_state = 231, .external_lex_state = 2},
  [2229] = {.lex_state = 231, .external_lex_state = 2},
  [2230] = {.lex_state = 227, .external_lex_state = 8},
  [2231] = {.lex_state = 231, .external_lex_state = 2},
  [2232] = {.lex_state = 231, .external_lex_state = 2},
  [2233] = {.lex_state = 227, .external_lex_state = 8},
  [2234] = {.lex_state = 231, .external_lex_state = 2},
  [2235] = {.lex_state = 231, .external_lex_state = 2},
  [2236] = {.lex_state = 231, .external_lex_state = 2},
  [2237] = {.lex_state = 231, .external_lex_state = 2},
  [2238] = {.lex_state = 231, .external_lex_state = 2},
  [2239] = {.lex_state = 227, .external_lex_state = 8},
  [2240] = {.lex_state = 231, .external_lex_state = 2},
  [2241] = {.lex_state = 231, .external_lex_state = 2},
  [2242] = {.lex_state = 231, .external_lex_state = 2},
  [2243] = {.lex_state = 231, .external_lex_state = 2},
  [2244] = {.lex_state = 231, .external_lex_state = 2},
  [2245] = {.lex_state = 231, .external_lex_state = 2},
  [2246] = {.lex_state = 231, .external_lex_state = 2},
  [2247] = {.lex_state = 231, .external_lex_state = 2},
  [2248] = {.lex_state = 231, .external_lex_state = 2},
  [2249] = {.lex_state = 231, .external_lex_state = 2},
  [2250] = {.lex_state = 231, .external_lex_state = 2},
  [2251] = {.lex_state = 231, .external_lex_state = 2},
  [2252] = {.lex_state = 231, .external_lex_state = 2},
  [2253] = {.lex_state = 231, .external_lex_state = 2},
  [2254] = {.lex_state = 231, .external_lex_state = 2},
  [2255] = {.lex_state = 231, .external_lex_state = 2},
  [2256] = {.lex_state = 231, .external_lex_state = 2},
  [2257] = {.lex_state = 231, .external_lex_state = 2},
  [2258] = {.lex_state = 231, .external_lex_state = 2},
  [2259] = {.lex_state = 231, .external_lex_state = 2},
  [2260] = {.lex_state = 231, .external_lex_state = 2},
  [2261] = {.lex_state = 231, .external_lex_state = 2},
  [2262] = {.lex_state = 231, .external_lex_state = 2},
  [2263] = {.lex_state = 231, .external_lex_state = 2},
  [2264] = {.lex_state = 231, .external_lex_state = 2},
  [2265] = {.lex_state = 231, .external_lex_state = 2},
  [2266] = {.lex_state = 231, .external_lex_state = 2},
  [2267] = {.lex_state = 231, .external_lex_state = 2},
  [2268] = {.lex_state = 231, .external_lex_state = 2},
  [2269] = {.lex_state = 231, .external_lex_state = 2},
  [2270] = {.lex_state = 231, .external_lex_state = 2},
  [2271] = {.lex_state = 231, .external_lex_state = 2},
  [2272] = {.lex_state = 231, .external_lex_state = 2},
  [2273] = {.lex_state = 231, .external_lex_state = 2},
  [2274] = {.lex_state = 231, .external_lex_state = 2},
  [2275] = {.lex_state = 231, .external_lex_state = 2},
  [2276] = {.lex_state = 231, .external_lex_state = 2},
  [2277] = {.lex_state = 231, .external_lex_state = 2},
  [2278] = {.lex_state = 231, .external_lex_state = 2},
  [2279] = {.lex_state = 231, .external_lex_state = 2},
  [2280] = {.lex_state = 231, .external_lex_state = 2},
  [2281] = {.lex_state = 231, .external_lex_state = 2},
  [2282] = {.lex_state = 231, .external_lex_state = 2},
  [2283] = {.lex_state = 231, .external_lex_state = 2},
  [2284] = {.lex_state = 231, .external_lex_state = 2},
  [2285] = {.lex_state = 231, .external_lex_state = 2},
  [2286] = {.lex_state = 231, .external_lex_state = 2},
  [2287] = {.lex_state = 231, .external_lex_state = 2},
  [2288] = {.lex_state = 231, .external_lex_state = 2},
  [2289] = {.lex_state = 231, .external_lex_state = 2},
  [2290] = {.lex_state = 231, .external_lex_state = 2},
  [2291] = {.lex_state = 231, .external_lex_state = 2},
  [2292] = {.lex_state = 231, .external_lex_state = 2},
  [2293] = {.lex_state = 231, .external_lex_state = 2},
  [2294] = {.lex_state = 231, .external_lex_state = 2},
  [2295] = {.lex_state = 231, .external_lex_state = 2},
  [2296] = {.lex_state = 231, .external_lex_state = 2},
  [2297] = {.lex_state = 231, .external_lex_state = 2},
  [2298] = {.lex_state = 231, .external_lex_state = 2},
  [2299] = {.lex_state = 231, .external_lex_state = 2},
  [2300] = {.lex_state = 231, .external_lex_state = 2},
  [2301] = {.lex_state = 231, .external_lex_state = 2},
  [2302] = {.lex_state = 231, .external_lex_state = 2},
  [2303] = {.lex_state = 231, .external_lex_state = 2},
  [2304] = {.lex_state = 231, .external_lex_state = 2},
  [2305] = {.lex_state = 231, .external_lex_state = 2},
  [2306] = {.lex_state = 231, .external_lex_state = 2},
  [2307] = {.lex_state = 231, .external_lex_state = 2},
  [2308] = {.lex_state = 231, .external_lex_state = 2},
  [2309] = {.lex_state = 231, .external_lex_state = 2},
  [2310] = {.lex_state = 231, .external_lex_state = 2},
  [2311] = {.lex_state = 231, .external_lex_state = 2},
  [2312] = {.lex_state = 231, .external_lex_state = 2},
  [2313] = {.lex_state = 231, .external_lex_state = 2},
  [2314] = {.lex_state = 227, .external_lex_state = 8},
  [2315] = {.lex_state = 231, .external_lex_state = 2},
  [2316] = {.lex_state = 231, .external_lex_state = 2},
  [2317] = {.lex_state = 231, .external_lex_state = 2},
  [2318] = {.lex_state = 231, .external_lex_state = 2},
  [2319] = {.lex_state = 231, .external_lex_state = 2},
  [2320] = {.lex_state = 231, .external_lex_state = 2},
  [2321] = {.lex_state = 231, .external_lex_state = 2},
  [2322] = {.lex_state = 231, .external_lex_state = 2},
  [2323] = {.lex_state = 231, .external_lex_state = 2},
  [2324] = {.lex_state = 231, .external_lex_state = 2},
  [2325] = {.lex_state = 231, .external_lex_state = 2},
  [2326] = {.lex_state = 231, .external_lex_state = 2},
  [2327] = {.lex_state = 231, .external_lex_state = 2},
  [2328] = {.lex_state = 231, .external_lex_state = 2},
  [2329] = {.lex_state = 231, .external_lex_state = 2},
  [2330] = {.lex_state = 231, .external_lex_state = 2},
  [2331] = {.lex_state = 231, .external_lex_state = 2},
  [2332] = {.lex_state = 231, .external_lex_state = 2},
  [2333] = {.lex_state = 231, .external_lex_state = 2},
  [2334] = {.lex_state = 231, .external_lex_state = 2},
  [2335] = {.lex_state = 231, .external_lex_state = 2},
  [2336] = {.lex_state = 231, .external_lex_state = 2},
  [2337] = {.lex_state = 231, .external_lex_state = 2},
  [2338] = {.lex_state = 231, .external_lex_state = 2},
  [2339] = {.lex_state = 231, .external_lex_state = 2},
  [2340] = {.lex_state = 227, .external_lex_state = 8},
  [2341] = {.lex_state = 231, .external_lex_state = 2},
  [2342] = {.lex_state = 231, .external_lex_state = 2},
  [2343] = {.lex_state = 227, .external_lex_state = 2},
  [2344] = {.lex_state = 227, .external_lex_state = 2},
  [2345] = {.lex_state = 227, .external_lex_state = 2},
  [2346] = {.lex_state = 229, .external_lex_state = 2},
  [2347] = {.lex_state = 229, .external_lex_state = 2},
  [2348] = {.lex_state = 227, .external_lex_state = 2},
  [2349] = {.lex_state = 227, .external_lex_state = 2},
  [2350] = {.lex_state = 227, .external_lex_state = 2},
  [2351] = {.lex_state = 227, .external_lex_state = 2},
  [2352] = {.lex_state = 229, .external_lex_state = 2},
  [2353] = {.lex_state = 229, .external_lex_state = 2},
  [2354] = {.lex_state = 229, .external_lex_state = 2},
  [2355] = {.lex_state = 227, .external_lex_state = 2},
  [2356] = {.lex_state = 227, .external_lex_state = 2},
  [2357] = {.lex_state = 227, .external_lex_state = 8},
  [2358] = {.lex_state = 227, .external_lex_state = 8},
  [2359] = {.lex_state = 229, .external_lex_state = 2},
  [2360] = {.lex_state = 227, .external_lex_state = 2},
  [2361] = {.lex_state = 229, .external_lex_state = 8},
  [2362] = {.lex_state = 227, .external_lex_state = 2},
  [2363] = {.lex_state = 227, .external_lex_state = 2},
  [2364] = {.lex_state = 227, .external_lex_state = 2},
  [2365] = {.lex_state = 227, .external_lex_state = 2},
  [2366] = {.lex_state = 227, .external_lex_state = 8},
  [2367] = {.lex_state = 227, .external_lex_state = 2},
  [2368] = {.lex_state = 227, .external_lex_state = 2},
  [2369] = {.lex_state = 227, .external_lex_state = 2},
  [2370] = {.lex_state = 227, .external_lex_state = 2},
  [2371] = {.lex_state = 227, .external_lex_state = 2},
  [2372] = {.lex_state = 227, .external_lex_state = 2},
  [2373] = {.lex_state = 227, .external_lex_state = 8},
  [2374] = {.lex_state = 227, .external_lex_state = 2},
  [2375] = {.lex_state = 227, .external_lex_state = 2},
  [2376] = {.lex_state = 227, .external_lex_state = 8},
  [2377] = {.lex_state = 227, .external_lex_state = 2},
  [2378] = {.lex_state = 227, .external_lex_state = 2},
  [2379] = {.lex_state = 227, .external_lex_state = 2},
  [2380] = {.lex_state = 227, .external_lex_state = 2},
  [2381] = {.lex_state = 229, .external_lex_state = 8},
  [2382] = {.lex_state = 227, .external_lex_state = 8},
  [2383] = {.lex_state = 229, .external_lex_state = 8},
  [2384] = {.lex_state = 227, .external_lex_state = 2},
  [2385] = {.lex_state = 227, .external_lex_state = 2},
  [2386] = {.lex_state = 227, .external_lex_state = 8},
  [2387] = {.lex_state = 68, .external_lex_state = 2},
  [2388] = {.lex_state = 228, .external_lex_state = 3},
  [2389] = {.lex_state = 227, .external_lex_state = 8},
  [2390] = {.lex_state = 227, .external_lex_state = 8},
  [2391] = {.lex_state = 227, .external_lex_state = 2},
  [2392] = {.lex_state = 228, .external_lex_state = 3},
  [2393] = {.lex_state = 228, .external_lex_state = 3},
  [2394] = {.lex_state = 227, .external_lex_state = 8},
  [2395] = {.lex_state = 68, .external_lex_state = 2},
  [2396] = {.lex_state = 227, .external_lex_state = 2},
  [2397] = {.lex_state = 227, .external_lex_state = 2},
  [2398] = {.lex_state = 68, .external_lex_state = 2},
  [2399] = {.lex_state = 227, .external_lex_state = 2},
  [2400] = {.lex_state = 227, .external_lex_state = 2},
  [2401] = {.lex_state = 227, .external_lex_state = 2},
  [2402] = {.lex_state = 227, .external_lex_state = 2},
  [2403] = {.lex_state = 227, .external_lex_state = 2},
  [2404] = {.lex_state = 227, .external_lex_state = 2},
  [2405] = {.lex_state = 227, .external_lex_state = 2},
  [2406] = {.lex_state = 227, .external_lex_state = 8},
  [2407] = {.lex_state = 227, .external_lex_state = 2},
  [2408] = {.lex_state = 227, .external_lex_state = 8},
  [2409] = {.lex_state = 227, .external_lex_state = 2},
  [2410] = {.lex_state = 227, .external_lex_state = 8},
  [2411] = {.lex_state = 227, .external_lex_state = 2},
  [2412] = {.lex_state = 229, .external_lex_state = 8},
  [2413] = {.lex_state = 227, .external_lex_state = 8},
  [2414] = {.lex_state = 227, .external_lex_state = 2},
  [2415] = {.lex_state = 227, .external_lex_state = 2},
  [2416] = {.lex_state = 227, .external_lex_state = 8},
  [2417] = {.lex_state = 227, .external_lex_state = 8},
  [2418] = {.lex_state = 228, .external_lex_state = 3},
  [2419] = {.lex_state = 227, .external_lex_state = 8},
  [2420] = {.lex_state = 227, .external_lex_state = 2},
  [2421] = {.lex_state = 227, .external_lex_state = 8},
  [2422] = {.lex_state = 227, .external_lex_state = 2},
  [2423] = {.lex_state = 227, .external_lex_state = 8},
  [2424] = {.lex_state = 227, .external_lex_state = 8},
  [2425] = {.lex_state = 227, .external_lex_state = 8},
  [2426] = {.lex_state = 227, .external_lex_state = 2},
  [2427] = {.lex_state = 227, .external_lex_state = 8},
  [2428] = {.lex_state = 227, .external_lex_state = 8},
  [2429] = {.lex_state = 227, .external_lex_state = 8},
  [2430] = {.lex_state = 68, .external_lex_state = 2},
  [2431] = {.lex_state = 227, .external_lex_state = 2},
  [2432] = {.lex_state = 227, .external_lex_state = 8},
  [2433] = {.lex_state = 228, .external_lex_state = 3},
  [2434] = {.lex_state = 227, .external_lex_state = 8},
  [2435] = {.lex_state = 227, .external_lex_state = 8},
  [2436] = {.lex_state = 227, .external_lex_state = 8},
  [2437] = {.lex_state = 68, .external_lex_state = 2},
  [2438] = {.lex_state = 227, .external_lex_state = 8},
  [2439] = {.lex_state = 227, .external_lex_state = 8},
  [2440] = {.lex_state = 227, .external_lex_state = 8},
  [2441] = {.lex_state = 227, .external_lex_state = 8},
  [2442] = {.lex_state = 228, .external_lex_state = 3},
  [2443] = {.lex_state = 227, .external_lex_state = 8},
  [2444] = {.lex_state = 227, .external_lex_state = 8},
  [2445] = {.lex_state = 68, .external_lex_state = 2},
  [2446] = {.lex_state = 227, .external_lex_state = 8},
  [2447] = {.lex_state = 68, .external_lex_state = 2},
  [2448] = {.lex_state = 227, .external_lex_state = 8},
  [2449] = {.lex_state = 227, .external_lex_state = 8},
  [2450] = {.lex_state = 228, .external_lex_state = 3},
  [2451] = {.lex_state = 227, .external_lex_state = 8},
  [2452] = {.lex_state = 227, .external_lex_state = 8},
  [2453] = {.lex_state = 227, .external_lex_state = 8},
  [2454] = {.lex_state = 227, .external_lex_state = 8},
  [2455] = {.lex_state = 227, .external_lex_state = 8},
  [2456] = {.lex_state = 227, .external_lex_state = 8},
  [2457] = {.lex_state = 227, .external_lex_state = 8},
  [2458] = {.lex_state = 228, .external_lex_state = 2},
  [2459] = {.lex_state = 228, .external_lex_state = 3},
  [2460] = {.lex_state = 228, .external_lex_state = 2},
  [2461] = {.lex_state = 68, .external_lex_state = 2},
  [2462] = {.lex_state = 68, .external_lex_state = 2},
  [2463] = {.lex_state = 228, .external_lex_state = 3},
  [2464] = {.lex_state = 228, .external_lex_state = 3},
  [2465] = {.lex_state = 68, .external_lex_state = 2},
  [2466] = {.lex_state = 228, .external_lex_state = 3},
  [2467] = {.lex_state = 228, .external_lex_state = 3},
  [2468] = {.lex_state = 228, .external_lex_state = 3},
  [2469] = {.lex_state = 68, .external_lex_state = 2},
  [2470] = {.lex_state = 68, .external_lex_state = 2},
  [2471] = {.lex_state = 68, .external_lex_state = 2},
  [2472] = {.lex_state = 228, .external_lex_state = 2},
  [2473] = {.lex_state = 228, .external_lex_state = 2},
  [2474] = {.lex_state = 228, .external_lex_state = 3},
  [2475] = {.lex_state = 228, .external_lex_state = 3},
  [2476] = {.lex_state = 68, .external_lex_state = 2},
  [2477] = {.lex_state = 68, .external_lex_state = 2},
  [2478] = {.lex_state = 68, .external_lex_state = 2},
  [2479] = {.lex_state = 228, .external_lex_state = 3},
  [2480] = {.lex_state = 68, .external_lex_state = 2},
  [2481] = {.lex_state = 228, .external_lex_state = 3},
  [2482] = {.lex_state = 228, .external_lex_state = 3},
  [2483] = {.lex_state = 228, .external_lex_state = 3},
  [2484] = {.lex_state = 228, .external_lex_state = 3},
  [2485] = {.lex_state = 68, .external_lex_state = 2},
  [2486] = {.lex_state = 68, .external_lex_state = 2},
  [2487] = {.lex_state = 228, .external_lex_state = 3},
  [2488] = {.lex_state = 228, .external_lex_state = 2},
  [2489] = {.lex_state = 228, .external_lex_state = 3},
  [2490] = {.lex_state = 68, .external_lex_state = 2},
  [2491] = {.lex_state = 228, .external_lex_state = 2},
  [2492] = {.lex_state = 228, .external_lex_state = 3},
  [2493] = {.lex_state = 228, .external_lex_state = 3},
  [2494] = {.lex_state = 228, .external_lex_state = 2},
  [2495] = {.lex_state = 68, .external_lex_state = 2},
  [2496] = {.lex_state = 68, .external_lex_state = 2},
  [2497] = {.lex_state = 68, .external_lex_state = 2},
  [2498] = {.lex_state = 68, .external_lex_state = 2},
  [2499] = {.lex_state = 228, .external_lex_state = 2},
  [2500] = {.lex_state = 228, .external_lex_state = 2},
  [2501] = {.lex_state = 228, .external_lex_state = 2},
  [2502] = {.lex_state = 228, .external_lex_state = 2},
  [2503] = {.lex_state = 228, .external_lex_state = 2},
  [2504] = {.lex_state = 228, .external_lex_state = 2},
  [2505] = {.lex_state = 228, .external_lex_state = 2},
  [2506] = {.lex_state = 228, .external_lex_state = 2},
  [2507] = {.lex_state = 228, .external_lex_state = 2},
  [2508] = {.lex_state = 228, .external_lex_state = 2},
  [2509] = {.lex_state = 228, .external_lex_state = 2},
  [2510] = {.lex_state = 228, .external_lex_state = 2},
  [2511] = {.lex_state = 228, .external_lex_state = 2},
  [2512] = {.lex_state = 228, .external_lex_state = 2},
  [2513] = {.lex_state = 228, .external_lex_state = 2},
  [2514] = {.lex_state = 228, .external_lex_state = 2},
  [2515] = {.lex_state = 228, .external_lex_state = 2},
  [2516] = {.lex_state = 227, .external_lex_state = 2},
  [2517] = {.lex_state = 227, .external_lex_state = 2},
  [2518] = {.lex_state = 227, .external_lex_state = 2},
  [2519] = {.lex_state = 227, .external_lex_state = 2},
  [2520] = {.lex_state = 227, .external_lex_state = 2},
  [2521] = {.lex_state = 227, .external_lex_state = 2},
  [2522] = {.lex_state = 227, .external_lex_state = 2},
  [2523] = {.lex_state = 227, .external_lex_state = 2},
  [2524] = {.lex_state = 227, .external_lex_state = 2},
  [2525] = {.lex_state = 227, .external_lex_state = 2},
  [2526] = {.lex_state = 227, .external_lex_state = 2},
  [2527] = {.lex_state = 227, .external_lex_state = 2},
  [2528] = {.lex_state = 73, .external_lex_state = 2},
  [2529] = {.lex_state = 227, .external_lex_state = 2},
  [2530] = {.lex_state = 73, .external_lex_state = 2},
  [2531] = {.lex_state = 227, .external_lex_state = 2},
  [2532] = {.lex_state = 227, .external_lex_state = 2},
  [2533] = {.lex_state = 231, .external_lex_state = 2},
  [2534] = {.lex_state = 231, .external_lex_state = 2},
  [2535] = {.lex_state = 231, .external_lex_state = 2},
  [2536] = {.lex_state = 99, .external_lex_state = 2},
  [2537] = {.lex_state = 99, .external_lex_state = 2},
  [2538] = {.lex_state = 231, .external_lex_state = 2},
  [2539] = {.lex_state = 231, .external_lex_state = 2},
  [2540] = {.lex_state = 231, .external_lex_state = 2},
  [2541] = {.lex_state = 231, .external_lex_state = 2},
  [2542] = {.lex_state = 231, .external_lex_state = 2},
  [2543] = {.lex_state = 231, .external_lex_state = 2},
  [2544] = {.lex_state = 231, .external_lex_state = 2},
  [2545] = {.lex_state = 231, .external_lex_state = 2},
  [2546] = {.lex_state = 231, .external_lex_state = 2},
  [2547] = {.lex_state = 231, .external_lex_state = 2},
  [2548] = {.lex_state = 231, .external_lex_state = 2},
  [2549] = {.lex_state = 231, .external_lex_state = 2},
  [2550] = {.lex_state = 231, .external_lex_state = 2},
  [2551] = {.lex_state = 231, .external_lex_state = 2},
  [2552] = {.lex_state = 231, .external_lex_state = 2},
  [2553] = {.lex_state = 81, .external_lex_state = 2},
  [2554] = {.lex_state = 81, .external_lex_state = 2},
  [2555] = {.lex_state = 81, .external_lex_state = 2},
  [2556] = {.lex_state = 81, .external_lex_state = 2},
  [2557] = {.lex_state = 80, .external_lex_state = 2},
  [2558] = {.lex_state = 89, .external_lex_state = 2},
  [2559] = {.lex_state = 89, .external_lex_state = 2},
  [2560] = {.lex_state = 89, .external_lex_state = 2},
  [2561] = {.lex_state = 89, .external_lex_state = 2},
  [2562] = {.lex_state = 96, .external_lex_state = 2},
  [2563] = {.lex_state = 96, .external_lex_state = 2},
  [2564] = {.lex_state = 96, .external_lex_state = 2},
  [2565] = {.lex_state = 87, .external_lex_state = 2},
  [2566] = {.lex_state = 96, .external_lex_state = 2},
  [2567] = {.lex_state = 90, .external_lex_state = 2},
  [2568] = {.lex_state = 95, .external_lex_state = 2},
  [2569] = {.lex_state = 90, .external_lex_state = 2},
  [2570] = {.lex_state = 90, .external_lex_state = 2},
  [2571] = {.lex_state = 90, .external_lex_state = 2},
  [2572] = {.lex_state = 88, .external_lex_state = 2},
  [2573] = {.lex_state = 231, .external_lex_state = 2},
  [2574] = {.lex_state = 101, .external_lex_state = 2},
  [2575] = {.lex_state = 101, .external_lex_state = 2},
  [2576] = {.lex_state = 101, .external_lex_state = 2},
  [2577] = {.lex_state = 230, .external_lex_state = 2},
  [2578] = {.lex_state = 79, .external_lex_state = 2},
  [2579] = {.lex_state = 79, .external_lex_state = 2},
  [2580] = {.lex_state = 83, .external_lex_state = 2},
  [2581] = {.lex_state = 83, .external_lex_state = 2},
  [2582] = {.lex_state = 83, .external_lex_state = 2},
  [2583] = {.lex_state = 230, .external_lex_state = 2},
  [2584] = {.lex_state = 83, .external_lex_state = 2},
  [2585] = {.lex_state = 230, .external_lex_state = 2},
  [2586] = {.lex_state = 79, .external_lex_state = 2},
  [2587] = {.lex_state = 79, .external_lex_state = 2},
  [2588] = {.lex_state = 79, .external_lex_state = 2},
  [2589] = {.lex_state = 101, .external_lex_state = 2},
  [2590] = {.lex_state = 83, .external_lex_state = 2},
  [2591] = {.lex_state = 79, .external_lex_state = 2},
  [2592] = {.lex_state = 83, .external_lex_state = 2},
  [2593] = {.lex_state = 79, .external_lex_state = 2},
  [2594] = {.lex_state = 230, .external_lex_state = 2},
  [2595] = {.lex_state = 100, .external_lex_state = 2},
  [2596] = {.lex_state = 83, .external_lex_state = 2},
  [2597] = {.lex_state = 79, .external_lex_state = 2},
  [2598] = {.lex_state = 79, .external_lex_state = 2},
  [2599] = {.lex_state = 83, .external_lex_state = 2},
  [2600] = {.lex_state = 83, .external_lex_state = 2},
  [2601] = {.lex_state = 230, .external_lex_state = 2},
  [2602] = {.lex_state = 230, .external_lex_state = 2},
  [2603] = {.lex_state = 230, .external_lex_state = 2},
  [2604] = {.lex_state = 230, .external_lex_state = 2},
  [2605] = {.lex_state = 230, .external_lex_state = 2},
  [2606] = {.lex_state = 230, .external_lex_state = 2},
  [2607] = {.lex_state = 230, .external_lex_state = 2},
  [2608] = {.lex_state = 230, .external_lex_state = 2},
  [2609] = {.lex_state = 230, .external_lex_state = 2},
  [2610] = {.lex_state = 83, .external_lex_state = 2},
  [2611] = {.lex_state = 230, .external_lex_state = 2},
  [2612] = {.lex_state = 230, .external_lex_state = 2},
  [2613] = {.lex_state = 230, .external_lex_state = 2},
  [2614] = {.lex_state = 230, .external_lex_state = 2},
  [2615] = {.lex_state = 230, .external_lex_state = 2},
  [2616] = {.lex_state = 230, .external_lex_state = 2},
  [2617] = {.lex_state = 83, .external_lex_state = 2},
  [2618] = {.lex_state = 79, .external_lex_state = 2},
  [2619] = {.lex_state = 230, .external_lex_state = 2},
  [2620] = {.lex_state = 230, .external_lex_state = 2},
  [2621] = {.lex_state = 230, .external_lex_state = 2},
  [2622] = {.lex_state = 79, .external_lex_state = 2},
  [2623] = {.lex_state = 230, .external_lex_state = 2},
  [2624] = {.lex_state = 83, .external_lex_state = 2},
  [2625] = {.lex_state = 230, .external_lex_state = 2},
  [2626] = {.lex_state = 230, .external_lex_state = 2},
  [2627] = {.lex_state = 83, .external_lex_state = 2},
  [2628] = {.lex_state = 230, .external_lex_state = 2},
  [2629] = {.lex_state = 230, .external_lex_state = 2},
  [2630] = {.lex_state = 230, .external_lex_state = 2},
  [2631] = {.lex_state = 79, .external_lex_state = 2},
  [2632] = {.lex_state = 230, .external_lex_state = 2},
  [2633] = {.lex_state = 83, .external_lex_state = 2},
  [2634] = {.lex_state = 230, .external_lex_state = 2},
  [2635] = {.lex_state = 230, .external_lex_state = 2},
  [2636] = {.lex_state = 230, .external_lex_state = 2},
  [2637] = {.lex_state = 230, .external_lex_state = 2},
  [2638] = {.lex_state = 79, .external_lex_state = 2},
  [2639] = {.lex_state = 83, .external_lex_state = 2},
  [2640] = {.lex_state = 79, .external_lex_state = 2},
  [2641] = {.lex_state = 230, .external_lex_state = 2},
  [2642] = {.lex_state = 230, .external_lex_state = 2},
  [2643] = {.lex_state = 230, .external_lex_state = 2},
  [2644] = {.lex_state = 230, .external_lex_state = 2},
  [2645] = {.lex_state = 79, .external_lex_state = 2},
  [2646] = {.lex_state = 79, .external_lex_state = 2},
  [2647] = {.lex_state = 79, .external_lex_state = 2},
  [2648] = {.lex_state = 83, .external_lex_state = 2},
  [2649] = {.lex_state = 83, .external_lex_state = 2},
  [2650] = {.lex_state = 79, .external_lex_state = 2},
  [2651] = {.lex_state = 83, .external_lex_state = 2},
  [2652] = {.lex_state = 79, .external_lex_state = 2},
  [2653] = {.lex_state = 79, .external_lex_state = 2},
  [2654] = {.lex_state = 83, .external_lex_state = 2},
  [2655] = {.lex_state = 83, .external_lex_state = 2},
  [2656] = {.lex_state = 79, .external_lex_state = 2},
  [2657] = {.lex_state = 79, .external_lex_state = 2},
  [2658] = {.lex_state = 79, .external_lex_state = 2},
  [2659] = {.lex_state = 83, .external_lex_state = 2},
  [2660] = {.lex_state = 79, .external_lex_state = 2},
  [2661] = {.lex_state = 83, .external_lex_state = 2},
  [2662] = {.lex_state = 83, .external_lex_state = 2},
  [2663] = {.lex_state = 83, .external_lex_state = 2},
  [2664] = {.lex_state = 83, .external_lex_state = 2},
  [2665] = {.lex_state = 79, .external_lex_state = 2},
  [2666] = {.lex_state = 79, .external_lex_state = 2},
  [2667] = {.lex_state = 83, .external_lex_state = 2},
  [2668] = {.lex_state = 93, .external_lex_state = 2},
  [2669] = {.lex_state = 84, .external_lex_state = 2},
  [2670] = {.lex_state = 84, .external_lex_state = 2},
  [2671] = {.lex_state = 93, .external_lex_state = 2},
  [2672] = {.lex_state = 79, .external_lex_state = 2},
  [2673] = {.lex_state = 84, .external_lex_state = 2},
  [2674] = {.lex_state = 94, .external_lex_state = 2},
  [2675] = {.lex_state = 94, .external_lex_state = 2},
  [2676] = {.lex_state = 109, .external_lex_state = 2},
  [2677] = {.lex_state = 109, .external_lex_state = 2},
  [2678] = {.lex_state = 94, .external_lex_state = 2},
  [2679] = {.lex_state = 93, .external_lex_state = 2},
  [2680] = {.lex_state = 94, .external_lex_state = 2},
  [2681] = {.lex_state = 94, .external_lex_state = 2},
  [2682] = {.lex_state = 94, .external_lex_state = 2},
  [2683] = {.lex_state = 230, .external_lex_state = 2},
  [2684] = {.lex_state = 94, .external_lex_state = 2},
  [2685] = {.lex_state = 84, .external_lex_state = 2},
  [2686] = {.lex_state = 94, .external_lex_state = 2},
  [2687] = {.lex_state = 93, .external_lex_state = 2},
  [2688] = {.lex_state = 94, .external_lex_state = 2},
  [2689] = {.lex_state = 94, .external_lex_state = 2},
  [2690] = {.lex_state = 109, .external_lex_state = 2},
  [2691] = {.lex_state = 84, .external_lex_state = 2},
  [2692] = {.lex_state = 230, .external_lex_state = 2},
  [2693] = {.lex_state = 230, .external_lex_state = 2},
  [2694] = {.lex_state = 230, .external_lex_state = 2},
  [2695] = {.lex_state = 230, .external_lex_state = 2},
  [2696] = {.lex_state = 84, .external_lex_state = 2},
  [2697] = {.lex_state = 230, .external_lex_state = 2},
  [2698] = {.lex_state = 86, .external_lex_state = 2},
  [2699] = {.lex_state = 84, .external_lex_state = 2},
  [2700] = {.lex_state = 84, .external_lex_state = 2},
  [2701] = {.lex_state = 84, .external_lex_state = 2},
  [2702] = {.lex_state = 230, .external_lex_state = 2},
  [2703] = {.lex_state = 84, .external_lex_state = 2},
  [2704] = {.lex_state = 84, .external_lex_state = 2},
  [2705] = {.lex_state = 86, .external_lex_state = 2},
  [2706] = {.lex_state = 107, .external_lex_state = 2},
  [2707] = {.lex_state = 86, .external_lex_state = 2},
  [2708] = {.lex_state = 84, .external_lex_state = 2},
  [2709] = {.lex_state = 84, .external_lex_state = 2},
  [2710] = {.lex_state = 84, .external_lex_state = 2},
  [2711] = {.lex_state = 230, .external_lex_state = 2},
  [2712] = {.lex_state = 84, .external_lex_state = 2},
  [2713] = {.lex_state = 230, .external_lex_state = 2},
  [2714] = {.lex_state = 84, .external_lex_state = 2},
  [2715] = {.lex_state = 107, .external_lex_state = 2},
  [2716] = {.lex_state = 84, .external_lex_state = 2},
  [2717] = {.lex_state = 84, .external_lex_state = 2},
  [2718] = {.lex_state = 84, .external_lex_state = 2},
  [2719] = {.lex_state = 84, .external_lex_state = 2},
  [2720] = {.lex_state = 84, .external_lex_state = 2},
  [2721] = {.lex_state = 107, .external_lex_state = 2},
  [2722] = {.lex_state = 84, .external_lex_state = 2},
  [2723] = {.lex_state = 230, .external_lex_state = 2},
  [2724] = {.lex_state = 230, .external_lex_state = 2},
  [2725] = {.lex_state = 84, .external_lex_state = 2},
  [2726] = {.lex_state = 84, .external_lex_state = 2},
  [2727] = {.lex_state = 84, .external_lex_state = 2},
  [2728] = {.lex_state = 84, .external_lex_state = 2},
  [2729] = {.lex_state = 84, .external_lex_state = 2},
  [2730] = {.lex_state = 107, .external_lex_state = 2},
  [2731] = {.lex_state = 84, .external_lex_state = 2},
  [2732] = {.lex_state = 84, .external_lex_state = 2},
  [2733] = {.lex_state = 84, .external_lex_state = 2},
  [2734] = {.lex_state = 84, .external_lex_state = 2},
  [2735] = {.lex_state = 109, .external_lex_state = 2},
  [2736] = {.lex_state = 107, .external_lex_state = 2},
  [2737] = {.lex_state = 230, .external_lex_state = 2},
  [2738] = {.lex_state = 84, .external_lex_state = 2},
  [2739] = {.lex_state = 84, .external_lex_state = 2},
  [2740] = {.lex_state = 84, .external_lex_state = 2},
  [2741] = {.lex_state = 84, .external_lex_state = 2},
  [2742] = {.lex_state = 230, .external_lex_state = 2},
  [2743] = {.lex_state = 230, .external_lex_state = 2},
  [2744] = {.lex_state = 230, .external_lex_state = 2},
  [2745] = {.lex_state = 230, .external_lex_state = 2},
  [2746] = {.lex_state = 84, .external_lex_state = 2},
  [2747] = {.lex_state = 230, .external_lex_state = 2},
  [2748] = {.lex_state = 230, .external_lex_state = 2},
  [2749] = {.lex_state = 84, .external_lex_state = 2},
  [2750] = {.lex_state = 93, .external_lex_state = 2},
  [2751] = {.lex_state = 230, .external_lex_state = 2},
  [2752] = {.lex_state = 93, .external_lex_state = 2},
  [2753] = {.lex_state = 230, .external_lex_state = 2},
  [2754] = {.lex_state = 93, .external_lex_state = 2},
  [2755] = {.lex_state = 93, .external_lex_state = 2},
  [2756] = {.lex_state = 93, .external_lex_state = 2},
  [2757] = {.lex_state = 230, .external_lex_state = 2},
  [2758] = {.lex_state = 93, .external_lex_state = 2},
  [2759] = {.lex_state = 93, .external_lex_state = 2},
  [2760] = {.lex_state = 93, .external_lex_state = 2},
  [2761] = {.lex_state = 230, .external_lex_state = 2},
  [2762] = {.lex_state = 93, .external_lex_state = 2},
  [2763] = {.lex_state = 93, .external_lex_state = 2},
  [2764] = {.lex_state = 93, .external_lex_state = 2},
  [2765] = {.lex_state = 93, .external_lex_state = 2},
  [2766] = {.lex_state = 93, .external_lex_state = 2},
  [2767] = {.lex_state = 93, .external_lex_state = 2},
  [2768] = {.lex_state = 93, .external_lex_state = 2},
  [2769] = {.lex_state = 93, .external_lex_state = 2},
  [2770] = {.lex_state = 93, .external_lex_state = 2},
  [2771] = {.lex_state = 230, .external_lex_state = 2},
  [2772] = {.lex_state = 93, .external_lex_state = 2},
  [2773] = {.lex_state = 93, .external_lex_state = 2},
  [2774] = {.lex_state = 93, .external_lex_state = 2},
  [2775] = {.lex_state = 93, .external_lex_state = 2},
  [2776] = {.lex_state = 93, .external_lex_state = 2},
  [2777] = {.lex_state = 230, .external_lex_state = 2},
  [2778] = {.lex_state = 230, .external_lex_state = 2},
  [2779] = {.lex_state = 230, .external_lex_state = 2},
  [2780] = {.lex_state = 230, .external_lex_state = 2},
  [2781] = {.lex_state = 93, .external_lex_state = 2},
  [2782] = {.lex_state = 230, .external_lex_state = 2},
  [2783] = {.lex_state = 230, .external_lex_state = 2},
  [2784] = {.lex_state = 230, .external_lex_state = 2},
  [2785] = {.lex_state = 230, .external_lex_state = 2},
  [2786] = {.lex_state = 230, .external_lex_state = 2},
  [2787] = {.lex_state = 230, .external_lex_state = 2},
  [2788] = {.lex_state = 230, .external_lex_state = 2},
  [2789] = {.lex_state = 230, .external_lex_state = 2},
  [2790] = {.lex_state = 230, .external_lex_state = 2},
  [2791] = {.lex_state = 230, .external_lex_state = 2},
  [2792] = {.lex_state = 230, .external_lex_state = 2},
  [2793] = {.lex_state = 230, .external_lex_state = 2},
  [2794] = {.lex_state = 230, .external_lex_state = 2},
  [2795] = {.lex_state = 230, .external_lex_state = 2},
  [2796] = {.lex_state = 230, .external_lex_state = 2},
  [2797] = {.lex_state = 230, .external_lex_state = 2},
  [2798] = {.lex_state = 93, .external_lex_state = 2},
  [2799] = {.lex_state = 230, .external_lex_state = 2},
  [2800] = {.lex_state = 93, .external_lex_state = 2},
  [2801] = {.lex_state = 230, .external_lex_state = 2},
  [2802] = {.lex_state = 93, .external_lex_state = 2},
  [2803] = {.lex_state = 93, .external_lex_state = 2},
  [2804] = {.lex_state = 93, .external_lex_state = 2},
  [2805] = {.lex_state = 93, .external_lex_state = 2},
  [2806] = {.lex_state = 93, .external_lex_state = 2},
  [2807] = {.lex_state = 230, .external_lex_state = 2},
  [2808] = {.lex_state = 230, .external_lex_state = 2},
  [2809] = {.lex_state = 93, .external_lex_state = 2},
  [2810] = {.lex_state = 230, .external_lex_state = 2},
  [2811] = {.lex_state = 86, .external_lex_state = 2},
  [2812] = {.lex_state = 230, .external_lex_state = 2},
  [2813] = {.lex_state = 93, .external_lex_state = 2},
  [2814] = {.lex_state = 93, .external_lex_state = 2},
  [2815] = {.lex_state = 107, .external_lex_state = 2},
  [2816] = {.lex_state = 107, .external_lex_state = 2},
  [2817] = {.lex_state = 86, .external_lex_state = 2},
  [2818] = {.lex_state = 107, .external_lex_state = 2},
  [2819] = {.lex_state = 107, .external_lex_state = 2},
  [2820] = {.lex_state = 107, .external_lex_state = 2},
  [2821] = {.lex_state = 109, .external_lex_state = 2},
  [2822] = {.lex_state = 73, .external_lex_state = 2},
  [2823] = {.lex_state = 73, .external_lex_state = 2},
  [2824] = {.lex_state = 107, .external_lex_state = 2},
  [2825] = {.lex_state = 107, .external_lex_state = 2},
  [2826] = {.lex_state = 107, .external_lex_state = 2},
  [2827] = {.lex_state = 86, .external_lex_state = 2},
  [2828] = {.lex_state = 86, .external_lex_state = 2},
  [2829] = {.lex_state = 86, .external_lex_state = 2},
  [2830] = {.lex_state = 86, .external_lex_state = 2},
  [2831] = {.lex_state = 86, .external_lex_state = 2},
  [2832] = {.lex_state = 86, .external_lex_state = 2},
  [2833] = {.lex_state = 86, .external_lex_state = 2},
  [2834] = {.lex_state = 86, .external_lex_state = 2},
  [2835] = {.lex_state = 86, .external_lex_state = 2},
  [2836] = {.lex_state = 86, .external_lex_state = 2},
  [2837] = {.lex_state = 86, .external_lex_state = 2},
  [2838] = {.lex_state = 86, .external_lex_state = 2},
  [2839] = {.lex_state = 107, .external_lex_state = 2},
  [2840] = {.lex_state = 86, .external_lex_state = 2},
  [2841] = {.lex_state = 86, .external_lex_state = 2},
  [2842] = {.lex_state = 86, .external_lex_state = 2},
  [2843] = {.lex_state = 86, .external_lex_state = 2},
  [2844] = {.lex_state = 86, .external_lex_state = 2},
  [2845] = {.lex_state = 86, .external_lex_state = 2},
  [2846] = {.lex_state = 86, .external_lex_state = 2},
  [2847] = {.lex_state = 86, .external_lex_state = 2},
  [2848] = {.lex_state = 86, .external_lex_state = 2},
  [2849] = {.lex_state = 86, .external_lex_state = 2},
  [2850] = {.lex_state = 86, .external_lex_state = 2},
  [2851] = {.lex_state = 86, .external_lex_state = 2},
  [2852] = {.lex_state = 86, .external_lex_state = 2},
  [2853] = {.lex_state = 86, .external_lex_state = 2},
  [2854] = {.lex_state = 86, .external_lex_state = 2},
  [2855] = {.lex_state = 86, .external_lex_state = 2},
  [2856] = {.lex_state = 86, .external_lex_state = 2},
  [2857] = {.lex_state = 86, .external_lex_state = 2},
  [2858] = {.lex_state = 86, .external_lex_state = 2},
  [2859] = {.lex_state = 86, .external_lex_state = 2},
  [2860] = {.lex_state = 86, .external_lex_state = 2},
  [2861] = {.lex_state = 86, .external_lex_state = 2},
  [2862] = {.lex_state = 86, .external_lex_state = 2},
  [2863] = {.lex_state = 86, .external_lex_state = 2},
  [2864] = {.lex_state = 107, .external_lex_state = 2},
  [2865] = {.lex_state = 86, .external_lex_state = 2},
  [2866] = {.lex_state = 86, .external_lex_state = 2},
  [2867] = {.lex_state = 86, .external_lex_state = 2},
  [2868] = {.lex_state = 86, .external_lex_state = 2},
  [2869] = {.lex_state = 86, .external_lex_state = 2},
  [2870] = {.lex_state = 86, .external_lex_state = 2},
  [2871] = {.lex_state = 86, .external_lex_state = 2},
  [2872] = {.lex_state = 86, .external_lex_state = 2},
  [2873] = {.lex_state = 86, .external_lex_state = 2},
  [2874] = {.lex_state = 86, .external_lex_state = 2},
  [2875] = {.lex_state = 86, .external_lex_state = 2},
  [2876] = {.lex_state = 107, .external_lex_state = 2},
  [2877] = {.lex_state = 86, .external_lex_state = 2},
  [2878] = {.lex_state = 86, .external_lex_state = 2},
  [2879] = {.lex_state = 107, .external_lex_state = 2},
  [2880] = {.lex_state = 86, .external_lex_state = 2},
  [2881] = {.lex_state = 86, .external_lex_state = 2},
  [2882] = {.lex_state = 86, .external_lex_state = 2},
  [2883] = {.lex_state = 107, .external_lex_state = 2},
  [2884] = {.lex_state = 86, .external_lex_state = 2},
  [2885] = {.lex_state = 86, .external_lex_state = 2},
  [2886] = {.lex_state = 86, .external_lex_state = 2},
  [2887] = {.lex_state = 86, .external_lex_state = 2},
  [2888] = {.lex_state = 86, .external_lex_state = 2},
  [2889] = {.lex_state = 86, .external_lex_state = 2},
  [2890] = {.lex_state = 86, .external_lex_state = 2},
  [2891] = {.lex_state = 86, .external_lex_state = 2},
  [2892] = {.lex_state = 86, .external_lex_state = 2},
  [2893] = {.lex_state = 86, .external_lex_state = 2},
  [2894] = {.lex_state = 86, .external_lex_state = 2},
  [2895] = {.lex_state = 86, .external_lex_state = 2},
  [2896] = {.lex_state = 86, .external_lex_state = 2},
  [2897] = {.lex_state = 86, .external_lex_state = 2},
  [2898] = {.lex_state = 86, .external_lex_state = 2},
  [2899] = {.lex_state = 86, .external_lex_state = 2},
  [2900] = {.lex_state = 86, .external_lex_state = 2},
  [2901] = {.lex_state = 86, .external_lex_state = 2},
  [2902] = {.lex_state = 86, .external_lex_state = 2},
  [2903] = {.lex_state = 73, .external_lex_state = 2},
  [2904] = {.lex_state = 86, .external_lex_state = 2},
  [2905] = {.lex_state = 86, .external_lex_state = 2},
  [2906] = {.lex_state = 86, .external_lex_state = 2},
  [2907] = {.lex_state = 86, .external_lex_state = 2},
  [2908] = {.lex_state = 86, .external_lex_state = 2},
  [2909] = {.lex_state = 86, .external_lex_state = 2},
  [2910] = {.lex_state = 86, .external_lex_state = 2},
  [2911] = {.lex_state = 86, .external_lex_state = 2},
  [2912] = {.lex_state = 86, .external_lex_state = 2},
  [2913] = {.lex_state = 86, .external_lex_state = 2},
  [2914] = {.lex_state = 231, .external_lex_state = 2},
  [2915] = {.lex_state = 231, .external_lex_state = 2},
  [2916] = {.lex_state = 107, .external_lex_state = 2},
  [2917] = {.lex_state = 231, .external_lex_state = 2},
  [2918] = {.lex_state = 231, .external_lex_state = 2},
  [2919] = {.lex_state = 107, .external_lex_state = 2},
  [2920] = {.lex_state = 107, .external_lex_state = 2},
  [2921] = {.lex_state = 231, .external_lex_state = 2},
  [2922] = {.lex_state = 231, .external_lex_state = 2},
  [2923] = {.lex_state = 99, .external_lex_state = 2},
  [2924] = {.lex_state = 99, .external_lex_state = 2},
  [2925] = {.lex_state = 99, .external_lex_state = 2},
  [2926] = {.lex_state = 231, .external_lex_state = 2},
  [2927] = {.lex_state = 98, .external_lex_state = 2},
  [2928] = {.lex_state = 99, .external_lex_state = 2},
  [2929] = {.lex_state = 99, .external_lex_state = 2},
  [2930] = {.lex_state = 231, .external_lex_state = 8},
  [2931] = {.lex_state = 99, .external_lex_state = 2},
  [2932] = {.lex_state = 107, .external_lex_state = 2},
  [2933] = {.lex_state = 99, .external_lex_state = 2},
  [2934] = {.lex_state = 231, .external_lex_state = 8},
  [2935] = {.lex_state = 231, .external_lex_state = 8},
  [2936] = {.lex_state = 99, .external_lex_state = 2},
  [2937] = {.lex_state = 231, .external_lex_state = 8},
  [2938] = {.lex_state = 107, .external_lex_state = 2},
  [2939] = {.lex_state = 107, .external_lex_state = 2},
  [2940] = {.lex_state = 107, .external_lex_state = 8},
  [2941] = {.lex_state = 99, .external_lex_state = 2},
  [2942] = {.lex_state = 99, .external_lex_state = 2},
  [2943] = {.lex_state = 107, .external_lex_state = 2},
  [2944] = {.lex_state = 231, .external_lex_state = 2},
  [2945] = {.lex_state = 107, .external_lex_state = 2},
  [2946] = {.lex_state = 107, .external_lex_state = 2},
  [2947] = {.lex_state = 107, .external_lex_state = 2},
  [2948] = {.lex_state = 107, .external_lex_state = 2},
  [2949] = {.lex_state = 231, .external_lex_state = 2},
  [2950] = {.lex_state = 99, .external_lex_state = 2},
  [2951] = {.lex_state = 99, .external_lex_state = 2},
  [2952] = {.lex_state = 231, .external_lex_state = 2},
  [2953] = {.lex_state = 107, .external_lex_state = 2},
  [2954] = {.lex_state = 107, .external_lex_state = 2},
  [2955] = {.lex_state = 107, .external_lex_state = 2},
  [2956] = {.lex_state = 107, .external_lex_state = 2},
  [2957] = {.lex_state = 99, .external_lex_state = 2},
  [2958] = {.lex_state = 107, .external_lex_state = 2},
  [2959] = {.lex_state = 107, .external_lex_state = 2},
  [2960] = {.lex_state = 99, .external_lex_state = 2},
  [2961] = {.lex_state = 99, .external_lex_state = 2},
  [2962] = {.lex_state = 99, .external_lex_state = 2},
  [2963] = {.lex_state = 99, .external_lex_state = 2},
  [2964] = {.lex_state = 99, .external_lex_state = 2},
  [2965] = {.lex_state = 99, .external_lex_state = 2},
  [2966] = {.lex_state = 231, .external_lex_state = 2},
  [2967] = {.lex_state = 99, .external_lex_state = 2},
  [2968] = {.lex_state = 99, .external_lex_state = 2},
  [2969] = {.lex_state = 99, .external_lex_state = 2},
  [2970] = {.lex_state = 99, .external_lex_state = 2},
  [2971] = {.lex_state = 107, .external_lex_state = 2},
  [2972] = {.lex_state = 99, .external_lex_state = 2},
  [2973] = {.lex_state = 99, .external_lex_state = 2},
  [2974] = {.lex_state = 107, .external_lex_state = 2},
  [2975] = {.lex_state = 99, .external_lex_state = 2},
  [2976] = {.lex_state = 107, .external_lex_state = 2},
  [2977] = {.lex_state = 99, .external_lex_state = 2},
  [2978] = {.lex_state = 99, .external_lex_state = 2},
  [2979] = {.lex_state = 99, .external_lex_state = 2},
  [2980] = {.lex_state = 99, .external_lex_state = 2},
  [2981] = {.lex_state = 107, .external_lex_state = 2},
  [2982] = {.lex_state = 107, .external_lex_state = 2},
  [2983] = {.lex_state = 99, .external_lex_state = 2},
  [2984] = {.lex_state = 99, .external_lex_state = 2},
  [2985] = {.lex_state = 99, .external_lex_state = 2},
  [2986] = {.lex_state = 99, .external_lex_state = 2},
  [2987] = {.lex_state = 99, .external_lex_state = 2},
  [2988] = {.lex_state = 99, .external_lex_state = 2},
  [2989] = {.lex_state = 107, .external_lex_state = 2},
  [2990] = {.lex_state = 107, .external_lex_state = 2},
  [2991] = {.lex_state = 107, .external_lex_state = 2},
  [2992] = {.lex_state = 99, .external_lex_state = 2},
  [2993] = {.lex_state = 99, .external_lex_state = 2},
  [2994] = {.lex_state = 99, .external_lex_state = 2},
  [2995] = {.lex_state = 99, .external_lex_state = 2},
  [2996] = {.lex_state = 99, .external_lex_state = 2},
  [2997] = {.lex_state = 99, .external_lex_state = 2},
  [2998] = {.lex_state = 107, .external_lex_state = 2},
  [2999] = {.lex_state = 231, .external_lex_state = 2},
  [3000] = {.lex_state = 107, .external_lex_state = 2},
  [3001] = {.lex_state = 231, .external_lex_state = 2},
  [3002] = {.lex_state = 107, .external_lex_state = 2},
  [3003] = {.lex_state = 99, .external_lex_state = 2},
  [3004] = {.lex_state = 99, .external_lex_state = 2},
  [3005] = {.lex_state = 99, .external_lex_state = 2},
  [3006] = {.lex_state = 99, .external_lex_state = 2},
  [3007] = {.lex_state = 231, .external_lex_state = 2},
  [3008] = {.lex_state = 99, .external_lex_state = 2},
  [3009] = {.lex_state = 99, .external_lex_state = 2},
  [3010] = {.lex_state = 73, .external_lex_state = 2},
  [3011] = {.lex_state = 107, .external_lex_state = 8},
  [3012] = {.lex_state = 107, .external_lex_state = 2},
  [3013] = {.lex_state = 107, .external_lex_state = 8},
  [3014] = {.lex_state = 107, .external_lex_state = 4},
  [3015] = {.lex_state = 107, .external_lex_state = 2},
  [3016] = {.lex_state = 107, .external_lex_state = 8},
  [3017] = {.lex_state = 107, .external_lex_state = 2},
  [3018] = {.lex_state = 107, .external_lex_state = 8},
  [3019] = {.lex_state = 107, .external_lex_state = 4},
  [3020] = {.lex_state = 107, .external_lex_state = 2},
  [3021] = {.lex_state = 107, .external_lex_state = 2},
  [3022] = {.lex_state = 107, .external_lex_state = 8},
  [3023] = {.lex_state = 107, .external_lex_state = 2},
  [3024] = {.lex_state = 107, .external_lex_state = 2},
  [3025] = {.lex_state = 107, .external_lex_state = 2},
  [3026] = {.lex_state = 107, .external_lex_state = 2},
  [3027] = {.lex_state = 107, .external_lex_state = 2},
  [3028] = {.lex_state = 107, .external_lex_state = 8},
  [3029] = {.lex_state = 107, .external_lex_state = 4},
  [3030] = {.lex_state = 107, .external_lex_state = 2},
  [3031] = {.lex_state = 107, .external_lex_state = 8},
  [3032] = {.lex_state = 73, .external_lex_state = 2},
  [3033] = {.lex_state = 107, .external_lex_state = 2},
  [3034] = {.lex_state = 107, .external_lex_state = 8},
  [3035] = {.lex_state = 107, .external_lex_state = 2},
  [3036] = {.lex_state = 107, .external_lex_state = 8},
  [3037] = {.lex_state = 107, .external_lex_state = 2},
  [3038] = {.lex_state = 107, .external_lex_state = 2},
  [3039] = {.lex_state = 107, .external_lex_state = 4},
  [3040] = {.lex_state = 107, .external_lex_state = 2},
  [3041] = {.lex_state = 107, .external_lex_state = 8},
  [3042] = {.lex_state = 231, .external_lex_state = 2},
  [3043] = {.lex_state = 107, .external_lex_state = 8},
  [3044] = {.lex_state = 231, .external_lex_state = 2},
  [3045] = {.lex_state = 231, .external_lex_state = 2},
  [3046] = {.lex_state = 231, .external_lex_state = 2},
  [3047] = {.lex_state = 107, .external_lex_state = 4},
  [3048] = {.lex_state = 107, .external_lex_state = 4},
  [3049] = {.lex_state = 107, .external_lex_state = 2},
  [3050] = {.lex_state = 107, .external_lex_state = 4},
  [3051] = {.lex_state = 107, .external_lex_state = 4},
  [3052] = {.lex_state = 107, .external_lex_state = 4},
  [3053] = {.lex_state = 231, .external_lex_state = 2},
  [3054] = {.lex_state = 107, .external_lex_state = 2},
  [3055] = {.lex_state = 231, .external_lex_state = 2},
  [3056] = {.lex_state = 231, .external_lex_state = 2},
  [3057] = {.lex_state = 231, .external_lex_state = 2},
  [3058] = {.lex_state = 107, .external_lex_state = 8},
  [3059] = {.lex_state = 107, .external_lex_state = 2},
  [3060] = {.lex_state = 231, .external_lex_state = 2},
  [3061] = {.lex_state = 107, .external_lex_state = 2},
  [3062] = {.lex_state = 231, .external_lex_state = 2},
  [3063] = {.lex_state = 107, .external_lex_state = 2},
  [3064] = {.lex_state = 231, .external_lex_state = 2},
  [3065] = {.lex_state = 107, .external_lex_state = 4},
  [3066] = {.lex_state = 231, .external_lex_state = 2},
  [3067] = {.lex_state = 231, .external_lex_state = 2},
  [3068] = {.lex_state = 107, .external_lex_state = 2},
  [3069] = {.lex_state = 107, .external_lex_state = 2},
  [3070] = {.lex_state = 107, .external_lex_state = 2},
  [3071] = {.lex_state = 107, .external_lex_state = 2},
  [3072] = {.lex_state = 107, .external_lex_state = 2},
  [3073] = {.lex_state = 107, .external_lex_state = 2},
  [3074] = {.lex_state = 107, .external_lex_state = 2},
  [3075] = {.lex_state = 107, .external_lex_state = 2},
  [3076] = {.lex_state = 107, .external_lex_state = 2},
  [3077] = {.lex_state = 107, .external_lex_state = 2},
  [3078] = {.lex_state = 107, .external_lex_state = 4},
  [3079] = {.lex_state = 107, .external_lex_state = 2},
  [3080] = {.lex_state = 107, .external_lex_state = 2},
  [3081] = {.lex_state = 107, .external_lex_state = 2},
  [3082] = {.lex_state = 107, .external_lex_state = 2},
  [3083] = {.lex_state = 107, .external_lex_state = 2},
  [3084] = {.lex_state = 107, .external_lex_state = 2},
  [3085] = {.lex_state = 107, .external_lex_state = 2},
  [3086] = {.lex_state = 107, .external_lex_state = 2},
  [3087] = {.lex_state = 107, .external_lex_state = 2},
  [3088] = {.lex_state = 107, .external_lex_state = 2},
  [3089] = {.lex_state = 107, .external_lex_state = 2},
  [3090] = {.lex_state = 107, .external_lex_state = 2},
  [3091] = {.lex_state = 107, .external_lex_state = 2},
  [3092] = {.lex_state = 107, .external_lex_state = 2},
  [3093] = {.lex_state = 107, .external_lex_state = 2},
  [3094] = {.lex_state = 107, .external_lex_state = 2},
  [3095] = {.lex_state = 107, .external_lex_state = 2},
  [3096] = {.lex_state = 107, .external_lex_state = 2},
  [3097] = {.lex_state = 107, .external_lex_state = 2},
  [3098] = {.lex_state = 107, .external_lex_state = 2},
  [3099] = {.lex_state = 107, .external_lex_state = 2},
  [3100] = {.lex_state = 107, .external_lex_state = 2},
  [3101] = {.lex_state = 107, .external_lex_state = 8},
  [3102] = {.lex_state = 107, .external_lex_state = 2},
  [3103] = {.lex_state = 107, .external_lex_state = 2},
  [3104] = {.lex_state = 107, .external_lex_state = 8},
  [3105] = {.lex_state = 107, .external_lex_state = 2},
  [3106] = {.lex_state = 107, .external_lex_state = 2},
  [3107] = {.lex_state = 107, .external_lex_state = 2},
  [3108] = {.lex_state = 107, .external_lex_state = 2},
  [3109] = {.lex_state = 107, .external_lex_state = 8},
  [3110] = {.lex_state = 107, .external_lex_state = 2},
  [3111] = {.lex_state = 107, .external_lex_state = 2},
  [3112] = {.lex_state = 107, .external_lex_state = 2},
  [3113] = {.lex_state = 107, .external_lex_state = 2},
  [3114] = {.lex_state = 107, .external_lex_state = 4},
  [3115] = {.lex_state = 73, .external_lex_state = 2},
  [3116] = {.lex_state = 107, .external_lex_state = 2},
  [3117] = {.lex_state = 107, .external_lex_state = 2},
  [3118] = {.lex_state = 107, .external_lex_state = 2},
  [3119] = {.lex_state = 107, .external_lex_state = 2},
  [3120] = {.lex_state = 107, .external_lex_state = 2},
  [3121] = {.lex_state = 107, .external_lex_state = 2},
  [3122] = {.lex_state = 107, .external_lex_state = 2},
  [3123] = {.lex_state = 107, .external_lex_state = 2},
  [3124] = {.lex_state = 107, .external_lex_state = 2},
  [3125] = {.lex_state = 107, .external_lex_state = 2},
  [3126] = {.lex_state = 107, .external_lex_state = 2},
  [3127] = {.lex_state = 107, .external_lex_state = 2},
  [3128] = {.lex_state = 107, .external_lex_state = 2},
  [3129] = {.lex_state = 107, .external_lex_state = 2},
  [3130] = {.lex_state = 107, .external_lex_state = 2},
  [3131] = {.lex_state = 107, .external_lex_state = 2},
  [3132] = {.lex_state = 107, .external_lex_state = 2},
  [3133] = {.lex_state = 107, .external_lex_state = 2},
  [3134] = {.lex_state = 107, .external_lex_state = 2},
  [3135] = {.lex_state = 107, .external_lex_state = 8},
  [3136] = {.lex_state = 107, .external_lex_state = 2},
  [3137] = {.lex_state = 73, .external_lex_state = 2},
  [3138] = {.lex_state = 107, .external_lex_state = 2},
  [3139] = {.lex_state = 107, .external_lex_state = 2},
  [3140] = {.lex_state = 107, .external_lex_state = 2},
  [3141] = {.lex_state = 107, .external_lex_state = 2},
  [3142] = {.lex_state = 107, .external_lex_state = 2},
  [3143] = {.lex_state = 107, .external_lex_state = 2},
  [3144] = {.lex_state = 107, .external_lex_state = 2},
  [3145] = {.lex_state = 107, .external_lex_state = 2},
  [3146] = {.lex_state = 107, .external_lex_state = 4},
  [3147] = {.lex_state = 107, .external_lex_state = 2},
  [3148] = {.lex_state = 107, .external_lex_state = 2},
  [3149] = {.lex_state = 107, .external_lex_state = 2},
  [3150] = {.lex_state = 107, .external_lex_state = 2},
  [3151] = {.lex_state = 107, .external_lex_state = 2},
  [3152] = {.lex_state = 107, .external_lex_state = 2},
  [3153] = {.lex_state = 107, .external_lex_state = 2},
  [3154] = {.lex_state = 107, .external_lex_state = 2},
  [3155] = {.lex_state = 107, .external_lex_state = 2},
  [3156] = {.lex_state = 107, .external_lex_state = 2},
  [3157] = {.lex_state = 107, .external_lex_state = 2},
  [3158] = {.lex_state = 107, .external_lex_state = 2},
  [3159] = {.lex_state = 107, .external_lex_state = 2},
  [3160] = {.lex_state = 107, .external_lex_state = 2},
  [3161] = {.lex_state = 107, .external_lex_state = 2},
  [3162] = {.lex_state = 107, .external_lex_state = 2},
  [3163] = {.lex_state = 107, .external_lex_state = 2},
  [3164] = {.lex_state = 107, .external_lex_state = 2},
  [3165] = {.lex_state = 107, .external_lex_state = 2},
  [3166] = {.lex_state = 107, .external_lex_state = 2},
  [3167] = {.lex_state = 107, .external_lex_state = 8},
  [3168] = {.lex_state = 107, .external_lex_state = 2},
  [3169] = {.lex_state = 107, .external_lex_state = 2},
  [3170] = {.lex_state = 107, .external_lex_state = 2},
  [3171] = {.lex_state = 107, .external_lex_state = 2},
  [3172] = {.lex_state = 107, .external_lex_state = 2},
  [3173] = {.lex_state = 107, .external_lex_state = 2},
  [3174] = {.lex_state = 107, .external_lex_state = 2},
  [3175] = {.lex_state = 107, .external_lex_state = 2},
  [3176] = {.lex_state = 107, .external_lex_state = 2},
  [3177] = {.lex_state = 107, .external_lex_state = 2},
  [3178] = {.lex_state = 107, .external_lex_state = 2},
  [3179] = {.lex_state = 107, .external_lex_state = 2},
  [3180] = {.lex_state = 107, .external_lex_state = 2},
  [3181] = {.lex_state = 107, .external_lex_state = 4},
  [3182] = {.lex_state = 107, .external_lex_state = 2},
  [3183] = {.lex_state = 107, .external_lex_state = 2},
  [3184] = {.lex_state = 73, .external_lex_state = 2},
  [3185] = {.lex_state = 107, .external_lex_state = 2},
  [3186] = {.lex_state = 107, .external_lex_state = 2},
  [3187] = {.lex_state = 107, .external_lex_state = 2},
  [3188] = {.lex_state = 107, .external_lex_state = 2},
  [3189] = {.lex_state = 107, .external_lex_state = 2},
  [3190] = {.lex_state = 107, .external_lex_state = 2},
  [3191] = {.lex_state = 107, .external_lex_state = 2},
  [3192] = {.lex_state = 107, .external_lex_state = 4},
  [3193] = {.lex_state = 107, .external_lex_state = 2},
  [3194] = {.lex_state = 107, .external_lex_state = 2},
  [3195] = {.lex_state = 107, .external_lex_state = 2},
  [3196] = {.lex_state = 107, .external_lex_state = 2},
  [3197] = {.lex_state = 107, .external_lex_state = 2},
  [3198] = {.lex_state = 107, .external_lex_state = 2},
  [3199] = {.lex_state = 107, .external_lex_state = 2},
  [3200] = {.lex_state = 107, .external_lex_state = 2},
  [3201] = {.lex_state = 107, .external_lex_state = 2},
  [3202] = {.lex_state = 107, .external_lex_state = 2},
  [3203] = {.lex_state = 107, .external_lex_state = 2},
  [3204] = {.lex_state = 107, .external_lex_state = 2},
  [3205] = {.lex_state = 107, .external_lex_state = 4},
  [3206] = {.lex_state = 107, .external_lex_state = 2},
  [3207] = {.lex_state = 107, .external_lex_state = 2},
  [3208] = {.lex_state = 107, .external_lex_state = 2},
  [3209] = {.lex_state = 107, .external_lex_state = 2},
  [3210] = {.lex_state = 107, .external_lex_state = 4},
  [3211] = {.lex_state = 107, .external_lex_state = 2},
  [3212] = {.lex_state = 107, .external_lex_state = 2},
  [3213] = {.lex_state = 107, .external_lex_state = 2},
  [3214] = {.lex_state = 107, .external_lex_state = 2},
  [3215] = {.lex_state = 107, .external_lex_state = 2},
  [3216] = {.lex_state = 107, .external_lex_state = 2},
  [3217] = {.lex_state = 107, .external_lex_state = 2},
  [3218] = {.lex_state = 107, .external_lex_state = 4},
  [3219] = {.lex_state = 107, .external_lex_state = 2},
  [3220] = {.lex_state = 107, .external_lex_state = 2},
  [3221] = {.lex_state = 107, .external_lex_state = 2},
  [3222] = {.lex_state = 107, .external_lex_state = 2},
  [3223] = {.lex_state = 107, .external_lex_state = 2},
  [3224] = {.lex_state = 107, .external_lex_state = 4},
  [3225] = {.lex_state = 107, .external_lex_state = 2},
  [3226] = {.lex_state = 107, .external_lex_state = 2},
  [3227] = {.lex_state = 107, .external_lex_state = 4},
  [3228] = {.lex_state = 107, .external_lex_state = 2},
  [3229] = {.lex_state = 107, .external_lex_state = 2},
  [3230] = {.lex_state = 107, .external_lex_state = 2},
  [3231] = {.lex_state = 107, .external_lex_state = 2},
  [3232] = {.lex_state = 107, .external_lex_state = 2},
  [3233] = {.lex_state = 107, .external_lex_state = 2},
  [3234] = {.lex_state = 107, .external_lex_state = 2},
  [3235] = {.lex_state = 107, .external_lex_state = 2},
  [3236] = {.lex_state = 107, .external_lex_state = 2},
  [3237] = {.lex_state = 107, .external_lex_state = 2},
  [3238] = {.lex_state = 107, .external_lex_state = 2},
  [3239] = {.lex_state = 107, .external_lex_state = 2},
  [3240] = {.lex_state = 107, .external_lex_state = 2},
  [3241] = {.lex_state = 107, .external_lex_state = 2},
  [3242] = {.lex_state = 107, .external_lex_state = 2},
  [3243] = {.lex_state = 107, .external_lex_state = 2},
  [3244] = {.lex_state = 107, .external_lex_state = 2},
  [3245] = {.lex_state = 107, .external_lex_state = 2},
  [3246] = {.lex_state = 107, .external_lex_state = 2},
  [3247] = {.lex_state = 107, .external_lex_state = 2},
  [3248] = {.lex_state = 107, .external_lex_state = 2},
  [3249] = {.lex_state = 107, .external_lex_state = 2},
  [3250] = {.lex_state = 107, .external_lex_state = 2},
  [3251] = {.lex_state = 107, .external_lex_state = 2},
  [3252] = {.lex_state = 107, .external_lex_state = 8},
  [3253] = {.lex_state = 107, .external_lex_state = 4},
  [3254] = {.lex_state = 107, .external_lex_state = 8},
  [3255] = {.lex_state = 107, .external_lex_state = 2},
  [3256] = {.lex_state = 107, .external_lex_state = 2},
  [3257] = {.lex_state = 107, .external_lex_state = 2},
  [3258] = {.lex_state = 107, .external_lex_state = 2},
  [3259] = {.lex_state = 107, .external_lex_state = 2},
  [3260] = {.lex_state = 107, .external_lex_state = 2},
  [3261] = {.lex_state = 107, .external_lex_state = 2},
  [3262] = {.lex_state = 107, .external_lex_state = 2},
  [3263] = {.lex_state = 107, .external_lex_state = 2},
  [3264] = {.lex_state = 107, .external_lex_state = 2},
  [3265] = {.lex_state = 107, .external_lex_state = 2},
  [3266] = {.lex_state = 107, .external_lex_state = 2},
  [3267] = {.lex_state = 107, .external_lex_state = 8},
  [3268] = {.lex_state = 107, .external_lex_state = 2},
  [3269] = {.lex_state = 107, .external_lex_state = 2},
  [3270] = {.lex_state = 107, .external_lex_state = 2},
  [3271] = {.lex_state = 107, .external_lex_state = 2},
  [3272] = {.lex_state = 107, .external_lex_state = 2},
  [3273] = {.lex_state = 107, .external_lex_state = 8},
  [3274] = {.lex_state = 107, .external_lex_state = 2},
  [3275] = {.lex_state = 107, .external_lex_state = 2},
  [3276] = {.lex_state = 107, .external_lex_state = 2},
  [3277] = {.lex_state = 107, .external_lex_state = 2},
  [3278] = {.lex_state = 107, .external_lex_state = 8},
  [3279] = {.lex_state = 109, .external_lex_state = 8},
  [3280] = {.lex_state = 231, .external_lex_state = 4},
  [3281] = {.lex_state = 107, .external_lex_state = 8},
  [3282] = {.lex_state = 107, .external_lex_state = 8},
  [3283] = {.lex_state = 107, .external_lex_state = 8},
  [3284] = {.lex_state = 107, .external_lex_state = 8},
  [3285] = {.lex_state = 107, .external_lex_state = 8},
  [3286] = {.lex_state = 107, .external_lex_state = 4},
  [3287] = {.lex_state = 107, .external_lex_state = 8},
  [3288] = {.lex_state = 231, .external_lex_state = 4},
  [3289] = {.lex_state = 107, .external_lex_state = 4},
  [3290] = {.lex_state = 107, .external_lex_state = 8},
  [3291] = {.lex_state = 107, .external_lex_state = 4},
  [3292] = {.lex_state = 107, .external_lex_state = 4},
  [3293] = {.lex_state = 107, .external_lex_state = 8},
  [3294] = {.lex_state = 107, .external_lex_state = 8},
  [3295] = {.lex_state = 107, .external_lex_state = 4},
  [3296] = {.lex_state = 107, .external_lex_state = 8},
  [3297] = {.lex_state = 107, .external_lex_state = 8},
  [3298] = {.lex_state = 107, .external_lex_state = 8},
  [3299] = {.lex_state = 107, .external_lex_state = 4},
  [3300] = {.lex_state = 109, .external_lex_state = 8},
  [3301] = {.lex_state = 107, .external_lex_state = 4},
  [3302] = {.lex_state = 107, .external_lex_state = 4},
  [3303] = {.lex_state = 231, .external_lex_state = 4},
  [3304] = {.lex_state = 107, .external_lex_state = 8},
  [3305] = {.lex_state = 107, .external_lex_state = 4},
  [3306] = {.lex_state = 107, .external_lex_state = 4},
  [3307] = {.lex_state = 107, .external_lex_state = 4},
  [3308] = {.lex_state = 107, .external_lex_state = 8},
  [3309] = {.lex_state = 107, .external_lex_state = 8},
  [3310] = {.lex_state = 109, .external_lex_state = 8},
  [3311] = {.lex_state = 109, .external_lex_state = 8},
  [3312] = {.lex_state = 110, .external_lex_state = 2},
  [3313] = {.lex_state = 231, .external_lex_state = 8},
  [3314] = {.lex_state = 231, .external_lex_state = 8},
  [3315] = {.lex_state = 110, .external_lex_state = 2},
  [3316] = {.lex_state = 110, .external_lex_state = 2},
  [3317] = {.lex_state = 231, .external_lex_state = 8},
  [3318] = {.lex_state = 113, .external_lex_state = 2},
  [3319] = {.lex_state = 114, .external_lex_state = 2},
  [3320] = {.lex_state = 231, .external_lex_state = 2},
  [3321] = {.lex_state = 114, .external_lex_state = 2},
  [3322] = {.lex_state = 110, .external_lex_state = 2},
  [3323] = {.lex_state = 109, .external_lex_state = 2},
  [3324] = {.lex_state = 109, .external_lex_state = 2},
  [3325] = {.lex_state = 99, .external_lex_state = 8},
  [3326] = {.lex_state = 113, .external_lex_state = 2},
  [3327] = {.lex_state = 231, .external_lex_state = 2},
  [3328] = {.lex_state = 113, .external_lex_state = 2},
  [3329] = {.lex_state = 113, .external_lex_state = 2},
  [3330] = {.lex_state = 113, .external_lex_state = 2},
  [3331] = {.lex_state = 114, .external_lex_state = 2},
  [3332] = {.lex_state = 231, .external_lex_state = 2},
  [3333] = {.lex_state = 113, .external_lex_state = 2},
  [3334] = {.lex_state = 114, .external_lex_state = 2},
  [3335] = {.lex_state = 231, .external_lex_state = 2},
  [3336] = {.lex_state = 114, .external_lex_state = 2},
  [3337] = {.lex_state = 109, .external_lex_state = 8},
  [3338] = {.lex_state = 114, .external_lex_state = 2},
  [3339] = {.lex_state = 109, .external_lex_state = 2},
  [3340] = {.lex_state = 109, .external_lex_state = 2},
  [3341] = {.lex_state = 109, .external_lex_state = 2},
  [3342] = {.lex_state = 109, .external_lex_state = 2},
  [3343] = {.lex_state = 109, .external_lex_state = 2},
  [3344] = {.lex_state = 109, .external_lex_state = 2},
  [3345] = {.lex_state = 109, .external_lex_state = 2},
  [3346] = {.lex_state = 73, .external_lex_state = 2},
  [3347] = {.lex_state = 231, .external_lex_state = 8},
  [3348] = {.lex_state = 109, .external_lex_state = 2},
  [3349] = {.lex_state = 109, .external_lex_state = 2},
  [3350] = {.lex_state = 73, .external_lex_state = 2},
  [3351] = {.lex_state = 109, .external_lex_state = 2},
  [3352] = {.lex_state = 113, .external_lex_state = 2},
  [3353] = {.lex_state = 99, .external_lex_state = 8},
  [3354] = {.lex_state = 109, .external_lex_state = 2},
  [3355] = {.lex_state = 109, .external_lex_state = 2},
  [3356] = {.lex_state = 231, .external_lex_state = 8},
  [3357] = {.lex_state = 109, .external_lex_state = 2},
  [3358] = {.lex_state = 109, .external_lex_state = 2},
  [3359] = {.lex_state = 109, .external_lex_state = 2},
  [3360] = {.lex_state = 107, .external_lex_state = 2},
  [3361] = {.lex_state = 109, .external_lex_state = 2},
  [3362] = {.lex_state = 109, .external_lex_state = 2},
  [3363] = {.lex_state = 109, .external_lex_state = 2},
  [3364] = {.lex_state = 109, .external_lex_state = 2},
  [3365] = {.lex_state = 109, .external_lex_state = 2},
  [3366] = {.lex_state = 109, .external_lex_state = 2},
  [3367] = {.lex_state = 109, .external_lex_state = 2},
  [3368] = {.lex_state = 109, .external_lex_state = 2},
  [3369] = {.lex_state = 113, .external_lex_state = 2},
  [3370] = {.lex_state = 109, .external_lex_state = 2},
  [3371] = {.lex_state = 107, .external_lex_state = 2},
  [3372] = {.lex_state = 109, .external_lex_state = 2},
  [3373] = {.lex_state = 107, .external_lex_state = 2},
  [3374] = {.lex_state = 109, .external_lex_state = 2},
  [3375] = {.lex_state = 109, .external_lex_state = 2},
  [3376] = {.lex_state = 109, .external_lex_state = 2},
  [3377] = {.lex_state = 113, .external_lex_state = 2},
  [3378] = {.lex_state = 109, .external_lex_state = 2},
  [3379] = {.lex_state = 109, .external_lex_state = 2},
  [3380] = {.lex_state = 109, .external_lex_state = 2},
  [3381] = {.lex_state = 109, .external_lex_state = 2},
  [3382] = {.lex_state = 109, .external_lex_state = 2},
  [3383] = {.lex_state = 109, .external_lex_state = 2},
  [3384] = {.lex_state = 109, .external_lex_state = 2},
  [3385] = {.lex_state = 109, .external_lex_state = 2},
  [3386] = {.lex_state = 109, .external_lex_state = 2},
  [3387] = {.lex_state = 109, .external_lex_state = 2},
  [3388] = {.lex_state = 109, .external_lex_state = 2},
  [3389] = {.lex_state = 109, .external_lex_state = 2},
  [3390] = {.lex_state = 109, .external_lex_state = 2},
  [3391] = {.lex_state = 109, .external_lex_state = 2},
  [3392] = {.lex_state = 99, .external_lex_state = 8},
  [3393] = {.lex_state = 109, .external_lex_state = 2},
  [3394] = {.lex_state = 109, .external_lex_state = 2},
  [3395] = {.lex_state = 109, .external_lex_state = 2},
  [3396] = {.lex_state = 231, .external_lex_state = 8},
  [3397] = {.lex_state = 109, .external_lex_state = 2},
  [3398] = {.lex_state = 109, .external_lex_state = 2},
  [3399] = {.lex_state = 109, .external_lex_state = 2},
  [3400] = {.lex_state = 114, .external_lex_state = 2},
  [3401] = {.lex_state = 73, .external_lex_state = 2},
  [3402] = {.lex_state = 114, .external_lex_state = 2},
  [3403] = {.lex_state = 109, .external_lex_state = 2},
  [3404] = {.lex_state = 109, .external_lex_state = 2},
  [3405] = {.lex_state = 114, .external_lex_state = 2},
  [3406] = {.lex_state = 113, .external_lex_state = 2},
  [3407] = {.lex_state = 76, .external_lex_state = 2},
  [3408] = {.lex_state = 76, .external_lex_state = 2},
  [3409] = {.lex_state = 114, .external_lex_state = 2},
  [3410] = {.lex_state = 114, .external_lex_state = 2},
  [3411] = {.lex_state = 76, .external_lex_state = 2},
  [3412] = {.lex_state = 113, .external_lex_state = 2},
  [3413] = {.lex_state = 76, .external_lex_state = 2},
  [3414] = {.lex_state = 110, .external_lex_state = 2},
  [3415] = {.lex_state = 76, .external_lex_state = 2},
  [3416] = {.lex_state = 76, .external_lex_state = 2},
  [3417] = {.lex_state = 76, .external_lex_state = 2},
  [3418] = {.lex_state = 76, .external_lex_state = 2},
  [3419] = {.lex_state = 76, .external_lex_state = 2},
  [3420] = {.lex_state = 116, .external_lex_state = 2},
  [3421] = {.lex_state = 76, .external_lex_state = 2},
  [3422] = {.lex_state = 231, .external_lex_state = 8},
  [3423] = {.lex_state = 76, .external_lex_state = 2},
  [3424] = {.lex_state = 107, .external_lex_state = 2},
  [3425] = {.lex_state = 76, .external_lex_state = 2},
  [3426] = {.lex_state = 76, .external_lex_state = 2},
  [3427] = {.lex_state = 231, .external_lex_state = 8},
  [3428] = {.lex_state = 107, .external_lex_state = 2},
  [3429] = {.lex_state = 76, .external_lex_state = 2},
  [3430] = {.lex_state = 76, .external_lex_state = 2},
  [3431] = {.lex_state = 107, .external_lex_state = 2},
  [3432] = {.lex_state = 76, .external_lex_state = 2},
  [3433] = {.lex_state = 114, .external_lex_state = 2},
  [3434] = {.lex_state = 231, .external_lex_state = 8},
  [3435] = {.lex_state = 114, .external_lex_state = 2},
  [3436] = {.lex_state = 231, .external_lex_state = 8},
  [3437] = {.lex_state = 76, .external_lex_state = 2},
  [3438] = {.lex_state = 107, .external_lex_state = 2},
  [3439] = {.lex_state = 117, .external_lex_state = 2},
  [3440] = {.lex_state = 76, .external_lex_state = 2},
  [3441] = {.lex_state = 114, .external_lex_state = 2},
  [3442] = {.lex_state = 76, .external_lex_state = 2},
  [3443] = {.lex_state = 231, .external_lex_state = 8},
  [3444] = {.lex_state = 114, .external_lex_state = 2},
  [3445] = {.lex_state = 76, .external_lex_state = 2},
  [3446] = {.lex_state = 110, .external_lex_state = 2},
  [3447] = {.lex_state = 76, .external_lex_state = 2},
  [3448] = {.lex_state = 76, .external_lex_state = 2},
  [3449] = {.lex_state = 76, .external_lex_state = 2},
  [3450] = {.lex_state = 73, .external_lex_state = 2},
  [3451] = {.lex_state = 76, .external_lex_state = 2},
  [3452] = {.lex_state = 76, .external_lex_state = 2},
  [3453] = {.lex_state = 76, .external_lex_state = 2},
  [3454] = {.lex_state = 76, .external_lex_state = 2},
  [3455] = {.lex_state = 116, .external_lex_state = 2},
  [3456] = {.lex_state = 113, .external_lex_state = 2},
  [3457] = {.lex_state = 76, .external_lex_state = 2},
  [3458] = {.lex_state = 113, .external_lex_state = 2},
  [3459] = {.lex_state = 76, .external_lex_state = 2},
  [3460] = {.lex_state = 76, .external_lex_state = 2},
  [3461] = {.lex_state = 113, .external_lex_state = 2},
  [3462] = {.lex_state = 76, .external_lex_state = 2},
  [3463] = {.lex_state = 76, .external_lex_state = 2},
  [3464] = {.lex_state = 76, .external_lex_state = 2},
  [3465] = {.lex_state = 113, .external_lex_state = 2},
  [3466] = {.lex_state = 76, .external_lex_state = 2},
  [3467] = {.lex_state = 117, .external_lex_state = 2},
  [3468] = {.lex_state = 76, .external_lex_state = 2},
  [3469] = {.lex_state = 76, .external_lex_state = 2},
  [3470] = {.lex_state = 76, .external_lex_state = 2},
  [3471] = {.lex_state = 76, .external_lex_state = 2},
  [3472] = {.lex_state = 231, .external_lex_state = 8},
  [3473] = {.lex_state = 76, .external_lex_state = 2},
  [3474] = {.lex_state = 107, .external_lex_state = 2},
  [3475] = {.lex_state = 113, .external_lex_state = 2},
  [3476] = {.lex_state = 116, .external_lex_state = 2},
  [3477] = {.lex_state = 113, .external_lex_state = 2},
  [3478] = {.lex_state = 106, .external_lex_state = 2},
  [3479] = {.lex_state = 117, .external_lex_state = 2},
  [3480] = {.lex_state = 107, .external_lex_state = 2},
  [3481] = {.lex_state = 231, .external_lex_state = 8},
  [3482] = {.lex_state = 106, .external_lex_state = 2},
  [3483] = {.lex_state = 107, .external_lex_state = 2},
  [3484] = {.lex_state = 106, .external_lex_state = 2},
  [3485] = {.lex_state = 107, .external_lex_state = 4},
  [3486] = {.lex_state = 107, .external_lex_state = 2},
  [3487] = {.lex_state = 106, .external_lex_state = 2},
  [3488] = {.lex_state = 106, .external_lex_state = 2},
  [3489] = {.lex_state = 106, .external_lex_state = 2},
  [3490] = {.lex_state = 113, .external_lex_state = 2},
  [3491] = {.lex_state = 113, .external_lex_state = 2},
  [3492] = {.lex_state = 106, .external_lex_state = 2},
  [3493] = {.lex_state = 113, .external_lex_state = 2},
  [3494] = {.lex_state = 113, .external_lex_state = 2},
  [3495] = {.lex_state = 106, .external_lex_state = 2},
  [3496] = {.lex_state = 106, .external_lex_state = 2},
  [3497] = {.lex_state = 106, .external_lex_state = 2},
  [3498] = {.lex_state = 106, .external_lex_state = 2},
  [3499] = {.lex_state = 109, .external_lex_state = 2},
  [3500] = {.lex_state = 109, .external_lex_state = 2},
  [3501] = {.lex_state = 106, .external_lex_state = 2},
  [3502] = {.lex_state = 106, .external_lex_state = 2},
  [3503] = {.lex_state = 106, .external_lex_state = 2},
  [3504] = {.lex_state = 106, .external_lex_state = 2},
  [3505] = {.lex_state = 106, .external_lex_state = 2},
  [3506] = {.lex_state = 106, .external_lex_state = 2},
  [3507] = {.lex_state = 106, .external_lex_state = 2},
  [3508] = {.lex_state = 106, .external_lex_state = 2},
  [3509] = {.lex_state = 107, .external_lex_state = 2},
  [3510] = {.lex_state = 107, .external_lex_state = 2},
  [3511] = {.lex_state = 110, .external_lex_state = 2},
  [3512] = {.lex_state = 73, .external_lex_state = 2},
  [3513] = {.lex_state = 106, .external_lex_state = 2},
  [3514] = {.lex_state = 231, .external_lex_state = 8},
  [3515] = {.lex_state = 113, .external_lex_state = 2},
  [3516] = {.lex_state = 109, .external_lex_state = 2},
  [3517] = {.lex_state = 231, .external_lex_state = 8},
  [3518] = {.lex_state = 106, .external_lex_state = 2},
  [3519] = {.lex_state = 106, .external_lex_state = 2},
  [3520] = {.lex_state = 113, .external_lex_state = 2},
  [3521] = {.lex_state = 114, .external_lex_state = 2},
  [3522] = {.lex_state = 106, .external_lex_state = 2},
  [3523] = {.lex_state = 106, .external_lex_state = 2},
  [3524] = {.lex_state = 109, .external_lex_state = 2},
  [3525] = {.lex_state = 114, .external_lex_state = 2},
  [3526] = {.lex_state = 109, .external_lex_state = 2},
  [3527] = {.lex_state = 109, .external_lex_state = 2},
  [3528] = {.lex_state = 73, .external_lex_state = 2},
  [3529] = {.lex_state = 114, .external_lex_state = 2},
  [3530] = {.lex_state = 114, .external_lex_state = 2},
  [3531] = {.lex_state = 106, .external_lex_state = 2},
  [3532] = {.lex_state = 109, .external_lex_state = 2},
  [3533] = {.lex_state = 114, .external_lex_state = 2},
  [3534] = {.lex_state = 114, .external_lex_state = 2},
  [3535] = {.lex_state = 106, .external_lex_state = 2},
  [3536] = {.lex_state = 109, .external_lex_state = 2},
  [3537] = {.lex_state = 114, .external_lex_state = 2},
  [3538] = {.lex_state = 109, .external_lex_state = 2},
  [3539] = {.lex_state = 114, .external_lex_state = 2},
  [3540] = {.lex_state = 73, .external_lex_state = 2},
  [3541] = {.lex_state = 109, .external_lex_state = 2},
  [3542] = {.lex_state = 107, .external_lex_state = 2},
  [3543] = {.lex_state = 106, .external_lex_state = 2},
  [3544] = {.lex_state = 107, .external_lex_state = 2},
  [3545] = {.lex_state = 106, .external_lex_state = 2},
  [3546] = {.lex_state = 106, .external_lex_state = 2},
  [3547] = {.lex_state = 106, .external_lex_state = 2},
  [3548] = {.lex_state = 109, .external_lex_state = 2},
  [3549] = {.lex_state = 109, .external_lex_state = 2},
  [3550] = {.lex_state = 113, .external_lex_state = 2},
  [3551] = {.lex_state = 113, .external_lex_state = 2},
  [3552] = {.lex_state = 106, .external_lex_state = 2},
  [3553] = {.lex_state = 113, .external_lex_state = 2},
  [3554] = {.lex_state = 114, .external_lex_state = 2},
  [3555] = {.lex_state = 109, .external_lex_state = 2},
  [3556] = {.lex_state = 106, .external_lex_state = 2},
  [3557] = {.lex_state = 114, .external_lex_state = 2},
  [3558] = {.lex_state = 106, .external_lex_state = 2},
  [3559] = {.lex_state = 109, .external_lex_state = 2},
  [3560] = {.lex_state = 106, .external_lex_state = 2},
  [3561] = {.lex_state = 114, .external_lex_state = 2},
  [3562] = {.lex_state = 107, .external_lex_state = 2},
  [3563] = {.lex_state = 231, .external_lex_state = 4},
  [3564] = {.lex_state = 106, .external_lex_state = 2},
  [3565] = {.lex_state = 110, .external_lex_state = 2},
  [3566] = {.lex_state = 231, .external_lex_state = 4},
  [3567] = {.lex_state = 110, .external_lex_state = 2},
  [3568] = {.lex_state = 107, .external_lex_state = 2},
  [3569] = {.lex_state = 107, .external_lex_state = 8},
  [3570] = {.lex_state = 231, .external_lex_state = 4},
  [3571] = {.lex_state = 231, .external_lex_state = 4},
  [3572] = {.lex_state = 77, .external_lex_state = 2},
  [3573] = {.lex_state = 107, .external_lex_state = 9},
  [3574] = {.lex_state = 107, .external_lex_state = 2},
  [3575] = {.lex_state = 107, .external_lex_state = 2},
  [3576] = {.lex_state = 110, .external_lex_state = 2},
  [3577] = {.lex_state = 77, .external_lex_state = 2},
  [3578] = {.lex_state = 77, .external_lex_state = 2},
  [3579] = {.lex_state = 110, .external_lex_state = 2},
  [3580] = {.lex_state = 110, .external_lex_state = 2},
  [3581] = {.lex_state = 231, .external_lex_state = 4},
  [3582] = {.lex_state = 231, .external_lex_state = 4},
  [3583] = {.lex_state = 231, .external_lex_state = 4},
  [3584] = {.lex_state = 110, .external_lex_state = 2},
  [3585] = {.lex_state = 110, .external_lex_state = 2},
  [3586] = {.lex_state = 231, .external_lex_state = 4},
  [3587] = {.lex_state = 231, .external_lex_state = 4},
  [3588] = {.lex_state = 110, .external_lex_state = 2},
  [3589] = {.lex_state = 107, .external_lex_state = 2},
  [3590] = {.lex_state = 231, .external_lex_state = 4},
  [3591] = {.lex_state = 107, .external_lex_state = 2},
  [3592] = {.lex_state = 110, .external_lex_state = 2},
  [3593] = {.lex_state = 77, .external_lex_state = 2},
  [3594] = {.lex_state = 110, .external_lex_state = 2},
  [3595] = {.lex_state = 77, .external_lex_state = 2},
  [3596] = {.lex_state = 110, .external_lex_state = 2},
  [3597] = {.lex_state = 107, .external_lex_state = 2},
  [3598] = {.lex_state = 110, .external_lex_state = 2},
  [3599] = {.lex_state = 110, .external_lex_state = 2},
  [3600] = {.lex_state = 110, .external_lex_state = 2},
  [3601] = {.lex_state = 231, .external_lex_state = 8},
  [3602] = {.lex_state = 110, .external_lex_state = 2},
  [3603] = {.lex_state = 110, .external_lex_state = 2},
  [3604] = {.lex_state = 110, .external_lex_state = 2},
  [3605] = {.lex_state = 231, .external_lex_state = 8},
  [3606] = {.lex_state = 231, .external_lex_state = 4},
  [3607] = {.lex_state = 107, .external_lex_state = 2},
  [3608] = {.lex_state = 231, .external_lex_state = 4},
  [3609] = {.lex_state = 107, .external_lex_state = 9},
  [3610] = {.lex_state = 107, .external_lex_state = 9},
  [3611] = {.lex_state = 231, .external_lex_state = 4},
  [3612] = {.lex_state = 231, .external_lex_state = 4},
  [3613] = {.lex_state = 231, .external_lex_state = 4},
  [3614] = {.lex_state = 107, .external_lex_state = 2},
  [3615] = {.lex_state = 107, .external_lex_state = 2},
  [3616] = {.lex_state = 107, .external_lex_state = 9},
  [3617] = {.lex_state = 231, .external_lex_state = 4},
  [3618] = {.lex_state = 109, .external_lex_state = 2},
  [3619] = {.lex_state = 109, .external_lex_state = 2},
  [3620] = {.lex_state = 231, .external_lex_state = 4},
  [3621] = {.lex_state = 107, .external_lex_state = 2},
  [3622] = {.lex_state = 107, .external_lex_state = 9},
  [3623] = {.lex_state = 231, .external_lex_state = 4},
  [3624] = {.lex_state = 231, .external_lex_state = 4},
  [3625] = {.lex_state = 231, .external_lex_state = 4},
  [3626] = {.lex_state = 231, .external_lex_state = 4},
  [3627] = {.lex_state = 231, .external_lex_state = 4},
  [3628] = {.lex_state = 231, .external_lex_state = 4},
  [3629] = {.lex_state = 231, .external_lex_state = 4},
  [3630] = {.lex_state = 231, .external_lex_state = 8},
  [3631] = {.lex_state = 231, .external_lex_state = 8},
  [3632] = {.lex_state = 231, .external_lex_state = 8},
  [3633] = {.lex_state = 231, .external_lex_state = 4},
  [3634] = {.lex_state = 231, .external_lex_state = 8},
  [3635] = {.lex_state = 231, .external_lex_state = 4},
  [3636] = {.lex_state = 107, .external_lex_state = 2},
  [3637] = {.lex_state = 107, .external_lex_state = 2},
  [3638] = {.lex_state = 231, .external_lex_state = 8},
  [3639] = {.lex_state = 107, .external_lex_state = 2},
  [3640] = {.lex_state = 231, .external_lex_state = 8},
  [3641] = {.lex_state = 107, .external_lex_state = 2},
  [3642] = {.lex_state = 107, .external_lex_state = 2},
  [3643] = {.lex_state = 231, .external_lex_state = 8},
  [3644] = {.lex_state = 231, .external_lex_state = 8},
  [3645] = {.lex_state = 107, .external_lex_state = 2},
  [3646] = {.lex_state = 107, .external_lex_state = 2},
  [3647] = {.lex_state = 107, .external_lex_state = 2},
  [3648] = {.lex_state = 231, .external_lex_state = 8},
  [3649] = {.lex_state = 109, .external_lex_state = 2},
  [3650] = {.lex_state = 107, .external_lex_state = 9},
  [3651] = {.lex_state = 231, .external_lex_state = 8},
  [3652] = {.lex_state = 109, .external_lex_state = 2},
  [3653] = {.lex_state = 231, .external_lex_state = 8},
  [3654] = {.lex_state = 109, .external_lex_state = 2},
  [3655] = {.lex_state = 109, .external_lex_state = 2},
  [3656] = {.lex_state = 231, .external_lex_state = 8},
  [3657] = {.lex_state = 107, .external_lex_state = 4},
  [3658] = {.lex_state = 231, .external_lex_state = 8},
  [3659] = {.lex_state = 231, .external_lex_state = 8},
  [3660] = {.lex_state = 109, .external_lex_state = 2},
  [3661] = {.lex_state = 109, .external_lex_state = 2},
  [3662] = {.lex_state = 231, .external_lex_state = 2},
  [3663] = {.lex_state = 107, .external_lex_state = 4},
  [3664] = {.lex_state = 231, .external_lex_state = 8},
  [3665] = {.lex_state = 107, .external_lex_state = 4},
  [3666] = {.lex_state = 231, .external_lex_state = 8},
  [3667] = {.lex_state = 231, .external_lex_state = 8},
  [3668] = {.lex_state = 231, .external_lex_state = 8},
  [3669] = {.lex_state = 109, .external_lex_state = 2},
  [3670] = {.lex_state = 107, .external_lex_state = 9},
  [3671] = {.lex_state = 107, .external_lex_state = 9},
  [3672] = {.lex_state = 231, .external_lex_state = 8},
  [3673] = {.lex_state = 231, .external_lex_state = 2},
  [3674] = {.lex_state = 109, .external_lex_state = 2},
  [3675] = {.lex_state = 231, .external_lex_state = 8},
  [3676] = {.lex_state = 231, .external_lex_state = 8},
  [3677] = {.lex_state = 231, .external_lex_state = 8},
  [3678] = {.lex_state = 231, .external_lex_state = 2},
  [3679] = {.lex_state = 231, .external_lex_state = 8},
  [3680] = {.lex_state = 107, .external_lex_state = 4},
  [3681] = {.lex_state = 107, .external_lex_state = 2},
  [3682] = {.lex_state = 107, .external_lex_state = 2},
  [3683] = {.lex_state = 231, .external_lex_state = 8},
  [3684] = {.lex_state = 109, .external_lex_state = 2},
  [3685] = {.lex_state = 109, .external_lex_state = 2},
  [3686] = {.lex_state = 109, .external_lex_state = 2},
  [3687] = {.lex_state = 109, .external_lex_state = 2},
  [3688] = {.lex_state = 109, .external_lex_state = 2},
  [3689] = {.lex_state = 109, .external_lex_state = 2},
  [3690] = {.lex_state = 109, .external_lex_state = 2},
  [3691] = {.lex_state = 109, .external_lex_state = 2},
  [3692] = {.lex_state = 107, .external_lex_state = 2},
  [3693] = {.lex_state = 109, .external_lex_state = 2},
  [3694] = {.lex_state = 109, .external_lex_state = 2},
  [3695] = {.lex_state = 109, .external_lex_state = 2},
  [3696] = {.lex_state = 109, .external_lex_state = 2},
  [3697] = {.lex_state = 109, .external_lex_state = 2},
  [3698] = {.lex_state = 109, .external_lex_state = 2},
  [3699] = {.lex_state = 109, .external_lex_state = 2},
  [3700] = {.lex_state = 109, .external_lex_state = 2},
  [3701] = {.lex_state = 109, .external_lex_state = 2},
  [3702] = {.lex_state = 109, .external_lex_state = 2},
  [3703] = {.lex_state = 109, .external_lex_state = 2},
  [3704] = {.lex_state = 109, .external_lex_state = 2},
  [3705] = {.lex_state = 109, .external_lex_state = 2},
  [3706] = {.lex_state = 231, .external_lex_state = 2},
  [3707] = {.lex_state = 109, .external_lex_state = 2},
  [3708] = {.lex_state = 109, .external_lex_state = 2},
  [3709] = {.lex_state = 109, .external_lex_state = 2},
  [3710] = {.lex_state = 109, .external_lex_state = 2},
  [3711] = {.lex_state = 109, .external_lex_state = 2},
  [3712] = {.lex_state = 107, .external_lex_state = 2},
  [3713] = {.lex_state = 109, .external_lex_state = 2},
  [3714] = {.lex_state = 107, .external_lex_state = 2},
  [3715] = {.lex_state = 109, .external_lex_state = 2},
  [3716] = {.lex_state = 109, .external_lex_state = 2},
  [3717] = {.lex_state = 109, .external_lex_state = 2},
  [3718] = {.lex_state = 231, .external_lex_state = 2},
  [3719] = {.lex_state = 231, .external_lex_state = 2},
  [3720] = {.lex_state = 107, .external_lex_state = 2},
  [3721] = {.lex_state = 108, .external_lex_state = 2},
  [3722] = {.lex_state = 231, .external_lex_state = 2},
  [3723] = {.lex_state = 107, .external_lex_state = 8},
  [3724] = {.lex_state = 231, .external_lex_state = 2},
  [3725] = {.lex_state = 107, .external_lex_state = 2},
  [3726] = {.lex_state = 231, .external_lex_state = 2},
  [3727] = {.lex_state = 231, .external_lex_state = 2},
  [3728] = {.lex_state = 107, .external_lex_state = 2},
  [3729] = {.lex_state = 107, .external_lex_state = 9},
  [3730] = {.lex_state = 108, .external_lex_state = 2},
  [3731] = {.lex_state = 107, .external_lex_state = 8},
  [3732] = {.lex_state = 107, .external_lex_state = 2},
  [3733] = {.lex_state = 108, .external_lex_state = 2},
  [3734] = {.lex_state = 107, .external_lex_state = 9},
  [3735] = {.lex_state = 231, .external_lex_state = 2},
  [3736] = {.lex_state = 107, .external_lex_state = 2},
  [3737] = {.lex_state = 109, .external_lex_state = 2},
  [3738] = {.lex_state = 231, .external_lex_state = 2},
  [3739] = {.lex_state = 231, .external_lex_state = 2},
  [3740] = {.lex_state = 231, .external_lex_state = 2},
  [3741] = {.lex_state = 231, .external_lex_state = 2},
  [3742] = {.lex_state = 231, .external_lex_state = 2},
  [3743] = {.lex_state = 107, .external_lex_state = 2},
  [3744] = {.lex_state = 231, .external_lex_state = 2},
  [3745] = {.lex_state = 231, .external_lex_state = 2},
  [3746] = {.lex_state = 107, .external_lex_state = 2},
  [3747] = {.lex_state = 107, .external_lex_state = 2},
  [3748] = {.lex_state = 231, .external_lex_state = 2},
  [3749] = {.lex_state = 109, .external_lex_state = 2},
  [3750] = {.lex_state = 109, .external_lex_state = 2},
  [3751] = {.lex_state = 109, .external_lex_state = 2},
  [3752] = {.lex_state = 231, .external_lex_state = 2},
  [3753] = {.lex_state = 107, .external_lex_state = 9},
  [3754] = {.lex_state = 109, .external_lex_state = 2},
  [3755] = {.lex_state = 107, .external_lex_state = 2},
  [3756] = {.lex_state = 109, .external_lex_state = 2},
  [3757] = {.lex_state = 231, .external_lex_state = 2},
  [3758] = {.lex_state = 109, .external_lex_state = 2},
  [3759] = {.lex_state = 109, .external_lex_state = 2},
  [3760] = {.lex_state = 107, .external_lex_state = 2},
  [3761] = {.lex_state = 231, .external_lex_state = 2},
  [3762] = {.lex_state = 109, .external_lex_state = 2},
  [3763] = {.lex_state = 231, .external_lex_state = 2},
  [3764] = {.lex_state = 107, .external_lex_state = 2},
  [3765] = {.lex_state = 107, .external_lex_state = 2},
  [3766] = {.lex_state = 107, .external_lex_state = 2},
  [3767] = {.lex_state = 107, .external_lex_state = 2},
  [3768] = {.lex_state = 107, .external_lex_state = 2},
  [3769] = {.lex_state = 107, .external_lex_state = 2},
  [3770] = {.lex_state = 231, .external_lex_state = 2},
  [3771] = {.lex_state = 109, .external_lex_state = 2},
  [3772] = {.lex_state = 109, .external_lex_state = 2},
  [3773] = {.lex_state = 109, .external_lex_state = 2},
  [3774] = {.lex_state = 109, .external_lex_state = 2},
  [3775] = {.lex_state = 109, .external_lex_state = 2},
  [3776] = {.lex_state = 107, .external_lex_state = 2},
  [3777] = {.lex_state = 109, .external_lex_state = 2},
  [3778] = {.lex_state = 107, .external_lex_state = 2},
  [3779] = {.lex_state = 109, .external_lex_state = 2},
  [3780] = {.lex_state = 109, .external_lex_state = 2},
  [3781] = {.lex_state = 231, .external_lex_state = 2},
  [3782] = {.lex_state = 107, .external_lex_state = 2},
  [3783] = {.lex_state = 231, .external_lex_state = 2},
  [3784] = {.lex_state = 231, .external_lex_state = 2},
  [3785] = {.lex_state = 109, .external_lex_state = 2},
  [3786] = {.lex_state = 109, .external_lex_state = 2},
  [3787] = {.lex_state = 107, .external_lex_state = 2},
  [3788] = {.lex_state = 107, .external_lex_state = 2},
  [3789] = {.lex_state = 107, .external_lex_state = 2},
  [3790] = {.lex_state = 109, .external_lex_state = 2},
  [3791] = {.lex_state = 107, .external_lex_state = 9},
  [3792] = {.lex_state = 108, .external_lex_state = 2},
  [3793] = {.lex_state = 107, .external_lex_state = 9},
  [3794] = {.lex_state = 107, .external_lex_state = 2},
  [3795] = {.lex_state = 107, .external_lex_state = 9},
  [3796] = {.lex_state = 231, .external_lex_state = 2},
  [3797] = {.lex_state = 231, .external_lex_state = 2},
  [3798] = {.lex_state = 109, .external_lex_state = 2},
  [3799] = {.lex_state = 107, .external_lex_state = 2},
  [3800] = {.lex_state = 107, .external_lex_state = 2},
  [3801] = {.lex_state = 107, .external_lex_state = 2},
  [3802] = {.lex_state = 107, .external_lex_state = 2},
  [3803] = {.lex_state = 107, .external_lex_state = 2},
  [3804] = {.lex_state = 231, .external_lex_state = 2},
  [3805] = {.lex_state = 107, .external_lex_state = 2},
  [3806] = {.lex_state = 109, .external_lex_state = 2},
  [3807] = {.lex_state = 109, .external_lex_state = 2},
  [3808] = {.lex_state = 107, .external_lex_state = 2},
  [3809] = {.lex_state = 107, .external_lex_state = 8},
  [3810] = {.lex_state = 109, .external_lex_state = 2},
  [3811] = {.lex_state = 231, .external_lex_state = 2},
  [3812] = {.lex_state = 109, .external_lex_state = 2},
  [3813] = {.lex_state = 109, .external_lex_state = 2},
  [3814] = {.lex_state = 107, .external_lex_state = 2},
  [3815] = {.lex_state = 107, .external_lex_state = 2},
  [3816] = {.lex_state = 109, .external_lex_state = 2},
  [3817] = {.lex_state = 107, .external_lex_state = 2},
  [3818] = {.lex_state = 109, .external_lex_state = 2},
  [3819] = {.lex_state = 231, .external_lex_state = 2},
  [3820] = {.lex_state = 109, .external_lex_state = 2},
  [3821] = {.lex_state = 108, .external_lex_state = 2},
  [3822] = {.lex_state = 109, .external_lex_state = 2},
  [3823] = {.lex_state = 107, .external_lex_state = 2},
  [3824] = {.lex_state = 109, .external_lex_state = 2},
  [3825] = {.lex_state = 107, .external_lex_state = 2},
  [3826] = {.lex_state = 109, .external_lex_state = 2},
  [3827] = {.lex_state = 109, .external_lex_state = 2},
  [3828] = {.lex_state = 107, .external_lex_state = 2},
  [3829] = {.lex_state = 109, .external_lex_state = 2},
  [3830] = {.lex_state = 109, .external_lex_state = 2},
  [3831] = {.lex_state = 109, .external_lex_state = 2},
  [3832] = {.lex_state = 109, .external_lex_state = 2},
  [3833] = {.lex_state = 109, .external_lex_state = 2},
  [3834] = {.lex_state = 109, .external_lex_state = 2},
  [3835] = {.lex_state = 107, .external_lex_state = 2},
  [3836] = {.lex_state = 106, .external_lex_state = 2},
  [3837] = {.lex_state = 76, .external_lex_state = 2},
  [3838] = {.lex_state = 106, .external_lex_state = 2},
  [3839] = {.lex_state = 107, .external_lex_state = 2},
  [3840] = {.lex_state = 109, .external_lex_state = 2},
  [3841] = {.lex_state = 76, .external_lex_state = 2},
  [3842] = {.lex_state = 106, .external_lex_state = 2},
  [3843] = {.lex_state = 107, .external_lex_state = 2},
  [3844] = {.lex_state = 109, .external_lex_state = 2},
  [3845] = {.lex_state = 109, .external_lex_state = 2},
  [3846] = {.lex_state = 109, .external_lex_state = 2},
  [3847] = {.lex_state = 107, .external_lex_state = 2},
  [3848] = {.lex_state = 109, .external_lex_state = 2},
  [3849] = {.lex_state = 73, .external_lex_state = 2},
  [3850] = {.lex_state = 109, .external_lex_state = 2},
  [3851] = {.lex_state = 109, .external_lex_state = 2},
  [3852] = {.lex_state = 109, .external_lex_state = 2},
  [3853] = {.lex_state = 109, .external_lex_state = 2},
  [3854] = {.lex_state = 106, .external_lex_state = 2},
  [3855] = {.lex_state = 109, .external_lex_state = 2},
  [3856] = {.lex_state = 109, .external_lex_state = 2},
  [3857] = {.lex_state = 109, .external_lex_state = 2},
  [3858] = {.lex_state = 109, .external_lex_state = 2},
  [3859] = {.lex_state = 109, .external_lex_state = 2},
  [3860] = {.lex_state = 109, .external_lex_state = 2},
  [3861] = {.lex_state = 109, .external_lex_state = 2},
  [3862] = {.lex_state = 107, .external_lex_state = 9},
  [3863] = {.lex_state = 107, .external_lex_state = 9},
  [3864] = {.lex_state = 107, .external_lex_state = 2},
  [3865] = {.lex_state = 106, .external_lex_state = 2},
  [3866] = {.lex_state = 76, .external_lex_state = 2},
  [3867] = {.lex_state = 109, .external_lex_state = 2},
  [3868] = {.lex_state = 109, .external_lex_state = 2},
  [3869] = {.lex_state = 76, .external_lex_state = 2},
  [3870] = {.lex_state = 107, .external_lex_state = 9},
  [3871] = {.lex_state = 107, .external_lex_state = 2},
  [3872] = {.lex_state = 76, .external_lex_state = 2},
  [3873] = {.lex_state = 76, .external_lex_state = 2},
  [3874] = {.lex_state = 107, .external_lex_state = 9},
  [3875] = {.lex_state = 109, .external_lex_state = 2},
  [3876] = {.lex_state = 109, .external_lex_state = 2},
  [3877] = {.lex_state = 107, .external_lex_state = 9},
  [3878] = {.lex_state = 109, .external_lex_state = 2},
  [3879] = {.lex_state = 109, .external_lex_state = 2},
  [3880] = {.lex_state = 73, .external_lex_state = 2},
  [3881] = {.lex_state = 107, .external_lex_state = 2},
  [3882] = {.lex_state = 109, .external_lex_state = 2},
  [3883] = {.lex_state = 107, .external_lex_state = 9},
  [3884] = {.lex_state = 109, .external_lex_state = 2},
  [3885] = {.lex_state = 109, .external_lex_state = 2},
  [3886] = {.lex_state = 109, .external_lex_state = 2},
  [3887] = {.lex_state = 109, .external_lex_state = 2},
  [3888] = {.lex_state = 107, .external_lex_state = 2},
  [3889] = {.lex_state = 109, .external_lex_state = 2},
  [3890] = {.lex_state = 109, .external_lex_state = 2},
  [3891] = {.lex_state = 107, .external_lex_state = 9},
  [3892] = {.lex_state = 107, .external_lex_state = 9},
  [3893] = {.lex_state = 109, .external_lex_state = 2},
  [3894] = {.lex_state = 109, .external_lex_state = 2},
  [3895] = {.lex_state = 109, .external_lex_state = 2},
  [3896] = {.lex_state = 107, .external_lex_state = 9},
  [3897] = {.lex_state = 109, .external_lex_state = 2},
  [3898] = {.lex_state = 107, .external_lex_state = 9},
  [3899] = {.lex_state = 109, .external_lex_state = 2},
  [3900] = {.lex_state = 107, .external_lex_state = 9},
  [3901] = {.lex_state = 122, .external_lex_state = 2},
  [3902] = {.lex_state = 231, .external_lex_state = 2},
  [3903] = {.lex_state = 231, .external_lex_state = 2},
  [3904] = {.lex_state = 122, .external_lex_state = 2},
  [3905] = {.lex_state = 69, .external_lex_state = 2},
  [3906] = {.lex_state = 77, .external_lex_state = 2},
  [3907] = {.lex_state = 69, .external_lex_state = 2},
  [3908] = {.lex_state = 122, .external_lex_state = 2},
  [3909] = {.lex_state = 231, .external_lex_state = 2},
  [3910] = {.lex_state = 69, .external_lex_state = 2},
  [3911] = {.lex_state = 122, .external_lex_state = 2},
  [3912] = {.lex_state = 69, .external_lex_state = 2},
  [3913] = {.lex_state = 69, .external_lex_state = 2},
  [3914] = {.lex_state = 123, .external_lex_state = 2},
  [3915] = {.lex_state = 73, .external_lex_state = 2},
  [3916] = {.lex_state = 69, .external_lex_state = 2},
  [3917] = {.lex_state = 77, .external_lex_state = 2},
  [3918] = {.lex_state = 231, .external_lex_state = 2},
  [3919] = {.lex_state = 123, .external_lex_state = 2},
  [3920] = {.lex_state = 231, .external_lex_state = 2},
  [3921] = {.lex_state = 69, .external_lex_state = 2},
  [3922] = {.lex_state = 122, .external_lex_state = 2},
  [3923] = {.lex_state = 77, .external_lex_state = 2},
  [3924] = {.lex_state = 77, .external_lex_state = 2},
  [3925] = {.lex_state = 69, .external_lex_state = 2},
  [3926] = {.lex_state = 69, .external_lex_state = 2},
  [3927] = {.lex_state = 69, .external_lex_state = 2},
  [3928] = {.lex_state = 69, .external_lex_state = 2},
  [3929] = {.lex_state = 69, .external_lex_state = 2},
  [3930] = {.lex_state = 69, .external_lex_state = 2},
  [3931] = {.lex_state = 69, .external_lex_state = 2},
  [3932] = {.lex_state = 69, .external_lex_state = 2},
  [3933] = {.lex_state = 69, .external_lex_state = 2},
  [3934] = {.lex_state = 69, .external_lex_state = 2},
  [3935] = {.lex_state = 231, .external_lex_state = 2},
  [3936] = {.lex_state = 122, .external_lex_state = 2},
  [3937] = {.lex_state = 69, .external_lex_state = 2},
  [3938] = {.lex_state = 231, .external_lex_state = 2},
  [3939] = {.lex_state = 69, .external_lex_state = 2},
  [3940] = {.lex_state = 69, .external_lex_state = 2},
  [3941] = {.lex_state = 69, .external_lex_state = 2},
  [3942] = {.lex_state = 123, .external_lex_state = 2},
  [3943] = {.lex_state = 69, .external_lex_state = 2},
  [3944] = {.lex_state = 69, .external_lex_state = 2},
  [3945] = {.lex_state = 122, .external_lex_state = 2},
  [3946] = {.lex_state = 231, .external_lex_state = 2},
  [3947] = {.lex_state = 77, .external_lex_state = 2},
  [3948] = {.lex_state = 69, .external_lex_state = 2},
  [3949] = {.lex_state = 123, .external_lex_state = 2},
  [3950] = {.lex_state = 69, .external_lex_state = 2},
  [3951] = {.lex_state = 69, .external_lex_state = 2},
  [3952] = {.lex_state = 69, .external_lex_state = 2},
  [3953] = {.lex_state = 69, .external_lex_state = 2},
  [3954] = {.lex_state = 69, .external_lex_state = 2},
  [3955] = {.lex_state = 123, .external_lex_state = 2},
  [3956] = {.lex_state = 123, .external_lex_state = 2},
  [3957] = {.lex_state = 123, .external_lex_state = 2},
  [3958] = {.lex_state = 123, .external_lex_state = 2},
  [3959] = {.lex_state = 69, .external_lex_state = 2},
  [3960] = {.lex_state = 123, .external_lex_state = 2},
  [3961] = {.lex_state = 122, .external_lex_state = 2},
  [3962] = {.lex_state = 69, .external_lex_state = 2},
  [3963] = {.lex_state = 122, .external_lex_state = 2},
  [3964] = {.lex_state = 123, .external_lex_state = 2},
  [3965] = {.lex_state = 73, .external_lex_state = 2},
  [3966] = {.lex_state = 69, .external_lex_state = 2},
  [3967] = {.lex_state = 123, .external_lex_state = 2},
  [3968] = {.lex_state = 69, .external_lex_state = 2},
  [3969] = {.lex_state = 123, .external_lex_state = 2},
  [3970] = {.lex_state = 231, .external_lex_state = 2},
  [3971] = {.lex_state = 123, .external_lex_state = 2},
  [3972] = {.lex_state = 123, .external_lex_state = 2},
  [3973] = {.lex_state = 123, .external_lex_state = 2},
  [3974] = {.lex_state = 231, .external_lex_state = 2},
  [3975] = {.lex_state = 122, .external_lex_state = 2},
  [3976] = {.lex_state = 69, .external_lex_state = 2},
  [3977] = {.lex_state = 123, .external_lex_state = 2},
  [3978] = {.lex_state = 122, .external_lex_state = 2},
  [3979] = {.lex_state = 123, .external_lex_state = 2},
  [3980] = {.lex_state = 107, .external_lex_state = 2},
  [3981] = {.lex_state = 69, .external_lex_state = 2},
  [3982] = {.lex_state = 107, .external_lex_state = 2},
  [3983] = {.lex_state = 107, .external_lex_state = 2},
  [3984] = {.lex_state = 231, .external_lex_state = 2},
  [3985] = {.lex_state = 231, .external_lex_state = 2},
  [3986] = {.lex_state = 231, .external_lex_state = 2},
  [3987] = {.lex_state = 231, .external_lex_state = 2},
  [3988] = {.lex_state = 109, .external_lex_state = 2},
  [3989] = {.lex_state = 231, .external_lex_state = 2},
  [3990] = {.lex_state = 231, .external_lex_state = 2},
  [3991] = {.lex_state = 122, .external_lex_state = 2},
  [3992] = {.lex_state = 109, .external_lex_state = 2},
  [3993] = {.lex_state = 109, .external_lex_state = 2},
  [3994] = {.lex_state = 109, .external_lex_state = 2},
  [3995] = {.lex_state = 230, .external_lex_state = 10},
  [3996] = {.lex_state = 109, .external_lex_state = 2},
  [3997] = {.lex_state = 109, .external_lex_state = 2},
  [3998] = {.lex_state = 231, .external_lex_state = 2},
  [3999] = {.lex_state = 109, .external_lex_state = 2},
  [4000] = {.lex_state = 109, .external_lex_state = 2},
  [4001] = {.lex_state = 122, .external_lex_state = 2},
  [4002] = {.lex_state = 109, .external_lex_state = 2},
  [4003] = {.lex_state = 230, .external_lex_state = 10},
  [4004] = {.lex_state = 109, .external_lex_state = 2},
  [4005] = {.lex_state = 109, .external_lex_state = 2},
  [4006] = {.lex_state = 231, .external_lex_state = 2},
  [4007] = {.lex_state = 231, .external_lex_state = 2},
  [4008] = {.lex_state = 231, .external_lex_state = 2},
  [4009] = {.lex_state = 122, .external_lex_state = 2},
  [4010] = {.lex_state = 109, .external_lex_state = 2},
  [4011] = {.lex_state = 109, .external_lex_state = 2},
  [4012] = {.lex_state = 109, .external_lex_state = 2},
  [4013] = {.lex_state = 231, .external_lex_state = 2},
  [4014] = {.lex_state = 231, .external_lex_state = 2},
  [4015] = {.lex_state = 109, .external_lex_state = 2},
  [4016] = {.lex_state = 109, .external_lex_state = 2},
  [4017] = {.lex_state = 230, .external_lex_state = 10},
  [4018] = {.lex_state = 230, .external_lex_state = 10},
  [4019] = {.lex_state = 109, .external_lex_state = 2},
  [4020] = {.lex_state = 109, .external_lex_state = 2},
  [4021] = {.lex_state = 122, .external_lex_state = 2},
  [4022] = {.lex_state = 109, .external_lex_state = 2},
  [4023] = {.lex_state = 109, .external_lex_state = 2},
  [4024] = {.lex_state = 122, .external_lex_state = 2},
  [4025] = {.lex_state = 109, .external_lex_state = 2},
  [4026] = {.lex_state = 231, .external_lex_state = 4},
  [4027] = {.lex_state = 231, .external_lex_state = 2},
  [4028] = {.lex_state = 230, .external_lex_state = 10},
  [4029] = {.lex_state = 122, .external_lex_state = 2},
  [4030] = {.lex_state = 122, .external_lex_state = 2},
  [4031] = {.lex_state = 231, .external_lex_state = 2},
  [4032] = {.lex_state = 231, .external_lex_state = 2},
  [4033] = {.lex_state = 231, .external_lex_state = 2},
  [4034] = {.lex_state = 109, .external_lex_state = 2},
  [4035] = {.lex_state = 231, .external_lex_state = 2},
  [4036] = {.lex_state = 109, .external_lex_state = 2},
  [4037] = {.lex_state = 109, .external_lex_state = 2},
  [4038] = {.lex_state = 109, .external_lex_state = 2},
  [4039] = {.lex_state = 230, .external_lex_state = 10},
  [4040] = {.lex_state = 122, .external_lex_state = 2},
  [4041] = {.lex_state = 109, .external_lex_state = 2},
  [4042] = {.lex_state = 109, .external_lex_state = 2},
  [4043] = {.lex_state = 231, .external_lex_state = 2},
  [4044] = {.lex_state = 230, .external_lex_state = 10},
  [4045] = {.lex_state = 231, .external_lex_state = 2},
  [4046] = {.lex_state = 109, .external_lex_state = 2},
  [4047] = {.lex_state = 109, .external_lex_state = 2},
  [4048] = {.lex_state = 122, .external_lex_state = 2},
  [4049] = {.lex_state = 109, .external_lex_state = 2},
  [4050] = {.lex_state = 231, .external_lex_state = 2},
  [4051] = {.lex_state = 109, .external_lex_state = 2},
  [4052] = {.lex_state = 109, .external_lex_state = 2},
  [4053] = {.lex_state = 109, .external_lex_state = 2},
  [4054] = {.lex_state = 122, .external_lex_state = 2},
  [4055] = {.lex_state = 231, .external_lex_state = 4},
  [4056] = {.lex_state = 230, .external_lex_state = 10},
  [4057] = {.lex_state = 109, .external_lex_state = 2},
  [4058] = {.lex_state = 109, .external_lex_state = 2},
  [4059] = {.lex_state = 109, .external_lex_state = 2},
  [4060] = {.lex_state = 230, .external_lex_state = 10},
  [4061] = {.lex_state = 230, .external_lex_state = 10},
  [4062] = {.lex_state = 109, .external_lex_state = 2},
  [4063] = {.lex_state = 231, .external_lex_state = 2},
  [4064] = {.lex_state = 109, .external_lex_state = 2},
  [4065] = {.lex_state = 231, .external_lex_state = 2},
  [4066] = {.lex_state = 231, .external_lex_state = 2},
  [4067] = {.lex_state = 231, .external_lex_state = 2},
  [4068] = {.lex_state = 231, .external_lex_state = 2},
  [4069] = {.lex_state = 109, .external_lex_state = 2},
  [4070] = {.lex_state = 122, .external_lex_state = 2},
  [4071] = {.lex_state = 109, .external_lex_state = 2},
  [4072] = {.lex_state = 231, .external_lex_state = 2},
  [4073] = {.lex_state = 69, .external_lex_state = 2},
  [4074] = {.lex_state = 109, .external_lex_state = 2},
  [4075] = {.lex_state = 109, .external_lex_state = 2},
  [4076] = {.lex_state = 231, .external_lex_state = 2},
  [4077] = {.lex_state = 69, .external_lex_state = 2},
  [4078] = {.lex_state = 109, .external_lex_state = 2},
  [4079] = {.lex_state = 109, .external_lex_state = 2},
  [4080] = {.lex_state = 231, .external_lex_state = 2},
  [4081] = {.lex_state = 231, .external_lex_state = 2},
  [4082] = {.lex_state = 109, .external_lex_state = 2},
  [4083] = {.lex_state = 109, .external_lex_state = 2},
  [4084] = {.lex_state = 231, .external_lex_state = 2},
  [4085] = {.lex_state = 231, .external_lex_state = 2},
  [4086] = {.lex_state = 231, .external_lex_state = 2},
  [4087] = {.lex_state = 231, .external_lex_state = 2},
  [4088] = {.lex_state = 231, .external_lex_state = 2},
  [4089] = {.lex_state = 231, .external_lex_state = 2},
  [4090] = {.lex_state = 231, .external_lex_state = 2},
  [4091] = {.lex_state = 231, .external_lex_state = 2},
  [4092] = {.lex_state = 231, .external_lex_state = 2},
  [4093] = {.lex_state = 231, .external_lex_state = 2},
  [4094] = {.lex_state = 73, .external_lex_state = 2},
  [4095] = {.lex_state = 99, .external_lex_state = 2},
  [4096] = {.lex_state = 231, .external_lex_state = 8},
  [4097] = {.lex_state = 230, .external_lex_state = 11},
  [4098] = {.lex_state = 231, .external_lex_state = 2},
  [4099] = {.lex_state = 230, .external_lex_state = 11},
  [4100] = {.lex_state = 231, .external_lex_state = 4},
  [4101] = {.lex_state = 230, .external_lex_state = 2},
  [4102] = {.lex_state = 231, .external_lex_state = 2},
  [4103] = {.lex_state = 231, .external_lex_state = 4},
  [4104] = {.lex_state = 230, .external_lex_state = 11},
  [4105] = {.lex_state = 231, .external_lex_state = 2},
  [4106] = {.lex_state = 231, .external_lex_state = 8},
  [4107] = {.lex_state = 231, .external_lex_state = 2},
  [4108] = {.lex_state = 231, .external_lex_state = 8},
  [4109] = {.lex_state = 231, .external_lex_state = 2},
  [4110] = {.lex_state = 231, .external_lex_state = 2},
  [4111] = {.lex_state = 231, .external_lex_state = 2},
  [4112] = {.lex_state = 230, .external_lex_state = 11},
  [4113] = {.lex_state = 231, .external_lex_state = 2},
  [4114] = {.lex_state = 231, .external_lex_state = 2},
  [4115] = {.lex_state = 231, .external_lex_state = 2},
  [4116] = {.lex_state = 231, .external_lex_state = 2},
  [4117] = {.lex_state = 231, .external_lex_state = 2},
  [4118] = {.lex_state = 231, .external_lex_state = 4},
  [4119] = {.lex_state = 231, .external_lex_state = 2},
  [4120] = {.lex_state = 230, .external_lex_state = 11},
  [4121] = {.lex_state = 231, .external_lex_state = 2},
  [4122] = {.lex_state = 230, .external_lex_state = 11},
  [4123] = {.lex_state = 231, .external_lex_state = 2},
  [4124] = {.lex_state = 73, .external_lex_state = 2},
  [4125] = {.lex_state = 231, .external_lex_state = 2},
  [4126] = {.lex_state = 231, .external_lex_state = 2},
  [4127] = {.lex_state = 231, .external_lex_state = 2},
  [4128] = {.lex_state = 231, .external_lex_state = 2},
  [4129] = {.lex_state = 231, .external_lex_state = 2},
  [4130] = {.lex_state = 230, .external_lex_state = 11},
  [4131] = {.lex_state = 73, .external_lex_state = 2},
  [4132] = {.lex_state = 73, .external_lex_state = 2},
  [4133] = {.lex_state = 230, .external_lex_state = 11},
  [4134] = {.lex_state = 73, .external_lex_state = 2},
  [4135] = {.lex_state = 231, .external_lex_state = 8},
  [4136] = {.lex_state = 230, .external_lex_state = 10},
  [4137] = {.lex_state = 231, .external_lex_state = 8},
  [4138] = {.lex_state = 231, .external_lex_state = 2},
  [4139] = {.lex_state = 109, .external_lex_state = 2},
  [4140] = {.lex_state = 230, .external_lex_state = 11},
  [4141] = {.lex_state = 231, .external_lex_state = 8},
  [4142] = {.lex_state = 231, .external_lex_state = 2},
  [4143] = {.lex_state = 73, .external_lex_state = 2},
  [4144] = {.lex_state = 122, .external_lex_state = 2},
  [4145] = {.lex_state = 231, .external_lex_state = 2},
  [4146] = {.lex_state = 231, .external_lex_state = 2},
  [4147] = {.lex_state = 231, .external_lex_state = 2},
  [4148] = {.lex_state = 120, .external_lex_state = 2},
  [4149] = {.lex_state = 230, .external_lex_state = 11},
  [4150] = {.lex_state = 231, .external_lex_state = 2},
  [4151] = {.lex_state = 231, .external_lex_state = 2},
  [4152] = {.lex_state = 231, .external_lex_state = 2},
  [4153] = {.lex_state = 73, .external_lex_state = 2},
  [4154] = {.lex_state = 231, .external_lex_state = 4},
  [4155] = {.lex_state = 231, .external_lex_state = 4},
  [4156] = {.lex_state = 230, .external_lex_state = 11},
  [4157] = {.lex_state = 230, .external_lex_state = 11},
  [4158] = {.lex_state = 231, .external_lex_state = 2},
  [4159] = {.lex_state = 230, .external_lex_state = 3},
  [4160] = {.lex_state = 231, .external_lex_state = 2},
  [4161] = {.lex_state = 73, .external_lex_state = 2},
  [4162] = {.lex_state = 231, .external_lex_state = 3},
  [4163] = {.lex_state = 230, .external_lex_state = 4},
  [4164] = {.lex_state = 231, .external_lex_state = 2},
  [4165] = {.lex_state = 231, .external_lex_state = 3},
  [4166] = {.lex_state = 231, .external_lex_state = 2},
  [4167] = {.lex_state = 231, .external_lex_state = 2},
  [4168] = {.lex_state = 84, .external_lex_state = 2},
  [4169] = {.lex_state = 230, .external_lex_state = 2},
  [4170] = {.lex_state = 230, .external_lex_state = 11},
  [4171] = {.lex_state = 231, .external_lex_state = 2},
  [4172] = {.lex_state = 230, .external_lex_state = 11},
  [4173] = {.lex_state = 230, .external_lex_state = 3},
  [4174] = {.lex_state = 230, .external_lex_state = 11},
  [4175] = {.lex_state = 230, .external_lex_state = 11},
  [4176] = {.lex_state = 231, .external_lex_state = 3},
  [4177] = {.lex_state = 231, .external_lex_state = 2},
  [4178] = {.lex_state = 231, .external_lex_state = 4},
  [4179] = {.lex_state = 230, .external_lex_state = 2},
  [4180] = {.lex_state = 230, .external_lex_state = 11},
  [4181] = {.lex_state = 231, .external_lex_state = 2},
  [4182] = {.lex_state = 231, .external_lex_state = 2},
  [4183] = {.lex_state = 231, .external_lex_state = 2},
  [4184] = {.lex_state = 231, .external_lex_state = 2},
  [4185] = {.lex_state = 230, .external_lex_state = 11},
  [4186] = {.lex_state = 230, .external_lex_state = 11},
  [4187] = {.lex_state = 231, .external_lex_state = 8},
  [4188] = {.lex_state = 109, .external_lex_state = 2},
  [4189] = {.lex_state = 231, .external_lex_state = 2},
  [4190] = {.lex_state = 230, .external_lex_state = 2},
  [4191] = {.lex_state = 231, .external_lex_state = 2},
  [4192] = {.lex_state = 84, .external_lex_state = 2},
  [4193] = {.lex_state = 73, .external_lex_state = 2},
  [4194] = {.lex_state = 231, .external_lex_state = 2},
  [4195] = {.lex_state = 230, .external_lex_state = 2},
  [4196] = {.lex_state = 230, .external_lex_state = 11},
  [4197] = {.lex_state = 230, .external_lex_state = 11},
  [4198] = {.lex_state = 230, .external_lex_state = 11},
  [4199] = {.lex_state = 230, .external_lex_state = 3},
  [4200] = {.lex_state = 230, .external_lex_state = 4},
  [4201] = {.lex_state = 230, .external_lex_state = 4},
  [4202] = {.lex_state = 230, .external_lex_state = 8},
  [4203] = {.lex_state = 230, .external_lex_state = 2},
  [4204] = {.lex_state = 230, .external_lex_state = 11},
  [4205] = {.lex_state = 230, .external_lex_state = 4},
  [4206] = {.lex_state = 231, .external_lex_state = 3},
  [4207] = {.lex_state = 230, .external_lex_state = 4},
  [4208] = {.lex_state = 231, .external_lex_state = 2},
  [4209] = {.lex_state = 231, .external_lex_state = 2},
  [4210] = {.lex_state = 231, .external_lex_state = 2},
  [4211] = {.lex_state = 230, .external_lex_state = 11},
  [4212] = {.lex_state = 230, .external_lex_state = 11},
  [4213] = {.lex_state = 230, .external_lex_state = 2},
  [4214] = {.lex_state = 231, .external_lex_state = 2},
  [4215] = {.lex_state = 230, .external_lex_state = 11},
  [4216] = {.lex_state = 231, .external_lex_state = 2},
  [4217] = {.lex_state = 230, .external_lex_state = 11},
  [4218] = {.lex_state = 230, .external_lex_state = 11},
  [4219] = {.lex_state = 231, .external_lex_state = 2},
  [4220] = {.lex_state = 231, .external_lex_state = 2},
  [4221] = {.lex_state = 107, .external_lex_state = 2},
  [4222] = {.lex_state = 73, .external_lex_state = 2},
  [4223] = {.lex_state = 230, .external_lex_state = 2},
  [4224] = {.lex_state = 230, .external_lex_state = 8},
  [4225] = {.lex_state = 230, .external_lex_state = 4},
  [4226] = {.lex_state = 230, .external_lex_state = 11},
  [4227] = {.lex_state = 84, .external_lex_state = 2},
  [4228] = {.lex_state = 107, .external_lex_state = 2},
  [4229] = {.lex_state = 231, .external_lex_state = 2},
  [4230] = {.lex_state = 230, .external_lex_state = 2},
  [4231] = {.lex_state = 231, .external_lex_state = 3},
  [4232] = {.lex_state = 230, .external_lex_state = 4},
  [4233] = {.lex_state = 84, .external_lex_state = 2},
  [4234] = {.lex_state = 231, .external_lex_state = 3},
  [4235] = {.lex_state = 109, .external_lex_state = 2},
  [4236] = {.lex_state = 230, .external_lex_state = 2},
  [4237] = {.lex_state = 231, .external_lex_state = 2},
  [4238] = {.lex_state = 231, .external_lex_state = 2},
  [4239] = {.lex_state = 230, .external_lex_state = 2},
  [4240] = {.lex_state = 230, .external_lex_state = 3},
  [4241] = {.lex_state = 107, .external_lex_state = 2},
  [4242] = {.lex_state = 230, .external_lex_state = 2},
  [4243] = {.lex_state = 231, .external_lex_state = 3},
  [4244] = {.lex_state = 84, .external_lex_state = 2},
  [4245] = {.lex_state = 231, .external_lex_state = 2},
  [4246] = {.lex_state = 230, .external_lex_state = 2},
  [4247] = {.lex_state = 107, .external_lex_state = 2},
  [4248] = {.lex_state = 231, .external_lex_state = 2},
  [4249] = {.lex_state = 73, .external_lex_state = 2},
  [4250] = {.lex_state = 231, .external_lex_state = 3},
  [4251] = {.lex_state = 230, .external_lex_state = 11},
  [4252] = {.lex_state = 230, .external_lex_state = 11},
  [4253] = {.lex_state = 231, .external_lex_state = 2},
  [4254] = {.lex_state = 231, .external_lex_state = 2},
  [4255] = {.lex_state = 73, .external_lex_state = 2},
  [4256] = {.lex_state = 231, .external_lex_state = 2},
  [4257] = {.lex_state = 230, .external_lex_state = 2},
  [4258] = {.lex_state = 230, .external_lex_state = 4},
  [4259] = {.lex_state = 231, .external_lex_state = 2},
  [4260] = {.lex_state = 231, .external_lex_state = 3},
  [4261] = {.lex_state = 230, .external_lex_state = 3},
  [4262] = {.lex_state = 231, .external_lex_state = 2},
  [4263] = {.lex_state = 73, .external_lex_state = 2},
  [4264] = {.lex_state = 99, .external_lex_state = 2},
  [4265] = {.lex_state = 84, .external_lex_state = 2},
  [4266] = {.lex_state = 109, .external_lex_state = 2},
  [4267] = {.lex_state = 231, .external_lex_state = 2},
  [4268] = {.lex_state = 231, .external_lex_state = 3},
  [4269] = {.lex_state = 231, .external_lex_state = 4},
  [4270] = {.lex_state = 231, .external_lex_state = 2},
  [4271] = {.lex_state = 230, .external_lex_state = 3},
  [4272] = {.lex_state = 231, .external_lex_state = 2},
  [4273] = {.lex_state = 231, .external_lex_state = 2},
  [4274] = {.lex_state = 231, .external_lex_state = 2},
  [4275] = {.lex_state = 230, .external_lex_state = 11},
  [4276] = {.lex_state = 230, .external_lex_state = 2},
  [4277] = {.lex_state = 109, .external_lex_state = 2},
  [4278] = {.lex_state = 231, .external_lex_state = 2},
  [4279] = {.lex_state = 230, .external_lex_state = 11},
  [4280] = {.lex_state = 230, .external_lex_state = 11},
  [4281] = {.lex_state = 231, .external_lex_state = 4},
  [4282] = {.lex_state = 230, .external_lex_state = 3},
  [4283] = {.lex_state = 230, .external_lex_state = 4},
  [4284] = {.lex_state = 231, .external_lex_state = 2},
  [4285] = {.lex_state = 231, .external_lex_state = 2},
  [4286] = {.lex_state = 231, .external_lex_state = 8},
  [4287] = {.lex_state = 231, .external_lex_state = 2},
  [4288] = {.lex_state = 230, .external_lex_state = 2},
  [4289] = {.lex_state = 230, .external_lex_state = 11},
  [4290] = {.lex_state = 230, .external_lex_state = 2},
  [4291] = {.lex_state = 230, .external_lex_state = 8},
  [4292] = {.lex_state = 231, .external_lex_state = 2},
  [4293] = {.lex_state = 231, .external_lex_state = 2},
  [4294] = {.lex_state = 230, .external_lex_state = 4},
  [4295] = {.lex_state = 231, .external_lex_state = 2},
  [4296] = {.lex_state = 230, .external_lex_state = 8},
  [4297] = {.lex_state = 230, .external_lex_state = 2},
  [4298] = {.lex_state = 231, .external_lex_state = 2},
  [4299] = {.lex_state = 230, .external_lex_state = 11},
  [4300] = {.lex_state = 231, .external_lex_state = 2},
  [4301] = {.lex_state = 230, .external_lex_state = 3},
  [4302] = {.lex_state = 231, .external_lex_state = 8},
  [4303] = {.lex_state = 231, .external_lex_state = 3},
  [4304] = {.lex_state = 231, .external_lex_state = 2},
  [4305] = {.lex_state = 230, .external_lex_state = 2},
  [4306] = {.lex_state = 230, .external_lex_state = 4},
  [4307] = {.lex_state = 231, .external_lex_state = 4},
  [4308] = {.lex_state = 230, .external_lex_state = 11},
  [4309] = {.lex_state = 230, .external_lex_state = 3},
  [4310] = {.lex_state = 230, .external_lex_state = 2},
  [4311] = {.lex_state = 231, .external_lex_state = 2},
  [4312] = {.lex_state = 230, .external_lex_state = 4},
  [4313] = {.lex_state = 231, .external_lex_state = 2},
  [4314] = {.lex_state = 99, .external_lex_state = 2},
  [4315] = {.lex_state = 231, .external_lex_state = 2},
  [4316] = {.lex_state = 230, .external_lex_state = 8},
  [4317] = {.lex_state = 230, .external_lex_state = 8},
  [4318] = {.lex_state = 230, .external_lex_state = 11},
  [4319] = {.lex_state = 230, .external_lex_state = 11},
  [4320] = {.lex_state = 231, .external_lex_state = 2},
  [4321] = {.lex_state = 231, .external_lex_state = 2},
  [4322] = {.lex_state = 230, .external_lex_state = 11},
  [4323] = {.lex_state = 231, .external_lex_state = 2},
  [4324] = {.lex_state = 231, .external_lex_state = 2},
  [4325] = {.lex_state = 230, .external_lex_state = 2},
  [4326] = {.lex_state = 231, .external_lex_state = 2},
  [4327] = {.lex_state = 231, .external_lex_state = 2},
  [4328] = {.lex_state = 230, .external_lex_state = 11},
  [4329] = {.lex_state = 230, .external_lex_state = 11},
  [4330] = {.lex_state = 230, .external_lex_state = 8},
  [4331] = {.lex_state = 109, .external_lex_state = 2},
  [4332] = {.lex_state = 230, .external_lex_state = 8},
  [4333] = {.lex_state = 230, .external_lex_state = 11},
  [4334] = {.lex_state = 109, .external_lex_state = 2},
  [4335] = {.lex_state = 109, .external_lex_state = 2},
  [4336] = {.lex_state = 230, .external_lex_state = 11},
  [4337] = {.lex_state = 73, .external_lex_state = 2},
  [4338] = {.lex_state = 230, .external_lex_state = 8},
  [4339] = {.lex_state = 230, .external_lex_state = 2},
  [4340] = {.lex_state = 230, .external_lex_state = 11},
  [4341] = {.lex_state = 231, .external_lex_state = 2},
  [4342] = {.lex_state = 73, .external_lex_state = 2},
  [4343] = {.lex_state = 230, .external_lex_state = 2},
  [4344] = {.lex_state = 230, .external_lex_state = 8},
  [4345] = {.lex_state = 230, .external_lex_state = 11},
  [4346] = {.lex_state = 230, .external_lex_state = 11},
  [4347] = {.lex_state = 230, .external_lex_state = 8},
  [4348] = {.lex_state = 230, .external_lex_state = 11},
  [4349] = {.lex_state = 109, .external_lex_state = 2},
  [4350] = {.lex_state = 230, .external_lex_state = 11},
  [4351] = {.lex_state = 230, .external_lex_state = 11},
  [4352] = {.lex_state = 230, .external_lex_state = 11},
  [4353] = {.lex_state = 230, .external_lex_state = 8},
  [4354] = {.lex_state = 230, .external_lex_state = 11},
  [4355] = {.lex_state = 109, .external_lex_state = 2},
  [4356] = {.lex_state = 231, .external_lex_state = 2},
  [4357] = {.lex_state = 109, .external_lex_state = 2},
  [4358] = {.lex_state = 230, .external_lex_state = 8},
  [4359] = {.lex_state = 231, .external_lex_state = 8},
  [4360] = {.lex_state = 230, .external_lex_state = 11},
  [4361] = {.lex_state = 109, .external_lex_state = 2},
  [4362] = {.lex_state = 230, .external_lex_state = 4},
  [4363] = {.lex_state = 230, .external_lex_state = 11},
  [4364] = {.lex_state = 231, .external_lex_state = 8},
  [4365] = {.lex_state = 230, .external_lex_state = 11},
  [4366] = {.lex_state = 231, .external_lex_state = 2},
  [4367] = {.lex_state = 230, .external_lex_state = 8},
  [4368] = {.lex_state = 231, .external_lex_state = 2},
  [4369] = {.lex_state = 231, .external_lex_state = 8},
  [4370] = {.lex_state = 109, .external_lex_state = 2},
  [4371] = {.lex_state = 230, .external_lex_state = 11},
  [4372] = {.lex_state = 230, .external_lex_state = 11},
  [4373] = {.lex_state = 230, .external_lex_state = 11},
  [4374] = {.lex_state = 230, .external_lex_state = 11},
  [4375] = {.lex_state = 230, .external_lex_state = 11},
  [4376] = {.lex_state = 230, .external_lex_state = 8},
  [4377] = {.lex_state = 230, .external_lex_state = 11},
  [4378] = {.lex_state = 230, .external_lex_state = 11},
  [4379] = {.lex_state = 109, .external_lex_state = 2},
  [4380] = {.lex_state = 109, .external_lex_state = 2},
  [4381] = {.lex_state = 230, .external_lex_state = 8},
  [4382] = {.lex_state = 109, .external_lex_state = 2},
  [4383] = {.lex_state = 109, .external_lex_state = 2},
  [4384] = {.lex_state = 230, .external_lex_state = 11},
  [4385] = {.lex_state = 230, .external_lex_state = 8},
  [4386] = {.lex_state = 230, .external_lex_state = 11},
  [4387] = {.lex_state = 230, .external_lex_state = 11},
  [4388] = {.lex_state = 230, .external_lex_state = 11},
  [4389] = {.lex_state = 230, .external_lex_state = 11},
  [4390] = {.lex_state = 231, .external_lex_state = 2},
  [4391] = {.lex_state = 230, .external_lex_state = 11},
  [4392] = {.lex_state = 230, .external_lex_state = 11},
  [4393] = {.lex_state = 230, .external_lex_state = 11},
  [4394] = {.lex_state = 230, .external_lex_state = 11},
  [4395] = {.lex_state = 230, .external_lex_state = 11},
  [4396] = {.lex_state = 230, .external_lex_state = 11},
  [4397] = {.lex_state = 230, .external_lex_state = 11},
  [4398] = {.lex_state = 230, .external_lex_state = 11},
  [4399] = {.lex_state = 230, .external_lex_state = 11},
  [4400] = {.lex_state = 109, .external_lex_state = 2},
  [4401] = {.lex_state = 230, .external_lex_state = 8},
  [4402] = {.lex_state = 230, .external_lex_state = 2},
  [4403] = {.lex_state = 231, .external_lex_state = 2},
  [4404] = {.lex_state = 230, .external_lex_state = 8},
  [4405] = {.lex_state = 231, .external_lex_state = 2},
  [4406] = {.lex_state = 109, .external_lex_state = 2},
  [4407] = {.lex_state = 230, .external_lex_state = 4},
  [4408] = {.lex_state = 109, .external_lex_state = 2},
  [4409] = {.lex_state = 231, .external_lex_state = 2},
  [4410] = {.lex_state = 230, .external_lex_state = 8},
  [4411] = {.lex_state = 73, .external_lex_state = 2},
  [4412] = {.lex_state = 231, .external_lex_state = 2},
  [4413] = {.lex_state = 230, .external_lex_state = 11},
  [4414] = {.lex_state = 109, .external_lex_state = 2},
  [4415] = {.lex_state = 230, .external_lex_state = 11},
  [4416] = {.lex_state = 230, .external_lex_state = 11},
  [4417] = {.lex_state = 230, .external_lex_state = 11},
  [4418] = {.lex_state = 230, .external_lex_state = 8},
  [4419] = {.lex_state = 230, .external_lex_state = 11},
  [4420] = {.lex_state = 230, .external_lex_state = 8},
  [4421] = {.lex_state = 230, .external_lex_state = 8},
  [4422] = {.lex_state = 230, .external_lex_state = 4},
  [4423] = {.lex_state = 230, .external_lex_state = 4},
  [4424] = {.lex_state = 230, .external_lex_state = 11},
  [4425] = {.lex_state = 230, .external_lex_state = 11},
  [4426] = {.lex_state = 230, .external_lex_state = 11},
  [4427] = {.lex_state = 109, .external_lex_state = 2},
  [4428] = {.lex_state = 230, .external_lex_state = 8},
  [4429] = {.lex_state = 230, .external_lex_state = 11},
  [4430] = {.lex_state = 109, .external_lex_state = 2},
  [4431] = {.lex_state = 230, .external_lex_state = 11},
  [4432] = {.lex_state = 109, .external_lex_state = 2},
  [4433] = {.lex_state = 230, .external_lex_state = 11},
  [4434] = {.lex_state = 231, .external_lex_state = 8},
  [4435] = {.lex_state = 230, .external_lex_state = 8},
  [4436] = {.lex_state = 230, .external_lex_state = 11},
  [4437] = {.lex_state = 230, .external_lex_state = 11},
  [4438] = {.lex_state = 230, .external_lex_state = 11},
  [4439] = {.lex_state = 230, .external_lex_state = 11},
  [4440] = {.lex_state = 230, .external_lex_state = 11},
  [4441] = {.lex_state = 230, .external_lex_state = 11},
  [4442] = {.lex_state = 230, .external_lex_state = 11},
  [4443] = {.lex_state = 230, .external_lex_state = 11},
  [4444] = {.lex_state = 230, .external_lex_state = 11},
  [4445] = {.lex_state = 230, .external_lex_state = 11},
  [4446] = {.lex_state = 109, .external_lex_state = 2},
  [4447] = {.lex_state = 230, .external_lex_state = 8},
  [4448] = {.lex_state = 231, .external_lex_state = 2},
  [4449] = {.lex_state = 230, .external_lex_state = 3},
  [4450] = {.lex_state = 99, .external_lex_state = 2},
  [4451] = {.lex_state = 109, .external_lex_state = 2},
  [4452] = {.lex_state = 231, .external_lex_state = 2},
  [4453] = {.lex_state = 230, .external_lex_state = 2},
  [4454] = {.lex_state = 230, .external_lex_state = 11},
  [4455] = {.lex_state = 230, .external_lex_state = 11},
  [4456] = {.lex_state = 231, .external_lex_state = 2},
  [4457] = {.lex_state = 230, .external_lex_state = 8},
  [4458] = {.lex_state = 109, .external_lex_state = 2},
  [4459] = {.lex_state = 230, .external_lex_state = 3},
  [4460] = {.lex_state = 230, .external_lex_state = 3},
  [4461] = {.lex_state = 231, .external_lex_state = 2},
  [4462] = {.lex_state = 231, .external_lex_state = 2},
  [4463] = {.lex_state = 231, .external_lex_state = 2},
  [4464] = {.lex_state = 230, .external_lex_state = 11},
  [4465] = {.lex_state = 230, .external_lex_state = 11},
  [4466] = {.lex_state = 109, .external_lex_state = 2},
  [4467] = {.lex_state = 230, .external_lex_state = 11},
  [4468] = {.lex_state = 230, .external_lex_state = 11},
  [4469] = {.lex_state = 230, .external_lex_state = 11},
  [4470] = {.lex_state = 231, .external_lex_state = 2},
  [4471] = {.lex_state = 230, .external_lex_state = 11},
  [4472] = {.lex_state = 230, .external_lex_state = 11},
  [4473] = {.lex_state = 230, .external_lex_state = 11},
  [4474] = {.lex_state = 230, .external_lex_state = 2},
  [4475] = {.lex_state = 230, .external_lex_state = 11},
  [4476] = {.lex_state = 230, .external_lex_state = 11},
  [4477] = {.lex_state = 230, .external_lex_state = 2},
  [4478] = {.lex_state = 231, .external_lex_state = 2},
  [4479] = {.lex_state = 230, .external_lex_state = 11},
  [4480] = {.lex_state = 230, .external_lex_state = 11},
  [4481] = {.lex_state = 231, .external_lex_state = 2},
  [4482] = {.lex_state = 230, .external_lex_state = 2},
  [4483] = {.lex_state = 230, .external_lex_state = 11},
  [4484] = {.lex_state = 231, .external_lex_state = 2},
  [4485] = {.lex_state = 230, .external_lex_state = 4},
  [4486] = {.lex_state = 230, .external_lex_state = 11},
  [4487] = {.lex_state = 230, .external_lex_state = 11},
  [4488] = {.lex_state = 230, .external_lex_state = 8},
  [4489] = {.lex_state = 230, .external_lex_state = 8},
  [4490] = {.lex_state = 230, .external_lex_state = 8},
  [4491] = {.lex_state = 230, .external_lex_state = 11},
  [4492] = {.lex_state = 230, .external_lex_state = 11},
  [4493] = {.lex_state = 231, .external_lex_state = 2},
  [4494] = {.lex_state = 230, .external_lex_state = 11},
  [4495] = {.lex_state = 230, .external_lex_state = 8},
  [4496] = {.lex_state = 231, .external_lex_state = 2},
  [4497] = {.lex_state = 230, .external_lex_state = 11},
  [4498] = {.lex_state = 109, .external_lex_state = 2},
  [4499] = {.lex_state = 231, .external_lex_state = 2},
  [4500] = {.lex_state = 230, .external_lex_state = 11},
  [4501] = {.lex_state = 230, .external_lex_state = 11},
  [4502] = {.lex_state = 230, .external_lex_state = 8},
  [4503] = {.lex_state = 231, .external_lex_state = 2},
  [4504] = {.lex_state = 230, .external_lex_state = 11},
  [4505] = {.lex_state = 230, .external_lex_state = 11},
  [4506] = {.lex_state = 230, .external_lex_state = 11},
  [4507] = {.lex_state = 230, .external_lex_state = 11},
  [4508] = {.lex_state = 230, .external_lex_state = 11},
  [4509] = {.lex_state = 230, .external_lex_state = 11},
  [4510] = {.lex_state = 231, .external_lex_state = 2},
  [4511] = {.lex_state = 230, .external_lex_state = 2},
  [4512] = {.lex_state = 109, .external_lex_state = 2},
  [4513] = {.lex_state = 231, .external_lex_state = 2},
  [4514] = {.lex_state = 230, .external_lex_state = 2},
  [4515] = {.lex_state = 109, .external_lex_state = 2},
  [4516] = {.lex_state = 231, .external_lex_state = 2},
  [4517] = {.lex_state = 230, .external_lex_state = 11},
  [4518] = {.lex_state = 230, .external_lex_state = 11},
  [4519] = {.lex_state = 230, .external_lex_state = 11},
  [4520] = {.lex_state = 109, .external_lex_state = 2},
  [4521] = {.lex_state = 230, .external_lex_state = 11},
  [4522] = {.lex_state = 230, .external_lex_state = 11},
  [4523] = {.lex_state = 230, .external_lex_state = 11},
  [4524] = {.lex_state = 230, .external_lex_state = 11},
  [4525] = {.lex_state = 230, .external_lex_state = 8},
  [4526] = {.lex_state = 230, .external_lex_state = 11},
  [4527] = {.lex_state = 230, .external_lex_state = 11},
  [4528] = {.lex_state = 230, .external_lex_state = 4},
  [4529] = {.lex_state = 73, .external_lex_state = 2},
  [4530] = {.lex_state = 230, .external_lex_state = 2},
  [4531] = {.lex_state = 231, .external_lex_state = 2},
  [4532] = {.lex_state = 84, .external_lex_state = 2},
  [4533] = {.lex_state = 73, .external_lex_state = 2},
  [4534] = {.lex_state = 230, .external_lex_state = 11},
  [4535] = {.lex_state = 231, .external_lex_state = 2},
  [4536] = {.lex_state = 230, .external_lex_state = 2},
  [4537] = {.lex_state = 230, .external_lex_state = 11},
  [4538] = {.lex_state = 230, .external_lex_state = 11},
  [4539] = {.lex_state = 231, .external_lex_state = 2},
  [4540] = {.lex_state = 230, .external_lex_state = 11},
  [4541] = {.lex_state = 231, .external_lex_state = 2},
  [4542] = {.lex_state = 230, .external_lex_state = 8},
  [4543] = {.lex_state = 230, .external_lex_state = 11},
  [4544] = {.lex_state = 231, .external_lex_state = 2},
  [4545] = {.lex_state = 230, .external_lex_state = 10},
  [4546] = {.lex_state = 230, .external_lex_state = 11},
  [4547] = {.lex_state = 231, .external_lex_state = 2},
  [4548] = {.lex_state = 230, .external_lex_state = 2},
  [4549] = {.lex_state = 73, .external_lex_state = 2},
  [4550] = {.lex_state = 107, .external_lex_state = 2},
  [4551] = {.lex_state = 73, .external_lex_state = 2},
  [4552] = {.lex_state = 230, .external_lex_state = 11},
  [4553] = {.lex_state = 117, .external_lex_state = 2},
  [4554] = {.lex_state = 231, .external_lex_state = 2},
  [4555] = {.lex_state = 230, .external_lex_state = 11},
  [4556] = {.lex_state = 230, .external_lex_state = 4},
  [4557] = {.lex_state = 230, .external_lex_state = 4},
  [4558] = {.lex_state = 230, .external_lex_state = 11},
  [4559] = {.lex_state = 109, .external_lex_state = 2},
  [4560] = {.lex_state = 230, .external_lex_state = 11},
  [4561] = {.lex_state = 73, .external_lex_state = 2},
  [4562] = {.lex_state = 230, .external_lex_state = 11},
  [4563] = {.lex_state = 231, .external_lex_state = 2},
  [4564] = {.lex_state = 109, .external_lex_state = 2},
  [4565] = {.lex_state = 230, .external_lex_state = 11},
  [4566] = {.lex_state = 230, .external_lex_state = 11},
  [4567] = {.lex_state = 230, .external_lex_state = 11},
  [4568] = {.lex_state = 230, .external_lex_state = 8},
  [4569] = {.lex_state = 230, .external_lex_state = 11},
  [4570] = {.lex_state = 231, .external_lex_state = 2},
  [4571] = {.lex_state = 231, .external_lex_state = 2},
  [4572] = {.lex_state = 230, .external_lex_state = 2},
  [4573] = {.lex_state = 230, .external_lex_state = 11},
  [4574] = {.lex_state = 230, .external_lex_state = 2},
  [4575] = {.lex_state = 230, .external_lex_state = 2},
  [4576] = {.lex_state = 230, .external_lex_state = 11},
  [4577] = {.lex_state = 230, .external_lex_state = 11},
  [4578] = {.lex_state = 230, .external_lex_state = 11},
  [4579] = {.lex_state = 230, .external_lex_state = 8},
  [4580] = {.lex_state = 231, .external_lex_state = 2},
  [4581] = {.lex_state = 230, .external_lex_state = 2},
  [4582] = {.lex_state = 231, .external_lex_state = 2},
  [4583] = {.lex_state = 230, .external_lex_state = 11},
  [4584] = {.lex_state = 230, .external_lex_state = 11},
  [4585] = {.lex_state = 230, .external_lex_state = 8},
  [4586] = {.lex_state = 109, .external_lex_state = 2},
  [4587] = {.lex_state = 231, .external_lex_state = 2},
  [4588] = {.lex_state = 230, .external_lex_state = 11},
  [4589] = {.lex_state = 230, .external_lex_state = 11},
  [4590] = {.lex_state = 230, .external_lex_state = 11},
  [4591] = {.lex_state = 230, .external_lex_state = 11},
  [4592] = {.lex_state = 230, .external_lex_state = 11},
  [4593] = {.lex_state = 230, .external_lex_state = 11},
  [4594] = {.lex_state = 230, .external_lex_state = 2},
  [4595] = {.lex_state = 231, .external_lex_state = 2},
  [4596] = {.lex_state = 230, .external_lex_state = 11},
  [4597] = {.lex_state = 230, .external_lex_state = 11},
  [4598] = {.lex_state = 231, .external_lex_state = 2},
  [4599] = {.lex_state = 109, .external_lex_state = 2},
  [4600] = {.lex_state = 230, .external_lex_state = 11},
  [4601] = {.lex_state = 230, .external_lex_state = 11},
  [4602] = {.lex_state = 230, .external_lex_state = 11},
  [4603] = {.lex_state = 230, .external_lex_state = 11},
  [4604] = {.lex_state = 230, .external_lex_state = 4},
  [4605] = {.lex_state = 230, .external_lex_state = 11},
  [4606] = {.lex_state = 109, .external_lex_state = 2},
  [4607] = {.lex_state = 231, .external_lex_state = 8},
  [4608] = {.lex_state = 73, .external_lex_state = 2},
  [4609] = {.lex_state = 230, .external_lex_state = 11},
  [4610] = {.lex_state = 230, .external_lex_state = 11},
  [4611] = {.lex_state = 230, .external_lex_state = 11},
  [4612] = {.lex_state = 230, .external_lex_state = 8},
  [4613] = {.lex_state = 231, .external_lex_state = 2},
  [4614] = {.lex_state = 230, .external_lex_state = 11},
  [4615] = {.lex_state = 231, .external_lex_state = 2},
  [4616] = {.lex_state = 230, .external_lex_state = 8},
  [4617] = {.lex_state = 230, .external_lex_state = 11},
  [4618] = {.lex_state = 230, .external_lex_state = 11},
  [4619] = {.lex_state = 230, .external_lex_state = 11},
  [4620] = {.lex_state = 230, .external_lex_state = 2},
  [4621] = {.lex_state = 109, .external_lex_state = 2},
  [4622] = {.lex_state = 109, .external_lex_state = 2},
  [4623] = {.lex_state = 231, .external_lex_state = 2},
  [4624] = {.lex_state = 231, .external_lex_state = 2},
  [4625] = {.lex_state = 230, .external_lex_state = 11},
  [4626] = {.lex_state = 231, .external_lex_state = 2},
  [4627] = {.lex_state = 230, .external_lex_state = 8},
  [4628] = {.lex_state = 230, .external_lex_state = 11},
  [4629] = {.lex_state = 231, .external_lex_state = 2},
  [4630] = {.lex_state = 230, .external_lex_state = 11},
  [4631] = {.lex_state = 230, .external_lex_state = 11},
  [4632] = {.lex_state = 109, .external_lex_state = 2},
  [4633] = {.lex_state = 230, .external_lex_state = 11},
  [4634] = {.lex_state = 73, .external_lex_state = 2},
  [4635] = {.lex_state = 109, .external_lex_state = 2},
  [4636] = {.lex_state = 230, .external_lex_state = 11},
  [4637] = {.lex_state = 231, .external_lex_state = 2},
  [4638] = {.lex_state = 230, .external_lex_state = 11},
  [4639] = {.lex_state = 73, .external_lex_state = 2},
  [4640] = {.lex_state = 113, .external_lex_state = 2},
  [4641] = {.lex_state = 231, .external_lex_state = 2},
  [4642] = {.lex_state = 231, .external_lex_state = 2},
  [4643] = {.lex_state = 231, .external_lex_state = 2},
  [4644] = {.lex_state = 230, .external_lex_state = 11},
  [4645] = {.lex_state = 230, .external_lex_state = 2},
  [4646] = {.lex_state = 230, .external_lex_state = 8},
  [4647] = {.lex_state = 230, .external_lex_state = 11},
  [4648] = {.lex_state = 230, .external_lex_state = 11},
  [4649] = {.lex_state = 230, .external_lex_state = 11},
  [4650] = {.lex_state = 231, .external_lex_state = 2},
  [4651] = {.lex_state = 231, .external_lex_state = 2},
  [4652] = {.lex_state = 109, .external_lex_state = 2},
  [4653] = {.lex_state = 109, .external_lex_state = 2},
  [4654] = {.lex_state = 231, .external_lex_state = 2},
  [4655] = {.lex_state = 109, .external_lex_state = 2},
  [4656] = {.lex_state = 230, .external_lex_state = 11},
  [4657] = {.lex_state = 231, .external_lex_state = 2},
  [4658] = {.lex_state = 230, .external_lex_state = 11},
  [4659] = {.lex_state = 73, .external_lex_state = 2},
  [4660] = {.lex_state = 230, .external_lex_state = 11},
  [4661] = {.lex_state = 230, .external_lex_state = 11},
  [4662] = {.lex_state = 230, .external_lex_state = 11},
  [4663] = {.lex_state = 113, .external_lex_state = 2},
  [4664] = {.lex_state = 230, .external_lex_state = 11},
  [4665] = {.lex_state = 230, .external_lex_state = 11},
  [4666] = {.lex_state = 231, .external_lex_state = 8},
  [4667] = {.lex_state = 230, .external_lex_state = 11},
  [4668] = {.lex_state = 230, .external_lex_state = 11},
  [4669] = {.lex_state = 230, .external_lex_state = 11},
  [4670] = {.lex_state = 231, .external_lex_state = 2},
  [4671] = {.lex_state = 230, .external_lex_state = 11},
  [4672] = {.lex_state = 230, .external_lex_state = 11},
  [4673] = {.lex_state = 230, .external_lex_state = 8},
  [4674] = {.lex_state = 231, .external_lex_state = 2},
  [4675] = {.lex_state = 230, .external_lex_state = 4},
  [4676] = {.lex_state = 230, .external_lex_state = 11},
  [4677] = {.lex_state = 73, .external_lex_state = 2},
  [4678] = {.lex_state = 230, .external_lex_state = 11},
  [4679] = {.lex_state = 230, .external_lex_state = 11},
  [4680] = {.lex_state = 230, .external_lex_state = 11},
  [4681] = {.lex_state = 230, .external_lex_state = 11},
  [4682] = {.lex_state = 230, .external_lex_state = 2},
  [4683] = {.lex_state = 230, .external_lex_state = 11},
  [4684] = {.lex_state = 230, .external_lex_state = 11},
  [4685] = {.lex_state = 231, .external_lex_state = 2},
  [4686] = {.lex_state = 230, .external_lex_state = 11},
  [4687] = {.lex_state = 230, .external_lex_state = 4},
  [4688] = {.lex_state = 230, .external_lex_state = 11},
  [4689] = {.lex_state = 231, .external_lex_state = 2},
  [4690] = {.lex_state = 230, .external_lex_state = 11},
  [4691] = {.lex_state = 230, .external_lex_state = 11},
  [4692] = {.lex_state = 73, .external_lex_state = 2},
  [4693] = {.lex_state = 230, .external_lex_state = 11},
  [4694] = {.lex_state = 230, .external_lex_state = 11},
  [4695] = {.lex_state = 230, .external_lex_state = 11},
  [4696] = {.lex_state = 230, .external_lex_state = 11},
  [4697] = {.lex_state = 230, .external_lex_state = 11},
  [4698] = {.lex_state = 230, .external_lex_state = 11},
  [4699] = {.lex_state = 230, .external_lex_state = 4},
  [4700] = {.lex_state = 230, .external_lex_state = 11},
  [4701] = {.lex_state = 230, .external_lex_state = 2},
  [4702] = {.lex_state = 230, .external_lex_state = 2},
  [4703] = {.lex_state = 230, .external_lex_state = 8},
  [4704] = {.lex_state = 230, .external_lex_state = 2},
  [4705] = {.lex_state = 109, .external_lex_state = 2},
  [4706] = {.lex_state = 230, .external_lex_state = 2},
  [4707] = {.lex_state = 230, .external_lex_state = 2},
  [4708] = {.lex_state = 230, .external_lex_state = 2},
  [4709] = {.lex_state = 231, .external_lex_state = 2},
  [4710] = {.lex_state = 230, .external_lex_state = 12},
  [4711] = {.lex_state = 230, .external_lex_state = 12},
  [4712] = {.lex_state = 73, .external_lex_state = 2},
  [4713] = {.lex_state = 230, .external_lex_state = 2},
  [4714] = {.lex_state = 73, .external_lex_state = 2},
  [4715] = {.lex_state = 230, .external_lex_state = 8},
  [4716] = {.lex_state = 231, .external_lex_state = 2},
  [4717] = {.lex_state = 231, .external_lex_state = 2},
  [4718] = {.lex_state = 230, .external_lex_state = 2},
  [4719] = {.lex_state = 231, .external_lex_state = 2},
  [4720] = {.lex_state = 230, .external_lex_state = 2},
  [4721] = {.lex_state = 230, .external_lex_state = 8},
  [4722] = {.lex_state = 117, .external_lex_state = 2},
  [4723] = {.lex_state = 230, .external_lex_state = 8},
  [4724] = {.lex_state = 73, .external_lex_state = 2},
  [4725] = {.lex_state = 231, .external_lex_state = 2},
  [4726] = {.lex_state = 231, .external_lex_state = 2},
  [4727] = {.lex_state = 230, .external_lex_state = 8},
  [4728] = {.lex_state = 231, .external_lex_state = 2},
  [4729] = {.lex_state = 73, .external_lex_state = 2},
  [4730] = {.lex_state = 230, .external_lex_state = 11},
  [4731] = {.lex_state = 230, .external_lex_state = 2},
  [4732] = {.lex_state = 84, .external_lex_state = 2},
  [4733] = {.lex_state = 230, .external_lex_state = 8},
  [4734] = {.lex_state = 73, .external_lex_state = 2},
  [4735] = {.lex_state = 73, .external_lex_state = 2},
  [4736] = {.lex_state = 117, .external_lex_state = 2},
  [4737] = {.lex_state = 110, .external_lex_state = 2},
  [4738] = {.lex_state = 230, .external_lex_state = 8},
  [4739] = {.lex_state = 231, .external_lex_state = 2},
  [4740] = {.lex_state = 84, .external_lex_state = 2},
  [4741] = {.lex_state = 230, .external_lex_state = 2},
  [4742] = {.lex_state = 230, .external_lex_state = 2},
  [4743] = {.lex_state = 230, .external_lex_state = 2},
  [4744] = {.lex_state = 230, .external_lex_state = 2},
  [4745] = {.lex_state = 230, .external_lex_state = 12},
  [4746] = {.lex_state = 230, .external_lex_state = 12},
  [4747] = {.lex_state = 230, .external_lex_state = 8},
  [4748] = {.lex_state = 73, .external_lex_state = 2},
  [4749] = {.lex_state = 231, .external_lex_state = 2},
  [4750] = {.lex_state = 84, .external_lex_state = 2},
  [4751] = {.lex_state = 230, .external_lex_state = 2},
  [4752] = {.lex_state = 231, .external_lex_state = 2},
  [4753] = {.lex_state = 230, .external_lex_state = 11},
  [4754] = {.lex_state = 230, .external_lex_state = 11},
  [4755] = {.lex_state = 230, .external_lex_state = 2},
  [4756] = {.lex_state = 230, .external_lex_state = 2},
  [4757] = {.lex_state = 230, .external_lex_state = 2},
  [4758] = {.lex_state = 73, .external_lex_state = 2},
  [4759] = {.lex_state = 84, .external_lex_state = 2},
  [4760] = {.lex_state = 230, .external_lex_state = 2},
  [4761] = {.lex_state = 231, .external_lex_state = 2},
  [4762] = {.lex_state = 230, .external_lex_state = 8},
  [4763] = {.lex_state = 230, .external_lex_state = 8},
  [4764] = {.lex_state = 73, .external_lex_state = 2},
  [4765] = {.lex_state = 231, .external_lex_state = 2},
  [4766] = {.lex_state = 230, .external_lex_state = 2},
  [4767] = {.lex_state = 109, .external_lex_state = 2},
  [4768] = {.lex_state = 230, .external_lex_state = 2},
  [4769] = {.lex_state = 231, .external_lex_state = 2},
  [4770] = {.lex_state = 231, .external_lex_state = 2},
  [4771] = {.lex_state = 230, .external_lex_state = 2},
  [4772] = {.lex_state = 230, .external_lex_state = 2},
  [4773] = {.lex_state = 73, .external_lex_state = 2},
  [4774] = {.lex_state = 101, .external_lex_state = 2},
  [4775] = {.lex_state = 230, .external_lex_state = 2},
  [4776] = {.lex_state = 230, .external_lex_state = 2},
  [4777] = {.lex_state = 231, .external_lex_state = 2},
  [4778] = {.lex_state = 230, .external_lex_state = 8},
  [4779] = {.lex_state = 230, .external_lex_state = 2},
  [4780] = {.lex_state = 117, .external_lex_state = 2},
  [4781] = {.lex_state = 230, .external_lex_state = 8},
  [4782] = {.lex_state = 73, .external_lex_state = 2},
  [4783] = {.lex_state = 117, .external_lex_state = 2},
  [4784] = {.lex_state = 231, .external_lex_state = 2},
  [4785] = {.lex_state = 231, .external_lex_state = 2},
  [4786] = {.lex_state = 73, .external_lex_state = 2},
  [4787] = {.lex_state = 117, .external_lex_state = 2},
  [4788] = {.lex_state = 109, .external_lex_state = 2},
  [4789] = {.lex_state = 73, .external_lex_state = 2},
  [4790] = {.lex_state = 117, .external_lex_state = 2},
  [4791] = {.lex_state = 73, .external_lex_state = 2},
  [4792] = {.lex_state = 73, .external_lex_state = 2},
  [4793] = {.lex_state = 230, .external_lex_state = 2},
  [4794] = {.lex_state = 73, .external_lex_state = 2},
  [4795] = {.lex_state = 73, .external_lex_state = 2},
  [4796] = {.lex_state = 231, .external_lex_state = 2},
  [4797] = {.lex_state = 231, .external_lex_state = 2},
  [4798] = {.lex_state = 230, .external_lex_state = 12},
  [4799] = {.lex_state = 230, .external_lex_state = 12},
  [4800] = {.lex_state = 73, .external_lex_state = 2},
  [4801] = {.lex_state = 101, .external_lex_state = 2},
  [4802] = {.lex_state = 231, .external_lex_state = 2},
  [4803] = {.lex_state = 73, .external_lex_state = 2},
  [4804] = {.lex_state = 230, .external_lex_state = 2},
  [4805] = {.lex_state = 230, .external_lex_state = 8},
  [4806] = {.lex_state = 117, .external_lex_state = 2},
  [4807] = {.lex_state = 231, .external_lex_state = 2},
  [4808] = {.lex_state = 230, .external_lex_state = 2},
  [4809] = {.lex_state = 230, .external_lex_state = 2},
  [4810] = {.lex_state = 109, .external_lex_state = 2},
  [4811] = {.lex_state = 84, .external_lex_state = 2},
  [4812] = {.lex_state = 73, .external_lex_state = 2},
  [4813] = {.lex_state = 231, .external_lex_state = 2},
  [4814] = {.lex_state = 230, .external_lex_state = 8},
  [4815] = {.lex_state = 230, .external_lex_state = 8},
  [4816] = {.lex_state = 230, .external_lex_state = 8},
  [4817] = {.lex_state = 230, .external_lex_state = 11},
  [4818] = {.lex_state = 230, .external_lex_state = 2},
  [4819] = {.lex_state = 117, .external_lex_state = 2},
  [4820] = {.lex_state = 109, .external_lex_state = 2},
  [4821] = {.lex_state = 230, .external_lex_state = 2},
  [4822] = {.lex_state = 231, .external_lex_state = 2},
  [4823] = {.lex_state = 117, .external_lex_state = 2},
  [4824] = {.lex_state = 230, .external_lex_state = 8},
  [4825] = {.lex_state = 230, .external_lex_state = 8},
  [4826] = {.lex_state = 230, .external_lex_state = 8},
  [4827] = {.lex_state = 230, .external_lex_state = 2},
  [4828] = {.lex_state = 231, .external_lex_state = 2},
  [4829] = {.lex_state = 73, .external_lex_state = 2},
  [4830] = {.lex_state = 231, .external_lex_state = 2},
  [4831] = {.lex_state = 230, .external_lex_state = 11},
  [4832] = {.lex_state = 230, .external_lex_state = 12},
  [4833] = {.lex_state = 230, .external_lex_state = 12},
  [4834] = {.lex_state = 230, .external_lex_state = 2},
  [4835] = {.lex_state = 230, .external_lex_state = 8},
  [4836] = {.lex_state = 230, .external_lex_state = 2},
  [4837] = {.lex_state = 230, .external_lex_state = 2},
  [4838] = {.lex_state = 230, .external_lex_state = 2},
  [4839] = {.lex_state = 84, .external_lex_state = 2},
  [4840] = {.lex_state = 230, .external_lex_state = 12},
  [4841] = {.lex_state = 230, .external_lex_state = 2},
  [4842] = {.lex_state = 230, .external_lex_state = 12},
  [4843] = {.lex_state = 231, .external_lex_state = 2},
  [4844] = {.lex_state = 73, .external_lex_state = 2},
  [4845] = {.lex_state = 231, .external_lex_state = 2},
  [4846] = {.lex_state = 231, .external_lex_state = 2},
  [4847] = {.lex_state = 230, .external_lex_state = 8},
  [4848] = {.lex_state = 230, .external_lex_state = 8},
  [4849] = {.lex_state = 231, .external_lex_state = 2},
  [4850] = {.lex_state = 230, .external_lex_state = 8},
  [4851] = {.lex_state = 230, .external_lex_state = 2},
  [4852] = {.lex_state = 117, .external_lex_state = 2},
  [4853] = {.lex_state = 231, .external_lex_state = 2},
  [4854] = {.lex_state = 231, .external_lex_state = 2},
  [4855] = {.lex_state = 231, .external_lex_state = 2},
  [4856] = {.lex_state = 231, .external_lex_state = 2},
  [4857] = {.lex_state = 230, .external_lex_state = 8},
  [4858] = {.lex_state = 231, .external_lex_state = 2},
  [4859] = {.lex_state = 84, .external_lex_state = 2},
  [4860] = {.lex_state = 231, .external_lex_state = 2},
  [4861] = {.lex_state = 231, .external_lex_state = 2},
  [4862] = {.lex_state = 231, .external_lex_state = 2},
  [4863] = {.lex_state = 231, .external_lex_state = 2},
  [4864] = {.lex_state = 230, .external_lex_state = 12},
  [4865] = {.lex_state = 230, .external_lex_state = 12},
  [4866] = {.lex_state = 231, .external_lex_state = 2},
  [4867] = {.lex_state = 231, .external_lex_state = 2},
  [4868] = {.lex_state = 231, .external_lex_state = 2},
  [4869] = {.lex_state = 230, .external_lex_state = 2},
  [4870] = {.lex_state = 231, .external_lex_state = 2},
  [4871] = {.lex_state = 231, .external_lex_state = 2},
  [4872] = {.lex_state = 230, .external_lex_state = 8},
  [4873] = {.lex_state = 230, .external_lex_state = 2},
  [4874] = {.lex_state = 231, .external_lex_state = 2},
  [4875] = {.lex_state = 230, .external_lex_state = 8},
  [4876] = {.lex_state = 231, .external_lex_state = 2},
  [4877] = {.lex_state = 230, .external_lex_state = 8},
  [4878] = {.lex_state = 230, .external_lex_state = 8},
  [4879] = {.lex_state = 84, .external_lex_state = 2},
  [4880] = {.lex_state = 231, .external_lex_state = 2},
  [4881] = {.lex_state = 230, .external_lex_state = 2},
  [4882] = {.lex_state = 231, .external_lex_state = 2},
  [4883] = {.lex_state = 231, .external_lex_state = 2},
  [4884] = {.lex_state = 231, .external_lex_state = 2},
  [4885] = {.lex_state = 231, .external_lex_state = 2},
  [4886] = {.lex_state = 231, .external_lex_state = 2},
  [4887] = {.lex_state = 230, .external_lex_state = 8},
  [4888] = {.lex_state = 230, .external_lex_state = 11},
  [4889] = {.lex_state = 231, .external_lex_state = 2},
  [4890] = {.lex_state = 231, .external_lex_state = 2},
  [4891] = {.lex_state = 231, .external_lex_state = 2},
  [4892] = {.lex_state = 231, .external_lex_state = 2},
  [4893] = {.lex_state = 231, .external_lex_state = 2},
  [4894] = {.lex_state = 230, .external_lex_state = 12},
  [4895] = {.lex_state = 230, .external_lex_state = 12},
  [4896] = {.lex_state = 109, .external_lex_state = 2},
  [4897] = {.lex_state = 230, .external_lex_state = 8},
  [4898] = {.lex_state = 231, .external_lex_state = 2},
  [4899] = {.lex_state = 230, .external_lex_state = 2},
  [4900] = {.lex_state = 84, .external_lex_state = 2},
  [4901] = {.lex_state = 231, .external_lex_state = 2},
  [4902] = {.lex_state = 231, .external_lex_state = 2},
  [4903] = {.lex_state = 230, .external_lex_state = 2},
  [4904] = {.lex_state = 73, .external_lex_state = 2},
  [4905] = {.lex_state = 231, .external_lex_state = 2},
  [4906] = {.lex_state = 84, .external_lex_state = 2},
  [4907] = {.lex_state = 230, .external_lex_state = 8},
  [4908] = {.lex_state = 230, .external_lex_state = 8},
  [4909] = {.lex_state = 84, .external_lex_state = 2},
  [4910] = {.lex_state = 84, .external_lex_state = 2},
  [4911] = {.lex_state = 230, .external_lex_state = 2},
  [4912] = {.lex_state = 117, .external_lex_state = 2},
  [4913] = {.lex_state = 231, .external_lex_state = 2},
  [4914] = {.lex_state = 231, .external_lex_state = 2},
  [4915] = {.lex_state = 231, .external_lex_state = 2},
  [4916] = {.lex_state = 84, .external_lex_state = 2},
  [4917] = {.lex_state = 230, .external_lex_state = 8},
  [4918] = {.lex_state = 231, .external_lex_state = 2},
  [4919] = {.lex_state = 84, .external_lex_state = 2},
  [4920] = {.lex_state = 84, .external_lex_state = 2},
  [4921] = {.lex_state = 84, .external_lex_state = 2},
  [4922] = {.lex_state = 231, .external_lex_state = 2},
  [4923] = {.lex_state = 231, .external_lex_state = 2},
  [4924] = {.lex_state = 230, .external_lex_state = 12},
  [4925] = {.lex_state = 230, .external_lex_state = 12},
  [4926] = {.lex_state = 230, .external_lex_state = 8},
  [4927] = {.lex_state = 84, .external_lex_state = 2},
  [4928] = {.lex_state = 84, .external_lex_state = 2},
  [4929] = {.lex_state = 230, .external_lex_state = 2},
  [4930] = {.lex_state = 84, .external_lex_state = 2},
  [4931] = {.lex_state = 84, .external_lex_state = 2},
  [4932] = {.lex_state = 230, .external_lex_state = 2},
  [4933] = {.lex_state = 230, .external_lex_state = 2},
  [4934] = {.lex_state = 230, .external_lex_state = 2},
  [4935] = {.lex_state = 117, .external_lex_state = 2},
  [4936] = {.lex_state = 230, .external_lex_state = 8},
  [4937] = {.lex_state = 230, .external_lex_state = 8},
  [4938] = {.lex_state = 230, .external_lex_state = 8},
  [4939] = {.lex_state = 231, .external_lex_state = 2},
  [4940] = {.lex_state = 231, .external_lex_state = 2},
  [4941] = {.lex_state = 230, .external_lex_state = 2},
  [4942] = {.lex_state = 230, .external_lex_state = 8},
  [4943] = {.lex_state = 231, .external_lex_state = 2},
  [4944] = {.lex_state = 231, .external_lex_state = 2},
  [4945] = {.lex_state = 84, .external_lex_state = 2},
  [4946] = {.lex_state = 84, .external_lex_state = 2},
  [4947] = {.lex_state = 230, .external_lex_state = 8},
  [4948] = {.lex_state = 84, .external_lex_state = 2},
  [4949] = {.lex_state = 84, .external_lex_state = 2},
  [4950] = {.lex_state = 231, .external_lex_state = 2},
  [4951] = {.lex_state = 231, .external_lex_state = 2},
  [4952] = {.lex_state = 231, .external_lex_state = 2},
  [4953] = {.lex_state = 231, .external_lex_state = 2},
  [4954] = {.lex_state = 230, .external_lex_state = 12},
  [4955] = {.lex_state = 230, .external_lex_state = 12},
  [4956] = {.lex_state = 231, .external_lex_state = 2},
  [4957] = {.lex_state = 231, .external_lex_state = 2},
  [4958] = {.lex_state = 117, .external_lex_state = 2},
  [4959] = {.lex_state = 230, .external_lex_state = 2},
  [4960] = {.lex_state = 231, .external_lex_state = 2},
  [4961] = {.lex_state = 84, .external_lex_state = 2},
  [4962] = {.lex_state = 84, .external_lex_state = 2},
  [4963] = {.lex_state = 230, .external_lex_state = 2},
  [4964] = {.lex_state = 84, .external_lex_state = 2},
  [4965] = {.lex_state = 84, .external_lex_state = 2},
  [4966] = {.lex_state = 231, .external_lex_state = 2},
  [4967] = {.lex_state = 230, .external_lex_state = 8},
  [4968] = {.lex_state = 230, .external_lex_state = 8},
  [4969] = {.lex_state = 231, .external_lex_state = 2},
  [4970] = {.lex_state = 231, .external_lex_state = 2},
  [4971] = {.lex_state = 230, .external_lex_state = 2},
  [4972] = {.lex_state = 231, .external_lex_state = 2},
  [4973] = {.lex_state = 117, .external_lex_state = 2},
  [4974] = {.lex_state = 231, .external_lex_state = 2},
  [4975] = {.lex_state = 230, .external_lex_state = 11},
  [4976] = {.lex_state = 231, .external_lex_state = 2},
  [4977] = {.lex_state = 230, .external_lex_state = 8},
  [4978] = {.lex_state = 230, .external_lex_state = 2},
  [4979] = {.lex_state = 231, .external_lex_state = 2},
  [4980] = {.lex_state = 230, .external_lex_state = 12},
  [4981] = {.lex_state = 230, .external_lex_state = 12},
  [4982] = {.lex_state = 73, .external_lex_state = 2},
  [4983] = {.lex_state = 231, .external_lex_state = 2},
  [4984] = {.lex_state = 230, .external_lex_state = 2},
  [4985] = {.lex_state = 84, .external_lex_state = 2},
  [4986] = {.lex_state = 84, .external_lex_state = 2},
  [4987] = {.lex_state = 84, .external_lex_state = 2},
  [4988] = {.lex_state = 230, .external_lex_state = 12},
  [4989] = {.lex_state = 230, .external_lex_state = 12},
  [4990] = {.lex_state = 231, .external_lex_state = 2},
  [4991] = {.lex_state = 230, .external_lex_state = 2},
  [4992] = {.lex_state = 230, .external_lex_state = 2},
  [4993] = {.lex_state = 231, .external_lex_state = 2},
  [4994] = {.lex_state = 84, .external_lex_state = 2},
  [4995] = {.lex_state = 231, .external_lex_state = 2},
  [4996] = {.lex_state = 230, .external_lex_state = 12},
  [4997] = {.lex_state = 230, .external_lex_state = 12},
  [4998] = {.lex_state = 230, .external_lex_state = 2},
  [4999] = {.lex_state = 230, .external_lex_state = 8},
  [5000] = {.lex_state = 230, .external_lex_state = 2},
  [5001] = {.lex_state = 230, .external_lex_state = 8},
  [5002] = {.lex_state = 230, .external_lex_state = 2},
  [5003] = {.lex_state = 230, .external_lex_state = 2},
  [5004] = {.lex_state = 230, .external_lex_state = 12},
  [5005] = {.lex_state = 230, .external_lex_state = 12},
  [5006] = {.lex_state = 230, .external_lex_state = 8},
  [5007] = {.lex_state = 231, .external_lex_state = 2},
  [5008] = {.lex_state = 230, .external_lex_state = 8},
  [5009] = {.lex_state = 231, .external_lex_state = 2},
  [5010] = {.lex_state = 230, .external_lex_state = 12},
  [5011] = {.lex_state = 230, .external_lex_state = 12},
  [5012] = {.lex_state = 231, .external_lex_state = 2},
  [5013] = {.lex_state = 230, .external_lex_state = 2},
  [5014] = {.lex_state = 84, .external_lex_state = 2},
  [5015] = {.lex_state = 84, .external_lex_state = 2},
  [5016] = {.lex_state = 230, .external_lex_state = 12},
  [5017] = {.lex_state = 230, .external_lex_state = 12},
  [5018] = {.lex_state = 231, .external_lex_state = 2},
  [5019] = {.lex_state = 84, .external_lex_state = 2},
  [5020] = {.lex_state = 101, .external_lex_state = 2},
  [5021] = {.lex_state = 84, .external_lex_state = 2},
  [5022] = {.lex_state = 230, .external_lex_state = 12},
  [5023] = {.lex_state = 230, .external_lex_state = 12},
  [5024] = {.lex_state = 230, .external_lex_state = 2},
  [5025] = {.lex_state = 84, .external_lex_state = 2},
  [5026] = {.lex_state = 230, .external_lex_state = 2},
  [5027] = {.lex_state = 231, .external_lex_state = 2},
  [5028] = {.lex_state = 230, .external_lex_state = 2},
  [5029] = {.lex_state = 230, .external_lex_state = 2},
  [5030] = {.lex_state = 230, .external_lex_state = 2},
  [5031] = {.lex_state = 230, .external_lex_state = 2},
  [5032] = {.lex_state = 230, .external_lex_state = 2},
  [5033] = {.lex_state = 231, .external_lex_state = 2},
  [5034] = {.lex_state = 230, .external_lex_state = 2},
  [5035] = {.lex_state = 73, .external_lex_state = 2},
  [5036] = {.lex_state = 84, .external_lex_state = 2},
  [5037] = {.lex_state = 230, .external_lex_state = 2},
  [5038] = {.lex_state = 230, .external_lex_state = 2},
  [5039] = {.lex_state = 84, .external_lex_state = 2},
  [5040] = {.lex_state = 117, .external_lex_state = 2},
  [5041] = {.lex_state = 230, .external_lex_state = 2},
  [5042] = {.lex_state = 109, .external_lex_state = 2},
  [5043] = {.lex_state = 231, .external_lex_state = 2},
  [5044] = {.lex_state = 117, .external_lex_state = 2},
  [5045] = {.lex_state = 230, .external_lex_state = 2},
  [5046] = {.lex_state = 230, .external_lex_state = 2},
  [5047] = {.lex_state = 84, .external_lex_state = 2},
  [5048] = {.lex_state = 84, .external_lex_state = 2},
  [5049] = {.lex_state = 84, .external_lex_state = 2},
  [5050] = {.lex_state = 230, .external_lex_state = 2},
  [5051] = {.lex_state = 231, .external_lex_state = 2},
  [5052] = {.lex_state = 230, .external_lex_state = 11},
  [5053] = {.lex_state = 231, .external_lex_state = 2},
  [5054] = {.lex_state = 230, .external_lex_state = 2},
  [5055] = {.lex_state = 231, .external_lex_state = 2},
  [5056] = {.lex_state = 230, .external_lex_state = 8},
  [5057] = {.lex_state = 84, .external_lex_state = 2},
  [5058] = {.lex_state = 231, .external_lex_state = 2},
  [5059] = {.lex_state = 109, .external_lex_state = 2},
  [5060] = {.lex_state = 230, .external_lex_state = 11},
  [5061] = {.lex_state = 230, .external_lex_state = 11},
  [5062] = {.lex_state = 230, .external_lex_state = 11},
  [5063] = {.lex_state = 230, .external_lex_state = 11},
  [5064] = {.lex_state = 230, .external_lex_state = 8},
  [5065] = {.lex_state = 231, .external_lex_state = 2},
  [5066] = {.lex_state = 230, .external_lex_state = 2},
  [5067] = {.lex_state = 230, .external_lex_state = 2},
  [5068] = {.lex_state = 84, .external_lex_state = 2},
  [5069] = {.lex_state = 230, .external_lex_state = 11},
  [5070] = {.lex_state = 230, .external_lex_state = 8},
  [5071] = {.lex_state = 117, .external_lex_state = 2},
  [5072] = {.lex_state = 230, .external_lex_state = 2},
  [5073] = {.lex_state = 230, .external_lex_state = 11},
  [5074] = {.lex_state = 84, .external_lex_state = 2},
  [5075] = {.lex_state = 84, .external_lex_state = 2},
  [5076] = {.lex_state = 231, .external_lex_state = 2},
  [5077] = {.lex_state = 73, .external_lex_state = 2},
  [5078] = {.lex_state = 230, .external_lex_state = 11},
  [5079] = {.lex_state = 231, .external_lex_state = 2},
  [5080] = {.lex_state = 231, .external_lex_state = 2},
  [5081] = {.lex_state = 230, .external_lex_state = 11},
  [5082] = {.lex_state = 230, .external_lex_state = 2},
  [5083] = {.lex_state = 230, .external_lex_state = 11},
  [5084] = {.lex_state = 230, .external_lex_state = 2},
  [5085] = {.lex_state = 231, .external_lex_state = 2},
  [5086] = {.lex_state = 230, .external_lex_state = 8},
  [5087] = {.lex_state = 230, .external_lex_state = 11},
  [5088] = {.lex_state = 231, .external_lex_state = 2},
  [5089] = {.lex_state = 117, .external_lex_state = 2},
  [5090] = {.lex_state = 230, .external_lex_state = 8},
  [5091] = {.lex_state = 231, .external_lex_state = 2},
  [5092] = {.lex_state = 117, .external_lex_state = 2},
  [5093] = {.lex_state = 230, .external_lex_state = 8},
  [5094] = {.lex_state = 231, .external_lex_state = 2},
  [5095] = {.lex_state = 230, .external_lex_state = 11},
  [5096] = {.lex_state = 230, .external_lex_state = 2},
  [5097] = {.lex_state = 231, .external_lex_state = 2},
  [5098] = {.lex_state = 230, .external_lex_state = 2},
  [5099] = {.lex_state = 84, .external_lex_state = 2},
  [5100] = {.lex_state = 84, .external_lex_state = 2},
  [5101] = {.lex_state = 230, .external_lex_state = 2},
  [5102] = {.lex_state = 84, .external_lex_state = 2},
  [5103] = {.lex_state = 73, .external_lex_state = 2},
  [5104] = {.lex_state = 230, .external_lex_state = 2},
  [5105] = {.lex_state = 231, .external_lex_state = 2},
  [5106] = {.lex_state = 231, .external_lex_state = 2},
  [5107] = {.lex_state = 230, .external_lex_state = 2},
  [5108] = {.lex_state = 230, .external_lex_state = 2},
  [5109] = {.lex_state = 84, .external_lex_state = 2},
  [5110] = {.lex_state = 231, .external_lex_state = 2},
  [5111] = {.lex_state = 230, .external_lex_state = 2},
  [5112] = {.lex_state = 231, .external_lex_state = 2},
  [5113] = {.lex_state = 84, .external_lex_state = 2},
  [5114] = {.lex_state = 109, .external_lex_state = 2},
  [5115] = {.lex_state = 230, .external_lex_state = 11},
  [5116] = {.lex_state = 230, .external_lex_state = 11},
  [5117] = {.lex_state = 84, .external_lex_state = 2},
  [5118] = {.lex_state = 84, .external_lex_state = 2},
  [5119] = {.lex_state = 84, .external_lex_state = 2},
  [5120] = {.lex_state = 231, .external_lex_state = 2},
  [5121] = {.lex_state = 230, .external_lex_state = 2},
  [5122] = {.lex_state = 230, .external_lex_state = 11},
  [5123] = {.lex_state = 230, .external_lex_state = 2},
  [5124] = {.lex_state = 117, .external_lex_state = 2},
  [5125] = {.lex_state = 230, .external_lex_state = 2},
  [5126] = {.lex_state = 231, .external_lex_state = 2},
  [5127] = {.lex_state = 231, .external_lex_state = 2},
  [5128] = {.lex_state = 230, .external_lex_state = 2},
  [5129] = {.lex_state = 101, .external_lex_state = 2},
  [5130] = {.lex_state = 231, .external_lex_state = 2},
  [5131] = {.lex_state = 230, .external_lex_state = 11},
  [5132] = {.lex_state = 231, .external_lex_state = 2},
  [5133] = {.lex_state = 230, .external_lex_state = 11},
  [5134] = {.lex_state = 230, .external_lex_state = 8},
  [5135] = {.lex_state = 230, .external_lex_state = 2},
  [5136] = {.lex_state = 231, .external_lex_state = 2},
  [5137] = {.lex_state = 109, .external_lex_state = 2},
  [5138] = {.lex_state = 231, .external_lex_state = 2},
  [5139] = {.lex_state = 117, .external_lex_state = 2},
  [5140] = {.lex_state = 230, .external_lex_state = 2},
  [5141] = {.lex_state = 84, .external_lex_state = 2},
  [5142] = {.lex_state = 84, .external_lex_state = 2},
  [5143] = {.lex_state = 84, .external_lex_state = 2},
  [5144] = {.lex_state = 230, .external_lex_state = 2},
  [5145] = {.lex_state = 231, .external_lex_state = 2},
  [5146] = {.lex_state = 84, .external_lex_state = 2},
  [5147] = {.lex_state = 231, .external_lex_state = 2},
  [5148] = {.lex_state = 109, .external_lex_state = 2},
  [5149] = {.lex_state = 230, .external_lex_state = 11},
  [5150] = {.lex_state = 230, .external_lex_state = 2},
  [5151] = {.lex_state = 230, .external_lex_state = 8},
  [5152] = {.lex_state = 230, .external_lex_state = 2},
  [5153] = {.lex_state = 230, .external_lex_state = 2},
  [5154] = {.lex_state = 230, .external_lex_state = 11},
  [5155] = {.lex_state = 117, .external_lex_state = 2},
  [5156] = {.lex_state = 117, .external_lex_state = 2},
  [5157] = {.lex_state = 230, .external_lex_state = 2},
  [5158] = {.lex_state = 231, .external_lex_state = 2},
  [5159] = {.lex_state = 231, .external_lex_state = 2},
  [5160] = {.lex_state = 73, .external_lex_state = 2},
  [5161] = {.lex_state = 84, .external_lex_state = 2},
  [5162] = {.lex_state = 231, .external_lex_state = 2},
  [5163] = {.lex_state = 230, .external_lex_state = 11},
  [5164] = {.lex_state = 230, .external_lex_state = 8},
  [5165] = {.lex_state = 230, .external_lex_state = 11},
  [5166] = {.lex_state = 230, .external_lex_state = 2},
  [5167] = {.lex_state = 84, .external_lex_state = 2},
  [5168] = {.lex_state = 231, .external_lex_state = 2},
  [5169] = {.lex_state = 230, .external_lex_state = 2},
  [5170] = {.lex_state = 231, .external_lex_state = 2},
  [5171] = {.lex_state = 101, .external_lex_state = 2},
  [5172] = {.lex_state = 230, .external_lex_state = 2},
  [5173] = {.lex_state = 230, .external_lex_state = 2},
  [5174] = {.lex_state = 84, .external_lex_state = 2},
  [5175] = {.lex_state = 231, .external_lex_state = 2},
  [5176] = {.lex_state = 230, .external_lex_state = 2},
  [5177] = {.lex_state = 84, .external_lex_state = 2},
  [5178] = {.lex_state = 230, .external_lex_state = 11},
  [5179] = {.lex_state = 231, .external_lex_state = 2},
  [5180] = {.lex_state = 230, .external_lex_state = 2},
  [5181] = {.lex_state = 230, .external_lex_state = 11},
  [5182] = {.lex_state = 73, .external_lex_state = 2},
  [5183] = {.lex_state = 231, .external_lex_state = 2},
  [5184] = {.lex_state = 230, .external_lex_state = 2},
  [5185] = {.lex_state = 84, .external_lex_state = 2},
  [5186] = {.lex_state = 231, .external_lex_state = 2},
  [5187] = {.lex_state = 231, .external_lex_state = 2},
  [5188] = {.lex_state = 231, .external_lex_state = 2},
  [5189] = {.lex_state = 230, .external_lex_state = 11},
  [5190] = {.lex_state = 230, .external_lex_state = 2},
  [5191] = {.lex_state = 230, .external_lex_state = 11},
  [5192] = {.lex_state = 230, .external_lex_state = 2},
  [5193] = {.lex_state = 230, .external_lex_state = 11},
  [5194] = {.lex_state = 230, .external_lex_state = 11},
  [5195] = {.lex_state = 231, .external_lex_state = 2},
  [5196] = {.lex_state = 230, .external_lex_state = 8},
  [5197] = {.lex_state = 230, .external_lex_state = 2},
  [5198] = {.lex_state = 230, .external_lex_state = 2},
  [5199] = {.lex_state = 231, .external_lex_state = 2},
  [5200] = {.lex_state = 231, .external_lex_state = 2},
  [5201] = {.lex_state = 230, .external_lex_state = 2},
  [5202] = {.lex_state = 230, .external_lex_state = 2},
  [5203] = {.lex_state = 230, .external_lex_state = 11},
  [5204] = {.lex_state = 230, .external_lex_state = 2},
  [5205] = {.lex_state = 230, .external_lex_state = 11},
  [5206] = {.lex_state = 231, .external_lex_state = 2},
  [5207] = {.lex_state = 230, .external_lex_state = 8},
  [5208] = {.lex_state = 231, .external_lex_state = 2},
  [5209] = {.lex_state = 231, .external_lex_state = 2},
  [5210] = {.lex_state = 231, .external_lex_state = 2},
  [5211] = {.lex_state = 231, .external_lex_state = 2},
  [5212] = {.lex_state = 231, .external_lex_state = 2},
  [5213] = {.lex_state = 231, .external_lex_state = 2},
  [5214] = {.lex_state = 84, .external_lex_state = 2},
  [5215] = {.lex_state = 230, .external_lex_state = 11},
  [5216] = {.lex_state = 230, .external_lex_state = 2},
  [5217] = {.lex_state = 230, .external_lex_state = 11},
  [5218] = {.lex_state = 84, .external_lex_state = 2},
  [5219] = {.lex_state = 101, .external_lex_state = 2},
  [5220] = {.lex_state = 230, .external_lex_state = 2},
  [5221] = {.lex_state = 84, .external_lex_state = 2},
  [5222] = {.lex_state = 230, .external_lex_state = 2},
  [5223] = {.lex_state = 230, .external_lex_state = 11},
  [5224] = {.lex_state = 231, .external_lex_state = 2},
  [5225] = {.lex_state = 84, .external_lex_state = 2},
  [5226] = {.lex_state = 230, .external_lex_state = 11},
  [5227] = {.lex_state = 230, .external_lex_state = 8},
  [5228] = {.lex_state = 230, .external_lex_state = 11},
  [5229] = {.lex_state = 230, .external_lex_state = 2},
  [5230] = {.lex_state = 117, .external_lex_state = 2},
  [5231] = {.lex_state = 231, .external_lex_state = 2},
  [5232] = {.lex_state = 84, .external_lex_state = 2},
  [5233] = {.lex_state = 230, .external_lex_state = 2},
  [5234] = {.lex_state = 230, .external_lex_state = 2},
  [5235] = {.lex_state = 230, .external_lex_state = 2},
  [5236] = {.lex_state = 231, .external_lex_state = 2},
  [5237] = {.lex_state = 231, .external_lex_state = 2},
  [5238] = {.lex_state = 230, .external_lex_state = 2},
  [5239] = {.lex_state = 230, .external_lex_state = 11},
  [5240] = {.lex_state = 230, .external_lex_state = 2},
  [5241] = {.lex_state = 230, .external_lex_state = 11},
  [5242] = {.lex_state = 231, .external_lex_state = 2},
  [5243] = {.lex_state = 230, .external_lex_state = 2},
  [5244] = {.lex_state = 231, .external_lex_state = 2},
  [5245] = {.lex_state = 230, .external_lex_state = 2},
  [5246] = {.lex_state = 231, .external_lex_state = 2},
  [5247] = {.lex_state = 230, .external_lex_state = 11},
  [5248] = {.lex_state = 231, .external_lex_state = 2},
  [5249] = {.lex_state = 230, .external_lex_state = 2},
  [5250] = {.lex_state = 230, .external_lex_state = 11},
  [5251] = {.lex_state = 230, .external_lex_state = 11},
  [5252] = {.lex_state = 230, .external_lex_state = 2},
  [5253] = {.lex_state = 231, .external_lex_state = 2},
  [5254] = {.lex_state = 231, .external_lex_state = 2},
  [5255] = {.lex_state = 117, .external_lex_state = 2},
  [5256] = {.lex_state = 230, .external_lex_state = 2},
  [5257] = {.lex_state = 230, .external_lex_state = 2},
  [5258] = {.lex_state = 230, .external_lex_state = 8},
  [5259] = {.lex_state = 230, .external_lex_state = 2},
  [5260] = {.lex_state = 231, .external_lex_state = 2},
  [5261] = {.lex_state = 117, .external_lex_state = 2},
  [5262] = {.lex_state = 231, .external_lex_state = 2},
  [5263] = {.lex_state = 230, .external_lex_state = 2},
  [5264] = {.lex_state = 230, .external_lex_state = 2},
  [5265] = {.lex_state = 117, .external_lex_state = 2},
  [5266] = {.lex_state = 230, .external_lex_state = 11},
  [5267] = {.lex_state = 230, .external_lex_state = 11},
  [5268] = {.lex_state = 84, .external_lex_state = 2},
  [5269] = {.lex_state = 230, .external_lex_state = 2},
  [5270] = {.lex_state = 117, .external_lex_state = 2},
  [5271] = {.lex_state = 84, .external_lex_state = 2},
  [5272] = {.lex_state = 117, .external_lex_state = 2},
  [5273] = {.lex_state = 230, .external_lex_state = 11},
  [5274] = {.lex_state = 230, .external_lex_state = 11},
  [5275] = {.lex_state = 117, .external_lex_state = 2},
  [5276] = {.lex_state = 101, .external_lex_state = 2},
  [5277] = {.lex_state = 117, .external_lex_state = 2},
  [5278] = {.lex_state = 230, .external_lex_state = 2},
  [5279] = {.lex_state = 230, .external_lex_state = 11},
  [5280] = {.lex_state = 230, .external_lex_state = 11},
  [5281] = {.lex_state = 230, .external_lex_state = 2},
  [5282] = {.lex_state = 230, .external_lex_state = 2},
  [5283] = {.lex_state = 230, .external_lex_state = 2},
  [5284] = {.lex_state = 230, .external_lex_state = 11},
  [5285] = {.lex_state = 230, .external_lex_state = 11},
  [5286] = {.lex_state = 84, .external_lex_state = 2},
  [5287] = {.lex_state = 230, .external_lex_state = 2},
  [5288] = {.lex_state = 230, .external_lex_state = 2},
  [5289] = {.lex_state = 230, .external_lex_state = 11},
  [5290] = {.lex_state = 230, .external_lex_state = 11},
  [5291] = {.lex_state = 230, .external_lex_state = 2},
  [5292] = {.lex_state = 230, .external_lex_state = 2},
  [5293] = {.lex_state = 230, .external_lex_state = 2},
  [5294] = {.lex_state = 230, .external_lex_state = 11},
  [5295] = {.lex_state = 230, .external_lex_state = 11},
  [5296] = {.lex_state = 231, .external_lex_state = 2},
  [5297] = {.lex_state = 73, .external_lex_state = 2},
  [5298] = {.lex_state = 73, .external_lex_state = 2},
  [5299] = {.lex_state = 230, .external_lex_state = 11},
  [5300] = {.lex_state = 230, .external_lex_state = 11},
  [5301] = {.lex_state = 231, .external_lex_state = 2},
  [5302] = {.lex_state = 230, .external_lex_state = 2},
  [5303] = {.lex_state = 230, .external_lex_state = 2},
  [5304] = {.lex_state = 230, .external_lex_state = 11},
  [5305] = {.lex_state = 230, .external_lex_state = 11},
  [5306] = {.lex_state = 230, .external_lex_state = 2},
  [5307] = {.lex_state = 230, .external_lex_state = 2},
  [5308] = {.lex_state = 117, .external_lex_state = 2},
  [5309] = {.lex_state = 73, .external_lex_state = 2},
  [5310] = {.lex_state = 230, .external_lex_state = 2},
  [5311] = {.lex_state = 230, .external_lex_state = 2},
  [5312] = {.lex_state = 230, .external_lex_state = 2},
  [5313] = {.lex_state = 230, .external_lex_state = 2},
  [5314] = {.lex_state = 231, .external_lex_state = 2},
  [5315] = {.lex_state = 109, .external_lex_state = 2},
  [5316] = {.lex_state = 117, .external_lex_state = 2},
  [5317] = {.lex_state = 231, .external_lex_state = 2},
  [5318] = {.lex_state = 230, .external_lex_state = 11},
  [5319] = {.lex_state = 117, .external_lex_state = 2},
  [5320] = {.lex_state = 231, .external_lex_state = 2},
  [5321] = {.lex_state = 230, .external_lex_state = 2},
  [5322] = {.lex_state = 230, .external_lex_state = 2},
  [5323] = {.lex_state = 117, .external_lex_state = 2},
  [5324] = {.lex_state = 231, .external_lex_state = 2},
  [5325] = {.lex_state = 230, .external_lex_state = 2},
  [5326] = {.lex_state = 230, .external_lex_state = 2},
  [5327] = {.lex_state = 230, .external_lex_state = 2},
  [5328] = {.lex_state = 84, .external_lex_state = 2},
  [5329] = {.lex_state = 230, .external_lex_state = 2},
  [5330] = {.lex_state = 230, .external_lex_state = 2},
  [5331] = {.lex_state = 230, .external_lex_state = 2},
  [5332] = {.lex_state = 230, .external_lex_state = 2},
  [5333] = {.lex_state = 124, .external_lex_state = 2},
  [5334] = {.lex_state = 231, .external_lex_state = 2},
  [5335] = {.lex_state = 230, .external_lex_state = 8},
  [5336] = {.lex_state = 84, .external_lex_state = 2},
  [5337] = {.lex_state = 230, .external_lex_state = 2},
  [5338] = {.lex_state = 101, .external_lex_state = 2},
  [5339] = {.lex_state = 230, .external_lex_state = 2},
  [5340] = {.lex_state = 84, .external_lex_state = 2},
  [5341] = {.lex_state = 230, .external_lex_state = 2},
  [5342] = {.lex_state = 84, .external_lex_state = 2},
  [5343] = {.lex_state = 230, .external_lex_state = 2},
  [5344] = {.lex_state = 231, .external_lex_state = 2},
  [5345] = {.lex_state = 231, .external_lex_state = 2},
  [5346] = {.lex_state = 231, .external_lex_state = 2},
  [5347] = {.lex_state = 230, .external_lex_state = 2},
  [5348] = {.lex_state = 231, .external_lex_state = 2},
  [5349] = {.lex_state = 230, .external_lex_state = 2},
  [5350] = {.lex_state = 117, .external_lex_state = 2},
  [5351] = {.lex_state = 73, .external_lex_state = 2},
  [5352] = {.lex_state = 230, .external_lex_state = 2},
  [5353] = {.lex_state = 231, .external_lex_state = 2},
  [5354] = {.lex_state = 230, .external_lex_state = 2},
  [5355] = {.lex_state = 230, .external_lex_state = 2},
  [5356] = {.lex_state = 73, .external_lex_state = 2},
  [5357] = {.lex_state = 230, .external_lex_state = 2},
  [5358] = {.lex_state = 230, .external_lex_state = 2},
  [5359] = {.lex_state = 231, .external_lex_state = 2},
  [5360] = {.lex_state = 84, .external_lex_state = 2},
  [5361] = {.lex_state = 84, .external_lex_state = 2},
  [5362] = {.lex_state = 117, .external_lex_state = 2},
  [5363] = {.lex_state = 230, .external_lex_state = 2},
  [5364] = {.lex_state = 230, .external_lex_state = 2},
  [5365] = {.lex_state = 84, .external_lex_state = 2},
  [5366] = {.lex_state = 230, .external_lex_state = 2},
  [5367] = {.lex_state = 84, .external_lex_state = 2},
  [5368] = {.lex_state = 73, .external_lex_state = 2},
  [5369] = {.lex_state = 230, .external_lex_state = 2},
  [5370] = {.lex_state = 101, .external_lex_state = 2},
  [5371] = {.lex_state = 230, .external_lex_state = 2},
  [5372] = {.lex_state = 230, .external_lex_state = 2},
  [5373] = {.lex_state = 84, .external_lex_state = 2},
  [5374] = {.lex_state = 230, .external_lex_state = 2},
  [5375] = {.lex_state = 230, .external_lex_state = 12},
  [5376] = {.lex_state = 230, .external_lex_state = 12},
  [5377] = {.lex_state = 84, .external_lex_state = 2},
  [5378] = {.lex_state = 230, .external_lex_state = 2},
  [5379] = {.lex_state = 230, .external_lex_state = 8},
  [5380] = {.lex_state = 230, .external_lex_state = 8},
  [5381] = {.lex_state = 73, .external_lex_state = 2},
  [5382] = {.lex_state = 231, .external_lex_state = 2},
  [5383] = {.lex_state = 231, .external_lex_state = 2},
  [5384] = {.lex_state = 230, .external_lex_state = 2},
  [5385] = {.lex_state = 230, .external_lex_state = 11},
  [5386] = {.lex_state = 230, .external_lex_state = 11},
  [5387] = {.lex_state = 230, .external_lex_state = 2},
  [5388] = {.lex_state = 230, .external_lex_state = 2},
  [5389] = {.lex_state = 231, .external_lex_state = 2},
  [5390] = {.lex_state = 230, .external_lex_state = 2},
  [5391] = {.lex_state = 230, .external_lex_state = 2},
  [5392] = {.lex_state = 230, .external_lex_state = 2},
  [5393] = {.lex_state = 230, .external_lex_state = 2},
  [5394] = {.lex_state = 231, .external_lex_state = 2},
  [5395] = {.lex_state = 231, .external_lex_state = 2},
  [5396] = {.lex_state = 230, .external_lex_state = 2},
  [5397] = {.lex_state = 117, .external_lex_state = 2},
  [5398] = {.lex_state = 230, .external_lex_state = 2},
  [5399] = {.lex_state = 231, .external_lex_state = 2},
  [5400] = {.lex_state = 230, .external_lex_state = 2},
  [5401] = {.lex_state = 84, .external_lex_state = 2},
  [5402] = {.lex_state = 230, .external_lex_state = 2},
  [5403] = {.lex_state = 230, .external_lex_state = 8},
  [5404] = {.lex_state = 84, .external_lex_state = 2},
  [5405] = {.lex_state = 117, .external_lex_state = 2},
  [5406] = {.lex_state = 101, .external_lex_state = 2},
  [5407] = {.lex_state = 230, .external_lex_state = 13},
  [5408] = {.lex_state = 117, .external_lex_state = 2},
  [5409] = {(TSStateId)(-1)},
  [5410] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_xml_doc] = STATE(0),
    [sym_block_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_assembly] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_field] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_param] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_constructor] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_let_BANG] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [aux_sym_access_modifier_token1] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_return_BANG] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_yield_BANG] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_upcast] = ACTIONS(1),
    [anon_sym_downcast] = ACTIONS(1),
    [anon_sym_LT_AT] = ACTIONS(1),
    [anon_sym_AT_GT] = ACTIONS(1),
    [anon_sym_LT_AT_AT] = ACTIONS(1),
    [anon_sym_AT_AT_GT] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_downto] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_match_BANG] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_DOT_LBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_use_BANG] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_DOT_DOT2] = ACTIONS(1),
    [anon_sym_DOT_DOT3] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LT2] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_POUND2] = ACTIONS(1),
    [anon_sym_unit] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_unmanaged] = ACTIONS(1),
    [anon_sym_equality] = ACTIONS(1),
    [anon_sym_comparison] = ACTIONS(1),
    [anon_sym_delegate] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_member] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_id] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_inherit] = ACTIONS(1),
    [anon_sym_EQ2] = ACTIONS(1),
    [sym__hex_digit_imm] = ACTIONS(1),
    [sym__digit_char_imm] = ACTIONS(1),
    [anon_sym_BSLASHu] = ACTIONS(1),
    [anon_sym_BSLASHU] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_AT_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTEB] = ACTIONS(1),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [sym_bool] = ACTIONS(1),
    [sym_unit] = ACTIONS(1),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS_DOT] = ACTIONS(1),
    [anon_sym_DASH_DOT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [aux_sym_prefix_op_token1] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(1),
    [sym__octaldigit_imm] = ACTIONS(1),
    [sym__bitdigit_imm] = ACTIONS(1),
    [aux_sym_int_token1] = ACTIONS(1),
    [anon_sym_y] = ACTIONS(1),
    [anon_sym_uy] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [anon_sym_us] = ACTIONS(1),
    [anon_sym_l] = ACTIONS(1),
    [aux_sym_uint32_token1] = ACTIONS(1),
    [anon_sym_n] = ACTIONS(1),
    [anon_sym_un] = ACTIONS(1),
    [anon_sym_L] = ACTIONS(1),
    [aux_sym_uint64_token1] = ACTIONS(1),
    [anon_sym_f] = ACTIONS(1),
    [anon_sym_lf] = ACTIONS(1),
    [anon_sym_LF] = ACTIONS(1),
    [aux_sym_bignum_token1] = ACTIONS(1),
    [aux_sym_decimal_token1] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [anon_sym_STAR_RPAREN] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__then] = ACTIONS(1),
    [sym__else] = ACTIONS(1),
    [sym__elif] = ACTIONS(1),
    [sym__triple_quoted_content] = ACTIONS(1),
    [sym_block_comment_content] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_file] = STATE(5371),
    [sym_namespace] = STATE(4544),
    [sym_named_module] = STATE(5369),
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2422),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(1),
    [sym_block_comment] = STATE(1),
    [aux_sym_file_repeat1] = STATE(283),
    [aux_sym_file_repeat2] = STATE(4142),
    [aux_sym_file_repeat3] = STATE(341),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(9),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(13),
    [anon_sym_module] = ACTIONS(15),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(2),
    [sym_block_comment] = STATE(2),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(113),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(113),
    [anon_sym_POUNDr] = ACTIONS(113),
    [anon_sym_POUNDload] = ACTIONS(113),
    [anon_sym_open] = ACTIONS(115),
    [anon_sym_LBRACK_LT] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(167),
  },
  [3] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(3),
    [sym_block_comment] = STATE(3),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(169),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_module] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(169),
    [anon_sym_POUNDr] = ACTIONS(169),
    [anon_sym_POUNDload] = ACTIONS(169),
    [anon_sym_open] = ACTIONS(171),
    [anon_sym_LBRACK_LT] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(167),
  },
  [4] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(4),
    [sym_block_comment] = STATE(4),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(173),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_namespace] = ACTIONS(175),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_POUNDnowarn] = ACTIONS(173),
    [anon_sym_POUNDr] = ACTIONS(173),
    [anon_sym_POUNDload] = ACTIONS(173),
    [anon_sym_open] = ACTIONS(175),
    [anon_sym_LBRACK_LT] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_type] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
  },
  [5] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(5),
    [sym_block_comment] = STATE(5),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(177),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(179),
    [anon_sym_module] = ACTIONS(179),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(177),
    [anon_sym_POUNDr] = ACTIONS(177),
    [anon_sym_POUNDload] = ACTIONS(177),
    [anon_sym_open] = ACTIONS(179),
    [anon_sym_LBRACK_LT] = ACTIONS(177),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(179),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(167),
  },
  [6] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(6),
    [sym_block_comment] = STATE(6),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(181),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(183),
    [anon_sym_module] = ACTIONS(183),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(181),
    [anon_sym_POUNDr] = ACTIONS(181),
    [anon_sym_POUNDload] = ACTIONS(181),
    [anon_sym_open] = ACTIONS(183),
    [anon_sym_LBRACK_LT] = ACTIONS(181),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
  },
  [7] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(7),
    [sym_block_comment] = STATE(7),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(185),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_namespace] = ACTIONS(187),
    [anon_sym_module] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_POUNDnowarn] = ACTIONS(185),
    [anon_sym_POUNDr] = ACTIONS(185),
    [anon_sym_POUNDload] = ACTIONS(185),
    [anon_sym_open] = ACTIONS(187),
    [anon_sym_LBRACK_LT] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_type] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
  },
  [8] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(8),
    [sym_block_comment] = STATE(8),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(191),
    [anon_sym_module] = ACTIONS(191),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(189),
    [anon_sym_POUNDr] = ACTIONS(189),
    [anon_sym_POUNDload] = ACTIONS(189),
    [anon_sym_open] = ACTIONS(191),
    [anon_sym_LBRACK_LT] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(191),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(167),
  },
  [9] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(9),
    [sym_block_comment] = STATE(9),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(193),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_namespace] = ACTIONS(195),
    [anon_sym_module] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_POUNDnowarn] = ACTIONS(193),
    [anon_sym_POUNDr] = ACTIONS(193),
    [anon_sym_POUNDload] = ACTIONS(193),
    [anon_sym_open] = ACTIONS(195),
    [anon_sym_LBRACK_LT] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_type] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [10] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(10),
    [sym_block_comment] = STATE(10),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_namespace] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_POUNDnowarn] = ACTIONS(197),
    [anon_sym_POUNDr] = ACTIONS(197),
    [anon_sym_POUNDload] = ACTIONS(197),
    [anon_sym_open] = ACTIONS(199),
    [anon_sym_LBRACK_LT] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_type] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
  },
  [11] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(4),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_infix_op] = STATE(485),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(11),
    [sym_block_comment] = STATE(11),
    [aux_sym_sequential_expression_repeat1] = STATE(870),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(201),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(203),
    [anon_sym_module] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(201),
    [anon_sym_POUNDr] = ACTIONS(201),
    [anon_sym_POUNDload] = ACTIONS(201),
    [anon_sym_open] = ACTIONS(203),
    [anon_sym_LBRACK_LT] = ACTIONS(201),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(203),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
  },
  [12] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(12),
    [sym_block_comment] = STATE(12),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_module] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_POUNDnowarn] = ACTIONS(185),
    [anon_sym_POUNDr] = ACTIONS(185),
    [anon_sym_POUNDload] = ACTIONS(185),
    [anon_sym_open] = ACTIONS(187),
    [anon_sym_LBRACK_LT] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_type] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
    [sym__dedent] = ACTIONS(185),
  },
  [13] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(13),
    [sym_block_comment] = STATE(13),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(183),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(181),
    [anon_sym_POUNDr] = ACTIONS(181),
    [anon_sym_POUNDload] = ACTIONS(181),
    [anon_sym_open] = ACTIONS(183),
    [anon_sym_LBRACK_LT] = ACTIONS(181),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(223),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(257),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
    [sym__dedent] = ACTIONS(181),
  },
  [14] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(14),
    [sym_block_comment] = STATE(14),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(201),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(201),
    [anon_sym_POUNDr] = ACTIONS(201),
    [anon_sym_POUNDload] = ACTIONS(201),
    [anon_sym_open] = ACTIONS(203),
    [anon_sym_LBRACK_LT] = ACTIONS(201),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(203),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(289),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
  },
  [15] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(15),
    [sym_block_comment] = STATE(15),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(169),
    [anon_sym_POUNDr] = ACTIONS(169),
    [anon_sym_POUNDload] = ACTIONS(169),
    [anon_sym_open] = ACTIONS(171),
    [anon_sym_LBRACK_LT] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(223),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(257),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(293),
    [sym__dedent] = ACTIONS(169),
  },
  [16] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(16),
    [sym_block_comment] = STATE(16),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(181),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(183),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(181),
    [anon_sym_POUNDr] = ACTIONS(181),
    [anon_sym_POUNDload] = ACTIONS(181),
    [anon_sym_open] = ACTIONS(183),
    [anon_sym_LBRACK_LT] = ACTIONS(181),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(183),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(289),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
  },
  [17] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(17),
    [sym_block_comment] = STATE(17),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(185),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_module] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_POUNDnowarn] = ACTIONS(185),
    [anon_sym_POUNDr] = ACTIONS(185),
    [anon_sym_POUNDload] = ACTIONS(185),
    [anon_sym_open] = ACTIONS(187),
    [anon_sym_LBRACK_LT] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_type] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
  },
  [18] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(18),
    [sym_block_comment] = STATE(18),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(193),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_module] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_POUNDnowarn] = ACTIONS(193),
    [anon_sym_POUNDr] = ACTIONS(193),
    [anon_sym_POUNDload] = ACTIONS(193),
    [anon_sym_open] = ACTIONS(195),
    [anon_sym_LBRACK_LT] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_type] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [19] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(19),
    [sym_block_comment] = STATE(19),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(177),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(179),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(177),
    [anon_sym_POUNDr] = ACTIONS(177),
    [anon_sym_POUNDload] = ACTIONS(177),
    [anon_sym_open] = ACTIONS(179),
    [anon_sym_LBRACK_LT] = ACTIONS(177),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(179),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(289),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(295),
  },
  [20] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(20),
    [sym_block_comment] = STATE(20),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(113),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(113),
    [anon_sym_POUNDr] = ACTIONS(113),
    [anon_sym_POUNDload] = ACTIONS(113),
    [anon_sym_open] = ACTIONS(115),
    [anon_sym_LBRACK_LT] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(289),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(295),
  },
  [21] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(21),
    [sym_block_comment] = STATE(21),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(173),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_POUNDnowarn] = ACTIONS(173),
    [anon_sym_POUNDr] = ACTIONS(173),
    [anon_sym_POUNDload] = ACTIONS(173),
    [anon_sym_open] = ACTIONS(175),
    [anon_sym_LBRACK_LT] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_type] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
  },
  [22] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(22),
    [sym_block_comment] = STATE(22),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(191),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(189),
    [anon_sym_POUNDr] = ACTIONS(189),
    [anon_sym_POUNDload] = ACTIONS(189),
    [anon_sym_open] = ACTIONS(191),
    [anon_sym_LBRACK_LT] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(191),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(223),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(257),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(293),
    [sym__dedent] = ACTIONS(189),
  },
  [23] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(23),
    [sym_block_comment] = STATE(23),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(169),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(169),
    [anon_sym_POUNDr] = ACTIONS(169),
    [anon_sym_POUNDload] = ACTIONS(169),
    [anon_sym_open] = ACTIONS(171),
    [anon_sym_LBRACK_LT] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(289),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(295),
  },
  [24] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(24),
    [sym_block_comment] = STATE(24),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_POUNDnowarn] = ACTIONS(197),
    [anon_sym_POUNDr] = ACTIONS(197),
    [anon_sym_POUNDload] = ACTIONS(197),
    [anon_sym_open] = ACTIONS(199),
    [anon_sym_LBRACK_LT] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_type] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
  },
  [25] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(25),
    [sym_block_comment] = STATE(25),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(113),
    [anon_sym_POUNDr] = ACTIONS(113),
    [anon_sym_POUNDload] = ACTIONS(113),
    [anon_sym_open] = ACTIONS(115),
    [anon_sym_LBRACK_LT] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(223),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(257),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(293),
    [sym__dedent] = ACTIONS(113),
  },
  [26] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(21),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_infix_op] = STATE(458),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(26),
    [sym_block_comment] = STATE(26),
    [aux_sym_sequential_expression_repeat1] = STATE(1057),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(191),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(189),
    [anon_sym_POUNDr] = ACTIONS(189),
    [anon_sym_POUNDload] = ACTIONS(189),
    [anon_sym_open] = ACTIONS(191),
    [anon_sym_LBRACK_LT] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(191),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(141),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(143),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(145),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_LT_DASH] = ACTIONS(289),
    [anon_sym_DOT_LBRACK] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_LPAREN2] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(93),
    [aux_sym__identifier_or_op_token1] = ACTIONS(99),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(295),
  },
  [27] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(27),
    [sym_block_comment] = STATE(27),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_module] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_POUNDnowarn] = ACTIONS(173),
    [anon_sym_POUNDr] = ACTIONS(173),
    [anon_sym_POUNDload] = ACTIONS(173),
    [anon_sym_open] = ACTIONS(175),
    [anon_sym_LBRACK_LT] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_type] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
    [sym__dedent] = ACTIONS(173),
  },
  [28] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(28),
    [sym_block_comment] = STATE(28),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_module] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_POUNDnowarn] = ACTIONS(193),
    [anon_sym_POUNDr] = ACTIONS(193),
    [anon_sym_POUNDload] = ACTIONS(193),
    [anon_sym_open] = ACTIONS(195),
    [anon_sym_LBRACK_LT] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_type] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
    [sym__dedent] = ACTIONS(193),
  },
  [29] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(29),
    [sym_block_comment] = STATE(29),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_POUNDnowarn] = ACTIONS(197),
    [anon_sym_POUNDr] = ACTIONS(197),
    [anon_sym_POUNDload] = ACTIONS(197),
    [anon_sym_open] = ACTIONS(199),
    [anon_sym_LBRACK_LT] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_type] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
    [sym__dedent] = ACTIONS(197),
  },
  [30] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(30),
    [sym_block_comment] = STATE(30),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(179),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(177),
    [anon_sym_POUNDr] = ACTIONS(177),
    [anon_sym_POUNDload] = ACTIONS(177),
    [anon_sym_open] = ACTIONS(179),
    [anon_sym_LBRACK_LT] = ACTIONS(177),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(179),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(223),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(257),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(293),
    [sym__dedent] = ACTIONS(177),
  },
  [31] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(27),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_infix_op] = STATE(480),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(31),
    [sym_block_comment] = STATE(31),
    [aux_sym_sequential_expression_repeat1] = STATE(1006),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_POUNDnowarn] = ACTIONS(201),
    [anon_sym_POUNDr] = ACTIONS(201),
    [anon_sym_POUNDload] = ACTIONS(201),
    [anon_sym_open] = ACTIONS(203),
    [anon_sym_LBRACK_LT] = ACTIONS(201),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(203),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(223),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(257),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
    [sym__dedent] = ACTIONS(201),
  },
  [32] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(32),
    [sym_block_comment] = STATE(32),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_GT_RBRACK] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_with] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_to] = ACTIONS(195),
    [anon_sym_downto] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_end] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [33] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(33),
    [sym_block_comment] = STATE(33),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_GT_RBRACK] = ACTIONS(177),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(179),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(179),
    [anon_sym_downto] = ACTIONS(179),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(179),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [34] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(34),
    [sym_block_comment] = STATE(34),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_GT_RBRACK] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_to] = ACTIONS(187),
    [anon_sym_downto] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_end] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
  },
  [35] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(35),
    [sym_block_comment] = STATE(35),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_GT_RBRACK] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_with] = ACTIONS(175),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_to] = ACTIONS(175),
    [anon_sym_downto] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_end] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
  },
  [36] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(36),
    [sym_block_comment] = STATE(36),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_GT_RBRACK] = ACTIONS(113),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(115),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(115),
    [anon_sym_downto] = ACTIONS(115),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [37] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(37),
    [sym_block_comment] = STATE(37),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_GT_RBRACK] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(191),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(191),
    [anon_sym_downto] = ACTIONS(191),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [38] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(38),
    [sym_block_comment] = STATE(38),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_GT_RBRACK] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_with] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_to] = ACTIONS(199),
    [anon_sym_downto] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_end] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
  },
  [39] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(39),
    [sym_block_comment] = STATE(39),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_GT_RBRACK] = ACTIONS(201),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(203),
    [anon_sym_downto] = ACTIONS(203),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(203),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
  },
  [40] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(40),
    [sym_block_comment] = STATE(40),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_GT_RBRACK] = ACTIONS(181),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(181),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(183),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(183),
    [anon_sym_downto] = ACTIONS(183),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(183),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
  },
  [41] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1019),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(41),
    [sym_block_comment] = STATE(41),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4056),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(469),
    [sym__else] = ACTIONS(471),
    [sym__elif] = ACTIONS(473),
  },
  [42] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1444),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(42),
    [sym_block_comment] = STATE(42),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4039),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(475),
    [sym__else] = ACTIONS(477),
    [sym__elif] = ACTIONS(473),
  },
  [43] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1791),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(43),
    [sym_block_comment] = STATE(43),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4061),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(479),
    [sym__else] = ACTIONS(481),
    [sym__elif] = ACTIONS(473),
  },
  [44] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1419),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(44),
    [sym_block_comment] = STATE(44),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4018),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(483),
    [sym__else] = ACTIONS(485),
    [sym__elif] = ACTIONS(473),
  },
  [45] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1623),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(45),
    [sym_block_comment] = STATE(45),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4044),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(487),
    [sym__else] = ACTIONS(489),
    [sym__elif] = ACTIONS(473),
  },
  [46] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1146),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(46),
    [sym_block_comment] = STATE(46),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4017),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(491),
    [sym__else] = ACTIONS(493),
    [sym__elif] = ACTIONS(473),
  },
  [47] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1905),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(47),
    [sym_block_comment] = STATE(47),
    [aux_sym__if_then_else_expression_repeat1] = STATE(3995),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(495),
    [sym__else] = ACTIONS(497),
    [sym__elif] = ACTIONS(473),
  },
  [48] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(905),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(48),
    [sym_block_comment] = STATE(48),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4028),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(499),
    [sym__else] = ACTIONS(501),
    [sym__elif] = ACTIONS(473),
  },
  [49] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1983),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(49),
    [sym_block_comment] = STATE(49),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4060),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(503),
    [sym__else] = ACTIONS(505),
    [sym__elif] = ACTIONS(473),
  },
  [50] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__else_expression] = STATE(1773),
    [sym_elif_expression] = STATE(4545),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(50),
    [sym_block_comment] = STATE(50),
    [aux_sym__if_then_else_expression_repeat1] = STATE(4003),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(507),
    [sym__else] = ACTIONS(509),
    [sym__elif] = ACTIONS(473),
  },
  [51] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(51),
    [sym_block_comment] = STATE(51),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_as] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_with] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
    [sym__dedent] = ACTIONS(193),
  },
  [52] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(52),
    [sym_block_comment] = STATE(52),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_as] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_with] = ACTIONS(175),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
    [sym__dedent] = ACTIONS(173),
  },
  [53] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(53),
    [sym_block_comment] = STATE(53),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
    [sym__dedent] = ACTIONS(185),
    [sym__else] = ACTIONS(185),
    [sym__elif] = ACTIONS(185),
  },
  [54] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(54),
    [sym_block_comment] = STATE(54),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
    [sym__dedent] = ACTIONS(197),
    [sym__else] = ACTIONS(197),
    [sym__elif] = ACTIONS(197),
  },
  [55] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(55),
    [sym_block_comment] = STATE(55),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_as] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_with] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
    [sym__dedent] = ACTIONS(197),
  },
  [56] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(56),
    [sym_block_comment] = STATE(56),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
    [sym__dedent] = ACTIONS(173),
    [sym__else] = ACTIONS(173),
    [sym__elif] = ACTIONS(173),
  },
  [57] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(57),
    [sym_block_comment] = STATE(57),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_as] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
    [sym__dedent] = ACTIONS(185),
  },
  [58] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(58),
    [sym_block_comment] = STATE(58),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
    [sym__dedent] = ACTIONS(193),
    [sym__else] = ACTIONS(193),
    [sym__elif] = ACTIONS(193),
  },
  [59] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(59),
    [sym_block_comment] = STATE(59),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
    [sym__dedent] = ACTIONS(201),
    [sym__else] = ACTIONS(201),
    [sym__elif] = ACTIONS(201),
  },
  [60] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(60),
    [sym_block_comment] = STATE(60),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(113),
    [sym__else] = ACTIONS(113),
    [sym__elif] = ACTIONS(113),
  },
  [61] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(61),
    [sym_block_comment] = STATE(61),
    [aux_sym__list_elements_repeat1] = STATE(4225),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_DOT_DOT2] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(537),
    [sym__dedent] = ACTIONS(539),
  },
  [62] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(62),
    [sym_block_comment] = STATE(62),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_as] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_with] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
    [sym__dedent] = ACTIONS(193),
  },
  [63] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(63),
    [sym_block_comment] = STATE(63),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(189),
    [sym__else] = ACTIONS(189),
    [sym__elif] = ACTIONS(189),
  },
  [64] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(64),
    [sym_block_comment] = STATE(64),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
    [sym__dedent] = ACTIONS(181),
    [sym__else] = ACTIONS(181),
    [sym__elif] = ACTIONS(181),
  },
  [65] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(56),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_infix_op] = STATE(624),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(65),
    [sym_block_comment] = STATE(65),
    [aux_sym_sequential_expression_repeat1] = STATE(1322),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(385),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(409),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(411),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(413),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_LT_DASH] = ACTIONS(431),
    [anon_sym_DOT_LBRACK] = ACTIONS(433),
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(437),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(463),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(467),
    [sym__dedent] = ACTIONS(177),
    [sym__else] = ACTIONS(177),
    [sym__elif] = ACTIONS(177),
  },
  [66] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(66),
    [sym_block_comment] = STATE(66),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(545),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(545),
    [anon_sym_as] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(561),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(569),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(571),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_LT_DASH] = ACTIONS(591),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_LPAREN2] = ACTIONS(601),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
    [sym__dedent] = ACTIONS(201),
  },
  [67] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(67),
    [sym_block_comment] = STATE(67),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(545),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(545),
    [anon_sym_as] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(561),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_with] = ACTIONS(115),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(569),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(571),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_LT_DASH] = ACTIONS(591),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_LPAREN2] = ACTIONS(601),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(621),
    [sym__dedent] = ACTIONS(113),
  },
  [68] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(68),
    [sym_block_comment] = STATE(68),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(545),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(545),
    [anon_sym_as] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(561),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_with] = ACTIONS(191),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(569),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(571),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_LT_DASH] = ACTIONS(591),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_LPAREN2] = ACTIONS(601),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(621),
    [sym__dedent] = ACTIONS(189),
  },
  [69] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(69),
    [sym_block_comment] = STATE(69),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(545),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(545),
    [anon_sym_as] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_with] = ACTIONS(183),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(569),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(571),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_LT_DASH] = ACTIONS(591),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_LPAREN2] = ACTIONS(601),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
    [sym__dedent] = ACTIONS(181),
  },
  [70] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(52),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_infix_op] = STATE(654),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(70),
    [sym_block_comment] = STATE(70),
    [aux_sym_sequential_expression_repeat1] = STATE(1318),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(545),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(545),
    [anon_sym_as] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(561),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_with] = ACTIONS(179),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(569),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(571),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_LT_DASH] = ACTIONS(591),
    [anon_sym_DOT_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_LPAREN2] = ACTIONS(601),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(621),
    [sym__dedent] = ACTIONS(177),
  },
  [71] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(71),
    [sym_block_comment] = STATE(71),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_DOT_DOT2] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(623),
    [sym__dedent] = ACTIONS(113),
  },
  [72] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(72),
    [sym_block_comment] = STATE(72),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_DOT_DOT2] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
    [sym__dedent] = ACTIONS(181),
  },
  [73] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(73),
    [sym_block_comment] = STATE(73),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_DOT_DOT2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [74] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(74),
    [sym_block_comment] = STATE(74),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(629),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [75] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(75),
    [sym_block_comment] = STATE(75),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_DOT_DOT2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
  },
  [76] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(76),
    [sym_block_comment] = STATE(76),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(649),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(665),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(673),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(675),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(677),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_LT_DASH] = ACTIONS(695),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_LPAREN2] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(725),
    [aux_sym__identifier_or_op_token1] = ACTIONS(727),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(731),
    [sym__else] = ACTIONS(177),
    [sym__elif] = ACTIONS(177),
  },
  [77] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(77),
    [sym_block_comment] = STATE(77),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_DOT_DOT2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
  },
  [78] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(78),
    [sym_block_comment] = STATE(78),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [79] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(79),
    [sym_block_comment] = STATE(79),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(765),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(775),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_DOT_DOT] = ACTIONS(799),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(823),
  },
  [80] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(80),
    [sym_block_comment] = STATE(80),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
  },
  [81] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(81),
    [sym_block_comment] = STATE(81),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_DOT_DOT2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
  },
  [82] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(82),
    [sym_block_comment] = STATE(82),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_with] = ACTIONS(175),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
    [sym__dedent] = ACTIONS(173),
  },
  [83] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(83),
    [sym_block_comment] = STATE(83),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_with] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
    [sym__dedent] = ACTIONS(193),
  },
  [84] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(84),
    [sym_block_comment] = STATE(84),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_with] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
    [sym__dedent] = ACTIONS(197),
  },
  [85] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(85),
    [sym_block_comment] = STATE(85),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
    [sym__dedent] = ACTIONS(185),
  },
  [86] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(86),
    [sym_block_comment] = STATE(86),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [87] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(87),
    [sym_block_comment] = STATE(87),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
    [sym__dedent] = ACTIONS(201),
  },
  [88] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(88),
    [sym_block_comment] = STATE(88),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_with] = ACTIONS(115),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(113),
  },
  [89] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(89),
    [sym_block_comment] = STATE(89),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(201),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
  },
  [90] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(90),
    [sym_block_comment] = STATE(90),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_with] = ACTIONS(191),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(189),
  },
  [91] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(91),
    [sym_block_comment] = STATE(91),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [92] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(92),
    [sym_block_comment] = STATE(92),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_with] = ACTIONS(183),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
    [sym__dedent] = ACTIONS(181),
  },
  [93] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(93),
    [sym_block_comment] = STATE(93),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_DOT_DOT2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
    [sym__dedent] = ACTIONS(173),
  },
  [94] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(94),
    [sym_block_comment] = STATE(94),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_with] = ACTIONS(179),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(177),
  },
  [95] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(95),
    [sym_block_comment] = STATE(95),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_DOT_DOT2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
    [sym__dedent] = ACTIONS(193),
  },
  [96] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(96),
    [sym_block_comment] = STATE(96),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_DOT_DOT2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
    [sym__dedent] = ACTIONS(197),
  },
  [97] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(97),
    [sym_block_comment] = STATE(97),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_DOT_DOT2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
    [sym__dedent] = ACTIONS(185),
  },
  [98] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(98),
    [sym_block_comment] = STATE(98),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_as] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_with] = ACTIONS(175),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
  },
  [99] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(99),
    [sym_block_comment] = STATE(99),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_as] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_with] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [100] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(100),
    [sym_block_comment] = STATE(100),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_as] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_with] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
  },
  [101] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(101),
    [sym_block_comment] = STATE(101),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_as] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
  },
  [102] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(102),
    [sym_block_comment] = STATE(102),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(649),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(665),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(673),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(675),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(677),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_LT_DASH] = ACTIONS(695),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_LPAREN2] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(725),
    [aux_sym__identifier_or_op_token1] = ACTIONS(727),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(731),
    [sym__else] = ACTIONS(847),
    [sym__elif] = ACTIONS(847),
  },
  [103] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(103),
    [sym_block_comment] = STATE(103),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [104] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(104),
    [sym_block_comment] = STATE(104),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_DOT_DOT2] = ACTIONS(201),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
    [sym__dedent] = ACTIONS(201),
  },
  [105] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(105),
    [sym_block_comment] = STATE(105),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [106] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(106),
    [sym_block_comment] = STATE(106),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(879),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(881),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(883),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_LT_DASH] = ACTIONS(901),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_LPAREN2] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(925),
    [aux_sym__identifier_or_op_token1] = ACTIONS(927),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
  },
  [107] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(107),
    [sym_block_comment] = STATE(107),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [108] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(108),
    [sym_block_comment] = STATE(108),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_with] = ACTIONS(115),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(879),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(881),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(883),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_LT_DASH] = ACTIONS(901),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_LPAREN2] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(925),
    [aux_sym__identifier_or_op_token1] = ACTIONS(927),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(933),
  },
  [109] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(109),
    [sym_block_comment] = STATE(109),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [110] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(110),
    [sym_block_comment] = STATE(110),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_DOT_DOT2] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(623),
    [sym__dedent] = ACTIONS(189),
  },
  [111] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(111),
    [sym_block_comment] = STATE(111),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [112] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(112),
    [sym_block_comment] = STATE(112),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [113] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(113),
    [sym_block_comment] = STATE(113),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [114] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(114),
    [sym_block_comment] = STATE(114),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_with] = ACTIONS(191),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(879),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(881),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(883),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_LT_DASH] = ACTIONS(901),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_LPAREN2] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(925),
    [aux_sym__identifier_or_op_token1] = ACTIONS(927),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(933),
  },
  [115] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(115),
    [sym_block_comment] = STATE(115),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(765),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_DOT_DOT] = ACTIONS(945),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(823),
  },
  [116] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(116),
    [sym_block_comment] = STATE(116),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [117] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(117),
    [sym_block_comment] = STATE(117),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_with] = ACTIONS(183),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(879),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(881),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(883),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_LT_DASH] = ACTIONS(901),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_LPAREN2] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(925),
    [aux_sym__identifier_or_op_token1] = ACTIONS(927),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
  },
  [118] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(118),
    [sym_block_comment] = STATE(118),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(949),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [119] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(119),
    [sym_block_comment] = STATE(119),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_with] = ACTIONS(179),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(879),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(881),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(883),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_LT_DASH] = ACTIONS(901),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_LPAREN2] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(925),
    [aux_sym__identifier_or_op_token1] = ACTIONS(927),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(933),
  },
  [120] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(120),
    [sym_block_comment] = STATE(120),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
    [sym__else] = ACTIONS(173),
    [sym__elif] = ACTIONS(173),
  },
  [121] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(121),
    [sym_block_comment] = STATE(121),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_DOT_DOT2] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(623),
    [sym__dedent] = ACTIONS(177),
  },
  [122] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(98),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_infix_op] = STATE(642),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(122),
    [sym_block_comment] = STATE(122),
    [aux_sym_sequential_expression_repeat1] = STATE(1442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_as] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_with] = ACTIONS(195),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(841),
    [anon_sym_DOT] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(845),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [123] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(123),
    [sym_block_comment] = STATE(123),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_DOT_DOT2] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(623),
    [sym__dedent] = ACTIONS(629),
  },
  [124] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(93),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_infix_op] = STATE(652),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(124),
    [sym_block_comment] = STATE(124),
    [aux_sym_sequential_expression_repeat1] = STATE(1403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(527),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_DOT_DOT2] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(951),
    [sym__dedent] = ACTIONS(951),
  },
  [125] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(125),
    [sym_block_comment] = STATE(125),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(953),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(765),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(943),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_DOT_DOT] = ACTIONS(945),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(823),
  },
  [126] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(126),
    [sym_block_comment] = STATE(126),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(765),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
  },
  [127] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(127),
    [sym_block_comment] = STATE(127),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(765),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_DOT_DOT] = ACTIONS(113),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(823),
  },
  [128] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(128),
    [sym_block_comment] = STATE(128),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(765),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(191),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_DOT_DOT] = ACTIONS(189),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(823),
  },
  [129] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(129),
    [sym_block_comment] = STATE(129),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(765),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
  },
  [130] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(130),
    [sym_block_comment] = STATE(130),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(765),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(179),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_DOT_DOT] = ACTIONS(177),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(823),
  },
  [131] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(131),
    [sym_block_comment] = STATE(131),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_with] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(957),
  },
  [132] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(132),
    [sym_block_comment] = STATE(132),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(959),
    [anon_sym_downto] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [133] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(133),
    [sym_block_comment] = STATE(133),
    [aux_sym__list_elements_repeat1] = STATE(4200),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(961),
    [sym__dedent] = ACTIONS(963),
  },
  [134] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(134),
    [sym_block_comment] = STATE(134),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
    [sym__else] = ACTIONS(193),
    [sym__elif] = ACTIONS(193),
  },
  [135] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(75),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_infix_op] = STATE(669),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(135),
    [sym_block_comment] = STATE(135),
    [aux_sym_sequential_expression_repeat1] = STATE(1514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(965),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_DOT_DOT2] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(645),
  },
  [136] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(136),
    [sym_block_comment] = STATE(136),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
    [sym__else] = ACTIONS(197),
    [sym__elif] = ACTIONS(197),
  },
  [137] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(137),
    [sym_block_comment] = STATE(137),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
    [sym__else] = ACTIONS(185),
    [sym__elif] = ACTIONS(185),
  },
  [138] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(138),
    [sym_block_comment] = STATE(138),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(649),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(665),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(673),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(675),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(677),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_LT_DASH] = ACTIONS(695),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_LPAREN2] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(725),
    [aux_sym__identifier_or_op_token1] = ACTIONS(727),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
    [sym__else] = ACTIONS(201),
    [sym__elif] = ACTIONS(201),
  },
  [139] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(139),
    [sym_block_comment] = STATE(139),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(649),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(665),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(673),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(675),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(677),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_LT_DASH] = ACTIONS(695),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_LPAREN2] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(725),
    [aux_sym__identifier_or_op_token1] = ACTIONS(727),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(731),
    [sym__else] = ACTIONS(113),
    [sym__elif] = ACTIONS(113),
  },
  [140] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(140),
    [sym_block_comment] = STATE(140),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(649),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(665),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(673),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(675),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(677),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_LT_DASH] = ACTIONS(695),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_LPAREN2] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(725),
    [aux_sym__identifier_or_op_token1] = ACTIONS(727),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(731),
    [sym__else] = ACTIONS(189),
    [sym__elif] = ACTIONS(189),
  },
  [141] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(141),
    [sym_block_comment] = STATE(141),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_DOT_DOT] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
  },
  [142] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(142),
    [sym_block_comment] = STATE(142),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_DASH_GT] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_DOT_DOT] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [143] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(143),
    [sym_block_comment] = STATE(143),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_DASH_GT] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_DOT_DOT] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
  },
  [144] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(141),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_infix_op] = STATE(610),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(144),
    [sym_block_comment] = STATE(144),
    [aux_sym_sequential_expression_repeat1] = STATE(1537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
  },
  [145] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(145),
    [sym_block_comment] = STATE(145),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(967),
    [anon_sym_downto] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [146] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(146),
    [sym_block_comment] = STATE(146),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(969),
    [anon_sym_downto] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [147] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(147),
    [sym_block_comment] = STATE(147),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(971),
    [anon_sym_downto] = ACTIONS(971),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [148] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(148),
    [sym_block_comment] = STATE(148),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(973),
    [anon_sym_downto] = ACTIONS(973),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [149] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(120),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_infix_op] = STATE(526),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(149),
    [sym_block_comment] = STATE(149),
    [aux_sym_sequential_expression_repeat1] = STATE(1485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(649),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(673),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(675),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(677),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_LT_DASH] = ACTIONS(695),
    [anon_sym_DOT_LBRACK] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_LPAREN2] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(725),
    [aux_sym__identifier_or_op_token1] = ACTIONS(727),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
    [sym__else] = ACTIONS(181),
    [sym__elif] = ACTIONS(181),
  },
  [150] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(150),
    [sym_block_comment] = STATE(150),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(975),
    [anon_sym_downto] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [151] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(151),
    [sym_block_comment] = STATE(151),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(977),
    [anon_sym_downto] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [152] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(152),
    [sym_block_comment] = STATE(152),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(979),
    [anon_sym_downto] = ACTIONS(979),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [153] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(153),
    [sym_block_comment] = STATE(153),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(981),
    [anon_sym_downto] = ACTIONS(981),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [154] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(154),
    [sym_block_comment] = STATE(154),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_to] = ACTIONS(983),
    [anon_sym_downto] = ACTIONS(983),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [155] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(155),
    [sym_block_comment] = STATE(155),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
    [sym__then] = ACTIONS(197),
  },
  [156] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(156),
    [sym_block_comment] = STATE(156),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [157] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(157),
    [sym_block_comment] = STATE(157),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1095),
  },
  [158] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(158),
    [sym_block_comment] = STATE(158),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1103),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [159] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(159),
    [sym_block_comment] = STATE(159),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
    [sym__then] = ACTIONS(173),
  },
  [160] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(160),
    [sym_block_comment] = STATE(160),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(113),
  },
  [161] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(161),
    [sym_block_comment] = STATE(161),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1185),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1187),
  },
  [162] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(162),
    [sym_block_comment] = STATE(162),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
    [sym__then] = ACTIONS(201),
  },
  [163] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(163),
    [sym_block_comment] = STATE(163),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
    [sym__then] = ACTIONS(193),
  },
  [164] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(164),
    [sym_block_comment] = STATE(164),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1189),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1191),
  },
  [165] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(165),
    [sym_block_comment] = STATE(165),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [166] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(166),
    [sym_block_comment] = STATE(166),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(189),
  },
  [167] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(167),
    [sym_block_comment] = STATE(167),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
    [sym__then] = ACTIONS(181),
  },
  [168] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(168),
    [sym_block_comment] = STATE(168),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
    [sym__then] = ACTIONS(185),
  },
  [169] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(169),
    [sym_block_comment] = STATE(169),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [170] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(170),
    [sym_block_comment] = STATE(170),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [171] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(171),
    [sym_block_comment] = STATE(171),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [172] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(172),
    [sym_block_comment] = STATE(172),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [173] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(173),
    [sym_block_comment] = STATE(173),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [174] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(174),
    [sym_block_comment] = STATE(174),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(1205),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(1205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [175] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(175),
    [sym_block_comment] = STATE(175),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [176] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(176),
    [sym_block_comment] = STATE(176),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1209),
  },
  [177] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(177),
    [sym_block_comment] = STATE(177),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1211),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1213),
  },
  [178] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(178),
    [sym_block_comment] = STATE(178),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_DOT_DOT] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
  },
  [179] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(179),
    [sym_block_comment] = STATE(179),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1215),
  },
  [180] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(180),
    [sym_block_comment] = STATE(180),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(177),
  },
  [181] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(181),
    [sym_block_comment] = STATE(181),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1217),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [182] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(182),
    [sym_block_comment] = STATE(182),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1219),
  },
  [183] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(183),
    [sym_block_comment] = STATE(183),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1221),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [184] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(184),
    [sym_block_comment] = STATE(184),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [185] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(185),
    [sym_block_comment] = STATE(185),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1225),
  },
  [186] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(186),
    [sym_block_comment] = STATE(186),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1227),
  },
  [187] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(187),
    [sym_block_comment] = STATE(187),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(1229),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [188] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(188),
    [sym_block_comment] = STATE(188),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1231),
  },
  [189] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(189),
    [sym_block_comment] = STATE(189),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1233),
  },
  [190] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(190),
    [sym_block_comment] = STATE(190),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1235),
  },
  [191] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(191),
    [sym_block_comment] = STATE(191),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1237),
  },
  [192] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(192),
    [sym_block_comment] = STATE(192),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1239),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1241),
  },
  [193] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(193),
    [sym_block_comment] = STATE(193),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_DOT_DOT] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [194] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(194),
    [sym_block_comment] = STATE(194),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [195] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(195),
    [sym_block_comment] = STATE(195),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1245),
  },
  [196] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(196),
    [sym_block_comment] = STATE(196),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [197] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(197),
    [sym_block_comment] = STATE(197),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_DOT_DOT] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
  },
  [198] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(198),
    [sym_block_comment] = STATE(198),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1249),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [199] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(199),
    [sym_block_comment] = STATE(199),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
  },
  [200] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(200),
    [sym_block_comment] = STATE(200),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(115),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [201] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(201),
    [sym_block_comment] = STATE(201),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1253),
  },
  [202] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(202),
    [sym_block_comment] = STATE(202),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1255),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [203] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(203),
    [sym_block_comment] = STATE(203),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1257),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [204] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(204),
    [sym_block_comment] = STATE(204),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1259),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1261),
  },
  [205] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(205),
    [sym_block_comment] = STATE(205),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [206] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(206),
    [sym_block_comment] = STATE(206),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [207] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(207),
    [sym_block_comment] = STATE(207),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1229),
  },
  [208] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(208),
    [sym_block_comment] = STATE(208),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [209] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(209),
    [sym_block_comment] = STATE(209),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(951),
    [sym__dedent] = ACTIONS(951),
  },
  [210] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(210),
    [sym_block_comment] = STATE(210),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1269),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1271),
  },
  [211] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(211),
    [sym_block_comment] = STATE(211),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [212] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(212),
    [sym_block_comment] = STATE(212),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1275),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [213] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(213),
    [sym_block_comment] = STATE(213),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
  },
  [214] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(214),
    [sym_block_comment] = STATE(214),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [215] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(215),
    [sym_block_comment] = STATE(215),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1279),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1281),
  },
  [216] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(216),
    [sym_block_comment] = STATE(216),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [217] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(217),
    [sym_block_comment] = STATE(217),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1283),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [218] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(218),
    [sym_block_comment] = STATE(218),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1285),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [219] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(219),
    [sym_block_comment] = STATE(219),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1287),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1289),
  },
  [220] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(220),
    [sym_block_comment] = STATE(220),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(177),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [221] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(221),
    [sym_block_comment] = STATE(221),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1293),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [222] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(222),
    [sym_block_comment] = STATE(222),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1295),
  },
  [223] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(223),
    [sym_block_comment] = STATE(223),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
  },
  [224] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(224),
    [sym_block_comment] = STATE(224),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(189),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [225] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(225),
    [sym_block_comment] = STATE(225),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(1205),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1205),
  },
  [226] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(226),
    [sym_block_comment] = STATE(226),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1297),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [227] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(227),
    [sym_block_comment] = STATE(227),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1299),
  },
  [228] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(228),
    [sym_block_comment] = STATE(228),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [229] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(229),
    [sym_block_comment] = STATE(229),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1303),
  },
  [230] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(230),
    [sym_block_comment] = STATE(230),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1305),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [231] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(231),
    [sym_block_comment] = STATE(231),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(191),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [232] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(232),
    [sym_block_comment] = STATE(232),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1307),
    [sym__dedent] = ACTIONS(1307),
  },
  [233] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(233),
    [sym_block_comment] = STATE(233),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(181),
  },
  [234] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(234),
    [sym_block_comment] = STATE(234),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1311),
  },
  [235] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(235),
    [sym_block_comment] = STATE(235),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1313),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [236] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(236),
    [sym_block_comment] = STATE(236),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1315),
  },
  [237] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(237),
    [sym_block_comment] = STATE(237),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1317),
  },
  [238] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(238),
    [sym_block_comment] = STATE(238),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1319),
  },
  [239] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(239),
    [sym_block_comment] = STATE(239),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1321),
  },
  [240] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(240),
    [sym_block_comment] = STATE(240),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1323),
  },
  [241] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(241),
    [sym_block_comment] = STATE(241),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1325),
  },
  [242] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(242),
    [sym_block_comment] = STATE(242),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1327),
  },
  [243] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(243),
    [sym_block_comment] = STATE(243),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1329),
  },
  [244] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(244),
    [sym_block_comment] = STATE(244),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_let] = ACTIONS(175),
    [anon_sym_let_BANG] = ACTIONS(173),
    [anon_sym_null] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_COLON_QMARK] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(173),
    [anon_sym_new] = ACTIONS(175),
    [anon_sym_return_BANG] = ACTIONS(173),
    [anon_sym_yield] = ACTIONS(175),
    [anon_sym_yield_BANG] = ACTIONS(173),
    [anon_sym_lazy] = ACTIONS(175),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_upcast] = ACTIONS(175),
    [anon_sym_downcast] = ACTIONS(175),
    [anon_sym_LT_AT] = ACTIONS(175),
    [anon_sym_AT_GT] = ACTIONS(173),
    [anon_sym_LT_AT_AT] = ACTIONS(175),
    [anon_sym_AT_AT_GT] = ACTIONS(173),
    [anon_sym_COLON_GT] = ACTIONS(173),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_fun] = ACTIONS(175),
    [anon_sym_DASH_GT] = ACTIONS(175),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(175),
    [anon_sym_match_BANG] = ACTIONS(173),
    [anon_sym_function] = ACTIONS(175),
    [anon_sym_LT_DASH] = ACTIONS(175),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(175),
    [anon_sym_use_BANG] = ACTIONS(173),
    [anon_sym_do_BANG] = ACTIONS(173),
    [anon_sym_begin] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym_or] = ACTIONS(175),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [anon_sym_AT_DQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(173),
    [sym_bool] = ACTIONS(175),
    [sym_unit] = ACTIONS(175),
    [aux_sym__identifier_or_op_token1] = ACTIONS(175),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS_DOT] = ACTIONS(175),
    [anon_sym_DASH_DOT] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(173),
    [aux_sym_prefix_op_token1] = ACTIONS(173),
    [aux_sym_infix_op_token1] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(173),
    [aux_sym_int_token1] = ACTIONS(175),
    [aux_sym_xint_token1] = ACTIONS(173),
    [aux_sym_xint_token2] = ACTIONS(173),
    [aux_sym_xint_token3] = ACTIONS(173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(173),
  },
  [245] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(159),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_infix_op] = STATE(563),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(245),
    [sym_block_comment] = STATE(245),
    [aux_sym_sequential_expression_repeat1] = STATE(1813),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1041),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1043),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1045),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_LT_DASH] = ACTIONS(1063),
    [anon_sym_DOT_LBRACK] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_LPAREN2] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1087),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1089),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1093),
    [sym__then] = ACTIONS(1331),
  },
  [246] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(246),
    [sym_block_comment] = STATE(246),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1333),
  },
  [247] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(247),
    [sym_block_comment] = STATE(247),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1335),
  },
  [248] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(248),
    [sym_block_comment] = STATE(248),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1337),
  },
  [249] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(249),
    [sym_block_comment] = STATE(249),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1339),
  },
  [250] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(250),
    [sym_block_comment] = STATE(250),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_EQ] = ACTIONS(193),
    [anon_sym_COLON] = ACTIONS(195),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(195),
    [anon_sym_let] = ACTIONS(195),
    [anon_sym_let_BANG] = ACTIONS(193),
    [anon_sym_null] = ACTIONS(195),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_COLON_QMARK] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(195),
    [anon_sym_COMMA] = ACTIONS(193),
    [anon_sym_COLON_COLON] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_LBRACE_PIPE] = ACTIONS(193),
    [anon_sym_new] = ACTIONS(195),
    [anon_sym_return_BANG] = ACTIONS(193),
    [anon_sym_yield] = ACTIONS(195),
    [anon_sym_yield_BANG] = ACTIONS(193),
    [anon_sym_lazy] = ACTIONS(195),
    [anon_sym_assert] = ACTIONS(195),
    [anon_sym_upcast] = ACTIONS(195),
    [anon_sym_downcast] = ACTIONS(195),
    [anon_sym_LT_AT] = ACTIONS(195),
    [anon_sym_AT_GT] = ACTIONS(193),
    [anon_sym_LT_AT_AT] = ACTIONS(195),
    [anon_sym_AT_AT_GT] = ACTIONS(193),
    [anon_sym_COLON_GT] = ACTIONS(193),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(195),
    [anon_sym_fun] = ACTIONS(195),
    [anon_sym_DASH_GT] = ACTIONS(195),
    [anon_sym_try] = ACTIONS(195),
    [anon_sym_match] = ACTIONS(195),
    [anon_sym_match_BANG] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(195),
    [anon_sym_LT_DASH] = ACTIONS(195),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(195),
    [anon_sym_use_BANG] = ACTIONS(193),
    [anon_sym_do_BANG] = ACTIONS(193),
    [anon_sym_begin] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(193),
    [anon_sym_or] = ACTIONS(195),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [anon_sym_AT_DQUOTE] = ACTIONS(193),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(193),
    [sym_bool] = ACTIONS(195),
    [sym_unit] = ACTIONS(195),
    [aux_sym__identifier_or_op_token1] = ACTIONS(195),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(195),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_PLUS_DOT] = ACTIONS(195),
    [anon_sym_DASH_DOT] = ACTIONS(195),
    [anon_sym_PERCENT] = ACTIONS(195),
    [anon_sym_AMP_AMP] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(193),
    [aux_sym_prefix_op_token1] = ACTIONS(193),
    [aux_sym_infix_op_token1] = ACTIONS(195),
    [anon_sym_PIPE_PIPE] = ACTIONS(195),
    [anon_sym_BANG_EQ] = ACTIONS(193),
    [anon_sym_COLON_EQ] = ACTIONS(193),
    [anon_sym_DOLLAR] = ACTIONS(195),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(193),
    [aux_sym_int_token1] = ACTIONS(195),
    [aux_sym_xint_token1] = ACTIONS(193),
    [aux_sym_xint_token2] = ACTIONS(193),
    [aux_sym_xint_token3] = ACTIONS(193),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(193),
  },
  [251] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(251),
    [sym_block_comment] = STATE(251),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1341),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [252] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(252),
    [sym_block_comment] = STATE(252),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1343),
  },
  [253] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(253),
    [sym_block_comment] = STATE(253),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1345),
  },
  [254] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(254),
    [sym_block_comment] = STATE(254),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1347),
  },
  [255] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(255),
    [sym_block_comment] = STATE(255),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1349),
  },
  [256] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(256),
    [sym_block_comment] = STATE(256),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_let_BANG] = ACTIONS(197),
    [anon_sym_null] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_COLON_QMARK] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACE_PIPE] = ACTIONS(197),
    [anon_sym_new] = ACTIONS(199),
    [anon_sym_return_BANG] = ACTIONS(197),
    [anon_sym_yield] = ACTIONS(199),
    [anon_sym_yield_BANG] = ACTIONS(197),
    [anon_sym_lazy] = ACTIONS(199),
    [anon_sym_assert] = ACTIONS(199),
    [anon_sym_upcast] = ACTIONS(199),
    [anon_sym_downcast] = ACTIONS(199),
    [anon_sym_LT_AT] = ACTIONS(199),
    [anon_sym_AT_GT] = ACTIONS(197),
    [anon_sym_LT_AT_AT] = ACTIONS(199),
    [anon_sym_AT_AT_GT] = ACTIONS(197),
    [anon_sym_COLON_GT] = ACTIONS(197),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(199),
    [anon_sym_DASH_GT] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(199),
    [anon_sym_match] = ACTIONS(199),
    [anon_sym_match_BANG] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(199),
    [anon_sym_LT_DASH] = ACTIONS(199),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(199),
    [anon_sym_use_BANG] = ACTIONS(197),
    [anon_sym_do_BANG] = ACTIONS(197),
    [anon_sym_begin] = ACTIONS(199),
    [anon_sym_LPAREN2] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(197),
    [anon_sym_or] = ACTIONS(199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_AT_DQUOTE] = ACTIONS(197),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(197),
    [sym_bool] = ACTIONS(199),
    [sym_unit] = ACTIONS(199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_PLUS_DOT] = ACTIONS(199),
    [anon_sym_DASH_DOT] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(197),
    [aux_sym_prefix_op_token1] = ACTIONS(197),
    [aux_sym_infix_op_token1] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(197),
    [aux_sym_int_token1] = ACTIONS(199),
    [aux_sym_xint_token1] = ACTIONS(197),
    [aux_sym_xint_token2] = ACTIONS(197),
    [aux_sym_xint_token3] = ACTIONS(197),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(197),
  },
  [257] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(257),
    [sym_block_comment] = STATE(257),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_COLON] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_let] = ACTIONS(187),
    [anon_sym_let_BANG] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_COLON_QMARK] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_COLON_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACE_PIPE] = ACTIONS(185),
    [anon_sym_new] = ACTIONS(187),
    [anon_sym_return_BANG] = ACTIONS(185),
    [anon_sym_yield] = ACTIONS(187),
    [anon_sym_yield_BANG] = ACTIONS(185),
    [anon_sym_lazy] = ACTIONS(187),
    [anon_sym_assert] = ACTIONS(187),
    [anon_sym_upcast] = ACTIONS(187),
    [anon_sym_downcast] = ACTIONS(187),
    [anon_sym_LT_AT] = ACTIONS(187),
    [anon_sym_AT_GT] = ACTIONS(185),
    [anon_sym_LT_AT_AT] = ACTIONS(187),
    [anon_sym_AT_AT_GT] = ACTIONS(185),
    [anon_sym_COLON_GT] = ACTIONS(185),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_if] = ACTIONS(187),
    [anon_sym_fun] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(187),
    [anon_sym_try] = ACTIONS(187),
    [anon_sym_match] = ACTIONS(187),
    [anon_sym_match_BANG] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(187),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(187),
    [anon_sym_use_BANG] = ACTIONS(185),
    [anon_sym_do_BANG] = ACTIONS(185),
    [anon_sym_begin] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_AT_DQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(185),
    [sym_bool] = ACTIONS(187),
    [sym_unit] = ACTIONS(187),
    [aux_sym__identifier_or_op_token1] = ACTIONS(187),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_PLUS_DOT] = ACTIONS(187),
    [anon_sym_DASH_DOT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(185),
    [aux_sym_prefix_op_token1] = ACTIONS(185),
    [aux_sym_infix_op_token1] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(185),
    [anon_sym_COLON_EQ] = ACTIONS(185),
    [anon_sym_DOLLAR] = ACTIONS(187),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(185),
    [aux_sym_int_token1] = ACTIONS(187),
    [aux_sym_xint_token1] = ACTIONS(185),
    [aux_sym_xint_token2] = ACTIONS(185),
    [aux_sym_xint_token3] = ACTIONS(185),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(185),
  },
  [258] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(258),
    [sym_block_comment] = STATE(258),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1351),
  },
  [259] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(259),
    [sym_block_comment] = STATE(259),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1353),
  },
  [260] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(260),
    [sym_block_comment] = STATE(260),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_GT_RBRACK] = ACTIONS(1355),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1355),
  },
  [261] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(261),
    [sym_block_comment] = STATE(261),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1357),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [262] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(262),
    [sym_block_comment] = STATE(262),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1359),
  },
  [263] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(263),
    [sym_block_comment] = STATE(263),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1361),
  },
  [264] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(264),
    [sym_block_comment] = STATE(264),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1363),
  },
  [265] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(265),
    [sym_block_comment] = STATE(265),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [266] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(266),
    [sym_block_comment] = STATE(266),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1367),
  },
  [267] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(267),
    [sym_block_comment] = STATE(267),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1369),
  },
  [268] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(268),
    [sym_block_comment] = STATE(268),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1371),
  },
  [269] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(269),
    [sym_block_comment] = STATE(269),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1373),
  },
  [270] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(270),
    [sym_block_comment] = STATE(270),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [271] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(271),
    [sym_block_comment] = STATE(271),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1377),
  },
  [272] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(272),
    [sym_block_comment] = STATE(272),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1379),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [273] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(273),
    [sym_block_comment] = STATE(273),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(951),
    [sym__dedent] = ACTIONS(951),
  },
  [274] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(274),
    [sym_block_comment] = STATE(274),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(113),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1183),
  },
  [275] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(178),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_infix_op] = STATE(641),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(275),
    [sym_block_comment] = STATE(275),
    [aux_sym_sequential_expression_repeat1] = STATE(1686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1123),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(1125),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1127),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1127),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_DOT_LBRACK] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_DOT_DOT] = ACTIONS(201),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_LPAREN2] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1177),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1179),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(201),
  },
  [276] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(82),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_infix_op] = STATE(461),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(276),
    [sym_block_comment] = STATE(276),
    [aux_sym_sequential_expression_repeat1] = STATE(1560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(235),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(237),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(239),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_LT_DASH] = ACTIONS(833),
    [anon_sym_DOT_LBRACK] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_LPAREN2] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(281),
    [aux_sym__identifier_or_op_token1] = ACTIONS(283),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(839),
    [sym__dedent] = ACTIONS(1381),
  },
  [277] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(244),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_infix_op] = STATE(462),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(277),
    [sym_block_comment] = STATE(277),
    [aux_sym_sequential_expression_repeat1] = STATE(1782),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(761),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(763),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(1001),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(179),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_DOT_LBRACK] = ACTIONS(787),
    [anon_sym_DOT] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_LPAREN2] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(1013),
  },
  [278] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(278),
    [sym_block_comment] = STATE(278),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(1383),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [279] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(279),
    [sym_block_comment] = STATE(279),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1385),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [280] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(280),
    [sym_block_comment] = STATE(280),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1387),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [281] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(281),
    [sym_block_comment] = STATE(281),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [282] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(282),
    [sym_block_comment] = STATE(282),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1391),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [283] = {
    [sym_namespace] = STATE(4544),
    [sym_named_module] = STATE(5233),
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2422),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(283),
    [sym_block_comment] = STATE(283),
    [aux_sym_file_repeat1] = STATE(2351),
    [aux_sym_file_repeat2] = STATE(4152),
    [aux_sym_file_repeat3] = STATE(333),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(13),
    [anon_sym_module] = ACTIONS(15),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [284] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(284),
    [sym_block_comment] = STATE(284),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1395),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [285] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(285),
    [sym_block_comment] = STATE(285),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1395),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [286] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(286),
    [sym_block_comment] = STATE(286),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1397),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [287] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(287),
    [sym_block_comment] = STATE(287),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1399),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [288] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(288),
    [sym_block_comment] = STATE(288),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [289] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(289),
    [sym_block_comment] = STATE(289),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [290] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(290),
    [sym_block_comment] = STATE(290),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [291] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(291),
    [sym_block_comment] = STATE(291),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1399),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [292] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(292),
    [sym_block_comment] = STATE(292),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1407),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [293] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(293),
    [sym_block_comment] = STATE(293),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1407),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [294] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(294),
    [sym_block_comment] = STATE(294),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1409),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [295] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(295),
    [sym_block_comment] = STATE(295),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1411),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [296] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(296),
    [sym_block_comment] = STATE(296),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1413),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [297] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(297),
    [sym_block_comment] = STATE(297),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1415),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [298] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(298),
    [sym_block_comment] = STATE(298),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1417),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [299] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(299),
    [sym_block_comment] = STATE(299),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1387),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [300] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(300),
    [sym_block_comment] = STATE(300),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [301] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(301),
    [sym_block_comment] = STATE(301),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1419),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [302] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(302),
    [sym_block_comment] = STATE(302),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1413),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [303] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(303),
    [sym_block_comment] = STATE(303),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1415),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [304] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(304),
    [sym_block_comment] = STATE(304),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1391),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [305] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(305),
    [sym_block_comment] = STATE(305),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [306] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(306),
    [sym_block_comment] = STATE(306),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1423),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [307] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(307),
    [sym_block_comment] = STATE(307),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1425),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [308] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(308),
    [sym_block_comment] = STATE(308),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1427),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [309] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(309),
    [sym_block_comment] = STATE(309),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1423),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [310] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(310),
    [sym_block_comment] = STATE(310),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1429),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [311] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(311),
    [sym_block_comment] = STATE(311),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1411),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [312] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(312),
    [sym_block_comment] = STATE(312),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1431),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [313] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(313),
    [sym_block_comment] = STATE(313),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1433),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [314] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(314),
    [sym_block_comment] = STATE(314),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1435),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [315] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(315),
    [sym_block_comment] = STATE(315),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [316] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(316),
    [sym_block_comment] = STATE(316),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(1439),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [317] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(317),
    [sym_block_comment] = STATE(317),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [318] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(318),
    [sym_block_comment] = STATE(318),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(1439),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [319] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(319),
    [sym_block_comment] = STATE(319),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [320] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(35),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_infix_op] = STATE(501),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(320),
    [sym_block_comment] = STATE(320),
    [aux_sym_sequential_expression_repeat1] = STATE(1081),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_EQ] = ACTIONS(117),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(1445),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON_QMARK] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(329),
    [anon_sym_AT_GT] = ACTIONS(117),
    [anon_sym_LT_AT_AT] = ACTIONS(331),
    [anon_sym_AT_AT_GT] = ACTIONS(117),
    [anon_sym_COLON_GT] = ACTIONS(333),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [anon_sym_DOT_LBRACK] = ACTIONS(297),
    [anon_sym_DOT] = ACTIONS(299),
    [anon_sym_LT] = ACTIONS(301),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(361),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(375),
    [aux_sym__identifier_or_op_token1] = ACTIONS(377),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_infix_op_token1] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(117),
    [anon_sym_COLON_EQ] = ACTIONS(117),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(117),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(381),
  },
  [321] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(349),
    [sym__expression] = STATE(3),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(321),
    [sym_block_comment] = STATE(321),
    [aux_sym_file_repeat3] = STATE(325),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1447),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(1449),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [322] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(349),
    [sym__expression] = STATE(3),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(322),
    [sym_block_comment] = STATE(322),
    [aux_sym_file_repeat3] = STATE(322),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [sym_identifier] = ACTIONS(1455),
    [anon_sym_namespace] = ACTIONS(1458),
    [anon_sym_module] = ACTIONS(1460),
    [anon_sym_POUNDnowarn] = ACTIONS(1463),
    [anon_sym_POUNDr] = ACTIONS(1466),
    [anon_sym_POUNDload] = ACTIONS(1466),
    [anon_sym_open] = ACTIONS(1469),
    [anon_sym_LBRACK_LT] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_let] = ACTIONS(1484),
    [anon_sym_let_BANG] = ACTIONS(1487),
    [anon_sym_null] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1508),
    [anon_sym_new] = ACTIONS(1511),
    [anon_sym_return_BANG] = ACTIONS(1514),
    [anon_sym_yield] = ACTIONS(1475),
    [anon_sym_yield_BANG] = ACTIONS(1514),
    [anon_sym_lazy] = ACTIONS(1475),
    [anon_sym_assert] = ACTIONS(1475),
    [anon_sym_upcast] = ACTIONS(1475),
    [anon_sym_downcast] = ACTIONS(1475),
    [anon_sym_LT_AT] = ACTIONS(1517),
    [anon_sym_LT_AT_AT] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_fun] = ACTIONS(1532),
    [anon_sym_try] = ACTIONS(1535),
    [anon_sym_match] = ACTIONS(1538),
    [anon_sym_match_BANG] = ACTIONS(1541),
    [anon_sym_function] = ACTIONS(1544),
    [anon_sym_use] = ACTIONS(1547),
    [anon_sym_use_BANG] = ACTIONS(1550),
    [anon_sym_do_BANG] = ACTIONS(1553),
    [anon_sym_begin] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_AT_DQUOTE] = ACTIONS(1568),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1574),
    [sym_bool] = ACTIONS(1577),
    [sym_unit] = ACTIONS(1580),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1583),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_DOT] = ACTIONS(1589),
    [anon_sym_DASH_DOT] = ACTIONS(1589),
    [anon_sym_PERCENT] = ACTIONS(1589),
    [anon_sym_AMP_AMP] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1592),
    [aux_sym_prefix_op_token1] = ACTIONS(1589),
    [aux_sym_int_token1] = ACTIONS(1595),
    [aux_sym_xint_token1] = ACTIONS(1598),
    [aux_sym_xint_token2] = ACTIONS(1601),
    [aux_sym_xint_token3] = ACTIONS(1604),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [323] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(349),
    [sym__expression] = STATE(3),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(323),
    [sym_block_comment] = STATE(323),
    [aux_sym_file_repeat3] = STATE(322),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1607),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(1609),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [324] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(349),
    [sym__expression] = STATE(3),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(324),
    [sym_block_comment] = STATE(324),
    [aux_sym_file_repeat3] = STATE(327),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(1613),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [325] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(349),
    [sym__expression] = STATE(3),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(325),
    [sym_block_comment] = STATE(325),
    [aux_sym_file_repeat3] = STATE(322),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(1617),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [326] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(349),
    [sym__expression] = STATE(3),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(326),
    [sym_block_comment] = STATE(326),
    [aux_sym_file_repeat3] = STATE(323),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(1621),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [327] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(349),
    [sym__expression] = STATE(3),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(327),
    [sym_block_comment] = STATE(327),
    [aux_sym_file_repeat3] = STATE(322),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1623),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [328] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(328),
    [sym_block_comment] = STATE(328),
    [aux_sym_file_repeat3] = STATE(334),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1653),
  },
  [329] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(329),
    [sym_block_comment] = STATE(329),
    [aux_sym_file_repeat3] = STATE(334),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1655),
  },
  [330] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(330),
    [sym_block_comment] = STATE(330),
    [aux_sym_file_repeat3] = STATE(334),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1657),
  },
  [331] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(331),
    [sym_block_comment] = STATE(331),
    [aux_sym_file_repeat3] = STATE(331),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [sym_identifier] = ACTIONS(1455),
    [anon_sym_module] = ACTIONS(1460),
    [anon_sym_POUNDnowarn] = ACTIONS(1463),
    [anon_sym_POUNDr] = ACTIONS(1466),
    [anon_sym_POUNDload] = ACTIONS(1466),
    [anon_sym_open] = ACTIONS(1469),
    [anon_sym_LBRACK_LT] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1659),
    [anon_sym_type] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_let] = ACTIONS(1484),
    [anon_sym_let_BANG] = ACTIONS(1487),
    [anon_sym_null] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1508),
    [anon_sym_new] = ACTIONS(1662),
    [anon_sym_return_BANG] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1659),
    [anon_sym_yield_BANG] = ACTIONS(1665),
    [anon_sym_lazy] = ACTIONS(1659),
    [anon_sym_assert] = ACTIONS(1659),
    [anon_sym_upcast] = ACTIONS(1659),
    [anon_sym_downcast] = ACTIONS(1659),
    [anon_sym_LT_AT] = ACTIONS(1517),
    [anon_sym_LT_AT_AT] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_fun] = ACTIONS(1532),
    [anon_sym_try] = ACTIONS(1535),
    [anon_sym_match] = ACTIONS(1538),
    [anon_sym_match_BANG] = ACTIONS(1541),
    [anon_sym_function] = ACTIONS(1544),
    [anon_sym_use] = ACTIONS(1668),
    [anon_sym_use_BANG] = ACTIONS(1671),
    [anon_sym_do_BANG] = ACTIONS(1553),
    [anon_sym_begin] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_AT_DQUOTE] = ACTIONS(1568),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1574),
    [sym_bool] = ACTIONS(1577),
    [sym_unit] = ACTIONS(1580),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1583),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_DOT] = ACTIONS(1589),
    [anon_sym_DASH_DOT] = ACTIONS(1589),
    [anon_sym_PERCENT] = ACTIONS(1589),
    [anon_sym_AMP_AMP] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1592),
    [aux_sym_prefix_op_token1] = ACTIONS(1589),
    [aux_sym_int_token1] = ACTIONS(1674),
    [aux_sym_xint_token1] = ACTIONS(1598),
    [aux_sym_xint_token2] = ACTIONS(1601),
    [aux_sym_xint_token3] = ACTIONS(1604),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [332] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(332),
    [sym_block_comment] = STATE(332),
    [aux_sym_file_repeat3] = STATE(334),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1677),
  },
  [333] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(333),
    [sym_block_comment] = STATE(333),
    [aux_sym_file_repeat3] = STATE(331),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1679),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [334] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(334),
    [sym_block_comment] = STATE(334),
    [aux_sym_file_repeat3] = STATE(334),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_module] = ACTIONS(1684),
    [anon_sym_POUNDnowarn] = ACTIONS(1687),
    [anon_sym_POUNDr] = ACTIONS(1690),
    [anon_sym_POUNDload] = ACTIONS(1690),
    [anon_sym_open] = ACTIONS(1693),
    [anon_sym_LBRACK_LT] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1696),
    [anon_sym_type] = ACTIONS(1699),
    [anon_sym_do] = ACTIONS(1702),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_let_BANG] = ACTIONS(1708),
    [anon_sym_null] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1720),
    [anon_sym_LBRACE] = ACTIONS(1723),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1726),
    [anon_sym_new] = ACTIONS(1729),
    [anon_sym_return_BANG] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(1696),
    [anon_sym_yield_BANG] = ACTIONS(1732),
    [anon_sym_lazy] = ACTIONS(1696),
    [anon_sym_assert] = ACTIONS(1696),
    [anon_sym_upcast] = ACTIONS(1696),
    [anon_sym_downcast] = ACTIONS(1696),
    [anon_sym_LT_AT] = ACTIONS(1735),
    [anon_sym_LT_AT_AT] = ACTIONS(1738),
    [anon_sym_for] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_if] = ACTIONS(1747),
    [anon_sym_fun] = ACTIONS(1750),
    [anon_sym_try] = ACTIONS(1753),
    [anon_sym_match] = ACTIONS(1756),
    [anon_sym_match_BANG] = ACTIONS(1759),
    [anon_sym_function] = ACTIONS(1762),
    [anon_sym_use] = ACTIONS(1765),
    [anon_sym_use_BANG] = ACTIONS(1768),
    [anon_sym_do_BANG] = ACTIONS(1771),
    [anon_sym_begin] = ACTIONS(1774),
    [anon_sym_SQUOTE] = ACTIONS(1777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1780),
    [anon_sym_DQUOTE] = ACTIONS(1783),
    [anon_sym_AT_DQUOTE] = ACTIONS(1786),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1789),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1792),
    [sym_bool] = ACTIONS(1795),
    [sym_unit] = ACTIONS(1798),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1804),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_DOT] = ACTIONS(1589),
    [anon_sym_DASH_DOT] = ACTIONS(1589),
    [anon_sym_PERCENT] = ACTIONS(1589),
    [anon_sym_AMP_AMP] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1592),
    [aux_sym_prefix_op_token1] = ACTIONS(1589),
    [aux_sym_int_token1] = ACTIONS(1807),
    [aux_sym_xint_token1] = ACTIONS(1598),
    [aux_sym_xint_token2] = ACTIONS(1601),
    [aux_sym_xint_token3] = ACTIONS(1604),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1453),
  },
  [335] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(335),
    [sym_block_comment] = STATE(335),
    [aux_sym_file_repeat3] = STATE(340),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1810),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [336] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(336),
    [sym_block_comment] = STATE(336),
    [aux_sym_file_repeat3] = STATE(331),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1812),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [337] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(337),
    [sym_block_comment] = STATE(337),
    [aux_sym_file_repeat3] = STATE(334),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1814),
  },
  [338] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(338),
    [sym_block_comment] = STATE(338),
    [aux_sym_file_repeat3] = STATE(334),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1816),
  },
  [339] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(339),
    [sym_block_comment] = STATE(339),
    [aux_sym_file_repeat3] = STATE(336),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1818),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [340] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(340),
    [sym_block_comment] = STATE(340),
    [aux_sym_file_repeat3] = STATE(331),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1820),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [341] = {
    [sym_module_abbrev] = STATE(2405),
    [sym_module_defn] = STATE(2405),
    [sym_compiler_directive_decl] = STATE(2405),
    [sym_fsi_directive_decl] = STATE(2405),
    [sym_import_decl] = STATE(2405),
    [sym_attributes] = STATE(3965),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2405),
    [sym_do] = STATE(2411),
    [sym_function_or_value_defn] = STATE(350),
    [sym__expression] = STATE(23),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_definition] = STATE(2405),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(341),
    [sym_block_comment] = STATE(341),
    [aux_sym_file_repeat3] = STATE(331),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(1451),
    [anon_sym_POUNDnowarn] = ACTIONS(17),
    [anon_sym_POUNDr] = ACTIONS(19),
    [anon_sym_POUNDload] = ACTIONS(19),
    [anon_sym_open] = ACTIONS(21),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_let] = ACTIONS(31),
    [anon_sym_let_BANG] = ACTIONS(33),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [342] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(342),
    [sym_block_comment] = STATE(342),
    [aux_sym_file_repeat3] = STATE(332),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [343] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1094),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(343),
    [sym_block_comment] = STATE(343),
    [aux_sym_file_repeat3] = STATE(338),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [344] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(344),
    [sym_block_comment] = STATE(344),
    [aux_sym_file_repeat3] = STATE(337),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [345] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1116),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(345),
    [sym_block_comment] = STATE(345),
    [aux_sym_file_repeat3] = STATE(330),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [346] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(346),
    [sym_block_comment] = STATE(346),
    [aux_sym_file_repeat3] = STATE(329),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [347] = {
    [sym_module_abbrev] = STATE(2451),
    [sym_module_defn] = STATE(2451),
    [sym_compiler_directive_decl] = STATE(2451),
    [sym_fsi_directive_decl] = STATE(2451),
    [sym_import_decl] = STATE(2451),
    [sym_attributes] = STATE(3915),
    [sym_attribute_set] = STATE(3115),
    [sym_value_declaration] = STATE(2451),
    [sym_do] = STATE(2453),
    [sym_function_or_value_defn] = STATE(351),
    [sym__expression] = STATE(15),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_definition] = STATE(2451),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(347),
    [sym_block_comment] = STATE(347),
    [aux_sym_file_repeat3] = STATE(328),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_POUNDnowarn] = ACTIONS(1629),
    [anon_sym_POUNDr] = ACTIONS(1631),
    [anon_sym_POUNDload] = ACTIONS(1631),
    [anon_sym_open] = ACTIONS(1633),
    [anon_sym_LBRACK_LT] = ACTIONS(23),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_type] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_let_BANG] = ACTIONS(1641),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [348] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(61),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym__list_elements] = STATE(5093),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(5093),
    [sym_short_comp_expression] = STATE(5086),
    [sym_slice_ranges] = STATE(5093),
    [sym__slice_range_special] = STATE(4358),
    [sym_slice_range] = STATE(4316),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(348),
    [sym_block_comment] = STATE(348),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_DOT_DOT3] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(1828),
  },
  [349] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(2),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(349),
    [sym_block_comment] = STATE(349),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_namespace] = ACTIONS(1832),
    [anon_sym_module] = ACTIONS(1832),
    [anon_sym_POUNDnowarn] = ACTIONS(1830),
    [anon_sym_POUNDr] = ACTIONS(1830),
    [anon_sym_POUNDload] = ACTIONS(1830),
    [anon_sym_open] = ACTIONS(1832),
    [anon_sym_LBRACK_LT] = ACTIONS(1830),
    [anon_sym_return] = ACTIONS(1832),
    [anon_sym_type] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_let] = ACTIONS(1832),
    [anon_sym_let_BANG] = ACTIONS(1830),
    [anon_sym_null] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_AMP] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1830),
    [anon_sym_new] = ACTIONS(1832),
    [anon_sym_return_BANG] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1832),
    [anon_sym_yield_BANG] = ACTIONS(1830),
    [anon_sym_lazy] = ACTIONS(1832),
    [anon_sym_assert] = ACTIONS(1832),
    [anon_sym_upcast] = ACTIONS(1832),
    [anon_sym_downcast] = ACTIONS(1832),
    [anon_sym_LT_AT] = ACTIONS(1832),
    [anon_sym_LT_AT_AT] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_fun] = ACTIONS(1832),
    [anon_sym_try] = ACTIONS(1832),
    [anon_sym_match] = ACTIONS(1832),
    [anon_sym_match_BANG] = ACTIONS(1830),
    [anon_sym_function] = ACTIONS(1832),
    [anon_sym_use] = ACTIONS(1832),
    [anon_sym_use_BANG] = ACTIONS(1830),
    [anon_sym_do_BANG] = ACTIONS(1830),
    [anon_sym_begin] = ACTIONS(1832),
    [anon_sym_SQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1832),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_AT_DQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [sym_bool] = ACTIONS(1832),
    [sym_unit] = ACTIONS(1830),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1830),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_PLUS_DOT] = ACTIONS(1830),
    [anon_sym_DASH_DOT] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1830),
    [aux_sym_prefix_op_token1] = ACTIONS(1830),
    [aux_sym_int_token1] = ACTIONS(1832),
    [aux_sym_xint_token1] = ACTIONS(1830),
    [aux_sym_xint_token2] = ACTIONS(1830),
    [aux_sym_xint_token3] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [350] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(20),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(350),
    [sym_block_comment] = STATE(350),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_module] = ACTIONS(1832),
    [anon_sym_POUNDnowarn] = ACTIONS(1830),
    [anon_sym_POUNDr] = ACTIONS(1830),
    [anon_sym_POUNDload] = ACTIONS(1830),
    [anon_sym_open] = ACTIONS(1832),
    [anon_sym_LBRACK_LT] = ACTIONS(1830),
    [anon_sym_return] = ACTIONS(1832),
    [anon_sym_type] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_let] = ACTIONS(1832),
    [anon_sym_let_BANG] = ACTIONS(1830),
    [anon_sym_null] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_AMP] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1830),
    [anon_sym_new] = ACTIONS(1832),
    [anon_sym_return_BANG] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1832),
    [anon_sym_yield_BANG] = ACTIONS(1830),
    [anon_sym_lazy] = ACTIONS(1832),
    [anon_sym_assert] = ACTIONS(1832),
    [anon_sym_upcast] = ACTIONS(1832),
    [anon_sym_downcast] = ACTIONS(1832),
    [anon_sym_LT_AT] = ACTIONS(1832),
    [anon_sym_LT_AT_AT] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_fun] = ACTIONS(1832),
    [anon_sym_try] = ACTIONS(1832),
    [anon_sym_match] = ACTIONS(1832),
    [anon_sym_match_BANG] = ACTIONS(1830),
    [anon_sym_function] = ACTIONS(1832),
    [anon_sym_use] = ACTIONS(1832),
    [anon_sym_use_BANG] = ACTIONS(1830),
    [anon_sym_do_BANG] = ACTIONS(1830),
    [anon_sym_begin] = ACTIONS(1832),
    [anon_sym_SQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1832),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_AT_DQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [sym_bool] = ACTIONS(1832),
    [sym_unit] = ACTIONS(1830),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1830),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_PLUS_DOT] = ACTIONS(1830),
    [anon_sym_DASH_DOT] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1830),
    [aux_sym_prefix_op_token1] = ACTIONS(1830),
    [aux_sym_int_token1] = ACTIONS(1832),
    [aux_sym_xint_token1] = ACTIONS(1830),
    [aux_sym_xint_token2] = ACTIONS(1830),
    [aux_sym_xint_token3] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [351] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(25),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(351),
    [sym_block_comment] = STATE(351),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_module] = ACTIONS(1832),
    [anon_sym_POUNDnowarn] = ACTIONS(1830),
    [anon_sym_POUNDr] = ACTIONS(1830),
    [anon_sym_POUNDload] = ACTIONS(1830),
    [anon_sym_open] = ACTIONS(1832),
    [anon_sym_LBRACK_LT] = ACTIONS(1830),
    [anon_sym_return] = ACTIONS(1832),
    [anon_sym_type] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_let] = ACTIONS(1832),
    [anon_sym_let_BANG] = ACTIONS(1830),
    [anon_sym_null] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_AMP] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1830),
    [anon_sym_new] = ACTIONS(1832),
    [anon_sym_return_BANG] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1832),
    [anon_sym_yield_BANG] = ACTIONS(1830),
    [anon_sym_lazy] = ACTIONS(1832),
    [anon_sym_assert] = ACTIONS(1832),
    [anon_sym_upcast] = ACTIONS(1832),
    [anon_sym_downcast] = ACTIONS(1832),
    [anon_sym_LT_AT] = ACTIONS(1832),
    [anon_sym_LT_AT_AT] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_fun] = ACTIONS(1832),
    [anon_sym_try] = ACTIONS(1832),
    [anon_sym_match] = ACTIONS(1832),
    [anon_sym_match_BANG] = ACTIONS(1830),
    [anon_sym_function] = ACTIONS(1832),
    [anon_sym_use] = ACTIONS(1832),
    [anon_sym_use_BANG] = ACTIONS(1830),
    [anon_sym_do_BANG] = ACTIONS(1830),
    [anon_sym_begin] = ACTIONS(1832),
    [anon_sym_SQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1832),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_AT_DQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [sym_bool] = ACTIONS(1832),
    [sym_unit] = ACTIONS(1830),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1830),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_PLUS_DOT] = ACTIONS(1830),
    [anon_sym_DASH_DOT] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1830),
    [aux_sym_prefix_op_token1] = ACTIONS(1830),
    [aux_sym_int_token1] = ACTIONS(1832),
    [aux_sym_xint_token1] = ACTIONS(1830),
    [aux_sym_xint_token2] = ACTIONS(1830),
    [aux_sym_xint_token3] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1830),
  },
  [352] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(62),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_type_arguments] = STATE(2497),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1174),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(352),
    [sym_block_comment] = STATE(352),
    [aux_sym__compound_type_repeat1] = STATE(2470),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_as] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_with] = ACTIONS(1836),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_DASH_GT] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_LT2] = ACTIONS(1848),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [353] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(260),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_type_arguments] = STATE(2475),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1291),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(353),
    [sym_block_comment] = STATE(353),
    [aux_sym__compound_type_repeat1] = STATE(2466),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_GT_RBRACK] = ACTIONS(1858),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_DASH_GT] = ACTIONS(1866),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1868),
    [anon_sym_LT2] = ACTIONS(1870),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1872),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(1858),
  },
  [354] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(122),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_type_arguments] = STATE(2497),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1230),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(354),
    [sym_block_comment] = STATE(354),
    [aux_sym__compound_type_repeat1] = STATE(2470),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_as] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_with] = ACTIONS(1836),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_DASH_GT] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_LT2] = ACTIONS(1848),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [355] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(83),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(780),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(355),
    [sym_block_comment] = STATE(355),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1890),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [356] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(134),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1252),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(356),
    [sym_block_comment] = STATE(356),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1900),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [357] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4967),
    [sym_object_expression] = STATE(4967),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4977),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4967),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(357),
    [sym_block_comment] = STATE(357),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [358] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4877),
    [sym_object_expression] = STATE(4877),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4887),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4877),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(358),
    [sym_block_comment] = STATE(358),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [359] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4826),
    [sym_object_expression] = STATE(4826),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4805),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4826),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(359),
    [sym_block_comment] = STATE(359),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [360] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(51),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1181),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(360),
    [sym_block_comment] = STATE(360),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [361] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(193),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1261),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(361),
    [sym_block_comment] = STATE(361),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [362] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4733),
    [sym_object_expression] = STATE(4733),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4723),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4733),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(362),
    [sym_block_comment] = STATE(362),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [363] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4762),
    [sym_object_expression] = STATE(4762),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4781),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4762),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(363),
    [sym_block_comment] = STATE(363),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [364] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(163),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1278),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(364),
    [sym_block_comment] = STATE(364),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [365] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(142),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1295),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(365),
    [sym_block_comment] = STATE(365),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1942),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [366] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(58),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1182),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(366),
    [sym_block_comment] = STATE(366),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [367] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(250),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1331),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(367),
    [sym_block_comment] = STATE(367),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [368] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4937),
    [sym_object_expression] = STATE(4937),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4947),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4937),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(368),
    [sym_block_comment] = STATE(368),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [369] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(18),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(804),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(369),
    [sym_block_comment] = STATE(369),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [370] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(5070),
    [sym_object_expression] = STATE(5070),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4778),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(5070),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(370),
    [sym_block_comment] = STATE(370),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [371] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(28),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(780),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(371),
    [sym_block_comment] = STATE(371),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1890),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [372] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(32),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(836),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(372),
    [sym_block_comment] = STATE(372),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [373] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4907),
    [sym_object_expression] = STATE(4907),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4917),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4907),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(373),
    [sym_block_comment] = STATE(373),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [374] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4814),
    [sym_object_expression] = STATE(4814),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4825),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4814),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(374),
    [sym_block_comment] = STATE(374),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [375] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(131),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_with_field_expression] = STATE(4847),
    [sym_object_expression] = STATE(4847),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__comp_or_range_expression] = STATE(4857),
    [sym_short_comp_expression] = STATE(5086),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4847),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(1547),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(375),
    [sym_block_comment] = STATE(375),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(1914),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [376] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(95),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(780),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(376),
    [sym_block_comment] = STATE(376),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1890),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [377] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(9),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(804),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(377),
    [sym_block_comment] = STATE(377),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [378] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(99),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1244),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(378),
    [sym_block_comment] = STATE(378),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [379] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(73),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_type_arguments] = STATE(2514),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(836),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(379),
    [sym_block_comment] = STATE(379),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [380] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(111),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5343),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(380),
    [sym_block_comment] = STATE(380),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [381] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(113),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5291),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(381),
    [sym_block_comment] = STATE(381),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [382] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(135),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5002),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(382),
    [sym_block_comment] = STATE(382),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [383] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(109),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5378),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(383),
    [sym_block_comment] = STATE(383),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [384] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(78),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5041),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(384),
    [sym_block_comment] = STATE(384),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [385] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(105),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5104),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(385),
    [sym_block_comment] = STATE(385),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [386] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(107),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5364),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(386),
    [sym_block_comment] = STATE(386),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [387] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(116),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5229),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(387),
    [sym_block_comment] = STATE(387),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [388] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(103),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(4720),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(388),
    [sym_block_comment] = STATE(388),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [389] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(118),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_slice_ranges] = STATE(5180),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4276),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(389),
    [sym_block_comment] = STATE(389),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [390] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(123),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym__slice_range_special] = STATE(4358),
    [sym_slice_range] = STATE(4616),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(390),
    [sym_block_comment] = STATE(390),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_DOT_DOT3] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [391] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4847),
    [sym_object_expression] = STATE(4847),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4847),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(391),
    [sym_block_comment] = STATE(391),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [392] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4826),
    [sym_object_expression] = STATE(4826),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4826),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(392),
    [sym_block_comment] = STATE(392),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [393] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4967),
    [sym_object_expression] = STATE(4967),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4967),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(393),
    [sym_block_comment] = STATE(393),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [394] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4814),
    [sym_object_expression] = STATE(4814),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4814),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(394),
    [sym_block_comment] = STATE(394),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [395] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4877),
    [sym_object_expression] = STATE(4877),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4877),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(395),
    [sym_block_comment] = STATE(395),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [396] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4907),
    [sym_object_expression] = STATE(4907),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4907),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(396),
    [sym_block_comment] = STATE(396),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [397] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4733),
    [sym_object_expression] = STATE(4733),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4733),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(397),
    [sym_block_comment] = STATE(397),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [398] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4762),
    [sym_object_expression] = STATE(4762),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4762),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(398),
    [sym_block_comment] = STATE(398),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [399] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(4937),
    [sym_object_expression] = STATE(4937),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(4937),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(399),
    [sym_block_comment] = STATE(399),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [400] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(216),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_with_field_expression] = STATE(5070),
    [sym_object_expression] = STATE(5070),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_field_initializer] = STATE(4306),
    [sym_field_initializers] = STATE(5070),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1574),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(400),
    [sym_block_comment] = STATE(400),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [401] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(74),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym__slice_range_special] = STATE(4474),
    [sym_slice_range] = STATE(4514),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(401),
    [sym_block_comment] = STATE(401),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_DOT_DOT3] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [402] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(174),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(402),
    [sym_block_comment] = STATE(402),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(1978),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [403] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(225),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(403),
    [sym_block_comment] = STATE(403),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1978),
  },
  [404] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(218),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4719),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(404),
    [sym_block_comment] = STATE(404),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [405] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(405),
    [sym_block_comment] = STATE(405),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [406] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(173),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4854),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(406),
    [sym_block_comment] = STATE(406),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [407] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(407),
    [sym_block_comment] = STATE(407),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [408] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(408),
    [sym_block_comment] = STATE(408),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1984),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [409] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(172),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4884),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(409),
    [sym_block_comment] = STATE(409),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [410] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(410),
    [sym_block_comment] = STATE(410),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [411] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(214),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4777),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(411),
    [sym_block_comment] = STATE(411),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [412] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(115),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_range_expression] = STATE(4643),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(412),
    [sym_block_comment] = STATE(412),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [413] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(413),
    [sym_block_comment] = STATE(413),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1988),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [414] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(184),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4854),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(414),
    [sym_block_comment] = STATE(414),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [415] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(158),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4914),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(415),
    [sym_block_comment] = STATE(415),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [416] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(230),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4807),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(416),
    [sym_block_comment] = STATE(416),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [417] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(175),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4944),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(417),
    [sym_block_comment] = STATE(417),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [418] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(198),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4822),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(418),
    [sym_block_comment] = STATE(418),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [419] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(419),
    [sym_block_comment] = STATE(419),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1990),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [420] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(420),
    [sym_block_comment] = STATE(420),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [421] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(203),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4777),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(421),
    [sym_block_comment] = STATE(421),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [422] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(422),
    [sym_block_comment] = STATE(422),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1994),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [423] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(194),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4974),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(423),
    [sym_block_comment] = STATE(423),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [424] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(125),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_range_expression] = STATE(4643),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(424),
    [sym_block_comment] = STATE(424),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [425] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(208),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4807),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(425),
    [sym_block_comment] = STATE(425),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [426] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(211),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_range_expression] = STATE(4796),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(426),
    [sym_block_comment] = STATE(426),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [427] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(427),
    [sym_block_comment] = STATE(427),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1996),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [428] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(428),
    [sym_block_comment] = STATE(428),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_with] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [429] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(6),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(429),
    [sym_block_comment] = STATE(429),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [430] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(210),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(430),
    [sym_block_comment] = STATE(430),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [431] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(77),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(431),
    [sym_block_comment] = STATE(431),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [432] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(43),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(432),
    [sym_block_comment] = STATE(432),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [433] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(290),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(433),
    [sym_block_comment] = STATE(433),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [434] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(170),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(434),
    [sym_block_comment] = STATE(434),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [435] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(271),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(435),
    [sym_block_comment] = STATE(435),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [436] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(272),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(436),
    [sym_block_comment] = STATE(436),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [437] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(285),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(437),
    [sym_block_comment] = STATE(437),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [438] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(318),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(438),
    [sym_block_comment] = STATE(438),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [439] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(316),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(439),
    [sym_block_comment] = STATE(439),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [440] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(177),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(440),
    [sym_block_comment] = STATE(440),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [441] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(284),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(441),
    [sym_block_comment] = STATE(441),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [442] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(91),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(442),
    [sym_block_comment] = STATE(442),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [443] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(269),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(443),
    [sym_block_comment] = STATE(443),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [444] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(44),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(444),
    [sym_block_comment] = STATE(444),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [445] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(86),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(445),
    [sym_block_comment] = STATE(445),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [446] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(289),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(446),
    [sym_block_comment] = STATE(446),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [447] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(228),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(447),
    [sym_block_comment] = STATE(447),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [448] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(90),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(448),
    [sym_block_comment] = STATE(448),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [449] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(165),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(449),
    [sym_block_comment] = STATE(449),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [450] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(84),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(450),
    [sym_block_comment] = STATE(450),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [451] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(92),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(451),
    [sym_block_comment] = STATE(451),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [452] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(267),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(452),
    [sym_block_comment] = STATE(452),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [453] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(209),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(453),
    [sym_block_comment] = STATE(453),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [454] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(276),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(454),
    [sym_block_comment] = STATE(454),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [455] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(278),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(455),
    [sym_block_comment] = STATE(455),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [456] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(291),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(456),
    [sym_block_comment] = STATE(456),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [457] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(287),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(457),
    [sym_block_comment] = STATE(457),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [458] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(17),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(458),
    [sym_block_comment] = STATE(458),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [459] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(266),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(459),
    [sym_block_comment] = STATE(459),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [460] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(42),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(460),
    [sym_block_comment] = STATE(460),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [461] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(85),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(461),
    [sym_block_comment] = STATE(461),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [462] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(257),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(462),
    [sym_block_comment] = STATE(462),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [463] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(22),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(463),
    [sym_block_comment] = STATE(463),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [464] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(233),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(464),
    [sym_block_comment] = STATE(464),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [465] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(256),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(465),
    [sym_block_comment] = STATE(465),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [466] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(150),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(466),
    [sym_block_comment] = STATE(466),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [467] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(189),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(467),
    [sym_block_comment] = STATE(467),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [468] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(305),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(468),
    [sym_block_comment] = STATE(468),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [469] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(29),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(469),
    [sym_block_comment] = STATE(469),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [470] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(300),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(470),
    [sym_block_comment] = STATE(470),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [471] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(80),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(471),
    [sym_block_comment] = STATE(471),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [472] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(268),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(472),
    [sym_block_comment] = STATE(472),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [473] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(265),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(473),
    [sym_block_comment] = STATE(473),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [474] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(292),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(474),
    [sym_block_comment] = STATE(474),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [475] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(293),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(475),
    [sym_block_comment] = STATE(475),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [476] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(264),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(476),
    [sym_block_comment] = STATE(476),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [477] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(229),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(477),
    [sym_block_comment] = STATE(477),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [478] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(13),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(478),
    [sym_block_comment] = STATE(478),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [479] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(45),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(479),
    [sym_block_comment] = STATE(479),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [480] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(12),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(480),
    [sym_block_comment] = STATE(480),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [481] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(231),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(481),
    [sym_block_comment] = STATE(481),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [482] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(263),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(482),
    [sym_block_comment] = STATE(482),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [483] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(275),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(483),
    [sym_block_comment] = STATE(483),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [484] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(187),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(484),
    [sym_block_comment] = STATE(484),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [485] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(7),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(485),
    [sym_block_comment] = STATE(485),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [486] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(294),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(486),
    [sym_block_comment] = STATE(486),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [487] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(282),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(487),
    [sym_block_comment] = STATE(487),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [488] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(258),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(488),
    [sym_block_comment] = STATE(488),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [489] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(171),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(489),
    [sym_block_comment] = STATE(489),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [490] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(255),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(490),
    [sym_block_comment] = STATE(490),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [491] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(114),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(491),
    [sym_block_comment] = STATE(491),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [492] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(280),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(492),
    [sym_block_comment] = STATE(492),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [493] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(299),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(493),
    [sym_block_comment] = STATE(493),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [494] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(2),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(494),
    [sym_block_comment] = STATE(494),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [495] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(262),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(495),
    [sym_block_comment] = STATE(495),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [496] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(261),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(496),
    [sym_block_comment] = STATE(496),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [497] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(311),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(497),
    [sym_block_comment] = STATE(497),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [498] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(87),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(498),
    [sym_block_comment] = STATE(498),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [499] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(295),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(499),
    [sym_block_comment] = STATE(499),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [500] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(254),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(500),
    [sym_block_comment] = STATE(500),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [501] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(34),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(501),
    [sym_block_comment] = STATE(501),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [502] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(50),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(502),
    [sym_block_comment] = STATE(502),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [503] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(76),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(503),
    [sym_block_comment] = STATE(503),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [504] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(192),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(504),
    [sym_block_comment] = STATE(504),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [505] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(30),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(505),
    [sym_block_comment] = STATE(505),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [506] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(253),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(506),
    [sym_block_comment] = STATE(506),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [507] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(40),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(507),
    [sym_block_comment] = STATE(507),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [508] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(38),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(508),
    [sym_block_comment] = STATE(508),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [509] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(37),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(509),
    [sym_block_comment] = STATE(509),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [510] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(249),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(510),
    [sym_block_comment] = STATE(510),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [511] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(20),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(511),
    [sym_block_comment] = STATE(511),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [512] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(252),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(512),
    [sym_block_comment] = STATE(512),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [513] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(251),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(513),
    [sym_block_comment] = STATE(513),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [514] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(299),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(514),
    [sym_block_comment] = STATE(514),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [515] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(280),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(515),
    [sym_block_comment] = STATE(515),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [516] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(248),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(516),
    [sym_block_comment] = STATE(516),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [517] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(213),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(517),
    [sym_block_comment] = STATE(517),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [518] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(312),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(518),
    [sym_block_comment] = STATE(518),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [519] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(169),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(519),
    [sym_block_comment] = STATE(519),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [520] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(124),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(520),
    [sym_block_comment] = STATE(520),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [521] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(247),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(521),
    [sym_block_comment] = STATE(521),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [522] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(49),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(522),
    [sym_block_comment] = STATE(522),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [523] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(246),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(523),
    [sym_block_comment] = STATE(523),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [524] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(100),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(524),
    [sym_block_comment] = STATE(524),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [525] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(243),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(525),
    [sym_block_comment] = STATE(525),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [526] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(137),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(526),
    [sym_block_comment] = STATE(526),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [527] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(149),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(527),
    [sym_block_comment] = STATE(527),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [528] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(242),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(528),
    [sym_block_comment] = STATE(528),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [529] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(212),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(529),
    [sym_block_comment] = STATE(529),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [530] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(241),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(530),
    [sym_block_comment] = STATE(530),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [531] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(239),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(531),
    [sym_block_comment] = STATE(531),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [532] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(232),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(532),
    [sym_block_comment] = STATE(532),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [533] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(235),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(533),
    [sym_block_comment] = STATE(533),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [534] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(148),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(534),
    [sym_block_comment] = STATE(534),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [535] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(33),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(535),
    [sym_block_comment] = STATE(535),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [536] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(316),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(536),
    [sym_block_comment] = STATE(536),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [537] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(295),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(537),
    [sym_block_comment] = STATE(537),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [538] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(41),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(538),
    [sym_block_comment] = STATE(538),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [539] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(318),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(539),
    [sym_block_comment] = STATE(539),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [540] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(60),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(540),
    [sym_block_comment] = STATE(540),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [541] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(72),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(541),
    [sym_block_comment] = STATE(541),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [542] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(311),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(542),
    [sym_block_comment] = STATE(542),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [543] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(63),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(543),
    [sym_block_comment] = STATE(543),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [544] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(240),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(544),
    [sym_block_comment] = STATE(544),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [545] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(121),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(545),
    [sym_block_comment] = STATE(545),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [546] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(136),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(546),
    [sym_block_comment] = STATE(546),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [547] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(94),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(547),
    [sym_block_comment] = STATE(547),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [548] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(298),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(548),
    [sym_block_comment] = STATE(548),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [549] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(147),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(549),
    [sym_block_comment] = STATE(549),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [550] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(54),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(550),
    [sym_block_comment] = STATE(550),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [551] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(89),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(551),
    [sym_block_comment] = STATE(551),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [552] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(19),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(552),
    [sym_block_comment] = STATE(552),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [553] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(296),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(553),
    [sym_block_comment] = STATE(553),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [554] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(238),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(554),
    [sym_block_comment] = STATE(554),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [555] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(200),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(555),
    [sym_block_comment] = STATE(555),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [556] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(157),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(556),
    [sym_block_comment] = STATE(556),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [557] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(48),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(557),
    [sym_block_comment] = STATE(557),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [558] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(179),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(558),
    [sym_block_comment] = STATE(558),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [559] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(237),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(559),
    [sym_block_comment] = STATE(559),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [560] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(236),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(560),
    [sym_block_comment] = STATE(560),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [561] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(31),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(561),
    [sym_block_comment] = STATE(561),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [562] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(71),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(562),
    [sym_block_comment] = STATE(562),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [563] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(168),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(563),
    [sym_block_comment] = STATE(563),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [564] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(314),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(564),
    [sym_block_comment] = STATE(564),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [565] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(313),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(565),
    [sym_block_comment] = STATE(565),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [566] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(196),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(566),
    [sym_block_comment] = STATE(566),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [567] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(88),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(567),
    [sym_block_comment] = STATE(567),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [568] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(190),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(568),
    [sym_block_comment] = STATE(568),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [569] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(132),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(569),
    [sym_block_comment] = STATE(569),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [570] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(201),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(570),
    [sym_block_comment] = STATE(570),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [571] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(234),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(571),
    [sym_block_comment] = STATE(571),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [572] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(167),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(572),
    [sym_block_comment] = STATE(572),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [573] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(155),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(573),
    [sym_block_comment] = STATE(573),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [574] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(303),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(574),
    [sym_block_comment] = STATE(574),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [575] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(227),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(575),
    [sym_block_comment] = STATE(575),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [576] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(226),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(576),
    [sym_block_comment] = STATE(576),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [577] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(309),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(577),
    [sym_block_comment] = STATE(577),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [578] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(306),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(578),
    [sym_block_comment] = STATE(578),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [579] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(166),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(579),
    [sym_block_comment] = STATE(579),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [580] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(293),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(580),
    [sym_block_comment] = STATE(580),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [581] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(292),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(581),
    [sym_block_comment] = STATE(581),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [582] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(297),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(582),
    [sym_block_comment] = STATE(582),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [583] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(119),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(583),
    [sym_block_comment] = STATE(583),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [584] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(140),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(584),
    [sym_block_comment] = STATE(584),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [585] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(286),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(585),
    [sym_block_comment] = STATE(585),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [586] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(139),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(586),
    [sym_block_comment] = STATE(586),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [587] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(47),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(587),
    [sym_block_comment] = STATE(587),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [588] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(36),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(588),
    [sym_block_comment] = STATE(588),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [589] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(8),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(589),
    [sym_block_comment] = STATE(589),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [590] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(315),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(590),
    [sym_block_comment] = STATE(590),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [591] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(176),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(591),
    [sym_block_comment] = STATE(591),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [592] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(307),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(592),
    [sym_block_comment] = STATE(592),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [593] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(164),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(593),
    [sym_block_comment] = STATE(593),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [594] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(207),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(594),
    [sym_block_comment] = STATE(594),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [595] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(259),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(595),
    [sym_block_comment] = STATE(595),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [596] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(222),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(596),
    [sym_block_comment] = STATE(596),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [597] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(221),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(597),
    [sym_block_comment] = STATE(597),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [598] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(302),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(598),
    [sym_block_comment] = STATE(598),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [599] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(282),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(599),
    [sym_block_comment] = STATE(599),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [600] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(245),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(600),
    [sym_block_comment] = STATE(600),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [601] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(126),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(601),
    [sym_block_comment] = STATE(601),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [602] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(220),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(602),
    [sym_block_comment] = STATE(602),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [603] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(317),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(603),
    [sym_block_comment] = STATE(603),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [604] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(186),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(604),
    [sym_block_comment] = STATE(604),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [605] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(130),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(605),
    [sym_block_comment] = STATE(605),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [606] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(202),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(606),
    [sym_block_comment] = STATE(606),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [607] = {
    [sym_function_or_value_defn] = STATE(607),
    [sym__expression] = STATE(25),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(561),
    [sym_int] = STATE(717),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(607),
    [sym_block_comment] = STATE(607),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(215),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_return_BANG] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(215),
    [anon_sym_yield_BANG] = ACTIONS(233),
    [anon_sym_lazy] = ACTIONS(215),
    [anon_sym_assert] = ACTIONS(215),
    [anon_sym_upcast] = ACTIONS(215),
    [anon_sym_downcast] = ACTIONS(215),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(259),
    [anon_sym_use_BANG] = ACTIONS(261),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(285),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [608] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(152),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(608),
    [sym_block_comment] = STATE(608),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [609] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(160),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(609),
    [sym_block_comment] = STATE(609),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [610] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(144),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(610),
    [sym_block_comment] = STATE(610),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [611] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(129),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(611),
    [sym_block_comment] = STATE(611),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [612] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(143),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(612),
    [sym_block_comment] = STATE(612),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [613] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(128),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(613),
    [sym_block_comment] = STATE(613),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [614] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(106),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(614),
    [sym_block_comment] = STATE(614),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [615] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(117),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(615),
    [sym_block_comment] = STATE(615),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [616] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(204),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(616),
    [sym_block_comment] = STATE(616),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [617] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(279),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(617),
    [sym_block_comment] = STATE(617),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [618] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(287),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(618),
    [sym_block_comment] = STATE(618),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [619] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(291),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(619),
    [sym_block_comment] = STATE(619),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [620] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(320),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(620),
    [sym_block_comment] = STATE(620),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [621] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(127),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(621),
    [sym_block_comment] = STATE(621),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [622] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(133),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(622),
    [sym_block_comment] = STATE(622),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [623] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(64),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(623),
    [sym_block_comment] = STATE(623),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [624] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(53),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(624),
    [sym_block_comment] = STATE(624),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [625] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(274),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(625),
    [sym_block_comment] = STATE(625),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [626] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(206),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(626),
    [sym_block_comment] = STATE(626),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [627] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(10),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(627),
    [sym_block_comment] = STATE(627),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [628] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(108),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(628),
    [sym_block_comment] = STATE(628),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [629] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(59),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(629),
    [sym_block_comment] = STATE(629),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [630] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(112),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(630),
    [sym_block_comment] = STATE(630),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [631] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(183),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(631),
    [sym_block_comment] = STATE(631),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [632] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(16),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(632),
    [sym_block_comment] = STATE(632),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [633] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(304),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(633),
    [sym_block_comment] = STATE(633),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [634] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(224),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(634),
    [sym_block_comment] = STATE(634),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [635] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(284),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(635),
    [sym_block_comment] = STATE(635),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [636] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(191),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(636),
    [sym_block_comment] = STATE(636),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [637] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(197),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(637),
    [sym_block_comment] = STATE(637),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [638] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(285),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(638),
    [sym_block_comment] = STATE(638),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [639] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(223),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(639),
    [sym_block_comment] = STATE(639),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [640] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(65),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(640),
    [sym_block_comment] = STATE(640),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [641] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(199),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(641),
    [sym_block_comment] = STATE(641),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [642] = {
    [sym_function_or_value_defn] = STATE(628),
    [sym__expression] = STATE(101),
    [sym_tuple_expression] = STATE(1758),
    [sym_brace_expression] = STATE(1758),
    [sym_anon_record_expression] = STATE(1758),
    [sym_prefixed_expression] = STATE(1758),
    [sym_literal_expression] = STATE(1758),
    [sym_typecast_expression] = STATE(1758),
    [sym_for_expression] = STATE(1758),
    [sym_while_expression] = STATE(1758),
    [sym__if_then_else_expression] = STATE(1755),
    [sym__if_then_expression] = STATE(1753),
    [sym_if_expression] = STATE(1758),
    [sym_fun_expression] = STATE(1758),
    [sym_try_expression] = STATE(1758),
    [sym_match_expression] = STATE(1758),
    [sym_function_expression] = STATE(1758),
    [sym_object_instantiation_expression] = STATE(1758),
    [sym_mutate_expression] = STATE(1758),
    [sym_index_expression] = STATE(1758),
    [sym_dot_expression] = STATE(1758),
    [sym_typed_expression] = STATE(1758),
    [sym_declaration_expression] = STATE(1758),
    [sym_do_expression] = STATE(1758),
    [sym_list_expression] = STATE(1758),
    [sym_array_expression] = STATE(1758),
    [sym_begin_end_expression] = STATE(1758),
    [sym_paren_expression] = STATE(1758),
    [sym_application_expression] = STATE(1758),
    [sym_infix_expression] = STATE(1758),
    [sym_ce_expression] = STATE(1758),
    [sym_sequential_expression] = STATE(1758),
    [sym_char] = STATE(1620),
    [sym_format_string] = STATE(1812),
    [sym_string] = STATE(1620),
    [sym_verbatim_string] = STATE(1620),
    [sym_bytechar] = STATE(1620),
    [sym_bytearray] = STATE(1620),
    [sym_verbatim_bytearray] = STATE(1620),
    [sym_format_triple_quoted_string] = STATE(1630),
    [sym_triple_quoted_string] = STATE(1620),
    [sym_const] = STATE(1758),
    [sym_long_identifier_or_op] = STATE(1758),
    [sym_long_identifier] = STATE(1604),
    [sym__identifier_or_op] = STATE(1744),
    [sym_prefix_op] = STATE(614),
    [sym_int] = STATE(758),
    [sym_xint] = STATE(3604),
    [sym_sbyte] = STATE(1620),
    [sym_byte] = STATE(1620),
    [sym_int16] = STATE(1620),
    [sym_uint16] = STATE(1620),
    [sym_int32] = STATE(1620),
    [sym_uint32] = STATE(1620),
    [sym_nativeint] = STATE(1620),
    [sym_unativeint] = STATE(1620),
    [sym_int64] = STATE(1620),
    [sym_uint64] = STATE(1620),
    [sym_ieee32] = STATE(1620),
    [sym_ieee64] = STATE(1620),
    [sym_bignum] = STATE(1620),
    [sym_decimal] = STATE(1620),
    [sym_float] = STATE(4379),
    [sym_xml_doc] = STATE(642),
    [sym_block_comment] = STATE(642),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_return_BANG] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_yield_BANG] = ACTIONS(877),
    [anon_sym_lazy] = ACTIONS(857),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_upcast] = ACTIONS(857),
    [anon_sym_downcast] = ACTIONS(857),
    [anon_sym_LT_AT] = ACTIONS(1882),
    [anon_sym_LT_AT_AT] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_fun] = ACTIONS(891),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_match] = ACTIONS(895),
    [anon_sym_match_BANG] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(899),
    [anon_sym_use] = ACTIONS(903),
    [anon_sym_use_BANG] = ACTIONS(905),
    [anon_sym_do_BANG] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_AT_DQUOTE] = ACTIONS(919),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [sym_bool] = ACTIONS(925),
    [sym_unit] = ACTIONS(1886),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(929),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [643] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(309),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(643),
    [sym_block_comment] = STATE(643),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [644] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(306),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(644),
    [sym_block_comment] = STATE(644),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [645] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(161),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(645),
    [sym_block_comment] = STATE(645),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [646] = {
    [sym_function_or_value_defn] = STATE(621),
    [sym__expression] = STATE(79),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(601),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(646),
    [sym_block_comment] = STATE(646),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_return_BANG] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(739),
    [anon_sym_yield_BANG] = ACTIONS(759),
    [anon_sym_lazy] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(739),
    [anon_sym_upcast] = ACTIONS(739),
    [anon_sym_downcast] = ACTIONS(739),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(793),
    [anon_sym_use_BANG] = ACTIONS(795),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [647] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(151),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(647),
    [sym_block_comment] = STATE(647),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [648] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(11),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(648),
    [sym_block_comment] = STATE(648),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [649] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(70),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(649),
    [sym_block_comment] = STATE(649),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [650] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(24),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(650),
    [sym_block_comment] = STATE(650),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [651] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(66),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(651),
    [sym_block_comment] = STATE(651),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [652] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(97),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(652),
    [sym_block_comment] = STATE(652),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [653] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(185),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(653),
    [sym_block_comment] = STATE(653),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [654] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(57),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(654),
    [sym_block_comment] = STATE(654),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [655] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(153),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(655),
    [sym_block_comment] = STATE(655),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [656] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(162),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(656),
    [sym_block_comment] = STATE(656),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [657] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(273),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(657),
    [sym_block_comment] = STATE(657),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [658] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(69),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(658),
    [sym_block_comment] = STATE(658),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [659] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(55),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(659),
    [sym_block_comment] = STATE(659),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [660] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(138),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(660),
    [sym_block_comment] = STATE(660),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [661] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(277),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(661),
    [sym_block_comment] = STATE(661),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [662] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(68),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(662),
    [sym_block_comment] = STATE(662),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [663] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(14),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(663),
    [sym_block_comment] = STATE(663),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [664] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(205),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(664),
    [sym_block_comment] = STATE(664),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [665] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(104),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(665),
    [sym_block_comment] = STATE(665),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [666] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(195),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(666),
    [sym_block_comment] = STATE(666),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [667] = {
    [sym_function_or_value_defn] = STATE(540),
    [sym__expression] = STATE(46),
    [sym_tuple_expression] = STATE(1525),
    [sym_brace_expression] = STATE(1525),
    [sym_anon_record_expression] = STATE(1525),
    [sym_prefixed_expression] = STATE(1525),
    [sym_literal_expression] = STATE(1525),
    [sym_typecast_expression] = STATE(1525),
    [sym_for_expression] = STATE(1525),
    [sym_while_expression] = STATE(1525),
    [sym__if_then_else_expression] = STATE(1530),
    [sym__if_then_expression] = STATE(1531),
    [sym_if_expression] = STATE(1525),
    [sym_fun_expression] = STATE(1525),
    [sym_try_expression] = STATE(1525),
    [sym_match_expression] = STATE(1525),
    [sym_function_expression] = STATE(1525),
    [sym_object_instantiation_expression] = STATE(1525),
    [sym_mutate_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_dot_expression] = STATE(1525),
    [sym_typed_expression] = STATE(1525),
    [sym_declaration_expression] = STATE(1525),
    [sym_do_expression] = STATE(1525),
    [sym_list_expression] = STATE(1525),
    [sym_array_expression] = STATE(1525),
    [sym_begin_end_expression] = STATE(1525),
    [sym_paren_expression] = STATE(1525),
    [sym_application_expression] = STATE(1525),
    [sym_infix_expression] = STATE(1525),
    [sym_ce_expression] = STATE(1525),
    [sym_sequential_expression] = STATE(1525),
    [sym_char] = STATE(1381),
    [sym_format_string] = STATE(1488),
    [sym_string] = STATE(1381),
    [sym_verbatim_string] = STATE(1381),
    [sym_bytechar] = STATE(1381),
    [sym_bytearray] = STATE(1381),
    [sym_verbatim_bytearray] = STATE(1381),
    [sym_format_triple_quoted_string] = STATE(1389),
    [sym_triple_quoted_string] = STATE(1381),
    [sym_const] = STATE(1525),
    [sym_long_identifier_or_op] = STATE(1525),
    [sym_long_identifier] = STATE(1412),
    [sym__identifier_or_op] = STATE(1532),
    [sym_prefix_op] = STATE(629),
    [sym_int] = STATE(751),
    [sym_xint] = STATE(3596),
    [sym_sbyte] = STATE(1381),
    [sym_byte] = STATE(1381),
    [sym_int16] = STATE(1381),
    [sym_uint16] = STATE(1381),
    [sym_int32] = STATE(1381),
    [sym_uint32] = STATE(1381),
    [sym_nativeint] = STATE(1381),
    [sym_unativeint] = STATE(1381),
    [sym_int64] = STATE(1381),
    [sym_uint64] = STATE(1381),
    [sym_ieee32] = STATE(1381),
    [sym_ieee64] = STATE(1381),
    [sym_bignum] = STATE(1381),
    [sym_decimal] = STATE(1381),
    [sym_float] = STATE(4515),
    [sym_xml_doc] = STATE(667),
    [sym_block_comment] = STATE(667),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(389),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(399),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_LBRACE_PIPE] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_return_BANG] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(387),
    [anon_sym_yield_BANG] = ACTIONS(407),
    [anon_sym_lazy] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(387),
    [anon_sym_upcast] = ACTIONS(387),
    [anon_sym_downcast] = ACTIONS(387),
    [anon_sym_LT_AT] = ACTIONS(1958),
    [anon_sym_LT_AT_AT] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(415),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_fun] = ACTIONS(421),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_match] = ACTIONS(425),
    [anon_sym_match_BANG] = ACTIONS(427),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(439),
    [anon_sym_use_BANG] = ACTIONS(441),
    [anon_sym_do_BANG] = ACTIONS(443),
    [anon_sym_begin] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_AT_DQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(459),
    [sym_bool] = ACTIONS(461),
    [sym_unit] = ACTIONS(1962),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1964),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(463),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(465),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [668] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(296),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(668),
    [sym_block_comment] = STATE(668),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [669] = {
    [sym_function_or_value_defn] = STATE(445),
    [sym__expression] = STATE(81),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(551),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(669),
    [sym_block_comment] = STATE(669),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_return_BANG] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(625),
    [anon_sym_yield_BANG] = ACTIONS(633),
    [anon_sym_lazy] = ACTIONS(625),
    [anon_sym_assert] = ACTIONS(625),
    [anon_sym_upcast] = ACTIONS(625),
    [anon_sym_downcast] = ACTIONS(625),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(639),
    [anon_sym_use_BANG] = ACTIONS(641),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [670] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(302),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(670),
    [sym_block_comment] = STATE(670),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [671] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(288),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(671),
    [sym_block_comment] = STATE(671),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [672] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(304),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(672),
    [sym_block_comment] = STATE(672),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [673] = {
    [sym_function_or_value_defn] = STATE(625),
    [sym__expression] = STATE(270),
    [sym_tuple_expression] = STATE(1861),
    [sym_brace_expression] = STATE(1861),
    [sym_anon_record_expression] = STATE(1861),
    [sym_prefixed_expression] = STATE(1861),
    [sym_literal_expression] = STATE(1861),
    [sym_typecast_expression] = STATE(1861),
    [sym_for_expression] = STATE(1861),
    [sym_while_expression] = STATE(1861),
    [sym__if_then_else_expression] = STATE(1863),
    [sym__if_then_expression] = STATE(1865),
    [sym_if_expression] = STATE(1861),
    [sym_fun_expression] = STATE(1861),
    [sym_try_expression] = STATE(1861),
    [sym_match_expression] = STATE(1861),
    [sym_function_expression] = STATE(1861),
    [sym_object_instantiation_expression] = STATE(1861),
    [sym_mutate_expression] = STATE(1861),
    [sym_index_expression] = STATE(1861),
    [sym_dot_expression] = STATE(1861),
    [sym_typed_expression] = STATE(1861),
    [sym_declaration_expression] = STATE(1861),
    [sym_do_expression] = STATE(1861),
    [sym_list_expression] = STATE(1861),
    [sym_array_expression] = STATE(1861),
    [sym_begin_end_expression] = STATE(1861),
    [sym_paren_expression] = STATE(1861),
    [sym_application_expression] = STATE(1861),
    [sym_infix_expression] = STATE(1861),
    [sym_ce_expression] = STATE(1861),
    [sym_sequential_expression] = STATE(1861),
    [sym_char] = STATE(1961),
    [sym_format_string] = STATE(1859),
    [sym_string] = STATE(1961),
    [sym_verbatim_string] = STATE(1961),
    [sym_bytechar] = STATE(1961),
    [sym_bytearray] = STATE(1961),
    [sym_verbatim_bytearray] = STATE(1961),
    [sym_format_triple_quoted_string] = STATE(1960),
    [sym_triple_quoted_string] = STATE(1961),
    [sym_const] = STATE(1861),
    [sym_long_identifier_or_op] = STATE(1861),
    [sym_long_identifier] = STATE(1866),
    [sym__identifier_or_op] = STATE(1867),
    [sym_prefix_op] = STATE(483),
    [sym_int] = STATE(776),
    [sym_xint] = STATE(3594),
    [sym_sbyte] = STATE(1961),
    [sym_byte] = STATE(1961),
    [sym_int16] = STATE(1961),
    [sym_uint16] = STATE(1961),
    [sym_int32] = STATE(1961),
    [sym_uint32] = STATE(1961),
    [sym_nativeint] = STATE(1961),
    [sym_unativeint] = STATE(1961),
    [sym_int64] = STATE(1961),
    [sym_uint64] = STATE(1961),
    [sym_ieee32] = STATE(1961),
    [sym_ieee64] = STATE(1961),
    [sym_bignum] = STATE(1961),
    [sym_decimal] = STATE(1961),
    [sym_float] = STATE(4606),
    [sym_xml_doc] = STATE(673),
    [sym_block_comment] = STATE(673),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_return_BANG] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_yield_BANG] = ACTIONS(1121),
    [anon_sym_lazy] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_upcast] = ACTIONS(1101),
    [anon_sym_downcast] = ACTIONS(1101),
    [anon_sym_LT_AT] = ACTIONS(1922),
    [anon_sym_LT_AT_AT] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_match_BANG] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_use] = ACTIONS(1153),
    [anon_sym_use_BANG] = ACTIONS(1155),
    [anon_sym_do_BANG] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_AT_DQUOTE] = ACTIONS(1171),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [sym_bool] = ACTIONS(1177),
    [sym_unit] = ACTIONS(1926),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1928),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1181),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [674] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(154),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(674),
    [sym_block_comment] = STATE(674),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [675] = {
    [sym_function_or_value_defn] = STATE(586),
    [sym__expression] = STATE(102),
    [sym_tuple_expression] = STATE(1805),
    [sym_brace_expression] = STATE(1805),
    [sym_anon_record_expression] = STATE(1805),
    [sym_prefixed_expression] = STATE(1805),
    [sym_literal_expression] = STATE(1805),
    [sym_typecast_expression] = STATE(1805),
    [sym_for_expression] = STATE(1805),
    [sym_while_expression] = STATE(1805),
    [sym__if_then_else_expression] = STATE(1794),
    [sym__if_then_expression] = STATE(1793),
    [sym_if_expression] = STATE(1805),
    [sym_fun_expression] = STATE(1805),
    [sym_try_expression] = STATE(1805),
    [sym_match_expression] = STATE(1805),
    [sym_function_expression] = STATE(1805),
    [sym_object_instantiation_expression] = STATE(1805),
    [sym_mutate_expression] = STATE(1805),
    [sym_index_expression] = STATE(1805),
    [sym_dot_expression] = STATE(1805),
    [sym_typed_expression] = STATE(1805),
    [sym_declaration_expression] = STATE(1805),
    [sym_do_expression] = STATE(1805),
    [sym_list_expression] = STATE(1805),
    [sym_array_expression] = STATE(1805),
    [sym_begin_end_expression] = STATE(1805),
    [sym_paren_expression] = STATE(1805),
    [sym_application_expression] = STATE(1805),
    [sym_infix_expression] = STATE(1805),
    [sym_ce_expression] = STATE(1805),
    [sym_sequential_expression] = STATE(1805),
    [sym_char] = STATE(1818),
    [sym_format_string] = STATE(1754),
    [sym_string] = STATE(1818),
    [sym_verbatim_string] = STATE(1818),
    [sym_bytechar] = STATE(1818),
    [sym_bytearray] = STATE(1818),
    [sym_verbatim_bytearray] = STATE(1818),
    [sym_format_triple_quoted_string] = STATE(1792),
    [sym_triple_quoted_string] = STATE(1818),
    [sym_const] = STATE(1805),
    [sym_long_identifier_or_op] = STATE(1805),
    [sym_long_identifier] = STATE(1788),
    [sym__identifier_or_op] = STATE(1787),
    [sym_prefix_op] = STATE(660),
    [sym_int] = STATE(762),
    [sym_xint] = STATE(3576),
    [sym_sbyte] = STATE(1818),
    [sym_byte] = STATE(1818),
    [sym_int16] = STATE(1818),
    [sym_uint16] = STATE(1818),
    [sym_int32] = STATE(1818),
    [sym_uint32] = STATE(1818),
    [sym_nativeint] = STATE(1818),
    [sym_unativeint] = STATE(1818),
    [sym_int64] = STATE(1818),
    [sym_uint64] = STATE(1818),
    [sym_ieee32] = STATE(1818),
    [sym_ieee64] = STATE(1818),
    [sym_bignum] = STATE(1818),
    [sym_decimal] = STATE(1818),
    [sym_float] = STATE(4430),
    [sym_xml_doc] = STATE(675),
    [sym_block_comment] = STATE(675),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(647),
    [anon_sym_return] = ACTIONS(651),
    [anon_sym_do] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_return_BANG] = ACTIONS(671),
    [anon_sym_yield] = ACTIONS(651),
    [anon_sym_yield_BANG] = ACTIONS(671),
    [anon_sym_lazy] = ACTIONS(651),
    [anon_sym_assert] = ACTIONS(651),
    [anon_sym_upcast] = ACTIONS(651),
    [anon_sym_downcast] = ACTIONS(651),
    [anon_sym_LT_AT] = ACTIONS(1904),
    [anon_sym_LT_AT_AT] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_fun] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(687),
    [anon_sym_match] = ACTIONS(689),
    [anon_sym_match_BANG] = ACTIONS(691),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_use] = ACTIONS(703),
    [anon_sym_use_BANG] = ACTIONS(705),
    [anon_sym_do_BANG] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_SQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_AT_DQUOTE] = ACTIONS(719),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [sym_bool] = ACTIONS(725),
    [sym_unit] = ACTIONS(1908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1910),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(729),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [676] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(182),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(676),
    [sym_block_comment] = STATE(676),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [677] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(308),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(677),
    [sym_block_comment] = STATE(677),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [678] = {
    [sym_function_or_value_defn] = STATE(609),
    [sym__expression] = STATE(180),
    [sym_tuple_expression] = STATE(1853),
    [sym_brace_expression] = STATE(1853),
    [sym_anon_record_expression] = STATE(1853),
    [sym_prefixed_expression] = STATE(1853),
    [sym_literal_expression] = STATE(1853),
    [sym_typecast_expression] = STATE(1853),
    [sym_for_expression] = STATE(1853),
    [sym_while_expression] = STATE(1853),
    [sym__if_then_else_expression] = STATE(1852),
    [sym__if_then_expression] = STATE(1850),
    [sym_if_expression] = STATE(1853),
    [sym_fun_expression] = STATE(1853),
    [sym_try_expression] = STATE(1853),
    [sym_match_expression] = STATE(1853),
    [sym_function_expression] = STATE(1853),
    [sym_object_instantiation_expression] = STATE(1853),
    [sym_mutate_expression] = STATE(1853),
    [sym_index_expression] = STATE(1853),
    [sym_dot_expression] = STATE(1853),
    [sym_typed_expression] = STATE(1853),
    [sym_declaration_expression] = STATE(1853),
    [sym_do_expression] = STATE(1853),
    [sym_list_expression] = STATE(1853),
    [sym_array_expression] = STATE(1853),
    [sym_begin_end_expression] = STATE(1853),
    [sym_paren_expression] = STATE(1853),
    [sym_application_expression] = STATE(1853),
    [sym_infix_expression] = STATE(1853),
    [sym_ce_expression] = STATE(1853),
    [sym_sequential_expression] = STATE(1853),
    [sym_char] = STATE(1919),
    [sym_format_string] = STATE(1897),
    [sym_string] = STATE(1919),
    [sym_verbatim_string] = STATE(1919),
    [sym_bytechar] = STATE(1919),
    [sym_bytearray] = STATE(1919),
    [sym_verbatim_bytearray] = STATE(1919),
    [sym_format_triple_quoted_string] = STATE(1921),
    [sym_triple_quoted_string] = STATE(1919),
    [sym_const] = STATE(1853),
    [sym_long_identifier_or_op] = STATE(1853),
    [sym_long_identifier] = STATE(1849),
    [sym__identifier_or_op] = STATE(1848),
    [sym_prefix_op] = STATE(656),
    [sym_int] = STATE(778),
    [sym_xint] = STATE(3567),
    [sym_sbyte] = STATE(1919),
    [sym_byte] = STATE(1919),
    [sym_int16] = STATE(1919),
    [sym_uint16] = STATE(1919),
    [sym_int32] = STATE(1919),
    [sym_uint32] = STATE(1919),
    [sym_nativeint] = STATE(1919),
    [sym_unativeint] = STATE(1919),
    [sym_int64] = STATE(1919),
    [sym_uint64] = STATE(1919),
    [sym_ieee32] = STATE(1919),
    [sym_ieee64] = STATE(1919),
    [sym_bignum] = STATE(1919),
    [sym_decimal] = STATE(1919),
    [sym_float] = STATE(4427),
    [sym_xml_doc] = STATE(678),
    [sym_block_comment] = STATE(678),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_return_BANG] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_yield_BANG] = ACTIONS(1039),
    [anon_sym_lazy] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1019),
    [anon_sym_upcast] = ACTIONS(1019),
    [anon_sym_downcast] = ACTIONS(1019),
    [anon_sym_LT_AT] = ACTIONS(1934),
    [anon_sym_LT_AT_AT] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1047),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_fun] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_match] = ACTIONS(1057),
    [anon_sym_match_BANG] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_use] = ACTIONS(1065),
    [anon_sym_use_BANG] = ACTIONS(1067),
    [anon_sym_do_BANG] = ACTIONS(1069),
    [anon_sym_begin] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [anon_sym_AT_DQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1085),
    [sym_bool] = ACTIONS(1087),
    [sym_unit] = ACTIONS(1938),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1940),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(1091),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [679] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(146),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(679),
    [sym_block_comment] = STATE(679),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [680] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(156),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(680),
    [sym_block_comment] = STATE(680),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [681] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(215),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(681),
    [sym_block_comment] = STATE(681),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [682] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(310),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(682),
    [sym_block_comment] = STATE(682),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [683] = {
    [sym_function_or_value_defn] = STATE(494),
    [sym__expression] = STATE(5),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(648),
    [sym_int] = STATE(712),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(683),
    [sym_block_comment] = STATE(683),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(121),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(137),
    [anon_sym_return_BANG] = ACTIONS(139),
    [anon_sym_yield] = ACTIONS(121),
    [anon_sym_yield_BANG] = ACTIONS(139),
    [anon_sym_lazy] = ACTIONS(121),
    [anon_sym_assert] = ACTIONS(121),
    [anon_sym_upcast] = ACTIONS(121),
    [anon_sym_downcast] = ACTIONS(121),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(155),
    [anon_sym_use_BANG] = ACTIONS(157),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(161),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [684] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(110),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(684),
    [sym_block_comment] = STATE(684),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [685] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(301),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(685),
    [sym_block_comment] = STATE(685),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [686] = {
    [sym_function_or_value_defn] = STATE(562),
    [sym__expression] = STATE(96),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(665),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(686),
    [sym_block_comment] = STATE(686),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_return_BANG] = ACTIONS(523),
    [anon_sym_yield] = ACTIONS(517),
    [anon_sym_yield_BANG] = ACTIONS(523),
    [anon_sym_lazy] = ACTIONS(517),
    [anon_sym_assert] = ACTIONS(517),
    [anon_sym_upcast] = ACTIONS(517),
    [anon_sym_downcast] = ACTIONS(517),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(529),
    [anon_sym_use_BANG] = ACTIONS(531),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [687] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(219),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(687),
    [sym_block_comment] = STATE(687),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [688] = {
    [sym_function_or_value_defn] = STATE(511),
    [sym__expression] = STATE(26),
    [sym_tuple_expression] = STATE(1009),
    [sym_brace_expression] = STATE(1009),
    [sym_anon_record_expression] = STATE(1009),
    [sym_prefixed_expression] = STATE(1009),
    [sym_literal_expression] = STATE(1009),
    [sym_typecast_expression] = STATE(1009),
    [sym_for_expression] = STATE(1009),
    [sym_while_expression] = STATE(1009),
    [sym__if_then_else_expression] = STATE(993),
    [sym__if_then_expression] = STATE(997),
    [sym_if_expression] = STATE(1009),
    [sym_fun_expression] = STATE(1009),
    [sym_try_expression] = STATE(1009),
    [sym_match_expression] = STATE(1009),
    [sym_function_expression] = STATE(1009),
    [sym_object_instantiation_expression] = STATE(1009),
    [sym_mutate_expression] = STATE(1009),
    [sym_index_expression] = STATE(1009),
    [sym_dot_expression] = STATE(1009),
    [sym_typed_expression] = STATE(1009),
    [sym_declaration_expression] = STATE(1009),
    [sym_do_expression] = STATE(1009),
    [sym_list_expression] = STATE(1009),
    [sym_array_expression] = STATE(1009),
    [sym_begin_end_expression] = STATE(1009),
    [sym_paren_expression] = STATE(1009),
    [sym_application_expression] = STATE(1009),
    [sym_infix_expression] = STATE(1009),
    [sym_ce_expression] = STATE(1009),
    [sym_sequential_expression] = STATE(1009),
    [sym_char] = STATE(1058),
    [sym_format_string] = STATE(1001),
    [sym_string] = STATE(1058),
    [sym_verbatim_string] = STATE(1058),
    [sym_bytechar] = STATE(1058),
    [sym_bytearray] = STATE(1058),
    [sym_verbatim_bytearray] = STATE(1058),
    [sym_format_triple_quoted_string] = STATE(1017),
    [sym_triple_quoted_string] = STATE(1058),
    [sym_const] = STATE(1009),
    [sym_long_identifier_or_op] = STATE(1009),
    [sym_long_identifier] = STATE(1059),
    [sym__identifier_or_op] = STATE(1010),
    [sym_prefix_op] = STATE(663),
    [sym_int] = STATE(718),
    [sym_xint] = STATE(3584),
    [sym_sbyte] = STATE(1058),
    [sym_byte] = STATE(1058),
    [sym_int16] = STATE(1058),
    [sym_uint16] = STATE(1058),
    [sym_int32] = STATE(1058),
    [sym_uint32] = STATE(1058),
    [sym_nativeint] = STATE(1058),
    [sym_unativeint] = STATE(1058),
    [sym_int64] = STATE(1058),
    [sym_uint64] = STATE(1058),
    [sym_ieee32] = STATE(1058),
    [sym_ieee64] = STATE(1058),
    [sym_bignum] = STATE(1058),
    [sym_decimal] = STATE(1058),
    [sym_float] = STATE(4520),
    [sym_xml_doc] = STATE(688),
    [sym_block_comment] = STATE(688),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_return] = ACTIONS(25),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_LBRACE_PIPE] = ACTIONS(47),
    [anon_sym_new] = ACTIONS(49),
    [anon_sym_return_BANG] = ACTIONS(51),
    [anon_sym_yield] = ACTIONS(25),
    [anon_sym_yield_BANG] = ACTIONS(51),
    [anon_sym_lazy] = ACTIONS(25),
    [anon_sym_assert] = ACTIONS(25),
    [anon_sym_upcast] = ACTIONS(25),
    [anon_sym_downcast] = ACTIONS(25),
    [anon_sym_LT_AT] = ACTIONS(53),
    [anon_sym_LT_AT_AT] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_fun] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_match] = ACTIONS(67),
    [anon_sym_match_BANG] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_use] = ACTIONS(73),
    [anon_sym_use_BANG] = ACTIONS(75),
    [anon_sym_do_BANG] = ACTIONS(77),
    [anon_sym_begin] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [anon_sym_AT_DQUOTE] = ACTIONS(87),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(89),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(91),
    [sym_bool] = ACTIONS(93),
    [sym_unit] = ACTIONS(95),
    [aux_sym__identifier_or_op_token1] = ACTIONS(97),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(105),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [689] = {
    [sym_function_or_value_defn] = STATE(567),
    [sym__expression] = STATE(188),
    [sym_tuple_expression] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_anon_record_expression] = STATE(925),
    [sym_prefixed_expression] = STATE(925),
    [sym_literal_expression] = STATE(925),
    [sym_typecast_expression] = STATE(925),
    [sym_for_expression] = STATE(925),
    [sym_while_expression] = STATE(925),
    [sym__if_then_else_expression] = STATE(945),
    [sym__if_then_expression] = STATE(958),
    [sym_if_expression] = STATE(925),
    [sym_fun_expression] = STATE(925),
    [sym_try_expression] = STATE(925),
    [sym_match_expression] = STATE(925),
    [sym_function_expression] = STATE(925),
    [sym_object_instantiation_expression] = STATE(925),
    [sym_mutate_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_dot_expression] = STATE(925),
    [sym_typed_expression] = STATE(925),
    [sym_declaration_expression] = STATE(925),
    [sym_do_expression] = STATE(925),
    [sym_list_expression] = STATE(925),
    [sym_array_expression] = STATE(925),
    [sym_begin_end_expression] = STATE(925),
    [sym_paren_expression] = STATE(925),
    [sym_application_expression] = STATE(925),
    [sym_infix_expression] = STATE(925),
    [sym_ce_expression] = STATE(925),
    [sym_sequential_expression] = STATE(925),
    [sym_char] = STATE(889),
    [sym_format_string] = STATE(943),
    [sym_string] = STATE(889),
    [sym_verbatim_string] = STATE(889),
    [sym_bytechar] = STATE(889),
    [sym_bytearray] = STATE(889),
    [sym_verbatim_bytearray] = STATE(889),
    [sym_format_triple_quoted_string] = STATE(897),
    [sym_triple_quoted_string] = STATE(889),
    [sym_const] = STATE(925),
    [sym_long_identifier_or_op] = STATE(925),
    [sym_long_identifier] = STATE(960),
    [sym__identifier_or_op] = STATE(963),
    [sym_prefix_op] = STATE(498),
    [sym_int] = STATE(744),
    [sym_xint] = STATE(3600),
    [sym_sbyte] = STATE(889),
    [sym_byte] = STATE(889),
    [sym_int16] = STATE(889),
    [sym_uint16] = STATE(889),
    [sym_int32] = STATE(889),
    [sym_uint32] = STATE(889),
    [sym_nativeint] = STATE(889),
    [sym_unativeint] = STATE(889),
    [sym_int64] = STATE(889),
    [sym_uint64] = STATE(889),
    [sym_ieee32] = STATE(889),
    [sym_ieee64] = STATE(889),
    [sym_bignum] = STATE(889),
    [sym_decimal] = STATE(889),
    [sym_float] = STATE(4653),
    [sym_xml_doc] = STATE(689),
    [sym_block_comment] = STATE(689),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(217),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_return_BANG] = ACTIONS(831),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_yield_BANG] = ACTIONS(831),
    [anon_sym_lazy] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_upcast] = ACTIONS(825),
    [anon_sym_downcast] = ACTIONS(825),
    [anon_sym_LT_AT] = ACTIONS(1645),
    [anon_sym_LT_AT_AT] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(241),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_fun] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_match_BANG] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_use] = ACTIONS(835),
    [anon_sym_use_BANG] = ACTIONS(837),
    [anon_sym_do_BANG] = ACTIONS(263),
    [anon_sym_begin] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_AT_DQUOTE] = ACTIONS(275),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(279),
    [sym_bool] = ACTIONS(281),
    [sym_unit] = ACTIONS(1649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1651),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(283),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(535),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [690] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(145),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(690),
    [sym_block_comment] = STATE(690),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [691] = {
    [sym_function_or_value_defn] = STATE(691),
    [sym__expression] = STATE(67),
    [sym_tuple_expression] = STATE(1416),
    [sym_brace_expression] = STATE(1416),
    [sym_anon_record_expression] = STATE(1416),
    [sym_prefixed_expression] = STATE(1416),
    [sym_literal_expression] = STATE(1416),
    [sym_typecast_expression] = STATE(1416),
    [sym_for_expression] = STATE(1416),
    [sym_while_expression] = STATE(1416),
    [sym__if_then_else_expression] = STATE(1405),
    [sym__if_then_expression] = STATE(1404),
    [sym_if_expression] = STATE(1416),
    [sym_fun_expression] = STATE(1416),
    [sym_try_expression] = STATE(1416),
    [sym_match_expression] = STATE(1416),
    [sym_function_expression] = STATE(1416),
    [sym_object_instantiation_expression] = STATE(1416),
    [sym_mutate_expression] = STATE(1416),
    [sym_index_expression] = STATE(1416),
    [sym_dot_expression] = STATE(1416),
    [sym_typed_expression] = STATE(1416),
    [sym_declaration_expression] = STATE(1416),
    [sym_do_expression] = STATE(1416),
    [sym_list_expression] = STATE(1416),
    [sym_array_expression] = STATE(1416),
    [sym_begin_end_expression] = STATE(1416),
    [sym_paren_expression] = STATE(1416),
    [sym_application_expression] = STATE(1416),
    [sym_infix_expression] = STATE(1416),
    [sym_ce_expression] = STATE(1416),
    [sym_sequential_expression] = STATE(1416),
    [sym_char] = STATE(1563),
    [sym_format_string] = STATE(1379),
    [sym_string] = STATE(1563),
    [sym_verbatim_string] = STATE(1563),
    [sym_bytechar] = STATE(1563),
    [sym_bytearray] = STATE(1563),
    [sym_verbatim_bytearray] = STATE(1563),
    [sym_format_triple_quoted_string] = STATE(1566),
    [sym_triple_quoted_string] = STATE(1563),
    [sym_const] = STATE(1416),
    [sym_long_identifier_or_op] = STATE(1416),
    [sym_long_identifier] = STATE(1393),
    [sym__identifier_or_op] = STATE(1392),
    [sym_prefix_op] = STATE(651),
    [sym_int] = STATE(743),
    [sym_xint] = STATE(3602),
    [sym_sbyte] = STATE(1563),
    [sym_byte] = STATE(1563),
    [sym_int16] = STATE(1563),
    [sym_uint16] = STATE(1563),
    [sym_int32] = STATE(1563),
    [sym_uint32] = STATE(1563),
    [sym_nativeint] = STATE(1563),
    [sym_unativeint] = STATE(1563),
    [sym_int64] = STATE(1563),
    [sym_uint64] = STATE(1563),
    [sym_ieee32] = STATE(1563),
    [sym_ieee64] = STATE(1563),
    [sym_bignum] = STATE(1563),
    [sym_decimal] = STATE(1563),
    [sym_float] = STATE(4380),
    [sym_xml_doc] = STATE(691),
    [sym_block_comment] = STATE(691),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(543),
    [anon_sym_return] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(549),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(553),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(559),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACE_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(565),
    [anon_sym_return_BANG] = ACTIONS(567),
    [anon_sym_yield] = ACTIONS(547),
    [anon_sym_yield_BANG] = ACTIONS(567),
    [anon_sym_lazy] = ACTIONS(547),
    [anon_sym_assert] = ACTIONS(547),
    [anon_sym_upcast] = ACTIONS(547),
    [anon_sym_downcast] = ACTIONS(547),
    [anon_sym_LT_AT] = ACTIONS(1840),
    [anon_sym_LT_AT_AT] = ACTIONS(1842),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(579),
    [anon_sym_fun] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(583),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_match_BANG] = ACTIONS(587),
    [anon_sym_function] = ACTIONS(589),
    [anon_sym_use] = ACTIONS(593),
    [anon_sym_use_BANG] = ACTIONS(595),
    [anon_sym_do_BANG] = ACTIONS(597),
    [anon_sym_begin] = ACTIONS(599),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_AT_DQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(613),
    [sym_bool] = ACTIONS(615),
    [sym_unit] = ACTIONS(1852),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1854),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(619),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [692] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(281),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(692),
    [sym_block_comment] = STATE(692),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [693] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(181),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(693),
    [sym_block_comment] = STATE(693),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [694] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(303),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(694),
    [sym_block_comment] = STATE(694),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [695] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(297),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(695),
    [sym_block_comment] = STATE(695),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [696] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(319),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(696),
    [sym_block_comment] = STATE(696),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [697] = {
    [sym_function_or_value_defn] = STATE(555),
    [sym__expression] = STATE(217),
    [sym_tuple_expression] = STATE(1742),
    [sym_brace_expression] = STATE(1742),
    [sym_anon_record_expression] = STATE(1742),
    [sym_prefixed_expression] = STATE(1742),
    [sym_literal_expression] = STATE(1742),
    [sym_typecast_expression] = STATE(1742),
    [sym_for_expression] = STATE(1742),
    [sym_while_expression] = STATE(1742),
    [sym__if_then_else_expression] = STATE(1747),
    [sym__if_then_expression] = STATE(1748),
    [sym_if_expression] = STATE(1742),
    [sym_fun_expression] = STATE(1742),
    [sym_try_expression] = STATE(1742),
    [sym_match_expression] = STATE(1742),
    [sym_function_expression] = STATE(1742),
    [sym_object_instantiation_expression] = STATE(1742),
    [sym_mutate_expression] = STATE(1742),
    [sym_index_expression] = STATE(1742),
    [sym_dot_expression] = STATE(1742),
    [sym_typed_expression] = STATE(1742),
    [sym_declaration_expression] = STATE(1742),
    [sym_do_expression] = STATE(1742),
    [sym_list_expression] = STATE(1742),
    [sym_array_expression] = STATE(1742),
    [sym_begin_end_expression] = STATE(1742),
    [sym_paren_expression] = STATE(1742),
    [sym_application_expression] = STATE(1742),
    [sym_infix_expression] = STATE(1742),
    [sym_ce_expression] = STATE(1742),
    [sym_sequential_expression] = STATE(1742),
    [sym_char] = STATE(1730),
    [sym_format_string] = STATE(1624),
    [sym_string] = STATE(1730),
    [sym_verbatim_string] = STATE(1730),
    [sym_bytechar] = STATE(1730),
    [sym_bytearray] = STATE(1730),
    [sym_verbatim_bytearray] = STATE(1730),
    [sym_format_triple_quoted_string] = STATE(1724),
    [sym_triple_quoted_string] = STATE(1730),
    [sym_const] = STATE(1742),
    [sym_long_identifier_or_op] = STATE(1742),
    [sym_long_identifier] = STATE(1751),
    [sym__identifier_or_op] = STATE(1752),
    [sym_prefix_op] = STATE(517),
    [sym_int] = STATE(763),
    [sym_xint] = STATE(3598),
    [sym_sbyte] = STATE(1730),
    [sym_byte] = STATE(1730),
    [sym_int16] = STATE(1730),
    [sym_uint16] = STATE(1730),
    [sym_int32] = STATE(1730),
    [sym_uint32] = STATE(1730),
    [sym_nativeint] = STATE(1730),
    [sym_unativeint] = STATE(1730),
    [sym_int64] = STATE(1730),
    [sym_uint64] = STATE(1730),
    [sym_ieee32] = STATE(1730),
    [sym_ieee64] = STATE(1730),
    [sym_bignum] = STATE(1730),
    [sym_decimal] = STATE(1730),
    [sym_float] = STATE(4458),
    [sym_xml_doc] = STATE(697),
    [sym_block_comment] = STATE(697),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_LBRACE_PIPE] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_return_BANG] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_yield_BANG] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(993),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_upcast] = ACTIONS(993),
    [anon_sym_downcast] = ACTIONS(993),
    [anon_sym_LT_AT] = ACTIONS(1946),
    [anon_sym_LT_AT_AT] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1003),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_fun] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_match_BANG] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_use] = ACTIONS(1009),
    [anon_sym_use_BANG] = ACTIONS(1011),
    [anon_sym_do_BANG] = ACTIONS(797),
    [anon_sym_begin] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_AT_DQUOTE] = ACTIONS(811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [sym_bool] = ACTIONS(817),
    [sym_unit] = ACTIONS(1950),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1952),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(821),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [698] = {
    [sym_function_or_value_defn] = STATE(588),
    [sym__expression] = STATE(39),
    [sym_tuple_expression] = STATE(1102),
    [sym_brace_expression] = STATE(1102),
    [sym_anon_record_expression] = STATE(1102),
    [sym_prefixed_expression] = STATE(1102),
    [sym_literal_expression] = STATE(1102),
    [sym_typecast_expression] = STATE(1102),
    [sym_for_expression] = STATE(1102),
    [sym_while_expression] = STATE(1102),
    [sym__if_then_else_expression] = STATE(1114),
    [sym__if_then_expression] = STATE(1113),
    [sym_if_expression] = STATE(1102),
    [sym_fun_expression] = STATE(1102),
    [sym_try_expression] = STATE(1102),
    [sym_match_expression] = STATE(1102),
    [sym_function_expression] = STATE(1102),
    [sym_object_instantiation_expression] = STATE(1102),
    [sym_mutate_expression] = STATE(1102),
    [sym_index_expression] = STATE(1102),
    [sym_dot_expression] = STATE(1102),
    [sym_typed_expression] = STATE(1102),
    [sym_declaration_expression] = STATE(1102),
    [sym_do_expression] = STATE(1102),
    [sym_list_expression] = STATE(1102),
    [sym_array_expression] = STATE(1102),
    [sym_begin_end_expression] = STATE(1102),
    [sym_paren_expression] = STATE(1102),
    [sym_application_expression] = STATE(1102),
    [sym_infix_expression] = STATE(1102),
    [sym_ce_expression] = STATE(1102),
    [sym_sequential_expression] = STATE(1102),
    [sym_char] = STATE(1127),
    [sym_format_string] = STATE(1119),
    [sym_string] = STATE(1127),
    [sym_verbatim_string] = STATE(1127),
    [sym_bytechar] = STATE(1127),
    [sym_bytearray] = STATE(1127),
    [sym_verbatim_bytearray] = STATE(1127),
    [sym_format_triple_quoted_string] = STATE(1121),
    [sym_triple_quoted_string] = STATE(1127),
    [sym_const] = STATE(1102),
    [sym_long_identifier_or_op] = STATE(1102),
    [sym_long_identifier] = STATE(1107),
    [sym__identifier_or_op] = STATE(1105),
    [sym_prefix_op] = STATE(698),
    [sym_int] = STATE(716),
    [sym_xint] = STATE(3588),
    [sym_sbyte] = STATE(1127),
    [sym_byte] = STATE(1127),
    [sym_int16] = STATE(1127),
    [sym_uint16] = STATE(1127),
    [sym_int32] = STATE(1127),
    [sym_uint32] = STATE(1127),
    [sym_nativeint] = STATE(1127),
    [sym_unativeint] = STATE(1127),
    [sym_int64] = STATE(1127),
    [sym_uint64] = STATE(1127),
    [sym_ieee32] = STATE(1127),
    [sym_ieee64] = STATE(1127),
    [sym_bignum] = STATE(1127),
    [sym_decimal] = STATE(1127),
    [sym_float] = STATE(4622),
    [sym_xml_doc] = STATE(698),
    [sym_block_comment] = STATE(698),
    [aux_sym_prefix_op_repeat1] = STATE(2523),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_let] = ACTIONS(125),
    [anon_sym_let_BANG] = ACTIONS(127),
    [anon_sym_null] = ACTIONS(311),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_AMP] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(323),
    [anon_sym_new] = ACTIONS(325),
    [anon_sym_return_BANG] = ACTIONS(327),
    [anon_sym_yield] = ACTIONS(307),
    [anon_sym_yield_BANG] = ACTIONS(327),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_upcast] = ACTIONS(307),
    [anon_sym_downcast] = ACTIONS(307),
    [anon_sym_LT_AT] = ACTIONS(1862),
    [anon_sym_LT_AT_AT] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_fun] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(345),
    [anon_sym_match_BANG] = ACTIONS(347),
    [anon_sym_function] = ACTIONS(349),
    [anon_sym_use] = ACTIONS(353),
    [anon_sym_use_BANG] = ACTIONS(355),
    [anon_sym_do_BANG] = ACTIONS(357),
    [anon_sym_begin] = ACTIONS(359),
    [anon_sym_SQUOTE] = ACTIONS(363),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(365),
    [anon_sym_DQUOTE] = ACTIONS(367),
    [anon_sym_AT_DQUOTE] = ACTIONS(369),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(373),
    [sym_bool] = ACTIONS(375),
    [sym_unit] = ACTIONS(1874),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS_DOT] = ACTIONS(101),
    [anon_sym_DASH_DOT] = ACTIONS(101),
    [anon_sym_PERCENT] = ACTIONS(101),
    [anon_sym_AMP_AMP] = ACTIONS(101),
    [anon_sym_TILDE] = ACTIONS(103),
    [aux_sym_prefix_op_token1] = ACTIONS(101),
    [aux_sym_int_token1] = ACTIONS(379),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [699] = {
    [sym_xml_doc] = STATE(699),
    [sym_block_comment] = STATE(699),
    [aux_sym_int_repeat1] = STATE(701),
    [ts_builtin_sym_end] = ACTIONS(2000),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_namespace] = ACTIONS(2002),
    [anon_sym_module] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_POUNDnowarn] = ACTIONS(2000),
    [anon_sym_POUNDr] = ACTIONS(2000),
    [anon_sym_POUNDload] = ACTIONS(2000),
    [anon_sym_open] = ACTIONS(2002),
    [anon_sym_LBRACK_LT] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_type] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2004),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
  },
  [700] = {
    [sym_xml_doc] = STATE(700),
    [sym_block_comment] = STATE(700),
    [aux_sym_int_repeat1] = STATE(700),
    [ts_builtin_sym_end] = ACTIONS(2006),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_namespace] = ACTIONS(2008),
    [anon_sym_module] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_POUNDnowarn] = ACTIONS(2006),
    [anon_sym_POUNDr] = ACTIONS(2006),
    [anon_sym_POUNDload] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2008),
    [anon_sym_LBRACK_LT] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_type] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2010),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
  },
  [701] = {
    [sym_xml_doc] = STATE(701),
    [sym_block_comment] = STATE(701),
    [aux_sym_int_repeat1] = STATE(700),
    [ts_builtin_sym_end] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_namespace] = ACTIONS(2015),
    [anon_sym_module] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_POUNDnowarn] = ACTIONS(2013),
    [anon_sym_POUNDr] = ACTIONS(2013),
    [anon_sym_POUNDload] = ACTIONS(2013),
    [anon_sym_open] = ACTIONS(2015),
    [anon_sym_LBRACK_LT] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_type] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2004),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
  },
  [702] = {
    [sym_xml_doc] = STATE(702),
    [sym_block_comment] = STATE(702),
    [aux_sym_int_repeat1] = STATE(706),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_GT_RBRACK] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_RBRACK] = ACTIONS(2000),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2000),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_with] = ACTIONS(2002),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_to] = ACTIONS(2002),
    [anon_sym_downto] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_end] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_DOT_DOT2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2017),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
  },
  [703] = {
    [sym_xml_doc] = STATE(703),
    [sym_block_comment] = STATE(703),
    [aux_sym_int_repeat1] = STATE(703),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_GT_RBRACK] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_RBRACK] = ACTIONS(2006),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_RBRACE] = ACTIONS(2006),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_with] = ACTIONS(2008),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_to] = ACTIONS(2008),
    [anon_sym_downto] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_end] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_DOT_DOT2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2019),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
  },
  [704] = {
    [sym_xml_doc] = STATE(704),
    [sym_block_comment] = STATE(704),
    [aux_sym_int_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_module] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_POUNDnowarn] = ACTIONS(2013),
    [anon_sym_POUNDr] = ACTIONS(2013),
    [anon_sym_POUNDload] = ACTIONS(2013),
    [anon_sym_open] = ACTIONS(2015),
    [anon_sym_LBRACK_LT] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_type] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2022),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
    [sym__dedent] = ACTIONS(2013),
  },
  [705] = {
    [sym_xml_doc] = STATE(705),
    [sym_block_comment] = STATE(705),
    [aux_sym_int_repeat1] = STATE(710),
    [ts_builtin_sym_end] = ACTIONS(2000),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_module] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_POUNDnowarn] = ACTIONS(2000),
    [anon_sym_POUNDr] = ACTIONS(2000),
    [anon_sym_POUNDload] = ACTIONS(2000),
    [anon_sym_open] = ACTIONS(2002),
    [anon_sym_LBRACK_LT] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_type] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2024),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
  },
  [706] = {
    [sym_xml_doc] = STATE(706),
    [sym_block_comment] = STATE(706),
    [aux_sym_int_repeat1] = STATE(703),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_GT_RBRACK] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_RBRACK] = ACTIONS(2013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2013),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_with] = ACTIONS(2015),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_to] = ACTIONS(2015),
    [anon_sym_downto] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_end] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_DOT_DOT2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2017),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
  },
  [707] = {
    [sym_xml_doc] = STATE(707),
    [sym_block_comment] = STATE(707),
    [ts_builtin_sym_end] = ACTIONS(2026),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_namespace] = ACTIONS(2028),
    [anon_sym_module] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_POUNDnowarn] = ACTIONS(2026),
    [anon_sym_POUNDr] = ACTIONS(2026),
    [anon_sym_POUNDload] = ACTIONS(2026),
    [anon_sym_open] = ACTIONS(2028),
    [anon_sym_LBRACK_LT] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_type] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
  },
  [708] = {
    [sym_xml_doc] = STATE(708),
    [sym_block_comment] = STATE(708),
    [aux_sym_int_repeat1] = STATE(704),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_module] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_POUNDnowarn] = ACTIONS(2000),
    [anon_sym_POUNDr] = ACTIONS(2000),
    [anon_sym_POUNDload] = ACTIONS(2000),
    [anon_sym_open] = ACTIONS(2002),
    [anon_sym_LBRACK_LT] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_type] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2022),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
    [sym__dedent] = ACTIONS(2000),
  },
  [709] = {
    [sym_xml_doc] = STATE(709),
    [sym_block_comment] = STATE(709),
    [aux_sym_int_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_module] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_POUNDnowarn] = ACTIONS(2006),
    [anon_sym_POUNDr] = ACTIONS(2006),
    [anon_sym_POUNDload] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2008),
    [anon_sym_LBRACK_LT] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_type] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2030),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
    [sym__dedent] = ACTIONS(2006),
  },
  [710] = {
    [sym_xml_doc] = STATE(710),
    [sym_block_comment] = STATE(710),
    [aux_sym_int_repeat1] = STATE(711),
    [ts_builtin_sym_end] = ACTIONS(2013),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_module] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_POUNDnowarn] = ACTIONS(2013),
    [anon_sym_POUNDr] = ACTIONS(2013),
    [anon_sym_POUNDload] = ACTIONS(2013),
    [anon_sym_open] = ACTIONS(2015),
    [anon_sym_LBRACK_LT] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_type] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2024),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
  },
  [711] = {
    [sym_xml_doc] = STATE(711),
    [sym_block_comment] = STATE(711),
    [aux_sym_int_repeat1] = STATE(711),
    [ts_builtin_sym_end] = ACTIONS(2006),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_module] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_POUNDnowarn] = ACTIONS(2006),
    [anon_sym_POUNDr] = ACTIONS(2006),
    [anon_sym_POUNDload] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2008),
    [anon_sym_LBRACK_LT] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_type] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
  },
  [712] = {
    [sym_xml_doc] = STATE(712),
    [sym_block_comment] = STATE(712),
    [ts_builtin_sym_end] = ACTIONS(2036),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_namespace] = ACTIONS(2038),
    [anon_sym_module] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_POUNDnowarn] = ACTIONS(2036),
    [anon_sym_POUNDr] = ACTIONS(2036),
    [anon_sym_POUNDload] = ACTIONS(2036),
    [anon_sym_open] = ACTIONS(2038),
    [anon_sym_LBRACK_LT] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_type] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2040),
    [anon_sym_uy] = ACTIONS(2042),
    [anon_sym_s] = ACTIONS(2044),
    [anon_sym_us] = ACTIONS(2046),
    [anon_sym_l] = ACTIONS(2048),
    [aux_sym_uint32_token1] = ACTIONS(2050),
    [anon_sym_n] = ACTIONS(2052),
    [anon_sym_un] = ACTIONS(2054),
    [anon_sym_L] = ACTIONS(2056),
    [aux_sym_uint64_token1] = ACTIONS(2058),
    [aux_sym_bignum_token1] = ACTIONS(2060),
    [aux_sym_decimal_token1] = ACTIONS(2062),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [713] = {
    [sym_xml_doc] = STATE(713),
    [sym_block_comment] = STATE(713),
    [ts_builtin_sym_end] = ACTIONS(2026),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_module] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_POUNDnowarn] = ACTIONS(2026),
    [anon_sym_POUNDr] = ACTIONS(2026),
    [anon_sym_POUNDload] = ACTIONS(2026),
    [anon_sym_open] = ACTIONS(2028),
    [anon_sym_LBRACK_LT] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_type] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
  },
  [714] = {
    [sym_xml_doc] = STATE(714),
    [sym_block_comment] = STATE(714),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_GT_RBRACK] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_RBRACK] = ACTIONS(2026),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_with] = ACTIONS(2028),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_to] = ACTIONS(2028),
    [anon_sym_downto] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_end] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_DOT_DOT2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
  },
  [715] = {
    [sym_xml_doc] = STATE(715),
    [sym_block_comment] = STATE(715),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_module] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_POUNDnowarn] = ACTIONS(2026),
    [anon_sym_POUNDr] = ACTIONS(2026),
    [anon_sym_POUNDload] = ACTIONS(2026),
    [anon_sym_open] = ACTIONS(2028),
    [anon_sym_LBRACK_LT] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_type] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
    [sym__dedent] = ACTIONS(2026),
  },
  [716] = {
    [sym_xml_doc] = STATE(716),
    [sym_block_comment] = STATE(716),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_GT_RBRACK] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_RBRACK] = ACTIONS(2036),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_RBRACE] = ACTIONS(2036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_to] = ACTIONS(2038),
    [anon_sym_downto] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_DOT_DOT2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2068),
    [anon_sym_uy] = ACTIONS(2070),
    [anon_sym_s] = ACTIONS(2072),
    [anon_sym_us] = ACTIONS(2074),
    [anon_sym_l] = ACTIONS(2076),
    [aux_sym_uint32_token1] = ACTIONS(2078),
    [anon_sym_n] = ACTIONS(2080),
    [anon_sym_un] = ACTIONS(2082),
    [anon_sym_L] = ACTIONS(2084),
    [aux_sym_uint64_token1] = ACTIONS(2086),
    [aux_sym_bignum_token1] = ACTIONS(2088),
    [aux_sym_decimal_token1] = ACTIONS(2090),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [717] = {
    [sym_xml_doc] = STATE(717),
    [sym_block_comment] = STATE(717),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_module] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_POUNDnowarn] = ACTIONS(2036),
    [anon_sym_POUNDr] = ACTIONS(2036),
    [anon_sym_POUNDload] = ACTIONS(2036),
    [anon_sym_open] = ACTIONS(2038),
    [anon_sym_LBRACK_LT] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_type] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2092),
    [anon_sym_uy] = ACTIONS(2094),
    [anon_sym_s] = ACTIONS(2096),
    [anon_sym_us] = ACTIONS(2098),
    [anon_sym_l] = ACTIONS(2100),
    [aux_sym_uint32_token1] = ACTIONS(2102),
    [anon_sym_n] = ACTIONS(2104),
    [anon_sym_un] = ACTIONS(2106),
    [anon_sym_L] = ACTIONS(2108),
    [aux_sym_uint64_token1] = ACTIONS(2110),
    [aux_sym_bignum_token1] = ACTIONS(2112),
    [aux_sym_decimal_token1] = ACTIONS(2114),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__dedent] = ACTIONS(2036),
  },
  [718] = {
    [sym_xml_doc] = STATE(718),
    [sym_block_comment] = STATE(718),
    [ts_builtin_sym_end] = ACTIONS(2036),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_module] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_POUNDnowarn] = ACTIONS(2036),
    [anon_sym_POUNDr] = ACTIONS(2036),
    [anon_sym_POUNDload] = ACTIONS(2036),
    [anon_sym_open] = ACTIONS(2038),
    [anon_sym_LBRACK_LT] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_type] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2040),
    [anon_sym_uy] = ACTIONS(2042),
    [anon_sym_s] = ACTIONS(2044),
    [anon_sym_us] = ACTIONS(2046),
    [anon_sym_l] = ACTIONS(2048),
    [aux_sym_uint32_token1] = ACTIONS(2050),
    [anon_sym_n] = ACTIONS(2052),
    [anon_sym_un] = ACTIONS(2054),
    [anon_sym_L] = ACTIONS(2056),
    [aux_sym_uint64_token1] = ACTIONS(2058),
    [aux_sym_bignum_token1] = ACTIONS(2060),
    [aux_sym_decimal_token1] = ACTIONS(2062),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [719] = {
    [sym_xml_doc] = STATE(719),
    [sym_block_comment] = STATE(719),
    [aux_sym_int_repeat1] = STATE(722),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2116),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
    [sym__dedent] = ACTIONS(2013),
    [sym__else] = ACTIONS(2013),
    [sym__elif] = ACTIONS(2013),
  },
  [720] = {
    [sym_xml_doc] = STATE(720),
    [sym_block_comment] = STATE(720),
    [aux_sym_int_repeat1] = STATE(727),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_as] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_with] = ACTIONS(2015),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2118),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
    [sym__dedent] = ACTIONS(2013),
  },
  [721] = {
    [sym_xml_doc] = STATE(721),
    [sym_block_comment] = STATE(721),
    [aux_sym_int_repeat1] = STATE(724),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_with] = ACTIONS(2015),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_DOT_DOT2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2120),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
    [sym__dedent] = ACTIONS(2013),
  },
  [722] = {
    [sym_xml_doc] = STATE(722),
    [sym_block_comment] = STATE(722),
    [aux_sym_int_repeat1] = STATE(722),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2122),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
    [sym__dedent] = ACTIONS(2006),
    [sym__else] = ACTIONS(2006),
    [sym__elif] = ACTIONS(2006),
  },
  [723] = {
    [sym_xml_doc] = STATE(723),
    [sym_block_comment] = STATE(723),
    [aux_sym_int_repeat1] = STATE(720),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_as] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_with] = ACTIONS(2002),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2118),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
    [sym__dedent] = ACTIONS(2000),
  },
  [724] = {
    [sym_xml_doc] = STATE(724),
    [sym_block_comment] = STATE(724),
    [aux_sym_int_repeat1] = STATE(724),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_with] = ACTIONS(2008),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_DOT_DOT2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2125),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
    [sym__dedent] = ACTIONS(2006),
  },
  [725] = {
    [sym_xml_doc] = STATE(725),
    [sym_block_comment] = STATE(725),
    [aux_sym_int_repeat1] = STATE(721),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_with] = ACTIONS(2002),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_DOT_DOT2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2120),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
    [sym__dedent] = ACTIONS(2000),
  },
  [726] = {
    [sym_xml_doc] = STATE(726),
    [sym_block_comment] = STATE(726),
    [aux_sym_int_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2116),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
    [sym__dedent] = ACTIONS(2000),
    [sym__else] = ACTIONS(2000),
    [sym__elif] = ACTIONS(2000),
  },
  [727] = {
    [sym_xml_doc] = STATE(727),
    [sym_block_comment] = STATE(727),
    [aux_sym_int_repeat1] = STATE(727),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_as] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_with] = ACTIONS(2008),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2128),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
    [sym__dedent] = ACTIONS(2006),
  },
  [728] = {
    [sym_xml_doc] = STATE(728),
    [sym_block_comment] = STATE(728),
    [aux_sym_int_repeat1] = STATE(728),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2131),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
    [sym__else] = ACTIONS(2006),
    [sym__elif] = ACTIONS(2006),
  },
  [729] = {
    [sym_xml_doc] = STATE(729),
    [sym_block_comment] = STATE(729),
    [aux_sym_int_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_as] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_with] = ACTIONS(2002),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2134),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
  },
  [730] = {
    [sym_xml_doc] = STATE(730),
    [sym_block_comment] = STATE(730),
    [aux_sym_int_repeat1] = STATE(730),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_as] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_with] = ACTIONS(2008),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2136),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
  },
  [731] = {
    [sym_xml_doc] = STATE(731),
    [sym_block_comment] = STATE(731),
    [aux_sym_int_repeat1] = STATE(730),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_as] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_with] = ACTIONS(2015),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2134),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
  },
  [732] = {
    [sym_xml_doc] = STATE(732),
    [sym_block_comment] = STATE(732),
    [aux_sym_int_repeat1] = STATE(734),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2139),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
    [sym__else] = ACTIONS(2000),
    [sym__elif] = ACTIONS(2000),
  },
  [733] = {
    [sym_xml_doc] = STATE(733),
    [sym_block_comment] = STATE(733),
    [aux_sym_int_repeat1] = STATE(736),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_DASH_GT] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_DOT_DOT] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2141),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
  },
  [734] = {
    [sym_xml_doc] = STATE(734),
    [sym_block_comment] = STATE(734),
    [aux_sym_int_repeat1] = STATE(728),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2139),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
    [sym__else] = ACTIONS(2013),
    [sym__elif] = ACTIONS(2013),
  },
  [735] = {
    [sym_xml_doc] = STATE(735),
    [sym_block_comment] = STATE(735),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_as] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_with] = ACTIONS(2028),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
    [sym__dedent] = ACTIONS(2026),
  },
  [736] = {
    [sym_xml_doc] = STATE(736),
    [sym_block_comment] = STATE(736),
    [aux_sym_int_repeat1] = STATE(736),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_DASH_GT] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_DOT_DOT] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2143),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
  },
  [737] = {
    [sym_xml_doc] = STATE(737),
    [sym_block_comment] = STATE(737),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_with] = ACTIONS(2028),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_DOT_DOT2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
    [sym__dedent] = ACTIONS(2026),
  },
  [738] = {
    [sym_xml_doc] = STATE(738),
    [sym_block_comment] = STATE(738),
    [aux_sym_int_repeat1] = STATE(733),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_DASH_GT] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2141),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
  },
  [739] = {
    [sym_xml_doc] = STATE(739),
    [sym_block_comment] = STATE(739),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
    [sym__dedent] = ACTIONS(2026),
    [sym__else] = ACTIONS(2026),
    [sym__elif] = ACTIONS(2026),
  },
  [740] = {
    [sym_xml_doc] = STATE(740),
    [sym_block_comment] = STATE(740),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
    [sym__else] = ACTIONS(2026),
    [sym__elif] = ACTIONS(2026),
  },
  [741] = {
    [sym_type_arguments] = STATE(798),
    [sym_long_identifier] = STATE(795),
    [sym_xml_doc] = STATE(741),
    [sym_block_comment] = STATE(741),
    [aux_sym__compound_type_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(2146),
    [anon_sym_module] = ACTIONS(2148),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_POUNDnowarn] = ACTIONS(2150),
    [anon_sym_POUNDr] = ACTIONS(2150),
    [anon_sym_POUNDload] = ACTIONS(2150),
    [anon_sym_open] = ACTIONS(2148),
    [anon_sym_LBRACK_LT] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_type] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_with] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_DOT_DOT2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_LT2] = ACTIONS(2156),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
    [sym__dedent] = ACTIONS(2150),
  },
  [742] = {
    [sym_xml_doc] = STATE(742),
    [sym_block_comment] = STATE(742),
    [aux_sym_int_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_DOT_DOT] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2160),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
  },
  [743] = {
    [sym_xml_doc] = STATE(743),
    [sym_block_comment] = STATE(743),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_as] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2162),
    [anon_sym_uy] = ACTIONS(2164),
    [anon_sym_s] = ACTIONS(2166),
    [anon_sym_us] = ACTIONS(2168),
    [anon_sym_l] = ACTIONS(2170),
    [aux_sym_uint32_token1] = ACTIONS(2172),
    [anon_sym_n] = ACTIONS(2174),
    [anon_sym_un] = ACTIONS(2176),
    [anon_sym_L] = ACTIONS(2178),
    [aux_sym_uint64_token1] = ACTIONS(2180),
    [aux_sym_bignum_token1] = ACTIONS(2182),
    [aux_sym_decimal_token1] = ACTIONS(2184),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__dedent] = ACTIONS(2036),
  },
  [744] = {
    [sym_xml_doc] = STATE(744),
    [sym_block_comment] = STATE(744),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_DOT_DOT2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2092),
    [anon_sym_uy] = ACTIONS(2094),
    [anon_sym_s] = ACTIONS(2096),
    [anon_sym_us] = ACTIONS(2098),
    [anon_sym_l] = ACTIONS(2100),
    [aux_sym_uint32_token1] = ACTIONS(2102),
    [anon_sym_n] = ACTIONS(2104),
    [anon_sym_un] = ACTIONS(2106),
    [anon_sym_L] = ACTIONS(2108),
    [aux_sym_uint64_token1] = ACTIONS(2110),
    [aux_sym_bignum_token1] = ACTIONS(2112),
    [aux_sym_decimal_token1] = ACTIONS(2114),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__dedent] = ACTIONS(2036),
  },
  [745] = {
    [sym_xml_doc] = STATE(745),
    [sym_block_comment] = STATE(745),
    [aux_sym_int_repeat1] = STATE(753),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2186),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
    [sym__then] = ACTIONS(2000),
  },
  [746] = {
    [sym_xml_doc] = STATE(746),
    [sym_block_comment] = STATE(746),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_as] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_with] = ACTIONS(2028),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
  },
  [747] = {
    [sym_type_arguments] = STATE(798),
    [sym_long_identifier] = STATE(795),
    [sym_xml_doc] = STATE(747),
    [sym_block_comment] = STATE(747),
    [aux_sym__compound_type_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_POUNDnowarn] = ACTIONS(2190),
    [anon_sym_POUNDr] = ACTIONS(2190),
    [anon_sym_POUNDload] = ACTIONS(2190),
    [anon_sym_open] = ACTIONS(2188),
    [anon_sym_LBRACK_LT] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_type] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2188),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_DOT_DOT2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_LT2] = ACTIONS(2156),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
    [sym__dedent] = ACTIONS(2190),
  },
  [748] = {
    [sym_type_arguments] = STATE(798),
    [sym_long_identifier] = STATE(795),
    [sym_xml_doc] = STATE(748),
    [sym_block_comment] = STATE(748),
    [aux_sym__compound_type_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(2146),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_POUNDnowarn] = ACTIONS(2194),
    [anon_sym_POUNDr] = ACTIONS(2194),
    [anon_sym_POUNDload] = ACTIONS(2194),
    [anon_sym_open] = ACTIONS(2192),
    [anon_sym_LBRACK_LT] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_DOT_DOT2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_LT2] = ACTIONS(2156),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
    [sym__dedent] = ACTIONS(2194),
  },
  [749] = {
    [sym_xml_doc] = STATE(749),
    [sym_block_comment] = STATE(749),
    [aux_sym_int_repeat1] = STATE(749),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2196),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
    [sym__then] = ACTIONS(2006),
  },
  [750] = {
    [sym_xml_doc] = STATE(750),
    [sym_block_comment] = STATE(750),
    [aux_sym_int_repeat1] = STATE(742),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_let] = ACTIONS(2002),
    [anon_sym_let_BANG] = ACTIONS(2000),
    [anon_sym_null] = ACTIONS(2002),
    [anon_sym_QMARK] = ACTIONS(2002),
    [anon_sym_COLON_QMARK] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_return_BANG] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_yield_BANG] = ACTIONS(2000),
    [anon_sym_lazy] = ACTIONS(2002),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_upcast] = ACTIONS(2002),
    [anon_sym_downcast] = ACTIONS(2002),
    [anon_sym_LT_AT] = ACTIONS(2002),
    [anon_sym_AT_GT] = ACTIONS(2000),
    [anon_sym_LT_AT_AT] = ACTIONS(2002),
    [anon_sym_AT_AT_GT] = ACTIONS(2000),
    [anon_sym_COLON_GT] = ACTIONS(2000),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_fun] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_match] = ACTIONS(2002),
    [anon_sym_match_BANG] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2002),
    [anon_sym_LT_DASH] = ACTIONS(2002),
    [anon_sym_DOT_LBRACK] = ACTIONS(2000),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2002),
    [anon_sym_use_BANG] = ACTIONS(2000),
    [anon_sym_do_BANG] = ACTIONS(2000),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_or] = ACTIONS(2002),
    [sym__digit_char_imm] = ACTIONS(2160),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_AT_DQUOTE] = ACTIONS(2000),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [sym_bool] = ACTIONS(2002),
    [sym_unit] = ACTIONS(2002),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2002),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_PLUS_DOT] = ACTIONS(2002),
    [anon_sym_DASH_DOT] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2000),
    [aux_sym_prefix_op_token1] = ACTIONS(2000),
    [aux_sym_infix_op_token1] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_COLON_EQ] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2002),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2000),
    [aux_sym_int_token1] = ACTIONS(2002),
    [aux_sym_xint_token1] = ACTIONS(2000),
    [aux_sym_xint_token2] = ACTIONS(2000),
    [aux_sym_xint_token3] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2002),
    [anon_sym_uy] = ACTIONS(2002),
    [anon_sym_s] = ACTIONS(2002),
    [anon_sym_us] = ACTIONS(2002),
    [anon_sym_l] = ACTIONS(2002),
    [aux_sym_uint32_token1] = ACTIONS(2002),
    [anon_sym_n] = ACTIONS(2002),
    [anon_sym_un] = ACTIONS(2002),
    [anon_sym_L] = ACTIONS(2002),
    [aux_sym_uint64_token1] = ACTIONS(2002),
    [aux_sym_bignum_token1] = ACTIONS(2002),
    [aux_sym_decimal_token1] = ACTIONS(2002),
    [anon_sym_DOT2] = ACTIONS(2002),
    [aux_sym_float_token1] = ACTIONS(2002),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2000),
  },
  [751] = {
    [sym_xml_doc] = STATE(751),
    [sym_block_comment] = STATE(751),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2199),
    [anon_sym_uy] = ACTIONS(2201),
    [anon_sym_s] = ACTIONS(2203),
    [anon_sym_us] = ACTIONS(2205),
    [anon_sym_l] = ACTIONS(2207),
    [aux_sym_uint32_token1] = ACTIONS(2209),
    [anon_sym_n] = ACTIONS(2211),
    [anon_sym_un] = ACTIONS(2213),
    [anon_sym_L] = ACTIONS(2215),
    [aux_sym_uint64_token1] = ACTIONS(2217),
    [aux_sym_bignum_token1] = ACTIONS(2219),
    [aux_sym_decimal_token1] = ACTIONS(2221),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__dedent] = ACTIONS(2036),
    [sym__else] = ACTIONS(2036),
    [sym__elif] = ACTIONS(2036),
  },
  [752] = {
    [sym_xml_doc] = STATE(752),
    [sym_block_comment] = STATE(752),
    [aux_sym_int_repeat1] = STATE(752),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_let_BANG] = ACTIONS(2006),
    [anon_sym_null] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_COLON_QMARK] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_return_BANG] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_yield_BANG] = ACTIONS(2006),
    [anon_sym_lazy] = ACTIONS(2008),
    [anon_sym_assert] = ACTIONS(2008),
    [anon_sym_upcast] = ACTIONS(2008),
    [anon_sym_downcast] = ACTIONS(2008),
    [anon_sym_LT_AT] = ACTIONS(2008),
    [anon_sym_AT_GT] = ACTIONS(2006),
    [anon_sym_LT_AT_AT] = ACTIONS(2008),
    [anon_sym_AT_AT_GT] = ACTIONS(2006),
    [anon_sym_COLON_GT] = ACTIONS(2006),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_fun] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_match_BANG] = ACTIONS(2006),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_LT_DASH] = ACTIONS(2008),
    [anon_sym_DOT_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_use_BANG] = ACTIONS(2006),
    [anon_sym_do_BANG] = ACTIONS(2006),
    [anon_sym_DOT_DOT] = ACTIONS(2006),
    [anon_sym_begin] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [anon_sym_or] = ACTIONS(2008),
    [sym__digit_char_imm] = ACTIONS(2223),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2008),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [anon_sym_AT_DQUOTE] = ACTIONS(2006),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2006),
    [sym_bool] = ACTIONS(2008),
    [sym_unit] = ACTIONS(2008),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2008),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_PLUS_DOT] = ACTIONS(2008),
    [anon_sym_DASH_DOT] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2006),
    [aux_sym_prefix_op_token1] = ACTIONS(2006),
    [aux_sym_infix_op_token1] = ACTIONS(2008),
    [anon_sym_PIPE_PIPE] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_COLON_EQ] = ACTIONS(2006),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2006),
    [aux_sym_int_token1] = ACTIONS(2008),
    [aux_sym_xint_token1] = ACTIONS(2006),
    [aux_sym_xint_token2] = ACTIONS(2006),
    [aux_sym_xint_token3] = ACTIONS(2006),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_uy] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_us] = ACTIONS(2008),
    [anon_sym_l] = ACTIONS(2008),
    [aux_sym_uint32_token1] = ACTIONS(2008),
    [anon_sym_n] = ACTIONS(2008),
    [anon_sym_un] = ACTIONS(2008),
    [anon_sym_L] = ACTIONS(2008),
    [aux_sym_uint64_token1] = ACTIONS(2008),
    [aux_sym_bignum_token1] = ACTIONS(2008),
    [aux_sym_decimal_token1] = ACTIONS(2008),
    [anon_sym_DOT2] = ACTIONS(2008),
    [aux_sym_float_token1] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2006),
  },
  [753] = {
    [sym_xml_doc] = STATE(753),
    [sym_block_comment] = STATE(753),
    [aux_sym_int_repeat1] = STATE(749),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_return] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2015),
    [anon_sym_let] = ACTIONS(2015),
    [anon_sym_let_BANG] = ACTIONS(2013),
    [anon_sym_null] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_COLON_QMARK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_AMP] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2015),
    [anon_sym_return_BANG] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2015),
    [anon_sym_yield_BANG] = ACTIONS(2013),
    [anon_sym_lazy] = ACTIONS(2015),
    [anon_sym_assert] = ACTIONS(2015),
    [anon_sym_upcast] = ACTIONS(2015),
    [anon_sym_downcast] = ACTIONS(2015),
    [anon_sym_LT_AT] = ACTIONS(2015),
    [anon_sym_AT_GT] = ACTIONS(2013),
    [anon_sym_LT_AT_AT] = ACTIONS(2015),
    [anon_sym_AT_AT_GT] = ACTIONS(2013),
    [anon_sym_COLON_GT] = ACTIONS(2013),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_fun] = ACTIONS(2015),
    [anon_sym_try] = ACTIONS(2015),
    [anon_sym_match] = ACTIONS(2015),
    [anon_sym_match_BANG] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2015),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_DOT_LBRACK] = ACTIONS(2013),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2015),
    [anon_sym_use_BANG] = ACTIONS(2013),
    [anon_sym_do_BANG] = ACTIONS(2013),
    [anon_sym_begin] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(2013),
    [anon_sym_SQUOTE] = ACTIONS(2013),
    [anon_sym_or] = ACTIONS(2015),
    [sym__digit_char_imm] = ACTIONS(2186),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_AT_DQUOTE] = ACTIONS(2013),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2013),
    [sym_bool] = ACTIONS(2015),
    [sym_unit] = ACTIONS(2015),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2015),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS_DOT] = ACTIONS(2015),
    [anon_sym_DASH_DOT] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [aux_sym_prefix_op_token1] = ACTIONS(2013),
    [aux_sym_infix_op_token1] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_COLON_EQ] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2015),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2013),
    [aux_sym_int_token1] = ACTIONS(2015),
    [aux_sym_xint_token1] = ACTIONS(2013),
    [aux_sym_xint_token2] = ACTIONS(2013),
    [aux_sym_xint_token3] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2015),
    [anon_sym_uy] = ACTIONS(2015),
    [anon_sym_s] = ACTIONS(2015),
    [anon_sym_us] = ACTIONS(2015),
    [anon_sym_l] = ACTIONS(2015),
    [aux_sym_uint32_token1] = ACTIONS(2015),
    [anon_sym_n] = ACTIONS(2015),
    [anon_sym_un] = ACTIONS(2015),
    [anon_sym_L] = ACTIONS(2015),
    [aux_sym_uint64_token1] = ACTIONS(2015),
    [aux_sym_bignum_token1] = ACTIONS(2015),
    [aux_sym_decimal_token1] = ACTIONS(2015),
    [anon_sym_DOT2] = ACTIONS(2015),
    [aux_sym_float_token1] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2013),
    [sym__then] = ACTIONS(2013),
  },
  [754] = {
    [sym_type_arguments] = STATE(798),
    [sym_long_identifier] = STATE(795),
    [sym_xml_doc] = STATE(754),
    [sym_block_comment] = STATE(754),
    [aux_sym__compound_type_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(2146),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_POUNDnowarn] = ACTIONS(2228),
    [anon_sym_POUNDr] = ACTIONS(2228),
    [anon_sym_POUNDload] = ACTIONS(2228),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_LBRACK_LT] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_type] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_DOT_DOT2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_LT2] = ACTIONS(2156),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
    [sym__dedent] = ACTIONS(2228),
  },
  [755] = {
    [sym_type_arguments] = STATE(798),
    [sym_long_identifier] = STATE(795),
    [sym_xml_doc] = STATE(755),
    [sym_block_comment] = STATE(755),
    [aux_sym__compound_type_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(2146),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_POUNDnowarn] = ACTIONS(2232),
    [anon_sym_POUNDr] = ACTIONS(2232),
    [anon_sym_POUNDload] = ACTIONS(2232),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_LBRACK_LT] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_DOT_DOT2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_LT2] = ACTIONS(2156),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__dedent] = ACTIONS(2232),
  },
  [756] = {
    [sym_xml_doc] = STATE(756),
    [sym_block_comment] = STATE(756),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_DASH_GT] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_DOT_DOT] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
  },
  [757] = {
    [sym_type_arguments] = STATE(818),
    [sym_long_identifier] = STATE(819),
    [sym_xml_doc] = STATE(757),
    [sym_block_comment] = STATE(757),
    [aux_sym__compound_type_repeat1] = STATE(791),
    [ts_builtin_sym_end] = ACTIONS(2190),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_namespace] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_POUNDnowarn] = ACTIONS(2190),
    [anon_sym_POUNDr] = ACTIONS(2190),
    [anon_sym_POUNDload] = ACTIONS(2190),
    [anon_sym_open] = ACTIONS(2188),
    [anon_sym_LBRACK_LT] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_type] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_LT2] = ACTIONS(2238),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
  },
  [758] = {
    [sym_xml_doc] = STATE(758),
    [sym_block_comment] = STATE(758),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_as] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2242),
    [anon_sym_uy] = ACTIONS(2244),
    [anon_sym_s] = ACTIONS(2246),
    [anon_sym_us] = ACTIONS(2248),
    [anon_sym_l] = ACTIONS(2250),
    [aux_sym_uint32_token1] = ACTIONS(2252),
    [anon_sym_n] = ACTIONS(2254),
    [anon_sym_un] = ACTIONS(2256),
    [anon_sym_L] = ACTIONS(2258),
    [aux_sym_uint64_token1] = ACTIONS(2260),
    [aux_sym_bignum_token1] = ACTIONS(2262),
    [aux_sym_decimal_token1] = ACTIONS(2264),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [759] = {
    [sym_xml_doc] = STATE(759),
    [sym_block_comment] = STATE(759),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
    [sym__then] = ACTIONS(2026),
  },
  [760] = {
    [sym_type_arguments] = STATE(818),
    [sym_long_identifier] = STATE(819),
    [sym_xml_doc] = STATE(760),
    [sym_block_comment] = STATE(760),
    [aux_sym__compound_type_repeat1] = STATE(791),
    [ts_builtin_sym_end] = ACTIONS(2228),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2226),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_POUNDnowarn] = ACTIONS(2228),
    [anon_sym_POUNDr] = ACTIONS(2228),
    [anon_sym_POUNDload] = ACTIONS(2228),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_LBRACK_LT] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_type] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_LT2] = ACTIONS(2238),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
  },
  [761] = {
    [sym_type_arguments] = STATE(818),
    [sym_long_identifier] = STATE(819),
    [sym_xml_doc] = STATE(761),
    [sym_block_comment] = STATE(761),
    [aux_sym__compound_type_repeat1] = STATE(791),
    [ts_builtin_sym_end] = ACTIONS(2150),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2148),
    [anon_sym_module] = ACTIONS(2148),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_POUNDnowarn] = ACTIONS(2150),
    [anon_sym_POUNDr] = ACTIONS(2150),
    [anon_sym_POUNDload] = ACTIONS(2150),
    [anon_sym_open] = ACTIONS(2148),
    [anon_sym_LBRACK_LT] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_type] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_LT2] = ACTIONS(2238),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
  },
  [762] = {
    [sym_xml_doc] = STATE(762),
    [sym_block_comment] = STATE(762),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2268),
    [anon_sym_uy] = ACTIONS(2270),
    [anon_sym_s] = ACTIONS(2272),
    [anon_sym_us] = ACTIONS(2274),
    [anon_sym_l] = ACTIONS(2276),
    [aux_sym_uint32_token1] = ACTIONS(2278),
    [anon_sym_n] = ACTIONS(2280),
    [anon_sym_un] = ACTIONS(2282),
    [anon_sym_L] = ACTIONS(2284),
    [aux_sym_uint64_token1] = ACTIONS(2286),
    [aux_sym_bignum_token1] = ACTIONS(2288),
    [aux_sym_decimal_token1] = ACTIONS(2290),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__else] = ACTIONS(2036),
    [sym__elif] = ACTIONS(2036),
  },
  [763] = {
    [sym_xml_doc] = STATE(763),
    [sym_block_comment] = STATE(763),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_DASH_GT] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2292),
    [anon_sym_uy] = ACTIONS(2294),
    [anon_sym_s] = ACTIONS(2296),
    [anon_sym_us] = ACTIONS(2298),
    [anon_sym_l] = ACTIONS(2300),
    [aux_sym_uint32_token1] = ACTIONS(2302),
    [anon_sym_n] = ACTIONS(2304),
    [anon_sym_un] = ACTIONS(2306),
    [anon_sym_L] = ACTIONS(2308),
    [aux_sym_uint64_token1] = ACTIONS(2310),
    [aux_sym_bignum_token1] = ACTIONS(2312),
    [aux_sym_decimal_token1] = ACTIONS(2314),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [764] = {
    [sym_type_arguments] = STATE(818),
    [sym_long_identifier] = STATE(819),
    [sym_xml_doc] = STATE(764),
    [sym_block_comment] = STATE(764),
    [aux_sym__compound_type_repeat1] = STATE(791),
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_POUNDnowarn] = ACTIONS(2232),
    [anon_sym_POUNDr] = ACTIONS(2232),
    [anon_sym_POUNDload] = ACTIONS(2232),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_LBRACK_LT] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_LT2] = ACTIONS(2238),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
  },
  [765] = {
    [sym_xml_doc] = STATE(765),
    [sym_block_comment] = STATE(765),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_COLON] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_let_BANG] = ACTIONS(2026),
    [anon_sym_null] = ACTIONS(2028),
    [anon_sym_QMARK] = ACTIONS(2028),
    [anon_sym_COLON_QMARK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2026),
    [anon_sym_new] = ACTIONS(2028),
    [anon_sym_return_BANG] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_yield_BANG] = ACTIONS(2026),
    [anon_sym_lazy] = ACTIONS(2028),
    [anon_sym_assert] = ACTIONS(2028),
    [anon_sym_upcast] = ACTIONS(2028),
    [anon_sym_downcast] = ACTIONS(2028),
    [anon_sym_LT_AT] = ACTIONS(2028),
    [anon_sym_AT_GT] = ACTIONS(2026),
    [anon_sym_LT_AT_AT] = ACTIONS(2028),
    [anon_sym_AT_AT_GT] = ACTIONS(2026),
    [anon_sym_COLON_GT] = ACTIONS(2026),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2026),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_fun] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_match_BANG] = ACTIONS(2026),
    [anon_sym_function] = ACTIONS(2028),
    [anon_sym_LT_DASH] = ACTIONS(2028),
    [anon_sym_DOT_LBRACK] = ACTIONS(2026),
    [anon_sym_DOT] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_use_BANG] = ACTIONS(2026),
    [anon_sym_do_BANG] = ACTIONS(2026),
    [anon_sym_DOT_DOT] = ACTIONS(2026),
    [anon_sym_begin] = ACTIONS(2028),
    [anon_sym_LPAREN2] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2026),
    [anon_sym_or] = ACTIONS(2028),
    [sym__digit_char_imm] = ACTIONS(2028),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2028),
    [anon_sym_DQUOTE] = ACTIONS(2028),
    [anon_sym_AT_DQUOTE] = ACTIONS(2026),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2026),
    [sym_bool] = ACTIONS(2028),
    [sym_unit] = ACTIONS(2028),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2028),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_PLUS_DOT] = ACTIONS(2028),
    [anon_sym_DASH_DOT] = ACTIONS(2028),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_AMP_AMP] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2026),
    [aux_sym_prefix_op_token1] = ACTIONS(2026),
    [aux_sym_infix_op_token1] = ACTIONS(2028),
    [anon_sym_PIPE_PIPE] = ACTIONS(2028),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_COLON_EQ] = ACTIONS(2026),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2026),
    [aux_sym_int_token1] = ACTIONS(2028),
    [aux_sym_xint_token1] = ACTIONS(2026),
    [aux_sym_xint_token2] = ACTIONS(2026),
    [aux_sym_xint_token3] = ACTIONS(2026),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_uy] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_us] = ACTIONS(2028),
    [anon_sym_l] = ACTIONS(2028),
    [aux_sym_uint32_token1] = ACTIONS(2028),
    [anon_sym_n] = ACTIONS(2028),
    [anon_sym_un] = ACTIONS(2028),
    [anon_sym_L] = ACTIONS(2028),
    [aux_sym_uint64_token1] = ACTIONS(2028),
    [aux_sym_bignum_token1] = ACTIONS(2028),
    [aux_sym_decimal_token1] = ACTIONS(2028),
    [anon_sym_DOT2] = ACTIONS(2028),
    [aux_sym_float_token1] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2026),
  },
  [766] = {
    [sym_type_arguments] = STATE(818),
    [sym_long_identifier] = STATE(819),
    [sym_xml_doc] = STATE(766),
    [sym_block_comment] = STATE(766),
    [aux_sym__compound_type_repeat1] = STATE(791),
    [ts_builtin_sym_end] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_POUNDnowarn] = ACTIONS(2194),
    [anon_sym_POUNDr] = ACTIONS(2194),
    [anon_sym_POUNDload] = ACTIONS(2194),
    [anon_sym_open] = ACTIONS(2192),
    [anon_sym_LBRACK_LT] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_LT2] = ACTIONS(2238),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2240),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
  },
  [767] = {
    [sym_xml_doc] = STATE(767),
    [sym_block_comment] = STATE(767),
    [aux_sym_long_identifier_repeat1] = STATE(767),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_DOT_DOT2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [768] = {
    [sym_type_arguments] = STATE(837),
    [sym_long_identifier] = STATE(828),
    [sym_xml_doc] = STATE(768),
    [sym_block_comment] = STATE(768),
    [aux_sym__compound_type_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_GT_RBRACK] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_RBRACK] = ACTIONS(2228),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_to] = ACTIONS(2226),
    [anon_sym_downto] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_end] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_DOT_DOT2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2327),
    [anon_sym_LT2] = ACTIONS(2329),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
  },
  [769] = {
    [sym_type_arguments] = STATE(837),
    [sym_long_identifier] = STATE(828),
    [sym_xml_doc] = STATE(769),
    [sym_block_comment] = STATE(769),
    [aux_sym__compound_type_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_GT_RBRACK] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_RBRACK] = ACTIONS(2232),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_to] = ACTIONS(2230),
    [anon_sym_downto] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_end] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_DOT_DOT2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2327),
    [anon_sym_LT2] = ACTIONS(2329),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
  },
  [770] = {
    [sym_type_arguments] = STATE(837),
    [sym_long_identifier] = STATE(828),
    [sym_xml_doc] = STATE(770),
    [sym_block_comment] = STATE(770),
    [aux_sym__compound_type_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_GT_RBRACK] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_RBRACK] = ACTIONS(2150),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(2150),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_with] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_to] = ACTIONS(2148),
    [anon_sym_downto] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_end] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_DOT_DOT2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2327),
    [anon_sym_LT2] = ACTIONS(2329),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
  },
  [771] = {
    [sym_type_arguments] = STATE(837),
    [sym_long_identifier] = STATE(828),
    [sym_xml_doc] = STATE(771),
    [sym_block_comment] = STATE(771),
    [aux_sym__compound_type_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_GT_RBRACK] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2190),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2188),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_to] = ACTIONS(2188),
    [anon_sym_downto] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_DOT_DOT2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2327),
    [anon_sym_LT2] = ACTIONS(2329),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
  },
  [772] = {
    [sym_type_arguments] = STATE(837),
    [sym_long_identifier] = STATE(828),
    [sym_xml_doc] = STATE(772),
    [sym_block_comment] = STATE(772),
    [aux_sym__compound_type_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_GT_RBRACK] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_RBRACK] = ACTIONS(2194),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_to] = ACTIONS(2192),
    [anon_sym_downto] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_end] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_DOT_DOT2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2327),
    [anon_sym_LT2] = ACTIONS(2329),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
  },
  [773] = {
    [sym_xml_doc] = STATE(773),
    [sym_block_comment] = STATE(773),
    [aux_sym__compound_type_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_POUNDnowarn] = ACTIONS(2335),
    [anon_sym_POUNDr] = ACTIONS(2335),
    [anon_sym_POUNDload] = ACTIONS(2335),
    [anon_sym_open] = ACTIONS(2333),
    [anon_sym_LBRACK_LT] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_type] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_DOT_DOT2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
    [sym__dedent] = ACTIONS(2335),
  },
  [774] = {
    [sym_xml_doc] = STATE(774),
    [sym_block_comment] = STATE(774),
    [aux_sym_long_identifier_repeat1] = STATE(767),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_POUNDnowarn] = ACTIONS(2339),
    [anon_sym_POUNDr] = ACTIONS(2339),
    [anon_sym_POUNDload] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2337),
    [anon_sym_LBRACK_LT] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(2341),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_DOT_DOT2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__dedent] = ACTIONS(2339),
  },
  [775] = {
    [sym_xml_doc] = STATE(775),
    [sym_block_comment] = STATE(775),
    [aux_sym__compound_type_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_POUNDnowarn] = ACTIONS(2232),
    [anon_sym_POUNDr] = ACTIONS(2232),
    [anon_sym_POUNDload] = ACTIONS(2232),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_LBRACK_LT] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_DOT_DOT2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2343),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__dedent] = ACTIONS(2232),
  },
  [776] = {
    [sym_xml_doc] = STATE(776),
    [sym_block_comment] = STATE(776),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2346),
    [anon_sym_uy] = ACTIONS(2348),
    [anon_sym_s] = ACTIONS(2350),
    [anon_sym_us] = ACTIONS(2352),
    [anon_sym_l] = ACTIONS(2354),
    [aux_sym_uint32_token1] = ACTIONS(2356),
    [anon_sym_n] = ACTIONS(2358),
    [anon_sym_un] = ACTIONS(2360),
    [anon_sym_L] = ACTIONS(2362),
    [aux_sym_uint64_token1] = ACTIONS(2364),
    [aux_sym_bignum_token1] = ACTIONS(2366),
    [aux_sym_decimal_token1] = ACTIONS(2368),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [777] = {
    [sym_xml_doc] = STATE(777),
    [sym_block_comment] = STATE(777),
    [aux_sym_long_identifier_repeat1] = STATE(774),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_POUNDnowarn] = ACTIONS(2373),
    [anon_sym_POUNDr] = ACTIONS(2373),
    [anon_sym_POUNDload] = ACTIONS(2373),
    [anon_sym_open] = ACTIONS(2370),
    [anon_sym_LBRACK_LT] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(2378),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_DOT_DOT2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__dedent] = ACTIONS(2373),
  },
  [778] = {
    [sym_xml_doc] = STATE(778),
    [sym_block_comment] = STATE(778),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2384),
    [anon_sym_uy] = ACTIONS(2386),
    [anon_sym_s] = ACTIONS(2388),
    [anon_sym_us] = ACTIONS(2390),
    [anon_sym_l] = ACTIONS(2392),
    [aux_sym_uint32_token1] = ACTIONS(2394),
    [anon_sym_n] = ACTIONS(2396),
    [anon_sym_un] = ACTIONS(2398),
    [anon_sym_L] = ACTIONS(2400),
    [aux_sym_uint64_token1] = ACTIONS(2402),
    [aux_sym_bignum_token1] = ACTIONS(2404),
    [aux_sym_decimal_token1] = ACTIONS(2406),
    [anon_sym_DOT2] = ACTIONS(2064),
    [aux_sym_float_token1] = ACTIONS(2066),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__then] = ACTIONS(2036),
  },
  [779] = {
    [sym_xml_doc] = STATE(779),
    [sym_block_comment] = STATE(779),
    [aux_sym_long_identifier_repeat1] = STATE(774),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2341),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_DOT_DOT2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
    [sym__dedent] = ACTIONS(2382),
  },
  [780] = {
    [sym_xml_doc] = STATE(780),
    [sym_block_comment] = STATE(780),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_POUNDnowarn] = ACTIONS(2412),
    [anon_sym_POUNDr] = ACTIONS(2412),
    [anon_sym_POUNDload] = ACTIONS(2412),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_LBRACK_LT] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_DOT_DOT2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
  },
  [781] = {
    [sym_xml_doc] = STATE(781),
    [sym_block_comment] = STATE(781),
    [aux_sym__compound_type_repeat1] = STATE(781),
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_POUNDnowarn] = ACTIONS(2232),
    [anon_sym_POUNDr] = ACTIONS(2232),
    [anon_sym_POUNDload] = ACTIONS(2232),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_LBRACK_LT] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
  },
  [782] = {
    [sym_xml_doc] = STATE(782),
    [sym_block_comment] = STATE(782),
    [aux_sym_long_identifier_repeat1] = STATE(782),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [783] = {
    [sym_xml_doc] = STATE(783),
    [sym_block_comment] = STATE(783),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_POUNDnowarn] = ACTIONS(2426),
    [anon_sym_POUNDr] = ACTIONS(2426),
    [anon_sym_POUNDload] = ACTIONS(2426),
    [anon_sym_open] = ACTIONS(2424),
    [anon_sym_LBRACK_LT] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_DOT_DOT2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
    [sym__dedent] = ACTIONS(2426),
  },
  [784] = {
    [sym_xml_doc] = STATE(784),
    [sym_block_comment] = STATE(784),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_module] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_POUNDnowarn] = ACTIONS(2430),
    [anon_sym_POUNDr] = ACTIONS(2430),
    [anon_sym_POUNDload] = ACTIONS(2430),
    [anon_sym_open] = ACTIONS(2428),
    [anon_sym_LBRACK_LT] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_type] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_with] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_DOT_DOT2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
    [sym__dedent] = ACTIONS(2430),
  },
  [785] = {
    [sym_xml_doc] = STATE(785),
    [sym_block_comment] = STATE(785),
    [aux_sym_long_identifier_repeat1] = STATE(794),
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
  },
  [786] = {
    [sym_xml_doc] = STATE(786),
    [sym_block_comment] = STATE(786),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_POUNDnowarn] = ACTIONS(2436),
    [anon_sym_POUNDr] = ACTIONS(2436),
    [anon_sym_POUNDload] = ACTIONS(2436),
    [anon_sym_open] = ACTIONS(2434),
    [anon_sym_LBRACK_LT] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_DOT_DOT2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
    [sym__dedent] = ACTIONS(2436),
  },
  [787] = {
    [sym_xml_doc] = STATE(787),
    [sym_block_comment] = STATE(787),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_POUNDnowarn] = ACTIONS(2440),
    [anon_sym_POUNDr] = ACTIONS(2440),
    [anon_sym_POUNDload] = ACTIONS(2440),
    [anon_sym_open] = ACTIONS(2438),
    [anon_sym_LBRACK_LT] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_DOT_DOT2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
    [sym__dedent] = ACTIONS(2440),
  },
  [788] = {
    [sym_xml_doc] = STATE(788),
    [sym_block_comment] = STATE(788),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_DOT_DOT2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [789] = {
    [sym_xml_doc] = STATE(789),
    [sym_block_comment] = STATE(789),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_POUNDnowarn] = ACTIONS(2444),
    [anon_sym_POUNDr] = ACTIONS(2444),
    [anon_sym_POUNDload] = ACTIONS(2444),
    [anon_sym_open] = ACTIONS(2442),
    [anon_sym_LBRACK_LT] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_DOT_DOT2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
    [sym__dedent] = ACTIONS(2444),
  },
  [790] = {
    [sym_xml_doc] = STATE(790),
    [sym_block_comment] = STATE(790),
    [aux_sym_long_identifier_repeat1] = STATE(794),
    [ts_builtin_sym_end] = ACTIONS(2373),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_POUNDnowarn] = ACTIONS(2373),
    [anon_sym_POUNDr] = ACTIONS(2373),
    [anon_sym_POUNDload] = ACTIONS(2373),
    [anon_sym_open] = ACTIONS(2370),
    [anon_sym_LBRACK_LT] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [791] = {
    [sym_xml_doc] = STATE(791),
    [sym_block_comment] = STATE(791),
    [aux_sym__compound_type_repeat1] = STATE(781),
    [ts_builtin_sym_end] = ACTIONS(2335),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_namespace] = ACTIONS(2333),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_POUNDnowarn] = ACTIONS(2335),
    [anon_sym_POUNDr] = ACTIONS(2335),
    [anon_sym_POUNDload] = ACTIONS(2335),
    [anon_sym_open] = ACTIONS(2333),
    [anon_sym_LBRACK_LT] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_type] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
  },
  [792] = {
    [sym_xml_doc] = STATE(792),
    [sym_block_comment] = STATE(792),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_POUNDnowarn] = ACTIONS(2452),
    [anon_sym_POUNDr] = ACTIONS(2452),
    [anon_sym_POUNDload] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2450),
    [anon_sym_LBRACK_LT] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_DOT_DOT2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__dedent] = ACTIONS(2452),
  },
  [793] = {
    [sym_xml_doc] = STATE(793),
    [sym_block_comment] = STATE(793),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_module] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_POUNDnowarn] = ACTIONS(2456),
    [anon_sym_POUNDr] = ACTIONS(2456),
    [anon_sym_POUNDload] = ACTIONS(2456),
    [anon_sym_open] = ACTIONS(2454),
    [anon_sym_LBRACK_LT] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_type] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_with] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_DOT_DOT2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(2458),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
    [sym__dedent] = ACTIONS(2456),
  },
  [794] = {
    [sym_xml_doc] = STATE(794),
    [sym_block_comment] = STATE(794),
    [aux_sym_long_identifier_repeat1] = STATE(782),
    [ts_builtin_sym_end] = ACTIONS(2339),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_POUNDnowarn] = ACTIONS(2339),
    [anon_sym_POUNDr] = ACTIONS(2339),
    [anon_sym_POUNDload] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2337),
    [anon_sym_LBRACK_LT] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [795] = {
    [sym_xml_doc] = STATE(795),
    [sym_block_comment] = STATE(795),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_module] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_POUNDnowarn] = ACTIONS(2414),
    [anon_sym_POUNDr] = ACTIONS(2414),
    [anon_sym_POUNDload] = ACTIONS(2414),
    [anon_sym_open] = ACTIONS(2408),
    [anon_sym_LBRACK_LT] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_type] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_DOT_DOT2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
    [sym__dedent] = ACTIONS(2414),
  },
  [796] = {
    [sym_xml_doc] = STATE(796),
    [sym_block_comment] = STATE(796),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_POUNDnowarn] = ACTIONS(2462),
    [anon_sym_POUNDr] = ACTIONS(2462),
    [anon_sym_POUNDload] = ACTIONS(2462),
    [anon_sym_open] = ACTIONS(2460),
    [anon_sym_LBRACK_LT] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_with] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_DOT_DOT2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
    [sym__dedent] = ACTIONS(2462),
  },
  [797] = {
    [sym_xml_doc] = STATE(797),
    [sym_block_comment] = STATE(797),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_POUNDnowarn] = ACTIONS(2466),
    [anon_sym_POUNDr] = ACTIONS(2466),
    [anon_sym_POUNDload] = ACTIONS(2466),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_LBRACK_LT] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_DOT_DOT2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
    [sym__dedent] = ACTIONS(2466),
  },
  [798] = {
    [sym_xml_doc] = STATE(798),
    [sym_block_comment] = STATE(798),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_module] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_POUNDnowarn] = ACTIONS(2470),
    [anon_sym_POUNDr] = ACTIONS(2470),
    [anon_sym_POUNDload] = ACTIONS(2470),
    [anon_sym_open] = ACTIONS(2468),
    [anon_sym_LBRACK_LT] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_type] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_with] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_DOT_DOT2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
    [sym__dedent] = ACTIONS(2470),
  },
  [799] = {
    [sym_xml_doc] = STATE(799),
    [sym_block_comment] = STATE(799),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_module] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_POUNDnowarn] = ACTIONS(2474),
    [anon_sym_POUNDr] = ACTIONS(2474),
    [anon_sym_POUNDload] = ACTIONS(2474),
    [anon_sym_open] = ACTIONS(2472),
    [anon_sym_LBRACK_LT] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_type] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_DOT_DOT2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
    [sym__dedent] = ACTIONS(2474),
  },
  [800] = {
    [sym_xml_doc] = STATE(800),
    [sym_block_comment] = STATE(800),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_POUNDnowarn] = ACTIONS(2452),
    [anon_sym_POUNDr] = ACTIONS(2452),
    [anon_sym_POUNDload] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2450),
    [anon_sym_LBRACK_LT] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_DOT_DOT2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__dedent] = ACTIONS(2452),
  },
  [801] = {
    [sym_xml_doc] = STATE(801),
    [sym_block_comment] = STATE(801),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_module] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_POUNDnowarn] = ACTIONS(2478),
    [anon_sym_POUNDr] = ACTIONS(2478),
    [anon_sym_POUNDload] = ACTIONS(2478),
    [anon_sym_open] = ACTIONS(2476),
    [anon_sym_LBRACK_LT] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_type] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_DOT_DOT2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
    [sym__dedent] = ACTIONS(2478),
  },
  [802] = {
    [sym_xml_doc] = STATE(802),
    [sym_block_comment] = STATE(802),
    [aux_sym_long_identifier_repeat1] = STATE(808),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_GT_RBRACK] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_RBRACK] = ACTIONS(2382),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_to] = ACTIONS(2376),
    [anon_sym_downto] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_end] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_DOT_DOT2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
  },
  [803] = {
    [sym_xml_doc] = STATE(803),
    [sym_block_comment] = STATE(803),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [804] = {
    [sym_xml_doc] = STATE(804),
    [sym_block_comment] = STATE(804),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_POUNDnowarn] = ACTIONS(2412),
    [anon_sym_POUNDr] = ACTIONS(2412),
    [anon_sym_POUNDload] = ACTIONS(2412),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_LBRACK_LT] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [805] = {
    [sym_xml_doc] = STATE(805),
    [sym_block_comment] = STATE(805),
    [ts_builtin_sym_end] = ACTIONS(2456),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_namespace] = ACTIONS(2454),
    [anon_sym_module] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_POUNDnowarn] = ACTIONS(2456),
    [anon_sym_POUNDr] = ACTIONS(2456),
    [anon_sym_POUNDload] = ACTIONS(2456),
    [anon_sym_open] = ACTIONS(2454),
    [anon_sym_LBRACK_LT] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_type] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(2484),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
  },
  [806] = {
    [sym_xml_doc] = STATE(806),
    [sym_block_comment] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(2452),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_POUNDnowarn] = ACTIONS(2452),
    [anon_sym_POUNDr] = ACTIONS(2452),
    [anon_sym_POUNDload] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2450),
    [anon_sym_LBRACK_LT] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
  },
  [807] = {
    [sym_xml_doc] = STATE(807),
    [sym_block_comment] = STATE(807),
    [ts_builtin_sym_end] = ACTIONS(2474),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_module] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_POUNDnowarn] = ACTIONS(2474),
    [anon_sym_POUNDr] = ACTIONS(2474),
    [anon_sym_POUNDload] = ACTIONS(2474),
    [anon_sym_open] = ACTIONS(2472),
    [anon_sym_LBRACK_LT] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_type] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
  },
  [808] = {
    [sym_xml_doc] = STATE(808),
    [sym_block_comment] = STATE(808),
    [aux_sym_long_identifier_repeat1] = STATE(811),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_GT_RBRACK] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_RBRACK] = ACTIONS(2339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_RBRACE] = ACTIONS(2339),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_to] = ACTIONS(2337),
    [anon_sym_downto] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_end] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_DOT_DOT2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [809] = {
    [sym_xml_doc] = STATE(809),
    [sym_block_comment] = STATE(809),
    [aux_sym__compound_type_repeat1] = STATE(809),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_GT_RBRACK] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_RBRACK] = ACTIONS(2232),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_to] = ACTIONS(2230),
    [anon_sym_downto] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_end] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_DOT_DOT2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
  },
  [810] = {
    [sym_xml_doc] = STATE(810),
    [sym_block_comment] = STATE(810),
    [aux_sym__compound_type_repeat1] = STATE(809),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_GT_RBRACK] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_RBRACK] = ACTIONS(2335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_to] = ACTIONS(2333),
    [anon_sym_downto] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_end] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_DOT_DOT2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2327),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
  },
  [811] = {
    [sym_xml_doc] = STATE(811),
    [sym_block_comment] = STATE(811),
    [aux_sym_long_identifier_repeat1] = STATE(811),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_GT_RBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_to] = ACTIONS(2316),
    [anon_sym_downto] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_end] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_DOT_DOT2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [812] = {
    [sym_xml_doc] = STATE(812),
    [sym_block_comment] = STATE(812),
    [aux_sym_long_identifier_repeat1] = STATE(808),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_GT_RBRACK] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_RBRACK] = ACTIONS(2373),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2373),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_to] = ACTIONS(2370),
    [anon_sym_downto] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_end] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_DOT_DOT2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [813] = {
    [sym_xml_doc] = STATE(813),
    [sym_block_comment] = STATE(813),
    [ts_builtin_sym_end] = ACTIONS(2426),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_POUNDnowarn] = ACTIONS(2426),
    [anon_sym_POUNDr] = ACTIONS(2426),
    [anon_sym_POUNDload] = ACTIONS(2426),
    [anon_sym_open] = ACTIONS(2424),
    [anon_sym_LBRACK_LT] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
  },
  [814] = {
    [sym_xml_doc] = STATE(814),
    [sym_block_comment] = STATE(814),
    [ts_builtin_sym_end] = ACTIONS(2452),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_POUNDnowarn] = ACTIONS(2452),
    [anon_sym_POUNDr] = ACTIONS(2452),
    [anon_sym_POUNDload] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2450),
    [anon_sym_LBRACK_LT] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
  },
  [815] = {
    [sym_xml_doc] = STATE(815),
    [sym_block_comment] = STATE(815),
    [ts_builtin_sym_end] = ACTIONS(2444),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_POUNDnowarn] = ACTIONS(2444),
    [anon_sym_POUNDr] = ACTIONS(2444),
    [anon_sym_POUNDload] = ACTIONS(2444),
    [anon_sym_open] = ACTIONS(2442),
    [anon_sym_LBRACK_LT] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
  },
  [816] = {
    [sym_xml_doc] = STATE(816),
    [sym_block_comment] = STATE(816),
    [ts_builtin_sym_end] = ACTIONS(2466),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_POUNDnowarn] = ACTIONS(2466),
    [anon_sym_POUNDr] = ACTIONS(2466),
    [anon_sym_POUNDload] = ACTIONS(2466),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_LBRACK_LT] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
  },
  [817] = {
    [sym_xml_doc] = STATE(817),
    [sym_block_comment] = STATE(817),
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_POUNDnowarn] = ACTIONS(2462),
    [anon_sym_POUNDr] = ACTIONS(2462),
    [anon_sym_POUNDload] = ACTIONS(2462),
    [anon_sym_open] = ACTIONS(2460),
    [anon_sym_LBRACK_LT] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
  },
  [818] = {
    [sym_xml_doc] = STATE(818),
    [sym_block_comment] = STATE(818),
    [ts_builtin_sym_end] = ACTIONS(2470),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_module] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_POUNDnowarn] = ACTIONS(2470),
    [anon_sym_POUNDr] = ACTIONS(2470),
    [anon_sym_POUNDload] = ACTIONS(2470),
    [anon_sym_open] = ACTIONS(2468),
    [anon_sym_LBRACK_LT] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_type] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
  },
  [819] = {
    [sym_xml_doc] = STATE(819),
    [sym_block_comment] = STATE(819),
    [ts_builtin_sym_end] = ACTIONS(2414),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_module] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_POUNDnowarn] = ACTIONS(2414),
    [anon_sym_POUNDr] = ACTIONS(2414),
    [anon_sym_POUNDload] = ACTIONS(2414),
    [anon_sym_open] = ACTIONS(2408),
    [anon_sym_LBRACK_LT] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_type] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
  },
  [820] = {
    [sym_xml_doc] = STATE(820),
    [sym_block_comment] = STATE(820),
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_module] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_POUNDnowarn] = ACTIONS(2430),
    [anon_sym_POUNDr] = ACTIONS(2430),
    [anon_sym_POUNDload] = ACTIONS(2430),
    [anon_sym_open] = ACTIONS(2428),
    [anon_sym_LBRACK_LT] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_type] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
  },
  [821] = {
    [sym_xml_doc] = STATE(821),
    [sym_block_comment] = STATE(821),
    [ts_builtin_sym_end] = ACTIONS(2440),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_POUNDnowarn] = ACTIONS(2440),
    [anon_sym_POUNDr] = ACTIONS(2440),
    [anon_sym_POUNDload] = ACTIONS(2440),
    [anon_sym_open] = ACTIONS(2438),
    [anon_sym_LBRACK_LT] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
  },
  [822] = {
    [sym_xml_doc] = STATE(822),
    [sym_block_comment] = STATE(822),
    [ts_builtin_sym_end] = ACTIONS(2436),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_POUNDnowarn] = ACTIONS(2436),
    [anon_sym_POUNDr] = ACTIONS(2436),
    [anon_sym_POUNDload] = ACTIONS(2436),
    [anon_sym_open] = ACTIONS(2434),
    [anon_sym_LBRACK_LT] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
  },
  [823] = {
    [sym_xml_doc] = STATE(823),
    [sym_block_comment] = STATE(823),
    [ts_builtin_sym_end] = ACTIONS(2478),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_module] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_POUNDnowarn] = ACTIONS(2478),
    [anon_sym_POUNDr] = ACTIONS(2478),
    [anon_sym_POUNDload] = ACTIONS(2478),
    [anon_sym_open] = ACTIONS(2476),
    [anon_sym_LBRACK_LT] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_type] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
  },
  [824] = {
    [sym_xml_doc] = STATE(824),
    [sym_block_comment] = STATE(824),
    [aux_sym_rules_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_module] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_POUNDnowarn] = ACTIONS(2498),
    [anon_sym_POUNDr] = ACTIONS(2498),
    [anon_sym_POUNDload] = ACTIONS(2498),
    [anon_sym_open] = ACTIONS(2496),
    [anon_sym_LBRACK_LT] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_type] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_DOT_DOT2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2502),
    [sym__dedent] = ACTIONS(2498),
  },
  [825] = {
    [sym_xml_doc] = STATE(825),
    [sym_block_comment] = STATE(825),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_GT_RBRACK] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_RBRACK] = ACTIONS(2466),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_to] = ACTIONS(2464),
    [anon_sym_downto] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_end] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_DOT_DOT2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
  },
  [826] = {
    [sym_xml_doc] = STATE(826),
    [sym_block_comment] = STATE(826),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_GT_RBRACK] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_RBRACK] = ACTIONS(2444),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_to] = ACTIONS(2442),
    [anon_sym_downto] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_end] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_DOT_DOT2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
  },
  [827] = {
    [sym_xml_doc] = STATE(827),
    [sym_block_comment] = STATE(827),
    [aux_sym_rules_repeat1] = STATE(824),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_POUNDnowarn] = ACTIONS(2507),
    [anon_sym_POUNDr] = ACTIONS(2507),
    [anon_sym_POUNDload] = ACTIONS(2507),
    [anon_sym_open] = ACTIONS(2505),
    [anon_sym_LBRACK_LT] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_type] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_DOT_DOT2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2509),
    [sym__dedent] = ACTIONS(2507),
  },
  [828] = {
    [sym_xml_doc] = STATE(828),
    [sym_block_comment] = STATE(828),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_GT_RBRACK] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_RBRACK] = ACTIONS(2414),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2414),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_to] = ACTIONS(2408),
    [anon_sym_downto] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_end] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_DOT_DOT2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
  },
  [829] = {
    [sym_xml_doc] = STATE(829),
    [sym_block_comment] = STATE(829),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_GT_RBRACK] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_RBRACK] = ACTIONS(2456),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_with] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_to] = ACTIONS(2454),
    [anon_sym_downto] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_end] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_DOT_DOT2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(2512),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
  },
  [830] = {
    [sym_xml_doc] = STATE(830),
    [sym_block_comment] = STATE(830),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_GT_RBRACK] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_RBRACK] = ACTIONS(2426),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_to] = ACTIONS(2424),
    [anon_sym_downto] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_end] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_DOT_DOT2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
  },
  [831] = {
    [sym_xml_doc] = STATE(831),
    [sym_block_comment] = STATE(831),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_GT_RBRACK] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(2478),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_to] = ACTIONS(2476),
    [anon_sym_downto] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_end] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_DOT_DOT2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
  },
  [832] = {
    [sym_xml_doc] = STATE(832),
    [sym_block_comment] = STATE(832),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_GT_RBRACK] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_to] = ACTIONS(2450),
    [anon_sym_downto] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_end] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_DOT_DOT2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
  },
  [833] = {
    [sym_xml_doc] = STATE(833),
    [sym_block_comment] = STATE(833),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_GT_RBRACK] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_RBRACK] = ACTIONS(2430),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2430),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_with] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_to] = ACTIONS(2428),
    [anon_sym_downto] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_end] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_DOT_DOT2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
  },
  [834] = {
    [sym_xml_doc] = STATE(834),
    [sym_block_comment] = STATE(834),
    [aux_sym_rules_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_module] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_POUNDnowarn] = ACTIONS(2516),
    [anon_sym_POUNDr] = ACTIONS(2516),
    [anon_sym_POUNDload] = ACTIONS(2516),
    [anon_sym_open] = ACTIONS(2514),
    [anon_sym_LBRACK_LT] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_type] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_DOT_DOT2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2521),
    [sym__dedent] = ACTIONS(2516),
  },
  [835] = {
    [sym_xml_doc] = STATE(835),
    [sym_block_comment] = STATE(835),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_GT_RBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_to] = ACTIONS(2316),
    [anon_sym_downto] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_end] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_DOT_DOT2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [836] = {
    [sym_xml_doc] = STATE(836),
    [sym_block_comment] = STATE(836),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_GT_RBRACK] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_to] = ACTIONS(2410),
    [anon_sym_downto] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_end] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_DOT_DOT2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [837] = {
    [sym_xml_doc] = STATE(837),
    [sym_block_comment] = STATE(837),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_GT_RBRACK] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_RBRACK] = ACTIONS(2470),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_with] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_to] = ACTIONS(2468),
    [anon_sym_downto] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_end] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_DOT_DOT2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
  },
  [838] = {
    [sym_xml_doc] = STATE(838),
    [sym_block_comment] = STATE(838),
    [aux_sym_rules_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_module] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_POUNDnowarn] = ACTIONS(2528),
    [anon_sym_POUNDr] = ACTIONS(2528),
    [anon_sym_POUNDload] = ACTIONS(2528),
    [anon_sym_open] = ACTIONS(2526),
    [anon_sym_LBRACK_LT] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_type] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_with] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_DOT_DOT2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2530),
    [sym__dedent] = ACTIONS(2528),
  },
  [839] = {
    [sym_xml_doc] = STATE(839),
    [sym_block_comment] = STATE(839),
    [aux_sym_rules_repeat1] = STATE(838),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_module] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_POUNDnowarn] = ACTIONS(2498),
    [anon_sym_POUNDr] = ACTIONS(2498),
    [anon_sym_POUNDload] = ACTIONS(2498),
    [anon_sym_open] = ACTIONS(2496),
    [anon_sym_LBRACK_LT] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_type] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_DOT_DOT2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2502),
    [sym__dedent] = ACTIONS(2498),
  },
  [840] = {
    [sym_xml_doc] = STATE(840),
    [sym_block_comment] = STATE(840),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_GT_RBRACK] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_RBRACK] = ACTIONS(2462),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_with] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_to] = ACTIONS(2460),
    [anon_sym_downto] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_end] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_DOT_DOT2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
  },
  [841] = {
    [sym_xml_doc] = STATE(841),
    [sym_block_comment] = STATE(841),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_POUNDnowarn] = ACTIONS(2535),
    [anon_sym_POUNDr] = ACTIONS(2535),
    [anon_sym_POUNDload] = ACTIONS(2535),
    [anon_sym_open] = ACTIONS(2533),
    [anon_sym_LBRACK_LT] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2533),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_DOT_DOT2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
  },
  [842] = {
    [sym_xml_doc] = STATE(842),
    [sym_block_comment] = STATE(842),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_GT_RBRACK] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_RBRACK] = ACTIONS(2440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_to] = ACTIONS(2438),
    [anon_sym_downto] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_end] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_DOT_DOT2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
  },
  [843] = {
    [sym_xml_doc] = STATE(843),
    [sym_block_comment] = STATE(843),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_GT_RBRACK] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_RBRACK] = ACTIONS(2474),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_to] = ACTIONS(2472),
    [anon_sym_downto] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_end] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_DOT_DOT2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
  },
  [844] = {
    [sym_xml_doc] = STATE(844),
    [sym_block_comment] = STATE(844),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_GT_RBRACK] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_to] = ACTIONS(2450),
    [anon_sym_downto] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_end] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_DOT_DOT2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
  },
  [845] = {
    [sym_xml_doc] = STATE(845),
    [sym_block_comment] = STATE(845),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_GT_RBRACK] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_RBRACK] = ACTIONS(2436),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2436),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_to] = ACTIONS(2434),
    [anon_sym_downto] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_end] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_DOT_DOT2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
  },
  [846] = {
    [sym_xml_doc] = STATE(846),
    [sym_block_comment] = STATE(846),
    [aux_sym_rules_repeat1] = STATE(854),
    [ts_builtin_sym_end] = ACTIONS(2498),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_module] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_POUNDnowarn] = ACTIONS(2498),
    [anon_sym_POUNDr] = ACTIONS(2498),
    [anon_sym_POUNDload] = ACTIONS(2498),
    [anon_sym_open] = ACTIONS(2496),
    [anon_sym_LBRACK_LT] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_type] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2537),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2539),
  },
  [847] = {
    [sym_xml_doc] = STATE(847),
    [sym_block_comment] = STATE(847),
    [aux_sym_long_identifier_repeat1] = STATE(847),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2542),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_DOT_DOT2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [848] = {
    [sym_xml_doc] = STATE(848),
    [sym_block_comment] = STATE(848),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_module] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_POUNDnowarn] = ACTIONS(2547),
    [anon_sym_POUNDr] = ACTIONS(2547),
    [anon_sym_POUNDload] = ACTIONS(2547),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_LBRACK_LT] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_type] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_with] = ACTIONS(2545),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_DOT_DOT2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
    [sym__dedent] = ACTIONS(2547),
  },
  [849] = {
    [sym_xml_doc] = STATE(849),
    [sym_block_comment] = STATE(849),
    [ts_builtin_sym_end] = ACTIONS(2535),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_namespace] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_POUNDnowarn] = ACTIONS(2535),
    [anon_sym_POUNDr] = ACTIONS(2535),
    [anon_sym_POUNDload] = ACTIONS(2535),
    [anon_sym_open] = ACTIONS(2533),
    [anon_sym_LBRACK_LT] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [850] = {
    [sym_xml_doc] = STATE(850),
    [sym_block_comment] = STATE(850),
    [aux_sym_rules_repeat1] = STATE(856),
    [ts_builtin_sym_end] = ACTIONS(2498),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_module] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_POUNDnowarn] = ACTIONS(2498),
    [anon_sym_POUNDr] = ACTIONS(2498),
    [anon_sym_POUNDload] = ACTIONS(2498),
    [anon_sym_open] = ACTIONS(2496),
    [anon_sym_LBRACK_LT] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_type] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2537),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2539),
  },
  [851] = {
    [sym_xml_doc] = STATE(851),
    [sym_block_comment] = STATE(851),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_module] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_POUNDnowarn] = ACTIONS(2551),
    [anon_sym_POUNDr] = ACTIONS(2551),
    [anon_sym_POUNDload] = ACTIONS(2551),
    [anon_sym_open] = ACTIONS(2549),
    [anon_sym_LBRACK_LT] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(2553),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_DOT_DOT2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
    [sym__dedent] = ACTIONS(2551),
  },
  [852] = {
    [sym_xml_doc] = STATE(852),
    [sym_block_comment] = STATE(852),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_module] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_POUNDnowarn] = ACTIONS(2516),
    [anon_sym_POUNDr] = ACTIONS(2516),
    [anon_sym_POUNDload] = ACTIONS(2516),
    [anon_sym_open] = ACTIONS(2514),
    [anon_sym_LBRACK_LT] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_type] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_DOT_DOT2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
    [sym__dedent] = ACTIONS(2516),
  },
  [853] = {
    [sym_xml_doc] = STATE(853),
    [sym_block_comment] = STATE(853),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_POUNDnowarn] = ACTIONS(2535),
    [anon_sym_POUNDr] = ACTIONS(2535),
    [anon_sym_POUNDload] = ACTIONS(2535),
    [anon_sym_open] = ACTIONS(2533),
    [anon_sym_LBRACK_LT] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_DOT_DOT2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
  },
  [854] = {
    [sym_xml_doc] = STATE(854),
    [sym_block_comment] = STATE(854),
    [aux_sym_rules_repeat1] = STATE(856),
    [ts_builtin_sym_end] = ACTIONS(2528),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_module] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_POUNDnowarn] = ACTIONS(2528),
    [anon_sym_POUNDr] = ACTIONS(2528),
    [anon_sym_POUNDload] = ACTIONS(2528),
    [anon_sym_open] = ACTIONS(2526),
    [anon_sym_LBRACK_LT] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_type] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2537),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2555),
  },
  [855] = {
    [sym_xml_doc] = STATE(855),
    [sym_block_comment] = STATE(855),
    [aux_sym_rules_repeat1] = STATE(850),
    [ts_builtin_sym_end] = ACTIONS(2507),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_POUNDnowarn] = ACTIONS(2507),
    [anon_sym_POUNDr] = ACTIONS(2507),
    [anon_sym_POUNDload] = ACTIONS(2507),
    [anon_sym_open] = ACTIONS(2505),
    [anon_sym_LBRACK_LT] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_type] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(2537),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2558),
  },
  [856] = {
    [sym_xml_doc] = STATE(856),
    [sym_block_comment] = STATE(856),
    [aux_sym_rules_repeat1] = STATE(856),
    [ts_builtin_sym_end] = ACTIONS(2516),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_module] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_POUNDnowarn] = ACTIONS(2516),
    [anon_sym_POUNDr] = ACTIONS(2516),
    [anon_sym_POUNDload] = ACTIONS(2516),
    [anon_sym_open] = ACTIONS(2514),
    [anon_sym_LBRACK_LT] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_type] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2564),
  },
  [857] = {
    [sym_xml_doc] = STATE(857),
    [sym_block_comment] = STATE(857),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_POUNDnowarn] = ACTIONS(2569),
    [anon_sym_POUNDr] = ACTIONS(2569),
    [anon_sym_POUNDload] = ACTIONS(2569),
    [anon_sym_open] = ACTIONS(2567),
    [anon_sym_LBRACK_LT] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_with] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_DOT_DOT2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
    [sym__dedent] = ACTIONS(2569),
  },
  [858] = {
    [sym_xml_doc] = STATE(858),
    [sym_block_comment] = STATE(858),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_module] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_POUNDnowarn] = ACTIONS(2573),
    [anon_sym_POUNDr] = ACTIONS(2573),
    [anon_sym_POUNDload] = ACTIONS(2573),
    [anon_sym_open] = ACTIONS(2571),
    [anon_sym_LBRACK_LT] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_type] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
  },
  [859] = {
    [sym_xml_doc] = STATE(859),
    [sym_block_comment] = STATE(859),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_module] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_POUNDnowarn] = ACTIONS(2573),
    [anon_sym_POUNDr] = ACTIONS(2573),
    [anon_sym_POUNDload] = ACTIONS(2573),
    [anon_sym_open] = ACTIONS(2571),
    [anon_sym_LBRACK_LT] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_type] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_DOT_DOT2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
  },
  [860] = {
    [sym_xml_doc] = STATE(860),
    [sym_block_comment] = STATE(860),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_module] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_POUNDnowarn] = ACTIONS(2581),
    [anon_sym_POUNDr] = ACTIONS(2581),
    [anon_sym_POUNDload] = ACTIONS(2581),
    [anon_sym_open] = ACTIONS(2579),
    [anon_sym_LBRACK_LT] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_type] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_with] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_DOT_DOT2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
    [sym__dedent] = ACTIONS(2581),
  },
  [861] = {
    [sym_xml_doc] = STATE(861),
    [sym_block_comment] = STATE(861),
    [aux_sym_long_identifier_repeat1] = STATE(864),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_POUNDnowarn] = ACTIONS(2373),
    [anon_sym_POUNDr] = ACTIONS(2373),
    [anon_sym_POUNDload] = ACTIONS(2373),
    [anon_sym_open] = ACTIONS(2370),
    [anon_sym_LBRACK_LT] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(2583),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_DOT_DOT2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__dedent] = ACTIONS(2373),
  },
  [862] = {
    [sym_xml_doc] = STATE(862),
    [sym_block_comment] = STATE(862),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_module] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_POUNDnowarn] = ACTIONS(2589),
    [anon_sym_POUNDr] = ACTIONS(2589),
    [anon_sym_POUNDload] = ACTIONS(2589),
    [anon_sym_open] = ACTIONS(2587),
    [anon_sym_LBRACK_LT] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_type] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_with] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_DOT_DOT2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
    [sym__dedent] = ACTIONS(2589),
  },
  [863] = {
    [sym_xml_doc] = STATE(863),
    [sym_block_comment] = STATE(863),
    [ts_builtin_sym_end] = ACTIONS(2573),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_namespace] = ACTIONS(2571),
    [anon_sym_module] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_POUNDnowarn] = ACTIONS(2573),
    [anon_sym_POUNDr] = ACTIONS(2573),
    [anon_sym_POUNDload] = ACTIONS(2573),
    [anon_sym_open] = ACTIONS(2571),
    [anon_sym_LBRACK_LT] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_type] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [864] = {
    [sym_xml_doc] = STATE(864),
    [sym_block_comment] = STATE(864),
    [aux_sym_long_identifier_repeat1] = STATE(847),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_POUNDnowarn] = ACTIONS(2339),
    [anon_sym_POUNDr] = ACTIONS(2339),
    [anon_sym_POUNDload] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2337),
    [anon_sym_LBRACK_LT] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(2595),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_DOT_DOT2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__dedent] = ACTIONS(2339),
  },
  [865] = {
    [sym_xml_doc] = STATE(865),
    [sym_block_comment] = STATE(865),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_POUNDnowarn] = ACTIONS(2535),
    [anon_sym_POUNDr] = ACTIONS(2535),
    [anon_sym_POUNDload] = ACTIONS(2535),
    [anon_sym_open] = ACTIONS(2533),
    [anon_sym_LBRACK_LT] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
  },
  [866] = {
    [sym_xml_doc] = STATE(866),
    [sym_block_comment] = STATE(866),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_module] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_POUNDnowarn] = ACTIONS(2599),
    [anon_sym_POUNDr] = ACTIONS(2599),
    [anon_sym_POUNDload] = ACTIONS(2599),
    [anon_sym_open] = ACTIONS(2597),
    [anon_sym_LBRACK_LT] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_type] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_with] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_DOT_DOT2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
    [sym__dedent] = ACTIONS(2599),
  },
  [867] = {
    [sym_type_arguments] = STATE(1189),
    [sym_long_identifier] = STATE(1200),
    [sym_xml_doc] = STATE(867),
    [sym_block_comment] = STATE(867),
    [aux_sym__compound_type_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_as] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_LT2] = ACTIONS(2607),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
    [sym__dedent] = ACTIONS(2228),
  },
  [868] = {
    [sym_type_arguments] = STATE(1189),
    [sym_long_identifier] = STATE(1200),
    [sym_xml_doc] = STATE(868),
    [sym_block_comment] = STATE(868),
    [aux_sym__compound_type_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_as] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_LT2] = ACTIONS(2607),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
    [sym__dedent] = ACTIONS(2194),
  },
  [869] = {
    [sym_xml_doc] = STATE(869),
    [sym_block_comment] = STATE(869),
    [aux_sym_long_identifier_repeat1] = STATE(874),
    [ts_builtin_sym_end] = ACTIONS(2339),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_POUNDnowarn] = ACTIONS(2339),
    [anon_sym_POUNDr] = ACTIONS(2339),
    [anon_sym_POUNDload] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2337),
    [anon_sym_LBRACK_LT] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(2611),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [870] = {
    [sym_xml_doc] = STATE(870),
    [sym_block_comment] = STATE(870),
    [aux_sym_sequential_expression_repeat1] = STATE(940),
    [ts_builtin_sym_end] = ACTIONS(2613),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_namespace] = ACTIONS(2615),
    [anon_sym_module] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_POUNDnowarn] = ACTIONS(2613),
    [anon_sym_POUNDr] = ACTIONS(2613),
    [anon_sym_POUNDload] = ACTIONS(2613),
    [anon_sym_open] = ACTIONS(2615),
    [anon_sym_LBRACK_LT] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_type] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
  },
  [871] = {
    [sym_xml_doc] = STATE(871),
    [sym_block_comment] = STATE(871),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_module] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_POUNDnowarn] = ACTIONS(2619),
    [anon_sym_POUNDr] = ACTIONS(2619),
    [anon_sym_POUNDload] = ACTIONS(2619),
    [anon_sym_open] = ACTIONS(2617),
    [anon_sym_LBRACK_LT] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_type] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_with] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_DOT_DOT2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
    [sym__dedent] = ACTIONS(2619),
  },
  [872] = {
    [sym_xml_doc] = STATE(872),
    [sym_block_comment] = STATE(872),
    [aux_sym_rules_repeat1] = STATE(886),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_GT_RBRACK] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_RBRACK] = ACTIONS(2528),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_with] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_to] = ACTIONS(2526),
    [anon_sym_downto] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_end] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_DOT_DOT2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2623),
  },
  [873] = {
    [sym_xml_doc] = STATE(873),
    [sym_block_comment] = STATE(873),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_module] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_POUNDnowarn] = ACTIONS(2628),
    [anon_sym_POUNDr] = ACTIONS(2628),
    [anon_sym_POUNDload] = ACTIONS(2628),
    [anon_sym_open] = ACTIONS(2626),
    [anon_sym_LBRACK_LT] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_type] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_DOT_DOT2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
    [sym__dedent] = ACTIONS(2628),
  },
  [874] = {
    [sym_xml_doc] = STATE(874),
    [sym_block_comment] = STATE(874),
    [aux_sym_long_identifier_repeat1] = STATE(874),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [875] = {
    [sym_xml_doc] = STATE(875),
    [sym_block_comment] = STATE(875),
    [ts_builtin_sym_end] = ACTIONS(2535),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_namespace] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_POUNDnowarn] = ACTIONS(2535),
    [anon_sym_POUNDr] = ACTIONS(2535),
    [anon_sym_POUNDload] = ACTIONS(2535),
    [anon_sym_open] = ACTIONS(2533),
    [anon_sym_LBRACK_LT] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [876] = {
    [sym_xml_doc] = STATE(876),
    [sym_block_comment] = STATE(876),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_DOT_DOT2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [877] = {
    [sym_xml_doc] = STATE(877),
    [sym_block_comment] = STATE(877),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_POUNDnowarn] = ACTIONS(2635),
    [anon_sym_POUNDr] = ACTIONS(2635),
    [anon_sym_POUNDload] = ACTIONS(2635),
    [anon_sym_open] = ACTIONS(2633),
    [anon_sym_LBRACK_LT] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_DOT_DOT2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
    [sym__dedent] = ACTIONS(2635),
  },
  [878] = {
    [sym_xml_doc] = STATE(878),
    [sym_block_comment] = STATE(878),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_module] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_POUNDnowarn] = ACTIONS(2639),
    [anon_sym_POUNDr] = ACTIONS(2639),
    [anon_sym_POUNDload] = ACTIONS(2639),
    [anon_sym_open] = ACTIONS(2637),
    [anon_sym_LBRACK_LT] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_type] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_with] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_DOT_DOT2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
    [sym__dedent] = ACTIONS(2639),
  },
  [879] = {
    [sym_xml_doc] = STATE(879),
    [sym_block_comment] = STATE(879),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_module] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_POUNDnowarn] = ACTIONS(2643),
    [anon_sym_POUNDr] = ACTIONS(2643),
    [anon_sym_POUNDload] = ACTIONS(2643),
    [anon_sym_open] = ACTIONS(2641),
    [anon_sym_LBRACK_LT] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_type] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_DOT_DOT2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
    [sym__dedent] = ACTIONS(2643),
  },
  [880] = {
    [sym_xml_doc] = STATE(880),
    [sym_block_comment] = STATE(880),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_module] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_POUNDnowarn] = ACTIONS(2647),
    [anon_sym_POUNDr] = ACTIONS(2647),
    [anon_sym_POUNDload] = ACTIONS(2647),
    [anon_sym_open] = ACTIONS(2645),
    [anon_sym_LBRACK_LT] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_type] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_with] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_DOT_DOT2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
    [sym__dedent] = ACTIONS(2647),
  },
  [881] = {
    [sym_xml_doc] = STATE(881),
    [sym_block_comment] = STATE(881),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_module] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_POUNDnowarn] = ACTIONS(2577),
    [anon_sym_POUNDr] = ACTIONS(2577),
    [anon_sym_POUNDload] = ACTIONS(2577),
    [anon_sym_open] = ACTIONS(2649),
    [anon_sym_LBRACK_LT] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_type] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_DOT_DOT2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
    [sym__dedent] = ACTIONS(2577),
  },
  [882] = {
    [sym_xml_doc] = STATE(882),
    [sym_block_comment] = STATE(882),
    [ts_builtin_sym_end] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_namespace] = ACTIONS(2549),
    [anon_sym_module] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_POUNDnowarn] = ACTIONS(2551),
    [anon_sym_POUNDr] = ACTIONS(2551),
    [anon_sym_POUNDload] = ACTIONS(2551),
    [anon_sym_open] = ACTIONS(2549),
    [anon_sym_LBRACK_LT] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
  },
  [883] = {
    [sym_xml_doc] = STATE(883),
    [sym_block_comment] = STATE(883),
    [ts_builtin_sym_end] = ACTIONS(2547),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_namespace] = ACTIONS(2545),
    [anon_sym_module] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_POUNDnowarn] = ACTIONS(2547),
    [anon_sym_POUNDr] = ACTIONS(2547),
    [anon_sym_POUNDload] = ACTIONS(2547),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_LBRACK_LT] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_type] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
  },
  [884] = {
    [sym_xml_doc] = STATE(884),
    [sym_block_comment] = STATE(884),
    [ts_builtin_sym_end] = ACTIONS(2516),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_module] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_POUNDnowarn] = ACTIONS(2516),
    [anon_sym_POUNDr] = ACTIONS(2516),
    [anon_sym_POUNDload] = ACTIONS(2516),
    [anon_sym_open] = ACTIONS(2514),
    [anon_sym_LBRACK_LT] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_type] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
  },
  [885] = {
    [sym_xml_doc] = STATE(885),
    [sym_block_comment] = STATE(885),
    [aux_sym_rules_repeat1] = STATE(942),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_GT_RBRACK] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_RBRACK] = ACTIONS(2507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_to] = ACTIONS(2505),
    [anon_sym_downto] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_end] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_DOT_DOT2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2653),
  },
  [886] = {
    [sym_xml_doc] = STATE(886),
    [sym_block_comment] = STATE(886),
    [aux_sym_rules_repeat1] = STATE(886),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_GT_RBRACK] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_RBRACK] = ACTIONS(2516),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2516),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_to] = ACTIONS(2514),
    [anon_sym_downto] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_end] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_DOT_DOT2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2659),
  },
  [887] = {
    [sym_type_arguments] = STATE(1189),
    [sym_long_identifier] = STATE(1200),
    [sym_xml_doc] = STATE(887),
    [sym_block_comment] = STATE(887),
    [aux_sym__compound_type_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_LT2] = ACTIONS(2607),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__dedent] = ACTIONS(2232),
  },
  [888] = {
    [sym_type_arguments] = STATE(1189),
    [sym_long_identifier] = STATE(1200),
    [sym_xml_doc] = STATE(888),
    [sym_block_comment] = STATE(888),
    [aux_sym__compound_type_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2188),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_LT2] = ACTIONS(2607),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
    [sym__dedent] = ACTIONS(2190),
  },
  [889] = {
    [sym_xml_doc] = STATE(889),
    [sym_block_comment] = STATE(889),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_module] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_POUNDnowarn] = ACTIONS(2036),
    [anon_sym_POUNDr] = ACTIONS(2036),
    [anon_sym_POUNDload] = ACTIONS(2036),
    [anon_sym_open] = ACTIONS(2038),
    [anon_sym_LBRACK_LT] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_type] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_DOT_DOT2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__dedent] = ACTIONS(2036),
  },
  [890] = {
    [sym_xml_doc] = STATE(890),
    [sym_block_comment] = STATE(890),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_module] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_POUNDnowarn] = ACTIONS(2664),
    [anon_sym_POUNDr] = ACTIONS(2664),
    [anon_sym_POUNDload] = ACTIONS(2664),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_LBRACK_LT] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_type] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_with] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_DOT_DOT2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
    [sym__dedent] = ACTIONS(2664),
  },
  [891] = {
    [sym_xml_doc] = STATE(891),
    [sym_block_comment] = STATE(891),
    [ts_builtin_sym_end] = ACTIONS(2581),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_module] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_POUNDnowarn] = ACTIONS(2581),
    [anon_sym_POUNDr] = ACTIONS(2581),
    [anon_sym_POUNDload] = ACTIONS(2581),
    [anon_sym_open] = ACTIONS(2579),
    [anon_sym_LBRACK_LT] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_type] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
  },
  [892] = {
    [sym_type_arguments] = STATE(1196),
    [sym_long_identifier] = STATE(1179),
    [sym_xml_doc] = STATE(892),
    [sym_block_comment] = STATE(892),
    [aux_sym__compound_type_repeat1] = STATE(1154),
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_LT2] = ACTIONS(2672),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
    [sym__dedent] = ACTIONS(2150),
    [sym__else] = ACTIONS(2150),
    [sym__elif] = ACTIONS(2150),
  },
  [893] = {
    [sym_xml_doc] = STATE(893),
    [sym_block_comment] = STATE(893),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_module] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_POUNDnowarn] = ACTIONS(2678),
    [anon_sym_POUNDr] = ACTIONS(2678),
    [anon_sym_POUNDload] = ACTIONS(2678),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_LBRACK_LT] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_type] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_with] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_DOT_DOT2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
    [sym__dedent] = ACTIONS(2678),
  },
  [894] = {
    [sym_xml_doc] = STATE(894),
    [sym_block_comment] = STATE(894),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_module] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_POUNDnowarn] = ACTIONS(2682),
    [anon_sym_POUNDr] = ACTIONS(2682),
    [anon_sym_POUNDload] = ACTIONS(2682),
    [anon_sym_open] = ACTIONS(2680),
    [anon_sym_LBRACK_LT] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_type] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_with] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_DOT_DOT2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
    [sym__dedent] = ACTIONS(2682),
  },
  [895] = {
    [sym_xml_doc] = STATE(895),
    [sym_block_comment] = STATE(895),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_module] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_POUNDnowarn] = ACTIONS(2686),
    [anon_sym_POUNDr] = ACTIONS(2686),
    [anon_sym_POUNDload] = ACTIONS(2686),
    [anon_sym_open] = ACTIONS(2684),
    [anon_sym_LBRACK_LT] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_type] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_with] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_DOT_DOT2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
    [sym__dedent] = ACTIONS(2686),
  },
  [896] = {
    [sym_xml_doc] = STATE(896),
    [sym_block_comment] = STATE(896),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_module] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_POUNDnowarn] = ACTIONS(2690),
    [anon_sym_POUNDr] = ACTIONS(2690),
    [anon_sym_POUNDload] = ACTIONS(2690),
    [anon_sym_open] = ACTIONS(2688),
    [anon_sym_LBRACK_LT] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_type] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_with] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_DOT_DOT2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
    [sym__dedent] = ACTIONS(2690),
  },
  [897] = {
    [sym_xml_doc] = STATE(897),
    [sym_block_comment] = STATE(897),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_module] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_POUNDnowarn] = ACTIONS(2694),
    [anon_sym_POUNDr] = ACTIONS(2694),
    [anon_sym_POUNDload] = ACTIONS(2694),
    [anon_sym_open] = ACTIONS(2692),
    [anon_sym_LBRACK_LT] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_type] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_with] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_DOT_DOT2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
    [sym__dedent] = ACTIONS(2694),
  },
  [898] = {
    [sym_xml_doc] = STATE(898),
    [sym_block_comment] = STATE(898),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_module] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_POUNDnowarn] = ACTIONS(2698),
    [anon_sym_POUNDr] = ACTIONS(2698),
    [anon_sym_POUNDload] = ACTIONS(2698),
    [anon_sym_open] = ACTIONS(2696),
    [anon_sym_LBRACK_LT] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_type] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_with] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_DOT_DOT2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
    [sym__dedent] = ACTIONS(2698),
  },
  [899] = {
    [sym_xml_doc] = STATE(899),
    [sym_block_comment] = STATE(899),
    [ts_builtin_sym_end] = ACTIONS(2573),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_namespace] = ACTIONS(2571),
    [anon_sym_module] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_POUNDnowarn] = ACTIONS(2573),
    [anon_sym_POUNDr] = ACTIONS(2573),
    [anon_sym_POUNDload] = ACTIONS(2573),
    [anon_sym_open] = ACTIONS(2571),
    [anon_sym_LBRACK_LT] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_type] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [900] = {
    [sym_xml_doc] = STATE(900),
    [sym_block_comment] = STATE(900),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_POUNDnowarn] = ACTIONS(2702),
    [anon_sym_POUNDr] = ACTIONS(2702),
    [anon_sym_POUNDload] = ACTIONS(2702),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_LBRACK_LT] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_type] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_with] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_DOT_DOT2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
    [sym__dedent] = ACTIONS(2702),
  },
  [901] = {
    [sym_xml_doc] = STATE(901),
    [sym_block_comment] = STATE(901),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_module] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_POUNDnowarn] = ACTIONS(2706),
    [anon_sym_POUNDr] = ACTIONS(2706),
    [anon_sym_POUNDload] = ACTIONS(2706),
    [anon_sym_open] = ACTIONS(2704),
    [anon_sym_LBRACK_LT] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_type] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_with] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_DOT_DOT2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
    [sym__dedent] = ACTIONS(2706),
  },
  [902] = {
    [sym_xml_doc] = STATE(902),
    [sym_block_comment] = STATE(902),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_POUNDnowarn] = ACTIONS(2710),
    [anon_sym_POUNDr] = ACTIONS(2710),
    [anon_sym_POUNDload] = ACTIONS(2710),
    [anon_sym_open] = ACTIONS(2708),
    [anon_sym_LBRACK_LT] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_type] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_DOT_DOT2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
    [sym__dedent] = ACTIONS(2710),
  },
  [903] = {
    [sym_xml_doc] = STATE(903),
    [sym_block_comment] = STATE(903),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_module] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_POUNDnowarn] = ACTIONS(2714),
    [anon_sym_POUNDr] = ACTIONS(2714),
    [anon_sym_POUNDload] = ACTIONS(2714),
    [anon_sym_open] = ACTIONS(2712),
    [anon_sym_LBRACK_LT] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_type] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_with] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_DOT_DOT2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
    [sym__dedent] = ACTIONS(2714),
  },
  [904] = {
    [sym_xml_doc] = STATE(904),
    [sym_block_comment] = STATE(904),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_POUNDnowarn] = ACTIONS(2718),
    [anon_sym_POUNDr] = ACTIONS(2718),
    [anon_sym_POUNDload] = ACTIONS(2718),
    [anon_sym_open] = ACTIONS(2716),
    [anon_sym_LBRACK_LT] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_with] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_DOT_DOT2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
    [sym__dedent] = ACTIONS(2718),
  },
  [905] = {
    [sym_xml_doc] = STATE(905),
    [sym_block_comment] = STATE(905),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_POUNDnowarn] = ACTIONS(2722),
    [anon_sym_POUNDr] = ACTIONS(2722),
    [anon_sym_POUNDload] = ACTIONS(2722),
    [anon_sym_open] = ACTIONS(2720),
    [anon_sym_LBRACK_LT] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_DOT_DOT2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
    [sym__dedent] = ACTIONS(2722),
  },
  [906] = {
    [sym_xml_doc] = STATE(906),
    [sym_block_comment] = STATE(906),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_module] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_POUNDnowarn] = ACTIONS(2726),
    [anon_sym_POUNDr] = ACTIONS(2726),
    [anon_sym_POUNDload] = ACTIONS(2726),
    [anon_sym_open] = ACTIONS(2724),
    [anon_sym_LBRACK_LT] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_type] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_DOT_DOT2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
    [sym__dedent] = ACTIONS(2726),
  },
  [907] = {
    [sym_type_arguments] = STATE(1189),
    [sym_long_identifier] = STATE(1200),
    [sym_xml_doc] = STATE(907),
    [sym_block_comment] = STATE(907),
    [aux_sym__compound_type_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_as] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_with] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2603),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_LT2] = ACTIONS(2607),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2609),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
    [sym__dedent] = ACTIONS(2150),
  },
  [908] = {
    [sym_xml_doc] = STATE(908),
    [sym_block_comment] = STATE(908),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_module] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_POUNDnowarn] = ACTIONS(2730),
    [anon_sym_POUNDr] = ACTIONS(2730),
    [anon_sym_POUNDload] = ACTIONS(2730),
    [anon_sym_open] = ACTIONS(2728),
    [anon_sym_LBRACK_LT] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_type] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_with] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_DOT_DOT2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
    [sym__dedent] = ACTIONS(2730),
  },
  [909] = {
    [sym_xml_doc] = STATE(909),
    [sym_block_comment] = STATE(909),
    [ts_builtin_sym_end] = ACTIONS(2589),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_module] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_POUNDnowarn] = ACTIONS(2589),
    [anon_sym_POUNDr] = ACTIONS(2589),
    [anon_sym_POUNDload] = ACTIONS(2589),
    [anon_sym_open] = ACTIONS(2587),
    [anon_sym_LBRACK_LT] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_type] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
  },
  [910] = {
    [sym_xml_doc] = STATE(910),
    [sym_block_comment] = STATE(910),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_module] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_POUNDnowarn] = ACTIONS(2736),
    [anon_sym_POUNDr] = ACTIONS(2736),
    [anon_sym_POUNDload] = ACTIONS(2736),
    [anon_sym_open] = ACTIONS(2734),
    [anon_sym_LBRACK_LT] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_type] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_with] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_DOT_DOT2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
    [sym__dedent] = ACTIONS(2736),
  },
  [911] = {
    [sym_xml_doc] = STATE(911),
    [sym_block_comment] = STATE(911),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_module] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_POUNDnowarn] = ACTIONS(2740),
    [anon_sym_POUNDr] = ACTIONS(2740),
    [anon_sym_POUNDload] = ACTIONS(2740),
    [anon_sym_open] = ACTIONS(2738),
    [anon_sym_LBRACK_LT] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_with] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_DOT_DOT2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
    [sym__dedent] = ACTIONS(2740),
  },
  [912] = {
    [sym_xml_doc] = STATE(912),
    [sym_block_comment] = STATE(912),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_module] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_POUNDnowarn] = ACTIONS(2744),
    [anon_sym_POUNDr] = ACTIONS(2744),
    [anon_sym_POUNDload] = ACTIONS(2744),
    [anon_sym_open] = ACTIONS(2742),
    [anon_sym_LBRACK_LT] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_type] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_DOT_DOT2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
    [sym__dedent] = ACTIONS(2744),
  },
  [913] = {
    [sym_xml_doc] = STATE(913),
    [sym_block_comment] = STATE(913),
    [aux_sym_rules_repeat1] = STATE(872),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_GT_RBRACK] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_RBRACK] = ACTIONS(2498),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_to] = ACTIONS(2496),
    [anon_sym_downto] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_end] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_DOT_DOT2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2746),
  },
  [914] = {
    [sym_xml_doc] = STATE(914),
    [sym_block_comment] = STATE(914),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_module] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_POUNDnowarn] = ACTIONS(2751),
    [anon_sym_POUNDr] = ACTIONS(2751),
    [anon_sym_POUNDload] = ACTIONS(2751),
    [anon_sym_open] = ACTIONS(2749),
    [anon_sym_LBRACK_LT] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_type] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_with] = ACTIONS(2749),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_DOT_DOT2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
    [sym__dedent] = ACTIONS(2751),
  },
  [915] = {
    [sym_xml_doc] = STATE(915),
    [sym_block_comment] = STATE(915),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_module] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_POUNDnowarn] = ACTIONS(2755),
    [anon_sym_POUNDr] = ACTIONS(2755),
    [anon_sym_POUNDload] = ACTIONS(2755),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_LBRACK_LT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_type] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_with] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_DOT_DOT2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
    [sym__dedent] = ACTIONS(2755),
  },
  [916] = {
    [sym_xml_doc] = STATE(916),
    [sym_block_comment] = STATE(916),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_module] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_POUNDnowarn] = ACTIONS(2759),
    [anon_sym_POUNDr] = ACTIONS(2759),
    [anon_sym_POUNDload] = ACTIONS(2759),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_LBRACK_LT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_type] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_with] = ACTIONS(2757),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_DOT_DOT2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
    [sym__dedent] = ACTIONS(2759),
  },
  [917] = {
    [sym_xml_doc] = STATE(917),
    [sym_block_comment] = STATE(917),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_module] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_POUNDnowarn] = ACTIONS(2763),
    [anon_sym_POUNDr] = ACTIONS(2763),
    [anon_sym_POUNDload] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2761),
    [anon_sym_LBRACK_LT] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_type] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_with] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_DOT_DOT2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
    [sym__dedent] = ACTIONS(2763),
  },
  [918] = {
    [sym_xml_doc] = STATE(918),
    [sym_block_comment] = STATE(918),
    [aux_sym_long_identifier_repeat1] = STATE(869),
    [ts_builtin_sym_end] = ACTIONS(2373),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_POUNDnowarn] = ACTIONS(2373),
    [anon_sym_POUNDr] = ACTIONS(2373),
    [anon_sym_POUNDload] = ACTIONS(2373),
    [anon_sym_open] = ACTIONS(2370),
    [anon_sym_LBRACK_LT] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [919] = {
    [sym_xml_doc] = STATE(919),
    [sym_block_comment] = STATE(919),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_module] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_POUNDnowarn] = ACTIONS(2771),
    [anon_sym_POUNDr] = ACTIONS(2771),
    [anon_sym_POUNDload] = ACTIONS(2771),
    [anon_sym_open] = ACTIONS(2769),
    [anon_sym_LBRACK_LT] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_type] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_with] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_DOT_DOT2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
    [sym__dedent] = ACTIONS(2771),
  },
  [920] = {
    [sym_xml_doc] = STATE(920),
    [sym_block_comment] = STATE(920),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_module] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_POUNDnowarn] = ACTIONS(2775),
    [anon_sym_POUNDr] = ACTIONS(2775),
    [anon_sym_POUNDload] = ACTIONS(2775),
    [anon_sym_open] = ACTIONS(2773),
    [anon_sym_LBRACK_LT] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_type] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_with] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_DOT_DOT2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
    [sym__dedent] = ACTIONS(2775),
  },
  [921] = {
    [sym_xml_doc] = STATE(921),
    [sym_block_comment] = STATE(921),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_module] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_POUNDnowarn] = ACTIONS(2779),
    [anon_sym_POUNDr] = ACTIONS(2779),
    [anon_sym_POUNDload] = ACTIONS(2779),
    [anon_sym_open] = ACTIONS(2777),
    [anon_sym_LBRACK_LT] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_type] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_with] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_DOT_DOT2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
    [sym__dedent] = ACTIONS(2779),
  },
  [922] = {
    [sym_xml_doc] = STATE(922),
    [sym_block_comment] = STATE(922),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_module] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_POUNDnowarn] = ACTIONS(2783),
    [anon_sym_POUNDr] = ACTIONS(2783),
    [anon_sym_POUNDload] = ACTIONS(2783),
    [anon_sym_open] = ACTIONS(2781),
    [anon_sym_LBRACK_LT] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_type] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_with] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_DOT_DOT2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
    [sym__dedent] = ACTIONS(2783),
  },
  [923] = {
    [sym_xml_doc] = STATE(923),
    [sym_block_comment] = STATE(923),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_module] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_POUNDnowarn] = ACTIONS(2787),
    [anon_sym_POUNDr] = ACTIONS(2787),
    [anon_sym_POUNDload] = ACTIONS(2787),
    [anon_sym_open] = ACTIONS(2785),
    [anon_sym_LBRACK_LT] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_type] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_with] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_DOT_DOT2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
    [sym__dedent] = ACTIONS(2787),
  },
  [924] = {
    [sym_xml_doc] = STATE(924),
    [sym_block_comment] = STATE(924),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_POUNDnowarn] = ACTIONS(2791),
    [anon_sym_POUNDr] = ACTIONS(2791),
    [anon_sym_POUNDload] = ACTIONS(2791),
    [anon_sym_open] = ACTIONS(2789),
    [anon_sym_LBRACK_LT] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_type] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_with] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_DOT_DOT2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
    [sym__dedent] = ACTIONS(2791),
  },
  [925] = {
    [sym_xml_doc] = STATE(925),
    [sym_block_comment] = STATE(925),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_module] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_POUNDnowarn] = ACTIONS(2795),
    [anon_sym_POUNDr] = ACTIONS(2795),
    [anon_sym_POUNDload] = ACTIONS(2795),
    [anon_sym_open] = ACTIONS(2793),
    [anon_sym_LBRACK_LT] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_type] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_with] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_DOT_DOT2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
    [sym__dedent] = ACTIONS(2795),
  },
  [926] = {
    [sym_xml_doc] = STATE(926),
    [sym_block_comment] = STATE(926),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_module] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_POUNDnowarn] = ACTIONS(2799),
    [anon_sym_POUNDr] = ACTIONS(2799),
    [anon_sym_POUNDload] = ACTIONS(2799),
    [anon_sym_open] = ACTIONS(2797),
    [anon_sym_LBRACK_LT] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_type] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_with] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_DOT_DOT2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
    [sym__dedent] = ACTIONS(2799),
  },
  [927] = {
    [sym_xml_doc] = STATE(927),
    [sym_block_comment] = STATE(927),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_module] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_POUNDnowarn] = ACTIONS(2803),
    [anon_sym_POUNDr] = ACTIONS(2803),
    [anon_sym_POUNDload] = ACTIONS(2803),
    [anon_sym_open] = ACTIONS(2801),
    [anon_sym_LBRACK_LT] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_type] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_with] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_DOT_DOT2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
    [sym__dedent] = ACTIONS(2803),
  },
  [928] = {
    [sym_xml_doc] = STATE(928),
    [sym_block_comment] = STATE(928),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_POUNDnowarn] = ACTIONS(2807),
    [anon_sym_POUNDr] = ACTIONS(2807),
    [anon_sym_POUNDload] = ACTIONS(2807),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_LBRACK_LT] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_with] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_DOT_DOT2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
    [sym__dedent] = ACTIONS(2807),
  },
  [929] = {
    [sym_xml_doc] = STATE(929),
    [sym_block_comment] = STATE(929),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_module] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_POUNDnowarn] = ACTIONS(2811),
    [anon_sym_POUNDr] = ACTIONS(2811),
    [anon_sym_POUNDload] = ACTIONS(2811),
    [anon_sym_open] = ACTIONS(2809),
    [anon_sym_LBRACK_LT] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_type] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_with] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_DOT_DOT2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
    [sym__dedent] = ACTIONS(2811),
  },
  [930] = {
    [sym_xml_doc] = STATE(930),
    [sym_block_comment] = STATE(930),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_module] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_POUNDnowarn] = ACTIONS(2815),
    [anon_sym_POUNDr] = ACTIONS(2815),
    [anon_sym_POUNDload] = ACTIONS(2815),
    [anon_sym_open] = ACTIONS(2813),
    [anon_sym_LBRACK_LT] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_type] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_with] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_DOT_DOT2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
    [sym__dedent] = ACTIONS(2815),
  },
  [931] = {
    [sym_xml_doc] = STATE(931),
    [sym_block_comment] = STATE(931),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_module] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_POUNDnowarn] = ACTIONS(2819),
    [anon_sym_POUNDr] = ACTIONS(2819),
    [anon_sym_POUNDload] = ACTIONS(2819),
    [anon_sym_open] = ACTIONS(2817),
    [anon_sym_LBRACK_LT] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_type] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_with] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_DOT_DOT2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
    [sym__dedent] = ACTIONS(2819),
  },
  [932] = {
    [sym_xml_doc] = STATE(932),
    [sym_block_comment] = STATE(932),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_module] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_POUNDnowarn] = ACTIONS(2823),
    [anon_sym_POUNDr] = ACTIONS(2823),
    [anon_sym_POUNDload] = ACTIONS(2823),
    [anon_sym_open] = ACTIONS(2821),
    [anon_sym_LBRACK_LT] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_type] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_with] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_DOT_DOT2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
    [sym__dedent] = ACTIONS(2823),
  },
  [933] = {
    [sym_xml_doc] = STATE(933),
    [sym_block_comment] = STATE(933),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_module] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_POUNDnowarn] = ACTIONS(2827),
    [anon_sym_POUNDr] = ACTIONS(2827),
    [anon_sym_POUNDload] = ACTIONS(2827),
    [anon_sym_open] = ACTIONS(2825),
    [anon_sym_LBRACK_LT] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_type] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_with] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_DOT_DOT2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
    [sym__dedent] = ACTIONS(2827),
  },
  [934] = {
    [sym_xml_doc] = STATE(934),
    [sym_block_comment] = STATE(934),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_POUNDnowarn] = ACTIONS(2831),
    [anon_sym_POUNDr] = ACTIONS(2831),
    [anon_sym_POUNDload] = ACTIONS(2831),
    [anon_sym_open] = ACTIONS(2829),
    [anon_sym_LBRACK_LT] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_type] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_with] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_DOT_DOT2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
    [sym__dedent] = ACTIONS(2831),
  },
  [935] = {
    [sym_xml_doc] = STATE(935),
    [sym_block_comment] = STATE(935),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_module] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_POUNDnowarn] = ACTIONS(2835),
    [anon_sym_POUNDr] = ACTIONS(2835),
    [anon_sym_POUNDload] = ACTIONS(2835),
    [anon_sym_open] = ACTIONS(2833),
    [anon_sym_LBRACK_LT] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_type] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_with] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_DOT_DOT2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
    [sym__dedent] = ACTIONS(2835),
  },
  [936] = {
    [sym_xml_doc] = STATE(936),
    [sym_block_comment] = STATE(936),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_module] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_POUNDnowarn] = ACTIONS(2839),
    [anon_sym_POUNDr] = ACTIONS(2839),
    [anon_sym_POUNDload] = ACTIONS(2839),
    [anon_sym_open] = ACTIONS(2837),
    [anon_sym_LBRACK_LT] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_type] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_with] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_DOT_DOT2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
    [sym__dedent] = ACTIONS(2839),
  },
  [937] = {
    [sym_xml_doc] = STATE(937),
    [sym_block_comment] = STATE(937),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_module] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_POUNDnowarn] = ACTIONS(2843),
    [anon_sym_POUNDr] = ACTIONS(2843),
    [anon_sym_POUNDload] = ACTIONS(2843),
    [anon_sym_open] = ACTIONS(2841),
    [anon_sym_LBRACK_LT] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_type] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_with] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_DOT_DOT2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
    [sym__dedent] = ACTIONS(2843),
  },
  [938] = {
    [sym_xml_doc] = STATE(938),
    [sym_block_comment] = STATE(938),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_module] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_POUNDnowarn] = ACTIONS(2847),
    [anon_sym_POUNDr] = ACTIONS(2847),
    [anon_sym_POUNDload] = ACTIONS(2847),
    [anon_sym_open] = ACTIONS(2845),
    [anon_sym_LBRACK_LT] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_type] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_with] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_DOT_DOT2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
    [sym__dedent] = ACTIONS(2847),
  },
  [939] = {
    [sym_xml_doc] = STATE(939),
    [sym_block_comment] = STATE(939),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_module] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_POUNDnowarn] = ACTIONS(2851),
    [anon_sym_POUNDr] = ACTIONS(2851),
    [anon_sym_POUNDload] = ACTIONS(2851),
    [anon_sym_open] = ACTIONS(2849),
    [anon_sym_LBRACK_LT] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_type] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_with] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_DOT_DOT2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
    [sym__dedent] = ACTIONS(2851),
  },
  [940] = {
    [sym_xml_doc] = STATE(940),
    [sym_block_comment] = STATE(940),
    [aux_sym_sequential_expression_repeat1] = STATE(940),
    [ts_builtin_sym_end] = ACTIONS(2853),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_namespace] = ACTIONS(2855),
    [anon_sym_module] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_POUNDnowarn] = ACTIONS(2853),
    [anon_sym_POUNDr] = ACTIONS(2853),
    [anon_sym_POUNDload] = ACTIONS(2853),
    [anon_sym_open] = ACTIONS(2855),
    [anon_sym_LBRACK_LT] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_type] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2857),
  },
  [941] = {
    [sym_xml_doc] = STATE(941),
    [sym_block_comment] = STATE(941),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_module] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_POUNDnowarn] = ACTIONS(2862),
    [anon_sym_POUNDr] = ACTIONS(2862),
    [anon_sym_POUNDload] = ACTIONS(2862),
    [anon_sym_open] = ACTIONS(2860),
    [anon_sym_LBRACK_LT] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_type] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_with] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_DOT_DOT2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
    [sym__dedent] = ACTIONS(2862),
  },
  [942] = {
    [sym_xml_doc] = STATE(942),
    [sym_block_comment] = STATE(942),
    [aux_sym_rules_repeat1] = STATE(886),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_GT_RBRACK] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_RBRACK] = ACTIONS(2498),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_to] = ACTIONS(2496),
    [anon_sym_downto] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_end] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_DOT_DOT2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2746),
  },
  [943] = {
    [sym_xml_doc] = STATE(943),
    [sym_block_comment] = STATE(943),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_POUNDnowarn] = ACTIONS(2866),
    [anon_sym_POUNDr] = ACTIONS(2866),
    [anon_sym_POUNDload] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2864),
    [anon_sym_LBRACK_LT] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_with] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_DOT_DOT2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
    [sym__dedent] = ACTIONS(2866),
  },
  [944] = {
    [sym_xml_doc] = STATE(944),
    [sym_block_comment] = STATE(944),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_module] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_POUNDnowarn] = ACTIONS(2870),
    [anon_sym_POUNDr] = ACTIONS(2870),
    [anon_sym_POUNDload] = ACTIONS(2870),
    [anon_sym_open] = ACTIONS(2868),
    [anon_sym_LBRACK_LT] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_type] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_with] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_DOT_DOT2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
    [sym__dedent] = ACTIONS(2870),
  },
  [945] = {
    [sym_xml_doc] = STATE(945),
    [sym_block_comment] = STATE(945),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_module] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_POUNDnowarn] = ACTIONS(2874),
    [anon_sym_POUNDr] = ACTIONS(2874),
    [anon_sym_POUNDload] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2872),
    [anon_sym_LBRACK_LT] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_type] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_with] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_DOT_DOT2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
    [sym__dedent] = ACTIONS(2874),
  },
  [946] = {
    [sym_xml_doc] = STATE(946),
    [sym_block_comment] = STATE(946),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_module] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_POUNDnowarn] = ACTIONS(2878),
    [anon_sym_POUNDr] = ACTIONS(2878),
    [anon_sym_POUNDload] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2876),
    [anon_sym_LBRACK_LT] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_type] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_with] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_DOT_DOT2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
    [sym__dedent] = ACTIONS(2878),
  },
  [947] = {
    [sym_xml_doc] = STATE(947),
    [sym_block_comment] = STATE(947),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_module] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_POUNDnowarn] = ACTIONS(2882),
    [anon_sym_POUNDr] = ACTIONS(2882),
    [anon_sym_POUNDload] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2880),
    [anon_sym_LBRACK_LT] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_type] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_with] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_DOT_DOT2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
    [sym__dedent] = ACTIONS(2882),
  },
  [948] = {
    [sym_xml_doc] = STATE(948),
    [sym_block_comment] = STATE(948),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_module] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_POUNDnowarn] = ACTIONS(2886),
    [anon_sym_POUNDr] = ACTIONS(2886),
    [anon_sym_POUNDload] = ACTIONS(2886),
    [anon_sym_open] = ACTIONS(2884),
    [anon_sym_LBRACK_LT] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_type] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_with] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_DOT_DOT2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
    [sym__dedent] = ACTIONS(2886),
  },
  [949] = {
    [sym_xml_doc] = STATE(949),
    [sym_block_comment] = STATE(949),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_module] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_POUNDnowarn] = ACTIONS(2890),
    [anon_sym_POUNDr] = ACTIONS(2890),
    [anon_sym_POUNDload] = ACTIONS(2890),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_LBRACK_LT] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_type] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_with] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_DOT_DOT2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
    [sym__dedent] = ACTIONS(2890),
  },
  [950] = {
    [sym_type_arguments] = STATE(1196),
    [sym_long_identifier] = STATE(1179),
    [sym_xml_doc] = STATE(950),
    [sym_block_comment] = STATE(950),
    [aux_sym__compound_type_repeat1] = STATE(1154),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_LT2] = ACTIONS(2672),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
    [sym__dedent] = ACTIONS(2190),
    [sym__else] = ACTIONS(2190),
    [sym__elif] = ACTIONS(2190),
  },
  [951] = {
    [sym_xml_doc] = STATE(951),
    [sym_block_comment] = STATE(951),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_module] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_POUNDnowarn] = ACTIONS(2894),
    [anon_sym_POUNDr] = ACTIONS(2894),
    [anon_sym_POUNDload] = ACTIONS(2894),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_LBRACK_LT] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_type] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_with] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_DOT_DOT2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
    [sym__dedent] = ACTIONS(2894),
  },
  [952] = {
    [sym_xml_doc] = STATE(952),
    [sym_block_comment] = STATE(952),
    [ts_builtin_sym_end] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_POUNDnowarn] = ACTIONS(2569),
    [anon_sym_POUNDr] = ACTIONS(2569),
    [anon_sym_POUNDload] = ACTIONS(2569),
    [anon_sym_open] = ACTIONS(2567),
    [anon_sym_LBRACK_LT] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
  },
  [953] = {
    [sym_xml_doc] = STATE(953),
    [sym_block_comment] = STATE(953),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_module] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_POUNDnowarn] = ACTIONS(2898),
    [anon_sym_POUNDr] = ACTIONS(2898),
    [anon_sym_POUNDload] = ACTIONS(2898),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_LBRACK_LT] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_type] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_with] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_DOT_DOT2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
    [sym__dedent] = ACTIONS(2898),
  },
  [954] = {
    [sym_xml_doc] = STATE(954),
    [sym_block_comment] = STATE(954),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_POUNDnowarn] = ACTIONS(2902),
    [anon_sym_POUNDr] = ACTIONS(2902),
    [anon_sym_POUNDload] = ACTIONS(2902),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_LBRACK_LT] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_with] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_DOT_DOT2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
    [sym__dedent] = ACTIONS(2902),
  },
  [955] = {
    [sym_xml_doc] = STATE(955),
    [sym_block_comment] = STATE(955),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_module] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_POUNDnowarn] = ACTIONS(2906),
    [anon_sym_POUNDr] = ACTIONS(2906),
    [anon_sym_POUNDload] = ACTIONS(2906),
    [anon_sym_open] = ACTIONS(2904),
    [anon_sym_LBRACK_LT] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_type] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_with] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_DOT_DOT2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
    [sym__dedent] = ACTIONS(2906),
  },
  [956] = {
    [sym_xml_doc] = STATE(956),
    [sym_block_comment] = STATE(956),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_POUNDnowarn] = ACTIONS(2910),
    [anon_sym_POUNDr] = ACTIONS(2910),
    [anon_sym_POUNDload] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2908),
    [anon_sym_LBRACK_LT] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_type] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_with] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_DOT_DOT2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
    [sym__dedent] = ACTIONS(2910),
  },
  [957] = {
    [sym_xml_doc] = STATE(957),
    [sym_block_comment] = STATE(957),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_POUNDnowarn] = ACTIONS(2914),
    [anon_sym_POUNDr] = ACTIONS(2914),
    [anon_sym_POUNDload] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2912),
    [anon_sym_LBRACK_LT] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_type] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_with] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_DOT_DOT2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
    [sym__dedent] = ACTIONS(2914),
  },
  [958] = {
    [sym_xml_doc] = STATE(958),
    [sym_block_comment] = STATE(958),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_module] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_POUNDnowarn] = ACTIONS(2918),
    [anon_sym_POUNDr] = ACTIONS(2918),
    [anon_sym_POUNDload] = ACTIONS(2918),
    [anon_sym_open] = ACTIONS(2916),
    [anon_sym_LBRACK_LT] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_with] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_DOT_DOT2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
    [sym__dedent] = ACTIONS(2918),
  },
  [959] = {
    [sym_type_arguments] = STATE(1196),
    [sym_long_identifier] = STATE(1179),
    [sym_xml_doc] = STATE(959),
    [sym_block_comment] = STATE(959),
    [aux_sym__compound_type_repeat1] = STATE(1154),
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_LT2] = ACTIONS(2672),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
    [sym__dedent] = ACTIONS(2194),
    [sym__else] = ACTIONS(2194),
    [sym__elif] = ACTIONS(2194),
  },
  [960] = {
    [sym_xml_doc] = STATE(960),
    [sym_block_comment] = STATE(960),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_POUNDnowarn] = ACTIONS(2412),
    [anon_sym_POUNDr] = ACTIONS(2412),
    [anon_sym_POUNDload] = ACTIONS(2412),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_LBRACK_LT] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_DOT_DOT2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
  },
  [961] = {
    [sym_xml_doc] = STATE(961),
    [sym_block_comment] = STATE(961),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_GT_RBRACK] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_RBRACK] = ACTIONS(2535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_to] = ACTIONS(2533),
    [anon_sym_downto] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2533),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_end] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_DOT_DOT2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [962] = {
    [sym_type_arguments] = STATE(1196),
    [sym_long_identifier] = STATE(1179),
    [sym_xml_doc] = STATE(962),
    [sym_block_comment] = STATE(962),
    [aux_sym__compound_type_repeat1] = STATE(1154),
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_LT2] = ACTIONS(2672),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__dedent] = ACTIONS(2232),
    [sym__else] = ACTIONS(2232),
    [sym__elif] = ACTIONS(2232),
  },
  [963] = {
    [sym_xml_doc] = STATE(963),
    [sym_block_comment] = STATE(963),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_POUNDnowarn] = ACTIONS(2412),
    [anon_sym_POUNDr] = ACTIONS(2412),
    [anon_sym_POUNDload] = ACTIONS(2412),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_LBRACK_LT] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_DOT_DOT2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
  },
  [964] = {
    [sym_type_arguments] = STATE(1196),
    [sym_long_identifier] = STATE(1179),
    [sym_xml_doc] = STATE(964),
    [sym_block_comment] = STATE(964),
    [aux_sym__compound_type_repeat1] = STATE(1154),
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_LT2] = ACTIONS(2672),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
    [sym__dedent] = ACTIONS(2228),
    [sym__else] = ACTIONS(2228),
    [sym__elif] = ACTIONS(2228),
  },
  [965] = {
    [sym_xml_doc] = STATE(965),
    [sym_block_comment] = STATE(965),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_module] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_POUNDnowarn] = ACTIONS(2922),
    [anon_sym_POUNDr] = ACTIONS(2922),
    [anon_sym_POUNDload] = ACTIONS(2922),
    [anon_sym_open] = ACTIONS(2920),
    [anon_sym_LBRACK_LT] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_type] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_with] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_DOT_DOT2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
    [sym__dedent] = ACTIONS(2922),
  },
  [966] = {
    [sym_xml_doc] = STATE(966),
    [sym_block_comment] = STATE(966),
    [ts_builtin_sym_end] = ACTIONS(2759),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_namespace] = ACTIONS(2757),
    [anon_sym_module] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_POUNDnowarn] = ACTIONS(2759),
    [anon_sym_POUNDr] = ACTIONS(2759),
    [anon_sym_POUNDload] = ACTIONS(2759),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_LBRACK_LT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_type] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
  },
  [967] = {
    [sym_type_arguments] = STATE(1213),
    [sym_long_identifier] = STATE(1221),
    [sym_xml_doc] = STATE(967),
    [sym_block_comment] = STATE(967),
    [aux_sym__compound_type_repeat1] = STATE(1168),
    [sym_identifier] = ACTIONS(2924),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2926),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_LT2] = ACTIONS(2930),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
    [sym__else] = ACTIONS(2194),
    [sym__elif] = ACTIONS(2194),
  },
  [968] = {
    [sym_xml_doc] = STATE(968),
    [sym_block_comment] = STATE(968),
    [ts_builtin_sym_end] = ACTIONS(2755),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_module] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_POUNDnowarn] = ACTIONS(2755),
    [anon_sym_POUNDr] = ACTIONS(2755),
    [anon_sym_POUNDload] = ACTIONS(2755),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_LBRACK_LT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_type] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
  },
  [969] = {
    [sym_xml_doc] = STATE(969),
    [sym_block_comment] = STATE(969),
    [ts_builtin_sym_end] = ACTIONS(2779),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_module] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_POUNDnowarn] = ACTIONS(2779),
    [anon_sym_POUNDr] = ACTIONS(2779),
    [anon_sym_POUNDload] = ACTIONS(2779),
    [anon_sym_open] = ACTIONS(2777),
    [anon_sym_LBRACK_LT] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_type] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
  },
  [970] = {
    [sym_type_arguments] = STATE(1213),
    [sym_long_identifier] = STATE(1221),
    [sym_xml_doc] = STATE(970),
    [sym_block_comment] = STATE(970),
    [aux_sym__compound_type_repeat1] = STATE(1168),
    [sym_identifier] = ACTIONS(2924),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2926),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_LT2] = ACTIONS(2930),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__else] = ACTIONS(2232),
    [sym__elif] = ACTIONS(2232),
  },
  [971] = {
    [sym_xml_doc] = STATE(971),
    [sym_block_comment] = STATE(971),
    [ts_builtin_sym_end] = ACTIONS(2791),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_POUNDnowarn] = ACTIONS(2791),
    [anon_sym_POUNDr] = ACTIONS(2791),
    [anon_sym_POUNDload] = ACTIONS(2791),
    [anon_sym_open] = ACTIONS(2789),
    [anon_sym_LBRACK_LT] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_type] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
  },
  [972] = {
    [sym_xml_doc] = STATE(972),
    [sym_block_comment] = STATE(972),
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_module] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_POUNDnowarn] = ACTIONS(2823),
    [anon_sym_POUNDr] = ACTIONS(2823),
    [anon_sym_POUNDload] = ACTIONS(2823),
    [anon_sym_open] = ACTIONS(2821),
    [anon_sym_LBRACK_LT] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_type] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
  },
  [973] = {
    [sym_xml_doc] = STATE(973),
    [sym_block_comment] = STATE(973),
    [ts_builtin_sym_end] = ACTIONS(2751),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_namespace] = ACTIONS(2749),
    [anon_sym_module] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_POUNDnowarn] = ACTIONS(2751),
    [anon_sym_POUNDr] = ACTIONS(2751),
    [anon_sym_POUNDload] = ACTIONS(2751),
    [anon_sym_open] = ACTIONS(2749),
    [anon_sym_LBRACK_LT] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_type] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
  },
  [974] = {
    [sym_xml_doc] = STATE(974),
    [sym_block_comment] = STATE(974),
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_module] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_POUNDnowarn] = ACTIONS(2819),
    [anon_sym_POUNDr] = ACTIONS(2819),
    [anon_sym_POUNDload] = ACTIONS(2819),
    [anon_sym_open] = ACTIONS(2817),
    [anon_sym_LBRACK_LT] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_type] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
  },
  [975] = {
    [sym_xml_doc] = STATE(975),
    [sym_block_comment] = STATE(975),
    [ts_builtin_sym_end] = ACTIONS(2815),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_module] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_POUNDnowarn] = ACTIONS(2815),
    [anon_sym_POUNDr] = ACTIONS(2815),
    [anon_sym_POUNDload] = ACTIONS(2815),
    [anon_sym_open] = ACTIONS(2813),
    [anon_sym_LBRACK_LT] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_type] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
  },
  [976] = {
    [sym_xml_doc] = STATE(976),
    [sym_block_comment] = STATE(976),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_GT_RBRACK] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_RBRACK] = ACTIONS(2581),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_RBRACE] = ACTIONS(2581),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_with] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_to] = ACTIONS(2579),
    [anon_sym_downto] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_end] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_DOT_DOT2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
  },
  [977] = {
    [sym_xml_doc] = STATE(977),
    [sym_block_comment] = STATE(977),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_GT_RBRACK] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_RBRACK] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_RBRACE] = ACTIONS(2573),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_to] = ACTIONS(2571),
    [anon_sym_downto] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2934),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_end] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_DOT_DOT2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [978] = {
    [sym_type_arguments] = STATE(1213),
    [sym_long_identifier] = STATE(1221),
    [sym_xml_doc] = STATE(978),
    [sym_block_comment] = STATE(978),
    [aux_sym__compound_type_repeat1] = STATE(1168),
    [sym_identifier] = ACTIONS(2924),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2926),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_LT2] = ACTIONS(2930),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
    [sym__else] = ACTIONS(2228),
    [sym__elif] = ACTIONS(2228),
  },
  [979] = {
    [sym_xml_doc] = STATE(979),
    [sym_block_comment] = STATE(979),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_GT_RBRACK] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_RBRACK] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_RBRACE] = ACTIONS(2589),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_with] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_to] = ACTIONS(2587),
    [anon_sym_downto] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_end] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_DOT_DOT2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
  },
  [980] = {
    [sym_xml_doc] = STATE(980),
    [sym_block_comment] = STATE(980),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_GT_RBRACK] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_RBRACK] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_RBRACE] = ACTIONS(2573),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_to] = ACTIONS(2571),
    [anon_sym_downto] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2934),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_end] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [981] = {
    [sym_xml_doc] = STATE(981),
    [sym_block_comment] = STATE(981),
    [ts_builtin_sym_end] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_module] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_POUNDnowarn] = ACTIONS(2643),
    [anon_sym_POUNDr] = ACTIONS(2643),
    [anon_sym_POUNDload] = ACTIONS(2643),
    [anon_sym_open] = ACTIONS(2641),
    [anon_sym_LBRACK_LT] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_type] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
  },
  [982] = {
    [sym_xml_doc] = STATE(982),
    [sym_block_comment] = STATE(982),
    [ts_builtin_sym_end] = ACTIONS(2686),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_namespace] = ACTIONS(2684),
    [anon_sym_module] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_POUNDnowarn] = ACTIONS(2686),
    [anon_sym_POUNDr] = ACTIONS(2686),
    [anon_sym_POUNDload] = ACTIONS(2686),
    [anon_sym_open] = ACTIONS(2684),
    [anon_sym_LBRACK_LT] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_type] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
  },
  [983] = {
    [sym_xml_doc] = STATE(983),
    [sym_block_comment] = STATE(983),
    [ts_builtin_sym_end] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_POUNDnowarn] = ACTIONS(2831),
    [anon_sym_POUNDr] = ACTIONS(2831),
    [anon_sym_POUNDload] = ACTIONS(2831),
    [anon_sym_open] = ACTIONS(2829),
    [anon_sym_LBRACK_LT] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_type] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
  },
  [984] = {
    [sym_xml_doc] = STATE(984),
    [sym_block_comment] = STATE(984),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_GT_RBRACK] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_RBRACK] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2569),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_with] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_to] = ACTIONS(2567),
    [anon_sym_downto] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_end] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_DOT_DOT2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
  },
  [985] = {
    [sym_xml_doc] = STATE(985),
    [sym_block_comment] = STATE(985),
    [ts_builtin_sym_end] = ACTIONS(2811),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_module] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_POUNDnowarn] = ACTIONS(2811),
    [anon_sym_POUNDr] = ACTIONS(2811),
    [anon_sym_POUNDload] = ACTIONS(2811),
    [anon_sym_open] = ACTIONS(2809),
    [anon_sym_LBRACK_LT] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_type] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
  },
  [986] = {
    [sym_xml_doc] = STATE(986),
    [sym_block_comment] = STATE(986),
    [ts_builtin_sym_end] = ACTIONS(2635),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_POUNDnowarn] = ACTIONS(2635),
    [anon_sym_POUNDr] = ACTIONS(2635),
    [anon_sym_POUNDload] = ACTIONS(2635),
    [anon_sym_open] = ACTIONS(2633),
    [anon_sym_LBRACK_LT] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
  },
  [987] = {
    [sym_xml_doc] = STATE(987),
    [sym_block_comment] = STATE(987),
    [ts_builtin_sym_end] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_module] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_POUNDnowarn] = ACTIONS(2835),
    [anon_sym_POUNDr] = ACTIONS(2835),
    [anon_sym_POUNDload] = ACTIONS(2835),
    [anon_sym_open] = ACTIONS(2833),
    [anon_sym_LBRACK_LT] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_type] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
  },
  [988] = {
    [sym_xml_doc] = STATE(988),
    [sym_block_comment] = STATE(988),
    [ts_builtin_sym_end] = ACTIONS(2839),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_module] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_POUNDnowarn] = ACTIONS(2839),
    [anon_sym_POUNDr] = ACTIONS(2839),
    [anon_sym_POUNDload] = ACTIONS(2839),
    [anon_sym_open] = ACTIONS(2837),
    [anon_sym_LBRACK_LT] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_type] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
  },
  [989] = {
    [sym_xml_doc] = STATE(989),
    [sym_block_comment] = STATE(989),
    [ts_builtin_sym_end] = ACTIONS(2807),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_POUNDnowarn] = ACTIONS(2807),
    [anon_sym_POUNDr] = ACTIONS(2807),
    [anon_sym_POUNDload] = ACTIONS(2807),
    [anon_sym_open] = ACTIONS(2805),
    [anon_sym_LBRACK_LT] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
  },
  [990] = {
    [sym_xml_doc] = STATE(990),
    [sym_block_comment] = STATE(990),
    [aux_sym_long_identifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_GT_RBRACK] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_RBRACK] = ACTIONS(2339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_RBRACE] = ACTIONS(2339),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_to] = ACTIONS(2337),
    [anon_sym_downto] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(2938),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_end] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_DOT_DOT2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [991] = {
    [sym_type_arguments] = STATE(1213),
    [sym_long_identifier] = STATE(1221),
    [sym_xml_doc] = STATE(991),
    [sym_block_comment] = STATE(991),
    [aux_sym__compound_type_repeat1] = STATE(1168),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2926),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_LT2] = ACTIONS(2930),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
    [sym__else] = ACTIONS(2190),
    [sym__elif] = ACTIONS(2190),
  },
  [992] = {
    [sym_xml_doc] = STATE(992),
    [sym_block_comment] = STATE(992),
    [ts_builtin_sym_end] = ACTIONS(2577),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_module] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_POUNDnowarn] = ACTIONS(2577),
    [anon_sym_POUNDr] = ACTIONS(2577),
    [anon_sym_POUNDload] = ACTIONS(2577),
    [anon_sym_open] = ACTIONS(2649),
    [anon_sym_LBRACK_LT] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_type] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
  },
  [993] = {
    [sym_xml_doc] = STATE(993),
    [sym_block_comment] = STATE(993),
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_module] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_POUNDnowarn] = ACTIONS(2874),
    [anon_sym_POUNDr] = ACTIONS(2874),
    [anon_sym_POUNDload] = ACTIONS(2874),
    [anon_sym_open] = ACTIONS(2872),
    [anon_sym_LBRACK_LT] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_type] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
  },
  [994] = {
    [sym_xml_doc] = STATE(994),
    [sym_block_comment] = STATE(994),
    [ts_builtin_sym_end] = ACTIONS(2664),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_module] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_POUNDnowarn] = ACTIONS(2664),
    [anon_sym_POUNDr] = ACTIONS(2664),
    [anon_sym_POUNDload] = ACTIONS(2664),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_LBRACK_LT] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_type] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
  },
  [995] = {
    [sym_xml_doc] = STATE(995),
    [sym_block_comment] = STATE(995),
    [ts_builtin_sym_end] = ACTIONS(2619),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_module] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_POUNDnowarn] = ACTIONS(2619),
    [anon_sym_POUNDr] = ACTIONS(2619),
    [anon_sym_POUNDload] = ACTIONS(2619),
    [anon_sym_open] = ACTIONS(2617),
    [anon_sym_LBRACK_LT] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_type] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
  },
  [996] = {
    [sym_xml_doc] = STATE(996),
    [sym_block_comment] = STATE(996),
    [ts_builtin_sym_end] = ACTIONS(2847),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_module] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_POUNDnowarn] = ACTIONS(2847),
    [anon_sym_POUNDr] = ACTIONS(2847),
    [anon_sym_POUNDload] = ACTIONS(2847),
    [anon_sym_open] = ACTIONS(2845),
    [anon_sym_LBRACK_LT] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_type] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
  },
  [997] = {
    [sym_xml_doc] = STATE(997),
    [sym_block_comment] = STATE(997),
    [ts_builtin_sym_end] = ACTIONS(2918),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_module] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_POUNDnowarn] = ACTIONS(2918),
    [anon_sym_POUNDr] = ACTIONS(2918),
    [anon_sym_POUNDload] = ACTIONS(2918),
    [anon_sym_open] = ACTIONS(2916),
    [anon_sym_LBRACK_LT] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
  },
  [998] = {
    [sym_xml_doc] = STATE(998),
    [sym_block_comment] = STATE(998),
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_module] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_POUNDnowarn] = ACTIONS(2799),
    [anon_sym_POUNDr] = ACTIONS(2799),
    [anon_sym_POUNDload] = ACTIONS(2799),
    [anon_sym_open] = ACTIONS(2797),
    [anon_sym_LBRACK_LT] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_type] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
  },
  [999] = {
    [sym_xml_doc] = STATE(999),
    [sym_block_comment] = STATE(999),
    [ts_builtin_sym_end] = ACTIONS(2647),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_module] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_POUNDnowarn] = ACTIONS(2647),
    [anon_sym_POUNDr] = ACTIONS(2647),
    [anon_sym_POUNDload] = ACTIONS(2647),
    [anon_sym_open] = ACTIONS(2645),
    [anon_sym_LBRACK_LT] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_type] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
  },
  [1000] = {
    [sym_xml_doc] = STATE(1000),
    [sym_block_comment] = STATE(1000),
    [ts_builtin_sym_end] = ACTIONS(2639),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_module] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_POUNDnowarn] = ACTIONS(2639),
    [anon_sym_POUNDr] = ACTIONS(2639),
    [anon_sym_POUNDload] = ACTIONS(2639),
    [anon_sym_open] = ACTIONS(2637),
    [anon_sym_LBRACK_LT] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_type] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
  },
  [1001] = {
    [sym_xml_doc] = STATE(1001),
    [sym_block_comment] = STATE(1001),
    [ts_builtin_sym_end] = ACTIONS(2866),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_POUNDnowarn] = ACTIONS(2866),
    [anon_sym_POUNDr] = ACTIONS(2866),
    [anon_sym_POUNDload] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2864),
    [anon_sym_LBRACK_LT] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
  },
  [1002] = {
    [sym_xml_doc] = STATE(1002),
    [sym_block_comment] = STATE(1002),
    [aux_sym_long_identifier_repeat1] = STATE(990),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_GT_RBRACK] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_RBRACK] = ACTIONS(2373),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2373),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_to] = ACTIONS(2370),
    [anon_sym_downto] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(2940),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_end] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_DOT_DOT2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1003] = {
    [sym_xml_doc] = STATE(1003),
    [sym_block_comment] = STATE(1003),
    [aux_sym_long_identifier_repeat1] = STATE(1003),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_GT_RBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_to] = ACTIONS(2316),
    [anon_sym_downto] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2944),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_end] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_DOT_DOT2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1004] = {
    [sym_xml_doc] = STATE(1004),
    [sym_block_comment] = STATE(1004),
    [ts_builtin_sym_end] = ACTIONS(2922),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_module] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_POUNDnowarn] = ACTIONS(2922),
    [anon_sym_POUNDr] = ACTIONS(2922),
    [anon_sym_POUNDload] = ACTIONS(2922),
    [anon_sym_open] = ACTIONS(2920),
    [anon_sym_LBRACK_LT] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_type] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
  },
  [1005] = {
    [sym_type_arguments] = STATE(1239),
    [sym_long_identifier] = STATE(1254),
    [sym_xml_doc] = STATE(1005),
    [sym_block_comment] = STATE(1005),
    [aux_sym__compound_type_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2188),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_LT2] = ACTIONS(2951),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
  },
  [1006] = {
    [sym_xml_doc] = STATE(1006),
    [sym_block_comment] = STATE(1006),
    [aux_sym_sequential_expression_repeat1] = STATE(1048),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_module] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_POUNDnowarn] = ACTIONS(2613),
    [anon_sym_POUNDr] = ACTIONS(2613),
    [anon_sym_POUNDload] = ACTIONS(2613),
    [anon_sym_open] = ACTIONS(2615),
    [anon_sym_LBRACK_LT] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_type] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
    [sym__dedent] = ACTIONS(2613),
  },
  [1007] = {
    [sym_xml_doc] = STATE(1007),
    [sym_block_comment] = STATE(1007),
    [ts_builtin_sym_end] = ACTIONS(2682),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_namespace] = ACTIONS(2680),
    [anon_sym_module] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_POUNDnowarn] = ACTIONS(2682),
    [anon_sym_POUNDr] = ACTIONS(2682),
    [anon_sym_POUNDload] = ACTIONS(2682),
    [anon_sym_open] = ACTIONS(2680),
    [anon_sym_LBRACK_LT] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_type] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
  },
  [1008] = {
    [sym_xml_doc] = STATE(1008),
    [sym_block_comment] = STATE(1008),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_GT_RBRACK] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_RBRACK] = ACTIONS(2535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_to] = ACTIONS(2533),
    [anon_sym_downto] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_end] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [1009] = {
    [sym_xml_doc] = STATE(1009),
    [sym_block_comment] = STATE(1009),
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_module] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_POUNDnowarn] = ACTIONS(2795),
    [anon_sym_POUNDr] = ACTIONS(2795),
    [anon_sym_POUNDload] = ACTIONS(2795),
    [anon_sym_open] = ACTIONS(2793),
    [anon_sym_LBRACK_LT] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_type] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
  },
  [1010] = {
    [sym_xml_doc] = STATE(1010),
    [sym_block_comment] = STATE(1010),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_POUNDnowarn] = ACTIONS(2412),
    [anon_sym_POUNDr] = ACTIONS(2412),
    [anon_sym_POUNDload] = ACTIONS(2412),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_LBRACK_LT] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1011] = {
    [sym_xml_doc] = STATE(1011),
    [sym_block_comment] = STATE(1011),
    [ts_builtin_sym_end] = ACTIONS(2678),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_module] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_POUNDnowarn] = ACTIONS(2678),
    [anon_sym_POUNDr] = ACTIONS(2678),
    [anon_sym_POUNDload] = ACTIONS(2678),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_LBRACK_LT] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_type] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
  },
  [1012] = {
    [sym_xml_doc] = STATE(1012),
    [sym_block_comment] = STATE(1012),
    [ts_builtin_sym_end] = ACTIONS(2730),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_module] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_POUNDnowarn] = ACTIONS(2730),
    [anon_sym_POUNDr] = ACTIONS(2730),
    [anon_sym_POUNDload] = ACTIONS(2730),
    [anon_sym_open] = ACTIONS(2728),
    [anon_sym_LBRACK_LT] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_type] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
  },
  [1013] = {
    [sym_xml_doc] = STATE(1013),
    [sym_block_comment] = STATE(1013),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_GT_RBRACK] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_RBRACK] = ACTIONS(2535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_to] = ACTIONS(2533),
    [anon_sym_downto] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_end] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_DOT_DOT2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [1014] = {
    [sym_xml_doc] = STATE(1014),
    [sym_block_comment] = STATE(1014),
    [ts_builtin_sym_end] = ACTIONS(2690),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_module] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_POUNDnowarn] = ACTIONS(2690),
    [anon_sym_POUNDr] = ACTIONS(2690),
    [anon_sym_POUNDload] = ACTIONS(2690),
    [anon_sym_open] = ACTIONS(2688),
    [anon_sym_LBRACK_LT] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_type] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
  },
  [1015] = {
    [sym_xml_doc] = STATE(1015),
    [sym_block_comment] = STATE(1015),
    [ts_builtin_sym_end] = ACTIONS(2862),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_namespace] = ACTIONS(2860),
    [anon_sym_module] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_POUNDnowarn] = ACTIONS(2862),
    [anon_sym_POUNDr] = ACTIONS(2862),
    [anon_sym_POUNDload] = ACTIONS(2862),
    [anon_sym_open] = ACTIONS(2860),
    [anon_sym_LBRACK_LT] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_type] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
  },
  [1016] = {
    [sym_xml_doc] = STATE(1016),
    [sym_block_comment] = STATE(1016),
    [ts_builtin_sym_end] = ACTIONS(2726),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_namespace] = ACTIONS(2724),
    [anon_sym_module] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_POUNDnowarn] = ACTIONS(2726),
    [anon_sym_POUNDr] = ACTIONS(2726),
    [anon_sym_POUNDload] = ACTIONS(2726),
    [anon_sym_open] = ACTIONS(2724),
    [anon_sym_LBRACK_LT] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_type] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
  },
  [1017] = {
    [sym_xml_doc] = STATE(1017),
    [sym_block_comment] = STATE(1017),
    [ts_builtin_sym_end] = ACTIONS(2694),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_module] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_POUNDnowarn] = ACTIONS(2694),
    [anon_sym_POUNDr] = ACTIONS(2694),
    [anon_sym_POUNDload] = ACTIONS(2694),
    [anon_sym_open] = ACTIONS(2692),
    [anon_sym_LBRACK_LT] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_type] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
  },
  [1018] = {
    [sym_type_arguments] = STATE(1239),
    [sym_long_identifier] = STATE(1254),
    [sym_xml_doc] = STATE(1018),
    [sym_block_comment] = STATE(1018),
    [aux_sym__compound_type_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_as] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_with] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_LT2] = ACTIONS(2951),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
  },
  [1019] = {
    [sym_xml_doc] = STATE(1019),
    [sym_block_comment] = STATE(1019),
    [ts_builtin_sym_end] = ACTIONS(2722),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_POUNDnowarn] = ACTIONS(2722),
    [anon_sym_POUNDr] = ACTIONS(2722),
    [anon_sym_POUNDload] = ACTIONS(2722),
    [anon_sym_open] = ACTIONS(2720),
    [anon_sym_LBRACK_LT] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
  },
  [1020] = {
    [sym_xml_doc] = STATE(1020),
    [sym_block_comment] = STATE(1020),
    [ts_builtin_sym_end] = ACTIONS(2698),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_module] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_POUNDnowarn] = ACTIONS(2698),
    [anon_sym_POUNDr] = ACTIONS(2698),
    [anon_sym_POUNDload] = ACTIONS(2698),
    [anon_sym_open] = ACTIONS(2696),
    [anon_sym_LBRACK_LT] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_type] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
  },
  [1021] = {
    [sym_xml_doc] = STATE(1021),
    [sym_block_comment] = STATE(1021),
    [ts_builtin_sym_end] = ACTIONS(2599),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_module] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_POUNDnowarn] = ACTIONS(2599),
    [anon_sym_POUNDr] = ACTIONS(2599),
    [anon_sym_POUNDload] = ACTIONS(2599),
    [anon_sym_open] = ACTIONS(2597),
    [anon_sym_LBRACK_LT] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_type] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
  },
  [1022] = {
    [sym_xml_doc] = STATE(1022),
    [sym_block_comment] = STATE(1022),
    [ts_builtin_sym_end] = ACTIONS(2740),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_module] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_POUNDnowarn] = ACTIONS(2740),
    [anon_sym_POUNDr] = ACTIONS(2740),
    [anon_sym_POUNDload] = ACTIONS(2740),
    [anon_sym_open] = ACTIONS(2738),
    [anon_sym_LBRACK_LT] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
  },
  [1023] = {
    [sym_xml_doc] = STATE(1023),
    [sym_block_comment] = STATE(1023),
    [ts_builtin_sym_end] = ACTIONS(2851),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_module] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_POUNDnowarn] = ACTIONS(2851),
    [anon_sym_POUNDr] = ACTIONS(2851),
    [anon_sym_POUNDload] = ACTIONS(2851),
    [anon_sym_open] = ACTIONS(2849),
    [anon_sym_LBRACK_LT] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_type] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
  },
  [1024] = {
    [sym_xml_doc] = STATE(1024),
    [sym_block_comment] = STATE(1024),
    [ts_builtin_sym_end] = ACTIONS(2775),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_module] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_POUNDnowarn] = ACTIONS(2775),
    [anon_sym_POUNDr] = ACTIONS(2775),
    [anon_sym_POUNDload] = ACTIONS(2775),
    [anon_sym_open] = ACTIONS(2773),
    [anon_sym_LBRACK_LT] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_type] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
  },
  [1025] = {
    [sym_xml_doc] = STATE(1025),
    [sym_block_comment] = STATE(1025),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_GT_RBRACK] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_RBRACK] = ACTIONS(2516),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2516),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_to] = ACTIONS(2514),
    [anon_sym_downto] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_end] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_DOT_DOT2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
  },
  [1026] = {
    [sym_xml_doc] = STATE(1026),
    [sym_block_comment] = STATE(1026),
    [ts_builtin_sym_end] = ACTIONS(2878),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_module] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_POUNDnowarn] = ACTIONS(2878),
    [anon_sym_POUNDr] = ACTIONS(2878),
    [anon_sym_POUNDload] = ACTIONS(2878),
    [anon_sym_open] = ACTIONS(2876),
    [anon_sym_LBRACK_LT] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_type] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
  },
  [1027] = {
    [sym_xml_doc] = STATE(1027),
    [sym_block_comment] = STATE(1027),
    [ts_builtin_sym_end] = ACTIONS(2882),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_module] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_POUNDnowarn] = ACTIONS(2882),
    [anon_sym_POUNDr] = ACTIONS(2882),
    [anon_sym_POUNDload] = ACTIONS(2882),
    [anon_sym_open] = ACTIONS(2880),
    [anon_sym_LBRACK_LT] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_type] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
  },
  [1028] = {
    [sym_xml_doc] = STATE(1028),
    [sym_block_comment] = STATE(1028),
    [ts_builtin_sym_end] = ACTIONS(2886),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_module] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_POUNDnowarn] = ACTIONS(2886),
    [anon_sym_POUNDr] = ACTIONS(2886),
    [anon_sym_POUNDload] = ACTIONS(2886),
    [anon_sym_open] = ACTIONS(2884),
    [anon_sym_LBRACK_LT] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_type] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
  },
  [1029] = {
    [sym_xml_doc] = STATE(1029),
    [sym_block_comment] = STATE(1029),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_GT_RBRACK] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_RBRACK] = ACTIONS(2547),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_with] = ACTIONS(2545),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_to] = ACTIONS(2545),
    [anon_sym_downto] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_end] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_DOT_DOT2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
  },
  [1030] = {
    [sym_xml_doc] = STATE(1030),
    [sym_block_comment] = STATE(1030),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_GT_RBRACK] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_RBRACK] = ACTIONS(2551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_RBRACE] = ACTIONS(2551),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_to] = ACTIONS(2549),
    [anon_sym_downto] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_end] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_DOT_DOT2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
  },
  [1031] = {
    [sym_xml_doc] = STATE(1031),
    [sym_block_comment] = STATE(1031),
    [ts_builtin_sym_end] = ACTIONS(2902),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_POUNDnowarn] = ACTIONS(2902),
    [anon_sym_POUNDr] = ACTIONS(2902),
    [anon_sym_POUNDload] = ACTIONS(2902),
    [anon_sym_open] = ACTIONS(2900),
    [anon_sym_LBRACK_LT] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
  },
  [1032] = {
    [sym_xml_doc] = STATE(1032),
    [sym_block_comment] = STATE(1032),
    [ts_builtin_sym_end] = ACTIONS(2771),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_module] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_POUNDnowarn] = ACTIONS(2771),
    [anon_sym_POUNDr] = ACTIONS(2771),
    [anon_sym_POUNDload] = ACTIONS(2771),
    [anon_sym_open] = ACTIONS(2769),
    [anon_sym_LBRACK_LT] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_type] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
  },
  [1033] = {
    [sym_xml_doc] = STATE(1033),
    [sym_block_comment] = STATE(1033),
    [ts_builtin_sym_end] = ACTIONS(2906),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_namespace] = ACTIONS(2904),
    [anon_sym_module] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_POUNDnowarn] = ACTIONS(2906),
    [anon_sym_POUNDr] = ACTIONS(2906),
    [anon_sym_POUNDload] = ACTIONS(2906),
    [anon_sym_open] = ACTIONS(2904),
    [anon_sym_LBRACK_LT] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_type] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
  },
  [1034] = {
    [sym_xml_doc] = STATE(1034),
    [sym_block_comment] = STATE(1034),
    [ts_builtin_sym_end] = ACTIONS(2910),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_POUNDnowarn] = ACTIONS(2910),
    [anon_sym_POUNDr] = ACTIONS(2910),
    [anon_sym_POUNDload] = ACTIONS(2910),
    [anon_sym_open] = ACTIONS(2908),
    [anon_sym_LBRACK_LT] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_type] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
  },
  [1035] = {
    [sym_type_arguments] = STATE(1239),
    [sym_long_identifier] = STATE(1254),
    [sym_xml_doc] = STATE(1035),
    [sym_block_comment] = STATE(1035),
    [aux_sym__compound_type_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_as] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_LT2] = ACTIONS(2951),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
  },
  [1036] = {
    [sym_xml_doc] = STATE(1036),
    [sym_block_comment] = STATE(1036),
    [ts_builtin_sym_end] = ACTIONS(2714),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_namespace] = ACTIONS(2712),
    [anon_sym_module] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_POUNDnowarn] = ACTIONS(2714),
    [anon_sym_POUNDr] = ACTIONS(2714),
    [anon_sym_POUNDload] = ACTIONS(2714),
    [anon_sym_open] = ACTIONS(2712),
    [anon_sym_LBRACK_LT] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_type] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
  },
  [1037] = {
    [sym_type_arguments] = STATE(1239),
    [sym_long_identifier] = STATE(1254),
    [sym_xml_doc] = STATE(1037),
    [sym_block_comment] = STATE(1037),
    [aux_sym__compound_type_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_as] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_LT2] = ACTIONS(2951),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
  },
  [1038] = {
    [sym_xml_doc] = STATE(1038),
    [sym_block_comment] = STATE(1038),
    [ts_builtin_sym_end] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_module] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_POUNDnowarn] = ACTIONS(2959),
    [anon_sym_POUNDr] = ACTIONS(2959),
    [anon_sym_POUNDload] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2961),
    [anon_sym_LBRACK_LT] = ACTIONS(2959),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_type] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_let_BANG] = ACTIONS(2959),
    [anon_sym_null] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_return_BANG] = ACTIONS(2959),
    [anon_sym_yield] = ACTIONS(2961),
    [anon_sym_yield_BANG] = ACTIONS(2959),
    [anon_sym_lazy] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(2961),
    [anon_sym_upcast] = ACTIONS(2961),
    [anon_sym_downcast] = ACTIONS(2961),
    [anon_sym_LT_AT] = ACTIONS(2961),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2961),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_fun] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_match] = ACTIONS(2961),
    [anon_sym_match_BANG] = ACTIONS(2959),
    [anon_sym_function] = ACTIONS(2961),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2961),
    [anon_sym_use_BANG] = ACTIONS(2959),
    [anon_sym_do_BANG] = ACTIONS(2959),
    [anon_sym_begin] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [anon_sym_AT_DQUOTE] = ACTIONS(2959),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2959),
    [sym_bool] = ACTIONS(2961),
    [sym_unit] = ACTIONS(2961),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2961),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_DOT] = ACTIONS(2961),
    [anon_sym_DASH_DOT] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2959),
    [aux_sym_prefix_op_token1] = ACTIONS(2959),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2961),
    [aux_sym_xint_token1] = ACTIONS(2959),
    [aux_sym_xint_token2] = ACTIONS(2959),
    [aux_sym_xint_token3] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
  },
  [1039] = {
    [sym_xml_doc] = STATE(1039),
    [sym_block_comment] = STATE(1039),
    [ts_builtin_sym_end] = ACTIONS(2914),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_POUNDnowarn] = ACTIONS(2914),
    [anon_sym_POUNDr] = ACTIONS(2914),
    [anon_sym_POUNDload] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2912),
    [anon_sym_LBRACK_LT] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_type] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
  },
  [1040] = {
    [sym_xml_doc] = STATE(1040),
    [sym_block_comment] = STATE(1040),
    [ts_builtin_sym_end] = ACTIONS(2894),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_module] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_POUNDnowarn] = ACTIONS(2894),
    [anon_sym_POUNDr] = ACTIONS(2894),
    [anon_sym_POUNDload] = ACTIONS(2894),
    [anon_sym_open] = ACTIONS(2892),
    [anon_sym_LBRACK_LT] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_type] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
  },
  [1041] = {
    [sym_xml_doc] = STATE(1041),
    [sym_block_comment] = STATE(1041),
    [ts_builtin_sym_end] = ACTIONS(2890),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_module] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_POUNDnowarn] = ACTIONS(2890),
    [anon_sym_POUNDr] = ACTIONS(2890),
    [anon_sym_POUNDload] = ACTIONS(2890),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_LBRACK_LT] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_type] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
  },
  [1042] = {
    [sym_xml_doc] = STATE(1042),
    [sym_block_comment] = STATE(1042),
    [ts_builtin_sym_end] = ACTIONS(2898),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_module] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_POUNDnowarn] = ACTIONS(2898),
    [anon_sym_POUNDr] = ACTIONS(2898),
    [anon_sym_POUNDload] = ACTIONS(2898),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_LBRACK_LT] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_type] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
  },
  [1043] = {
    [sym_xml_doc] = STATE(1043),
    [sym_block_comment] = STATE(1043),
    [ts_builtin_sym_end] = ACTIONS(2870),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_module] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_POUNDnowarn] = ACTIONS(2870),
    [anon_sym_POUNDr] = ACTIONS(2870),
    [anon_sym_POUNDload] = ACTIONS(2870),
    [anon_sym_open] = ACTIONS(2868),
    [anon_sym_LBRACK_LT] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_type] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
  },
  [1044] = {
    [sym_xml_doc] = STATE(1044),
    [sym_block_comment] = STATE(1044),
    [ts_builtin_sym_end] = ACTIONS(2744),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_module] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_POUNDnowarn] = ACTIONS(2744),
    [anon_sym_POUNDr] = ACTIONS(2744),
    [anon_sym_POUNDload] = ACTIONS(2744),
    [anon_sym_open] = ACTIONS(2742),
    [anon_sym_LBRACK_LT] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_type] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
  },
  [1045] = {
    [sym_xml_doc] = STATE(1045),
    [sym_block_comment] = STATE(1045),
    [ts_builtin_sym_end] = ACTIONS(2702),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_POUNDnowarn] = ACTIONS(2702),
    [anon_sym_POUNDr] = ACTIONS(2702),
    [anon_sym_POUNDload] = ACTIONS(2702),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_LBRACK_LT] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_type] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
  },
  [1046] = {
    [sym_xml_doc] = STATE(1046),
    [sym_block_comment] = STATE(1046),
    [ts_builtin_sym_end] = ACTIONS(2843),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_module] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_POUNDnowarn] = ACTIONS(2843),
    [anon_sym_POUNDr] = ACTIONS(2843),
    [anon_sym_POUNDload] = ACTIONS(2843),
    [anon_sym_open] = ACTIONS(2841),
    [anon_sym_LBRACK_LT] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_type] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
  },
  [1047] = {
    [sym_xml_doc] = STATE(1047),
    [sym_block_comment] = STATE(1047),
    [ts_builtin_sym_end] = ACTIONS(2787),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_module] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_POUNDnowarn] = ACTIONS(2787),
    [anon_sym_POUNDr] = ACTIONS(2787),
    [anon_sym_POUNDload] = ACTIONS(2787),
    [anon_sym_open] = ACTIONS(2785),
    [anon_sym_LBRACK_LT] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_type] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
  },
  [1048] = {
    [sym_xml_doc] = STATE(1048),
    [sym_block_comment] = STATE(1048),
    [aux_sym_sequential_expression_repeat1] = STATE(1048),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_module] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_POUNDnowarn] = ACTIONS(2853),
    [anon_sym_POUNDr] = ACTIONS(2853),
    [anon_sym_POUNDload] = ACTIONS(2853),
    [anon_sym_open] = ACTIONS(2855),
    [anon_sym_LBRACK_LT] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_type] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2963),
    [sym__dedent] = ACTIONS(2853),
  },
  [1049] = {
    [sym_xml_doc] = STATE(1049),
    [sym_block_comment] = STATE(1049),
    [ts_builtin_sym_end] = ACTIONS(2736),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_namespace] = ACTIONS(2734),
    [anon_sym_module] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_POUNDnowarn] = ACTIONS(2736),
    [anon_sym_POUNDr] = ACTIONS(2736),
    [anon_sym_POUNDload] = ACTIONS(2736),
    [anon_sym_open] = ACTIONS(2734),
    [anon_sym_LBRACK_LT] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_type] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
  },
  [1050] = {
    [sym_xml_doc] = STATE(1050),
    [sym_block_comment] = STATE(1050),
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_POUNDnowarn] = ACTIONS(2718),
    [anon_sym_POUNDr] = ACTIONS(2718),
    [anon_sym_POUNDload] = ACTIONS(2718),
    [anon_sym_open] = ACTIONS(2716),
    [anon_sym_LBRACK_LT] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
  },
  [1051] = {
    [sym_type_arguments] = STATE(1239),
    [sym_long_identifier] = STATE(1254),
    [sym_xml_doc] = STATE(1051),
    [sym_block_comment] = STATE(1051),
    [aux_sym__compound_type_repeat1] = STATE(1186),
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_LT2] = ACTIONS(2951),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
  },
  [1052] = {
    [sym_xml_doc] = STATE(1052),
    [sym_block_comment] = STATE(1052),
    [ts_builtin_sym_end] = ACTIONS(2706),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_module] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_POUNDnowarn] = ACTIONS(2706),
    [anon_sym_POUNDr] = ACTIONS(2706),
    [anon_sym_POUNDload] = ACTIONS(2706),
    [anon_sym_open] = ACTIONS(2704),
    [anon_sym_LBRACK_LT] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_type] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
  },
  [1053] = {
    [sym_type_arguments] = STATE(1213),
    [sym_long_identifier] = STATE(1221),
    [sym_xml_doc] = STATE(1053),
    [sym_block_comment] = STATE(1053),
    [aux_sym__compound_type_repeat1] = STATE(1168),
    [sym_identifier] = ACTIONS(2924),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2926),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_LT2] = ACTIONS(2930),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
    [sym__else] = ACTIONS(2150),
    [sym__elif] = ACTIONS(2150),
  },
  [1054] = {
    [sym_xml_doc] = STATE(1054),
    [sym_block_comment] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1055] = {
    [sym_xml_doc] = STATE(1055),
    [sym_block_comment] = STATE(1055),
    [ts_builtin_sym_end] = ACTIONS(2710),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_POUNDnowarn] = ACTIONS(2710),
    [anon_sym_POUNDr] = ACTIONS(2710),
    [anon_sym_POUNDload] = ACTIONS(2710),
    [anon_sym_open] = ACTIONS(2708),
    [anon_sym_LBRACK_LT] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_type] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
  },
  [1056] = {
    [sym_xml_doc] = STATE(1056),
    [sym_block_comment] = STATE(1056),
    [ts_builtin_sym_end] = ACTIONS(2628),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_namespace] = ACTIONS(2626),
    [anon_sym_module] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_POUNDnowarn] = ACTIONS(2628),
    [anon_sym_POUNDr] = ACTIONS(2628),
    [anon_sym_POUNDload] = ACTIONS(2628),
    [anon_sym_open] = ACTIONS(2626),
    [anon_sym_LBRACK_LT] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_type] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
  },
  [1057] = {
    [sym_xml_doc] = STATE(1057),
    [sym_block_comment] = STATE(1057),
    [aux_sym_sequential_expression_repeat1] = STATE(1064),
    [ts_builtin_sym_end] = ACTIONS(2613),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_module] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_POUNDnowarn] = ACTIONS(2613),
    [anon_sym_POUNDr] = ACTIONS(2613),
    [anon_sym_POUNDload] = ACTIONS(2613),
    [anon_sym_open] = ACTIONS(2615),
    [anon_sym_LBRACK_LT] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_type] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
  },
  [1058] = {
    [sym_xml_doc] = STATE(1058),
    [sym_block_comment] = STATE(1058),
    [ts_builtin_sym_end] = ACTIONS(2036),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_namespace] = ACTIONS(2038),
    [anon_sym_module] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_POUNDnowarn] = ACTIONS(2036),
    [anon_sym_POUNDr] = ACTIONS(2036),
    [anon_sym_POUNDload] = ACTIONS(2036),
    [anon_sym_open] = ACTIONS(2038),
    [anon_sym_LBRACK_LT] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_type] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [1059] = {
    [sym_xml_doc] = STATE(1059),
    [sym_block_comment] = STATE(1059),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_POUNDnowarn] = ACTIONS(2412),
    [anon_sym_POUNDr] = ACTIONS(2412),
    [anon_sym_POUNDload] = ACTIONS(2412),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_LBRACK_LT] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1060] = {
    [sym_xml_doc] = STATE(1060),
    [sym_block_comment] = STATE(1060),
    [ts_builtin_sym_end] = ACTIONS(2827),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_module] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_POUNDnowarn] = ACTIONS(2827),
    [anon_sym_POUNDr] = ACTIONS(2827),
    [anon_sym_POUNDload] = ACTIONS(2827),
    [anon_sym_open] = ACTIONS(2825),
    [anon_sym_LBRACK_LT] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_type] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
  },
  [1061] = {
    [sym_xml_doc] = STATE(1061),
    [sym_block_comment] = STATE(1061),
    [ts_builtin_sym_end] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_namespace] = ACTIONS(2761),
    [anon_sym_module] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_POUNDnowarn] = ACTIONS(2763),
    [anon_sym_POUNDr] = ACTIONS(2763),
    [anon_sym_POUNDload] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2761),
    [anon_sym_LBRACK_LT] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_type] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
  },
  [1062] = {
    [sym_xml_doc] = STATE(1062),
    [sym_block_comment] = STATE(1062),
    [ts_builtin_sym_end] = ACTIONS(2783),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_module] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_POUNDnowarn] = ACTIONS(2783),
    [anon_sym_POUNDr] = ACTIONS(2783),
    [anon_sym_POUNDload] = ACTIONS(2783),
    [anon_sym_open] = ACTIONS(2781),
    [anon_sym_LBRACK_LT] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_type] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
  },
  [1063] = {
    [sym_xml_doc] = STATE(1063),
    [sym_block_comment] = STATE(1063),
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_module] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_POUNDnowarn] = ACTIONS(2803),
    [anon_sym_POUNDr] = ACTIONS(2803),
    [anon_sym_POUNDload] = ACTIONS(2803),
    [anon_sym_open] = ACTIONS(2801),
    [anon_sym_LBRACK_LT] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_type] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
  },
  [1064] = {
    [sym_xml_doc] = STATE(1064),
    [sym_block_comment] = STATE(1064),
    [aux_sym_sequential_expression_repeat1] = STATE(1064),
    [ts_builtin_sym_end] = ACTIONS(2853),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_module] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_POUNDnowarn] = ACTIONS(2853),
    [anon_sym_POUNDr] = ACTIONS(2853),
    [anon_sym_POUNDload] = ACTIONS(2853),
    [anon_sym_open] = ACTIONS(2855),
    [anon_sym_LBRACK_LT] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_type] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2966),
  },
  [1065] = {
    [sym_type_arguments] = STATE(1288),
    [sym_long_identifier] = STATE(1264),
    [sym_xml_doc] = STATE(1065),
    [sym_block_comment] = STATE(1065),
    [aux_sym__compound_type_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_DOT_DOT] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_LT2] = ACTIONS(2973),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
  },
  [1066] = {
    [sym_xml_doc] = STATE(1066),
    [sym_block_comment] = STATE(1066),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_GT_RBRACK] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_RBRACK] = ACTIONS(2682),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2682),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_with] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_to] = ACTIONS(2680),
    [anon_sym_downto] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_end] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_DOT_DOT2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
  },
  [1067] = {
    [sym_xml_doc] = STATE(1067),
    [sym_block_comment] = STATE(1067),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_GT_RBRACK] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_RBRACK] = ACTIONS(2898),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2898),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_with] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_to] = ACTIONS(2896),
    [anon_sym_downto] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_end] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_DOT_DOT2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
  },
  [1068] = {
    [sym_xml_doc] = STATE(1068),
    [sym_block_comment] = STATE(1068),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_GT_RBRACK] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_RBRACK] = ACTIONS(2890),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2890),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_with] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_to] = ACTIONS(2888),
    [anon_sym_downto] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_end] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_DOT_DOT2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
  },
  [1069] = {
    [sym_xml_doc] = STATE(1069),
    [sym_block_comment] = STATE(1069),
    [aux_sym_long_identifier_repeat1] = STATE(1133),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
    [sym__dedent] = ACTIONS(2382),
    [sym__else] = ACTIONS(2382),
    [sym__elif] = ACTIONS(2382),
  },
  [1070] = {
    [sym_xml_doc] = STATE(1070),
    [sym_block_comment] = STATE(1070),
    [sym_identifier] = ACTIONS(2961),
    [anon_sym_module] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_POUNDnowarn] = ACTIONS(2959),
    [anon_sym_POUNDr] = ACTIONS(2959),
    [anon_sym_POUNDload] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2961),
    [anon_sym_LBRACK_LT] = ACTIONS(2959),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_type] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_let_BANG] = ACTIONS(2959),
    [anon_sym_null] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_return_BANG] = ACTIONS(2959),
    [anon_sym_yield] = ACTIONS(2961),
    [anon_sym_yield_BANG] = ACTIONS(2959),
    [anon_sym_lazy] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(2961),
    [anon_sym_upcast] = ACTIONS(2961),
    [anon_sym_downcast] = ACTIONS(2961),
    [anon_sym_LT_AT] = ACTIONS(2961),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2961),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_fun] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_match] = ACTIONS(2961),
    [anon_sym_match_BANG] = ACTIONS(2959),
    [anon_sym_function] = ACTIONS(2961),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2961),
    [anon_sym_use_BANG] = ACTIONS(2959),
    [anon_sym_do_BANG] = ACTIONS(2959),
    [anon_sym_begin] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [anon_sym_AT_DQUOTE] = ACTIONS(2959),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2959),
    [sym_bool] = ACTIONS(2961),
    [sym_unit] = ACTIONS(2961),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2961),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_DOT] = ACTIONS(2961),
    [anon_sym_DASH_DOT] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2959),
    [aux_sym_prefix_op_token1] = ACTIONS(2959),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2961),
    [aux_sym_xint_token1] = ACTIONS(2959),
    [aux_sym_xint_token2] = ACTIONS(2959),
    [aux_sym_xint_token3] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
    [sym__dedent] = ACTIONS(2959),
  },
  [1071] = {
    [sym_xml_doc] = STATE(1071),
    [sym_block_comment] = STATE(1071),
    [aux_sym_long_identifier_repeat1] = STATE(1129),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
    [sym__dedent] = ACTIONS(2382),
  },
  [1072] = {
    [sym_xml_doc] = STATE(1072),
    [sym_block_comment] = STATE(1072),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_GT_RBRACK] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_RBRACK] = ACTIONS(2628),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_RBRACE] = ACTIONS(2628),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_to] = ACTIONS(2626),
    [anon_sym_downto] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_end] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_DOT_DOT2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
  },
  [1073] = {
    [sym_xml_doc] = STATE(1073),
    [sym_block_comment] = STATE(1073),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_GT_RBRACK] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_RBRACK] = ACTIONS(2635),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_to] = ACTIONS(2633),
    [anon_sym_downto] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_end] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_DOT_DOT2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
  },
  [1074] = {
    [sym_xml_doc] = STATE(1074),
    [sym_block_comment] = STATE(1074),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_GT_RBRACK] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_RBRACK] = ACTIONS(2647),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_with] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_to] = ACTIONS(2645),
    [anon_sym_downto] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_end] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_DOT_DOT2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
  },
  [1075] = {
    [sym_xml_doc] = STATE(1075),
    [sym_block_comment] = STATE(1075),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_GT_RBRACK] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_RBRACK] = ACTIONS(2577),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_RBRACE] = ACTIONS(2577),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_to] = ACTIONS(2649),
    [anon_sym_downto] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_end] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_DOT_DOT2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
  },
  [1076] = {
    [sym_xml_doc] = STATE(1076),
    [sym_block_comment] = STATE(1076),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_GT_RBRACK] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_RBRACK] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_with] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_to] = ACTIONS(2845),
    [anon_sym_downto] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_end] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_DOT_DOT2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
  },
  [1077] = {
    [sym_xml_doc] = STATE(1077),
    [sym_block_comment] = STATE(1077),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_GT_RBRACK] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_RBRACK] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_with] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_to] = ACTIONS(2617),
    [anon_sym_downto] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_DOT_DOT2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
  },
  [1078] = {
    [sym_xml_doc] = STATE(1078),
    [sym_block_comment] = STATE(1078),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_GT_RBRACK] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_RBRACK] = ACTIONS(2839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_RBRACE] = ACTIONS(2839),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_with] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_to] = ACTIONS(2837),
    [anon_sym_downto] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_end] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_DOT_DOT2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
  },
  [1079] = {
    [sym_xml_doc] = STATE(1079),
    [sym_block_comment] = STATE(1079),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_GT_RBRACK] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_RBRACK] = ACTIONS(2835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_with] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_to] = ACTIONS(2833),
    [anon_sym_downto] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_end] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_DOT_DOT2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
  },
  [1080] = {
    [sym_xml_doc] = STATE(1080),
    [sym_block_comment] = STATE(1080),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_GT_RBRACK] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_RBRACK] = ACTIONS(2831),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_with] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_to] = ACTIONS(2829),
    [anon_sym_downto] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_end] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_DOT_DOT2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
  },
  [1081] = {
    [sym_xml_doc] = STATE(1081),
    [sym_block_comment] = STATE(1081),
    [aux_sym_sequential_expression_repeat1] = STATE(1139),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_GT_RBRACK] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_RBRACK] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_to] = ACTIONS(2615),
    [anon_sym_downto] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_end] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
  },
  [1082] = {
    [sym_type_arguments] = STATE(1288),
    [sym_long_identifier] = STATE(1264),
    [sym_xml_doc] = STATE(1082),
    [sym_block_comment] = STATE(1082),
    [aux_sym__compound_type_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_DOT_DOT] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_LT2] = ACTIONS(2973),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
  },
  [1083] = {
    [sym_xml_doc] = STATE(1083),
    [sym_block_comment] = STATE(1083),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_GT_RBRACK] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_RBRACK] = ACTIONS(2827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_with] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_to] = ACTIONS(2825),
    [anon_sym_downto] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_end] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_DOT_DOT2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
  },
  [1084] = {
    [sym_xml_doc] = STATE(1084),
    [sym_block_comment] = STATE(1084),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_GT_RBRACK] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_RBRACK] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_with] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_to] = ACTIONS(2821),
    [anon_sym_downto] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_end] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_DOT_DOT2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
  },
  [1085] = {
    [sym_xml_doc] = STATE(1085),
    [sym_block_comment] = STATE(1085),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_GT_RBRACK] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_RBRACK] = ACTIONS(2819),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_with] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_to] = ACTIONS(2817),
    [anon_sym_downto] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_end] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_DOT_DOT2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
  },
  [1086] = {
    [sym_xml_doc] = STATE(1086),
    [sym_block_comment] = STATE(1086),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_GT_RBRACK] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_RBRACK] = ACTIONS(2815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_with] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_to] = ACTIONS(2813),
    [anon_sym_downto] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_end] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_DOT_DOT2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
  },
  [1087] = {
    [sym_xml_doc] = STATE(1087),
    [sym_block_comment] = STATE(1087),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_GT_RBRACK] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_RBRACK] = ACTIONS(2811),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_with] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_to] = ACTIONS(2809),
    [anon_sym_downto] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_end] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_DOT_DOT2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
  },
  [1088] = {
    [sym_xml_doc] = STATE(1088),
    [sym_block_comment] = STATE(1088),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_GT_RBRACK] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_RBRACK] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2807),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_with] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_to] = ACTIONS(2805),
    [anon_sym_downto] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_end] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_DOT_DOT2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
  },
  [1089] = {
    [sym_xml_doc] = STATE(1089),
    [sym_block_comment] = STATE(1089),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_GT_RBRACK] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_RBRACK] = ACTIONS(2639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_with] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_to] = ACTIONS(2637),
    [anon_sym_downto] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_end] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_DOT_DOT2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
  },
  [1090] = {
    [sym_xml_doc] = STATE(1090),
    [sym_block_comment] = STATE(1090),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_GT_RBRACK] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_RBRACK] = ACTIONS(2643),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_to] = ACTIONS(2641),
    [anon_sym_downto] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_end] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_DOT_DOT2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
  },
  [1091] = {
    [sym_xml_doc] = STATE(1091),
    [sym_block_comment] = STATE(1091),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_GT_RBRACK] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_RBRACK] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_with] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_to] = ACTIONS(2797),
    [anon_sym_downto] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_end] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_DOT_DOT2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
  },
  [1092] = {
    [sym_xml_doc] = STATE(1092),
    [sym_block_comment] = STATE(1092),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_GT_RBRACK] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_RBRACK] = ACTIONS(2775),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_with] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_to] = ACTIONS(2773),
    [anon_sym_downto] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_end] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_DOT_DOT2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
  },
  [1093] = {
    [sym_xml_doc] = STATE(1093),
    [sym_block_comment] = STATE(1093),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_GT_RBRACK] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_RBRACK] = ACTIONS(2771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_with] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_to] = ACTIONS(2769),
    [anon_sym_downto] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_end] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_DOT_DOT2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
  },
  [1094] = {
    [sym_xml_doc] = STATE(1094),
    [sym_block_comment] = STATE(1094),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_POUNDnowarn] = ACTIONS(2412),
    [anon_sym_POUNDr] = ACTIONS(2412),
    [anon_sym_POUNDload] = ACTIONS(2412),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_LBRACK_LT] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2981),
  },
  [1095] = {
    [sym_type_arguments] = STATE(1300),
    [sym_long_identifier] = STATE(1260),
    [sym_xml_doc] = STATE(1095),
    [sym_block_comment] = STATE(1095),
    [aux_sym__compound_type_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_LT2] = ACTIONS(2989),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
    [sym__then] = ACTIONS(2228),
  },
  [1096] = {
    [sym_xml_doc] = STATE(1096),
    [sym_block_comment] = STATE(1096),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_GT_RBRACK] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_RBRACK] = ACTIONS(2744),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2744),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_to] = ACTIONS(2742),
    [anon_sym_downto] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_end] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_DOT_DOT2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
  },
  [1097] = {
    [sym_type_arguments] = STATE(1300),
    [sym_long_identifier] = STATE(1260),
    [sym_xml_doc] = STATE(1097),
    [sym_block_comment] = STATE(1097),
    [aux_sym__compound_type_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_LT2] = ACTIONS(2989),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__then] = ACTIONS(2232),
  },
  [1098] = {
    [sym_type_arguments] = STATE(1300),
    [sym_long_identifier] = STATE(1260),
    [sym_xml_doc] = STATE(1098),
    [sym_block_comment] = STATE(1098),
    [aux_sym__compound_type_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_LT2] = ACTIONS(2989),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
    [sym__then] = ACTIONS(2194),
  },
  [1099] = {
    [sym_xml_doc] = STATE(1099),
    [sym_block_comment] = STATE(1099),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_GT_RBRACK] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_RBRACK] = ACTIONS(2740),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2740),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_with] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_to] = ACTIONS(2738),
    [anon_sym_downto] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_end] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_DOT_DOT2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
  },
  [1100] = {
    [sym_xml_doc] = STATE(1100),
    [sym_block_comment] = STATE(1100),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_GT_RBRACK] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_RBRACK] = ACTIONS(2730),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_with] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_to] = ACTIONS(2728),
    [anon_sym_downto] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_end] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_DOT_DOT2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
  },
  [1101] = {
    [sym_type_arguments] = STATE(1288),
    [sym_long_identifier] = STATE(1264),
    [sym_xml_doc] = STATE(1101),
    [sym_block_comment] = STATE(1101),
    [aux_sym__compound_type_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_COLON_QMARK] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_AT_GT] = ACTIONS(2194),
    [anon_sym_LT_AT_AT] = ACTIONS(2192),
    [anon_sym_AT_AT_GT] = ACTIONS(2194),
    [anon_sym_COLON_GT] = ACTIONS(2194),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_LT_DASH] = ACTIONS(2192),
    [anon_sym_DOT_LBRACK] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_DOT_DOT] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_LT2] = ACTIONS(2973),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_or] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2192),
    [anon_sym_DASH_DOT] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_infix_op_token1] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2194),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2194),
  },
  [1102] = {
    [sym_xml_doc] = STATE(1102),
    [sym_block_comment] = STATE(1102),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_GT_RBRACK] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_RBRACK] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_with] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_to] = ACTIONS(2793),
    [anon_sym_downto] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_end] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_DOT_DOT2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
  },
  [1103] = {
    [sym_xml_doc] = STATE(1103),
    [sym_block_comment] = STATE(1103),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_GT_RBRACK] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_RBRACK] = ACTIONS(2664),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_with] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_to] = ACTIONS(2662),
    [anon_sym_downto] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_end] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_DOT_DOT2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
  },
  [1104] = {
    [sym_type_arguments] = STATE(1288),
    [sym_long_identifier] = STATE(1264),
    [sym_xml_doc] = STATE(1104),
    [sym_block_comment] = STATE(1104),
    [aux_sym__compound_type_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_DOT_DOT] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_LT2] = ACTIONS(2973),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
  },
  [1105] = {
    [sym_xml_doc] = STATE(1105),
    [sym_block_comment] = STATE(1105),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_GT_RBRACK] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_to] = ACTIONS(2410),
    [anon_sym_downto] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_end] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_DOT_DOT2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1106] = {
    [sym_type_arguments] = STATE(1288),
    [sym_long_identifier] = STATE(1264),
    [sym_xml_doc] = STATE(1106),
    [sym_block_comment] = STATE(1106),
    [aux_sym__compound_type_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2226),
    [anon_sym_COLON_QMARK] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_AT_GT] = ACTIONS(2228),
    [anon_sym_LT_AT_AT] = ACTIONS(2226),
    [anon_sym_AT_AT_GT] = ACTIONS(2228),
    [anon_sym_COLON_GT] = ACTIONS(2228),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_LT_DASH] = ACTIONS(2226),
    [anon_sym_DOT_LBRACK] = ACTIONS(2228),
    [anon_sym_DOT] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_DOT_DOT] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_LT2] = ACTIONS(2973),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_or] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2226),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2226),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2226),
    [anon_sym_DASH_DOT] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2226),
    [anon_sym_AMP_AMP] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_infix_op_token1] = ACTIONS(2226),
    [anon_sym_PIPE_PIPE] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_COLON_EQ] = ACTIONS(2228),
    [anon_sym_DOLLAR] = ACTIONS(2226),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2228),
  },
  [1107] = {
    [sym_xml_doc] = STATE(1107),
    [sym_block_comment] = STATE(1107),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_GT_RBRACK] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_to] = ACTIONS(2410),
    [anon_sym_downto] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_end] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_DOT_DOT2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1108] = {
    [sym_xml_doc] = STATE(1108),
    [sym_block_comment] = STATE(1108),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_GT_RBRACK] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_RBRACK] = ACTIONS(2678),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_RBRACE] = ACTIONS(2678),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_with] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_to] = ACTIONS(2676),
    [anon_sym_downto] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_end] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_DOT_DOT2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
  },
  [1109] = {
    [sym_xml_doc] = STATE(1109),
    [sym_block_comment] = STATE(1109),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_GT_RBRACK] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_RBRACK] = ACTIONS(2690),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_with] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_to] = ACTIONS(2688),
    [anon_sym_downto] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_end] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_DOT_DOT2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
  },
  [1110] = {
    [sym_xml_doc] = STATE(1110),
    [sym_block_comment] = STATE(1110),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_GT_RBRACK] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_RBRACK] = ACTIONS(2922),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_with] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_to] = ACTIONS(2920),
    [anon_sym_downto] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_end] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_DOT_DOT2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
  },
  [1111] = {
    [sym_xml_doc] = STATE(1111),
    [sym_block_comment] = STATE(1111),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_GT_RBRACK] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_RBRACK] = ACTIONS(2914),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_with] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_to] = ACTIONS(2912),
    [anon_sym_downto] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_end] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_DOT_DOT2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
  },
  [1112] = {
    [sym_xml_doc] = STATE(1112),
    [sym_block_comment] = STATE(1112),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_GT_RBRACK] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_RBRACK] = ACTIONS(2698),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_with] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_to] = ACTIONS(2696),
    [anon_sym_downto] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_end] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_DOT_DOT2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
  },
  [1113] = {
    [sym_xml_doc] = STATE(1113),
    [sym_block_comment] = STATE(1113),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_GT_RBRACK] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_RBRACK] = ACTIONS(2918),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_with] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_to] = ACTIONS(2916),
    [anon_sym_downto] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_end] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_DOT_DOT2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
  },
  [1114] = {
    [sym_xml_doc] = STATE(1114),
    [sym_block_comment] = STATE(1114),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_GT_RBRACK] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_RBRACK] = ACTIONS(2874),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_with] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_to] = ACTIONS(2872),
    [anon_sym_downto] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_end] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_DOT_DOT2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
  },
  [1115] = {
    [sym_xml_doc] = STATE(1115),
    [sym_block_comment] = STATE(1115),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_GT_RBRACK] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_RBRACK] = ACTIONS(2714),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_RBRACE] = ACTIONS(2714),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_with] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_to] = ACTIONS(2712),
    [anon_sym_downto] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_end] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_DOT_DOT2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
  },
  [1116] = {
    [sym_xml_doc] = STATE(1116),
    [sym_block_comment] = STATE(1116),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_POUNDnowarn] = ACTIONS(2412),
    [anon_sym_POUNDr] = ACTIONS(2412),
    [anon_sym_POUNDload] = ACTIONS(2412),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_LBRACK_LT] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2995),
  },
  [1117] = {
    [sym_xml_doc] = STATE(1117),
    [sym_block_comment] = STATE(1117),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_GT_RBRACK] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_RBRACK] = ACTIONS(2894),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_with] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_to] = ACTIONS(2892),
    [anon_sym_downto] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_end] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_DOT_DOT2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
  },
  [1118] = {
    [sym_xml_doc] = STATE(1118),
    [sym_block_comment] = STATE(1118),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_GT_RBRACK] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_RBRACK] = ACTIONS(2870),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_with] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_to] = ACTIONS(2868),
    [anon_sym_downto] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_end] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_DOT_DOT2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
  },
  [1119] = {
    [sym_xml_doc] = STATE(1119),
    [sym_block_comment] = STATE(1119),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_GT_RBRACK] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_RBRACK] = ACTIONS(2866),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_with] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_to] = ACTIONS(2864),
    [anon_sym_downto] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_end] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_DOT_DOT2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
  },
  [1120] = {
    [sym_xml_doc] = STATE(1120),
    [sym_block_comment] = STATE(1120),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_GT_RBRACK] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_RBRACK] = ACTIONS(2843),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_with] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_to] = ACTIONS(2841),
    [anon_sym_downto] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_end] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_DOT_DOT2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
  },
  [1121] = {
    [sym_xml_doc] = STATE(1121),
    [sym_block_comment] = STATE(1121),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_GT_RBRACK] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_RBRACK] = ACTIONS(2694),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_RBRACE] = ACTIONS(2694),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_with] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_to] = ACTIONS(2692),
    [anon_sym_downto] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_end] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_DOT_DOT2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
  },
  [1122] = {
    [sym_xml_doc] = STATE(1122),
    [sym_block_comment] = STATE(1122),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_GT_RBRACK] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_RBRACK] = ACTIONS(2787),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_with] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_to] = ACTIONS(2785),
    [anon_sym_downto] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_end] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_DOT_DOT2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
  },
  [1123] = {
    [sym_xml_doc] = STATE(1123),
    [sym_block_comment] = STATE(1123),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_GT_RBRACK] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_RBRACK] = ACTIONS(2736),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_RBRACE] = ACTIONS(2736),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_with] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_to] = ACTIONS(2734),
    [anon_sym_downto] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_end] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_DOT_DOT2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
  },
  [1124] = {
    [sym_xml_doc] = STATE(1124),
    [sym_block_comment] = STATE(1124),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_GT_RBRACK] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_RBRACK] = ACTIONS(2718),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_with] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_to] = ACTIONS(2716),
    [anon_sym_downto] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_end] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_DOT_DOT2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
  },
  [1125] = {
    [sym_xml_doc] = STATE(1125),
    [sym_block_comment] = STATE(1125),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_GT_RBRACK] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_to] = ACTIONS(2316),
    [anon_sym_downto] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_end] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_DOT_DOT2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1126] = {
    [sym_xml_doc] = STATE(1126),
    [sym_block_comment] = STATE(1126),
    [aux_sym_long_identifier_repeat1] = STATE(1129),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__dedent] = ACTIONS(2373),
  },
  [1127] = {
    [sym_xml_doc] = STATE(1127),
    [sym_block_comment] = STATE(1127),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_GT_RBRACK] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_RBRACK] = ACTIONS(2036),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_RBRACE] = ACTIONS(2036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_to] = ACTIONS(2038),
    [anon_sym_downto] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_DOT_DOT2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [1128] = {
    [sym_type_arguments] = STATE(1300),
    [sym_long_identifier] = STATE(1260),
    [sym_xml_doc] = STATE(1128),
    [sym_block_comment] = STATE(1128),
    [aux_sym__compound_type_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_LT2] = ACTIONS(2989),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
    [sym__then] = ACTIONS(2190),
  },
  [1129] = {
    [sym_xml_doc] = STATE(1129),
    [sym_block_comment] = STATE(1129),
    [aux_sym_long_identifier_repeat1] = STATE(1131),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__dedent] = ACTIONS(2339),
  },
  [1130] = {
    [sym_xml_doc] = STATE(1130),
    [sym_block_comment] = STATE(1130),
    [aux_sym__compound_type_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_as] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
    [sym__dedent] = ACTIONS(2335),
  },
  [1131] = {
    [sym_xml_doc] = STATE(1131),
    [sym_block_comment] = STATE(1131),
    [aux_sym_long_identifier_repeat1] = STATE(1131),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [1132] = {
    [sym_xml_doc] = STATE(1132),
    [sym_block_comment] = STATE(1132),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_GT_RBRACK] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_RBRACK] = ACTIONS(2686),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_RBRACE] = ACTIONS(2686),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_with] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_to] = ACTIONS(2684),
    [anon_sym_downto] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_end] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_DOT_DOT2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
  },
  [1133] = {
    [sym_xml_doc] = STATE(1133),
    [sym_block_comment] = STATE(1133),
    [aux_sym_long_identifier_repeat1] = STATE(1138),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__dedent] = ACTIONS(2339),
    [sym__else] = ACTIONS(2339),
    [sym__elif] = ACTIONS(2339),
  },
  [1134] = {
    [sym_xml_doc] = STATE(1134),
    [sym_block_comment] = STATE(1134),
    [aux_sym_long_identifier_repeat1] = STATE(1133),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__dedent] = ACTIONS(2373),
    [sym__else] = ACTIONS(2373),
    [sym__elif] = ACTIONS(2373),
  },
  [1135] = {
    [sym_xml_doc] = STATE(1135),
    [sym_block_comment] = STATE(1135),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_GT_RBRACK] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_RBRACK] = ACTIONS(2763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_RBRACE] = ACTIONS(2763),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_with] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_to] = ACTIONS(2761),
    [anon_sym_downto] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_end] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_DOT_DOT2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
  },
  [1136] = {
    [sym_xml_doc] = STATE(1136),
    [sym_block_comment] = STATE(1136),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_GT_RBRACK] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_RBRACK] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_with] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_to] = ACTIONS(2781),
    [anon_sym_downto] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_end] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_DOT_DOT2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
  },
  [1137] = {
    [sym_xml_doc] = STATE(1137),
    [sym_block_comment] = STATE(1137),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_GT_RBRACK] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_RBRACK] = ACTIONS(2803),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_with] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_to] = ACTIONS(2801),
    [anon_sym_downto] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_end] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_DOT_DOT2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
  },
  [1138] = {
    [sym_xml_doc] = STATE(1138),
    [sym_block_comment] = STATE(1138),
    [aux_sym_long_identifier_repeat1] = STATE(1138),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
    [sym__else] = ACTIONS(2318),
    [sym__elif] = ACTIONS(2318),
  },
  [1139] = {
    [sym_xml_doc] = STATE(1139),
    [sym_block_comment] = STATE(1139),
    [aux_sym_sequential_expression_repeat1] = STATE(1139),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_GT_RBRACK] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_RBRACK] = ACTIONS(2853),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_with] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_to] = ACTIONS(2855),
    [anon_sym_downto] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_end] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3011),
  },
  [1140] = {
    [sym_xml_doc] = STATE(1140),
    [sym_block_comment] = STATE(1140),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_GT_RBRACK] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_RBRACK] = ACTIONS(2862),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2862),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_with] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_to] = ACTIONS(2860),
    [anon_sym_downto] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_end] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_DOT_DOT2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
  },
  [1141] = {
    [sym_xml_doc] = STATE(1141),
    [sym_block_comment] = STATE(1141),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_GT_RBRACK] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_RBRACK] = ACTIONS(2702),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_with] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_to] = ACTIONS(2700),
    [anon_sym_downto] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_end] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_DOT_DOT2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
  },
  [1142] = {
    [sym_xml_doc] = STATE(1142),
    [sym_block_comment] = STATE(1142),
    [aux_sym__compound_type_repeat1] = STATE(1142),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__dedent] = ACTIONS(2232),
  },
  [1143] = {
    [sym_xml_doc] = STATE(1143),
    [sym_block_comment] = STATE(1143),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_GT_RBRACK] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_RBRACK] = ACTIONS(2706),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_with] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_to] = ACTIONS(2704),
    [anon_sym_downto] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_end] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_DOT_DOT2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
  },
  [1144] = {
    [sym_xml_doc] = STATE(1144),
    [sym_block_comment] = STATE(1144),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_GT_RBRACK] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_RBRACK] = ACTIONS(2710),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_to] = ACTIONS(2708),
    [anon_sym_downto] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_end] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_DOT_DOT2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
  },
  [1145] = {
    [sym_xml_doc] = STATE(1145),
    [sym_block_comment] = STATE(1145),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_GT_RBRACK] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_RBRACK] = ACTIONS(2599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_with] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_to] = ACTIONS(2597),
    [anon_sym_downto] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_end] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_DOT_DOT2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
  },
  [1146] = {
    [sym_xml_doc] = STATE(1146),
    [sym_block_comment] = STATE(1146),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_GT_RBRACK] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_RBRACK] = ACTIONS(2722),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_to] = ACTIONS(2720),
    [anon_sym_downto] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_end] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_DOT_DOT2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
  },
  [1147] = {
    [sym_xml_doc] = STATE(1147),
    [sym_block_comment] = STATE(1147),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_GT_RBRACK] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_RBRACK] = ACTIONS(2726),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_to] = ACTIONS(2724),
    [anon_sym_downto] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_end] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_DOT_DOT2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
  },
  [1148] = {
    [sym_type_arguments] = STATE(1288),
    [sym_long_identifier] = STATE(1264),
    [sym_xml_doc] = STATE(1148),
    [sym_block_comment] = STATE(1148),
    [aux_sym__compound_type_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_DOT_DOT] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_LT2] = ACTIONS(2973),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
  },
  [1149] = {
    [sym_xml_doc] = STATE(1149),
    [sym_block_comment] = STATE(1149),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_GT_RBRACK] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_RBRACK] = ACTIONS(2751),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_with] = ACTIONS(2749),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_to] = ACTIONS(2749),
    [anon_sym_downto] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_end] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_DOT_DOT2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
  },
  [1150] = {
    [sym_xml_doc] = STATE(1150),
    [sym_block_comment] = STATE(1150),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_GT_RBRACK] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_RBRACK] = ACTIONS(2755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_with] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_to] = ACTIONS(2753),
    [anon_sym_downto] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_end] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_DOT_DOT2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
  },
  [1151] = {
    [sym_xml_doc] = STATE(1151),
    [sym_block_comment] = STATE(1151),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_GT_RBRACK] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_RBRACK] = ACTIONS(2759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_with] = ACTIONS(2757),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_to] = ACTIONS(2757),
    [anon_sym_downto] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_end] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_DOT_DOT2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
  },
  [1152] = {
    [sym_xml_doc] = STATE(1152),
    [sym_block_comment] = STATE(1152),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_GT_RBRACK] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_RBRACK] = ACTIONS(2779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_with] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_to] = ACTIONS(2777),
    [anon_sym_downto] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_end] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_DOT_DOT2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
  },
  [1153] = {
    [sym_xml_doc] = STATE(1153),
    [sym_block_comment] = STATE(1153),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_GT_RBRACK] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_RBRACK] = ACTIONS(2791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_with] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_to] = ACTIONS(2789),
    [anon_sym_downto] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_end] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_DOT_DOT2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
  },
  [1154] = {
    [sym_xml_doc] = STATE(1154),
    [sym_block_comment] = STATE(1154),
    [aux_sym__compound_type_repeat1] = STATE(1162),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
    [sym__dedent] = ACTIONS(2335),
    [sym__else] = ACTIONS(2335),
    [sym__elif] = ACTIONS(2335),
  },
  [1155] = {
    [sym_xml_doc] = STATE(1155),
    [sym_block_comment] = STATE(1155),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_GT_RBRACK] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_RBRACK] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(2851),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_with] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_to] = ACTIONS(2849),
    [anon_sym_downto] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_end] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_DOT_DOT2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
  },
  [1156] = {
    [sym_xml_doc] = STATE(1156),
    [sym_block_comment] = STATE(1156),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_GT_RBRACK] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_RBRACK] = ACTIONS(2878),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_with] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_to] = ACTIONS(2876),
    [anon_sym_downto] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_end] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_DOT_DOT2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
  },
  [1157] = {
    [sym_xml_doc] = STATE(1157),
    [sym_block_comment] = STATE(1157),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_GT_RBRACK] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_RBRACK] = ACTIONS(2882),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_with] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_to] = ACTIONS(2880),
    [anon_sym_downto] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_end] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_DOT_DOT2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
  },
  [1158] = {
    [sym_xml_doc] = STATE(1158),
    [sym_block_comment] = STATE(1158),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_GT_RBRACK] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_RBRACK] = ACTIONS(2886),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_RBRACE] = ACTIONS(2886),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_with] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_to] = ACTIONS(2884),
    [anon_sym_downto] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_end] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_DOT_DOT2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
  },
  [1159] = {
    [sym_xml_doc] = STATE(1159),
    [sym_block_comment] = STATE(1159),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_GT_RBRACK] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_RBRACK] = ACTIONS(2902),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2902),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_with] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_to] = ACTIONS(2900),
    [anon_sym_downto] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_end] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_DOT_DOT2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
  },
  [1160] = {
    [sym_xml_doc] = STATE(1160),
    [sym_block_comment] = STATE(1160),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_GT_RBRACK] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_RBRACK] = ACTIONS(2906),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_RBRACE] = ACTIONS(2906),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_with] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_to] = ACTIONS(2904),
    [anon_sym_downto] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_end] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_DOT_DOT2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
  },
  [1161] = {
    [sym_xml_doc] = STATE(1161),
    [sym_block_comment] = STATE(1161),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_GT_RBRACK] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_RBRACK] = ACTIONS(2910),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_with] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_to] = ACTIONS(2908),
    [anon_sym_downto] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_end] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_DOT_DOT2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
  },
  [1162] = {
    [sym_xml_doc] = STATE(1162),
    [sym_block_comment] = STATE(1162),
    [aux_sym__compound_type_repeat1] = STATE(1162),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__dedent] = ACTIONS(2232),
    [sym__else] = ACTIONS(2232),
    [sym__elif] = ACTIONS(2232),
  },
  [1163] = {
    [sym_type_arguments] = STATE(1300),
    [sym_long_identifier] = STATE(1260),
    [sym_xml_doc] = STATE(1163),
    [sym_block_comment] = STATE(1163),
    [aux_sym__compound_type_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(2983),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2148),
    [anon_sym_COLON_QMARK] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_AT_GT] = ACTIONS(2150),
    [anon_sym_LT_AT_AT] = ACTIONS(2148),
    [anon_sym_AT_AT_GT] = ACTIONS(2150),
    [anon_sym_COLON_GT] = ACTIONS(2150),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_LT_DASH] = ACTIONS(2148),
    [anon_sym_DOT_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_LPAREN2] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_LT2] = ACTIONS(2989),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_or] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2148),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2148),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2148),
    [anon_sym_DASH_DOT] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2148),
    [anon_sym_AMP_AMP] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_infix_op_token1] = ACTIONS(2148),
    [anon_sym_PIPE_PIPE] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_COLON_EQ] = ACTIONS(2150),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2150),
    [sym__then] = ACTIONS(2150),
  },
  [1164] = {
    [sym_xml_doc] = STATE(1164),
    [sym_block_comment] = STATE(1164),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_with] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
    [sym__dedent] = ACTIONS(2462),
  },
  [1165] = {
    [sym_xml_doc] = STATE(1165),
    [sym_block_comment] = STATE(1165),
    [aux_sym_long_identifier_repeat1] = STATE(1167),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
  },
  [1166] = {
    [sym_xml_doc] = STATE(1166),
    [sym_block_comment] = STATE(1166),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__dedent] = ACTIONS(2452),
    [sym__else] = ACTIONS(2452),
    [sym__elif] = ACTIONS(2452),
  },
  [1167] = {
    [sym_xml_doc] = STATE(1167),
    [sym_block_comment] = STATE(1167),
    [aux_sym_long_identifier_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [1168] = {
    [sym_xml_doc] = STATE(1168),
    [sym_block_comment] = STATE(1168),
    [aux_sym__compound_type_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
    [sym__else] = ACTIONS(2335),
    [sym__elif] = ACTIONS(2335),
  },
  [1169] = {
    [sym_xml_doc] = STATE(1169),
    [sym_block_comment] = STATE(1169),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
    [sym__dedent] = ACTIONS(2474),
    [sym__else] = ACTIONS(2474),
    [sym__elif] = ACTIONS(2474),
  },
  [1170] = {
    [sym_xml_doc] = STATE(1170),
    [sym_block_comment] = STATE(1170),
    [aux_sym_long_identifier_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1171] = {
    [sym_xml_doc] = STATE(1171),
    [sym_block_comment] = STATE(1171),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__dedent] = ACTIONS(2452),
  },
  [1172] = {
    [sym_xml_doc] = STATE(1172),
    [sym_block_comment] = STATE(1172),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__dedent] = ACTIONS(2452),
    [sym__else] = ACTIONS(2452),
    [sym__elif] = ACTIONS(2452),
  },
  [1173] = {
    [sym_xml_doc] = STATE(1173),
    [sym_block_comment] = STATE(1173),
    [aux_sym__compound_type_repeat1] = STATE(1173),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(3025),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__else] = ACTIONS(2232),
    [sym__elif] = ACTIONS(2232),
  },
  [1174] = {
    [sym_xml_doc] = STATE(1174),
    [sym_block_comment] = STATE(1174),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3028),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
  },
  [1175] = {
    [sym_xml_doc] = STATE(1175),
    [sym_block_comment] = STATE(1175),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__dedent] = ACTIONS(2452),
  },
  [1176] = {
    [sym_xml_doc] = STATE(1176),
    [sym_block_comment] = STATE(1176),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_as] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_with] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(3030),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
    [sym__dedent] = ACTIONS(2456),
  },
  [1177] = {
    [sym_xml_doc] = STATE(1177),
    [sym_block_comment] = STATE(1177),
    [aux_sym_long_identifier_repeat1] = STATE(1205),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
    [sym__else] = ACTIONS(2382),
    [sym__elif] = ACTIONS(2382),
  },
  [1178] = {
    [sym_xml_doc] = STATE(1178),
    [sym_block_comment] = STATE(1178),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
    [sym__dedent] = ACTIONS(2444),
    [sym__else] = ACTIONS(2444),
    [sym__elif] = ACTIONS(2444),
  },
  [1179] = {
    [sym_xml_doc] = STATE(1179),
    [sym_block_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
    [sym__dedent] = ACTIONS(2414),
    [sym__else] = ACTIONS(2414),
    [sym__elif] = ACTIONS(2414),
  },
  [1180] = {
    [sym_xml_doc] = STATE(1180),
    [sym_block_comment] = STATE(1180),
    [aux_sym_long_identifier_repeat1] = STATE(1167),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1181] = {
    [sym_xml_doc] = STATE(1181),
    [sym_block_comment] = STATE(1181),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3028),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
  },
  [1182] = {
    [sym_xml_doc] = STATE(1182),
    [sym_block_comment] = STATE(1182),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
    [sym__else] = ACTIONS(2412),
    [sym__elif] = ACTIONS(2412),
  },
  [1183] = {
    [sym_xml_doc] = STATE(1183),
    [sym_block_comment] = STATE(1183),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
    [sym__dedent] = ACTIONS(2430),
    [sym__else] = ACTIONS(2430),
    [sym__elif] = ACTIONS(2430),
  },
  [1184] = {
    [sym_xml_doc] = STATE(1184),
    [sym_block_comment] = STATE(1184),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
    [sym__dedent] = ACTIONS(2466),
    [sym__else] = ACTIONS(2466),
    [sym__elif] = ACTIONS(2466),
  },
  [1185] = {
    [sym_type_arguments] = STATE(837),
    [sym_long_identifier] = STATE(828),
    [sym_xml_doc] = STATE(1185),
    [sym_block_comment] = STATE(1185),
    [aux_sym__compound_type_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_do] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_let_BANG] = ACTIONS(2190),
    [anon_sym_null] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_COLON_QMARK] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2188),
    [anon_sym_return_BANG] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_yield_BANG] = ACTIONS(2190),
    [anon_sym_lazy] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2188),
    [anon_sym_upcast] = ACTIONS(2188),
    [anon_sym_downcast] = ACTIONS(2188),
    [anon_sym_LT_AT] = ACTIONS(2188),
    [anon_sym_AT_GT] = ACTIONS(2190),
    [anon_sym_LT_AT_AT] = ACTIONS(2188),
    [anon_sym_AT_AT_GT] = ACTIONS(2190),
    [anon_sym_COLON_GT] = ACTIONS(2190),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_fun] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_match_BANG] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_LT_DASH] = ACTIONS(2188),
    [anon_sym_DOT_LBRACK] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_use_BANG] = ACTIONS(2190),
    [anon_sym_do_BANG] = ACTIONS(2190),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2327),
    [anon_sym_LT2] = ACTIONS(2329),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [anon_sym_or] = ACTIONS(2188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [anon_sym_AT_DQUOTE] = ACTIONS(2190),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2190),
    [sym_bool] = ACTIONS(2188),
    [sym_unit] = ACTIONS(2188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS_DOT] = ACTIONS(2188),
    [anon_sym_DASH_DOT] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [aux_sym_prefix_op_token1] = ACTIONS(2190),
    [aux_sym_infix_op_token1] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_COLON_EQ] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2190),
    [aux_sym_int_token1] = ACTIONS(2188),
    [aux_sym_xint_token1] = ACTIONS(2190),
    [aux_sym_xint_token2] = ACTIONS(2190),
    [aux_sym_xint_token3] = ACTIONS(2190),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2190),
  },
  [1186] = {
    [sym_xml_doc] = STATE(1186),
    [sym_block_comment] = STATE(1186),
    [aux_sym__compound_type_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_as] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
  },
  [1187] = {
    [sym_xml_doc] = STATE(1187),
    [sym_block_comment] = STATE(1187),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_as] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
    [sym__dedent] = ACTIONS(2478),
  },
  [1188] = {
    [sym_xml_doc] = STATE(1188),
    [sym_block_comment] = STATE(1188),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
    [sym__dedent] = ACTIONS(2462),
    [sym__else] = ACTIONS(2462),
    [sym__elif] = ACTIONS(2462),
  },
  [1189] = {
    [sym_xml_doc] = STATE(1189),
    [sym_block_comment] = STATE(1189),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_with] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
    [sym__dedent] = ACTIONS(2470),
  },
  [1190] = {
    [sym_xml_doc] = STATE(1190),
    [sym_block_comment] = STATE(1190),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [1191] = {
    [sym_xml_doc] = STATE(1191),
    [sym_block_comment] = STATE(1191),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
    [sym__dedent] = ACTIONS(2436),
    [sym__else] = ACTIONS(2436),
    [sym__elif] = ACTIONS(2436),
  },
  [1192] = {
    [sym_xml_doc] = STATE(1192),
    [sym_block_comment] = STATE(1192),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_with] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
    [sym__dedent] = ACTIONS(2430),
  },
  [1193] = {
    [sym_xml_doc] = STATE(1193),
    [sym_block_comment] = STATE(1193),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_as] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
    [sym__dedent] = ACTIONS(2426),
  },
  [1194] = {
    [sym_xml_doc] = STATE(1194),
    [sym_block_comment] = STATE(1194),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(3040),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
    [sym__dedent] = ACTIONS(2456),
    [sym__else] = ACTIONS(2456),
    [sym__elif] = ACTIONS(2456),
  },
  [1195] = {
    [sym_xml_doc] = STATE(1195),
    [sym_block_comment] = STATE(1195),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
    [sym__else] = ACTIONS(2318),
    [sym__elif] = ACTIONS(2318),
  },
  [1196] = {
    [sym_xml_doc] = STATE(1196),
    [sym_block_comment] = STATE(1196),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
    [sym__dedent] = ACTIONS(2470),
    [sym__else] = ACTIONS(2470),
    [sym__elif] = ACTIONS(2470),
  },
  [1197] = {
    [sym_xml_doc] = STATE(1197),
    [sym_block_comment] = STATE(1197),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
    [sym__dedent] = ACTIONS(2478),
    [sym__else] = ACTIONS(2478),
    [sym__elif] = ACTIONS(2478),
  },
  [1198] = {
    [sym_xml_doc] = STATE(1198),
    [sym_block_comment] = STATE(1198),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
    [sym__dedent] = ACTIONS(2440),
  },
  [1199] = {
    [sym_xml_doc] = STATE(1199),
    [sym_block_comment] = STATE(1199),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
    [sym__dedent] = ACTIONS(2426),
    [sym__else] = ACTIONS(2426),
    [sym__elif] = ACTIONS(2426),
  },
  [1200] = {
    [sym_xml_doc] = STATE(1200),
    [sym_block_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_as] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
    [sym__dedent] = ACTIONS(2414),
  },
  [1201] = {
    [sym_xml_doc] = STATE(1201),
    [sym_block_comment] = STATE(1201),
    [aux_sym_long_identifier_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__else] = ACTIONS(2318),
    [sym__elif] = ACTIONS(2318),
  },
  [1202] = {
    [sym_xml_doc] = STATE(1202),
    [sym_block_comment] = STATE(1202),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
    [sym__dedent] = ACTIONS(2444),
  },
  [1203] = {
    [sym_xml_doc] = STATE(1203),
    [sym_block_comment] = STATE(1203),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_as] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
    [sym__dedent] = ACTIONS(2466),
  },
  [1204] = {
    [sym_xml_doc] = STATE(1204),
    [sym_block_comment] = STATE(1204),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_as] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
    [sym__dedent] = ACTIONS(2474),
  },
  [1205] = {
    [sym_xml_doc] = STATE(1205),
    [sym_block_comment] = STATE(1205),
    [aux_sym_long_identifier_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__else] = ACTIONS(2339),
    [sym__elif] = ACTIONS(2339),
  },
  [1206] = {
    [sym_xml_doc] = STATE(1206),
    [sym_block_comment] = STATE(1206),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
    [sym__dedent] = ACTIONS(2440),
    [sym__else] = ACTIONS(2440),
    [sym__elif] = ACTIONS(2440),
  },
  [1207] = {
    [sym_xml_doc] = STATE(1207),
    [sym_block_comment] = STATE(1207),
    [aux_sym_long_identifier_repeat1] = STATE(1205),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__else] = ACTIONS(2373),
    [sym__elif] = ACTIONS(2373),
  },
  [1208] = {
    [sym_xml_doc] = STATE(1208),
    [sym_block_comment] = STATE(1208),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
    [sym__dedent] = ACTIONS(2436),
  },
  [1209] = {
    [sym_xml_doc] = STATE(1209),
    [sym_block_comment] = STATE(1209),
    [aux_sym__compound_type_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
  },
  [1210] = {
    [sym_xml_doc] = STATE(1210),
    [sym_block_comment] = STATE(1210),
    [aux_sym_long_identifier_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_DOT_DOT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1211] = {
    [sym_xml_doc] = STATE(1211),
    [sym_block_comment] = STATE(1211),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
    [sym__else] = ACTIONS(2444),
    [sym__elif] = ACTIONS(2444),
  },
  [1212] = {
    [sym_xml_doc] = STATE(1212),
    [sym_block_comment] = STATE(1212),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
    [sym__else] = ACTIONS(2426),
    [sym__elif] = ACTIONS(2426),
  },
  [1213] = {
    [sym_xml_doc] = STATE(1213),
    [sym_block_comment] = STATE(1213),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
    [sym__else] = ACTIONS(2470),
    [sym__elif] = ACTIONS(2470),
  },
  [1214] = {
    [sym_xml_doc] = STATE(1214),
    [sym_block_comment] = STATE(1214),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1215] = {
    [sym_xml_doc] = STATE(1215),
    [sym_block_comment] = STATE(1215),
    [aux_sym_long_identifier_repeat1] = STATE(1215),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__then] = ACTIONS(2318),
  },
  [1216] = {
    [sym_xml_doc] = STATE(1216),
    [sym_block_comment] = STATE(1216),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
  },
  [1217] = {
    [sym_xml_doc] = STATE(1217),
    [sym_block_comment] = STATE(1217),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
    [sym__else] = ACTIONS(2474),
    [sym__elif] = ACTIONS(2474),
  },
  [1218] = {
    [sym_xml_doc] = STATE(1218),
    [sym_block_comment] = STATE(1218),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_with] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
  },
  [1219] = {
    [sym_xml_doc] = STATE(1219),
    [sym_block_comment] = STATE(1219),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
    [sym__else] = ACTIONS(2430),
    [sym__elif] = ACTIONS(2430),
  },
  [1220] = {
    [sym_xml_doc] = STATE(1220),
    [sym_block_comment] = STATE(1220),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
    [sym__else] = ACTIONS(2436),
    [sym__elif] = ACTIONS(2436),
  },
  [1221] = {
    [sym_xml_doc] = STATE(1221),
    [sym_block_comment] = STATE(1221),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
    [sym__else] = ACTIONS(2414),
    [sym__elif] = ACTIONS(2414),
  },
  [1222] = {
    [sym_xml_doc] = STATE(1222),
    [sym_block_comment] = STATE(1222),
    [aux_sym__compound_type_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(3059),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
    [sym__then] = ACTIONS(2232),
  },
  [1223] = {
    [sym_xml_doc] = STATE(1223),
    [sym_block_comment] = STATE(1223),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__else] = ACTIONS(2452),
    [sym__elif] = ACTIONS(2452),
  },
  [1224] = {
    [sym_xml_doc] = STATE(1224),
    [sym_block_comment] = STATE(1224),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__else] = ACTIONS(2452),
    [sym__elif] = ACTIONS(2452),
  },
  [1225] = {
    [sym_xml_doc] = STATE(1225),
    [sym_block_comment] = STATE(1225),
    [aux_sym_long_identifier_repeat1] = STATE(1251),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
    [sym__then] = ACTIONS(2382),
  },
  [1226] = {
    [sym_xml_doc] = STATE(1226),
    [sym_block_comment] = STATE(1226),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
    [sym__else] = ACTIONS(2440),
    [sym__elif] = ACTIONS(2440),
  },
  [1227] = {
    [sym_xml_doc] = STATE(1227),
    [sym_block_comment] = STATE(1227),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
    [sym__else] = ACTIONS(2466),
    [sym__elif] = ACTIONS(2466),
  },
  [1228] = {
    [sym_xml_doc] = STATE(1228),
    [sym_block_comment] = STATE(1228),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
    [sym__else] = ACTIONS(2462),
    [sym__elif] = ACTIONS(2462),
  },
  [1229] = {
    [sym_xml_doc] = STATE(1229),
    [sym_block_comment] = STATE(1229),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_as] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
  },
  [1230] = {
    [sym_xml_doc] = STATE(1230),
    [sym_block_comment] = STATE(1230),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1231] = {
    [sym_xml_doc] = STATE(1231),
    [sym_block_comment] = STATE(1231),
    [aux_sym_long_identifier_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_DOT_DOT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1232] = {
    [sym_xml_doc] = STATE(1232),
    [sym_block_comment] = STATE(1232),
    [aux_sym_long_identifier_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_COLON_QMARK] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_COLON_COLON] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_AT_GT] = ACTIONS(2382),
    [anon_sym_LT_AT_AT] = ACTIONS(2376),
    [anon_sym_AT_AT_GT] = ACTIONS(2382),
    [anon_sym_COLON_GT] = ACTIONS(2382),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_LT_DASH] = ACTIONS(2376),
    [anon_sym_DOT_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_DOT_DOT] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_LPAREN2] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2376),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2376),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2376),
    [anon_sym_DASH_DOT] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_infix_op_token1] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_COLON_EQ] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2376),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2382),
  },
  [1233] = {
    [sym_xml_doc] = STATE(1233),
    [sym_block_comment] = STATE(1233),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_as] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
  },
  [1234] = {
    [sym_xml_doc] = STATE(1234),
    [sym_block_comment] = STATE(1234),
    [aux_sym__compound_type_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
    [sym__then] = ACTIONS(2335),
  },
  [1235] = {
    [sym_xml_doc] = STATE(1235),
    [sym_block_comment] = STATE(1235),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
  },
  [1236] = {
    [sym_xml_doc] = STATE(1236),
    [sym_block_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_as] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
  },
  [1237] = {
    [sym_xml_doc] = STATE(1237),
    [sym_block_comment] = STATE(1237),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_with] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
  },
  [1238] = {
    [sym_xml_doc] = STATE(1238),
    [sym_block_comment] = STATE(1238),
    [aux_sym_long_identifier_repeat1] = STATE(1251),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__then] = ACTIONS(2373),
  },
  [1239] = {
    [sym_xml_doc] = STATE(1239),
    [sym_block_comment] = STATE(1239),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_with] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
  },
  [1240] = {
    [sym_xml_doc] = STATE(1240),
    [sym_block_comment] = STATE(1240),
    [aux_sym_long_identifier_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1241] = {
    [sym_xml_doc] = STATE(1241),
    [sym_block_comment] = STATE(1241),
    [aux_sym__compound_type_repeat1] = STATE(1241),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2230),
    [anon_sym_COLON_QMARK] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_AT_GT] = ACTIONS(2232),
    [anon_sym_LT_AT_AT] = ACTIONS(2230),
    [anon_sym_AT_AT_GT] = ACTIONS(2232),
    [anon_sym_COLON_GT] = ACTIONS(2232),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_LT_DASH] = ACTIONS(2230),
    [anon_sym_DOT_LBRACK] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_DOT_DOT] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_LPAREN2] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_or] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2230),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2230),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2230),
    [anon_sym_DASH_DOT] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_infix_op_token1] = ACTIONS(2230),
    [anon_sym_PIPE_PIPE] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_COLON_EQ] = ACTIONS(2232),
    [anon_sym_DOLLAR] = ACTIONS(2230),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2232),
  },
  [1242] = {
    [sym_xml_doc] = STATE(1242),
    [sym_block_comment] = STATE(1242),
    [aux_sym_long_identifier_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [1243] = {
    [sym_xml_doc] = STATE(1243),
    [sym_block_comment] = STATE(1243),
    [aux_sym__compound_type_repeat1] = STATE(1241),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_COLON_QMARK] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_COLON_COLON] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_AT_GT] = ACTIONS(2335),
    [anon_sym_LT_AT_AT] = ACTIONS(2333),
    [anon_sym_AT_AT_GT] = ACTIONS(2335),
    [anon_sym_COLON_GT] = ACTIONS(2335),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_LT_DASH] = ACTIONS(2333),
    [anon_sym_DOT_LBRACK] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_DOT_DOT] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_LPAREN2] = ACTIONS(2335),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_or] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2333),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2333),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2333),
    [anon_sym_DASH_DOT] = ACTIONS(2333),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_AMP_AMP] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_infix_op_token1] = ACTIONS(2333),
    [anon_sym_PIPE_PIPE] = ACTIONS(2333),
    [anon_sym_BANG_EQ] = ACTIONS(2335),
    [anon_sym_COLON_EQ] = ACTIONS(2335),
    [anon_sym_DOLLAR] = ACTIONS(2333),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2335),
  },
  [1244] = {
    [sym_xml_doc] = STATE(1244),
    [sym_block_comment] = STATE(1244),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1245] = {
    [sym_xml_doc] = STATE(1245),
    [sym_block_comment] = STATE(1245),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_as] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
  },
  [1246] = {
    [sym_xml_doc] = STATE(1246),
    [sym_block_comment] = STATE(1246),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
  },
  [1247] = {
    [sym_xml_doc] = STATE(1247),
    [sym_block_comment] = STATE(1247),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
  },
  [1248] = {
    [sym_xml_doc] = STATE(1248),
    [sym_block_comment] = STATE(1248),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_as] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_with] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(3078),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
  },
  [1249] = {
    [sym_xml_doc] = STATE(1249),
    [sym_block_comment] = STATE(1249),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
    [sym__else] = ACTIONS(2478),
    [sym__elif] = ACTIONS(2478),
  },
  [1250] = {
    [sym_xml_doc] = STATE(1250),
    [sym_block_comment] = STATE(1250),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
  },
  [1251] = {
    [sym_xml_doc] = STATE(1251),
    [sym_block_comment] = STATE(1251),
    [aux_sym_long_identifier_repeat1] = STATE(1215),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__then] = ACTIONS(2339),
  },
  [1252] = {
    [sym_xml_doc] = STATE(1252),
    [sym_block_comment] = STATE(1252),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__else] = ACTIONS(2412),
    [sym__elif] = ACTIONS(2412),
  },
  [1253] = {
    [sym_xml_doc] = STATE(1253),
    [sym_block_comment] = STATE(1253),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(3082),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
    [sym__else] = ACTIONS(2456),
    [sym__elif] = ACTIONS(2456),
  },
  [1254] = {
    [sym_xml_doc] = STATE(1254),
    [sym_block_comment] = STATE(1254),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_as] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
  },
  [1255] = {
    [sym_xml_doc] = STATE(1255),
    [sym_block_comment] = STATE(1255),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__else] = ACTIONS(2318),
    [sym__elif] = ACTIONS(2318),
  },
  [1256] = {
    [sym_xml_doc] = STATE(1256),
    [sym_block_comment] = STATE(1256),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
    [sym__then] = ACTIONS(2440),
  },
  [1257] = {
    [sym_xml_doc] = STATE(1257),
    [sym_block_comment] = STATE(1257),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
    [sym__then] = ACTIONS(2466),
  },
  [1258] = {
    [sym_xml_doc] = STATE(1258),
    [sym_block_comment] = STATE(1258),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1259] = {
    [sym_xml_doc] = STATE(1259),
    [sym_block_comment] = STATE(1259),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
  },
  [1260] = {
    [sym_xml_doc] = STATE(1260),
    [sym_block_comment] = STATE(1260),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
    [sym__then] = ACTIONS(2414),
  },
  [1261] = {
    [sym_xml_doc] = STATE(1261),
    [sym_block_comment] = STATE(1261),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_DOT_DOT] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1262] = {
    [sym_xml_doc] = STATE(1262),
    [sym_block_comment] = STATE(1262),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_COLON_QMARK] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_AT_GT] = ACTIONS(2440),
    [anon_sym_LT_AT_AT] = ACTIONS(2438),
    [anon_sym_AT_AT_GT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_LT_DASH] = ACTIONS(2438),
    [anon_sym_DOT_LBRACK] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_LPAREN2] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2438),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2438),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2438),
    [anon_sym_DASH_DOT] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_infix_op_token1] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_COLON_EQ] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2438),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2440),
  },
  [1263] = {
    [sym_xml_doc] = STATE(1263),
    [sym_block_comment] = STATE(1263),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
  },
  [1264] = {
    [sym_xml_doc] = STATE(1264),
    [sym_block_comment] = STATE(1264),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_COLON_QMARK] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2414),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2414),
    [anon_sym_COLON_GT] = ACTIONS(2414),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2408),
    [anon_sym_DOT_LBRACK] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2414),
    [anon_sym_COLON_EQ] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
  },
  [1265] = {
    [sym_xml_doc] = STATE(1265),
    [sym_block_comment] = STATE(1265),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_DASH_GT] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
  },
  [1266] = {
    [sym_xml_doc] = STATE(1266),
    [sym_block_comment] = STATE(1266),
    [aux_sym_rules_repeat1] = STATE(1281),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3088),
    [sym__dedent] = ACTIONS(2507),
    [sym__else] = ACTIONS(2507),
    [sym__elif] = ACTIONS(2507),
  },
  [1267] = {
    [sym_xml_doc] = STATE(1267),
    [sym_block_comment] = STATE(1267),
    [aux_sym_rules_repeat1] = STATE(1274),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_as] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3093),
    [sym__dedent] = ACTIONS(2498),
  },
  [1268] = {
    [sym_xml_doc] = STATE(1268),
    [sym_block_comment] = STATE(1268),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
  },
  [1269] = {
    [sym_xml_doc] = STATE(1269),
    [sym_block_comment] = STATE(1269),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
  },
  [1270] = {
    [sym_xml_doc] = STATE(1270),
    [sym_block_comment] = STATE(1270),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_DASH_GT] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2533),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_DOT_DOT2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
  },
  [1271] = {
    [sym_xml_doc] = STATE(1271),
    [sym_block_comment] = STATE(1271),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__then] = ACTIONS(2318),
  },
  [1272] = {
    [sym_xml_doc] = STATE(1272),
    [sym_block_comment] = STATE(1272),
    [aux_sym_rules_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3099),
    [sym__dedent] = ACTIONS(2516),
    [sym__else] = ACTIONS(2516),
    [sym__elif] = ACTIONS(2516),
  },
  [1273] = {
    [sym_xml_doc] = STATE(1273),
    [sym_block_comment] = STATE(1273),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
    [sym__then] = ACTIONS(2462),
  },
  [1274] = {
    [sym_xml_doc] = STATE(1274),
    [sym_block_comment] = STATE(1274),
    [aux_sym_rules_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_with] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3102),
    [sym__dedent] = ACTIONS(2528),
  },
  [1275] = {
    [sym_xml_doc] = STATE(1275),
    [sym_block_comment] = STATE(1275),
    [aux_sym_rules_repeat1] = STATE(1276),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_as] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3105),
    [sym__dedent] = ACTIONS(2507),
  },
  [1276] = {
    [sym_xml_doc] = STATE(1276),
    [sym_block_comment] = STATE(1276),
    [aux_sym_rules_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_as] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3093),
    [sym__dedent] = ACTIONS(2498),
  },
  [1277] = {
    [sym_xml_doc] = STATE(1277),
    [sym_block_comment] = STATE(1277),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_as] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
  },
  [1278] = {
    [sym_xml_doc] = STATE(1278),
    [sym_block_comment] = STATE(1278),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__then] = ACTIONS(2412),
  },
  [1279] = {
    [sym_xml_doc] = STATE(1279),
    [sym_block_comment] = STATE(1279),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
  },
  [1280] = {
    [sym_xml_doc] = STATE(1280),
    [sym_block_comment] = STATE(1280),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_COLON_QMARK] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_AT_GT] = ACTIONS(2466),
    [anon_sym_LT_AT_AT] = ACTIONS(2464),
    [anon_sym_AT_AT_GT] = ACTIONS(2466),
    [anon_sym_COLON_GT] = ACTIONS(2466),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_LT_DASH] = ACTIONS(2464),
    [anon_sym_DOT_LBRACK] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_LPAREN2] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2464),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2464),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2464),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2464),
    [anon_sym_DASH_DOT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_infix_op_token1] = ACTIONS(2464),
    [anon_sym_PIPE_PIPE] = ACTIONS(2464),
    [anon_sym_BANG_EQ] = ACTIONS(2466),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2466),
  },
  [1281] = {
    [sym_xml_doc] = STATE(1281),
    [sym_block_comment] = STATE(1281),
    [aux_sym_rules_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3110),
    [sym__dedent] = ACTIONS(2498),
    [sym__else] = ACTIONS(2498),
    [sym__elif] = ACTIONS(2498),
  },
  [1282] = {
    [sym_xml_doc] = STATE(1282),
    [sym_block_comment] = STATE(1282),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
  },
  [1283] = {
    [sym_xml_doc] = STATE(1283),
    [sym_block_comment] = STATE(1283),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
  },
  [1284] = {
    [sym_xml_doc] = STATE(1284),
    [sym_block_comment] = STATE(1284),
    [aux_sym_rules_repeat1] = STATE(1296),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3110),
    [sym__dedent] = ACTIONS(2498),
    [sym__else] = ACTIONS(2498),
    [sym__elif] = ACTIONS(2498),
  },
  [1285] = {
    [sym_xml_doc] = STATE(1285),
    [sym_block_comment] = STATE(1285),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_COLON_QMARK] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_AT_GT] = ACTIONS(2436),
    [anon_sym_LT_AT_AT] = ACTIONS(2434),
    [anon_sym_AT_AT_GT] = ACTIONS(2436),
    [anon_sym_COLON_GT] = ACTIONS(2436),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_LT_DASH] = ACTIONS(2434),
    [anon_sym_DOT_LBRACK] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2434),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2434),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2434),
    [anon_sym_DASH_DOT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_infix_op_token1] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2436),
    [sym__then] = ACTIONS(2436),
  },
  [1286] = {
    [sym_xml_doc] = STATE(1286),
    [sym_block_comment] = STATE(1286),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_DOT_DOT2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
  },
  [1287] = {
    [sym_xml_doc] = STATE(1287),
    [sym_block_comment] = STATE(1287),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_EQ] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_QMARK] = ACTIONS(2472),
    [anon_sym_COLON_QMARK] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_AT_GT] = ACTIONS(2474),
    [anon_sym_LT_AT_AT] = ACTIONS(2472),
    [anon_sym_AT_AT_GT] = ACTIONS(2474),
    [anon_sym_COLON_GT] = ACTIONS(2474),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_LT_DASH] = ACTIONS(2472),
    [anon_sym_DOT_LBRACK] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2472),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2472),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2472),
    [anon_sym_DASH_DOT] = ACTIONS(2472),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_infix_op_token1] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_COLON_EQ] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2472),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2474),
    [sym__then] = ACTIONS(2474),
  },
  [1288] = {
    [sym_xml_doc] = STATE(1288),
    [sym_block_comment] = STATE(1288),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
  },
  [1289] = {
    [sym_xml_doc] = STATE(1289),
    [sym_block_comment] = STATE(1289),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_as] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3113),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
  },
  [1290] = {
    [sym_xml_doc] = STATE(1290),
    [sym_block_comment] = STATE(1290),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_DOT_DOT] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
  },
  [1291] = {
    [sym_xml_doc] = STATE(1291),
    [sym_block_comment] = STATE(1291),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_GT_RBRACK] = ACTIONS(2414),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2414),
  },
  [1292] = {
    [sym_xml_doc] = STATE(1292),
    [sym_block_comment] = STATE(1292),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_COLON_QMARK] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_AT_GT] = ACTIONS(2426),
    [anon_sym_LT_AT_AT] = ACTIONS(2424),
    [anon_sym_AT_AT_GT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_LT_DASH] = ACTIONS(2424),
    [anon_sym_DOT_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2424),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2424),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2424),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2424),
    [anon_sym_DASH_DOT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_infix_op_token1] = ACTIONS(2424),
    [anon_sym_PIPE_PIPE] = ACTIONS(2424),
    [anon_sym_BANG_EQ] = ACTIONS(2426),
    [anon_sym_COLON_EQ] = ACTIONS(2426),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2426),
    [sym__then] = ACTIONS(2426),
  },
  [1293] = {
    [sym_xml_doc] = STATE(1293),
    [sym_block_comment] = STATE(1293),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_COLON] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON_QMARK] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2444),
    [anon_sym_COLON_COLON] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_AT_GT] = ACTIONS(2444),
    [anon_sym_LT_AT_AT] = ACTIONS(2442),
    [anon_sym_AT_AT_GT] = ACTIONS(2444),
    [anon_sym_COLON_GT] = ACTIONS(2444),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_LT_DASH] = ACTIONS(2442),
    [anon_sym_DOT_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_LPAREN2] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2442),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2442),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2442),
    [anon_sym_DASH_DOT] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_infix_op_token1] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2444),
    [anon_sym_COLON_EQ] = ACTIONS(2444),
    [anon_sym_DOLLAR] = ACTIONS(2442),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2444),
    [sym__then] = ACTIONS(2444),
  },
  [1294] = {
    [sym_xml_doc] = STATE(1294),
    [sym_block_comment] = STATE(1294),
    [aux_sym_rules_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_as] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(3115),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3118),
    [sym__dedent] = ACTIONS(2516),
  },
  [1295] = {
    [sym_xml_doc] = STATE(1295),
    [sym_block_comment] = STATE(1295),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3121),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_DOT_DOT] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1296] = {
    [sym_xml_doc] = STATE(1296),
    [sym_block_comment] = STATE(1296),
    [aux_sym_rules_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3123),
    [sym__dedent] = ACTIONS(2528),
    [sym__else] = ACTIONS(2528),
    [sym__elif] = ACTIONS(2528),
  },
  [1297] = {
    [sym_xml_doc] = STATE(1297),
    [sym_block_comment] = STATE(1297),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
    [sym__else] = ACTIONS(2573),
    [sym__elif] = ACTIONS(2573),
  },
  [1298] = {
    [sym_xml_doc] = STATE(1298),
    [sym_block_comment] = STATE(1298),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_COLON_QMARK] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_AT_GT] = ACTIONS(2462),
    [anon_sym_LT_AT_AT] = ACTIONS(2460),
    [anon_sym_AT_AT_GT] = ACTIONS(2462),
    [anon_sym_COLON_GT] = ACTIONS(2462),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_LT_DASH] = ACTIONS(2460),
    [anon_sym_DOT_LBRACK] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2460),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2460),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2460),
    [anon_sym_DASH_DOT] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_infix_op_token1] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2462),
    [anon_sym_COLON_EQ] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2462),
  },
  [1299] = {
    [sym_xml_doc] = STATE(1299),
    [sym_block_comment] = STATE(1299),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__then] = ACTIONS(2452),
  },
  [1300] = {
    [sym_xml_doc] = STATE(1300),
    [sym_block_comment] = STATE(1300),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_COLON_QMARK] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_AT_GT] = ACTIONS(2470),
    [anon_sym_LT_AT_AT] = ACTIONS(2468),
    [anon_sym_AT_AT_GT] = ACTIONS(2470),
    [anon_sym_COLON_GT] = ACTIONS(2470),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_LT_DASH] = ACTIONS(2468),
    [anon_sym_DOT_LBRACK] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2468),
    [anon_sym_DASH_DOT] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_infix_op_token1] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_COLON_EQ] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2470),
    [sym__then] = ACTIONS(2470),
  },
  [1301] = {
    [sym_xml_doc] = STATE(1301),
    [sym_block_comment] = STATE(1301),
    [aux_sym_long_identifier_repeat1] = STATE(808),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1302] = {
    [sym_xml_doc] = STATE(1302),
    [sym_block_comment] = STATE(1302),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
    [sym__then] = ACTIONS(2452),
  },
  [1303] = {
    [sym_xml_doc] = STATE(1303),
    [sym_block_comment] = STATE(1303),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(3128),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
    [sym__then] = ACTIONS(2456),
  },
  [1304] = {
    [sym_xml_doc] = STATE(1304),
    [sym_block_comment] = STATE(1304),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
    [sym__else] = ACTIONS(2535),
    [sym__elif] = ACTIONS(2535),
  },
  [1305] = {
    [sym_xml_doc] = STATE(1305),
    [sym_block_comment] = STATE(1305),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2454),
    [anon_sym_COLON_QMARK] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_AT_GT] = ACTIONS(2456),
    [anon_sym_LT_AT_AT] = ACTIONS(2454),
    [anon_sym_AT_AT_GT] = ACTIONS(2456),
    [anon_sym_COLON_GT] = ACTIONS(2456),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_LT_DASH] = ACTIONS(2454),
    [anon_sym_DOT_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_DOT_DOT] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_LT2] = ACTIONS(3130),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2454),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2454),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2454),
    [anon_sym_DASH_DOT] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_infix_op_token1] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_COLON_EQ] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2454),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2456),
  },
  [1306] = {
    [sym_xml_doc] = STATE(1306),
    [sym_block_comment] = STATE(1306),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_COLON_QMARK] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_AT_GT] = ACTIONS(2430),
    [anon_sym_LT_AT_AT] = ACTIONS(2428),
    [anon_sym_AT_AT_GT] = ACTIONS(2430),
    [anon_sym_COLON_GT] = ACTIONS(2430),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_LT_DASH] = ACTIONS(2428),
    [anon_sym_DOT_LBRACK] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2428),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2428),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2428),
    [anon_sym_DASH_DOT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_infix_op_token1] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [anon_sym_COLON_EQ] = ACTIONS(2430),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2430),
    [sym__then] = ACTIONS(2430),
  },
  [1307] = {
    [sym_xml_doc] = STATE(1307),
    [sym_block_comment] = STATE(1307),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_QMARK] = ACTIONS(2450),
    [anon_sym_COLON_QMARK] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_AT_GT] = ACTIONS(2452),
    [anon_sym_LT_AT_AT] = ACTIONS(2450),
    [anon_sym_AT_AT_GT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(2452),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_LT_DASH] = ACTIONS(2450),
    [anon_sym_DOT_LBRACK] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2450),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2450),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2450),
    [anon_sym_DASH_DOT] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_infix_op_token1] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2450),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2452),
  },
  [1308] = {
    [sym_xml_doc] = STATE(1308),
    [sym_block_comment] = STATE(1308),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2476),
    [anon_sym_COLON_QMARK] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_AT_GT] = ACTIONS(2478),
    [anon_sym_LT_AT_AT] = ACTIONS(2476),
    [anon_sym_AT_AT_GT] = ACTIONS(2478),
    [anon_sym_COLON_GT] = ACTIONS(2478),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_LT_DASH] = ACTIONS(2476),
    [anon_sym_DOT_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_LPAREN2] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2476),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2476),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2476),
    [anon_sym_DASH_DOT] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_infix_op_token1] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2478),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2478),
    [sym__then] = ACTIONS(2478),
  },
  [1309] = {
    [sym_xml_doc] = STATE(1309),
    [sym_block_comment] = STATE(1309),
    [aux_sym_sequential_expression_repeat1] = STATE(1309),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_as] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_with] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3132),
    [sym__dedent] = ACTIONS(2853),
  },
  [1310] = {
    [sym_xml_doc] = STATE(1310),
    [sym_block_comment] = STATE(1310),
    [aux_sym_long_identifier_repeat1] = STATE(1358),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2337),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3135),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_EQ2] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__dedent] = ACTIONS(2339),
  },
  [1311] = {
    [sym_xml_doc] = STATE(1311),
    [sym_block_comment] = STATE(1311),
    [aux_sym_rules_repeat1] = STATE(1317),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3139),
  },
  [1312] = {
    [sym_xml_doc] = STATE(1312),
    [sym_block_comment] = STATE(1312),
    [aux_sym_rules_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3145),
    [sym__else] = ACTIONS(2516),
    [sym__elif] = ACTIONS(2516),
  },
  [1313] = {
    [sym_xml_doc] = STATE(1313),
    [sym_block_comment] = STATE(1313),
    [aux_sym_rules_repeat1] = STATE(1319),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_as] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_with] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3150),
  },
  [1314] = {
    [sym_xml_doc] = STATE(1314),
    [sym_block_comment] = STATE(1314),
    [aux_sym_long_identifier_repeat1] = STATE(1314),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3153),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
    [sym__else] = ACTIONS(2318),
    [sym__elif] = ACTIONS(2318),
  },
  [1315] = {
    [sym_xml_doc] = STATE(1315),
    [sym_block_comment] = STATE(1315),
    [aux_sym_long_identifier_repeat1] = STATE(1314),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__dedent] = ACTIONS(2339),
    [sym__else] = ACTIONS(2339),
    [sym__elif] = ACTIONS(2339),
  },
  [1316] = {
    [sym_xml_doc] = STATE(1316),
    [sym_block_comment] = STATE(1316),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_as] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [1317] = {
    [sym_xml_doc] = STATE(1317),
    [sym_block_comment] = STATE(1317),
    [aux_sym_rules_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_DASH_GT] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3160),
  },
  [1318] = {
    [sym_xml_doc] = STATE(1318),
    [sym_block_comment] = STATE(1318),
    [aux_sym_sequential_expression_repeat1] = STATE(1309),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_as] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
    [sym__dedent] = ACTIONS(2613),
  },
  [1319] = {
    [sym_xml_doc] = STATE(1319),
    [sym_block_comment] = STATE(1319),
    [aux_sym_rules_repeat1] = STATE(1319),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_as] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(3163),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3166),
  },
  [1320] = {
    [sym_xml_doc] = STATE(1320),
    [sym_block_comment] = STATE(1320),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_RBRACK] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2934),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_DOT_DOT2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [1321] = {
    [sym_xml_doc] = STATE(1321),
    [sym_block_comment] = STATE(1321),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3169),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
    [sym__dedent] = ACTIONS(2589),
    [sym__else] = ACTIONS(2589),
    [sym__elif] = ACTIONS(2589),
  },
  [1322] = {
    [sym_xml_doc] = STATE(1322),
    [sym_block_comment] = STATE(1322),
    [aux_sym_sequential_expression_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
    [sym__dedent] = ACTIONS(2613),
    [sym__else] = ACTIONS(2613),
    [sym__elif] = ACTIONS(2613),
  },
  [1323] = {
    [sym_xml_doc] = STATE(1323),
    [sym_block_comment] = STATE(1323),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_as] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_with] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3171),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
    [sym__dedent] = ACTIONS(2589),
  },
  [1324] = {
    [sym_xml_doc] = STATE(1324),
    [sym_block_comment] = STATE(1324),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_as] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
    [sym__dedent] = ACTIONS(2516),
  },
  [1325] = {
    [sym_xml_doc] = STATE(1325),
    [sym_block_comment] = STATE(1325),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_with] = ACTIONS(2545),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
    [sym__dedent] = ACTIONS(2547),
  },
  [1326] = {
    [sym_xml_doc] = STATE(1326),
    [sym_block_comment] = STATE(1326),
    [aux_sym_rules_repeat1] = STATE(1333),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_DASH_GT] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3160),
  },
  [1327] = {
    [sym_xml_doc] = STATE(1327),
    [sym_block_comment] = STATE(1327),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
    [sym__dedent] = ACTIONS(2581),
    [sym__else] = ACTIONS(2581),
    [sym__elif] = ACTIONS(2581),
  },
  [1328] = {
    [sym_xml_doc] = STATE(1328),
    [sym_block_comment] = STATE(1328),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
    [sym__dedent] = ACTIONS(2547),
    [sym__else] = ACTIONS(2547),
    [sym__elif] = ACTIONS(2547),
  },
  [1329] = {
    [sym_xml_doc] = STATE(1329),
    [sym_block_comment] = STATE(1329),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_as] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [1330] = {
    [sym_xml_doc] = STATE(1330),
    [sym_block_comment] = STATE(1330),
    [aux_sym_sequential_expression_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3173),
    [sym__dedent] = ACTIONS(2853),
    [sym__else] = ACTIONS(2853),
    [sym__elif] = ACTIONS(2853),
  },
  [1331] = {
    [sym_xml_doc] = STATE(1331),
    [sym_block_comment] = STATE(1331),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2408),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3121),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2408),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2408),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2408),
    [anon_sym_DASH_DOT] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1332] = {
    [sym_xml_doc] = STATE(1332),
    [sym_block_comment] = STATE(1332),
    [aux_sym_rules_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3178),
    [sym__else] = ACTIONS(2498),
    [sym__elif] = ACTIONS(2498),
  },
  [1333] = {
    [sym_xml_doc] = STATE(1333),
    [sym_block_comment] = STATE(1333),
    [aux_sym_rules_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3181),
  },
  [1334] = {
    [sym_xml_doc] = STATE(1334),
    [sym_block_comment] = STATE(1334),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_as] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_with] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
    [sym__dedent] = ACTIONS(2581),
  },
  [1335] = {
    [sym_xml_doc] = STATE(1335),
    [sym_block_comment] = STATE(1335),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
    [sym__dedent] = ACTIONS(2516),
    [sym__else] = ACTIONS(2516),
    [sym__elif] = ACTIONS(2516),
  },
  [1336] = {
    [sym_xml_doc] = STATE(1336),
    [sym_block_comment] = STATE(1336),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__else] = ACTIONS(2573),
    [sym__elif] = ACTIONS(2573),
  },
  [1337] = {
    [sym_xml_doc] = STATE(1337),
    [sym_block_comment] = STATE(1337),
    [aux_sym_rules_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3186),
    [sym__else] = ACTIONS(2528),
    [sym__elif] = ACTIONS(2528),
  },
  [1338] = {
    [sym_xml_doc] = STATE(1338),
    [sym_block_comment] = STATE(1338),
    [aux_sym_long_identifier_repeat1] = STATE(1346),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3189),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__dedent] = ACTIONS(2373),
  },
  [1339] = {
    [sym_xml_doc] = STATE(1339),
    [sym_block_comment] = STATE(1339),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
    [sym__else] = ACTIONS(2573),
    [sym__elif] = ACTIONS(2573),
  },
  [1340] = {
    [sym_xml_doc] = STATE(1340),
    [sym_block_comment] = STATE(1340),
    [aux_sym_rules_repeat1] = STATE(1337),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3178),
    [sym__else] = ACTIONS(2498),
    [sym__elif] = ACTIONS(2498),
  },
  [1341] = {
    [sym_xml_doc] = STATE(1341),
    [sym_block_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
    [sym__else] = ACTIONS(2535),
    [sym__elif] = ACTIONS(2535),
  },
  [1342] = {
    [sym_xml_doc] = STATE(1342),
    [sym_block_comment] = STATE(1342),
    [aux_sym_rules_repeat1] = STATE(1342),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3196),
  },
  [1343] = {
    [sym_xml_doc] = STATE(1343),
    [sym_block_comment] = STATE(1343),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_DOT_DOT2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
  },
  [1344] = {
    [sym_xml_doc] = STATE(1344),
    [sym_block_comment] = STATE(1344),
    [aux_sym_rules_repeat1] = STATE(1332),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3199),
    [sym__else] = ACTIONS(2507),
    [sym__elif] = ACTIONS(2507),
  },
  [1345] = {
    [sym_xml_doc] = STATE(1345),
    [sym_block_comment] = STATE(1345),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
    [sym__dedent] = ACTIONS(2551),
    [sym__else] = ACTIONS(2551),
    [sym__elif] = ACTIONS(2551),
  },
  [1346] = {
    [sym_xml_doc] = STATE(1346),
    [sym_block_comment] = STATE(1346),
    [aux_sym_long_identifier_repeat1] = STATE(1348),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__dedent] = ACTIONS(2339),
  },
  [1347] = {
    [sym_xml_doc] = STATE(1347),
    [sym_block_comment] = STATE(1347),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__else] = ACTIONS(2535),
    [sym__elif] = ACTIONS(2535),
  },
  [1348] = {
    [sym_xml_doc] = STATE(1348),
    [sym_block_comment] = STATE(1348),
    [aux_sym_long_identifier_repeat1] = STATE(1348),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [1349] = {
    [sym_xml_doc] = STATE(1349),
    [sym_block_comment] = STATE(1349),
    [aux_sym_long_identifier_repeat1] = STATE(1315),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__dedent] = ACTIONS(2373),
    [sym__else] = ACTIONS(2373),
    [sym__elif] = ACTIONS(2373),
  },
  [1350] = {
    [sym_xml_doc] = STATE(1350),
    [sym_block_comment] = STATE(1350),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_as] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
    [sym__dedent] = ACTIONS(2551),
  },
  [1351] = {
    [sym_xml_doc] = STATE(1351),
    [sym_block_comment] = STATE(1351),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_as] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3113),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__dedent] = ACTIONS(2573),
  },
  [1352] = {
    [sym_xml_doc] = STATE(1352),
    [sym_block_comment] = STATE(1352),
    [aux_sym_long_identifier_repeat1] = STATE(1310),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2370),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_EQ2] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__dedent] = ACTIONS(2373),
  },
  [1353] = {
    [sym_xml_doc] = STATE(1353),
    [sym_block_comment] = STATE(1353),
    [aux_sym_rules_repeat1] = STATE(1319),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_as] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3219),
  },
  [1354] = {
    [sym_xml_doc] = STATE(1354),
    [sym_block_comment] = STATE(1354),
    [aux_sym_rules_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_as] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3219),
  },
  [1355] = {
    [sym_xml_doc] = STATE(1355),
    [sym_block_comment] = STATE(1355),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_as] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_with] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
    [sym__dedent] = ACTIONS(2569),
  },
  [1356] = {
    [sym_xml_doc] = STATE(1356),
    [sym_block_comment] = STATE(1356),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
    [sym__dedent] = ACTIONS(2569),
    [sym__else] = ACTIONS(2569),
    [sym__elif] = ACTIONS(2569),
  },
  [1357] = {
    [sym_xml_doc] = STATE(1357),
    [sym_block_comment] = STATE(1357),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_as] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__dedent] = ACTIONS(2535),
  },
  [1358] = {
    [sym_xml_doc] = STATE(1358),
    [sym_block_comment] = STATE(1358),
    [aux_sym_long_identifier_repeat1] = STATE(1358),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_EQ2] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [1359] = {
    [sym_xml_doc] = STATE(1359),
    [sym_block_comment] = STATE(1359),
    [aux_sym_rules_repeat1] = STATE(1353),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_as] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3225),
  },
  [1360] = {
    [sym_xml_doc] = STATE(1360),
    [sym_block_comment] = STATE(1360),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
    [sym__dedent] = ACTIONS(2870),
    [sym__else] = ACTIONS(2870),
    [sym__elif] = ACTIONS(2870),
  },
  [1361] = {
    [sym_xml_doc] = STATE(1361),
    [sym_block_comment] = STATE(1361),
    [aux_sym_sequential_expression_repeat1] = STATE(1361),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_as] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_with] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3228),
  },
  [1362] = {
    [sym_xml_doc] = STATE(1362),
    [sym_block_comment] = STATE(1362),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_as] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
    [sym__dedent] = ACTIONS(2635),
  },
  [1363] = {
    [sym_xml_doc] = STATE(1363),
    [sym_block_comment] = STATE(1363),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_as] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
    [sym__dedent] = ACTIONS(2628),
  },
  [1364] = {
    [sym_xml_doc] = STATE(1364),
    [sym_block_comment] = STATE(1364),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_DOT_DOT] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
  },
  [1365] = {
    [sym_xml_doc] = STATE(1365),
    [sym_block_comment] = STATE(1365),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_as] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
    [sym__dedent] = ACTIONS(2710),
  },
  [1366] = {
    [sym_xml_doc] = STATE(1366),
    [sym_block_comment] = STATE(1366),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
    [sym__else] = ACTIONS(2318),
    [sym__elif] = ACTIONS(2318),
  },
  [1367] = {
    [sym_xml_doc] = STATE(1367),
    [sym_block_comment] = STATE(1367),
    [aux_sym_long_identifier_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_EQ2] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1368] = {
    [sym_xml_doc] = STATE(1368),
    [sym_block_comment] = STATE(1368),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__else] = ACTIONS(2535),
    [sym__elif] = ACTIONS(2535),
  },
  [1369] = {
    [sym_xml_doc] = STATE(1369),
    [sym_block_comment] = STATE(1369),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
    [sym__else] = ACTIONS(2569),
    [sym__elif] = ACTIONS(2569),
  },
  [1370] = {
    [sym_xml_doc] = STATE(1370),
    [sym_block_comment] = STATE(1370),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_as] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_with] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
    [sym__dedent] = ACTIONS(2706),
  },
  [1371] = {
    [sym_xml_doc] = STATE(1371),
    [sym_block_comment] = STATE(1371),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__then] = ACTIONS(2535),
  },
  [1372] = {
    [sym_xml_doc] = STATE(1372),
    [sym_block_comment] = STATE(1372),
    [aux_sym_long_identifier_repeat1] = STATE(1402),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1373] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1373),
    [sym_block_comment] = STATE(1373),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(2228),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(2226),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_POUNDnowarn] = ACTIONS(2228),
    [anon_sym_POUNDr] = ACTIONS(2228),
    [anon_sym_POUNDload] = ACTIONS(2228),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_LBRACK_LT] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_type] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_and] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [aux_sym_access_modifier_token1] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_LT_AT_AT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_member] = ACTIONS(2226),
    [anon_sym_interface] = ACTIONS(2226),
    [anon_sym_abstract] = ACTIONS(2226),
    [anon_sym_override] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [anon_sym_val] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2228),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2228),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2228),
    [anon_sym_DASH_DOT] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1374] = {
    [sym_xml_doc] = STATE(1374),
    [sym_block_comment] = STATE(1374),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_DASH_GT] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [1375] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1375),
    [sym_block_comment] = STATE(1375),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_POUNDnowarn] = ACTIONS(2232),
    [anon_sym_POUNDr] = ACTIONS(2232),
    [anon_sym_POUNDload] = ACTIONS(2232),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_LBRACK_LT] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_and] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [aux_sym_access_modifier_token1] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_member] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_val] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1376] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1376),
    [sym_block_comment] = STATE(1376),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_POUNDnowarn] = ACTIONS(2194),
    [anon_sym_POUNDr] = ACTIONS(2194),
    [anon_sym_POUNDload] = ACTIONS(2194),
    [anon_sym_open] = ACTIONS(2192),
    [anon_sym_LBRACK_LT] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_and] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [aux_sym_access_modifier_token1] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_LT_AT_AT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_member] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_default] = ACTIONS(2192),
    [anon_sym_val] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2194),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2194),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2194),
    [anon_sym_DASH_DOT] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1377] = {
    [sym_xml_doc] = STATE(1377),
    [sym_block_comment] = STATE(1377),
    [aux_sym_sequential_expression_repeat1] = STATE(1377),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_with] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3252),
    [sym__dedent] = ACTIONS(2853),
  },
  [1378] = {
    [sym_xml_doc] = STATE(1378),
    [sym_block_comment] = STATE(1378),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_EQ2] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [1379] = {
    [sym_xml_doc] = STATE(1379),
    [sym_block_comment] = STATE(1379),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_as] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_with] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
    [sym__dedent] = ACTIONS(2866),
  },
  [1380] = {
    [sym_xml_doc] = STATE(1380),
    [sym_block_comment] = STATE(1380),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_with] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
    [sym__dedent] = ACTIONS(2702),
  },
  [1381] = {
    [sym_xml_doc] = STATE(1381),
    [sym_block_comment] = STATE(1381),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__dedent] = ACTIONS(2036),
    [sym__else] = ACTIONS(2036),
    [sym__elif] = ACTIONS(2036),
  },
  [1382] = {
    [sym_xml_doc] = STATE(1382),
    [sym_block_comment] = STATE(1382),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_as] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_with] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
    [sym__dedent] = ACTIONS(2686),
  },
  [1383] = {
    [sym_xml_doc] = STATE(1383),
    [sym_block_comment] = STATE(1383),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_as] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_with] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
    [sym__dedent] = ACTIONS(2682),
  },
  [1384] = {
    [sym_xml_doc] = STATE(1384),
    [sym_block_comment] = STATE(1384),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_DASH_GT] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [1385] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1385),
    [sym_block_comment] = STATE(1385),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(2150),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(2148),
    [anon_sym_module] = ACTIONS(2148),
    [anon_sym_POUNDnowarn] = ACTIONS(2150),
    [anon_sym_POUNDr] = ACTIONS(2150),
    [anon_sym_POUNDload] = ACTIONS(2150),
    [anon_sym_open] = ACTIONS(2148),
    [anon_sym_LBRACK_LT] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_type] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_and] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [aux_sym_access_modifier_token1] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_with] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_LT_AT_AT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2148),
    [anon_sym_member] = ACTIONS(2148),
    [anon_sym_interface] = ACTIONS(2148),
    [anon_sym_abstract] = ACTIONS(2148),
    [anon_sym_override] = ACTIONS(2148),
    [anon_sym_default] = ACTIONS(2148),
    [anon_sym_val] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2150),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2150),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2150),
    [anon_sym_DASH_DOT] = ACTIONS(2150),
    [anon_sym_PERCENT] = ACTIONS(2150),
    [anon_sym_AMP_AMP] = ACTIONS(2150),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1386] = {
    [sym_xml_doc] = STATE(1386),
    [sym_block_comment] = STATE(1386),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__else] = ACTIONS(2573),
    [sym__elif] = ACTIONS(2573),
  },
  [1387] = {
    [sym_xml_doc] = STATE(1387),
    [sym_block_comment] = STATE(1387),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_as] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
    [sym__dedent] = ACTIONS(2577),
  },
  [1388] = {
    [sym_xml_doc] = STATE(1388),
    [sym_block_comment] = STATE(1388),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
  },
  [1389] = {
    [sym_xml_doc] = STATE(1389),
    [sym_block_comment] = STATE(1389),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
    [sym__dedent] = ACTIONS(2694),
    [sym__else] = ACTIONS(2694),
    [sym__elif] = ACTIONS(2694),
  },
  [1390] = {
    [sym_xml_doc] = STATE(1390),
    [sym_block_comment] = STATE(1390),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_as] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_with] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
    [sym__dedent] = ACTIONS(2647),
  },
  [1391] = {
    [sym_xml_doc] = STATE(1391),
    [sym_block_comment] = STATE(1391),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_DASH_GT] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_DOT_DOT] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
  },
  [1392] = {
    [sym_xml_doc] = STATE(1392),
    [sym_block_comment] = STATE(1392),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
  },
  [1393] = {
    [sym_xml_doc] = STATE(1393),
    [sym_block_comment] = STATE(1393),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3028),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
  },
  [1394] = {
    [sym_xml_doc] = STATE(1394),
    [sym_block_comment] = STATE(1394),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
    [sym__else] = ACTIONS(2581),
    [sym__elif] = ACTIONS(2581),
  },
  [1395] = {
    [sym_xml_doc] = STATE(1395),
    [sym_block_comment] = STATE(1395),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_as] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
    [sym__dedent] = ACTIONS(2643),
  },
  [1396] = {
    [sym_xml_doc] = STATE(1396),
    [sym_block_comment] = STATE(1396),
    [aux_sym_rules_repeat1] = STATE(1457),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3257),
    [sym__then] = ACTIONS(2498),
  },
  [1397] = {
    [sym_xml_doc] = STATE(1397),
    [sym_block_comment] = STATE(1397),
    [aux_sym_rules_repeat1] = STATE(1460),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3257),
    [sym__then] = ACTIONS(2498),
  },
  [1398] = {
    [sym_xml_doc] = STATE(1398),
    [sym_block_comment] = STATE(1398),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_DASH_GT] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [1399] = {
    [sym_xml_doc] = STATE(1399),
    [sym_block_comment] = STATE(1399),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_DASH_GT] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_DOT_DOT] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
  },
  [1400] = {
    [sym_xml_doc] = STATE(1400),
    [sym_block_comment] = STATE(1400),
    [aux_sym_sequential_expression_repeat1] = STATE(1400),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3260),
    [sym__else] = ACTIONS(2853),
    [sym__elif] = ACTIONS(2853),
  },
  [1401] = {
    [sym_xml_doc] = STATE(1401),
    [sym_block_comment] = STATE(1401),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
    [sym__else] = ACTIONS(2516),
    [sym__elif] = ACTIONS(2516),
  },
  [1402] = {
    [sym_xml_doc] = STATE(1402),
    [sym_block_comment] = STATE(1402),
    [aux_sym_long_identifier_repeat1] = STATE(1406),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [1403] = {
    [sym_xml_doc] = STATE(1403),
    [sym_block_comment] = STATE(1403),
    [aux_sym_sequential_expression_repeat1] = STATE(1475),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_DOT_DOT2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
    [sym__dedent] = ACTIONS(2613),
  },
  [1404] = {
    [sym_xml_doc] = STATE(1404),
    [sym_block_comment] = STATE(1404),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_as] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_with] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
    [sym__dedent] = ACTIONS(2918),
  },
  [1405] = {
    [sym_xml_doc] = STATE(1405),
    [sym_block_comment] = STATE(1405),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_as] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_with] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
    [sym__dedent] = ACTIONS(2874),
  },
  [1406] = {
    [sym_xml_doc] = STATE(1406),
    [sym_block_comment] = STATE(1406),
    [aux_sym_long_identifier_repeat1] = STATE(1406),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1407] = {
    [sym_xml_doc] = STATE(1407),
    [sym_block_comment] = STATE(1407),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_as] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_with] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
    [sym__dedent] = ACTIONS(2639),
  },
  [1408] = {
    [sym_xml_doc] = STATE(1408),
    [sym_block_comment] = STATE(1408),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_DASH_GT] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_DOT_DOT] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
  },
  [1409] = {
    [sym_xml_doc] = STATE(1409),
    [sym_block_comment] = STATE(1409),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
    [sym__else] = ACTIONS(2547),
    [sym__elif] = ACTIONS(2547),
  },
  [1410] = {
    [sym_xml_doc] = STATE(1410),
    [sym_block_comment] = STATE(1410),
    [aux_sym_sequential_expression_repeat1] = STATE(1410),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_RBRACK] = ACTIONS(2853),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_DOT_DOT2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3270),
  },
  [1411] = {
    [sym_xml_doc] = STATE(1411),
    [sym_block_comment] = STATE(1411),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
    [sym__dedent] = ACTIONS(2682),
    [sym__else] = ACTIONS(2682),
    [sym__elif] = ACTIONS(2682),
  },
  [1412] = {
    [sym_xml_doc] = STATE(1412),
    [sym_block_comment] = STATE(1412),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
    [sym__else] = ACTIONS(2412),
    [sym__elif] = ACTIONS(2412),
  },
  [1413] = {
    [sym_xml_doc] = STATE(1413),
    [sym_block_comment] = STATE(1413),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
    [sym__dedent] = ACTIONS(2730),
    [sym__else] = ACTIONS(2730),
    [sym__elif] = ACTIONS(2730),
  },
  [1414] = {
    [sym_xml_doc] = STATE(1414),
    [sym_block_comment] = STATE(1414),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_as] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_with] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
    [sym__dedent] = ACTIONS(2599),
  },
  [1415] = {
    [sym_xml_doc] = STATE(1415),
    [sym_block_comment] = STATE(1415),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
    [sym__dedent] = ACTIONS(2740),
    [sym__else] = ACTIONS(2740),
    [sym__elif] = ACTIONS(2740),
  },
  [1416] = {
    [sym_xml_doc] = STATE(1416),
    [sym_block_comment] = STATE(1416),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_as] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_with] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
    [sym__dedent] = ACTIONS(2795),
  },
  [1417] = {
    [sym_xml_doc] = STATE(1417),
    [sym_block_comment] = STATE(1417),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
    [sym__dedent] = ACTIONS(2686),
    [sym__else] = ACTIONS(2686),
    [sym__elif] = ACTIONS(2686),
  },
  [1418] = {
    [sym_xml_doc] = STATE(1418),
    [sym_block_comment] = STATE(1418),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
    [sym__else] = ACTIONS(2589),
    [sym__elif] = ACTIONS(2589),
  },
  [1419] = {
    [sym_xml_doc] = STATE(1419),
    [sym_block_comment] = STATE(1419),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_as] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
    [sym__dedent] = ACTIONS(2722),
  },
  [1420] = {
    [sym_xml_doc] = STATE(1420),
    [sym_block_comment] = STATE(1420),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_as] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_with] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
    [sym__dedent] = ACTIONS(2718),
  },
  [1421] = {
    [sym_xml_doc] = STATE(1421),
    [sym_block_comment] = STATE(1421),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
    [sym__dedent] = ACTIONS(2744),
    [sym__else] = ACTIONS(2744),
    [sym__elif] = ACTIONS(2744),
  },
  [1422] = {
    [sym_xml_doc] = STATE(1422),
    [sym_block_comment] = STATE(1422),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
    [sym__dedent] = ACTIONS(2771),
    [sym__else] = ACTIONS(2771),
    [sym__elif] = ACTIONS(2771),
  },
  [1423] = {
    [sym_xml_doc] = STATE(1423),
    [sym_block_comment] = STATE(1423),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
    [sym__dedent] = ACTIONS(2702),
    [sym__else] = ACTIONS(2702),
    [sym__elif] = ACTIONS(2702),
  },
  [1424] = {
    [sym_xml_doc] = STATE(1424),
    [sym_block_comment] = STATE(1424),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
    [sym__dedent] = ACTIONS(2775),
    [sym__else] = ACTIONS(2775),
    [sym__elif] = ACTIONS(2775),
  },
  [1425] = {
    [sym_xml_doc] = STATE(1425),
    [sym_block_comment] = STATE(1425),
    [aux_sym_long_identifier_repeat1] = STATE(1425),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1426] = {
    [sym_xml_doc] = STATE(1426),
    [sym_block_comment] = STATE(1426),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
    [sym__dedent] = ACTIONS(2799),
    [sym__else] = ACTIONS(2799),
    [sym__elif] = ACTIONS(2799),
  },
  [1427] = {
    [sym_xml_doc] = STATE(1427),
    [sym_block_comment] = STATE(1427),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
    [sym__dedent] = ACTIONS(2807),
    [sym__else] = ACTIONS(2807),
    [sym__elif] = ACTIONS(2807),
  },
  [1428] = {
    [sym_xml_doc] = STATE(1428),
    [sym_block_comment] = STATE(1428),
    [aux_sym_long_identifier_repeat1] = STATE(1425),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [1429] = {
    [sym_xml_doc] = STATE(1429),
    [sym_block_comment] = STATE(1429),
    [aux_sym_long_identifier_repeat1] = STATE(1428),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_DOT_DOT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1430] = {
    [sym_xml_doc] = STATE(1430),
    [sym_block_comment] = STATE(1430),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
    [sym__dedent] = ACTIONS(2811),
    [sym__else] = ACTIONS(2811),
    [sym__elif] = ACTIONS(2811),
  },
  [1431] = {
    [sym_xml_doc] = STATE(1431),
    [sym_block_comment] = STATE(1431),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__dedent] = ACTIONS(2318),
  },
  [1432] = {
    [sym_xml_doc] = STATE(1432),
    [sym_block_comment] = STATE(1432),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
    [sym__dedent] = ACTIONS(2706),
    [sym__else] = ACTIONS(2706),
    [sym__elif] = ACTIONS(2706),
  },
  [1433] = {
    [sym_xml_doc] = STATE(1433),
    [sym_block_comment] = STATE(1433),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_as] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [1434] = {
    [sym_xml_doc] = STATE(1434),
    [sym_block_comment] = STATE(1434),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
    [sym__dedent] = ACTIONS(2710),
    [sym__else] = ACTIONS(2710),
    [sym__elif] = ACTIONS(2710),
  },
  [1435] = {
    [sym_xml_doc] = STATE(1435),
    [sym_block_comment] = STATE(1435),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_as] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_with] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
    [sym__dedent] = ACTIONS(2736),
  },
  [1436] = {
    [sym_xml_doc] = STATE(1436),
    [sym_block_comment] = STATE(1436),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
    [sym__dedent] = ACTIONS(2599),
    [sym__else] = ACTIONS(2599),
    [sym__elif] = ACTIONS(2599),
  },
  [1437] = {
    [sym_xml_doc] = STATE(1437),
    [sym_block_comment] = STATE(1437),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
    [sym__else] = ACTIONS(2551),
    [sym__elif] = ACTIONS(2551),
  },
  [1438] = {
    [sym_xml_doc] = STATE(1438),
    [sym_block_comment] = STATE(1438),
    [aux_sym_long_identifier_repeat1] = STATE(1440),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__else] = ACTIONS(2339),
    [sym__elif] = ACTIONS(2339),
  },
  [1439] = {
    [sym_xml_doc] = STATE(1439),
    [sym_block_comment] = STATE(1439),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
    [sym__dedent] = ACTIONS(2815),
    [sym__else] = ACTIONS(2815),
    [sym__elif] = ACTIONS(2815),
  },
  [1440] = {
    [sym_xml_doc] = STATE(1440),
    [sym_block_comment] = STATE(1440),
    [aux_sym_long_identifier_repeat1] = STATE(1440),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__else] = ACTIONS(2318),
    [sym__elif] = ACTIONS(2318),
  },
  [1441] = {
    [sym_xml_doc] = STATE(1441),
    [sym_block_comment] = STATE(1441),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_as] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_with] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
    [sym__dedent] = ACTIONS(2787),
  },
  [1442] = {
    [sym_xml_doc] = STATE(1442),
    [sym_block_comment] = STATE(1442),
    [aux_sym_sequential_expression_repeat1] = STATE(1361),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_as] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
  },
  [1443] = {
    [sym_xml_doc] = STATE(1443),
    [sym_block_comment] = STATE(1443),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
    [sym__dedent] = ACTIONS(2819),
    [sym__else] = ACTIONS(2819),
    [sym__elif] = ACTIONS(2819),
  },
  [1444] = {
    [sym_xml_doc] = STATE(1444),
    [sym_block_comment] = STATE(1444),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
    [sym__dedent] = ACTIONS(2722),
    [sym__else] = ACTIONS(2722),
    [sym__elif] = ACTIONS(2722),
  },
  [1445] = {
    [sym_xml_doc] = STATE(1445),
    [sym_block_comment] = STATE(1445),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
    [sym__dedent] = ACTIONS(2726),
    [sym__else] = ACTIONS(2726),
    [sym__elif] = ACTIONS(2726),
  },
  [1446] = {
    [sym_xml_doc] = STATE(1446),
    [sym_block_comment] = STATE(1446),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_as] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_with] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
    [sym__dedent] = ACTIONS(2843),
  },
  [1447] = {
    [sym_xml_doc] = STATE(1447),
    [sym_block_comment] = STATE(1447),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
    [sym__dedent] = ACTIONS(2823),
    [sym__else] = ACTIONS(2823),
    [sym__elif] = ACTIONS(2823),
  },
  [1448] = {
    [sym_xml_doc] = STATE(1448),
    [sym_block_comment] = STATE(1448),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_as] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_with] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
    [sym__dedent] = ACTIONS(2870),
  },
  [1449] = {
    [sym_xml_doc] = STATE(1449),
    [sym_block_comment] = STATE(1449),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
    [sym__dedent] = ACTIONS(2827),
    [sym__else] = ACTIONS(2827),
    [sym__elif] = ACTIONS(2827),
  },
  [1450] = {
    [sym_xml_doc] = STATE(1450),
    [sym_block_comment] = STATE(1450),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_as] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_with] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
    [sym__dedent] = ACTIONS(2894),
  },
  [1451] = {
    [sym_xml_doc] = STATE(1451),
    [sym_block_comment] = STATE(1451),
    [aux_sym_long_identifier_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2337),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_EQ2] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [1452] = {
    [sym_xml_doc] = STATE(1452),
    [sym_block_comment] = STATE(1452),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
    [sym__dedent] = ACTIONS(2751),
    [sym__else] = ACTIONS(2751),
    [sym__elif] = ACTIONS(2751),
  },
  [1453] = {
    [sym_xml_doc] = STATE(1453),
    [sym_block_comment] = STATE(1453),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
    [sym__dedent] = ACTIONS(2831),
    [sym__else] = ACTIONS(2831),
    [sym__elif] = ACTIONS(2831),
  },
  [1454] = {
    [sym_xml_doc] = STATE(1454),
    [sym_block_comment] = STATE(1454),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
    [sym__dedent] = ACTIONS(2755),
    [sym__else] = ACTIONS(2755),
    [sym__elif] = ACTIONS(2755),
  },
  [1455] = {
    [sym_xml_doc] = STATE(1455),
    [sym_block_comment] = STATE(1455),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
    [sym__dedent] = ACTIONS(2759),
    [sym__else] = ACTIONS(2759),
    [sym__elif] = ACTIONS(2759),
  },
  [1456] = {
    [sym_xml_doc] = STATE(1456),
    [sym_block_comment] = STATE(1456),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
    [sym__dedent] = ACTIONS(2779),
    [sym__else] = ACTIONS(2779),
    [sym__elif] = ACTIONS(2779),
  },
  [1457] = {
    [sym_xml_doc] = STATE(1457),
    [sym_block_comment] = STATE(1457),
    [aux_sym_rules_repeat1] = STATE(1460),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3293),
    [sym__then] = ACTIONS(2528),
  },
  [1458] = {
    [sym_xml_doc] = STATE(1458),
    [sym_block_comment] = STATE(1458),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
    [sym__dedent] = ACTIONS(2835),
    [sym__else] = ACTIONS(2835),
    [sym__elif] = ACTIONS(2835),
  },
  [1459] = {
    [sym_xml_doc] = STATE(1459),
    [sym_block_comment] = STATE(1459),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
    [sym__dedent] = ACTIONS(2839),
    [sym__else] = ACTIONS(2839),
    [sym__elif] = ACTIONS(2839),
  },
  [1460] = {
    [sym_xml_doc] = STATE(1460),
    [sym_block_comment] = STATE(1460),
    [aux_sym_rules_repeat1] = STATE(1460),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3299),
    [sym__then] = ACTIONS(2516),
  },
  [1461] = {
    [sym_xml_doc] = STATE(1461),
    [sym_block_comment] = STATE(1461),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
    [sym__dedent] = ACTIONS(2791),
    [sym__else] = ACTIONS(2791),
    [sym__elif] = ACTIONS(2791),
  },
  [1462] = {
    [sym_xml_doc] = STATE(1462),
    [sym_block_comment] = STATE(1462),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
    [sym__dedent] = ACTIONS(2619),
    [sym__else] = ACTIONS(2619),
    [sym__elif] = ACTIONS(2619),
  },
  [1463] = {
    [sym_xml_doc] = STATE(1463),
    [sym_block_comment] = STATE(1463),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
    [sym__dedent] = ACTIONS(2851),
    [sym__else] = ACTIONS(2851),
    [sym__elif] = ACTIONS(2851),
  },
  [1464] = {
    [sym_xml_doc] = STATE(1464),
    [sym_block_comment] = STATE(1464),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
    [sym__dedent] = ACTIONS(2878),
    [sym__else] = ACTIONS(2878),
    [sym__elif] = ACTIONS(2878),
  },
  [1465] = {
    [sym_xml_doc] = STATE(1465),
    [sym_block_comment] = STATE(1465),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
    [sym__dedent] = ACTIONS(2882),
    [sym__else] = ACTIONS(2882),
    [sym__elif] = ACTIONS(2882),
  },
  [1466] = {
    [sym_xml_doc] = STATE(1466),
    [sym_block_comment] = STATE(1466),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
    [sym__dedent] = ACTIONS(2886),
    [sym__else] = ACTIONS(2886),
    [sym__elif] = ACTIONS(2886),
  },
  [1467] = {
    [sym_xml_doc] = STATE(1467),
    [sym_block_comment] = STATE(1467),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_as] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
    [sym__dedent] = ACTIONS(2726),
  },
  [1468] = {
    [sym_xml_doc] = STATE(1468),
    [sym_block_comment] = STATE(1468),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
    [sym__dedent] = ACTIONS(2847),
    [sym__else] = ACTIONS(2847),
    [sym__elif] = ACTIONS(2847),
  },
  [1469] = {
    [sym_xml_doc] = STATE(1469),
    [sym_block_comment] = STATE(1469),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_as] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_with] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
    [sym__dedent] = ACTIONS(2847),
  },
  [1470] = {
    [sym_xml_doc] = STATE(1470),
    [sym_block_comment] = STATE(1470),
    [aux_sym_rules_repeat1] = STATE(1523),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_DOT_DOT] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3304),
  },
  [1471] = {
    [sym_xml_doc] = STATE(1471),
    [sym_block_comment] = STATE(1471),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
    [sym__dedent] = ACTIONS(2914),
    [sym__else] = ACTIONS(2914),
    [sym__elif] = ACTIONS(2914),
  },
  [1472] = {
    [sym_xml_doc] = STATE(1472),
    [sym_block_comment] = STATE(1472),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_as] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_with] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
    [sym__dedent] = ACTIONS(2619),
  },
  [1473] = {
    [sym_xml_doc] = STATE(1473),
    [sym_block_comment] = STATE(1473),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_as] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_with] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
    [sym__dedent] = ACTIONS(2839),
  },
  [1474] = {
    [sym_xml_doc] = STATE(1474),
    [sym_block_comment] = STATE(1474),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
    [sym__dedent] = ACTIONS(2894),
    [sym__else] = ACTIONS(2894),
    [sym__elif] = ACTIONS(2894),
  },
  [1475] = {
    [sym_xml_doc] = STATE(1475),
    [sym_block_comment] = STATE(1475),
    [aux_sym_sequential_expression_repeat1] = STATE(1475),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_DOT_DOT2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3307),
    [sym__dedent] = ACTIONS(2853),
  },
  [1476] = {
    [sym_xml_doc] = STATE(1476),
    [sym_block_comment] = STATE(1476),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
    [sym__dedent] = ACTIONS(2843),
    [sym__else] = ACTIONS(2843),
    [sym__elif] = ACTIONS(2843),
  },
  [1477] = {
    [sym_xml_doc] = STATE(1477),
    [sym_block_comment] = STATE(1477),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_DASH_GT] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
  },
  [1478] = {
    [sym_xml_doc] = STATE(1478),
    [sym_block_comment] = STATE(1478),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
    [sym__dedent] = ACTIONS(2787),
    [sym__else] = ACTIONS(2787),
    [sym__elif] = ACTIONS(2787),
  },
  [1479] = {
    [sym_xml_doc] = STATE(1479),
    [sym_block_comment] = STATE(1479),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
    [sym__dedent] = ACTIONS(2736),
    [sym__else] = ACTIONS(2736),
    [sym__elif] = ACTIONS(2736),
  },
  [1480] = {
    [sym_xml_doc] = STATE(1480),
    [sym_block_comment] = STATE(1480),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
    [sym__dedent] = ACTIONS(2902),
    [sym__else] = ACTIONS(2902),
    [sym__elif] = ACTIONS(2902),
  },
  [1481] = {
    [sym_xml_doc] = STATE(1481),
    [sym_block_comment] = STATE(1481),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
    [sym__dedent] = ACTIONS(2906),
    [sym__else] = ACTIONS(2906),
    [sym__elif] = ACTIONS(2906),
  },
  [1482] = {
    [sym_xml_doc] = STATE(1482),
    [sym_block_comment] = STATE(1482),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
    [sym__dedent] = ACTIONS(2910),
    [sym__else] = ACTIONS(2910),
    [sym__elif] = ACTIONS(2910),
  },
  [1483] = {
    [sym_xml_doc] = STATE(1483),
    [sym_block_comment] = STATE(1483),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_as] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_with] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
    [sym__dedent] = ACTIONS(2835),
  },
  [1484] = {
    [sym_xml_doc] = STATE(1484),
    [sym_block_comment] = STATE(1484),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_as] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_with] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
    [sym__dedent] = ACTIONS(2831),
  },
  [1485] = {
    [sym_xml_doc] = STATE(1485),
    [sym_block_comment] = STATE(1485),
    [aux_sym_sequential_expression_repeat1] = STATE(1400),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
    [sym__else] = ACTIONS(2613),
    [sym__elif] = ACTIONS(2613),
  },
  [1486] = {
    [sym_xml_doc] = STATE(1486),
    [sym_block_comment] = STATE(1486),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
    [sym__dedent] = ACTIONS(2718),
    [sym__else] = ACTIONS(2718),
    [sym__elif] = ACTIONS(2718),
  },
  [1487] = {
    [sym_xml_doc] = STATE(1487),
    [sym_block_comment] = STATE(1487),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_done] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_DASH_GT] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [1488] = {
    [sym_xml_doc] = STATE(1488),
    [sym_block_comment] = STATE(1488),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
    [sym__dedent] = ACTIONS(2866),
    [sym__else] = ACTIONS(2866),
    [sym__elif] = ACTIONS(2866),
  },
  [1489] = {
    [sym_xml_doc] = STATE(1489),
    [sym_block_comment] = STATE(1489),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_as] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_with] = ACTIONS(2749),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
    [sym__dedent] = ACTIONS(2751),
  },
  [1490] = {
    [sym_xml_doc] = STATE(1490),
    [sym_block_comment] = STATE(1490),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_with] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
    [sym__dedent] = ACTIONS(2755),
  },
  [1491] = {
    [sym_xml_doc] = STATE(1491),
    [sym_block_comment] = STATE(1491),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_as] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_with] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
    [sym__dedent] = ACTIONS(2827),
  },
  [1492] = {
    [sym_xml_doc] = STATE(1492),
    [sym_block_comment] = STATE(1492),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_with] = ACTIONS(2757),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
    [sym__dedent] = ACTIONS(2759),
  },
  [1493] = {
    [sym_xml_doc] = STATE(1493),
    [sym_block_comment] = STATE(1493),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_as] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_with] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
    [sym__dedent] = ACTIONS(2779),
  },
  [1494] = {
    [sym_xml_doc] = STATE(1494),
    [sym_block_comment] = STATE(1494),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_as] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_with] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
    [sym__dedent] = ACTIONS(2791),
  },
  [1495] = {
    [sym_xml_doc] = STATE(1495),
    [sym_block_comment] = STATE(1495),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
    [sym__dedent] = ACTIONS(2643),
    [sym__else] = ACTIONS(2643),
    [sym__elif] = ACTIONS(2643),
  },
  [1496] = {
    [sym_xml_doc] = STATE(1496),
    [sym_block_comment] = STATE(1496),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
    [sym__dedent] = ACTIONS(2639),
    [sym__else] = ACTIONS(2639),
    [sym__elif] = ACTIONS(2639),
  },
  [1497] = {
    [sym_xml_doc] = STATE(1497),
    [sym_block_comment] = STATE(1497),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_as] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_with] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
    [sym__dedent] = ACTIONS(2851),
  },
  [1498] = {
    [sym_xml_doc] = STATE(1498),
    [sym_block_comment] = STATE(1498),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_as] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_with] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
    [sym__dedent] = ACTIONS(2878),
  },
  [1499] = {
    [sym_xml_doc] = STATE(1499),
    [sym_block_comment] = STATE(1499),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__then] = ACTIONS(2573),
  },
  [1500] = {
    [sym_xml_doc] = STATE(1500),
    [sym_block_comment] = STATE(1500),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_as] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_with] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
  },
  [1501] = {
    [sym_xml_doc] = STATE(1501),
    [sym_block_comment] = STATE(1501),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_as] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_with] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
    [sym__dedent] = ACTIONS(2823),
  },
  [1502] = {
    [sym_xml_doc] = STATE(1502),
    [sym_block_comment] = STATE(1502),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_as] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_with] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
    [sym__dedent] = ACTIONS(2819),
  },
  [1503] = {
    [sym_xml_doc] = STATE(1503),
    [sym_block_comment] = STATE(1503),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_with] = ACTIONS(2545),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
  },
  [1504] = {
    [sym_xml_doc] = STATE(1504),
    [sym_block_comment] = STATE(1504),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_as] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
  },
  [1505] = {
    [sym_xml_doc] = STATE(1505),
    [sym_block_comment] = STATE(1505),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_as] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_with] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
    [sym__dedent] = ACTIONS(2815),
  },
  [1506] = {
    [sym_xml_doc] = STATE(1506),
    [sym_block_comment] = STATE(1506),
    [aux_sym_sequential_expression_repeat1] = STATE(1506),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_DASH_GT] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3314),
  },
  [1507] = {
    [sym_xml_doc] = STATE(1507),
    [sym_block_comment] = STATE(1507),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_as] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_with] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
    [sym__dedent] = ACTIONS(2882),
  },
  [1508] = {
    [sym_xml_doc] = STATE(1508),
    [sym_block_comment] = STATE(1508),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_as] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_with] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
    [sym__dedent] = ACTIONS(2922),
  },
  [1509] = {
    [sym_xml_doc] = STATE(1509),
    [sym_block_comment] = STATE(1509),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_as] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_with] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
    [sym__dedent] = ACTIONS(2811),
  },
  [1510] = {
    [sym_xml_doc] = STATE(1510),
    [sym_block_comment] = STATE(1510),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_as] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_with] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
    [sym__dedent] = ACTIONS(2807),
  },
  [1511] = {
    [sym_xml_doc] = STATE(1511),
    [sym_block_comment] = STATE(1511),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_as] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_with] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
  },
  [1512] = {
    [sym_xml_doc] = STATE(1512),
    [sym_block_comment] = STATE(1512),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_as] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_with] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
    [sym__dedent] = ACTIONS(2799),
  },
  [1513] = {
    [sym_xml_doc] = STATE(1513),
    [sym_block_comment] = STATE(1513),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
    [sym__dedent] = ACTIONS(2862),
    [sym__else] = ACTIONS(2862),
    [sym__elif] = ACTIONS(2862),
  },
  [1514] = {
    [sym_xml_doc] = STATE(1514),
    [sym_block_comment] = STATE(1514),
    [aux_sym_sequential_expression_repeat1] = STATE(1410),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_RBRACK] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_DOT_DOT2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
  },
  [1515] = {
    [sym_xml_doc] = STATE(1515),
    [sym_block_comment] = STATE(1515),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_as] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_with] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
    [sym__dedent] = ACTIONS(2775),
  },
  [1516] = {
    [sym_xml_doc] = STATE(1516),
    [sym_block_comment] = STATE(1516),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
    [sym__dedent] = ACTIONS(2803),
    [sym__else] = ACTIONS(2803),
    [sym__elif] = ACTIONS(2803),
  },
  [1517] = {
    [sym_xml_doc] = STATE(1517),
    [sym_block_comment] = STATE(1517),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
    [sym__dedent] = ACTIONS(2783),
    [sym__else] = ACTIONS(2783),
    [sym__elif] = ACTIONS(2783),
  },
  [1518] = {
    [sym_xml_doc] = STATE(1518),
    [sym_block_comment] = STATE(1518),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_as] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [1519] = {
    [sym_xml_doc] = STATE(1519),
    [sym_block_comment] = STATE(1519),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
    [sym__dedent] = ACTIONS(2763),
    [sym__else] = ACTIONS(2763),
    [sym__elif] = ACTIONS(2763),
  },
  [1520] = {
    [sym_xml_doc] = STATE(1520),
    [sym_block_comment] = STATE(1520),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_as] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_with] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
    [sym__dedent] = ACTIONS(2771),
  },
  [1521] = {
    [sym_xml_doc] = STATE(1521),
    [sym_block_comment] = STATE(1521),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_as] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_with] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
  },
  [1522] = {
    [sym_xml_doc] = STATE(1522),
    [sym_block_comment] = STATE(1522),
    [aux_sym_rules_repeat1] = STATE(1558),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3317),
  },
  [1523] = {
    [sym_xml_doc] = STATE(1523),
    [sym_block_comment] = STATE(1523),
    [aux_sym_rules_repeat1] = STATE(1564),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_EQ] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_let_BANG] = ACTIONS(2498),
    [anon_sym_null] = ACTIONS(2496),
    [anon_sym_QMARK] = ACTIONS(2496),
    [anon_sym_COLON_QMARK] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_return_BANG] = ACTIONS(2498),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_yield_BANG] = ACTIONS(2498),
    [anon_sym_lazy] = ACTIONS(2496),
    [anon_sym_assert] = ACTIONS(2496),
    [anon_sym_upcast] = ACTIONS(2496),
    [anon_sym_downcast] = ACTIONS(2496),
    [anon_sym_LT_AT] = ACTIONS(2496),
    [anon_sym_AT_GT] = ACTIONS(2498),
    [anon_sym_LT_AT_AT] = ACTIONS(2496),
    [anon_sym_AT_AT_GT] = ACTIONS(2498),
    [anon_sym_COLON_GT] = ACTIONS(2498),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_fun] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_match_BANG] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_LT_DASH] = ACTIONS(2496),
    [anon_sym_DOT_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_use_BANG] = ACTIONS(2498),
    [anon_sym_do_BANG] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_begin] = ACTIONS(2496),
    [anon_sym_LPAREN2] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_AT_DQUOTE] = ACTIONS(2498),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2498),
    [sym_bool] = ACTIONS(2496),
    [sym_unit] = ACTIONS(2496),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2496),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_DOT] = ACTIONS(2496),
    [anon_sym_DASH_DOT] = ACTIONS(2496),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2498),
    [aux_sym_prefix_op_token1] = ACTIONS(2498),
    [aux_sym_infix_op_token1] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_COLON_EQ] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2496),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2498),
    [aux_sym_int_token1] = ACTIONS(2496),
    [aux_sym_xint_token1] = ACTIONS(2498),
    [aux_sym_xint_token2] = ACTIONS(2498),
    [aux_sym_xint_token3] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3317),
  },
  [1524] = {
    [sym_xml_doc] = STATE(1524),
    [sym_block_comment] = STATE(1524),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_as] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_with] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
  },
  [1525] = {
    [sym_xml_doc] = STATE(1525),
    [sym_block_comment] = STATE(1525),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
    [sym__dedent] = ACTIONS(2795),
    [sym__else] = ACTIONS(2795),
    [sym__elif] = ACTIONS(2795),
  },
  [1526] = {
    [sym_xml_doc] = STATE(1526),
    [sym_block_comment] = STATE(1526),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_as] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
    [sym__dedent] = ACTIONS(2744),
  },
  [1527] = {
    [sym_xml_doc] = STATE(1527),
    [sym_block_comment] = STATE(1527),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_as] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_with] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
    [sym__dedent] = ACTIONS(2886),
  },
  [1528] = {
    [sym_xml_doc] = STATE(1528),
    [sym_block_comment] = STATE(1528),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_as] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_with] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
    [sym__dedent] = ACTIONS(2740),
  },
  [1529] = {
    [sym_xml_doc] = STATE(1529),
    [sym_block_comment] = STATE(1529),
    [aux_sym_long_identifier_repeat1] = STATE(1451),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2370),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_EQ2] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1530] = {
    [sym_xml_doc] = STATE(1530),
    [sym_block_comment] = STATE(1530),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
    [sym__dedent] = ACTIONS(2874),
    [sym__else] = ACTIONS(2874),
    [sym__elif] = ACTIONS(2874),
  },
  [1531] = {
    [sym_xml_doc] = STATE(1531),
    [sym_block_comment] = STATE(1531),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
    [sym__dedent] = ACTIONS(2918),
    [sym__else] = ACTIONS(2918),
    [sym__elif] = ACTIONS(2918),
  },
  [1532] = {
    [sym_xml_doc] = STATE(1532),
    [sym_block_comment] = STATE(1532),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
    [sym__else] = ACTIONS(2412),
    [sym__elif] = ACTIONS(2412),
  },
  [1533] = {
    [sym_xml_doc] = STATE(1533),
    [sym_block_comment] = STATE(1533),
    [aux_sym_long_identifier_repeat1] = STATE(1438),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__else] = ACTIONS(2373),
    [sym__elif] = ACTIONS(2373),
  },
  [1534] = {
    [sym_xml_doc] = STATE(1534),
    [sym_block_comment] = STATE(1534),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_as] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_with] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
    [sym__dedent] = ACTIONS(2898),
  },
  [1535] = {
    [sym_xml_doc] = STATE(1535),
    [sym_block_comment] = STATE(1535),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_with] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
    [sym__dedent] = ACTIONS(2664),
  },
  [1536] = {
    [sym_xml_doc] = STATE(1536),
    [sym_block_comment] = STATE(1536),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
    [sym__dedent] = ACTIONS(2922),
    [sym__else] = ACTIONS(2922),
    [sym__elif] = ACTIONS(2922),
  },
  [1537] = {
    [sym_xml_doc] = STATE(1537),
    [sym_block_comment] = STATE(1537),
    [aux_sym_sequential_expression_repeat1] = STATE(1506),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_DASH_GT] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_DOT_DOT] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
  },
  [1538] = {
    [sym_xml_doc] = STATE(1538),
    [sym_block_comment] = STATE(1538),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_as] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_with] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
    [sym__dedent] = ACTIONS(2902),
  },
  [1539] = {
    [sym_xml_doc] = STATE(1539),
    [sym_block_comment] = STATE(1539),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_as] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_with] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
    [sym__dedent] = ACTIONS(2890),
  },
  [1540] = {
    [sym_xml_doc] = STATE(1540),
    [sym_block_comment] = STATE(1540),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_with] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
    [sym__dedent] = ACTIONS(2678),
  },
  [1541] = {
    [sym_xml_doc] = STATE(1541),
    [sym_block_comment] = STATE(1541),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_as] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_with] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
    [sym__dedent] = ACTIONS(2690),
  },
  [1542] = {
    [sym_xml_doc] = STATE(1542),
    [sym_block_comment] = STATE(1542),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_as] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_with] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
    [sym__dedent] = ACTIONS(2698),
  },
  [1543] = {
    [sym_xml_doc] = STATE(1543),
    [sym_block_comment] = STATE(1543),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_as] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_with] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
    [sym__dedent] = ACTIONS(2730),
  },
  [1544] = {
    [sym_xml_doc] = STATE(1544),
    [sym_block_comment] = STATE(1544),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
    [sym__dedent] = ACTIONS(2628),
    [sym__else] = ACTIONS(2628),
    [sym__elif] = ACTIONS(2628),
  },
  [1545] = {
    [sym_xml_doc] = STATE(1545),
    [sym_block_comment] = STATE(1545),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_as] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_with] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
    [sym__dedent] = ACTIONS(2714),
  },
  [1546] = {
    [sym_xml_doc] = STATE(1546),
    [sym_block_comment] = STATE(1546),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
    [sym__dedent] = ACTIONS(2714),
    [sym__else] = ACTIONS(2714),
    [sym__elif] = ACTIONS(2714),
  },
  [1547] = {
    [sym_xml_doc] = STATE(1547),
    [sym_block_comment] = STATE(1547),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2410),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_EQ2] = ACTIONS(3330),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__dedent] = ACTIONS(2412),
  },
  [1548] = {
    [sym_xml_doc] = STATE(1548),
    [sym_block_comment] = STATE(1548),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
    [sym__dedent] = ACTIONS(2635),
    [sym__else] = ACTIONS(2635),
    [sym__elif] = ACTIONS(2635),
  },
  [1549] = {
    [sym_xml_doc] = STATE(1549),
    [sym_block_comment] = STATE(1549),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
    [sym__dedent] = ACTIONS(2647),
    [sym__else] = ACTIONS(2647),
    [sym__elif] = ACTIONS(2647),
  },
  [1550] = {
    [sym_xml_doc] = STATE(1550),
    [sym_block_comment] = STATE(1550),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
    [sym__dedent] = ACTIONS(2698),
    [sym__else] = ACTIONS(2698),
    [sym__elif] = ACTIONS(2698),
  },
  [1551] = {
    [sym_xml_doc] = STATE(1551),
    [sym_block_comment] = STATE(1551),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
    [sym__dedent] = ACTIONS(2577),
    [sym__else] = ACTIONS(2577),
    [sym__elif] = ACTIONS(2577),
  },
  [1552] = {
    [sym_xml_doc] = STATE(1552),
    [sym_block_comment] = STATE(1552),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_as] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_with] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
    [sym__dedent] = ACTIONS(2906),
  },
  [1553] = {
    [sym_xml_doc] = STATE(1553),
    [sym_block_comment] = STATE(1553),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
    [sym__dedent] = ACTIONS(2690),
    [sym__else] = ACTIONS(2690),
    [sym__elif] = ACTIONS(2690),
  },
  [1554] = {
    [sym_xml_doc] = STATE(1554),
    [sym_block_comment] = STATE(1554),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
    [sym__dedent] = ACTIONS(2678),
    [sym__else] = ACTIONS(2678),
    [sym__elif] = ACTIONS(2678),
  },
  [1555] = {
    [sym_xml_doc] = STATE(1555),
    [sym_block_comment] = STATE(1555),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_as] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_with] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
    [sym__dedent] = ACTIONS(2910),
  },
  [1556] = {
    [sym_xml_doc] = STATE(1556),
    [sym_block_comment] = STATE(1556),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
    [sym__dedent] = ACTIONS(2890),
    [sym__else] = ACTIONS(2890),
    [sym__elif] = ACTIONS(2890),
  },
  [1557] = {
    [sym_xml_doc] = STATE(1557),
    [sym_block_comment] = STATE(1557),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
    [sym__dedent] = ACTIONS(2664),
    [sym__else] = ACTIONS(2664),
    [sym__elif] = ACTIONS(2664),
  },
  [1558] = {
    [sym_xml_doc] = STATE(1558),
    [sym_block_comment] = STATE(1558),
    [aux_sym_rules_repeat1] = STATE(1564),
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_let] = ACTIONS(2526),
    [anon_sym_let_BANG] = ACTIONS(2528),
    [anon_sym_null] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_COLON_QMARK] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_return_BANG] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2526),
    [anon_sym_yield_BANG] = ACTIONS(2528),
    [anon_sym_lazy] = ACTIONS(2526),
    [anon_sym_assert] = ACTIONS(2526),
    [anon_sym_upcast] = ACTIONS(2526),
    [anon_sym_downcast] = ACTIONS(2526),
    [anon_sym_LT_AT] = ACTIONS(2526),
    [anon_sym_AT_GT] = ACTIONS(2528),
    [anon_sym_LT_AT_AT] = ACTIONS(2526),
    [anon_sym_AT_AT_GT] = ACTIONS(2528),
    [anon_sym_COLON_GT] = ACTIONS(2528),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_fun] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_match] = ACTIONS(2526),
    [anon_sym_match_BANG] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2526),
    [anon_sym_LT_DASH] = ACTIONS(2526),
    [anon_sym_DOT_LBRACK] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_use] = ACTIONS(2526),
    [anon_sym_use_BANG] = ACTIONS(2528),
    [anon_sym_do_BANG] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_begin] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_AT_DQUOTE] = ACTIONS(2528),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2528),
    [sym_bool] = ACTIONS(2526),
    [sym_unit] = ACTIONS(2526),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2526),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_DOT] = ACTIONS(2526),
    [anon_sym_DASH_DOT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2528),
    [aux_sym_prefix_op_token1] = ACTIONS(2528),
    [aux_sym_infix_op_token1] = ACTIONS(2526),
    [anon_sym_PIPE_PIPE] = ACTIONS(2526),
    [anon_sym_BANG_EQ] = ACTIONS(2528),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2528),
    [aux_sym_int_token1] = ACTIONS(2526),
    [aux_sym_xint_token1] = ACTIONS(2528),
    [aux_sym_xint_token2] = ACTIONS(2528),
    [aux_sym_xint_token3] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3332),
  },
  [1559] = {
    [sym_xml_doc] = STATE(1559),
    [sym_block_comment] = STATE(1559),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
    [sym__dedent] = ACTIONS(2898),
    [sym__else] = ACTIONS(2898),
    [sym__elif] = ACTIONS(2898),
  },
  [1560] = {
    [sym_xml_doc] = STATE(1560),
    [sym_block_comment] = STATE(1560),
    [aux_sym_sequential_expression_repeat1] = STATE(1377),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
    [sym__dedent] = ACTIONS(2613),
  },
  [1561] = {
    [sym_xml_doc] = STATE(1561),
    [sym_block_comment] = STATE(1561),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_DASH_GT] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [1562] = {
    [sym_xml_doc] = STATE(1562),
    [sym_block_comment] = STATE(1562),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_as] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_with] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
    [sym__dedent] = ACTIONS(2914),
  },
  [1563] = {
    [sym_xml_doc] = STATE(1563),
    [sym_block_comment] = STATE(1563),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_as] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__dedent] = ACTIONS(2036),
  },
  [1564] = {
    [sym_xml_doc] = STATE(1564),
    [sym_block_comment] = STATE(1564),
    [aux_sym_rules_repeat1] = STATE(1564),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(3335),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3338),
  },
  [1565] = {
    [sym_xml_doc] = STATE(1565),
    [sym_block_comment] = STATE(1565),
    [aux_sym_rules_repeat1] = STATE(1397),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_let_BANG] = ACTIONS(2507),
    [anon_sym_null] = ACTIONS(2505),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_COLON_QMARK] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2505),
    [anon_sym_COMMA] = ACTIONS(2507),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_PIPE] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2505),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_return_BANG] = ACTIONS(2507),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_yield_BANG] = ACTIONS(2507),
    [anon_sym_lazy] = ACTIONS(2505),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_upcast] = ACTIONS(2505),
    [anon_sym_downcast] = ACTIONS(2505),
    [anon_sym_LT_AT] = ACTIONS(2505),
    [anon_sym_AT_GT] = ACTIONS(2507),
    [anon_sym_LT_AT_AT] = ACTIONS(2505),
    [anon_sym_AT_AT_GT] = ACTIONS(2507),
    [anon_sym_COLON_GT] = ACTIONS(2507),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2507),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_fun] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_match] = ACTIONS(2505),
    [anon_sym_match_BANG] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_LT_DASH] = ACTIONS(2505),
    [anon_sym_DOT_LBRACK] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_use] = ACTIONS(2505),
    [anon_sym_use_BANG] = ACTIONS(2507),
    [anon_sym_do_BANG] = ACTIONS(2507),
    [anon_sym_begin] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_or] = ACTIONS(2505),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_AT_DQUOTE] = ACTIONS(2507),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [sym_bool] = ACTIONS(2505),
    [sym_unit] = ACTIONS(2505),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2505),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS_DOT] = ACTIONS(2505),
    [anon_sym_DASH_DOT] = ACTIONS(2505),
    [anon_sym_PERCENT] = ACTIONS(2505),
    [anon_sym_AMP_AMP] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2507),
    [aux_sym_prefix_op_token1] = ACTIONS(2507),
    [aux_sym_infix_op_token1] = ACTIONS(2505),
    [anon_sym_PIPE_PIPE] = ACTIONS(2505),
    [anon_sym_BANG_EQ] = ACTIONS(2507),
    [anon_sym_COLON_EQ] = ACTIONS(2507),
    [anon_sym_DOLLAR] = ACTIONS(2505),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2507),
    [aux_sym_int_token1] = ACTIONS(2505),
    [aux_sym_xint_token1] = ACTIONS(2507),
    [aux_sym_xint_token2] = ACTIONS(2507),
    [aux_sym_xint_token3] = ACTIONS(2507),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3341),
    [sym__then] = ACTIONS(2507),
  },
  [1566] = {
    [sym_xml_doc] = STATE(1566),
    [sym_block_comment] = STATE(1566),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_as] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_with] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
    [sym__dedent] = ACTIONS(2694),
  },
  [1567] = {
    [sym_xml_doc] = STATE(1567),
    [sym_block_comment] = STATE(1567),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_as] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_with] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
    [sym__dedent] = ACTIONS(2862),
  },
  [1568] = {
    [sym_xml_doc] = STATE(1568),
    [sym_block_comment] = STATE(1568),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_as] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_with] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
    [sym__dedent] = ACTIONS(2763),
  },
  [1569] = {
    [sym_xml_doc] = STATE(1569),
    [sym_block_comment] = STATE(1569),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_as] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_with] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
    [sym__dedent] = ACTIONS(2783),
  },
  [1570] = {
    [sym_xml_doc] = STATE(1570),
    [sym_block_comment] = STATE(1570),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_as] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_with] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
    [sym__dedent] = ACTIONS(2803),
  },
  [1571] = {
    [sym_xml_doc] = STATE(1571),
    [sym_block_comment] = STATE(1571),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
    [sym__else] = ACTIONS(2763),
    [sym__elif] = ACTIONS(2763),
  },
  [1572] = {
    [sym_xml_doc] = STATE(1572),
    [sym_block_comment] = STATE(1572),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_as] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_with] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
  },
  [1573] = {
    [sym_xml_doc] = STATE(1573),
    [sym_block_comment] = STATE(1573),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
    [sym__else] = ACTIONS(2827),
    [sym__elif] = ACTIONS(2827),
  },
  [1574] = {
    [sym_xml_doc] = STATE(1574),
    [sym_block_comment] = STATE(1574),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2410),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_EQ2] = ACTIONS(3330),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1575] = {
    [sym_xml_doc] = STATE(1575),
    [sym_block_comment] = STATE(1575),
    [aux_sym_long_identifier_repeat1] = STATE(1575),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3344),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__then] = ACTIONS(2318),
  },
  [1576] = {
    [sym_xml_doc] = STATE(1576),
    [sym_block_comment] = STATE(1576),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
    [sym__else] = ACTIONS(2835),
    [sym__elif] = ACTIONS(2835),
  },
  [1577] = {
    [sym_xml_doc] = STATE(1577),
    [sym_block_comment] = STATE(1577),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
    [sym__else] = ACTIONS(2839),
    [sym__elif] = ACTIONS(2839),
  },
  [1578] = {
    [sym_xml_doc] = STATE(1578),
    [sym_block_comment] = STATE(1578),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
    [sym__else] = ACTIONS(2823),
    [sym__elif] = ACTIONS(2823),
  },
  [1579] = {
    [sym_xml_doc] = STATE(1579),
    [sym_block_comment] = STATE(1579),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
    [sym__else] = ACTIONS(2619),
    [sym__elif] = ACTIONS(2619),
  },
  [1580] = {
    [sym_xml_doc] = STATE(1580),
    [sym_block_comment] = STATE(1580),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
    [sym__else] = ACTIONS(2847),
    [sym__elif] = ACTIONS(2847),
  },
  [1581] = {
    [sym_xml_doc] = STATE(1581),
    [sym_block_comment] = STATE(1581),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
  },
  [1582] = {
    [sym_xml_doc] = STATE(1582),
    [sym_block_comment] = STATE(1582),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
  },
  [1583] = {
    [sym_xml_doc] = STATE(1583),
    [sym_block_comment] = STATE(1583),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
    [sym__else] = ACTIONS(2914),
    [sym__elif] = ACTIONS(2914),
  },
  [1584] = {
    [sym_xml_doc] = STATE(1584),
    [sym_block_comment] = STATE(1584),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_as] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_with] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
  },
  [1585] = {
    [sym_xml_doc] = STATE(1585),
    [sym_block_comment] = STATE(1585),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
    [sym__else] = ACTIONS(2714),
    [sym__elif] = ACTIONS(2714),
  },
  [1586] = {
    [sym_xml_doc] = STATE(1586),
    [sym_block_comment] = STATE(1586),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
    [sym__else] = ACTIONS(2894),
    [sym__elif] = ACTIONS(2894),
  },
  [1587] = {
    [sym_xml_doc] = STATE(1587),
    [sym_block_comment] = STATE(1587),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
    [sym__else] = ACTIONS(2831),
    [sym__elif] = ACTIONS(2831),
  },
  [1588] = {
    [sym_xml_doc] = STATE(1588),
    [sym_block_comment] = STATE(1588),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_DOT_DOT] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
  },
  [1589] = {
    [sym_xml_doc] = STATE(1589),
    [sym_block_comment] = STATE(1589),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
    [sym__else] = ACTIONS(2819),
    [sym__elif] = ACTIONS(2819),
  },
  [1590] = {
    [sym_xml_doc] = STATE(1590),
    [sym_block_comment] = STATE(1590),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
    [sym__else] = ACTIONS(2815),
    [sym__elif] = ACTIONS(2815),
  },
  [1591] = {
    [sym_xml_doc] = STATE(1591),
    [sym_block_comment] = STATE(1591),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
    [sym__else] = ACTIONS(2811),
    [sym__elif] = ACTIONS(2811),
  },
  [1592] = {
    [sym_xml_doc] = STATE(1592),
    [sym_block_comment] = STATE(1592),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
    [sym__else] = ACTIONS(2807),
    [sym__elif] = ACTIONS(2807),
  },
  [1593] = {
    [sym_xml_doc] = STATE(1593),
    [sym_block_comment] = STATE(1593),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_DASH_GT] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
  },
  [1594] = {
    [sym_xml_doc] = STATE(1594),
    [sym_block_comment] = STATE(1594),
    [aux_sym_long_identifier_repeat1] = STATE(1778),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
    [sym__then] = ACTIONS(2373),
  },
  [1595] = {
    [sym_xml_doc] = STATE(1595),
    [sym_block_comment] = STATE(1595),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_DASH_GT] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
  },
  [1596] = {
    [sym_xml_doc] = STATE(1596),
    [sym_block_comment] = STATE(1596),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
    [sym__else] = ACTIONS(2870),
    [sym__elif] = ACTIONS(2870),
  },
  [1597] = {
    [sym_xml_doc] = STATE(1597),
    [sym_block_comment] = STATE(1597),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
    [sym__else] = ACTIONS(2843),
    [sym__elif] = ACTIONS(2843),
  },
  [1598] = {
    [sym_xml_doc] = STATE(1598),
    [sym_block_comment] = STATE(1598),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
    [sym__else] = ACTIONS(2787),
    [sym__elif] = ACTIONS(2787),
  },
  [1599] = {
    [sym_xml_doc] = STATE(1599),
    [sym_block_comment] = STATE(1599),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_DOT_DOT] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
  },
  [1600] = {
    [sym_xml_doc] = STATE(1600),
    [sym_block_comment] = STATE(1600),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [1601] = {
    [sym_xml_doc] = STATE(1601),
    [sym_block_comment] = STATE(1601),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
    [sym__else] = ACTIONS(2736),
    [sym__elif] = ACTIONS(2736),
  },
  [1602] = {
    [sym_xml_doc] = STATE(1602),
    [sym_block_comment] = STATE(1602),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
    [sym__else] = ACTIONS(2698),
    [sym__elif] = ACTIONS(2698),
  },
  [1603] = {
    [sym_xml_doc] = STATE(1603),
    [sym_block_comment] = STATE(1603),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
  },
  [1604] = {
    [sym_xml_doc] = STATE(1604),
    [sym_block_comment] = STATE(1604),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1605] = {
    [sym_xml_doc] = STATE(1605),
    [sym_block_comment] = STATE(1605),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
    [sym__else] = ACTIONS(2718),
    [sym__elif] = ACTIONS(2718),
  },
  [1606] = {
    [sym_xml_doc] = STATE(1606),
    [sym_block_comment] = STATE(1606),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_DASH_GT] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_DOT_DOT] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
  },
  [1607] = {
    [sym_xml_doc] = STATE(1607),
    [sym_block_comment] = STATE(1607),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_DASH_GT] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_DOT_DOT] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
  },
  [1608] = {
    [sym_xml_doc] = STATE(1608),
    [sym_block_comment] = STATE(1608),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_DOT_DOT] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
  },
  [1609] = {
    [sym_xml_doc] = STATE(1609),
    [sym_block_comment] = STATE(1609),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_DOT_DOT] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
  },
  [1610] = {
    [sym_xml_doc] = STATE(1610),
    [sym_block_comment] = STATE(1610),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
    [sym__else] = ACTIONS(2690),
    [sym__elif] = ACTIONS(2690),
  },
  [1611] = {
    [sym_xml_doc] = STATE(1611),
    [sym_block_comment] = STATE(1611),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_as] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_with] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
  },
  [1612] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(1612),
    [sym_block_comment] = STATE(1612),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_POUNDnowarn] = ACTIONS(2194),
    [anon_sym_POUNDr] = ACTIONS(2194),
    [anon_sym_POUNDload] = ACTIONS(2194),
    [anon_sym_open] = ACTIONS(2192),
    [anon_sym_LBRACK_LT] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_and] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [aux_sym_access_modifier_token1] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_LT_AT_AT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_member] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2192),
    [anon_sym_abstract] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_default] = ACTIONS(2192),
    [anon_sym_val] = ACTIONS(2192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2194),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2194),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2194),
    [anon_sym_DASH_DOT] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2194),
  },
  [1613] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(1613),
    [sym_block_comment] = STATE(1613),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_POUNDnowarn] = ACTIONS(2232),
    [anon_sym_POUNDr] = ACTIONS(2232),
    [anon_sym_POUNDload] = ACTIONS(2232),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_LBRACK_LT] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_and] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [aux_sym_access_modifier_token1] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_member] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_val] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2232),
  },
  [1614] = {
    [sym_xml_doc] = STATE(1614),
    [sym_block_comment] = STATE(1614),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_as] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_with] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
  },
  [1615] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(1615),
    [sym_block_comment] = STATE(1615),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_POUNDnowarn] = ACTIONS(2228),
    [anon_sym_POUNDr] = ACTIONS(2228),
    [anon_sym_POUNDload] = ACTIONS(2228),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_LBRACK_LT] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_type] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_and] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [aux_sym_access_modifier_token1] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_LT_AT_AT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_member] = ACTIONS(2226),
    [anon_sym_interface] = ACTIONS(2226),
    [anon_sym_abstract] = ACTIONS(2226),
    [anon_sym_override] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [anon_sym_val] = ACTIONS(2226),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2228),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2228),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2228),
    [anon_sym_DASH_DOT] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2228),
  },
  [1616] = {
    [sym_xml_doc] = STATE(1616),
    [sym_block_comment] = STATE(1616),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_with] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
  },
  [1617] = {
    [sym_xml_doc] = STATE(1617),
    [sym_block_comment] = STATE(1617),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_as] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_with] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
  },
  [1618] = {
    [sym_xml_doc] = STATE(1618),
    [sym_block_comment] = STATE(1618),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_DOT_DOT] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
  },
  [1619] = {
    [sym_xml_doc] = STATE(1619),
    [sym_block_comment] = STATE(1619),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_as] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
  },
  [1620] = {
    [sym_xml_doc] = STATE(1620),
    [sym_block_comment] = STATE(1620),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_as] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_with] = ACTIONS(2038),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [1621] = {
    [sym_xml_doc] = STATE(1621),
    [sym_block_comment] = STATE(1621),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_as] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_with] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
  },
  [1622] = {
    [sym_xml_doc] = STATE(1622),
    [sym_block_comment] = STATE(1622),
    [sym_identifier] = ACTIONS(2587),
    [anon_sym_EQ] = ACTIONS(2589),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2587),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_let_BANG] = ACTIONS(2589),
    [anon_sym_null] = ACTIONS(2587),
    [anon_sym_QMARK] = ACTIONS(2587),
    [anon_sym_COLON_QMARK] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(2589),
    [anon_sym_AMP] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2587),
    [anon_sym_return_BANG] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2587),
    [anon_sym_yield_BANG] = ACTIONS(2589),
    [anon_sym_lazy] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2587),
    [anon_sym_upcast] = ACTIONS(2587),
    [anon_sym_downcast] = ACTIONS(2587),
    [anon_sym_LT_AT] = ACTIONS(2587),
    [anon_sym_AT_GT] = ACTIONS(2589),
    [anon_sym_LT_AT_AT] = ACTIONS(2587),
    [anon_sym_AT_AT_GT] = ACTIONS(2589),
    [anon_sym_COLON_GT] = ACTIONS(2589),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_done] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2587),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2587),
    [anon_sym_match_BANG] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2587),
    [anon_sym_LT_DASH] = ACTIONS(2587),
    [anon_sym_DOT_LBRACK] = ACTIONS(2589),
    [anon_sym_DOT] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_use] = ACTIONS(2587),
    [anon_sym_use_BANG] = ACTIONS(2589),
    [anon_sym_do_BANG] = ACTIONS(2589),
    [anon_sym_begin] = ACTIONS(2587),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2589),
    [anon_sym_or] = ACTIONS(2587),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_AT_DQUOTE] = ACTIONS(2589),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2589),
    [sym_bool] = ACTIONS(2587),
    [sym_unit] = ACTIONS(2587),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2587),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_PLUS_DOT] = ACTIONS(2587),
    [anon_sym_DASH_DOT] = ACTIONS(2587),
    [anon_sym_PERCENT] = ACTIONS(2587),
    [anon_sym_AMP_AMP] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2589),
    [aux_sym_prefix_op_token1] = ACTIONS(2589),
    [aux_sym_infix_op_token1] = ACTIONS(2587),
    [anon_sym_PIPE_PIPE] = ACTIONS(2587),
    [anon_sym_BANG_EQ] = ACTIONS(2589),
    [anon_sym_COLON_EQ] = ACTIONS(2589),
    [anon_sym_DOLLAR] = ACTIONS(2587),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2589),
    [aux_sym_int_token1] = ACTIONS(2587),
    [aux_sym_xint_token1] = ACTIONS(2589),
    [aux_sym_xint_token2] = ACTIONS(2589),
    [aux_sym_xint_token3] = ACTIONS(2589),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2589),
    [sym__then] = ACTIONS(2589),
  },
  [1623] = {
    [sym_xml_doc] = STATE(1623),
    [sym_block_comment] = STATE(1623),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_as] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
  },
  [1624] = {
    [sym_xml_doc] = STATE(1624),
    [sym_block_comment] = STATE(1624),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_DASH_GT] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_DOT_DOT] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
  },
  [1625] = {
    [sym_xml_doc] = STATE(1625),
    [sym_block_comment] = STATE(1625),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_as] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
  },
  [1626] = {
    [sym_xml_doc] = STATE(1626),
    [sym_block_comment] = STATE(1626),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
    [sym__else] = ACTIONS(2799),
    [sym__elif] = ACTIONS(2799),
  },
  [1627] = {
    [sym_xml_doc] = STATE(1627),
    [sym_block_comment] = STATE(1627),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
    [sym__else] = ACTIONS(2922),
    [sym__elif] = ACTIONS(2922),
  },
  [1628] = {
    [sym_xml_doc] = STATE(1628),
    [sym_block_comment] = STATE(1628),
    [aux_sym_sequential_expression_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_DASH_GT] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3369),
  },
  [1629] = {
    [sym_xml_doc] = STATE(1629),
    [sym_block_comment] = STATE(1629),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_as] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_with] = ACTIONS(2749),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
  },
  [1630] = {
    [sym_xml_doc] = STATE(1630),
    [sym_block_comment] = STATE(1630),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_as] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_with] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
  },
  [1631] = {
    [sym_xml_doc] = STATE(1631),
    [sym_block_comment] = STATE(1631),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
    [sym__else] = ACTIONS(2678),
    [sym__elif] = ACTIONS(2678),
  },
  [1632] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3549),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(1908),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(1632),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(1632),
    [sym_block_comment] = STATE(1632),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_EQ] = ACTIONS(3374),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_RPAREN] = ACTIONS(3374),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3372),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_RBRACK] = ACTIONS(3374),
    [anon_sym_SEMI] = ACTIONS(3374),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_LT2] = ACTIONS(3374),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [1633] = {
    [sym_xml_doc] = STATE(1633),
    [sym_block_comment] = STATE(1633),
    [aux_sym_long_identifier_repeat1] = STATE(1776),
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_and] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [aux_sym_access_modifier_token1] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(3378),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_member] = ACTIONS(2376),
    [anon_sym_interface] = ACTIONS(2376),
    [anon_sym_abstract] = ACTIONS(2376),
    [anon_sym_override] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_val] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1634] = {
    [sym_xml_doc] = STATE(1634),
    [sym_block_comment] = STATE(1634),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_with] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
  },
  [1635] = {
    [sym_xml_doc] = STATE(1635),
    [sym_block_comment] = STATE(1635),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_with] = ACTIONS(2757),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
  },
  [1636] = {
    [sym_xml_doc] = STATE(1636),
    [sym_block_comment] = STATE(1636),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_as] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_with] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
  },
  [1637] = {
    [sym_xml_doc] = STATE(1637),
    [sym_block_comment] = STATE(1637),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_DOT_DOT] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
  },
  [1638] = {
    [sym_xml_doc] = STATE(1638),
    [sym_block_comment] = STATE(1638),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_DOT_DOT] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
  },
  [1639] = {
    [sym_xml_doc] = STATE(1639),
    [sym_block_comment] = STATE(1639),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_as] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_with] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
  },
  [1640] = {
    [sym_xml_doc] = STATE(1640),
    [sym_block_comment] = STATE(1640),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_as] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_with] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
  },
  [1641] = {
    [sym_xml_doc] = STATE(1641),
    [sym_block_comment] = STATE(1641),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_as] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
  },
  [1642] = {
    [sym_xml_doc] = STATE(1642),
    [sym_block_comment] = STATE(1642),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_as] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_with] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
  },
  [1643] = {
    [sym_xml_doc] = STATE(1643),
    [sym_block_comment] = STATE(1643),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
  },
  [1644] = {
    [sym_xml_doc] = STATE(1644),
    [sym_block_comment] = STATE(1644),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_as] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_with] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
  },
  [1645] = {
    [sym_xml_doc] = STATE(1645),
    [sym_block_comment] = STATE(1645),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_as] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_with] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
  },
  [1646] = {
    [sym_xml_doc] = STATE(1646),
    [sym_block_comment] = STATE(1646),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_as] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_with] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
  },
  [1647] = {
    [sym_xml_doc] = STATE(1647),
    [sym_block_comment] = STATE(1647),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_as] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_with] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
  },
  [1648] = {
    [sym_xml_doc] = STATE(1648),
    [sym_block_comment] = STATE(1648),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_as] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_with] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
  },
  [1649] = {
    [sym_xml_doc] = STATE(1649),
    [sym_block_comment] = STATE(1649),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_as] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_with] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
  },
  [1650] = {
    [sym_xml_doc] = STATE(1650),
    [sym_block_comment] = STATE(1650),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_as] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_with] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
  },
  [1651] = {
    [sym_xml_doc] = STATE(1651),
    [sym_block_comment] = STATE(1651),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_DOT_DOT] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
  },
  [1652] = {
    [sym_xml_doc] = STATE(1652),
    [sym_block_comment] = STATE(1652),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
  },
  [1653] = {
    [sym_xml_doc] = STATE(1653),
    [sym_block_comment] = STATE(1653),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
  },
  [1654] = {
    [sym_xml_doc] = STATE(1654),
    [sym_block_comment] = STATE(1654),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_as] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_with] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
  },
  [1655] = {
    [sym_xml_doc] = STATE(1655),
    [sym_block_comment] = STATE(1655),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_as] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_with] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
  },
  [1656] = {
    [sym_xml_doc] = STATE(1656),
    [sym_block_comment] = STATE(1656),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_as] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_with] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
  },
  [1657] = {
    [sym_xml_doc] = STATE(1657),
    [sym_block_comment] = STATE(1657),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
    [sym__else] = ACTIONS(2664),
    [sym__elif] = ACTIONS(2664),
  },
  [1658] = {
    [sym_xml_doc] = STATE(1658),
    [sym_block_comment] = STATE(1658),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_as] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_with] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
  },
  [1659] = {
    [sym_xml_doc] = STATE(1659),
    [sym_block_comment] = STATE(1659),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_as] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_with] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
  },
  [1660] = {
    [sym_xml_doc] = STATE(1660),
    [sym_block_comment] = STATE(1660),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_as] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_with] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
  },
  [1661] = {
    [sym_xml_doc] = STATE(1661),
    [sym_block_comment] = STATE(1661),
    [sym_identifier] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_let] = ACTIONS(2579),
    [anon_sym_let_BANG] = ACTIONS(2581),
    [anon_sym_null] = ACTIONS(2579),
    [anon_sym_QMARK] = ACTIONS(2579),
    [anon_sym_COLON_QMARK] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2581),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_PIPE] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2581),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_return_BANG] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2579),
    [anon_sym_yield_BANG] = ACTIONS(2581),
    [anon_sym_lazy] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2579),
    [anon_sym_upcast] = ACTIONS(2579),
    [anon_sym_downcast] = ACTIONS(2579),
    [anon_sym_LT_AT] = ACTIONS(2579),
    [anon_sym_AT_GT] = ACTIONS(2581),
    [anon_sym_LT_AT_AT] = ACTIONS(2579),
    [anon_sym_AT_AT_GT] = ACTIONS(2581),
    [anon_sym_COLON_GT] = ACTIONS(2581),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_fun] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_match_BANG] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_LT_DASH] = ACTIONS(2579),
    [anon_sym_DOT_LBRACK] = ACTIONS(2581),
    [anon_sym_DOT] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_use] = ACTIONS(2579),
    [anon_sym_use_BANG] = ACTIONS(2581),
    [anon_sym_do_BANG] = ACTIONS(2581),
    [anon_sym_begin] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_or] = ACTIONS(2579),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_AT_DQUOTE] = ACTIONS(2581),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2581),
    [sym_bool] = ACTIONS(2579),
    [sym_unit] = ACTIONS(2579),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2579),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS_DOT] = ACTIONS(2579),
    [anon_sym_DASH_DOT] = ACTIONS(2579),
    [anon_sym_PERCENT] = ACTIONS(2579),
    [anon_sym_AMP_AMP] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2581),
    [aux_sym_prefix_op_token1] = ACTIONS(2581),
    [aux_sym_infix_op_token1] = ACTIONS(2579),
    [anon_sym_PIPE_PIPE] = ACTIONS(2579),
    [anon_sym_BANG_EQ] = ACTIONS(2581),
    [anon_sym_COLON_EQ] = ACTIONS(2581),
    [anon_sym_DOLLAR] = ACTIONS(2579),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2581),
    [aux_sym_int_token1] = ACTIONS(2579),
    [aux_sym_xint_token1] = ACTIONS(2581),
    [aux_sym_xint_token2] = ACTIONS(2581),
    [aux_sym_xint_token3] = ACTIONS(2581),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2581),
    [sym__then] = ACTIONS(2581),
  },
  [1662] = {
    [sym_xml_doc] = STATE(1662),
    [sym_block_comment] = STATE(1662),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_as] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_with] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
  },
  [1663] = {
    [sym_xml_doc] = STATE(1663),
    [sym_block_comment] = STATE(1663),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
    [sym__then] = ACTIONS(2573),
  },
  [1664] = {
    [sym_xml_doc] = STATE(1664),
    [sym_block_comment] = STATE(1664),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_DOT_DOT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
  },
  [1665] = {
    [sym_xml_doc] = STATE(1665),
    [sym_block_comment] = STATE(1665),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
  },
  [1666] = {
    [sym_xml_doc] = STATE(1666),
    [sym_block_comment] = STATE(1666),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
  },
  [1667] = {
    [sym_xml_doc] = STATE(1667),
    [sym_block_comment] = STATE(1667),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
  },
  [1668] = {
    [sym_xml_doc] = STATE(1668),
    [sym_block_comment] = STATE(1668),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_DASH_GT] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_DOT_DOT] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
  },
  [1669] = {
    [sym_xml_doc] = STATE(1669),
    [sym_block_comment] = STATE(1669),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_as] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_with] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
  },
  [1670] = {
    [sym_xml_doc] = STATE(1670),
    [sym_block_comment] = STATE(1670),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_as] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_with] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
  },
  [1671] = {
    [sym_xml_doc] = STATE(1671),
    [sym_block_comment] = STATE(1671),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_as] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_with] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
  },
  [1672] = {
    [sym_xml_doc] = STATE(1672),
    [sym_block_comment] = STATE(1672),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_DOT_DOT] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
  },
  [1673] = {
    [sym_xml_doc] = STATE(1673),
    [sym_block_comment] = STATE(1673),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_as] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_with] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
  },
  [1674] = {
    [sym_xml_doc] = STATE(1674),
    [sym_block_comment] = STATE(1674),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
    [sym__else] = ACTIONS(2783),
    [sym__elif] = ACTIONS(2783),
  },
  [1675] = {
    [sym_xml_doc] = STATE(1675),
    [sym_block_comment] = STATE(1675),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_as] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_with] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
  },
  [1676] = {
    [sym_xml_doc] = STATE(1676),
    [sym_block_comment] = STATE(1676),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_as] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_with] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
  },
  [1677] = {
    [sym_xml_doc] = STATE(1677),
    [sym_block_comment] = STATE(1677),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_as] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_with] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
  },
  [1678] = {
    [sym_xml_doc] = STATE(1678),
    [sym_block_comment] = STATE(1678),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_as] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_with] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
  },
  [1679] = {
    [sym_xml_doc] = STATE(1679),
    [sym_block_comment] = STATE(1679),
    [aux_sym_sequential_expression_repeat1] = STATE(1679),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3380),
  },
  [1680] = {
    [sym_xml_doc] = STATE(1680),
    [sym_block_comment] = STATE(1680),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_as] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_with] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
  },
  [1681] = {
    [sym_xml_doc] = STATE(1681),
    [sym_block_comment] = STATE(1681),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_as] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_with] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
  },
  [1682] = {
    [sym_xml_doc] = STATE(1682),
    [sym_block_comment] = STATE(1682),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_as] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_with] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
  },
  [1683] = {
    [sym_xml_doc] = STATE(1683),
    [sym_block_comment] = STATE(1683),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
  },
  [1684] = {
    [sym_xml_doc] = STATE(1684),
    [sym_block_comment] = STATE(1684),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_DASH_GT] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_DOT_DOT] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
  },
  [1685] = {
    [sym_xml_doc] = STATE(1685),
    [sym_block_comment] = STATE(1685),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_DASH_GT] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_DOT_DOT] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
  },
  [1686] = {
    [sym_xml_doc] = STATE(1686),
    [sym_block_comment] = STATE(1686),
    [aux_sym_sequential_expression_repeat1] = STATE(1679),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_DOT_DOT] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
  },
  [1687] = {
    [sym_xml_doc] = STATE(1687),
    [sym_block_comment] = STATE(1687),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_DASH_GT] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
  },
  [1688] = {
    [sym_xml_doc] = STATE(1688),
    [sym_block_comment] = STATE(1688),
    [sym_identifier] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_COLON] = ACTIONS(2567),
    [anon_sym_return] = ACTIONS(2567),
    [anon_sym_do] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_let_BANG] = ACTIONS(2569),
    [anon_sym_null] = ACTIONS(2567),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_COLON_QMARK] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_PIPE] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_return_BANG] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2567),
    [anon_sym_yield_BANG] = ACTIONS(2569),
    [anon_sym_lazy] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2567),
    [anon_sym_upcast] = ACTIONS(2567),
    [anon_sym_downcast] = ACTIONS(2567),
    [anon_sym_LT_AT] = ACTIONS(2567),
    [anon_sym_AT_GT] = ACTIONS(2569),
    [anon_sym_LT_AT_AT] = ACTIONS(2567),
    [anon_sym_AT_AT_GT] = ACTIONS(2569),
    [anon_sym_COLON_GT] = ACTIONS(2569),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2567),
    [anon_sym_while] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_match] = ACTIONS(2567),
    [anon_sym_match_BANG] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_LT_DASH] = ACTIONS(2567),
    [anon_sym_DOT_LBRACK] = ACTIONS(2569),
    [anon_sym_DOT] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_use] = ACTIONS(2567),
    [anon_sym_use_BANG] = ACTIONS(2569),
    [anon_sym_do_BANG] = ACTIONS(2569),
    [anon_sym_begin] = ACTIONS(2567),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_SQUOTE] = ACTIONS(2569),
    [anon_sym_or] = ACTIONS(2567),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_AT_DQUOTE] = ACTIONS(2569),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2569),
    [sym_bool] = ACTIONS(2567),
    [sym_unit] = ACTIONS(2567),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2567),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_PLUS_DOT] = ACTIONS(2567),
    [anon_sym_DASH_DOT] = ACTIONS(2567),
    [anon_sym_PERCENT] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2569),
    [aux_sym_prefix_op_token1] = ACTIONS(2569),
    [aux_sym_infix_op_token1] = ACTIONS(2567),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2569),
    [anon_sym_COLON_EQ] = ACTIONS(2569),
    [anon_sym_DOLLAR] = ACTIONS(2567),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2569),
    [aux_sym_int_token1] = ACTIONS(2567),
    [aux_sym_xint_token1] = ACTIONS(2569),
    [aux_sym_xint_token2] = ACTIONS(2569),
    [aux_sym_xint_token3] = ACTIONS(2569),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2569),
    [sym__then] = ACTIONS(2569),
  },
  [1689] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3549),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(1908),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(1632),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(1689),
    [sym_block_comment] = STATE(1689),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3385),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3391),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_RPAREN] = ACTIONS(3385),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3389),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_LT2] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [1690] = {
    [sym_xml_doc] = STATE(1690),
    [sym_block_comment] = STATE(1690),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_DASH_GT] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_DOT_DOT] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
  },
  [1691] = {
    [sym_xml_doc] = STATE(1691),
    [sym_block_comment] = STATE(1691),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
    [sym__else] = ACTIONS(2643),
    [sym__elif] = ACTIONS(2643),
  },
  [1692] = {
    [sym_xml_doc] = STATE(1692),
    [sym_block_comment] = STATE(1692),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_as] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_with] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
  },
  [1693] = {
    [sym_xml_doc] = STATE(1693),
    [sym_block_comment] = STATE(1693),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_as] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_with] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
  },
  [1694] = {
    [sym_xml_doc] = STATE(1694),
    [sym_block_comment] = STATE(1694),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_as] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_with] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
  },
  [1695] = {
    [sym_xml_doc] = STATE(1695),
    [sym_block_comment] = STATE(1695),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_DASH_GT] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_DOT_DOT] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
  },
  [1696] = {
    [sym_xml_doc] = STATE(1696),
    [sym_block_comment] = STATE(1696),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_DASH_GT] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_DOT_DOT] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
  },
  [1697] = {
    [sym_xml_doc] = STATE(1697),
    [sym_block_comment] = STATE(1697),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
    [sym__else] = ACTIONS(2751),
    [sym__elif] = ACTIONS(2751),
  },
  [1698] = {
    [sym_xml_doc] = STATE(1698),
    [sym_block_comment] = STATE(1698),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
  },
  [1699] = {
    [sym_xml_doc] = STATE(1699),
    [sym_block_comment] = STATE(1699),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_as] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_with] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
  },
  [1700] = {
    [sym_xml_doc] = STATE(1700),
    [sym_block_comment] = STATE(1700),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_as] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_with] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
  },
  [1701] = {
    [sym_xml_doc] = STATE(1701),
    [sym_block_comment] = STATE(1701),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
    [sym__else] = ACTIONS(2803),
    [sym__elif] = ACTIONS(2803),
  },
  [1702] = {
    [sym_xml_doc] = STATE(1702),
    [sym_block_comment] = STATE(1702),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_as] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_with] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
  },
  [1703] = {
    [sym_xml_doc] = STATE(1703),
    [sym_block_comment] = STATE(1703),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_DASH_GT] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
  },
  [1704] = {
    [sym_xml_doc] = STATE(1704),
    [sym_block_comment] = STATE(1704),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_as] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_with] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
  },
  [1705] = {
    [sym_xml_doc] = STATE(1705),
    [sym_block_comment] = STATE(1705),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_with] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
  },
  [1706] = {
    [sym_xml_doc] = STATE(1706),
    [sym_block_comment] = STATE(1706),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_DASH_GT] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_DOT_DOT] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
  },
  [1707] = {
    [sym_xml_doc] = STATE(1707),
    [sym_block_comment] = STATE(1707),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_with] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
  },
  [1708] = {
    [sym_xml_doc] = STATE(1708),
    [sym_block_comment] = STATE(1708),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_as] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_with] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
  },
  [1709] = {
    [sym_xml_doc] = STATE(1709),
    [sym_block_comment] = STATE(1709),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2573),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_return] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_let_BANG] = ACTIONS(2573),
    [anon_sym_null] = ACTIONS(2571),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_COLON_QMARK] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(2573),
    [anon_sym_AMP] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_return_BANG] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2571),
    [anon_sym_yield_BANG] = ACTIONS(2573),
    [anon_sym_lazy] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2571),
    [anon_sym_upcast] = ACTIONS(2571),
    [anon_sym_downcast] = ACTIONS(2571),
    [anon_sym_LT_AT] = ACTIONS(2571),
    [anon_sym_AT_GT] = ACTIONS(2573),
    [anon_sym_LT_AT_AT] = ACTIONS(2571),
    [anon_sym_AT_AT_GT] = ACTIONS(2573),
    [anon_sym_COLON_GT] = ACTIONS(2573),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2571),
    [anon_sym_done] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2571),
    [anon_sym_fun] = ACTIONS(2571),
    [anon_sym_try] = ACTIONS(2571),
    [anon_sym_match] = ACTIONS(2571),
    [anon_sym_match_BANG] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2571),
    [anon_sym_LT_DASH] = ACTIONS(2571),
    [anon_sym_DOT_LBRACK] = ACTIONS(2573),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_use] = ACTIONS(2571),
    [anon_sym_use_BANG] = ACTIONS(2573),
    [anon_sym_do_BANG] = ACTIONS(2573),
    [anon_sym_DOT_DOT] = ACTIONS(2573),
    [anon_sym_begin] = ACTIONS(2571),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_SQUOTE] = ACTIONS(2573),
    [anon_sym_or] = ACTIONS(2571),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_AT_DQUOTE] = ACTIONS(2573),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2573),
    [sym_bool] = ACTIONS(2571),
    [sym_unit] = ACTIONS(2571),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2571),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_PLUS_DOT] = ACTIONS(2571),
    [anon_sym_DASH_DOT] = ACTIONS(2571),
    [anon_sym_PERCENT] = ACTIONS(2571),
    [anon_sym_AMP_AMP] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2573),
    [aux_sym_prefix_op_token1] = ACTIONS(2573),
    [aux_sym_infix_op_token1] = ACTIONS(2571),
    [anon_sym_PIPE_PIPE] = ACTIONS(2571),
    [anon_sym_BANG_EQ] = ACTIONS(2573),
    [anon_sym_COLON_EQ] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2571),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2573),
    [aux_sym_int_token1] = ACTIONS(2571),
    [aux_sym_xint_token1] = ACTIONS(2573),
    [aux_sym_xint_token2] = ACTIONS(2573),
    [aux_sym_xint_token3] = ACTIONS(2573),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2573),
  },
  [1710] = {
    [sym_xml_doc] = STATE(1710),
    [sym_block_comment] = STATE(1710),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
    [sym__else] = ACTIONS(2862),
    [sym__elif] = ACTIONS(2862),
  },
  [1711] = {
    [sym_xml_doc] = STATE(1711),
    [sym_block_comment] = STATE(1711),
    [aux_sym_long_identifier_repeat1] = STATE(1723),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_let_BANG] = ACTIONS(2373),
    [anon_sym_null] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_COLON_QMARK] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2373),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_return_BANG] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_yield_BANG] = ACTIONS(2373),
    [anon_sym_lazy] = ACTIONS(2370),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_upcast] = ACTIONS(2370),
    [anon_sym_downcast] = ACTIONS(2370),
    [anon_sym_LT_AT] = ACTIONS(2370),
    [anon_sym_AT_GT] = ACTIONS(2373),
    [anon_sym_LT_AT_AT] = ACTIONS(2370),
    [anon_sym_AT_AT_GT] = ACTIONS(2373),
    [anon_sym_COLON_GT] = ACTIONS(2373),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2373),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_fun] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2370),
    [anon_sym_match_BANG] = ACTIONS(2373),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2370),
    [anon_sym_DOT_LBRACK] = ACTIONS(2373),
    [anon_sym_DOT] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_use_BANG] = ACTIONS(2373),
    [anon_sym_do_BANG] = ACTIONS(2373),
    [anon_sym_DOT_DOT] = ACTIONS(2373),
    [anon_sym_begin] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_SQUOTE] = ACTIONS(2373),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_AT_DQUOTE] = ACTIONS(2373),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2373),
    [sym_bool] = ACTIONS(2370),
    [sym_unit] = ACTIONS(2370),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2370),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_DOT] = ACTIONS(2370),
    [anon_sym_DASH_DOT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2373),
    [aux_sym_prefix_op_token1] = ACTIONS(2373),
    [aux_sym_infix_op_token1] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_COLON_EQ] = ACTIONS(2373),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2373),
    [aux_sym_int_token1] = ACTIONS(2370),
    [aux_sym_xint_token1] = ACTIONS(2373),
    [aux_sym_xint_token2] = ACTIONS(2373),
    [aux_sym_xint_token3] = ACTIONS(2373),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2373),
  },
  [1712] = {
    [sym_xml_doc] = STATE(1712),
    [sym_block_comment] = STATE(1712),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_as] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_with] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
  },
  [1713] = {
    [sym_xml_doc] = STATE(1713),
    [sym_block_comment] = STATE(1713),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
    [sym__else] = ACTIONS(2577),
    [sym__elif] = ACTIONS(2577),
  },
  [1714] = {
    [sym_xml_doc] = STATE(1714),
    [sym_block_comment] = STATE(1714),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_as] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_with] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
  },
  [1715] = {
    [sym_xml_doc] = STATE(1715),
    [sym_block_comment] = STATE(1715),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
    [sym__else] = ACTIONS(2647),
    [sym__elif] = ACTIONS(2647),
  },
  [1716] = {
    [sym_xml_doc] = STATE(1716),
    [sym_block_comment] = STATE(1716),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
    [sym__else] = ACTIONS(2775),
    [sym__elif] = ACTIONS(2775),
  },
  [1717] = {
    [sym_xml_doc] = STATE(1717),
    [sym_block_comment] = STATE(1717),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
    [sym__else] = ACTIONS(2771),
    [sym__elif] = ACTIONS(2771),
  },
  [1718] = {
    [sym_xml_doc] = STATE(1718),
    [sym_block_comment] = STATE(1718),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_let_BANG] = ACTIONS(2516),
    [anon_sym_null] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_COLON_QMARK] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_return_BANG] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_yield_BANG] = ACTIONS(2516),
    [anon_sym_lazy] = ACTIONS(2514),
    [anon_sym_assert] = ACTIONS(2514),
    [anon_sym_upcast] = ACTIONS(2514),
    [anon_sym_downcast] = ACTIONS(2514),
    [anon_sym_LT_AT] = ACTIONS(2514),
    [anon_sym_AT_GT] = ACTIONS(2516),
    [anon_sym_LT_AT_AT] = ACTIONS(2514),
    [anon_sym_AT_AT_GT] = ACTIONS(2516),
    [anon_sym_COLON_GT] = ACTIONS(2516),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_fun] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_match] = ACTIONS(2514),
    [anon_sym_match_BANG] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_LT_DASH] = ACTIONS(2514),
    [anon_sym_DOT_LBRACK] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2514),
    [anon_sym_use_BANG] = ACTIONS(2516),
    [anon_sym_do_BANG] = ACTIONS(2516),
    [anon_sym_begin] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_AT_DQUOTE] = ACTIONS(2516),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2516),
    [sym_bool] = ACTIONS(2514),
    [sym_unit] = ACTIONS(2514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_DOT] = ACTIONS(2514),
    [anon_sym_DASH_DOT] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2516),
    [aux_sym_prefix_op_token1] = ACTIONS(2516),
    [aux_sym_infix_op_token1] = ACTIONS(2514),
    [anon_sym_PIPE_PIPE] = ACTIONS(2514),
    [anon_sym_BANG_EQ] = ACTIONS(2516),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2516),
    [aux_sym_int_token1] = ACTIONS(2514),
    [aux_sym_xint_token1] = ACTIONS(2516),
    [aux_sym_xint_token2] = ACTIONS(2516),
    [aux_sym_xint_token3] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2516),
    [sym__then] = ACTIONS(2516),
  },
  [1719] = {
    [sym_xml_doc] = STATE(1719),
    [sym_block_comment] = STATE(1719),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_COLON] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_let_BANG] = ACTIONS(2547),
    [anon_sym_null] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_COLON_QMARK] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_PIPE] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2547),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_return_BANG] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_yield_BANG] = ACTIONS(2547),
    [anon_sym_lazy] = ACTIONS(2545),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_upcast] = ACTIONS(2545),
    [anon_sym_downcast] = ACTIONS(2545),
    [anon_sym_LT_AT] = ACTIONS(2545),
    [anon_sym_AT_GT] = ACTIONS(2547),
    [anon_sym_LT_AT_AT] = ACTIONS(2545),
    [anon_sym_AT_AT_GT] = ACTIONS(2547),
    [anon_sym_COLON_GT] = ACTIONS(2547),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2547),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_match] = ACTIONS(2545),
    [anon_sym_match_BANG] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_LT_DASH] = ACTIONS(2545),
    [anon_sym_DOT_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_use] = ACTIONS(2545),
    [anon_sym_use_BANG] = ACTIONS(2547),
    [anon_sym_do_BANG] = ACTIONS(2547),
    [anon_sym_begin] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_or] = ACTIONS(2545),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_AT_DQUOTE] = ACTIONS(2547),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [sym_bool] = ACTIONS(2545),
    [sym_unit] = ACTIONS(2545),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2545),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_DOT] = ACTIONS(2545),
    [anon_sym_DASH_DOT] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_AMP_AMP] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2547),
    [aux_sym_prefix_op_token1] = ACTIONS(2547),
    [aux_sym_infix_op_token1] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2545),
    [anon_sym_BANG_EQ] = ACTIONS(2547),
    [anon_sym_COLON_EQ] = ACTIONS(2547),
    [anon_sym_DOLLAR] = ACTIONS(2545),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2547),
    [aux_sym_int_token1] = ACTIONS(2545),
    [aux_sym_xint_token1] = ACTIONS(2547),
    [aux_sym_xint_token2] = ACTIONS(2547),
    [aux_sym_xint_token3] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2547),
    [sym__then] = ACTIONS(2547),
  },
  [1720] = {
    [sym_xml_doc] = STATE(1720),
    [sym_block_comment] = STATE(1720),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_let_BANG] = ACTIONS(2551),
    [anon_sym_null] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_COLON_QMARK] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2549),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_return_BANG] = ACTIONS(2551),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_yield_BANG] = ACTIONS(2551),
    [anon_sym_lazy] = ACTIONS(2549),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_upcast] = ACTIONS(2549),
    [anon_sym_downcast] = ACTIONS(2549),
    [anon_sym_LT_AT] = ACTIONS(2549),
    [anon_sym_AT_GT] = ACTIONS(2551),
    [anon_sym_LT_AT_AT] = ACTIONS(2549),
    [anon_sym_AT_AT_GT] = ACTIONS(2551),
    [anon_sym_COLON_GT] = ACTIONS(2551),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_done] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_fun] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_match] = ACTIONS(2549),
    [anon_sym_match_BANG] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_LT_DASH] = ACTIONS(2549),
    [anon_sym_DOT_LBRACK] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_use] = ACTIONS(2549),
    [anon_sym_use_BANG] = ACTIONS(2551),
    [anon_sym_do_BANG] = ACTIONS(2551),
    [anon_sym_begin] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_or] = ACTIONS(2549),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_AT_DQUOTE] = ACTIONS(2551),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [sym_bool] = ACTIONS(2549),
    [sym_unit] = ACTIONS(2549),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2549),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_DOT] = ACTIONS(2549),
    [anon_sym_DASH_DOT] = ACTIONS(2549),
    [anon_sym_PERCENT] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2551),
    [aux_sym_prefix_op_token1] = ACTIONS(2551),
    [aux_sym_infix_op_token1] = ACTIONS(2549),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2551),
    [anon_sym_COLON_EQ] = ACTIONS(2551),
    [anon_sym_DOLLAR] = ACTIONS(2549),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2551),
    [aux_sym_int_token1] = ACTIONS(2549),
    [aux_sym_xint_token1] = ACTIONS(2551),
    [aux_sym_xint_token2] = ACTIONS(2551),
    [aux_sym_xint_token3] = ACTIONS(2551),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2551),
    [sym__then] = ACTIONS(2551),
  },
  [1721] = {
    [sym_xml_doc] = STATE(1721),
    [sym_block_comment] = STATE(1721),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
    [sym__else] = ACTIONS(2744),
    [sym__elif] = ACTIONS(2744),
  },
  [1722] = {
    [sym_xml_doc] = STATE(1722),
    [sym_block_comment] = STATE(1722),
    [aux_sym_long_identifier_repeat1] = STATE(1722),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1723] = {
    [sym_xml_doc] = STATE(1723),
    [sym_block_comment] = STATE(1723),
    [aux_sym_long_identifier_repeat1] = STATE(1722),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3434),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
  },
  [1724] = {
    [sym_xml_doc] = STATE(1724),
    [sym_block_comment] = STATE(1724),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_DASH_GT] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_DOT_DOT] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
  },
  [1725] = {
    [sym_xml_doc] = STATE(1725),
    [sym_block_comment] = STATE(1725),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__else] = ACTIONS(2318),
    [sym__elif] = ACTIONS(2318),
  },
  [1726] = {
    [sym_xml_doc] = STATE(1726),
    [sym_block_comment] = STATE(1726),
    [aux_sym_long_identifier_repeat1] = STATE(1776),
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(3436),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_and] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [aux_sym_access_modifier_token1] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(3378),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_member] = ACTIONS(2376),
    [anon_sym_abstract] = ACTIONS(2376),
    [anon_sym_override] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_val] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1727] = {
    [sym_xml_doc] = STATE(1727),
    [sym_block_comment] = STATE(1727),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
    [sym__else] = ACTIONS(2910),
    [sym__elif] = ACTIONS(2910),
  },
  [1728] = {
    [sym_xml_doc] = STATE(1728),
    [sym_block_comment] = STATE(1728),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
    [sym__else] = ACTIONS(2682),
    [sym__elif] = ACTIONS(2682),
  },
  [1729] = {
    [sym_xml_doc] = STATE(1729),
    [sym_block_comment] = STATE(1729),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1730] = {
    [sym_xml_doc] = STATE(1730),
    [sym_block_comment] = STATE(1730),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_DASH_GT] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [1731] = {
    [sym_xml_doc] = STATE(1731),
    [sym_block_comment] = STATE(1731),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
    [sym__else] = ACTIONS(2639),
    [sym__elif] = ACTIONS(2639),
  },
  [1732] = {
    [sym_xml_doc] = STATE(1732),
    [sym_block_comment] = STATE(1732),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_as] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
  },
  [1733] = {
    [sym_xml_doc] = STATE(1733),
    [sym_block_comment] = STATE(1733),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_as] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_with] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
  },
  [1734] = {
    [sym_xml_doc] = STATE(1734),
    [sym_block_comment] = STATE(1734),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_as] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
  },
  [1735] = {
    [sym_xml_doc] = STATE(1735),
    [sym_block_comment] = STATE(1735),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_as] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
  },
  [1736] = {
    [sym_xml_doc] = STATE(1736),
    [sym_block_comment] = STATE(1736),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
    [sym__else] = ACTIONS(2906),
    [sym__elif] = ACTIONS(2906),
  },
  [1737] = {
    [sym_xml_doc] = STATE(1737),
    [sym_block_comment] = STATE(1737),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_as] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_with] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
  },
  [1738] = {
    [sym_xml_doc] = STATE(1738),
    [sym_block_comment] = STATE(1738),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
    [sym__else] = ACTIONS(2686),
    [sym__elif] = ACTIONS(2686),
  },
  [1739] = {
    [sym_xml_doc] = STATE(1739),
    [sym_block_comment] = STATE(1739),
    [aux_sym_sequential_expression_repeat1] = STATE(1739),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2855),
    [anon_sym_let_BANG] = ACTIONS(2853),
    [anon_sym_null] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2855),
    [anon_sym_COLON_QMARK] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_return_BANG] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2855),
    [anon_sym_yield_BANG] = ACTIONS(2853),
    [anon_sym_lazy] = ACTIONS(2855),
    [anon_sym_assert] = ACTIONS(2855),
    [anon_sym_upcast] = ACTIONS(2855),
    [anon_sym_downcast] = ACTIONS(2855),
    [anon_sym_LT_AT] = ACTIONS(2855),
    [anon_sym_AT_GT] = ACTIONS(2853),
    [anon_sym_LT_AT_AT] = ACTIONS(2855),
    [anon_sym_AT_AT_GT] = ACTIONS(2853),
    [anon_sym_COLON_GT] = ACTIONS(2853),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_fun] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_match_BANG] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_LT_DASH] = ACTIONS(2855),
    [anon_sym_DOT_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2855),
    [anon_sym_use_BANG] = ACTIONS(2853),
    [anon_sym_do_BANG] = ACTIONS(2853),
    [anon_sym_begin] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2855),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_AT_DQUOTE] = ACTIONS(2853),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2853),
    [sym_bool] = ACTIONS(2855),
    [sym_unit] = ACTIONS(2855),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2855),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_DOT] = ACTIONS(2855),
    [anon_sym_DASH_DOT] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2853),
    [aux_sym_prefix_op_token1] = ACTIONS(2853),
    [aux_sym_infix_op_token1] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_COLON_EQ] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2855),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2853),
    [aux_sym_int_token1] = ACTIONS(2855),
    [aux_sym_xint_token1] = ACTIONS(2853),
    [aux_sym_xint_token2] = ACTIONS(2853),
    [aux_sym_xint_token3] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(3438),
    [sym__then] = ACTIONS(2853),
  },
  [1740] = {
    [sym_xml_doc] = STATE(1740),
    [sym_block_comment] = STATE(1740),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
    [sym__else] = ACTIONS(2740),
    [sym__elif] = ACTIONS(2740),
  },
  [1741] = {
    [sym_xml_doc] = STATE(1741),
    [sym_block_comment] = STATE(1741),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
    [sym__else] = ACTIONS(2702),
    [sym__elif] = ACTIONS(2702),
  },
  [1742] = {
    [sym_xml_doc] = STATE(1742),
    [sym_block_comment] = STATE(1742),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_DASH_GT] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_DOT_DOT] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
  },
  [1743] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(1743),
    [sym_block_comment] = STATE(1743),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(2148),
    [anon_sym_POUNDnowarn] = ACTIONS(2150),
    [anon_sym_POUNDr] = ACTIONS(2150),
    [anon_sym_POUNDload] = ACTIONS(2150),
    [anon_sym_open] = ACTIONS(2148),
    [anon_sym_LBRACK_LT] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_type] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_and] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [aux_sym_access_modifier_token1] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_with] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_LT_AT_AT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2148),
    [anon_sym_member] = ACTIONS(2148),
    [anon_sym_interface] = ACTIONS(2148),
    [anon_sym_abstract] = ACTIONS(2148),
    [anon_sym_override] = ACTIONS(2148),
    [anon_sym_default] = ACTIONS(2148),
    [anon_sym_val] = ACTIONS(2148),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2150),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2150),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2150),
    [anon_sym_DASH_DOT] = ACTIONS(2150),
    [anon_sym_PERCENT] = ACTIONS(2150),
    [anon_sym_AMP_AMP] = ACTIONS(2150),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2150),
  },
  [1744] = {
    [sym_xml_doc] = STATE(1744),
    [sym_block_comment] = STATE(1744),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1745] = {
    [sym_xml_doc] = STATE(1745),
    [sym_block_comment] = STATE(1745),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
    [sym__else] = ACTIONS(2635),
    [sym__elif] = ACTIONS(2635),
  },
  [1746] = {
    [sym_xml_doc] = STATE(1746),
    [sym_block_comment] = STATE(1746),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
    [sym__else] = ACTIONS(2902),
    [sym__elif] = ACTIONS(2902),
  },
  [1747] = {
    [sym_xml_doc] = STATE(1747),
    [sym_block_comment] = STATE(1747),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_DASH_GT] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_DOT_DOT] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
  },
  [1748] = {
    [sym_xml_doc] = STATE(1748),
    [sym_block_comment] = STATE(1748),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_DASH_GT] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_DOT_DOT] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
  },
  [1749] = {
    [sym_xml_doc] = STATE(1749),
    [sym_block_comment] = STATE(1749),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_as] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_with] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
  },
  [1750] = {
    [sym_xml_doc] = STATE(1750),
    [sym_block_comment] = STATE(1750),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
    [sym__else] = ACTIONS(2628),
    [sym__elif] = ACTIONS(2628),
  },
  [1751] = {
    [sym_xml_doc] = STATE(1751),
    [sym_block_comment] = STATE(1751),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_DASH_GT] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3121),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1752] = {
    [sym_xml_doc] = STATE(1752),
    [sym_block_comment] = STATE(1752),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_DASH_GT] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1753] = {
    [sym_xml_doc] = STATE(1753),
    [sym_block_comment] = STATE(1753),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_as] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_with] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
  },
  [1754] = {
    [sym_xml_doc] = STATE(1754),
    [sym_block_comment] = STATE(1754),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
    [sym__else] = ACTIONS(2866),
    [sym__elif] = ACTIONS(2866),
  },
  [1755] = {
    [sym_xml_doc] = STATE(1755),
    [sym_block_comment] = STATE(1755),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_as] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_with] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
  },
  [1756] = {
    [sym_xml_doc] = STATE(1756),
    [sym_block_comment] = STATE(1756),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_as] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
  },
  [1757] = {
    [sym_xml_doc] = STATE(1757),
    [sym_block_comment] = STATE(1757),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_DASH_GT] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_DOT_DOT] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
  },
  [1758] = {
    [sym_xml_doc] = STATE(1758),
    [sym_block_comment] = STATE(1758),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_as] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_with] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
  },
  [1759] = {
    [sym_xml_doc] = STATE(1759),
    [sym_block_comment] = STATE(1759),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_DASH_GT] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_DOT_DOT] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
  },
  [1760] = {
    [sym_xml_doc] = STATE(1760),
    [sym_block_comment] = STATE(1760),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
    [sym__else] = ACTIONS(2706),
    [sym__elif] = ACTIONS(2706),
  },
  [1761] = {
    [sym_xml_doc] = STATE(1761),
    [sym_block_comment] = STATE(1761),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
  },
  [1762] = {
    [sym_xml_doc] = STATE(1762),
    [sym_block_comment] = STATE(1762),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_DASH_GT] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
  },
  [1763] = {
    [sym_xml_doc] = STATE(1763),
    [sym_block_comment] = STATE(1763),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_DOT_DOT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
  },
  [1764] = {
    [sym_xml_doc] = STATE(1764),
    [sym_block_comment] = STATE(1764),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_DASH_GT] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
  },
  [1765] = {
    [sym_xml_doc] = STATE(1765),
    [sym_block_comment] = STATE(1765),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_DASH_GT] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_DOT_DOT] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
  },
  [1766] = {
    [sym_xml_doc] = STATE(1766),
    [sym_block_comment] = STATE(1766),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_DASH_GT] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_DOT_DOT] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
  },
  [1767] = {
    [sym_xml_doc] = STATE(1767),
    [sym_block_comment] = STATE(1767),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
  },
  [1768] = {
    [sym_xml_doc] = STATE(1768),
    [sym_block_comment] = STATE(1768),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_DASH_GT] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_DOT_DOT] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
  },
  [1769] = {
    [sym_xml_doc] = STATE(1769),
    [sym_block_comment] = STATE(1769),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_DASH_GT] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
  },
  [1770] = {
    [sym_xml_doc] = STATE(1770),
    [sym_block_comment] = STATE(1770),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
    [sym__else] = ACTIONS(2730),
    [sym__elif] = ACTIONS(2730),
  },
  [1771] = {
    [sym_xml_doc] = STATE(1771),
    [sym_block_comment] = STATE(1771),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1772] = {
    [sym_xml_doc] = STATE(1772),
    [sym_block_comment] = STATE(1772),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
    [sym__else] = ACTIONS(2599),
    [sym__elif] = ACTIONS(2599),
  },
  [1773] = {
    [sym_xml_doc] = STATE(1773),
    [sym_block_comment] = STATE(1773),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_DASH_GT] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
  },
  [1774] = {
    [sym_xml_doc] = STATE(1774),
    [sym_block_comment] = STATE(1774),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_DASH_GT] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
  },
  [1775] = {
    [sym_xml_doc] = STATE(1775),
    [sym_block_comment] = STATE(1775),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_DOT_DOT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
  },
  [1776] = {
    [sym_xml_doc] = STATE(1776),
    [sym_block_comment] = STATE(1776),
    [aux_sym_long_identifier_repeat1] = STATE(1815),
    [ts_builtin_sym_end] = ACTIONS(2339),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_POUNDnowarn] = ACTIONS(2339),
    [anon_sym_POUNDr] = ACTIONS(2339),
    [anon_sym_POUNDload] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2337),
    [anon_sym_LBRACK_LT] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_and] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [aux_sym_access_modifier_token1] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_LT_AT_AT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(3378),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_member] = ACTIONS(2337),
    [anon_sym_interface] = ACTIONS(2337),
    [anon_sym_abstract] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_default] = ACTIONS(2337),
    [anon_sym_val] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2339),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2339),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2339),
    [anon_sym_DASH_DOT] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_AMP_AMP] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1777] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1777),
    [sym_block_comment] = STATE(1777),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(3441),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_module] = ACTIONS(3443),
    [anon_sym_POUNDnowarn] = ACTIONS(3441),
    [anon_sym_POUNDr] = ACTIONS(3441),
    [anon_sym_POUNDload] = ACTIONS(3441),
    [anon_sym_open] = ACTIONS(3443),
    [anon_sym_LBRACK_LT] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_type] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_and] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3443),
    [anon_sym_let_BANG] = ACTIONS(3441),
    [aux_sym_access_modifier_token1] = ACTIONS(3441),
    [anon_sym_null] = ACTIONS(3443),
    [anon_sym_LPAREN] = ACTIONS(3443),
    [anon_sym_AMP] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3443),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_return_BANG] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3443),
    [anon_sym_yield_BANG] = ACTIONS(3441),
    [anon_sym_lazy] = ACTIONS(3443),
    [anon_sym_assert] = ACTIONS(3443),
    [anon_sym_upcast] = ACTIONS(3443),
    [anon_sym_downcast] = ACTIONS(3443),
    [anon_sym_LT_AT] = ACTIONS(3443),
    [anon_sym_LT_AT_AT] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_fun] = ACTIONS(3443),
    [anon_sym_DASH_GT] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_match] = ACTIONS(3443),
    [anon_sym_match_BANG] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3443),
    [anon_sym_use] = ACTIONS(3443),
    [anon_sym_use_BANG] = ACTIONS(3441),
    [anon_sym_do_BANG] = ACTIONS(3441),
    [anon_sym_begin] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_member] = ACTIONS(3443),
    [anon_sym_abstract] = ACTIONS(3443),
    [anon_sym_override] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_val] = ACTIONS(3443),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3443),
    [anon_sym_DQUOTE] = ACTIONS(3443),
    [anon_sym_AT_DQUOTE] = ACTIONS(3441),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3441),
    [sym_bool] = ACTIONS(3443),
    [sym_unit] = ACTIONS(3441),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3441),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_PLUS_DOT] = ACTIONS(3441),
    [anon_sym_DASH_DOT] = ACTIONS(3441),
    [anon_sym_PERCENT] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [aux_sym_prefix_op_token1] = ACTIONS(3441),
    [aux_sym_int_token1] = ACTIONS(3443),
    [aux_sym_xint_token1] = ACTIONS(3441),
    [aux_sym_xint_token2] = ACTIONS(3441),
    [aux_sym_xint_token3] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1778] = {
    [sym_xml_doc] = STATE(1778),
    [sym_block_comment] = STATE(1778),
    [aux_sym_long_identifier_repeat1] = STATE(1575),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON_QMARK] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_AT_GT] = ACTIONS(2339),
    [anon_sym_LT_AT_AT] = ACTIONS(2337),
    [anon_sym_AT_AT_GT] = ACTIONS(2339),
    [anon_sym_COLON_GT] = ACTIONS(2339),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_LT_DASH] = ACTIONS(2337),
    [anon_sym_DOT_LBRACK] = ACTIONS(2339),
    [anon_sym_DOT] = ACTIONS(3447),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_or] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2337),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2337),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2337),
    [anon_sym_DASH_DOT] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_infix_op_token1] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_COLON_EQ] = ACTIONS(2339),
    [anon_sym_DOLLAR] = ACTIONS(2337),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2339),
    [sym__then] = ACTIONS(2339),
  },
  [1779] = {
    [sym_xml_doc] = STATE(1779),
    [sym_block_comment] = STATE(1779),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_DASH_GT] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
  },
  [1780] = {
    [sym_xml_doc] = STATE(1780),
    [sym_block_comment] = STATE(1780),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
  },
  [1781] = {
    [sym_xml_doc] = STATE(1781),
    [sym_block_comment] = STATE(1781),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
  },
  [1782] = {
    [sym_xml_doc] = STATE(1782),
    [sym_block_comment] = STATE(1782),
    [aux_sym_sequential_expression_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_DASH_GT] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
  },
  [1783] = {
    [sym_xml_doc] = STATE(1783),
    [sym_block_comment] = STATE(1783),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_DASH_GT] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
  },
  [1784] = {
    [sym_xml_doc] = STATE(1784),
    [sym_block_comment] = STATE(1784),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
  },
  [1785] = {
    [sym_xml_doc] = STATE(1785),
    [sym_block_comment] = STATE(1785),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
  },
  [1786] = {
    [sym_xml_doc] = STATE(1786),
    [sym_block_comment] = STATE(1786),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_DASH_GT] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_DOT_DOT] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
  },
  [1787] = {
    [sym_xml_doc] = STATE(1787),
    [sym_block_comment] = STATE(1787),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__else] = ACTIONS(2412),
    [sym__elif] = ACTIONS(2412),
  },
  [1788] = {
    [sym_xml_doc] = STATE(1788),
    [sym_block_comment] = STATE(1788),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__else] = ACTIONS(2412),
    [sym__elif] = ACTIONS(2412),
  },
  [1789] = {
    [sym_xml_doc] = STATE(1789),
    [sym_block_comment] = STATE(1789),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_DASH_GT] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_DOT_DOT] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
  },
  [1790] = {
    [sym_xml_doc] = STATE(1790),
    [sym_block_comment] = STATE(1790),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_DASH_GT] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
  },
  [1791] = {
    [sym_xml_doc] = STATE(1791),
    [sym_block_comment] = STATE(1791),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
    [sym__else] = ACTIONS(2722),
    [sym__elif] = ACTIONS(2722),
  },
  [1792] = {
    [sym_xml_doc] = STATE(1792),
    [sym_block_comment] = STATE(1792),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
    [sym__else] = ACTIONS(2694),
    [sym__elif] = ACTIONS(2694),
  },
  [1793] = {
    [sym_xml_doc] = STATE(1793),
    [sym_block_comment] = STATE(1793),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
    [sym__else] = ACTIONS(2918),
    [sym__elif] = ACTIONS(2918),
  },
  [1794] = {
    [sym_xml_doc] = STATE(1794),
    [sym_block_comment] = STATE(1794),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
    [sym__else] = ACTIONS(2874),
    [sym__elif] = ACTIONS(2874),
  },
  [1795] = {
    [sym_xml_doc] = STATE(1795),
    [sym_block_comment] = STATE(1795),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
    [sym__else] = ACTIONS(2726),
    [sym__elif] = ACTIONS(2726),
  },
  [1796] = {
    [sym_xml_doc] = STATE(1796),
    [sym_block_comment] = STATE(1796),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
    [sym__else] = ACTIONS(2886),
    [sym__elif] = ACTIONS(2886),
  },
  [1797] = {
    [sym_xml_doc] = STATE(1797),
    [sym_block_comment] = STATE(1797),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
  },
  [1798] = {
    [sym_xml_doc] = STATE(1798),
    [sym_block_comment] = STATE(1798),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_EQ] = ACTIONS(2535),
    [anon_sym_COLON] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_QMARK] = ACTIONS(2533),
    [anon_sym_COLON_QMARK] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_COMMA] = ACTIONS(2535),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_PIPE] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_AT_GT] = ACTIONS(2535),
    [anon_sym_LT_AT_AT] = ACTIONS(2533),
    [anon_sym_AT_AT_GT] = ACTIONS(2535),
    [anon_sym_COLON_GT] = ACTIONS(2535),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_LT_DASH] = ACTIONS(2533),
    [anon_sym_DOT_LBRACK] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_or] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2533),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2533),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2533),
    [anon_sym_DASH_DOT] = ACTIONS(2533),
    [anon_sym_PERCENT] = ACTIONS(2533),
    [anon_sym_AMP_AMP] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_infix_op_token1] = ACTIONS(2533),
    [anon_sym_PIPE_PIPE] = ACTIONS(2533),
    [anon_sym_BANG_EQ] = ACTIONS(2535),
    [anon_sym_COLON_EQ] = ACTIONS(2535),
    [anon_sym_DOLLAR] = ACTIONS(2533),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2535),
    [sym__then] = ACTIONS(2535),
  },
  [1799] = {
    [sym_xml_doc] = STATE(1799),
    [sym_block_comment] = STATE(1799),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_DASH_GT] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_DOT_DOT] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
  },
  [1800] = {
    [sym_xml_doc] = STATE(1800),
    [sym_block_comment] = STATE(1800),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_DASH_GT] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_DOT_DOT] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
  },
  [1801] = {
    [sym_xml_doc] = STATE(1801),
    [sym_block_comment] = STATE(1801),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_DASH_GT] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_DOT_DOT] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
  },
  [1802] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1802),
    [sym_block_comment] = STATE(1802),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(3449),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_POUNDnowarn] = ACTIONS(3449),
    [anon_sym_POUNDr] = ACTIONS(3449),
    [anon_sym_POUNDload] = ACTIONS(3449),
    [anon_sym_open] = ACTIONS(3451),
    [anon_sym_LBRACK_LT] = ACTIONS(3449),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_and] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_let_BANG] = ACTIONS(3449),
    [aux_sym_access_modifier_token1] = ACTIONS(3449),
    [anon_sym_null] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3449),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3449),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_return_BANG] = ACTIONS(3449),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_yield_BANG] = ACTIONS(3449),
    [anon_sym_lazy] = ACTIONS(3451),
    [anon_sym_assert] = ACTIONS(3451),
    [anon_sym_upcast] = ACTIONS(3451),
    [anon_sym_downcast] = ACTIONS(3451),
    [anon_sym_LT_AT] = ACTIONS(3451),
    [anon_sym_LT_AT_AT] = ACTIONS(3449),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_fun] = ACTIONS(3451),
    [anon_sym_DASH_GT] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_match] = ACTIONS(3451),
    [anon_sym_match_BANG] = ACTIONS(3449),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_use] = ACTIONS(3451),
    [anon_sym_use_BANG] = ACTIONS(3449),
    [anon_sym_do_BANG] = ACTIONS(3449),
    [anon_sym_begin] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_member] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_val] = ACTIONS(3451),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_AT_DQUOTE] = ACTIONS(3449),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3449),
    [sym_bool] = ACTIONS(3451),
    [sym_unit] = ACTIONS(3449),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3449),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PLUS_DOT] = ACTIONS(3449),
    [anon_sym_DASH_DOT] = ACTIONS(3449),
    [anon_sym_PERCENT] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [aux_sym_prefix_op_token1] = ACTIONS(3449),
    [aux_sym_int_token1] = ACTIONS(3451),
    [aux_sym_xint_token1] = ACTIONS(3449),
    [aux_sym_xint_token2] = ACTIONS(3449),
    [aux_sym_xint_token3] = ACTIONS(3449),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1803] = {
    [sym_xml_doc] = STATE(1803),
    [sym_block_comment] = STATE(1803),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_DASH_GT] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_DOT_DOT] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
  },
  [1804] = {
    [sym_xml_doc] = STATE(1804),
    [sym_block_comment] = STATE(1804),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
    [sym__else] = ACTIONS(2710),
    [sym__elif] = ACTIONS(2710),
  },
  [1805] = {
    [sym_xml_doc] = STATE(1805),
    [sym_block_comment] = STATE(1805),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
    [sym__else] = ACTIONS(2795),
    [sym__elif] = ACTIONS(2795),
  },
  [1806] = {
    [sym_xml_doc] = STATE(1806),
    [sym_block_comment] = STATE(1806),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
    [sym__else] = ACTIONS(2882),
    [sym__elif] = ACTIONS(2882),
  },
  [1807] = {
    [sym_xml_doc] = STATE(1807),
    [sym_block_comment] = STATE(1807),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
    [sym__else] = ACTIONS(2878),
    [sym__elif] = ACTIONS(2878),
  },
  [1808] = {
    [sym_xml_doc] = STATE(1808),
    [sym_block_comment] = STATE(1808),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
    [sym__else] = ACTIONS(2851),
    [sym__elif] = ACTIONS(2851),
  },
  [1809] = {
    [sym_xml_doc] = STATE(1809),
    [sym_block_comment] = STATE(1809),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
  },
  [1810] = {
    [sym_xml_doc] = STATE(1810),
    [sym_block_comment] = STATE(1810),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
  },
  [1811] = {
    [sym_xml_doc] = STATE(1811),
    [sym_block_comment] = STATE(1811),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_DASH_GT] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_DOT_DOT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
  },
  [1812] = {
    [sym_xml_doc] = STATE(1812),
    [sym_block_comment] = STATE(1812),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_as] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_with] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
  },
  [1813] = {
    [sym_xml_doc] = STATE(1813),
    [sym_block_comment] = STATE(1813),
    [aux_sym_sequential_expression_repeat1] = STATE(1739),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_EQ] = ACTIONS(2613),
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_let] = ACTIONS(2615),
    [anon_sym_let_BANG] = ACTIONS(2613),
    [anon_sym_null] = ACTIONS(2615),
    [anon_sym_QMARK] = ACTIONS(2615),
    [anon_sym_COLON_QMARK] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_return_BANG] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_yield_BANG] = ACTIONS(2613),
    [anon_sym_lazy] = ACTIONS(2615),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_upcast] = ACTIONS(2615),
    [anon_sym_downcast] = ACTIONS(2615),
    [anon_sym_LT_AT] = ACTIONS(2615),
    [anon_sym_AT_GT] = ACTIONS(2613),
    [anon_sym_LT_AT_AT] = ACTIONS(2615),
    [anon_sym_AT_AT_GT] = ACTIONS(2613),
    [anon_sym_COLON_GT] = ACTIONS(2613),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_match] = ACTIONS(2615),
    [anon_sym_match_BANG] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2615),
    [anon_sym_LT_DASH] = ACTIONS(2615),
    [anon_sym_DOT_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_use] = ACTIONS(2615),
    [anon_sym_use_BANG] = ACTIONS(2613),
    [anon_sym_do_BANG] = ACTIONS(2613),
    [anon_sym_begin] = ACTIONS(2615),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_SQUOTE] = ACTIONS(2613),
    [anon_sym_or] = ACTIONS(2615),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_AT_DQUOTE] = ACTIONS(2613),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2613),
    [sym_bool] = ACTIONS(2615),
    [sym_unit] = ACTIONS(2615),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2615),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_DOT] = ACTIONS(2615),
    [anon_sym_DASH_DOT] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_AMP_AMP] = ACTIONS(2615),
    [anon_sym_TILDE] = ACTIONS(2613),
    [aux_sym_prefix_op_token1] = ACTIONS(2613),
    [aux_sym_infix_op_token1] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2615),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_COLON_EQ] = ACTIONS(2613),
    [anon_sym_DOLLAR] = ACTIONS(2615),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2613),
    [aux_sym_int_token1] = ACTIONS(2615),
    [aux_sym_xint_token1] = ACTIONS(2613),
    [aux_sym_xint_token2] = ACTIONS(2613),
    [aux_sym_xint_token3] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2613),
    [sym__then] = ACTIONS(2613),
  },
  [1814] = {
    [sym_xml_doc] = STATE(1814),
    [sym_block_comment] = STATE(1814),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_DASH_GT] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_DOT_DOT] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
  },
  [1815] = {
    [sym_xml_doc] = STATE(1815),
    [sym_block_comment] = STATE(1815),
    [aux_sym_long_identifier_repeat1] = STATE(1815),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [aux_sym_access_modifier_token1] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(3453),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_member] = ACTIONS(2316),
    [anon_sym_interface] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2316),
    [anon_sym_override] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_val] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1816] = {
    [sym_xml_doc] = STATE(1816),
    [sym_block_comment] = STATE(1816),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
    [sym__else] = ACTIONS(2791),
    [sym__elif] = ACTIONS(2791),
  },
  [1817] = {
    [sym_xml_doc] = STATE(1817),
    [sym_block_comment] = STATE(1817),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
    [sym__else] = ACTIONS(2779),
    [sym__elif] = ACTIONS(2779),
  },
  [1818] = {
    [sym_xml_doc] = STATE(1818),
    [sym_block_comment] = STATE(1818),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__else] = ACTIONS(2036),
    [sym__elif] = ACTIONS(2036),
  },
  [1819] = {
    [sym_xml_doc] = STATE(1819),
    [sym_block_comment] = STATE(1819),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
    [sym__else] = ACTIONS(2759),
    [sym__elif] = ACTIONS(2759),
  },
  [1820] = {
    [sym_xml_doc] = STATE(1820),
    [sym_block_comment] = STATE(1820),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
    [sym__else] = ACTIONS(2898),
    [sym__elif] = ACTIONS(2898),
  },
  [1821] = {
    [sym_xml_doc] = STATE(1821),
    [sym_block_comment] = STATE(1821),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
    [sym__else] = ACTIONS(2890),
    [sym__elif] = ACTIONS(2890),
  },
  [1822] = {
    [sym_xml_doc] = STATE(1822),
    [sym_block_comment] = STATE(1822),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
    [sym__else] = ACTIONS(2755),
    [sym__elif] = ACTIONS(2755),
  },
  [1823] = {
    [sym_xml_doc] = STATE(1823),
    [sym_block_comment] = STATE(1823),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_EQ2] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1824] = {
    [sym_xml_doc] = STATE(1824),
    [sym_block_comment] = STATE(1824),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_DASH_GT] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_DOT_DOT] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
  },
  [1825] = {
    [sym_xml_doc] = STATE(1825),
    [sym_block_comment] = STATE(1825),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_DASH_GT] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_DOT_DOT] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
  },
  [1826] = {
    [sym_xml_doc] = STATE(1826),
    [sym_block_comment] = STATE(1826),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_DASH_GT] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_DOT_DOT] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
  },
  [1827] = {
    [sym_xml_doc] = STATE(1827),
    [sym_block_comment] = STATE(1827),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
  },
  [1828] = {
    [sym_xml_doc] = STATE(1828),
    [sym_block_comment] = STATE(1828),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
    [sym__then] = ACTIONS(2839),
  },
  [1829] = {
    [sym_xml_doc] = STATE(1829),
    [sym_block_comment] = STATE(1829),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
    [sym__then] = ACTIONS(2577),
  },
  [1830] = {
    [sym_xml_doc] = STATE(1830),
    [sym_block_comment] = STATE(1830),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [aux_sym_access_modifier_token1] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_member] = ACTIONS(2316),
    [anon_sym_interface] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2316),
    [anon_sym_override] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_val] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1831] = {
    [sym_xml_doc] = STATE(1831),
    [sym_block_comment] = STATE(1831),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
    [sym__then] = ACTIONS(2628),
  },
  [1832] = {
    [sym_xml_doc] = STATE(1832),
    [sym_block_comment] = STATE(1832),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
    [sym__then] = ACTIONS(2635),
  },
  [1833] = {
    [sym_xml_doc] = STATE(1833),
    [sym_block_comment] = STATE(1833),
    [aux_sym_long_identifier_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_and] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [aux_sym_access_modifier_token1] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(3456),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_member] = ACTIONS(2376),
    [anon_sym_interface] = ACTIONS(2376),
    [anon_sym_abstract] = ACTIONS(2376),
    [anon_sym_override] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_val] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2382),
  },
  [1834] = {
    [sym_xml_doc] = STATE(1834),
    [sym_block_comment] = STATE(1834),
    [aux_sym__compound_type_repeat1] = STATE(1841),
    [ts_builtin_sym_end] = ACTIONS(2335),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_namespace] = ACTIONS(2333),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_POUNDnowarn] = ACTIONS(2335),
    [anon_sym_POUNDr] = ACTIONS(2335),
    [anon_sym_POUNDload] = ACTIONS(2335),
    [anon_sym_open] = ACTIONS(2333),
    [anon_sym_LBRACK_LT] = ACTIONS(2335),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_type] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_and] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [aux_sym_access_modifier_token1] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_LT_AT_AT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2335),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2333),
    [anon_sym_member] = ACTIONS(2333),
    [anon_sym_interface] = ACTIONS(2333),
    [anon_sym_abstract] = ACTIONS(2333),
    [anon_sym_override] = ACTIONS(2333),
    [anon_sym_default] = ACTIONS(2333),
    [anon_sym_val] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2335),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2335),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2335),
    [anon_sym_DASH_DOT] = ACTIONS(2335),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1835] = {
    [sym_xml_doc] = STATE(1835),
    [sym_block_comment] = STATE(1835),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_DOT_DOT] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
  },
  [1836] = {
    [sym_xml_doc] = STATE(1836),
    [sym_block_comment] = STATE(1836),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
  },
  [1837] = {
    [sym_xml_doc] = STATE(1837),
    [sym_block_comment] = STATE(1837),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
    [sym__then] = ACTIONS(2664),
  },
  [1838] = {
    [sym_xml_doc] = STATE(1838),
    [sym_block_comment] = STATE(1838),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
    [sym__then] = ACTIONS(2678),
  },
  [1839] = {
    [sym_xml_doc] = STATE(1839),
    [sym_block_comment] = STATE(1839),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
  },
  [1840] = {
    [sym_xml_doc] = STATE(1840),
    [sym_block_comment] = STATE(1840),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
  },
  [1841] = {
    [sym_xml_doc] = STATE(1841),
    [sym_block_comment] = STATE(1841),
    [aux_sym__compound_type_repeat1] = STATE(1841),
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_POUNDnowarn] = ACTIONS(2232),
    [anon_sym_POUNDr] = ACTIONS(2232),
    [anon_sym_POUNDload] = ACTIONS(2232),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_LBRACK_LT] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_and] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [aux_sym_access_modifier_token1] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(3458),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_member] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_val] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1842] = {
    [sym_xml_doc] = STATE(1842),
    [sym_block_comment] = STATE(1842),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
    [sym__then] = ACTIONS(2890),
  },
  [1843] = {
    [sym_xml_doc] = STATE(1843),
    [sym_block_comment] = STATE(1843),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
    [sym__then] = ACTIONS(2690),
  },
  [1844] = {
    [sym_xml_doc] = STATE(1844),
    [sym_block_comment] = STATE(1844),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
    [sym__then] = ACTIONS(2898),
  },
  [1845] = {
    [sym_xml_doc] = STATE(1845),
    [sym_block_comment] = STATE(1845),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
  },
  [1846] = {
    [sym_xml_doc] = STATE(1846),
    [sym_block_comment] = STATE(1846),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
    [sym__then] = ACTIONS(2698),
  },
  [1847] = {
    [sym_xml_doc] = STATE(1847),
    [sym_block_comment] = STATE(1847),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
    [sym__then] = ACTIONS(2714),
  },
  [1848] = {
    [sym_xml_doc] = STATE(1848),
    [sym_block_comment] = STATE(1848),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__then] = ACTIONS(2412),
  },
  [1849] = {
    [sym_xml_doc] = STATE(1849),
    [sym_block_comment] = STATE(1849),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
    [sym__then] = ACTIONS(2412),
  },
  [1850] = {
    [sym_xml_doc] = STATE(1850),
    [sym_block_comment] = STATE(1850),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
    [sym__then] = ACTIONS(2918),
  },
  [1851] = {
    [sym_xml_doc] = STATE(1851),
    [sym_block_comment] = STATE(1851),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_DOT_DOT] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
  },
  [1852] = {
    [sym_xml_doc] = STATE(1852),
    [sym_block_comment] = STATE(1852),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
    [sym__then] = ACTIONS(2874),
  },
  [1853] = {
    [sym_xml_doc] = STATE(1853),
    [sym_block_comment] = STATE(1853),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
    [sym__then] = ACTIONS(2795),
  },
  [1854] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1854),
    [sym_block_comment] = STATE(1854),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(3461),
    [sym_identifier] = ACTIONS(3463),
    [anon_sym_namespace] = ACTIONS(3463),
    [anon_sym_module] = ACTIONS(3463),
    [anon_sym_POUNDnowarn] = ACTIONS(3461),
    [anon_sym_POUNDr] = ACTIONS(3461),
    [anon_sym_POUNDload] = ACTIONS(3461),
    [anon_sym_open] = ACTIONS(3463),
    [anon_sym_LBRACK_LT] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3463),
    [anon_sym_type] = ACTIONS(3463),
    [anon_sym_do] = ACTIONS(3463),
    [anon_sym_and] = ACTIONS(3463),
    [anon_sym_let] = ACTIONS(3463),
    [anon_sym_let_BANG] = ACTIONS(3461),
    [aux_sym_access_modifier_token1] = ACTIONS(3461),
    [anon_sym_null] = ACTIONS(3463),
    [anon_sym_LPAREN] = ACTIONS(3463),
    [anon_sym_AMP] = ACTIONS(3463),
    [anon_sym_LBRACK] = ACTIONS(3463),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3463),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3461),
    [anon_sym_new] = ACTIONS(3463),
    [anon_sym_return_BANG] = ACTIONS(3461),
    [anon_sym_yield] = ACTIONS(3463),
    [anon_sym_yield_BANG] = ACTIONS(3461),
    [anon_sym_lazy] = ACTIONS(3463),
    [anon_sym_assert] = ACTIONS(3463),
    [anon_sym_upcast] = ACTIONS(3463),
    [anon_sym_downcast] = ACTIONS(3463),
    [anon_sym_LT_AT] = ACTIONS(3463),
    [anon_sym_LT_AT_AT] = ACTIONS(3461),
    [anon_sym_for] = ACTIONS(3463),
    [anon_sym_while] = ACTIONS(3463),
    [anon_sym_if] = ACTIONS(3463),
    [anon_sym_fun] = ACTIONS(3463),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3463),
    [anon_sym_match] = ACTIONS(3463),
    [anon_sym_match_BANG] = ACTIONS(3461),
    [anon_sym_function] = ACTIONS(3463),
    [anon_sym_use] = ACTIONS(3463),
    [anon_sym_use_BANG] = ACTIONS(3461),
    [anon_sym_do_BANG] = ACTIONS(3461),
    [anon_sym_begin] = ACTIONS(3463),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3463),
    [anon_sym_member] = ACTIONS(3463),
    [anon_sym_abstract] = ACTIONS(3463),
    [anon_sym_override] = ACTIONS(3463),
    [anon_sym_default] = ACTIONS(3463),
    [anon_sym_val] = ACTIONS(3463),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [anon_sym_AT_DQUOTE] = ACTIONS(3461),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3461),
    [sym_bool] = ACTIONS(3463),
    [sym_unit] = ACTIONS(3461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3461),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3463),
    [anon_sym_DASH] = ACTIONS(3463),
    [anon_sym_PLUS_DOT] = ACTIONS(3461),
    [anon_sym_DASH_DOT] = ACTIONS(3461),
    [anon_sym_PERCENT] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [aux_sym_prefix_op_token1] = ACTIONS(3461),
    [aux_sym_int_token1] = ACTIONS(3463),
    [aux_sym_xint_token1] = ACTIONS(3461),
    [aux_sym_xint_token2] = ACTIONS(3461),
    [aux_sym_xint_token3] = ACTIONS(3461),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1855] = {
    [sym_xml_doc] = STATE(1855),
    [sym_block_comment] = STATE(1855),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
    [sym__then] = ACTIONS(2763),
  },
  [1856] = {
    [sym_xml_doc] = STATE(1856),
    [sym_block_comment] = STATE(1856),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
  },
  [1857] = {
    [sym_xml_doc] = STATE(1857),
    [sym_block_comment] = STATE(1857),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
    [sym__then] = ACTIONS(2783),
  },
  [1858] = {
    [sym_xml_doc] = STATE(1858),
    [sym_block_comment] = STATE(1858),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
    [sym__then] = ACTIONS(2803),
  },
  [1859] = {
    [sym_xml_doc] = STATE(1859),
    [sym_block_comment] = STATE(1859),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_DOT_DOT] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
  },
  [1860] = {
    [sym_xml_doc] = STATE(1860),
    [sym_block_comment] = STATE(1860),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
    [sym__then] = ACTIONS(2862),
  },
  [1861] = {
    [sym_xml_doc] = STATE(1861),
    [sym_block_comment] = STATE(1861),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_let_BANG] = ACTIONS(2795),
    [anon_sym_null] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_COLON_QMARK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2793),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2795),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_return_BANG] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_yield_BANG] = ACTIONS(2795),
    [anon_sym_lazy] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(2793),
    [anon_sym_upcast] = ACTIONS(2793),
    [anon_sym_downcast] = ACTIONS(2793),
    [anon_sym_LT_AT] = ACTIONS(2793),
    [anon_sym_AT_GT] = ACTIONS(2795),
    [anon_sym_LT_AT_AT] = ACTIONS(2793),
    [anon_sym_AT_AT_GT] = ACTIONS(2795),
    [anon_sym_COLON_GT] = ACTIONS(2795),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2795),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_match_BANG] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_LT_DASH] = ACTIONS(2793),
    [anon_sym_DOT_LBRACK] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_use_BANG] = ACTIONS(2795),
    [anon_sym_do_BANG] = ACTIONS(2795),
    [anon_sym_DOT_DOT] = ACTIONS(2795),
    [anon_sym_begin] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [anon_sym_AT_DQUOTE] = ACTIONS(2795),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2795),
    [sym_bool] = ACTIONS(2793),
    [sym_unit] = ACTIONS(2793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS_DOT] = ACTIONS(2793),
    [anon_sym_DASH_DOT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2795),
    [aux_sym_prefix_op_token1] = ACTIONS(2795),
    [aux_sym_infix_op_token1] = ACTIONS(2793),
    [anon_sym_PIPE_PIPE] = ACTIONS(2793),
    [anon_sym_BANG_EQ] = ACTIONS(2795),
    [anon_sym_COLON_EQ] = ACTIONS(2795),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2795),
    [aux_sym_int_token1] = ACTIONS(2793),
    [aux_sym_xint_token1] = ACTIONS(2795),
    [aux_sym_xint_token2] = ACTIONS(2795),
    [aux_sym_xint_token3] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2795),
  },
  [1862] = {
    [sym_xml_doc] = STATE(1862),
    [sym_block_comment] = STATE(1862),
    [aux_sym_long_identifier_repeat1] = STATE(1864),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_POUNDnowarn] = ACTIONS(2339),
    [anon_sym_POUNDr] = ACTIONS(2339),
    [anon_sym_POUNDload] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2337),
    [anon_sym_LBRACK_LT] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_and] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [aux_sym_access_modifier_token1] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_LT_AT_AT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(3456),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_member] = ACTIONS(2337),
    [anon_sym_interface] = ACTIONS(2337),
    [anon_sym_abstract] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_default] = ACTIONS(2337),
    [anon_sym_val] = ACTIONS(2337),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2339),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2339),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2339),
    [anon_sym_DASH_DOT] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_AMP_AMP] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2339),
  },
  [1863] = {
    [sym_xml_doc] = STATE(1863),
    [sym_block_comment] = STATE(1863),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_EQ] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_let_BANG] = ACTIONS(2874),
    [anon_sym_null] = ACTIONS(2872),
    [anon_sym_QMARK] = ACTIONS(2872),
    [anon_sym_COLON_QMARK] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_return_BANG] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_yield_BANG] = ACTIONS(2874),
    [anon_sym_lazy] = ACTIONS(2872),
    [anon_sym_assert] = ACTIONS(2872),
    [anon_sym_upcast] = ACTIONS(2872),
    [anon_sym_downcast] = ACTIONS(2872),
    [anon_sym_LT_AT] = ACTIONS(2872),
    [anon_sym_AT_GT] = ACTIONS(2874),
    [anon_sym_LT_AT_AT] = ACTIONS(2872),
    [anon_sym_AT_AT_GT] = ACTIONS(2874),
    [anon_sym_COLON_GT] = ACTIONS(2874),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_fun] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_match] = ACTIONS(2872),
    [anon_sym_match_BANG] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_LT_DASH] = ACTIONS(2872),
    [anon_sym_DOT_LBRACK] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_use] = ACTIONS(2872),
    [anon_sym_use_BANG] = ACTIONS(2874),
    [anon_sym_do_BANG] = ACTIONS(2874),
    [anon_sym_DOT_DOT] = ACTIONS(2874),
    [anon_sym_begin] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_or] = ACTIONS(2872),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_AT_DQUOTE] = ACTIONS(2874),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2874),
    [sym_bool] = ACTIONS(2872),
    [sym_unit] = ACTIONS(2872),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2872),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_DOT] = ACTIONS(2872),
    [anon_sym_DASH_DOT] = ACTIONS(2872),
    [anon_sym_PERCENT] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2874),
    [aux_sym_prefix_op_token1] = ACTIONS(2874),
    [aux_sym_infix_op_token1] = ACTIONS(2872),
    [anon_sym_PIPE_PIPE] = ACTIONS(2872),
    [anon_sym_BANG_EQ] = ACTIONS(2874),
    [anon_sym_COLON_EQ] = ACTIONS(2874),
    [anon_sym_DOLLAR] = ACTIONS(2872),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2874),
    [aux_sym_int_token1] = ACTIONS(2872),
    [aux_sym_xint_token1] = ACTIONS(2874),
    [aux_sym_xint_token2] = ACTIONS(2874),
    [aux_sym_xint_token3] = ACTIONS(2874),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2874),
  },
  [1864] = {
    [sym_xml_doc] = STATE(1864),
    [sym_block_comment] = STATE(1864),
    [aux_sym_long_identifier_repeat1] = STATE(1864),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [aux_sym_access_modifier_token1] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(3465),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_member] = ACTIONS(2316),
    [anon_sym_interface] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2316),
    [anon_sym_override] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_val] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2318),
  },
  [1865] = {
    [sym_xml_doc] = STATE(1865),
    [sym_block_comment] = STATE(1865),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(2918),
    [anon_sym_COLON] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_let_BANG] = ACTIONS(2918),
    [anon_sym_null] = ACTIONS(2916),
    [anon_sym_QMARK] = ACTIONS(2916),
    [anon_sym_COLON_QMARK] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_return_BANG] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_yield_BANG] = ACTIONS(2918),
    [anon_sym_lazy] = ACTIONS(2916),
    [anon_sym_assert] = ACTIONS(2916),
    [anon_sym_upcast] = ACTIONS(2916),
    [anon_sym_downcast] = ACTIONS(2916),
    [anon_sym_LT_AT] = ACTIONS(2916),
    [anon_sym_AT_GT] = ACTIONS(2918),
    [anon_sym_LT_AT_AT] = ACTIONS(2916),
    [anon_sym_AT_AT_GT] = ACTIONS(2918),
    [anon_sym_COLON_GT] = ACTIONS(2918),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_fun] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_match] = ACTIONS(2916),
    [anon_sym_match_BANG] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_LT_DASH] = ACTIONS(2916),
    [anon_sym_DOT_LBRACK] = ACTIONS(2918),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_use] = ACTIONS(2916),
    [anon_sym_use_BANG] = ACTIONS(2918),
    [anon_sym_do_BANG] = ACTIONS(2918),
    [anon_sym_DOT_DOT] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_or] = ACTIONS(2916),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_AT_DQUOTE] = ACTIONS(2918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2918),
    [sym_bool] = ACTIONS(2916),
    [sym_unit] = ACTIONS(2916),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2916),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS_DOT] = ACTIONS(2916),
    [anon_sym_DASH_DOT] = ACTIONS(2916),
    [anon_sym_PERCENT] = ACTIONS(2916),
    [anon_sym_AMP_AMP] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2918),
    [aux_sym_prefix_op_token1] = ACTIONS(2918),
    [aux_sym_infix_op_token1] = ACTIONS(2916),
    [anon_sym_PIPE_PIPE] = ACTIONS(2916),
    [anon_sym_BANG_EQ] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2918),
    [anon_sym_DOLLAR] = ACTIONS(2916),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2918),
    [aux_sym_int_token1] = ACTIONS(2916),
    [aux_sym_xint_token1] = ACTIONS(2918),
    [aux_sym_xint_token2] = ACTIONS(2918),
    [aux_sym_xint_token3] = ACTIONS(2918),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2918),
  },
  [1866] = {
    [sym_xml_doc] = STATE(1866),
    [sym_block_comment] = STATE(1866),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1867] = {
    [sym_xml_doc] = STATE(1867),
    [sym_block_comment] = STATE(1867),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_let_BANG] = ACTIONS(2412),
    [anon_sym_null] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2410),
    [anon_sym_COLON_QMARK] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2412),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_return_BANG] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_yield_BANG] = ACTIONS(2412),
    [anon_sym_lazy] = ACTIONS(2410),
    [anon_sym_assert] = ACTIONS(2410),
    [anon_sym_upcast] = ACTIONS(2410),
    [anon_sym_downcast] = ACTIONS(2410),
    [anon_sym_LT_AT] = ACTIONS(2410),
    [anon_sym_AT_GT] = ACTIONS(2412),
    [anon_sym_LT_AT_AT] = ACTIONS(2410),
    [anon_sym_AT_AT_GT] = ACTIONS(2412),
    [anon_sym_COLON_GT] = ACTIONS(2412),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_match] = ACTIONS(2410),
    [anon_sym_match_BANG] = ACTIONS(2412),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_LT_DASH] = ACTIONS(2410),
    [anon_sym_DOT_LBRACK] = ACTIONS(2412),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2410),
    [anon_sym_use_BANG] = ACTIONS(2412),
    [anon_sym_do_BANG] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2412),
    [anon_sym_begin] = ACTIONS(2410),
    [anon_sym_LPAREN2] = ACTIONS(2412),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2410),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_AT_DQUOTE] = ACTIONS(2412),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2412),
    [sym_bool] = ACTIONS(2410),
    [sym_unit] = ACTIONS(2410),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2410),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_DOT] = ACTIONS(2410),
    [anon_sym_DASH_DOT] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2412),
    [aux_sym_prefix_op_token1] = ACTIONS(2412),
    [aux_sym_infix_op_token1] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_COLON_EQ] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2412),
    [aux_sym_int_token1] = ACTIONS(2410),
    [aux_sym_xint_token1] = ACTIONS(2412),
    [aux_sym_xint_token2] = ACTIONS(2412),
    [aux_sym_xint_token3] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2412),
  },
  [1868] = {
    [sym_xml_doc] = STATE(1868),
    [sym_block_comment] = STATE(1868),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_DOT_DOT] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
  },
  [1869] = {
    [sym_xml_doc] = STATE(1869),
    [sym_block_comment] = STATE(1869),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
  },
  [1870] = {
    [sym_xml_doc] = STATE(1870),
    [sym_block_comment] = STATE(1870),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
  },
  [1871] = {
    [sym_xml_doc] = STATE(1871),
    [sym_block_comment] = STATE(1871),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_DOT_DOT] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
  },
  [1872] = {
    [sym_xml_doc] = STATE(1872),
    [sym_block_comment] = STATE(1872),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_DOT_DOT] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
  },
  [1873] = {
    [sym_xml_doc] = STATE(1873),
    [sym_block_comment] = STATE(1873),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
    [sym__then] = ACTIONS(2910),
  },
  [1874] = {
    [sym_xml_doc] = STATE(1874),
    [sym_block_comment] = STATE(1874),
    [aux_sym_long_identifier_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(3436),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_and] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [aux_sym_access_modifier_token1] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(3456),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_member] = ACTIONS(2376),
    [anon_sym_abstract] = ACTIONS(2376),
    [anon_sym_override] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_val] = ACTIONS(2376),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2382),
  },
  [1875] = {
    [sym_xml_doc] = STATE(1875),
    [sym_block_comment] = STATE(1875),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
    [sym__then] = ACTIONS(2906),
  },
  [1876] = {
    [sym_xml_doc] = STATE(1876),
    [sym_block_comment] = STATE(1876),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
    [sym__then] = ACTIONS(2902),
  },
  [1877] = {
    [sym_xml_doc] = STATE(1877),
    [sym_block_comment] = STATE(1877),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_DOT_DOT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
  },
  [1878] = {
    [sym_xml_doc] = STATE(1878),
    [sym_block_comment] = STATE(1878),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
  },
  [1879] = {
    [sym_xml_doc] = STATE(1879),
    [sym_block_comment] = STATE(1879),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_let_BANG] = ACTIONS(2839),
    [anon_sym_null] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_COLON_QMARK] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_return_BANG] = ACTIONS(2839),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_yield_BANG] = ACTIONS(2839),
    [anon_sym_lazy] = ACTIONS(2837),
    [anon_sym_assert] = ACTIONS(2837),
    [anon_sym_upcast] = ACTIONS(2837),
    [anon_sym_downcast] = ACTIONS(2837),
    [anon_sym_LT_AT] = ACTIONS(2837),
    [anon_sym_AT_GT] = ACTIONS(2839),
    [anon_sym_LT_AT_AT] = ACTIONS(2837),
    [anon_sym_AT_AT_GT] = ACTIONS(2839),
    [anon_sym_COLON_GT] = ACTIONS(2839),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_fun] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_match_BANG] = ACTIONS(2839),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_LT_DASH] = ACTIONS(2837),
    [anon_sym_DOT_LBRACK] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_use_BANG] = ACTIONS(2839),
    [anon_sym_do_BANG] = ACTIONS(2839),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_begin] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [anon_sym_AT_DQUOTE] = ACTIONS(2839),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2839),
    [sym_bool] = ACTIONS(2837),
    [sym_unit] = ACTIONS(2837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_DOT] = ACTIONS(2837),
    [anon_sym_DASH_DOT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2839),
    [aux_sym_prefix_op_token1] = ACTIONS(2839),
    [aux_sym_infix_op_token1] = ACTIONS(2837),
    [anon_sym_PIPE_PIPE] = ACTIONS(2837),
    [anon_sym_BANG_EQ] = ACTIONS(2839),
    [anon_sym_COLON_EQ] = ACTIONS(2839),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2839),
    [aux_sym_int_token1] = ACTIONS(2837),
    [aux_sym_xint_token1] = ACTIONS(2839),
    [aux_sym_xint_token2] = ACTIONS(2839),
    [aux_sym_xint_token3] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2839),
  },
  [1880] = {
    [sym_xml_doc] = STATE(1880),
    [sym_block_comment] = STATE(1880),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_DOT_DOT] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
  },
  [1881] = {
    [sym_xml_doc] = STATE(1881),
    [sym_block_comment] = STATE(1881),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_DOT_DOT] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
  },
  [1882] = {
    [sym_xml_doc] = STATE(1882),
    [sym_block_comment] = STATE(1882),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_EQ] = ACTIONS(2886),
    [anon_sym_COLON] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_let_BANG] = ACTIONS(2886),
    [anon_sym_null] = ACTIONS(2884),
    [anon_sym_QMARK] = ACTIONS(2884),
    [anon_sym_COLON_QMARK] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_COMMA] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_return_BANG] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_yield_BANG] = ACTIONS(2886),
    [anon_sym_lazy] = ACTIONS(2884),
    [anon_sym_assert] = ACTIONS(2884),
    [anon_sym_upcast] = ACTIONS(2884),
    [anon_sym_downcast] = ACTIONS(2884),
    [anon_sym_LT_AT] = ACTIONS(2884),
    [anon_sym_AT_GT] = ACTIONS(2886),
    [anon_sym_LT_AT_AT] = ACTIONS(2884),
    [anon_sym_AT_AT_GT] = ACTIONS(2886),
    [anon_sym_COLON_GT] = ACTIONS(2886),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_fun] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2884),
    [anon_sym_match_BANG] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_LT_DASH] = ACTIONS(2884),
    [anon_sym_DOT_LBRACK] = ACTIONS(2886),
    [anon_sym_DOT] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_use] = ACTIONS(2884),
    [anon_sym_use_BANG] = ACTIONS(2886),
    [anon_sym_do_BANG] = ACTIONS(2886),
    [anon_sym_begin] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_or] = ACTIONS(2884),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_AT_DQUOTE] = ACTIONS(2886),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2886),
    [sym_bool] = ACTIONS(2884),
    [sym_unit] = ACTIONS(2884),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2884),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_DOT] = ACTIONS(2884),
    [anon_sym_DASH_DOT] = ACTIONS(2884),
    [anon_sym_PERCENT] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2886),
    [aux_sym_prefix_op_token1] = ACTIONS(2886),
    [aux_sym_infix_op_token1] = ACTIONS(2884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2884),
    [anon_sym_BANG_EQ] = ACTIONS(2886),
    [anon_sym_COLON_EQ] = ACTIONS(2886),
    [anon_sym_DOLLAR] = ACTIONS(2884),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2886),
    [aux_sym_int_token1] = ACTIONS(2884),
    [aux_sym_xint_token1] = ACTIONS(2886),
    [aux_sym_xint_token2] = ACTIONS(2886),
    [aux_sym_xint_token3] = ACTIONS(2886),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2886),
    [sym__then] = ACTIONS(2886),
  },
  [1883] = {
    [sym_xml_doc] = STATE(1883),
    [sym_block_comment] = STATE(1883),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_QMARK] = ACTIONS(2637),
    [anon_sym_COLON_QMARK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_COLON_COLON] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_AT_GT] = ACTIONS(2639),
    [anon_sym_LT_AT_AT] = ACTIONS(2637),
    [anon_sym_AT_AT_GT] = ACTIONS(2639),
    [anon_sym_COLON_GT] = ACTIONS(2639),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_DOT_LBRACK] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2637),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2637),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2637),
    [anon_sym_DASH_DOT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_infix_op_token1] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2639),
    [anon_sym_COLON_EQ] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2637),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2639),
    [sym__then] = ACTIONS(2639),
  },
  [1884] = {
    [sym_xml_doc] = STATE(1884),
    [sym_block_comment] = STATE(1884),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2643),
    [anon_sym_COLON] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_QMARK] = ACTIONS(2641),
    [anon_sym_COLON_QMARK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_COLON_COLON] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_AT_GT] = ACTIONS(2643),
    [anon_sym_LT_AT_AT] = ACTIONS(2641),
    [anon_sym_AT_AT_GT] = ACTIONS(2643),
    [anon_sym_COLON_GT] = ACTIONS(2643),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_DOT_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2641),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2641),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2641),
    [anon_sym_DASH_DOT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_infix_op_token1] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2643),
    [anon_sym_COLON_EQ] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2643),
    [sym__then] = ACTIONS(2643),
  },
  [1885] = {
    [sym_xml_doc] = STATE(1885),
    [sym_block_comment] = STATE(1885),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
  },
  [1886] = {
    [sym_xml_doc] = STATE(1886),
    [sym_block_comment] = STATE(1886),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
    [sym__then] = ACTIONS(2882),
  },
  [1887] = {
    [sym_attributes] = STATE(3706),
    [sym_attribute_set] = STATE(3115),
    [sym_access_modifier] = STATE(4516),
    [sym_member_defn] = STATE(2083),
    [sym_additional_constr_defn] = STATE(2101),
    [sym_xml_doc] = STATE(1887),
    [sym_block_comment] = STATE(1887),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym__member_defns_repeat1] = STATE(1944),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3470),
    [anon_sym_namespace] = ACTIONS(3470),
    [anon_sym_module] = ACTIONS(3470),
    [anon_sym_POUNDnowarn] = ACTIONS(3468),
    [anon_sym_POUNDr] = ACTIONS(3468),
    [anon_sym_POUNDload] = ACTIONS(3468),
    [anon_sym_open] = ACTIONS(3470),
    [anon_sym_LBRACK_LT] = ACTIONS(3468),
    [anon_sym_return] = ACTIONS(3470),
    [anon_sym_type] = ACTIONS(3470),
    [anon_sym_do] = ACTIONS(3470),
    [anon_sym_and] = ACTIONS(3470),
    [anon_sym_let] = ACTIONS(3470),
    [anon_sym_let_BANG] = ACTIONS(3468),
    [aux_sym_access_modifier_token1] = ACTIONS(3472),
    [anon_sym_null] = ACTIONS(3470),
    [anon_sym_LPAREN] = ACTIONS(3470),
    [anon_sym_AMP] = ACTIONS(3470),
    [anon_sym_LBRACK] = ACTIONS(3470),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(3470),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3468),
    [anon_sym_new] = ACTIONS(3470),
    [anon_sym_return_BANG] = ACTIONS(3468),
    [anon_sym_yield] = ACTIONS(3470),
    [anon_sym_yield_BANG] = ACTIONS(3468),
    [anon_sym_lazy] = ACTIONS(3470),
    [anon_sym_assert] = ACTIONS(3470),
    [anon_sym_upcast] = ACTIONS(3470),
    [anon_sym_downcast] = ACTIONS(3470),
    [anon_sym_LT_AT] = ACTIONS(3470),
    [anon_sym_LT_AT_AT] = ACTIONS(3468),
    [anon_sym_for] = ACTIONS(3470),
    [anon_sym_while] = ACTIONS(3470),
    [anon_sym_if] = ACTIONS(3470),
    [anon_sym_fun] = ACTIONS(3470),
    [anon_sym_try] = ACTIONS(3470),
    [anon_sym_match] = ACTIONS(3470),
    [anon_sym_match_BANG] = ACTIONS(3468),
    [anon_sym_function] = ACTIONS(3470),
    [anon_sym_use] = ACTIONS(3470),
    [anon_sym_use_BANG] = ACTIONS(3468),
    [anon_sym_do_BANG] = ACTIONS(3468),
    [anon_sym_begin] = ACTIONS(3470),
    [anon_sym_SQUOTE] = ACTIONS(3468),
    [anon_sym_static] = ACTIONS(3474),
    [anon_sym_member] = ACTIONS(3476),
    [anon_sym_abstract] = ACTIONS(3478),
    [anon_sym_override] = ACTIONS(3480),
    [anon_sym_default] = ACTIONS(3480),
    [anon_sym_val] = ACTIONS(3482),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3470),
    [anon_sym_DQUOTE] = ACTIONS(3470),
    [anon_sym_AT_DQUOTE] = ACTIONS(3468),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3468),
    [sym_bool] = ACTIONS(3470),
    [sym_unit] = ACTIONS(3468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3470),
    [anon_sym_PLUS] = ACTIONS(3470),
    [anon_sym_DASH] = ACTIONS(3470),
    [anon_sym_PLUS_DOT] = ACTIONS(3468),
    [anon_sym_DASH_DOT] = ACTIONS(3468),
    [anon_sym_PERCENT] = ACTIONS(3468),
    [anon_sym_AMP_AMP] = ACTIONS(3468),
    [anon_sym_TILDE] = ACTIONS(3468),
    [aux_sym_prefix_op_token1] = ACTIONS(3468),
    [aux_sym_int_token1] = ACTIONS(3470),
    [aux_sym_xint_token1] = ACTIONS(3468),
    [aux_sym_xint_token2] = ACTIONS(3468),
    [aux_sym_xint_token3] = ACTIONS(3468),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1888] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1888),
    [sym_block_comment] = STATE(1888),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(3484),
    [sym_identifier] = ACTIONS(3486),
    [anon_sym_namespace] = ACTIONS(3486),
    [anon_sym_module] = ACTIONS(3486),
    [anon_sym_POUNDnowarn] = ACTIONS(3484),
    [anon_sym_POUNDr] = ACTIONS(3484),
    [anon_sym_POUNDload] = ACTIONS(3484),
    [anon_sym_open] = ACTIONS(3486),
    [anon_sym_LBRACK_LT] = ACTIONS(3484),
    [anon_sym_return] = ACTIONS(3486),
    [anon_sym_type] = ACTIONS(3486),
    [anon_sym_do] = ACTIONS(3486),
    [anon_sym_and] = ACTIONS(3486),
    [anon_sym_let] = ACTIONS(3486),
    [anon_sym_let_BANG] = ACTIONS(3484),
    [aux_sym_access_modifier_token1] = ACTIONS(3484),
    [anon_sym_null] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3486),
    [anon_sym_AMP] = ACTIONS(3486),
    [anon_sym_LBRACK] = ACTIONS(3486),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3486),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3484),
    [anon_sym_new] = ACTIONS(3486),
    [anon_sym_return_BANG] = ACTIONS(3484),
    [anon_sym_yield] = ACTIONS(3486),
    [anon_sym_yield_BANG] = ACTIONS(3484),
    [anon_sym_lazy] = ACTIONS(3486),
    [anon_sym_assert] = ACTIONS(3486),
    [anon_sym_upcast] = ACTIONS(3486),
    [anon_sym_downcast] = ACTIONS(3486),
    [anon_sym_LT_AT] = ACTIONS(3486),
    [anon_sym_LT_AT_AT] = ACTIONS(3484),
    [anon_sym_for] = ACTIONS(3486),
    [anon_sym_while] = ACTIONS(3486),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_fun] = ACTIONS(3486),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3486),
    [anon_sym_match] = ACTIONS(3486),
    [anon_sym_match_BANG] = ACTIONS(3484),
    [anon_sym_function] = ACTIONS(3486),
    [anon_sym_use] = ACTIONS(3486),
    [anon_sym_use_BANG] = ACTIONS(3484),
    [anon_sym_do_BANG] = ACTIONS(3484),
    [anon_sym_begin] = ACTIONS(3486),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3484),
    [anon_sym_static] = ACTIONS(3486),
    [anon_sym_member] = ACTIONS(3486),
    [anon_sym_abstract] = ACTIONS(3486),
    [anon_sym_override] = ACTIONS(3486),
    [anon_sym_default] = ACTIONS(3486),
    [anon_sym_val] = ACTIONS(3486),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3486),
    [anon_sym_DQUOTE] = ACTIONS(3486),
    [anon_sym_AT_DQUOTE] = ACTIONS(3484),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3484),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3484),
    [sym_bool] = ACTIONS(3486),
    [sym_unit] = ACTIONS(3484),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3484),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3486),
    [anon_sym_PLUS] = ACTIONS(3486),
    [anon_sym_DASH] = ACTIONS(3486),
    [anon_sym_PLUS_DOT] = ACTIONS(3484),
    [anon_sym_DASH_DOT] = ACTIONS(3484),
    [anon_sym_PERCENT] = ACTIONS(3484),
    [anon_sym_AMP_AMP] = ACTIONS(3484),
    [anon_sym_TILDE] = ACTIONS(3484),
    [aux_sym_prefix_op_token1] = ACTIONS(3484),
    [aux_sym_int_token1] = ACTIONS(3486),
    [aux_sym_xint_token1] = ACTIONS(3484),
    [aux_sym_xint_token2] = ACTIONS(3484),
    [aux_sym_xint_token3] = ACTIONS(3484),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1889] = {
    [sym_xml_doc] = STATE(1889),
    [sym_block_comment] = STATE(1889),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
    [sym__then] = ACTIONS(2878),
  },
  [1890] = {
    [sym_xml_doc] = STATE(1890),
    [sym_block_comment] = STATE(1890),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
    [sym__then] = ACTIONS(2851),
  },
  [1891] = {
    [sym_xml_doc] = STATE(1891),
    [sym_block_comment] = STATE(1891),
    [ts_builtin_sym_end] = ACTIONS(2452),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_POUNDnowarn] = ACTIONS(2452),
    [anon_sym_POUNDr] = ACTIONS(2452),
    [anon_sym_POUNDload] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2450),
    [anon_sym_LBRACK_LT] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [aux_sym_access_modifier_token1] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(3488),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_member] = ACTIONS(2450),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_val] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1892] = {
    [sym_xml_doc] = STATE(1892),
    [sym_block_comment] = STATE(1892),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_let_BANG] = ACTIONS(2628),
    [anon_sym_null] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_COLON_QMARK] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_return_BANG] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_yield_BANG] = ACTIONS(2628),
    [anon_sym_lazy] = ACTIONS(2626),
    [anon_sym_assert] = ACTIONS(2626),
    [anon_sym_upcast] = ACTIONS(2626),
    [anon_sym_downcast] = ACTIONS(2626),
    [anon_sym_LT_AT] = ACTIONS(2626),
    [anon_sym_AT_GT] = ACTIONS(2628),
    [anon_sym_LT_AT_AT] = ACTIONS(2626),
    [anon_sym_AT_AT_GT] = ACTIONS(2628),
    [anon_sym_COLON_GT] = ACTIONS(2628),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_fun] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_match] = ACTIONS(2626),
    [anon_sym_match_BANG] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_LT_DASH] = ACTIONS(2626),
    [anon_sym_DOT_LBRACK] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_use] = ACTIONS(2626),
    [anon_sym_use_BANG] = ACTIONS(2628),
    [anon_sym_do_BANG] = ACTIONS(2628),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_begin] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_AT_DQUOTE] = ACTIONS(2628),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2628),
    [sym_bool] = ACTIONS(2626),
    [sym_unit] = ACTIONS(2626),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2626),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_DOT] = ACTIONS(2626),
    [anon_sym_DASH_DOT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2628),
    [aux_sym_prefix_op_token1] = ACTIONS(2628),
    [aux_sym_infix_op_token1] = ACTIONS(2626),
    [anon_sym_PIPE_PIPE] = ACTIONS(2626),
    [anon_sym_BANG_EQ] = ACTIONS(2628),
    [anon_sym_COLON_EQ] = ACTIONS(2628),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2628),
    [aux_sym_int_token1] = ACTIONS(2626),
    [aux_sym_xint_token1] = ACTIONS(2628),
    [aux_sym_xint_token2] = ACTIONS(2628),
    [aux_sym_xint_token3] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2628),
  },
  [1893] = {
    [sym_xml_doc] = STATE(1893),
    [sym_block_comment] = STATE(1893),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_let_BANG] = ACTIONS(2635),
    [anon_sym_null] = ACTIONS(2633),
    [anon_sym_QMARK] = ACTIONS(2633),
    [anon_sym_COLON_QMARK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_COLON_COLON] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_return_BANG] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_yield_BANG] = ACTIONS(2635),
    [anon_sym_lazy] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2633),
    [anon_sym_upcast] = ACTIONS(2633),
    [anon_sym_downcast] = ACTIONS(2633),
    [anon_sym_LT_AT] = ACTIONS(2633),
    [anon_sym_AT_GT] = ACTIONS(2635),
    [anon_sym_LT_AT_AT] = ACTIONS(2633),
    [anon_sym_AT_AT_GT] = ACTIONS(2635),
    [anon_sym_COLON_GT] = ACTIONS(2635),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_fun] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_match_BANG] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_DOT_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2635),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_use_BANG] = ACTIONS(2635),
    [anon_sym_do_BANG] = ACTIONS(2635),
    [anon_sym_DOT_DOT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_AT_DQUOTE] = ACTIONS(2635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2635),
    [sym_bool] = ACTIONS(2633),
    [sym_unit] = ACTIONS(2633),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2633),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_DOT] = ACTIONS(2633),
    [anon_sym_DASH_DOT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2635),
    [aux_sym_prefix_op_token1] = ACTIONS(2635),
    [aux_sym_infix_op_token1] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2635),
    [anon_sym_COLON_EQ] = ACTIONS(2635),
    [anon_sym_DOLLAR] = ACTIONS(2633),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2635),
    [aux_sym_int_token1] = ACTIONS(2633),
    [aux_sym_xint_token1] = ACTIONS(2635),
    [aux_sym_xint_token2] = ACTIONS(2635),
    [aux_sym_xint_token3] = ACTIONS(2635),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2635),
  },
  [1894] = {
    [sym_xml_doc] = STATE(1894),
    [sym_block_comment] = STATE(1894),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_DOT_DOT] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
  },
  [1895] = {
    [sym_xml_doc] = STATE(1895),
    [sym_block_comment] = STATE(1895),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2577),
    [anon_sym_COLON] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_let_BANG] = ACTIONS(2577),
    [anon_sym_null] = ACTIONS(2649),
    [anon_sym_QMARK] = ACTIONS(2649),
    [anon_sym_COLON_QMARK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2577),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_return_BANG] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_yield_BANG] = ACTIONS(2577),
    [anon_sym_lazy] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2649),
    [anon_sym_upcast] = ACTIONS(2649),
    [anon_sym_downcast] = ACTIONS(2649),
    [anon_sym_LT_AT] = ACTIONS(2649),
    [anon_sym_AT_GT] = ACTIONS(2577),
    [anon_sym_LT_AT_AT] = ACTIONS(2649),
    [anon_sym_AT_AT_GT] = ACTIONS(2577),
    [anon_sym_COLON_GT] = ACTIONS(2577),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_fun] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_match] = ACTIONS(2649),
    [anon_sym_match_BANG] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_DOT_LBRACK] = ACTIONS(2577),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_use] = ACTIONS(2649),
    [anon_sym_use_BANG] = ACTIONS(2577),
    [anon_sym_do_BANG] = ACTIONS(2577),
    [anon_sym_DOT_DOT] = ACTIONS(2577),
    [anon_sym_begin] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_AT_DQUOTE] = ACTIONS(2577),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2577),
    [sym_bool] = ACTIONS(2649),
    [sym_unit] = ACTIONS(2649),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2649),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_DOT] = ACTIONS(2649),
    [anon_sym_DASH_DOT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2577),
    [aux_sym_prefix_op_token1] = ACTIONS(2577),
    [aux_sym_infix_op_token1] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2577),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [anon_sym_DOLLAR] = ACTIONS(2649),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2577),
    [aux_sym_int_token1] = ACTIONS(2649),
    [aux_sym_xint_token1] = ACTIONS(2577),
    [aux_sym_xint_token2] = ACTIONS(2577),
    [aux_sym_xint_token3] = ACTIONS(2577),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2577),
  },
  [1896] = {
    [sym_xml_doc] = STATE(1896),
    [sym_block_comment] = STATE(1896),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
    [sym__then] = ACTIONS(2791),
  },
  [1897] = {
    [sym_xml_doc] = STATE(1897),
    [sym_block_comment] = STATE(1897),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_QMARK] = ACTIONS(2864),
    [anon_sym_COLON_QMARK] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_AT_GT] = ACTIONS(2866),
    [anon_sym_LT_AT_AT] = ACTIONS(2864),
    [anon_sym_AT_AT_GT] = ACTIONS(2866),
    [anon_sym_COLON_GT] = ACTIONS(2866),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_LT_DASH] = ACTIONS(2864),
    [anon_sym_DOT_LBRACK] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2864),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2864),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2864),
    [anon_sym_DASH_DOT] = ACTIONS(2864),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_infix_op_token1] = ACTIONS(2864),
    [anon_sym_PIPE_PIPE] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2866),
    [anon_sym_COLON_EQ] = ACTIONS(2866),
    [anon_sym_DOLLAR] = ACTIONS(2864),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2866),
    [sym__then] = ACTIONS(2866),
  },
  [1898] = {
    [sym_xml_doc] = STATE(1898),
    [sym_block_comment] = STATE(1898),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
    [sym__then] = ACTIONS(2779),
  },
  [1899] = {
    [sym_xml_doc] = STATE(1899),
    [sym_block_comment] = STATE(1899),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
    [sym__then] = ACTIONS(2759),
  },
  [1900] = {
    [sym_xml_doc] = STATE(1900),
    [sym_block_comment] = STATE(1900),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
    [sym__then] = ACTIONS(2755),
  },
  [1901] = {
    [sym_xml_doc] = STATE(1901),
    [sym_block_comment] = STATE(1901),
    [ts_builtin_sym_end] = ACTIONS(2440),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_POUNDnowarn] = ACTIONS(2440),
    [anon_sym_POUNDr] = ACTIONS(2440),
    [anon_sym_POUNDload] = ACTIONS(2440),
    [anon_sym_open] = ACTIONS(2438),
    [anon_sym_LBRACK_LT] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_and] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [aux_sym_access_modifier_token1] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_LT_AT_AT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_member] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_val] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2440),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2440),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2440),
    [anon_sym_DASH_DOT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1902] = {
    [sym_xml_doc] = STATE(1902),
    [sym_block_comment] = STATE(1902),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
    [sym__then] = ACTIONS(2751),
  },
  [1903] = {
    [sym_xml_doc] = STATE(1903),
    [sym_block_comment] = STATE(1903),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2647),
    [anon_sym_COLON] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_let_BANG] = ACTIONS(2647),
    [anon_sym_null] = ACTIONS(2645),
    [anon_sym_QMARK] = ACTIONS(2645),
    [anon_sym_COLON_QMARK] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_COLON_COLON] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_return_BANG] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_yield_BANG] = ACTIONS(2647),
    [anon_sym_lazy] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2645),
    [anon_sym_upcast] = ACTIONS(2645),
    [anon_sym_downcast] = ACTIONS(2645),
    [anon_sym_LT_AT] = ACTIONS(2645),
    [anon_sym_AT_GT] = ACTIONS(2647),
    [anon_sym_LT_AT_AT] = ACTIONS(2645),
    [anon_sym_AT_AT_GT] = ACTIONS(2647),
    [anon_sym_COLON_GT] = ACTIONS(2647),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_fun] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_match] = ACTIONS(2645),
    [anon_sym_match_BANG] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_DOT_LBRACK] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2645),
    [anon_sym_use_BANG] = ACTIONS(2647),
    [anon_sym_do_BANG] = ACTIONS(2647),
    [anon_sym_begin] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_AT_DQUOTE] = ACTIONS(2647),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2647),
    [sym_bool] = ACTIONS(2645),
    [sym_unit] = ACTIONS(2645),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2645),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_DOT] = ACTIONS(2645),
    [anon_sym_DASH_DOT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2647),
    [aux_sym_prefix_op_token1] = ACTIONS(2647),
    [aux_sym_infix_op_token1] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2647),
    [anon_sym_COLON_EQ] = ACTIONS(2647),
    [anon_sym_DOLLAR] = ACTIONS(2645),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2647),
    [aux_sym_int_token1] = ACTIONS(2645),
    [aux_sym_xint_token1] = ACTIONS(2647),
    [aux_sym_xint_token2] = ACTIONS(2647),
    [aux_sym_xint_token3] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2647),
    [sym__then] = ACTIONS(2647),
  },
  [1904] = {
    [sym_xml_doc] = STATE(1904),
    [sym_block_comment] = STATE(1904),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
    [sym__then] = ACTIONS(2726),
  },
  [1905] = {
    [sym_xml_doc] = STATE(1905),
    [sym_block_comment] = STATE(1905),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
    [sym__then] = ACTIONS(2722),
  },
  [1906] = {
    [sym_xml_doc] = STATE(1906),
    [sym_block_comment] = STATE(1906),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
    [sym__then] = ACTIONS(2599),
  },
  [1907] = {
    [sym_xml_doc] = STATE(1907),
    [sym_block_comment] = STATE(1907),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_DOT_DOT] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
  },
  [1908] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3524),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(1908),
    [sym_block_comment] = STATE(1908),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3490),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_RPAREN] = ACTIONS(3490),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3490),
    [anon_sym_SEMI] = ACTIONS(3490),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3490),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_LT2] = ACTIONS(3490),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [1909] = {
    [sym_xml_doc] = STATE(1909),
    [sym_block_comment] = STATE(1909),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
    [sym__then] = ACTIONS(2710),
  },
  [1910] = {
    [sym_xml_doc] = STATE(1910),
    [sym_block_comment] = STATE(1910),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
    [sym__then] = ACTIONS(2706),
  },
  [1911] = {
    [sym_xml_doc] = STATE(1911),
    [sym_block_comment] = STATE(1911),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
    [sym__then] = ACTIONS(2702),
  },
  [1912] = {
    [sym_xml_doc] = STATE(1912),
    [sym_block_comment] = STATE(1912),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_COLON] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_let_BANG] = ACTIONS(2664),
    [anon_sym_null] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_COLON_QMARK] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_return_BANG] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_yield_BANG] = ACTIONS(2664),
    [anon_sym_lazy] = ACTIONS(2662),
    [anon_sym_assert] = ACTIONS(2662),
    [anon_sym_upcast] = ACTIONS(2662),
    [anon_sym_downcast] = ACTIONS(2662),
    [anon_sym_LT_AT] = ACTIONS(2662),
    [anon_sym_AT_GT] = ACTIONS(2664),
    [anon_sym_LT_AT_AT] = ACTIONS(2662),
    [anon_sym_AT_AT_GT] = ACTIONS(2664),
    [anon_sym_COLON_GT] = ACTIONS(2664),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_match] = ACTIONS(2662),
    [anon_sym_match_BANG] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_LT_DASH] = ACTIONS(2662),
    [anon_sym_DOT_LBRACK] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2664),
    [anon_sym_use] = ACTIONS(2662),
    [anon_sym_use_BANG] = ACTIONS(2664),
    [anon_sym_do_BANG] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2664),
    [anon_sym_begin] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_AT_DQUOTE] = ACTIONS(2664),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [sym_bool] = ACTIONS(2662),
    [sym_unit] = ACTIONS(2662),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2662),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_DOT] = ACTIONS(2662),
    [anon_sym_DASH_DOT] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2664),
    [aux_sym_prefix_op_token1] = ACTIONS(2664),
    [aux_sym_infix_op_token1] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2664),
    [anon_sym_COLON_EQ] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2662),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2664),
    [aux_sym_int_token1] = ACTIONS(2662),
    [aux_sym_xint_token1] = ACTIONS(2664),
    [aux_sym_xint_token2] = ACTIONS(2664),
    [aux_sym_xint_token3] = ACTIONS(2664),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2664),
  },
  [1913] = {
    [sym_xml_doc] = STATE(1913),
    [sym_block_comment] = STATE(1913),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2678),
    [anon_sym_COLON] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_let_BANG] = ACTIONS(2678),
    [anon_sym_null] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2676),
    [anon_sym_COLON_QMARK] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_return_BANG] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_yield_BANG] = ACTIONS(2678),
    [anon_sym_lazy] = ACTIONS(2676),
    [anon_sym_assert] = ACTIONS(2676),
    [anon_sym_upcast] = ACTIONS(2676),
    [anon_sym_downcast] = ACTIONS(2676),
    [anon_sym_LT_AT] = ACTIONS(2676),
    [anon_sym_AT_GT] = ACTIONS(2678),
    [anon_sym_LT_AT_AT] = ACTIONS(2676),
    [anon_sym_AT_AT_GT] = ACTIONS(2678),
    [anon_sym_COLON_GT] = ACTIONS(2678),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_match] = ACTIONS(2676),
    [anon_sym_match_BANG] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_LT_DASH] = ACTIONS(2676),
    [anon_sym_DOT_LBRACK] = ACTIONS(2678),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_use] = ACTIONS(2676),
    [anon_sym_use_BANG] = ACTIONS(2678),
    [anon_sym_do_BANG] = ACTIONS(2678),
    [anon_sym_DOT_DOT] = ACTIONS(2678),
    [anon_sym_begin] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_or] = ACTIONS(2676),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_AT_DQUOTE] = ACTIONS(2678),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2678),
    [sym_bool] = ACTIONS(2676),
    [sym_unit] = ACTIONS(2676),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2676),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_DOT] = ACTIONS(2676),
    [anon_sym_DASH_DOT] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_AMP_AMP] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2678),
    [aux_sym_prefix_op_token1] = ACTIONS(2678),
    [aux_sym_infix_op_token1] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2676),
    [anon_sym_BANG_EQ] = ACTIONS(2678),
    [anon_sym_COLON_EQ] = ACTIONS(2678),
    [anon_sym_DOLLAR] = ACTIONS(2676),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2678),
    [aux_sym_int_token1] = ACTIONS(2676),
    [aux_sym_xint_token1] = ACTIONS(2678),
    [aux_sym_xint_token2] = ACTIONS(2678),
    [aux_sym_xint_token3] = ACTIONS(2678),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2678),
  },
  [1914] = {
    [sym_xml_doc] = STATE(1914),
    [sym_block_comment] = STATE(1914),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(2690),
    [anon_sym_COLON] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_let_BANG] = ACTIONS(2690),
    [anon_sym_null] = ACTIONS(2688),
    [anon_sym_QMARK] = ACTIONS(2688),
    [anon_sym_COLON_QMARK] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_COMMA] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_return_BANG] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_yield_BANG] = ACTIONS(2690),
    [anon_sym_lazy] = ACTIONS(2688),
    [anon_sym_assert] = ACTIONS(2688),
    [anon_sym_upcast] = ACTIONS(2688),
    [anon_sym_downcast] = ACTIONS(2688),
    [anon_sym_LT_AT] = ACTIONS(2688),
    [anon_sym_AT_GT] = ACTIONS(2690),
    [anon_sym_LT_AT_AT] = ACTIONS(2688),
    [anon_sym_AT_AT_GT] = ACTIONS(2690),
    [anon_sym_COLON_GT] = ACTIONS(2690),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_fun] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_match] = ACTIONS(2688),
    [anon_sym_match_BANG] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_LT_DASH] = ACTIONS(2688),
    [anon_sym_DOT_LBRACK] = ACTIONS(2690),
    [anon_sym_DOT] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_use] = ACTIONS(2688),
    [anon_sym_use_BANG] = ACTIONS(2690),
    [anon_sym_do_BANG] = ACTIONS(2690),
    [anon_sym_DOT_DOT] = ACTIONS(2690),
    [anon_sym_begin] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_or] = ACTIONS(2688),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_AT_DQUOTE] = ACTIONS(2690),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2690),
    [sym_bool] = ACTIONS(2688),
    [sym_unit] = ACTIONS(2688),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2688),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_DOT] = ACTIONS(2688),
    [anon_sym_DASH_DOT] = ACTIONS(2688),
    [anon_sym_PERCENT] = ACTIONS(2688),
    [anon_sym_AMP_AMP] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2690),
    [aux_sym_prefix_op_token1] = ACTIONS(2690),
    [aux_sym_infix_op_token1] = ACTIONS(2688),
    [anon_sym_PIPE_PIPE] = ACTIONS(2688),
    [anon_sym_BANG_EQ] = ACTIONS(2690),
    [anon_sym_COLON_EQ] = ACTIONS(2690),
    [anon_sym_DOLLAR] = ACTIONS(2688),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2690),
    [aux_sym_int_token1] = ACTIONS(2688),
    [aux_sym_xint_token1] = ACTIONS(2690),
    [aux_sym_xint_token2] = ACTIONS(2690),
    [aux_sym_xint_token3] = ACTIONS(2690),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2690),
  },
  [1915] = {
    [sym_xml_doc] = STATE(1915),
    [sym_block_comment] = STATE(1915),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_EQ] = ACTIONS(2698),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_let_BANG] = ACTIONS(2698),
    [anon_sym_null] = ACTIONS(2696),
    [anon_sym_QMARK] = ACTIONS(2696),
    [anon_sym_COLON_QMARK] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_COMMA] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_return_BANG] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_yield_BANG] = ACTIONS(2698),
    [anon_sym_lazy] = ACTIONS(2696),
    [anon_sym_assert] = ACTIONS(2696),
    [anon_sym_upcast] = ACTIONS(2696),
    [anon_sym_downcast] = ACTIONS(2696),
    [anon_sym_LT_AT] = ACTIONS(2696),
    [anon_sym_AT_GT] = ACTIONS(2698),
    [anon_sym_LT_AT_AT] = ACTIONS(2696),
    [anon_sym_AT_AT_GT] = ACTIONS(2698),
    [anon_sym_COLON_GT] = ACTIONS(2698),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_fun] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_match] = ACTIONS(2696),
    [anon_sym_match_BANG] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_LT_DASH] = ACTIONS(2696),
    [anon_sym_DOT_LBRACK] = ACTIONS(2698),
    [anon_sym_DOT] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_use] = ACTIONS(2696),
    [anon_sym_use_BANG] = ACTIONS(2698),
    [anon_sym_do_BANG] = ACTIONS(2698),
    [anon_sym_DOT_DOT] = ACTIONS(2698),
    [anon_sym_begin] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_or] = ACTIONS(2696),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_AT_DQUOTE] = ACTIONS(2698),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2698),
    [sym_bool] = ACTIONS(2696),
    [sym_unit] = ACTIONS(2696),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2696),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_DOT] = ACTIONS(2696),
    [anon_sym_DASH_DOT] = ACTIONS(2696),
    [anon_sym_PERCENT] = ACTIONS(2696),
    [anon_sym_AMP_AMP] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2698),
    [aux_sym_prefix_op_token1] = ACTIONS(2698),
    [aux_sym_infix_op_token1] = ACTIONS(2696),
    [anon_sym_PIPE_PIPE] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2698),
    [anon_sym_COLON_EQ] = ACTIONS(2698),
    [anon_sym_DOLLAR] = ACTIONS(2696),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2698),
    [aux_sym_int_token1] = ACTIONS(2696),
    [aux_sym_xint_token1] = ACTIONS(2698),
    [aux_sym_xint_token2] = ACTIONS(2698),
    [aux_sym_xint_token3] = ACTIONS(2698),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2698),
  },
  [1916] = {
    [sym_xml_doc] = STATE(1916),
    [sym_block_comment] = STATE(1916),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2714),
    [anon_sym_COLON] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_let_BANG] = ACTIONS(2714),
    [anon_sym_null] = ACTIONS(2712),
    [anon_sym_QMARK] = ACTIONS(2712),
    [anon_sym_COLON_QMARK] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_COMMA] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_return_BANG] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_yield_BANG] = ACTIONS(2714),
    [anon_sym_lazy] = ACTIONS(2712),
    [anon_sym_assert] = ACTIONS(2712),
    [anon_sym_upcast] = ACTIONS(2712),
    [anon_sym_downcast] = ACTIONS(2712),
    [anon_sym_LT_AT] = ACTIONS(2712),
    [anon_sym_AT_GT] = ACTIONS(2714),
    [anon_sym_LT_AT_AT] = ACTIONS(2712),
    [anon_sym_AT_AT_GT] = ACTIONS(2714),
    [anon_sym_COLON_GT] = ACTIONS(2714),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_fun] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_match] = ACTIONS(2712),
    [anon_sym_match_BANG] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_LT_DASH] = ACTIONS(2712),
    [anon_sym_DOT_LBRACK] = ACTIONS(2714),
    [anon_sym_DOT] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_use] = ACTIONS(2712),
    [anon_sym_use_BANG] = ACTIONS(2714),
    [anon_sym_do_BANG] = ACTIONS(2714),
    [anon_sym_DOT_DOT] = ACTIONS(2714),
    [anon_sym_begin] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_or] = ACTIONS(2712),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_AT_DQUOTE] = ACTIONS(2714),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2714),
    [sym_bool] = ACTIONS(2712),
    [sym_unit] = ACTIONS(2712),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2712),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_DOT] = ACTIONS(2712),
    [anon_sym_DASH_DOT] = ACTIONS(2712),
    [anon_sym_PERCENT] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2714),
    [aux_sym_prefix_op_token1] = ACTIONS(2714),
    [aux_sym_infix_op_token1] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2712),
    [anon_sym_BANG_EQ] = ACTIONS(2714),
    [anon_sym_COLON_EQ] = ACTIONS(2714),
    [anon_sym_DOLLAR] = ACTIONS(2712),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2714),
    [aux_sym_int_token1] = ACTIONS(2712),
    [aux_sym_xint_token1] = ACTIONS(2714),
    [aux_sym_xint_token2] = ACTIONS(2714),
    [aux_sym_xint_token3] = ACTIONS(2714),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2714),
  },
  [1917] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1917),
    [sym_block_comment] = STATE(1917),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_namespace] = ACTIONS(3516),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_POUNDnowarn] = ACTIONS(3514),
    [anon_sym_POUNDr] = ACTIONS(3514),
    [anon_sym_POUNDload] = ACTIONS(3514),
    [anon_sym_open] = ACTIONS(3516),
    [anon_sym_LBRACK_LT] = ACTIONS(3514),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_do] = ACTIONS(3516),
    [anon_sym_and] = ACTIONS(3516),
    [anon_sym_let] = ACTIONS(3516),
    [anon_sym_let_BANG] = ACTIONS(3514),
    [aux_sym_access_modifier_token1] = ACTIONS(3514),
    [anon_sym_null] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3516),
    [anon_sym_AMP] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3516),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(3516),
    [anon_sym_return_BANG] = ACTIONS(3514),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_yield_BANG] = ACTIONS(3514),
    [anon_sym_lazy] = ACTIONS(3516),
    [anon_sym_assert] = ACTIONS(3516),
    [anon_sym_upcast] = ACTIONS(3516),
    [anon_sym_downcast] = ACTIONS(3516),
    [anon_sym_LT_AT] = ACTIONS(3516),
    [anon_sym_LT_AT_AT] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_fun] = ACTIONS(3516),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_match] = ACTIONS(3516),
    [anon_sym_match_BANG] = ACTIONS(3514),
    [anon_sym_function] = ACTIONS(3516),
    [anon_sym_use] = ACTIONS(3516),
    [anon_sym_use_BANG] = ACTIONS(3514),
    [anon_sym_do_BANG] = ACTIONS(3514),
    [anon_sym_begin] = ACTIONS(3516),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_static] = ACTIONS(3516),
    [anon_sym_member] = ACTIONS(3516),
    [anon_sym_abstract] = ACTIONS(3516),
    [anon_sym_override] = ACTIONS(3516),
    [anon_sym_default] = ACTIONS(3516),
    [anon_sym_val] = ACTIONS(3516),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [anon_sym_AT_DQUOTE] = ACTIONS(3514),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3514),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3514),
    [sym_bool] = ACTIONS(3516),
    [sym_unit] = ACTIONS(3514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3516),
    [anon_sym_PLUS] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3516),
    [anon_sym_PLUS_DOT] = ACTIONS(3514),
    [anon_sym_DASH_DOT] = ACTIONS(3514),
    [anon_sym_PERCENT] = ACTIONS(3514),
    [anon_sym_AMP_AMP] = ACTIONS(3514),
    [anon_sym_TILDE] = ACTIONS(3514),
    [aux_sym_prefix_op_token1] = ACTIONS(3514),
    [aux_sym_int_token1] = ACTIONS(3516),
    [aux_sym_xint_token1] = ACTIONS(3514),
    [aux_sym_xint_token2] = ACTIONS(3514),
    [aux_sym_xint_token3] = ACTIONS(3514),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1918] = {
    [sym_xml_doc] = STATE(1918),
    [sym_block_comment] = STATE(1918),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
    [sym__then] = ACTIONS(2686),
  },
  [1919] = {
    [sym_xml_doc] = STATE(1919),
    [sym_block_comment] = STATE(1919),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
    [sym__then] = ACTIONS(2036),
  },
  [1920] = {
    [sym_xml_doc] = STATE(1920),
    [sym_block_comment] = STATE(1920),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
    [sym__then] = ACTIONS(2682),
  },
  [1921] = {
    [sym_xml_doc] = STATE(1921),
    [sym_block_comment] = STATE(1921),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
    [sym__then] = ACTIONS(2694),
  },
  [1922] = {
    [sym_xml_doc] = STATE(1922),
    [sym_block_comment] = STATE(1922),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_let_BANG] = ACTIONS(2763),
    [anon_sym_null] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_COLON_QMARK] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_return_BANG] = ACTIONS(2763),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_yield_BANG] = ACTIONS(2763),
    [anon_sym_lazy] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2761),
    [anon_sym_upcast] = ACTIONS(2761),
    [anon_sym_downcast] = ACTIONS(2761),
    [anon_sym_LT_AT] = ACTIONS(2761),
    [anon_sym_AT_GT] = ACTIONS(2763),
    [anon_sym_LT_AT_AT] = ACTIONS(2761),
    [anon_sym_AT_AT_GT] = ACTIONS(2763),
    [anon_sym_COLON_GT] = ACTIONS(2763),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_fun] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_match] = ACTIONS(2761),
    [anon_sym_match_BANG] = ACTIONS(2763),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_LT_DASH] = ACTIONS(2761),
    [anon_sym_DOT_LBRACK] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_use] = ACTIONS(2761),
    [anon_sym_use_BANG] = ACTIONS(2763),
    [anon_sym_do_BANG] = ACTIONS(2763),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_begin] = ACTIONS(2761),
    [anon_sym_LPAREN2] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [anon_sym_AT_DQUOTE] = ACTIONS(2763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2763),
    [sym_bool] = ACTIONS(2761),
    [sym_unit] = ACTIONS(2761),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2761),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_DOT] = ACTIONS(2761),
    [anon_sym_DASH_DOT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2763),
    [aux_sym_prefix_op_token1] = ACTIONS(2763),
    [aux_sym_infix_op_token1] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_COLON_EQ] = ACTIONS(2763),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2763),
    [aux_sym_int_token1] = ACTIONS(2761),
    [aux_sym_xint_token1] = ACTIONS(2763),
    [aux_sym_xint_token2] = ACTIONS(2763),
    [aux_sym_xint_token3] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2763),
  },
  [1923] = {
    [sym_xml_doc] = STATE(1923),
    [sym_block_comment] = STATE(1923),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_EQ] = ACTIONS(2686),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_let_BANG] = ACTIONS(2686),
    [anon_sym_null] = ACTIONS(2684),
    [anon_sym_QMARK] = ACTIONS(2684),
    [anon_sym_COLON_QMARK] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_COMMA] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2686),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_return_BANG] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_yield_BANG] = ACTIONS(2686),
    [anon_sym_lazy] = ACTIONS(2684),
    [anon_sym_assert] = ACTIONS(2684),
    [anon_sym_upcast] = ACTIONS(2684),
    [anon_sym_downcast] = ACTIONS(2684),
    [anon_sym_LT_AT] = ACTIONS(2684),
    [anon_sym_AT_GT] = ACTIONS(2686),
    [anon_sym_LT_AT_AT] = ACTIONS(2684),
    [anon_sym_AT_AT_GT] = ACTIONS(2686),
    [anon_sym_COLON_GT] = ACTIONS(2686),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_fun] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_match] = ACTIONS(2684),
    [anon_sym_match_BANG] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_LT_DASH] = ACTIONS(2684),
    [anon_sym_DOT_LBRACK] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_use] = ACTIONS(2684),
    [anon_sym_use_BANG] = ACTIONS(2686),
    [anon_sym_do_BANG] = ACTIONS(2686),
    [anon_sym_DOT_DOT] = ACTIONS(2686),
    [anon_sym_begin] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_or] = ACTIONS(2684),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_AT_DQUOTE] = ACTIONS(2686),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2686),
    [sym_bool] = ACTIONS(2684),
    [sym_unit] = ACTIONS(2684),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2684),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_DOT] = ACTIONS(2684),
    [anon_sym_DASH_DOT] = ACTIONS(2684),
    [anon_sym_PERCENT] = ACTIONS(2684),
    [anon_sym_AMP_AMP] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2686),
    [aux_sym_prefix_op_token1] = ACTIONS(2686),
    [aux_sym_infix_op_token1] = ACTIONS(2684),
    [anon_sym_PIPE_PIPE] = ACTIONS(2684),
    [anon_sym_BANG_EQ] = ACTIONS(2686),
    [anon_sym_COLON_EQ] = ACTIONS(2686),
    [anon_sym_DOLLAR] = ACTIONS(2684),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2686),
    [aux_sym_int_token1] = ACTIONS(2684),
    [aux_sym_xint_token1] = ACTIONS(2686),
    [aux_sym_xint_token2] = ACTIONS(2686),
    [aux_sym_xint_token3] = ACTIONS(2686),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2686),
  },
  [1924] = {
    [sym_xml_doc] = STATE(1924),
    [sym_block_comment] = STATE(1924),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_let_BANG] = ACTIONS(2783),
    [anon_sym_null] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_COLON_QMARK] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_return_BANG] = ACTIONS(2783),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_yield_BANG] = ACTIONS(2783),
    [anon_sym_lazy] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(2781),
    [anon_sym_upcast] = ACTIONS(2781),
    [anon_sym_downcast] = ACTIONS(2781),
    [anon_sym_LT_AT] = ACTIONS(2781),
    [anon_sym_AT_GT] = ACTIONS(2783),
    [anon_sym_LT_AT_AT] = ACTIONS(2781),
    [anon_sym_AT_AT_GT] = ACTIONS(2783),
    [anon_sym_COLON_GT] = ACTIONS(2783),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_match] = ACTIONS(2781),
    [anon_sym_match_BANG] = ACTIONS(2783),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_LT_DASH] = ACTIONS(2781),
    [anon_sym_DOT_LBRACK] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_use] = ACTIONS(2781),
    [anon_sym_use_BANG] = ACTIONS(2783),
    [anon_sym_do_BANG] = ACTIONS(2783),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_begin] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [anon_sym_AT_DQUOTE] = ACTIONS(2783),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2783),
    [sym_bool] = ACTIONS(2781),
    [sym_unit] = ACTIONS(2781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_DOT] = ACTIONS(2781),
    [anon_sym_DASH_DOT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2783),
    [aux_sym_prefix_op_token1] = ACTIONS(2783),
    [aux_sym_infix_op_token1] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_COLON_EQ] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2783),
    [aux_sym_int_token1] = ACTIONS(2781),
    [aux_sym_xint_token1] = ACTIONS(2783),
    [aux_sym_xint_token2] = ACTIONS(2783),
    [aux_sym_xint_token3] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2783),
  },
  [1925] = {
    [sym_xml_doc] = STATE(1925),
    [sym_block_comment] = STATE(1925),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_let_BANG] = ACTIONS(2803),
    [anon_sym_null] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_COLON_QMARK] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2801),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_return_BANG] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_yield_BANG] = ACTIONS(2803),
    [anon_sym_lazy] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(2801),
    [anon_sym_upcast] = ACTIONS(2801),
    [anon_sym_downcast] = ACTIONS(2801),
    [anon_sym_LT_AT] = ACTIONS(2801),
    [anon_sym_AT_GT] = ACTIONS(2803),
    [anon_sym_LT_AT_AT] = ACTIONS(2801),
    [anon_sym_AT_AT_GT] = ACTIONS(2803),
    [anon_sym_COLON_GT] = ACTIONS(2803),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_fun] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_match_BANG] = ACTIONS(2803),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_LT_DASH] = ACTIONS(2801),
    [anon_sym_DOT_LBRACK] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_use_BANG] = ACTIONS(2803),
    [anon_sym_do_BANG] = ACTIONS(2803),
    [anon_sym_DOT_DOT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2801),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [anon_sym_AT_DQUOTE] = ACTIONS(2803),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2803),
    [sym_bool] = ACTIONS(2801),
    [sym_unit] = ACTIONS(2801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS_DOT] = ACTIONS(2801),
    [anon_sym_DASH_DOT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2803),
    [aux_sym_prefix_op_token1] = ACTIONS(2803),
    [aux_sym_infix_op_token1] = ACTIONS(2801),
    [anon_sym_PIPE_PIPE] = ACTIONS(2801),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_COLON_EQ] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2803),
    [aux_sym_int_token1] = ACTIONS(2801),
    [aux_sym_xint_token1] = ACTIONS(2803),
    [aux_sym_xint_token2] = ACTIONS(2803),
    [aux_sym_xint_token3] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2803),
  },
  [1926] = {
    [sym_xml_doc] = STATE(1926),
    [sym_block_comment] = STATE(1926),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_COLON] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_let_BANG] = ACTIONS(2862),
    [anon_sym_null] = ACTIONS(2860),
    [anon_sym_QMARK] = ACTIONS(2860),
    [anon_sym_COLON_QMARK] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_return_BANG] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_yield_BANG] = ACTIONS(2862),
    [anon_sym_lazy] = ACTIONS(2860),
    [anon_sym_assert] = ACTIONS(2860),
    [anon_sym_upcast] = ACTIONS(2860),
    [anon_sym_downcast] = ACTIONS(2860),
    [anon_sym_LT_AT] = ACTIONS(2860),
    [anon_sym_AT_GT] = ACTIONS(2862),
    [anon_sym_LT_AT_AT] = ACTIONS(2860),
    [anon_sym_AT_AT_GT] = ACTIONS(2862),
    [anon_sym_COLON_GT] = ACTIONS(2862),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_fun] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_match] = ACTIONS(2860),
    [anon_sym_match_BANG] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_LT_DASH] = ACTIONS(2860),
    [anon_sym_DOT_LBRACK] = ACTIONS(2862),
    [anon_sym_DOT] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_use] = ACTIONS(2860),
    [anon_sym_use_BANG] = ACTIONS(2862),
    [anon_sym_do_BANG] = ACTIONS(2862),
    [anon_sym_DOT_DOT] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_or] = ACTIONS(2860),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_AT_DQUOTE] = ACTIONS(2862),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2862),
    [sym_bool] = ACTIONS(2860),
    [sym_unit] = ACTIONS(2860),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2860),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_DOT] = ACTIONS(2860),
    [anon_sym_DASH_DOT] = ACTIONS(2860),
    [anon_sym_PERCENT] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2862),
    [aux_sym_prefix_op_token1] = ACTIONS(2862),
    [aux_sym_infix_op_token1] = ACTIONS(2860),
    [anon_sym_PIPE_PIPE] = ACTIONS(2860),
    [anon_sym_BANG_EQ] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2862),
    [anon_sym_DOLLAR] = ACTIONS(2860),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2862),
    [aux_sym_int_token1] = ACTIONS(2860),
    [aux_sym_xint_token1] = ACTIONS(2862),
    [aux_sym_xint_token2] = ACTIONS(2862),
    [aux_sym_xint_token3] = ACTIONS(2862),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2862),
  },
  [1927] = {
    [sym_xml_doc] = STATE(1927),
    [sym_block_comment] = STATE(1927),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
  },
  [1928] = {
    [sym_xml_doc] = STATE(1928),
    [sym_block_comment] = STATE(1928),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_EQ] = ACTIONS(2910),
    [anon_sym_COLON] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_let_BANG] = ACTIONS(2910),
    [anon_sym_null] = ACTIONS(2908),
    [anon_sym_QMARK] = ACTIONS(2908),
    [anon_sym_COLON_QMARK] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_return_BANG] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_yield_BANG] = ACTIONS(2910),
    [anon_sym_lazy] = ACTIONS(2908),
    [anon_sym_assert] = ACTIONS(2908),
    [anon_sym_upcast] = ACTIONS(2908),
    [anon_sym_downcast] = ACTIONS(2908),
    [anon_sym_LT_AT] = ACTIONS(2908),
    [anon_sym_AT_GT] = ACTIONS(2910),
    [anon_sym_LT_AT_AT] = ACTIONS(2908),
    [anon_sym_AT_AT_GT] = ACTIONS(2910),
    [anon_sym_COLON_GT] = ACTIONS(2910),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_fun] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2908),
    [anon_sym_match_BANG] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_LT_DASH] = ACTIONS(2908),
    [anon_sym_DOT_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_use] = ACTIONS(2908),
    [anon_sym_use_BANG] = ACTIONS(2910),
    [anon_sym_do_BANG] = ACTIONS(2910),
    [anon_sym_DOT_DOT] = ACTIONS(2910),
    [anon_sym_begin] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2908),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_AT_DQUOTE] = ACTIONS(2910),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2910),
    [sym_bool] = ACTIONS(2908),
    [sym_unit] = ACTIONS(2908),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2908),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_DOT] = ACTIONS(2908),
    [anon_sym_DASH_DOT] = ACTIONS(2908),
    [anon_sym_PERCENT] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [aux_sym_prefix_op_token1] = ACTIONS(2910),
    [aux_sym_infix_op_token1] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2908),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_COLON_EQ] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2908),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2910),
    [aux_sym_int_token1] = ACTIONS(2908),
    [aux_sym_xint_token1] = ACTIONS(2910),
    [aux_sym_xint_token2] = ACTIONS(2910),
    [aux_sym_xint_token3] = ACTIONS(2910),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2910),
  },
  [1929] = {
    [sym_xml_doc] = STATE(1929),
    [sym_block_comment] = STATE(1929),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_EQ] = ACTIONS(2906),
    [anon_sym_COLON] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_let_BANG] = ACTIONS(2906),
    [anon_sym_null] = ACTIONS(2904),
    [anon_sym_QMARK] = ACTIONS(2904),
    [anon_sym_COLON_QMARK] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_COMMA] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_return_BANG] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_yield_BANG] = ACTIONS(2906),
    [anon_sym_lazy] = ACTIONS(2904),
    [anon_sym_assert] = ACTIONS(2904),
    [anon_sym_upcast] = ACTIONS(2904),
    [anon_sym_downcast] = ACTIONS(2904),
    [anon_sym_LT_AT] = ACTIONS(2904),
    [anon_sym_AT_GT] = ACTIONS(2906),
    [anon_sym_LT_AT_AT] = ACTIONS(2904),
    [anon_sym_AT_AT_GT] = ACTIONS(2906),
    [anon_sym_COLON_GT] = ACTIONS(2906),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_fun] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_match] = ACTIONS(2904),
    [anon_sym_match_BANG] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_LT_DASH] = ACTIONS(2904),
    [anon_sym_DOT_LBRACK] = ACTIONS(2906),
    [anon_sym_DOT] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_use] = ACTIONS(2904),
    [anon_sym_use_BANG] = ACTIONS(2906),
    [anon_sym_do_BANG] = ACTIONS(2906),
    [anon_sym_DOT_DOT] = ACTIONS(2906),
    [anon_sym_begin] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_or] = ACTIONS(2904),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_AT_DQUOTE] = ACTIONS(2906),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2906),
    [sym_bool] = ACTIONS(2904),
    [sym_unit] = ACTIONS(2904),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2904),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_DOT] = ACTIONS(2904),
    [anon_sym_DASH_DOT] = ACTIONS(2904),
    [anon_sym_PERCENT] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2906),
    [aux_sym_prefix_op_token1] = ACTIONS(2906),
    [aux_sym_infix_op_token1] = ACTIONS(2904),
    [anon_sym_PIPE_PIPE] = ACTIONS(2904),
    [anon_sym_BANG_EQ] = ACTIONS(2906),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOLLAR] = ACTIONS(2904),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2906),
    [aux_sym_int_token1] = ACTIONS(2904),
    [aux_sym_xint_token1] = ACTIONS(2906),
    [aux_sym_xint_token2] = ACTIONS(2906),
    [aux_sym_xint_token3] = ACTIONS(2906),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2906),
  },
  [1930] = {
    [sym_xml_doc] = STATE(1930),
    [sym_block_comment] = STATE(1930),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(2902),
    [anon_sym_COLON] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_let_BANG] = ACTIONS(2902),
    [anon_sym_null] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(2900),
    [anon_sym_COLON_QMARK] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_return_BANG] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_yield_BANG] = ACTIONS(2902),
    [anon_sym_lazy] = ACTIONS(2900),
    [anon_sym_assert] = ACTIONS(2900),
    [anon_sym_upcast] = ACTIONS(2900),
    [anon_sym_downcast] = ACTIONS(2900),
    [anon_sym_LT_AT] = ACTIONS(2900),
    [anon_sym_AT_GT] = ACTIONS(2902),
    [anon_sym_LT_AT_AT] = ACTIONS(2900),
    [anon_sym_AT_AT_GT] = ACTIONS(2902),
    [anon_sym_COLON_GT] = ACTIONS(2902),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_fun] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_match] = ACTIONS(2900),
    [anon_sym_match_BANG] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_LT_DASH] = ACTIONS(2900),
    [anon_sym_DOT_LBRACK] = ACTIONS(2902),
    [anon_sym_DOT] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_use] = ACTIONS(2900),
    [anon_sym_use_BANG] = ACTIONS(2902),
    [anon_sym_do_BANG] = ACTIONS(2902),
    [anon_sym_DOT_DOT] = ACTIONS(2902),
    [anon_sym_begin] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_or] = ACTIONS(2900),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_AT_DQUOTE] = ACTIONS(2902),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2902),
    [sym_bool] = ACTIONS(2900),
    [sym_unit] = ACTIONS(2900),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2900),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_DOT] = ACTIONS(2900),
    [anon_sym_DASH_DOT] = ACTIONS(2900),
    [anon_sym_PERCENT] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2902),
    [aux_sym_prefix_op_token1] = ACTIONS(2902),
    [aux_sym_infix_op_token1] = ACTIONS(2900),
    [anon_sym_PIPE_PIPE] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_COLON_EQ] = ACTIONS(2902),
    [anon_sym_DOLLAR] = ACTIONS(2900),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2902),
    [aux_sym_int_token1] = ACTIONS(2900),
    [aux_sym_xint_token1] = ACTIONS(2902),
    [aux_sym_xint_token2] = ACTIONS(2902),
    [aux_sym_xint_token3] = ACTIONS(2902),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2902),
  },
  [1931] = {
    [sym_xml_doc] = STATE(1931),
    [sym_block_comment] = STATE(1931),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_QMARK] = ACTIONS(2316),
    [anon_sym_COLON_QMARK] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_AT_GT] = ACTIONS(2318),
    [anon_sym_LT_AT_AT] = ACTIONS(2316),
    [anon_sym_AT_AT_GT] = ACTIONS(2318),
    [anon_sym_COLON_GT] = ACTIONS(2318),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_LT_DASH] = ACTIONS(2316),
    [anon_sym_DOT_LBRACK] = ACTIONS(2318),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_LPAREN2] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2316),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2316),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2316),
    [anon_sym_DASH_DOT] = ACTIONS(2316),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_infix_op_token1] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_COLON_EQ] = ACTIONS(2318),
    [anon_sym_DOLLAR] = ACTIONS(2316),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2318),
    [sym__then] = ACTIONS(2318),
  },
  [1932] = {
    [sym_xml_doc] = STATE(1932),
    [sym_block_comment] = STATE(1932),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
    [sym__then] = ACTIONS(2730),
  },
  [1933] = {
    [sym_xml_doc] = STATE(1933),
    [sym_block_comment] = STATE(1933),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
    [sym__then] = ACTIONS(2740),
  },
  [1934] = {
    [sym_xml_doc] = STATE(1934),
    [sym_block_comment] = STATE(1934),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
    [sym__then] = ACTIONS(2744),
  },
  [1935] = {
    [sym_xml_doc] = STATE(1935),
    [sym_block_comment] = STATE(1935),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_EQ] = ACTIONS(2882),
    [anon_sym_COLON] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_let_BANG] = ACTIONS(2882),
    [anon_sym_null] = ACTIONS(2880),
    [anon_sym_QMARK] = ACTIONS(2880),
    [anon_sym_COLON_QMARK] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_COMMA] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_return_BANG] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_yield_BANG] = ACTIONS(2882),
    [anon_sym_lazy] = ACTIONS(2880),
    [anon_sym_assert] = ACTIONS(2880),
    [anon_sym_upcast] = ACTIONS(2880),
    [anon_sym_downcast] = ACTIONS(2880),
    [anon_sym_LT_AT] = ACTIONS(2880),
    [anon_sym_AT_GT] = ACTIONS(2882),
    [anon_sym_LT_AT_AT] = ACTIONS(2880),
    [anon_sym_AT_AT_GT] = ACTIONS(2882),
    [anon_sym_COLON_GT] = ACTIONS(2882),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_fun] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_match] = ACTIONS(2880),
    [anon_sym_match_BANG] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_LT_DASH] = ACTIONS(2880),
    [anon_sym_DOT_LBRACK] = ACTIONS(2882),
    [anon_sym_DOT] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_use] = ACTIONS(2880),
    [anon_sym_use_BANG] = ACTIONS(2882),
    [anon_sym_do_BANG] = ACTIONS(2882),
    [anon_sym_DOT_DOT] = ACTIONS(2882),
    [anon_sym_begin] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_or] = ACTIONS(2880),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_AT_DQUOTE] = ACTIONS(2882),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2882),
    [sym_bool] = ACTIONS(2880),
    [sym_unit] = ACTIONS(2880),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2880),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_DOT] = ACTIONS(2880),
    [anon_sym_DASH_DOT] = ACTIONS(2880),
    [anon_sym_PERCENT] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [aux_sym_prefix_op_token1] = ACTIONS(2882),
    [aux_sym_infix_op_token1] = ACTIONS(2880),
    [anon_sym_PIPE_PIPE] = ACTIONS(2880),
    [anon_sym_BANG_EQ] = ACTIONS(2882),
    [anon_sym_COLON_EQ] = ACTIONS(2882),
    [anon_sym_DOLLAR] = ACTIONS(2880),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2882),
    [aux_sym_int_token1] = ACTIONS(2880),
    [aux_sym_xint_token1] = ACTIONS(2882),
    [aux_sym_xint_token2] = ACTIONS(2882),
    [aux_sym_xint_token3] = ACTIONS(2882),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2882),
  },
  [1936] = {
    [sym_xml_doc] = STATE(1936),
    [sym_block_comment] = STATE(1936),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_EQ] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_let_BANG] = ACTIONS(2878),
    [anon_sym_null] = ACTIONS(2876),
    [anon_sym_QMARK] = ACTIONS(2876),
    [anon_sym_COLON_QMARK] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_COMMA] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_return_BANG] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_yield_BANG] = ACTIONS(2878),
    [anon_sym_lazy] = ACTIONS(2876),
    [anon_sym_assert] = ACTIONS(2876),
    [anon_sym_upcast] = ACTIONS(2876),
    [anon_sym_downcast] = ACTIONS(2876),
    [anon_sym_LT_AT] = ACTIONS(2876),
    [anon_sym_AT_GT] = ACTIONS(2878),
    [anon_sym_LT_AT_AT] = ACTIONS(2876),
    [anon_sym_AT_AT_GT] = ACTIONS(2878),
    [anon_sym_COLON_GT] = ACTIONS(2878),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_fun] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_match] = ACTIONS(2876),
    [anon_sym_match_BANG] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_LT_DASH] = ACTIONS(2876),
    [anon_sym_DOT_LBRACK] = ACTIONS(2878),
    [anon_sym_DOT] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_use] = ACTIONS(2876),
    [anon_sym_use_BANG] = ACTIONS(2878),
    [anon_sym_do_BANG] = ACTIONS(2878),
    [anon_sym_DOT_DOT] = ACTIONS(2878),
    [anon_sym_begin] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_or] = ACTIONS(2876),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_AT_DQUOTE] = ACTIONS(2878),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2878),
    [sym_bool] = ACTIONS(2876),
    [sym_unit] = ACTIONS(2876),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2876),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_DOT] = ACTIONS(2876),
    [anon_sym_DASH_DOT] = ACTIONS(2876),
    [anon_sym_PERCENT] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2878),
    [aux_sym_prefix_op_token1] = ACTIONS(2878),
    [aux_sym_infix_op_token1] = ACTIONS(2876),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_BANG_EQ] = ACTIONS(2878),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOLLAR] = ACTIONS(2876),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2878),
    [aux_sym_int_token1] = ACTIONS(2876),
    [aux_sym_xint_token1] = ACTIONS(2878),
    [aux_sym_xint_token2] = ACTIONS(2878),
    [aux_sym_xint_token3] = ACTIONS(2878),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2878),
  },
  [1937] = {
    [sym_xml_doc] = STATE(1937),
    [sym_block_comment] = STATE(1937),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_let_BANG] = ACTIONS(2851),
    [anon_sym_null] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_COLON_QMARK] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_return_BANG] = ACTIONS(2851),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_yield_BANG] = ACTIONS(2851),
    [anon_sym_lazy] = ACTIONS(2849),
    [anon_sym_assert] = ACTIONS(2849),
    [anon_sym_upcast] = ACTIONS(2849),
    [anon_sym_downcast] = ACTIONS(2849),
    [anon_sym_LT_AT] = ACTIONS(2849),
    [anon_sym_AT_GT] = ACTIONS(2851),
    [anon_sym_LT_AT_AT] = ACTIONS(2849),
    [anon_sym_AT_AT_GT] = ACTIONS(2851),
    [anon_sym_COLON_GT] = ACTIONS(2851),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_match_BANG] = ACTIONS(2851),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_LT_DASH] = ACTIONS(2849),
    [anon_sym_DOT_LBRACK] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_use_BANG] = ACTIONS(2851),
    [anon_sym_do_BANG] = ACTIONS(2851),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_begin] = ACTIONS(2849),
    [anon_sym_LPAREN2] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_AT_DQUOTE] = ACTIONS(2851),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2851),
    [sym_bool] = ACTIONS(2849),
    [sym_unit] = ACTIONS(2849),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2849),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_DOT] = ACTIONS(2849),
    [anon_sym_DASH_DOT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2851),
    [aux_sym_prefix_op_token1] = ACTIONS(2851),
    [aux_sym_infix_op_token1] = ACTIONS(2849),
    [anon_sym_PIPE_PIPE] = ACTIONS(2849),
    [anon_sym_BANG_EQ] = ACTIONS(2851),
    [anon_sym_COLON_EQ] = ACTIONS(2851),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2851),
    [aux_sym_int_token1] = ACTIONS(2849),
    [aux_sym_xint_token1] = ACTIONS(2851),
    [aux_sym_xint_token2] = ACTIONS(2851),
    [aux_sym_xint_token3] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2851),
  },
  [1938] = {
    [sym_xml_doc] = STATE(1938),
    [sym_block_comment] = STATE(1938),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_let_BANG] = ACTIONS(2791),
    [anon_sym_null] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_COLON_QMARK] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2791),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_return_BANG] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_yield_BANG] = ACTIONS(2791),
    [anon_sym_lazy] = ACTIONS(2789),
    [anon_sym_assert] = ACTIONS(2789),
    [anon_sym_upcast] = ACTIONS(2789),
    [anon_sym_downcast] = ACTIONS(2789),
    [anon_sym_LT_AT] = ACTIONS(2789),
    [anon_sym_AT_GT] = ACTIONS(2791),
    [anon_sym_LT_AT_AT] = ACTIONS(2789),
    [anon_sym_AT_AT_GT] = ACTIONS(2791),
    [anon_sym_COLON_GT] = ACTIONS(2791),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2791),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_match_BANG] = ACTIONS(2791),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_LT_DASH] = ACTIONS(2789),
    [anon_sym_DOT_LBRACK] = ACTIONS(2791),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_use] = ACTIONS(2789),
    [anon_sym_use_BANG] = ACTIONS(2791),
    [anon_sym_do_BANG] = ACTIONS(2791),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_begin] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_AT_DQUOTE] = ACTIONS(2791),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2791),
    [sym_bool] = ACTIONS(2789),
    [sym_unit] = ACTIONS(2789),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2789),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_DOT] = ACTIONS(2789),
    [anon_sym_DASH_DOT] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2791),
    [aux_sym_prefix_op_token1] = ACTIONS(2791),
    [aux_sym_infix_op_token1] = ACTIONS(2789),
    [anon_sym_PIPE_PIPE] = ACTIONS(2789),
    [anon_sym_BANG_EQ] = ACTIONS(2791),
    [anon_sym_COLON_EQ] = ACTIONS(2791),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2791),
    [aux_sym_int_token1] = ACTIONS(2789),
    [aux_sym_xint_token1] = ACTIONS(2791),
    [aux_sym_xint_token2] = ACTIONS(2791),
    [aux_sym_xint_token3] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2791),
  },
  [1939] = {
    [sym_xml_doc] = STATE(1939),
    [sym_block_comment] = STATE(1939),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_let_BANG] = ACTIONS(2779),
    [anon_sym_null] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_COLON_QMARK] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_return_BANG] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_yield_BANG] = ACTIONS(2779),
    [anon_sym_lazy] = ACTIONS(2777),
    [anon_sym_assert] = ACTIONS(2777),
    [anon_sym_upcast] = ACTIONS(2777),
    [anon_sym_downcast] = ACTIONS(2777),
    [anon_sym_LT_AT] = ACTIONS(2777),
    [anon_sym_AT_GT] = ACTIONS(2779),
    [anon_sym_LT_AT_AT] = ACTIONS(2777),
    [anon_sym_AT_AT_GT] = ACTIONS(2779),
    [anon_sym_COLON_GT] = ACTIONS(2779),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_fun] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_match_BANG] = ACTIONS(2779),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_LT_DASH] = ACTIONS(2777),
    [anon_sym_DOT_LBRACK] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_use] = ACTIONS(2777),
    [anon_sym_use_BANG] = ACTIONS(2779),
    [anon_sym_do_BANG] = ACTIONS(2779),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [anon_sym_AT_DQUOTE] = ACTIONS(2779),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2779),
    [sym_bool] = ACTIONS(2777),
    [sym_unit] = ACTIONS(2777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_DOT] = ACTIONS(2777),
    [anon_sym_DASH_DOT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2779),
    [aux_sym_prefix_op_token1] = ACTIONS(2779),
    [aux_sym_infix_op_token1] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_COLON_EQ] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2779),
    [aux_sym_int_token1] = ACTIONS(2777),
    [aux_sym_xint_token1] = ACTIONS(2779),
    [aux_sym_xint_token2] = ACTIONS(2779),
    [aux_sym_xint_token3] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2779),
  },
  [1940] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(1940),
    [sym_block_comment] = STATE(1940),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(3451),
    [anon_sym_POUNDnowarn] = ACTIONS(3449),
    [anon_sym_POUNDr] = ACTIONS(3449),
    [anon_sym_POUNDload] = ACTIONS(3449),
    [anon_sym_open] = ACTIONS(3451),
    [anon_sym_LBRACK_LT] = ACTIONS(3449),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_type] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_and] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_let_BANG] = ACTIONS(3449),
    [aux_sym_access_modifier_token1] = ACTIONS(3449),
    [anon_sym_null] = ACTIONS(3451),
    [anon_sym_LPAREN] = ACTIONS(3451),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3449),
    [anon_sym_LBRACE] = ACTIONS(3451),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3449),
    [anon_sym_with] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_return_BANG] = ACTIONS(3449),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_yield_BANG] = ACTIONS(3449),
    [anon_sym_lazy] = ACTIONS(3451),
    [anon_sym_assert] = ACTIONS(3451),
    [anon_sym_upcast] = ACTIONS(3451),
    [anon_sym_downcast] = ACTIONS(3451),
    [anon_sym_LT_AT] = ACTIONS(3451),
    [anon_sym_LT_AT_AT] = ACTIONS(3449),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_fun] = ACTIONS(3451),
    [anon_sym_DASH_GT] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_match] = ACTIONS(3451),
    [anon_sym_match_BANG] = ACTIONS(3449),
    [anon_sym_function] = ACTIONS(3451),
    [anon_sym_use] = ACTIONS(3451),
    [anon_sym_use_BANG] = ACTIONS(3449),
    [anon_sym_do_BANG] = ACTIONS(3449),
    [anon_sym_begin] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_member] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_val] = ACTIONS(3451),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3451),
    [anon_sym_AT_DQUOTE] = ACTIONS(3449),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3449),
    [sym_bool] = ACTIONS(3451),
    [sym_unit] = ACTIONS(3449),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3449),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PLUS_DOT] = ACTIONS(3449),
    [anon_sym_DASH_DOT] = ACTIONS(3449),
    [anon_sym_PERCENT] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [aux_sym_prefix_op_token1] = ACTIONS(3449),
    [aux_sym_int_token1] = ACTIONS(3451),
    [aux_sym_xint_token1] = ACTIONS(3449),
    [aux_sym_xint_token2] = ACTIONS(3449),
    [aux_sym_xint_token3] = ACTIONS(3449),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3449),
  },
  [1941] = {
    [sym_xml_doc] = STATE(1941),
    [sym_block_comment] = STATE(1941),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_let_BANG] = ACTIONS(2771),
    [anon_sym_null] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_COLON_QMARK] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_return_BANG] = ACTIONS(2771),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_yield_BANG] = ACTIONS(2771),
    [anon_sym_lazy] = ACTIONS(2769),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_upcast] = ACTIONS(2769),
    [anon_sym_downcast] = ACTIONS(2769),
    [anon_sym_LT_AT] = ACTIONS(2769),
    [anon_sym_AT_GT] = ACTIONS(2771),
    [anon_sym_LT_AT_AT] = ACTIONS(2769),
    [anon_sym_AT_AT_GT] = ACTIONS(2771),
    [anon_sym_COLON_GT] = ACTIONS(2771),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_fun] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_match] = ACTIONS(2769),
    [anon_sym_match_BANG] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_LT_DASH] = ACTIONS(2769),
    [anon_sym_DOT_LBRACK] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_use] = ACTIONS(2769),
    [anon_sym_use_BANG] = ACTIONS(2771),
    [anon_sym_do_BANG] = ACTIONS(2771),
    [anon_sym_begin] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [anon_sym_AT_DQUOTE] = ACTIONS(2771),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2771),
    [sym_bool] = ACTIONS(2769),
    [sym_unit] = ACTIONS(2769),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2769),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_DOT] = ACTIONS(2769),
    [anon_sym_DASH_DOT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2771),
    [aux_sym_prefix_op_token1] = ACTIONS(2771),
    [aux_sym_infix_op_token1] = ACTIONS(2769),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_COLON_EQ] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2771),
    [aux_sym_int_token1] = ACTIONS(2769),
    [aux_sym_xint_token1] = ACTIONS(2771),
    [aux_sym_xint_token2] = ACTIONS(2771),
    [aux_sym_xint_token3] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2771),
    [sym__then] = ACTIONS(2771),
  },
  [1942] = {
    [sym_xml_doc] = STATE(1942),
    [sym_block_comment] = STATE(1942),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_let_BANG] = ACTIONS(2775),
    [anon_sym_null] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_COLON_QMARK] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_return_BANG] = ACTIONS(2775),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_yield_BANG] = ACTIONS(2775),
    [anon_sym_lazy] = ACTIONS(2773),
    [anon_sym_assert] = ACTIONS(2773),
    [anon_sym_upcast] = ACTIONS(2773),
    [anon_sym_downcast] = ACTIONS(2773),
    [anon_sym_LT_AT] = ACTIONS(2773),
    [anon_sym_AT_GT] = ACTIONS(2775),
    [anon_sym_LT_AT_AT] = ACTIONS(2773),
    [anon_sym_AT_AT_GT] = ACTIONS(2775),
    [anon_sym_COLON_GT] = ACTIONS(2775),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_match] = ACTIONS(2773),
    [anon_sym_match_BANG] = ACTIONS(2775),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_LT_DASH] = ACTIONS(2773),
    [anon_sym_DOT_LBRACK] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_use] = ACTIONS(2773),
    [anon_sym_use_BANG] = ACTIONS(2775),
    [anon_sym_do_BANG] = ACTIONS(2775),
    [anon_sym_begin] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [anon_sym_AT_DQUOTE] = ACTIONS(2775),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2775),
    [sym_bool] = ACTIONS(2773),
    [sym_unit] = ACTIONS(2773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_DOT] = ACTIONS(2773),
    [anon_sym_DASH_DOT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2775),
    [aux_sym_prefix_op_token1] = ACTIONS(2775),
    [aux_sym_infix_op_token1] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_COLON_EQ] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2775),
    [aux_sym_int_token1] = ACTIONS(2773),
    [aux_sym_xint_token1] = ACTIONS(2775),
    [aux_sym_xint_token2] = ACTIONS(2775),
    [aux_sym_xint_token3] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2775),
    [sym__then] = ACTIONS(2775),
  },
  [1943] = {
    [sym_xml_doc] = STATE(1943),
    [sym_block_comment] = STATE(1943),
    [ts_builtin_sym_end] = ACTIONS(2426),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_POUNDnowarn] = ACTIONS(2426),
    [anon_sym_POUNDr] = ACTIONS(2426),
    [anon_sym_POUNDload] = ACTIONS(2426),
    [anon_sym_open] = ACTIONS(2424),
    [anon_sym_LBRACK_LT] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_and] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [aux_sym_access_modifier_token1] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_LT_AT_AT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_member] = ACTIONS(2424),
    [anon_sym_interface] = ACTIONS(2424),
    [anon_sym_abstract] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_val] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2426),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2426),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2426),
    [anon_sym_DASH_DOT] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1944] = {
    [sym_attributes] = STATE(3706),
    [sym_attribute_set] = STATE(3115),
    [sym_access_modifier] = STATE(4516),
    [sym_member_defn] = STATE(2083),
    [sym_additional_constr_defn] = STATE(2101),
    [sym_xml_doc] = STATE(1944),
    [sym_block_comment] = STATE(1944),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym__member_defns_repeat1] = STATE(1962),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3520),
    [anon_sym_namespace] = ACTIONS(3520),
    [anon_sym_module] = ACTIONS(3520),
    [anon_sym_POUNDnowarn] = ACTIONS(3518),
    [anon_sym_POUNDr] = ACTIONS(3518),
    [anon_sym_POUNDload] = ACTIONS(3518),
    [anon_sym_open] = ACTIONS(3520),
    [anon_sym_LBRACK_LT] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3520),
    [anon_sym_type] = ACTIONS(3520),
    [anon_sym_do] = ACTIONS(3520),
    [anon_sym_and] = ACTIONS(3520),
    [anon_sym_let] = ACTIONS(3520),
    [anon_sym_let_BANG] = ACTIONS(3518),
    [aux_sym_access_modifier_token1] = ACTIONS(3472),
    [anon_sym_null] = ACTIONS(3520),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [anon_sym_LBRACK] = ACTIONS(3520),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(3520),
    [anon_sym_return_BANG] = ACTIONS(3518),
    [anon_sym_yield] = ACTIONS(3520),
    [anon_sym_yield_BANG] = ACTIONS(3518),
    [anon_sym_lazy] = ACTIONS(3520),
    [anon_sym_assert] = ACTIONS(3520),
    [anon_sym_upcast] = ACTIONS(3520),
    [anon_sym_downcast] = ACTIONS(3520),
    [anon_sym_LT_AT] = ACTIONS(3520),
    [anon_sym_LT_AT_AT] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3520),
    [anon_sym_while] = ACTIONS(3520),
    [anon_sym_if] = ACTIONS(3520),
    [anon_sym_fun] = ACTIONS(3520),
    [anon_sym_try] = ACTIONS(3520),
    [anon_sym_match] = ACTIONS(3520),
    [anon_sym_match_BANG] = ACTIONS(3518),
    [anon_sym_function] = ACTIONS(3520),
    [anon_sym_use] = ACTIONS(3520),
    [anon_sym_use_BANG] = ACTIONS(3518),
    [anon_sym_do_BANG] = ACTIONS(3518),
    [anon_sym_begin] = ACTIONS(3520),
    [anon_sym_SQUOTE] = ACTIONS(3518),
    [anon_sym_static] = ACTIONS(3474),
    [anon_sym_member] = ACTIONS(3476),
    [anon_sym_abstract] = ACTIONS(3478),
    [anon_sym_override] = ACTIONS(3480),
    [anon_sym_default] = ACTIONS(3480),
    [anon_sym_val] = ACTIONS(3482),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3520),
    [anon_sym_DQUOTE] = ACTIONS(3520),
    [anon_sym_AT_DQUOTE] = ACTIONS(3518),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3518),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3518),
    [sym_bool] = ACTIONS(3520),
    [sym_unit] = ACTIONS(3518),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3518),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_PLUS_DOT] = ACTIONS(3518),
    [anon_sym_DASH_DOT] = ACTIONS(3518),
    [anon_sym_PERCENT] = ACTIONS(3518),
    [anon_sym_AMP_AMP] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3518),
    [aux_sym_prefix_op_token1] = ACTIONS(3518),
    [aux_sym_int_token1] = ACTIONS(3520),
    [aux_sym_xint_token1] = ACTIONS(3518),
    [aux_sym_xint_token2] = ACTIONS(3518),
    [aux_sym_xint_token3] = ACTIONS(3518),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1945] = {
    [sym_xml_doc] = STATE(1945),
    [sym_block_comment] = STATE(1945),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_let_BANG] = ACTIONS(2799),
    [anon_sym_null] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_COLON_QMARK] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2799),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_return_BANG] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_yield_BANG] = ACTIONS(2799),
    [anon_sym_lazy] = ACTIONS(2797),
    [anon_sym_assert] = ACTIONS(2797),
    [anon_sym_upcast] = ACTIONS(2797),
    [anon_sym_downcast] = ACTIONS(2797),
    [anon_sym_LT_AT] = ACTIONS(2797),
    [anon_sym_AT_GT] = ACTIONS(2799),
    [anon_sym_LT_AT_AT] = ACTIONS(2797),
    [anon_sym_AT_AT_GT] = ACTIONS(2799),
    [anon_sym_COLON_GT] = ACTIONS(2799),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2799),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_match_BANG] = ACTIONS(2799),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_LT_DASH] = ACTIONS(2797),
    [anon_sym_DOT_LBRACK] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_use_BANG] = ACTIONS(2799),
    [anon_sym_do_BANG] = ACTIONS(2799),
    [anon_sym_begin] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2797),
    [anon_sym_AT_DQUOTE] = ACTIONS(2799),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2799),
    [sym_bool] = ACTIONS(2797),
    [sym_unit] = ACTIONS(2797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS_DOT] = ACTIONS(2797),
    [anon_sym_DASH_DOT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [aux_sym_prefix_op_token1] = ACTIONS(2799),
    [aux_sym_infix_op_token1] = ACTIONS(2797),
    [anon_sym_PIPE_PIPE] = ACTIONS(2797),
    [anon_sym_BANG_EQ] = ACTIONS(2799),
    [anon_sym_COLON_EQ] = ACTIONS(2799),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2799),
    [aux_sym_int_token1] = ACTIONS(2797),
    [aux_sym_xint_token1] = ACTIONS(2799),
    [aux_sym_xint_token2] = ACTIONS(2799),
    [aux_sym_xint_token3] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2799),
    [sym__then] = ACTIONS(2799),
  },
  [1946] = {
    [sym_xml_doc] = STATE(1946),
    [sym_block_comment] = STATE(1946),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_let_BANG] = ACTIONS(2744),
    [anon_sym_null] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_COLON_QMARK] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_return_BANG] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_yield_BANG] = ACTIONS(2744),
    [anon_sym_lazy] = ACTIONS(2742),
    [anon_sym_assert] = ACTIONS(2742),
    [anon_sym_upcast] = ACTIONS(2742),
    [anon_sym_downcast] = ACTIONS(2742),
    [anon_sym_LT_AT] = ACTIONS(2742),
    [anon_sym_AT_GT] = ACTIONS(2744),
    [anon_sym_LT_AT_AT] = ACTIONS(2742),
    [anon_sym_AT_AT_GT] = ACTIONS(2744),
    [anon_sym_COLON_GT] = ACTIONS(2744),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_fun] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_match] = ACTIONS(2742),
    [anon_sym_match_BANG] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_LT_DASH] = ACTIONS(2742),
    [anon_sym_DOT_LBRACK] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_use] = ACTIONS(2742),
    [anon_sym_use_BANG] = ACTIONS(2744),
    [anon_sym_do_BANG] = ACTIONS(2744),
    [anon_sym_DOT_DOT] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_or] = ACTIONS(2742),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_AT_DQUOTE] = ACTIONS(2744),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2744),
    [sym_bool] = ACTIONS(2742),
    [sym_unit] = ACTIONS(2742),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2742),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_DOT] = ACTIONS(2742),
    [anon_sym_DASH_DOT] = ACTIONS(2742),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2744),
    [aux_sym_prefix_op_token1] = ACTIONS(2744),
    [aux_sym_infix_op_token1] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_COLON_EQ] = ACTIONS(2744),
    [anon_sym_DOLLAR] = ACTIONS(2742),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2744),
    [aux_sym_int_token1] = ACTIONS(2742),
    [aux_sym_xint_token1] = ACTIONS(2744),
    [aux_sym_xint_token2] = ACTIONS(2744),
    [aux_sym_xint_token3] = ACTIONS(2744),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2744),
  },
  [1947] = {
    [sym_xml_doc] = STATE(1947),
    [sym_block_comment] = STATE(1947),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(2740),
    [anon_sym_COLON] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_let_BANG] = ACTIONS(2740),
    [anon_sym_null] = ACTIONS(2738),
    [anon_sym_QMARK] = ACTIONS(2738),
    [anon_sym_COLON_QMARK] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_COMMA] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_return_BANG] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_yield_BANG] = ACTIONS(2740),
    [anon_sym_lazy] = ACTIONS(2738),
    [anon_sym_assert] = ACTIONS(2738),
    [anon_sym_upcast] = ACTIONS(2738),
    [anon_sym_downcast] = ACTIONS(2738),
    [anon_sym_LT_AT] = ACTIONS(2738),
    [anon_sym_AT_GT] = ACTIONS(2740),
    [anon_sym_LT_AT_AT] = ACTIONS(2738),
    [anon_sym_AT_AT_GT] = ACTIONS(2740),
    [anon_sym_COLON_GT] = ACTIONS(2740),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_fun] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_match] = ACTIONS(2738),
    [anon_sym_match_BANG] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_LT_DASH] = ACTIONS(2738),
    [anon_sym_DOT_LBRACK] = ACTIONS(2740),
    [anon_sym_DOT] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_use] = ACTIONS(2738),
    [anon_sym_use_BANG] = ACTIONS(2740),
    [anon_sym_do_BANG] = ACTIONS(2740),
    [anon_sym_DOT_DOT] = ACTIONS(2740),
    [anon_sym_begin] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_or] = ACTIONS(2738),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_AT_DQUOTE] = ACTIONS(2740),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2740),
    [sym_bool] = ACTIONS(2738),
    [sym_unit] = ACTIONS(2738),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2738),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_DOT] = ACTIONS(2738),
    [anon_sym_DASH_DOT] = ACTIONS(2738),
    [anon_sym_PERCENT] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2740),
    [aux_sym_prefix_op_token1] = ACTIONS(2740),
    [aux_sym_infix_op_token1] = ACTIONS(2738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2738),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [anon_sym_COLON_EQ] = ACTIONS(2740),
    [anon_sym_DOLLAR] = ACTIONS(2738),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2740),
    [aux_sym_int_token1] = ACTIONS(2738),
    [aux_sym_xint_token1] = ACTIONS(2740),
    [aux_sym_xint_token2] = ACTIONS(2740),
    [aux_sym_xint_token3] = ACTIONS(2740),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2740),
  },
  [1948] = {
    [sym_xml_doc] = STATE(1948),
    [sym_block_comment] = STATE(1948),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_let_BANG] = ACTIONS(2730),
    [anon_sym_null] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_COLON_QMARK] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2730),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_return_BANG] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_yield_BANG] = ACTIONS(2730),
    [anon_sym_lazy] = ACTIONS(2728),
    [anon_sym_assert] = ACTIONS(2728),
    [anon_sym_upcast] = ACTIONS(2728),
    [anon_sym_downcast] = ACTIONS(2728),
    [anon_sym_LT_AT] = ACTIONS(2728),
    [anon_sym_AT_GT] = ACTIONS(2730),
    [anon_sym_LT_AT_AT] = ACTIONS(2728),
    [anon_sym_AT_AT_GT] = ACTIONS(2730),
    [anon_sym_COLON_GT] = ACTIONS(2730),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_fun] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_match] = ACTIONS(2728),
    [anon_sym_match_BANG] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_LT_DASH] = ACTIONS(2728),
    [anon_sym_DOT_LBRACK] = ACTIONS(2730),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_use] = ACTIONS(2728),
    [anon_sym_use_BANG] = ACTIONS(2730),
    [anon_sym_do_BANG] = ACTIONS(2730),
    [anon_sym_DOT_DOT] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_or] = ACTIONS(2728),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_AT_DQUOTE] = ACTIONS(2730),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2730),
    [sym_bool] = ACTIONS(2728),
    [sym_unit] = ACTIONS(2728),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2728),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_DOT] = ACTIONS(2728),
    [anon_sym_DASH_DOT] = ACTIONS(2728),
    [anon_sym_PERCENT] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2730),
    [aux_sym_prefix_op_token1] = ACTIONS(2730),
    [aux_sym_infix_op_token1] = ACTIONS(2728),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2730),
    [anon_sym_COLON_EQ] = ACTIONS(2730),
    [anon_sym_DOLLAR] = ACTIONS(2728),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2730),
    [aux_sym_int_token1] = ACTIONS(2728),
    [aux_sym_xint_token1] = ACTIONS(2730),
    [aux_sym_xint_token2] = ACTIONS(2730),
    [aux_sym_xint_token3] = ACTIONS(2730),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2730),
  },
  [1949] = {
    [sym_xml_doc] = STATE(1949),
    [sym_block_comment] = STATE(1949),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_let_BANG] = ACTIONS(2807),
    [anon_sym_null] = ACTIONS(2805),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_COLON_QMARK] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2807),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_return_BANG] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_yield_BANG] = ACTIONS(2807),
    [anon_sym_lazy] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(2805),
    [anon_sym_upcast] = ACTIONS(2805),
    [anon_sym_downcast] = ACTIONS(2805),
    [anon_sym_LT_AT] = ACTIONS(2805),
    [anon_sym_AT_GT] = ACTIONS(2807),
    [anon_sym_LT_AT_AT] = ACTIONS(2805),
    [anon_sym_AT_AT_GT] = ACTIONS(2807),
    [anon_sym_COLON_GT] = ACTIONS(2807),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2807),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_match_BANG] = ACTIONS(2807),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_LT_DASH] = ACTIONS(2805),
    [anon_sym_DOT_LBRACK] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_use_BANG] = ACTIONS(2807),
    [anon_sym_do_BANG] = ACTIONS(2807),
    [anon_sym_begin] = ACTIONS(2805),
    [anon_sym_LPAREN2] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [anon_sym_AT_DQUOTE] = ACTIONS(2807),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2807),
    [sym_bool] = ACTIONS(2805),
    [sym_unit] = ACTIONS(2805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_DOT] = ACTIONS(2805),
    [anon_sym_DASH_DOT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2807),
    [aux_sym_prefix_op_token1] = ACTIONS(2807),
    [aux_sym_infix_op_token1] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2807),
    [anon_sym_COLON_EQ] = ACTIONS(2807),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2807),
    [aux_sym_int_token1] = ACTIONS(2805),
    [aux_sym_xint_token1] = ACTIONS(2807),
    [aux_sym_xint_token2] = ACTIONS(2807),
    [aux_sym_xint_token3] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2807),
    [sym__then] = ACTIONS(2807),
  },
  [1950] = {
    [sym_xml_doc] = STATE(1950),
    [sym_block_comment] = STATE(1950),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_let_BANG] = ACTIONS(2811),
    [anon_sym_null] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_COLON_QMARK] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2811),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_return_BANG] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_yield_BANG] = ACTIONS(2811),
    [anon_sym_lazy] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(2809),
    [anon_sym_upcast] = ACTIONS(2809),
    [anon_sym_downcast] = ACTIONS(2809),
    [anon_sym_LT_AT] = ACTIONS(2809),
    [anon_sym_AT_GT] = ACTIONS(2811),
    [anon_sym_LT_AT_AT] = ACTIONS(2809),
    [anon_sym_AT_AT_GT] = ACTIONS(2811),
    [anon_sym_COLON_GT] = ACTIONS(2811),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2811),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_fun] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_match_BANG] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_LT_DASH] = ACTIONS(2809),
    [anon_sym_DOT_LBRACK] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_use_BANG] = ACTIONS(2811),
    [anon_sym_do_BANG] = ACTIONS(2811),
    [anon_sym_begin] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2809),
    [anon_sym_AT_DQUOTE] = ACTIONS(2811),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2811),
    [sym_bool] = ACTIONS(2809),
    [sym_unit] = ACTIONS(2809),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2809),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS_DOT] = ACTIONS(2809),
    [anon_sym_DASH_DOT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [aux_sym_prefix_op_token1] = ACTIONS(2811),
    [aux_sym_infix_op_token1] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2811),
    [anon_sym_COLON_EQ] = ACTIONS(2811),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2811),
    [aux_sym_int_token1] = ACTIONS(2809),
    [aux_sym_xint_token1] = ACTIONS(2811),
    [aux_sym_xint_token2] = ACTIONS(2811),
    [aux_sym_xint_token3] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2811),
    [sym__then] = ACTIONS(2811),
  },
  [1951] = {
    [sym_xml_doc] = STATE(1951),
    [sym_block_comment] = STATE(1951),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_let_BANG] = ACTIONS(2815),
    [anon_sym_null] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_COLON_QMARK] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_return_BANG] = ACTIONS(2815),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_yield_BANG] = ACTIONS(2815),
    [anon_sym_lazy] = ACTIONS(2813),
    [anon_sym_assert] = ACTIONS(2813),
    [anon_sym_upcast] = ACTIONS(2813),
    [anon_sym_downcast] = ACTIONS(2813),
    [anon_sym_LT_AT] = ACTIONS(2813),
    [anon_sym_AT_GT] = ACTIONS(2815),
    [anon_sym_LT_AT_AT] = ACTIONS(2813),
    [anon_sym_AT_AT_GT] = ACTIONS(2815),
    [anon_sym_COLON_GT] = ACTIONS(2815),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_fun] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_match_BANG] = ACTIONS(2815),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_LT_DASH] = ACTIONS(2813),
    [anon_sym_DOT_LBRACK] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_use_BANG] = ACTIONS(2815),
    [anon_sym_do_BANG] = ACTIONS(2815),
    [anon_sym_begin] = ACTIONS(2813),
    [anon_sym_LPAREN2] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2813),
    [anon_sym_AT_DQUOTE] = ACTIONS(2815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2815),
    [sym_bool] = ACTIONS(2813),
    [sym_unit] = ACTIONS(2813),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2813),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_PLUS_DOT] = ACTIONS(2813),
    [anon_sym_DASH_DOT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2815),
    [aux_sym_prefix_op_token1] = ACTIONS(2815),
    [aux_sym_infix_op_token1] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2813),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2815),
    [aux_sym_int_token1] = ACTIONS(2813),
    [aux_sym_xint_token1] = ACTIONS(2815),
    [aux_sym_xint_token2] = ACTIONS(2815),
    [aux_sym_xint_token3] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2815),
    [sym__then] = ACTIONS(2815),
  },
  [1952] = {
    [sym_xml_doc] = STATE(1952),
    [sym_block_comment] = STATE(1952),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_let_BANG] = ACTIONS(2819),
    [anon_sym_null] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_COLON_QMARK] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_return_BANG] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_yield_BANG] = ACTIONS(2819),
    [anon_sym_lazy] = ACTIONS(2817),
    [anon_sym_assert] = ACTIONS(2817),
    [anon_sym_upcast] = ACTIONS(2817),
    [anon_sym_downcast] = ACTIONS(2817),
    [anon_sym_LT_AT] = ACTIONS(2817),
    [anon_sym_AT_GT] = ACTIONS(2819),
    [anon_sym_LT_AT_AT] = ACTIONS(2817),
    [anon_sym_AT_AT_GT] = ACTIONS(2819),
    [anon_sym_COLON_GT] = ACTIONS(2819),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_match_BANG] = ACTIONS(2819),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_DOT_LBRACK] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_use_BANG] = ACTIONS(2819),
    [anon_sym_do_BANG] = ACTIONS(2819),
    [anon_sym_begin] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [anon_sym_AT_DQUOTE] = ACTIONS(2819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2819),
    [sym_bool] = ACTIONS(2817),
    [sym_unit] = ACTIONS(2817),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2817),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_DOT] = ACTIONS(2817),
    [anon_sym_DASH_DOT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2819),
    [aux_sym_prefix_op_token1] = ACTIONS(2819),
    [aux_sym_infix_op_token1] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_COLON_EQ] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2819),
    [aux_sym_int_token1] = ACTIONS(2817),
    [aux_sym_xint_token1] = ACTIONS(2819),
    [aux_sym_xint_token2] = ACTIONS(2819),
    [aux_sym_xint_token3] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2819),
    [sym__then] = ACTIONS(2819),
  },
  [1953] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(1953),
    [sym_block_comment] = STATE(1953),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(3443),
    [anon_sym_POUNDnowarn] = ACTIONS(3441),
    [anon_sym_POUNDr] = ACTIONS(3441),
    [anon_sym_POUNDload] = ACTIONS(3441),
    [anon_sym_open] = ACTIONS(3443),
    [anon_sym_LBRACK_LT] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_type] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_and] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3443),
    [anon_sym_let_BANG] = ACTIONS(3441),
    [aux_sym_access_modifier_token1] = ACTIONS(3441),
    [anon_sym_null] = ACTIONS(3443),
    [anon_sym_LPAREN] = ACTIONS(3443),
    [anon_sym_AMP] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3441),
    [anon_sym_LBRACE] = ACTIONS(3443),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3441),
    [anon_sym_with] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_return_BANG] = ACTIONS(3441),
    [anon_sym_yield] = ACTIONS(3443),
    [anon_sym_yield_BANG] = ACTIONS(3441),
    [anon_sym_lazy] = ACTIONS(3443),
    [anon_sym_assert] = ACTIONS(3443),
    [anon_sym_upcast] = ACTIONS(3443),
    [anon_sym_downcast] = ACTIONS(3443),
    [anon_sym_LT_AT] = ACTIONS(3443),
    [anon_sym_LT_AT_AT] = ACTIONS(3441),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_fun] = ACTIONS(3443),
    [anon_sym_DASH_GT] = ACTIONS(3445),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_match] = ACTIONS(3443),
    [anon_sym_match_BANG] = ACTIONS(3441),
    [anon_sym_function] = ACTIONS(3443),
    [anon_sym_use] = ACTIONS(3443),
    [anon_sym_use_BANG] = ACTIONS(3441),
    [anon_sym_do_BANG] = ACTIONS(3441),
    [anon_sym_begin] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_member] = ACTIONS(3443),
    [anon_sym_abstract] = ACTIONS(3443),
    [anon_sym_override] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_val] = ACTIONS(3443),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3443),
    [anon_sym_DQUOTE] = ACTIONS(3443),
    [anon_sym_AT_DQUOTE] = ACTIONS(3441),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3441),
    [sym_bool] = ACTIONS(3443),
    [sym_unit] = ACTIONS(3441),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3441),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_PLUS_DOT] = ACTIONS(3441),
    [anon_sym_DASH_DOT] = ACTIONS(3441),
    [anon_sym_PERCENT] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [aux_sym_prefix_op_token1] = ACTIONS(3441),
    [aux_sym_int_token1] = ACTIONS(3443),
    [aux_sym_xint_token1] = ACTIONS(3441),
    [aux_sym_xint_token2] = ACTIONS(3441),
    [aux_sym_xint_token3] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3441),
  },
  [1954] = {
    [sym_xml_doc] = STATE(1954),
    [sym_block_comment] = STATE(1954),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_let_BANG] = ACTIONS(2827),
    [anon_sym_null] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_COLON_QMARK] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_return_BANG] = ACTIONS(2827),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_yield_BANG] = ACTIONS(2827),
    [anon_sym_lazy] = ACTIONS(2825),
    [anon_sym_assert] = ACTIONS(2825),
    [anon_sym_upcast] = ACTIONS(2825),
    [anon_sym_downcast] = ACTIONS(2825),
    [anon_sym_LT_AT] = ACTIONS(2825),
    [anon_sym_AT_GT] = ACTIONS(2827),
    [anon_sym_LT_AT_AT] = ACTIONS(2825),
    [anon_sym_AT_AT_GT] = ACTIONS(2827),
    [anon_sym_COLON_GT] = ACTIONS(2827),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_fun] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_match_BANG] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_LT_DASH] = ACTIONS(2825),
    [anon_sym_DOT_LBRACK] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_use_BANG] = ACTIONS(2827),
    [anon_sym_do_BANG] = ACTIONS(2827),
    [anon_sym_begin] = ACTIONS(2825),
    [anon_sym_LPAREN2] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [anon_sym_AT_DQUOTE] = ACTIONS(2827),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2827),
    [sym_bool] = ACTIONS(2825),
    [sym_unit] = ACTIONS(2825),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2825),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_DOT] = ACTIONS(2825),
    [anon_sym_DASH_DOT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2827),
    [aux_sym_prefix_op_token1] = ACTIONS(2827),
    [aux_sym_infix_op_token1] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_COLON_EQ] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2827),
    [aux_sym_int_token1] = ACTIONS(2825),
    [aux_sym_xint_token1] = ACTIONS(2827),
    [aux_sym_xint_token2] = ACTIONS(2827),
    [aux_sym_xint_token3] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2827),
    [sym__then] = ACTIONS(2827),
  },
  [1955] = {
    [sym_xml_doc] = STATE(1955),
    [sym_block_comment] = STATE(1955),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_let_BANG] = ACTIONS(2831),
    [anon_sym_null] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_COLON_QMARK] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_return_BANG] = ACTIONS(2831),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_yield_BANG] = ACTIONS(2831),
    [anon_sym_lazy] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(2829),
    [anon_sym_upcast] = ACTIONS(2829),
    [anon_sym_downcast] = ACTIONS(2829),
    [anon_sym_LT_AT] = ACTIONS(2829),
    [anon_sym_AT_GT] = ACTIONS(2831),
    [anon_sym_LT_AT_AT] = ACTIONS(2829),
    [anon_sym_AT_AT_GT] = ACTIONS(2831),
    [anon_sym_COLON_GT] = ACTIONS(2831),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_fun] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_match_BANG] = ACTIONS(2831),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_LT_DASH] = ACTIONS(2829),
    [anon_sym_DOT_LBRACK] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_use_BANG] = ACTIONS(2831),
    [anon_sym_do_BANG] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2829),
    [anon_sym_LPAREN2] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [anon_sym_AT_DQUOTE] = ACTIONS(2831),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2831),
    [sym_bool] = ACTIONS(2829),
    [sym_unit] = ACTIONS(2829),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2829),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_DOT] = ACTIONS(2829),
    [anon_sym_DASH_DOT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2831),
    [aux_sym_prefix_op_token1] = ACTIONS(2831),
    [aux_sym_infix_op_token1] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2831),
    [anon_sym_COLON_EQ] = ACTIONS(2831),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2831),
    [aux_sym_int_token1] = ACTIONS(2829),
    [aux_sym_xint_token1] = ACTIONS(2831),
    [aux_sym_xint_token2] = ACTIONS(2831),
    [aux_sym_xint_token3] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2831),
    [sym__then] = ACTIONS(2831),
  },
  [1956] = {
    [sym_xml_doc] = STATE(1956),
    [sym_block_comment] = STATE(1956),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_let_BANG] = ACTIONS(2835),
    [anon_sym_null] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_COLON_QMARK] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_return_BANG] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_yield_BANG] = ACTIONS(2835),
    [anon_sym_lazy] = ACTIONS(2833),
    [anon_sym_assert] = ACTIONS(2833),
    [anon_sym_upcast] = ACTIONS(2833),
    [anon_sym_downcast] = ACTIONS(2833),
    [anon_sym_LT_AT] = ACTIONS(2833),
    [anon_sym_AT_GT] = ACTIONS(2835),
    [anon_sym_LT_AT_AT] = ACTIONS(2833),
    [anon_sym_AT_AT_GT] = ACTIONS(2835),
    [anon_sym_COLON_GT] = ACTIONS(2835),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_fun] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_match_BANG] = ACTIONS(2835),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_LT_DASH] = ACTIONS(2833),
    [anon_sym_DOT_LBRACK] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_use_BANG] = ACTIONS(2835),
    [anon_sym_do_BANG] = ACTIONS(2835),
    [anon_sym_begin] = ACTIONS(2833),
    [anon_sym_LPAREN2] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [anon_sym_AT_DQUOTE] = ACTIONS(2835),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2835),
    [sym_bool] = ACTIONS(2833),
    [sym_unit] = ACTIONS(2833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_DOT] = ACTIONS(2833),
    [anon_sym_DASH_DOT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2835),
    [aux_sym_prefix_op_token1] = ACTIONS(2835),
    [aux_sym_infix_op_token1] = ACTIONS(2833),
    [anon_sym_PIPE_PIPE] = ACTIONS(2833),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_COLON_EQ] = ACTIONS(2835),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2835),
    [aux_sym_int_token1] = ACTIONS(2833),
    [aux_sym_xint_token1] = ACTIONS(2835),
    [aux_sym_xint_token2] = ACTIONS(2835),
    [aux_sym_xint_token3] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2835),
    [sym__then] = ACTIONS(2835),
  },
  [1957] = {
    [sym_xml_doc] = STATE(1957),
    [sym_block_comment] = STATE(1957),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_DOT_DOT] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
  },
  [1958] = {
    [sym_xml_doc] = STATE(1958),
    [sym_block_comment] = STATE(1958),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_EQ] = ACTIONS(2890),
    [anon_sym_COLON] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_QMARK] = ACTIONS(2888),
    [anon_sym_COLON_QMARK] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_COMMA] = ACTIONS(2890),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_AT_GT] = ACTIONS(2890),
    [anon_sym_LT_AT_AT] = ACTIONS(2888),
    [anon_sym_AT_AT_GT] = ACTIONS(2890),
    [anon_sym_COLON_GT] = ACTIONS(2890),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_LT_DASH] = ACTIONS(2888),
    [anon_sym_DOT_LBRACK] = ACTIONS(2890),
    [anon_sym_DOT] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_DOT_DOT] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_or] = ACTIONS(2888),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2888),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2888),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2888),
    [anon_sym_DASH_DOT] = ACTIONS(2888),
    [anon_sym_PERCENT] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_infix_op_token1] = ACTIONS(2888),
    [anon_sym_PIPE_PIPE] = ACTIONS(2888),
    [anon_sym_BANG_EQ] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2890),
    [anon_sym_DOLLAR] = ACTIONS(2888),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2890),
  },
  [1959] = {
    [sym_xml_doc] = STATE(1959),
    [sym_block_comment] = STATE(1959),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_QMARK] = ACTIONS(2896),
    [anon_sym_COLON_QMARK] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_AT_GT] = ACTIONS(2898),
    [anon_sym_LT_AT_AT] = ACTIONS(2896),
    [anon_sym_AT_AT_GT] = ACTIONS(2898),
    [anon_sym_COLON_GT] = ACTIONS(2898),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_LT_DASH] = ACTIONS(2896),
    [anon_sym_DOT_LBRACK] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_DOT_DOT] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2896),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2896),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2896),
    [anon_sym_DASH_DOT] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_infix_op_token1] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2898),
    [anon_sym_COLON_EQ] = ACTIONS(2898),
    [anon_sym_DOLLAR] = ACTIONS(2896),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2898),
  },
  [1960] = {
    [sym_xml_doc] = STATE(1960),
    [sym_block_comment] = STATE(1960),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_EQ] = ACTIONS(2694),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_let_BANG] = ACTIONS(2694),
    [anon_sym_null] = ACTIONS(2692),
    [anon_sym_QMARK] = ACTIONS(2692),
    [anon_sym_COLON_QMARK] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_return_BANG] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_yield_BANG] = ACTIONS(2694),
    [anon_sym_lazy] = ACTIONS(2692),
    [anon_sym_assert] = ACTIONS(2692),
    [anon_sym_upcast] = ACTIONS(2692),
    [anon_sym_downcast] = ACTIONS(2692),
    [anon_sym_LT_AT] = ACTIONS(2692),
    [anon_sym_AT_GT] = ACTIONS(2694),
    [anon_sym_LT_AT_AT] = ACTIONS(2692),
    [anon_sym_AT_AT_GT] = ACTIONS(2694),
    [anon_sym_COLON_GT] = ACTIONS(2694),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_fun] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_match] = ACTIONS(2692),
    [anon_sym_match_BANG] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_LT_DASH] = ACTIONS(2692),
    [anon_sym_DOT_LBRACK] = ACTIONS(2694),
    [anon_sym_DOT] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_use] = ACTIONS(2692),
    [anon_sym_use_BANG] = ACTIONS(2694),
    [anon_sym_do_BANG] = ACTIONS(2694),
    [anon_sym_DOT_DOT] = ACTIONS(2694),
    [anon_sym_begin] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_or] = ACTIONS(2692),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_AT_DQUOTE] = ACTIONS(2694),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2694),
    [sym_bool] = ACTIONS(2692),
    [sym_unit] = ACTIONS(2692),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2692),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_DOT] = ACTIONS(2692),
    [anon_sym_DASH_DOT] = ACTIONS(2692),
    [anon_sym_PERCENT] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2694),
    [aux_sym_prefix_op_token1] = ACTIONS(2694),
    [aux_sym_infix_op_token1] = ACTIONS(2692),
    [anon_sym_PIPE_PIPE] = ACTIONS(2692),
    [anon_sym_BANG_EQ] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2694),
    [anon_sym_DOLLAR] = ACTIONS(2692),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2694),
    [aux_sym_int_token1] = ACTIONS(2692),
    [aux_sym_xint_token1] = ACTIONS(2694),
    [aux_sym_xint_token2] = ACTIONS(2694),
    [aux_sym_xint_token3] = ACTIONS(2694),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2694),
  },
  [1961] = {
    [sym_xml_doc] = STATE(1961),
    [sym_block_comment] = STATE(1961),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2038),
    [anon_sym_let] = ACTIONS(2038),
    [anon_sym_let_BANG] = ACTIONS(2036),
    [anon_sym_null] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_COLON_QMARK] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2038),
    [anon_sym_return_BANG] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2038),
    [anon_sym_yield_BANG] = ACTIONS(2036),
    [anon_sym_lazy] = ACTIONS(2038),
    [anon_sym_assert] = ACTIONS(2038),
    [anon_sym_upcast] = ACTIONS(2038),
    [anon_sym_downcast] = ACTIONS(2038),
    [anon_sym_LT_AT] = ACTIONS(2038),
    [anon_sym_AT_GT] = ACTIONS(2036),
    [anon_sym_LT_AT_AT] = ACTIONS(2038),
    [anon_sym_AT_AT_GT] = ACTIONS(2036),
    [anon_sym_COLON_GT] = ACTIONS(2036),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2038),
    [anon_sym_while] = ACTIONS(2038),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_fun] = ACTIONS(2038),
    [anon_sym_try] = ACTIONS(2038),
    [anon_sym_match] = ACTIONS(2038),
    [anon_sym_match_BANG] = ACTIONS(2036),
    [anon_sym_function] = ACTIONS(2038),
    [anon_sym_LT_DASH] = ACTIONS(2038),
    [anon_sym_DOT_LBRACK] = ACTIONS(2036),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2038),
    [anon_sym_use_BANG] = ACTIONS(2036),
    [anon_sym_do_BANG] = ACTIONS(2036),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_begin] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_or] = ACTIONS(2038),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2038),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_AT_DQUOTE] = ACTIONS(2036),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2036),
    [sym_bool] = ACTIONS(2038),
    [sym_unit] = ACTIONS(2038),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2038),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_PLUS_DOT] = ACTIONS(2038),
    [anon_sym_DASH_DOT] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP_AMP] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2036),
    [aux_sym_prefix_op_token1] = ACTIONS(2036),
    [aux_sym_infix_op_token1] = ACTIONS(2038),
    [anon_sym_PIPE_PIPE] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_COLON_EQ] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2036),
    [aux_sym_int_token1] = ACTIONS(2038),
    [aux_sym_xint_token1] = ACTIONS(2036),
    [aux_sym_xint_token2] = ACTIONS(2036),
    [aux_sym_xint_token3] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2036),
  },
  [1962] = {
    [sym_attributes] = STATE(3706),
    [sym_attribute_set] = STATE(3115),
    [sym_access_modifier] = STATE(4516),
    [sym_member_defn] = STATE(2083),
    [sym_additional_constr_defn] = STATE(2101),
    [sym_xml_doc] = STATE(1962),
    [sym_block_comment] = STATE(1962),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym__member_defns_repeat1] = STATE(1962),
    [ts_builtin_sym_end] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_POUNDnowarn] = ACTIONS(3522),
    [anon_sym_POUNDr] = ACTIONS(3522),
    [anon_sym_POUNDload] = ACTIONS(3522),
    [anon_sym_open] = ACTIONS(3524),
    [anon_sym_LBRACK_LT] = ACTIONS(3526),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_and] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_let_BANG] = ACTIONS(3522),
    [aux_sym_access_modifier_token1] = ACTIONS(3529),
    [anon_sym_null] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_return_BANG] = ACTIONS(3522),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_yield_BANG] = ACTIONS(3522),
    [anon_sym_lazy] = ACTIONS(3524),
    [anon_sym_assert] = ACTIONS(3524),
    [anon_sym_upcast] = ACTIONS(3524),
    [anon_sym_downcast] = ACTIONS(3524),
    [anon_sym_LT_AT] = ACTIONS(3524),
    [anon_sym_LT_AT_AT] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_fun] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_match] = ACTIONS(3524),
    [anon_sym_match_BANG] = ACTIONS(3522),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_use] = ACTIONS(3524),
    [anon_sym_use_BANG] = ACTIONS(3522),
    [anon_sym_do_BANG] = ACTIONS(3522),
    [anon_sym_begin] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3522),
    [anon_sym_static] = ACTIONS(3535),
    [anon_sym_member] = ACTIONS(3538),
    [anon_sym_abstract] = ACTIONS(3541),
    [anon_sym_override] = ACTIONS(3544),
    [anon_sym_default] = ACTIONS(3544),
    [anon_sym_val] = ACTIONS(3547),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_AT_DQUOTE] = ACTIONS(3522),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3522),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3522),
    [sym_bool] = ACTIONS(3524),
    [sym_unit] = ACTIONS(3522),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3522),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS_DOT] = ACTIONS(3522),
    [anon_sym_DASH_DOT] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [anon_sym_AMP_AMP] = ACTIONS(3522),
    [anon_sym_TILDE] = ACTIONS(3522),
    [aux_sym_prefix_op_token1] = ACTIONS(3522),
    [aux_sym_int_token1] = ACTIONS(3524),
    [aux_sym_xint_token1] = ACTIONS(3522),
    [aux_sym_xint_token2] = ACTIONS(3522),
    [aux_sym_xint_token3] = ACTIONS(3522),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1963] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1963),
    [sym_block_comment] = STATE(1963),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(3550),
    [sym_identifier] = ACTIONS(3552),
    [anon_sym_namespace] = ACTIONS(3552),
    [anon_sym_module] = ACTIONS(3552),
    [anon_sym_POUNDnowarn] = ACTIONS(3550),
    [anon_sym_POUNDr] = ACTIONS(3550),
    [anon_sym_POUNDload] = ACTIONS(3550),
    [anon_sym_open] = ACTIONS(3552),
    [anon_sym_LBRACK_LT] = ACTIONS(3550),
    [anon_sym_return] = ACTIONS(3552),
    [anon_sym_type] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(3552),
    [anon_sym_and] = ACTIONS(3552),
    [anon_sym_let] = ACTIONS(3552),
    [anon_sym_let_BANG] = ACTIONS(3550),
    [aux_sym_access_modifier_token1] = ACTIONS(3550),
    [anon_sym_null] = ACTIONS(3552),
    [anon_sym_LPAREN] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(3552),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3550),
    [anon_sym_LBRACE] = ACTIONS(3552),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3552),
    [anon_sym_return_BANG] = ACTIONS(3550),
    [anon_sym_yield] = ACTIONS(3552),
    [anon_sym_yield_BANG] = ACTIONS(3550),
    [anon_sym_lazy] = ACTIONS(3552),
    [anon_sym_assert] = ACTIONS(3552),
    [anon_sym_upcast] = ACTIONS(3552),
    [anon_sym_downcast] = ACTIONS(3552),
    [anon_sym_LT_AT] = ACTIONS(3552),
    [anon_sym_LT_AT_AT] = ACTIONS(3550),
    [anon_sym_for] = ACTIONS(3552),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_if] = ACTIONS(3552),
    [anon_sym_fun] = ACTIONS(3552),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3552),
    [anon_sym_match] = ACTIONS(3552),
    [anon_sym_match_BANG] = ACTIONS(3550),
    [anon_sym_function] = ACTIONS(3552),
    [anon_sym_use] = ACTIONS(3552),
    [anon_sym_use_BANG] = ACTIONS(3550),
    [anon_sym_do_BANG] = ACTIONS(3550),
    [anon_sym_begin] = ACTIONS(3552),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3550),
    [anon_sym_static] = ACTIONS(3552),
    [anon_sym_member] = ACTIONS(3552),
    [anon_sym_abstract] = ACTIONS(3552),
    [anon_sym_override] = ACTIONS(3552),
    [anon_sym_default] = ACTIONS(3552),
    [anon_sym_val] = ACTIONS(3552),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3552),
    [anon_sym_DQUOTE] = ACTIONS(3552),
    [anon_sym_AT_DQUOTE] = ACTIONS(3550),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3550),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3550),
    [sym_bool] = ACTIONS(3552),
    [sym_unit] = ACTIONS(3550),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3550),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3552),
    [anon_sym_PLUS] = ACTIONS(3552),
    [anon_sym_DASH] = ACTIONS(3552),
    [anon_sym_PLUS_DOT] = ACTIONS(3550),
    [anon_sym_DASH_DOT] = ACTIONS(3550),
    [anon_sym_PERCENT] = ACTIONS(3550),
    [anon_sym_AMP_AMP] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3550),
    [aux_sym_prefix_op_token1] = ACTIONS(3550),
    [aux_sym_int_token1] = ACTIONS(3552),
    [aux_sym_xint_token1] = ACTIONS(3550),
    [aux_sym_xint_token2] = ACTIONS(3550),
    [aux_sym_xint_token3] = ACTIONS(3550),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1964] = {
    [sym_type_arguments] = STATE(1993),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(1964),
    [sym_block_comment] = STATE(1964),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(3554),
    [sym_identifier] = ACTIONS(3556),
    [anon_sym_namespace] = ACTIONS(3556),
    [anon_sym_module] = ACTIONS(3556),
    [anon_sym_POUNDnowarn] = ACTIONS(3554),
    [anon_sym_POUNDr] = ACTIONS(3554),
    [anon_sym_POUNDload] = ACTIONS(3554),
    [anon_sym_open] = ACTIONS(3556),
    [anon_sym_LBRACK_LT] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_type] = ACTIONS(3556),
    [anon_sym_do] = ACTIONS(3556),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_let] = ACTIONS(3556),
    [anon_sym_let_BANG] = ACTIONS(3554),
    [aux_sym_access_modifier_token1] = ACTIONS(3554),
    [anon_sym_null] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(3556),
    [anon_sym_AMP] = ACTIONS(3556),
    [anon_sym_LBRACK] = ACTIONS(3556),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3556),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3554),
    [anon_sym_new] = ACTIONS(3556),
    [anon_sym_return_BANG] = ACTIONS(3554),
    [anon_sym_yield] = ACTIONS(3556),
    [anon_sym_yield_BANG] = ACTIONS(3554),
    [anon_sym_lazy] = ACTIONS(3556),
    [anon_sym_assert] = ACTIONS(3556),
    [anon_sym_upcast] = ACTIONS(3556),
    [anon_sym_downcast] = ACTIONS(3556),
    [anon_sym_LT_AT] = ACTIONS(3556),
    [anon_sym_LT_AT_AT] = ACTIONS(3554),
    [anon_sym_for] = ACTIONS(3556),
    [anon_sym_while] = ACTIONS(3556),
    [anon_sym_if] = ACTIONS(3556),
    [anon_sym_fun] = ACTIONS(3556),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3556),
    [anon_sym_match] = ACTIONS(3556),
    [anon_sym_match_BANG] = ACTIONS(3554),
    [anon_sym_function] = ACTIONS(3556),
    [anon_sym_use] = ACTIONS(3556),
    [anon_sym_use_BANG] = ACTIONS(3554),
    [anon_sym_do_BANG] = ACTIONS(3554),
    [anon_sym_begin] = ACTIONS(3556),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3554),
    [anon_sym_static] = ACTIONS(3556),
    [anon_sym_member] = ACTIONS(3556),
    [anon_sym_abstract] = ACTIONS(3556),
    [anon_sym_override] = ACTIONS(3556),
    [anon_sym_default] = ACTIONS(3556),
    [anon_sym_val] = ACTIONS(3556),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3556),
    [anon_sym_DQUOTE] = ACTIONS(3556),
    [anon_sym_AT_DQUOTE] = ACTIONS(3554),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3554),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3554),
    [sym_bool] = ACTIONS(3556),
    [sym_unit] = ACTIONS(3554),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3554),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3556),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_PLUS_DOT] = ACTIONS(3554),
    [anon_sym_DASH_DOT] = ACTIONS(3554),
    [anon_sym_PERCENT] = ACTIONS(3554),
    [anon_sym_AMP_AMP] = ACTIONS(3554),
    [anon_sym_TILDE] = ACTIONS(3554),
    [aux_sym_prefix_op_token1] = ACTIONS(3554),
    [aux_sym_int_token1] = ACTIONS(3556),
    [aux_sym_xint_token1] = ACTIONS(3554),
    [aux_sym_xint_token2] = ACTIONS(3554),
    [aux_sym_xint_token3] = ACTIONS(3554),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1965] = {
    [sym_xml_doc] = STATE(1965),
    [sym_block_comment] = STATE(1965),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_DOT_DOT] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
  },
  [1966] = {
    [sym_xml_doc] = STATE(1966),
    [sym_block_comment] = STATE(1966),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_DOT_DOT] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
  },
  [1967] = {
    [sym_xml_doc] = STATE(1967),
    [sym_block_comment] = STATE(1967),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_DOT_DOT] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
  },
  [1968] = {
    [sym_xml_doc] = STATE(1968),
    [sym_block_comment] = STATE(1968),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
  },
  [1969] = {
    [sym_xml_doc] = STATE(1969),
    [sym_block_comment] = STATE(1969),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2718),
    [anon_sym_COLON] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_let_BANG] = ACTIONS(2718),
    [anon_sym_null] = ACTIONS(2716),
    [anon_sym_QMARK] = ACTIONS(2716),
    [anon_sym_COLON_QMARK] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_return_BANG] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_yield_BANG] = ACTIONS(2718),
    [anon_sym_lazy] = ACTIONS(2716),
    [anon_sym_assert] = ACTIONS(2716),
    [anon_sym_upcast] = ACTIONS(2716),
    [anon_sym_downcast] = ACTIONS(2716),
    [anon_sym_LT_AT] = ACTIONS(2716),
    [anon_sym_AT_GT] = ACTIONS(2718),
    [anon_sym_LT_AT_AT] = ACTIONS(2716),
    [anon_sym_AT_AT_GT] = ACTIONS(2718),
    [anon_sym_COLON_GT] = ACTIONS(2718),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_fun] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_match] = ACTIONS(2716),
    [anon_sym_match_BANG] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_LT_DASH] = ACTIONS(2716),
    [anon_sym_DOT_LBRACK] = ACTIONS(2718),
    [anon_sym_DOT] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_use] = ACTIONS(2716),
    [anon_sym_use_BANG] = ACTIONS(2718),
    [anon_sym_do_BANG] = ACTIONS(2718),
    [anon_sym_begin] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_or] = ACTIONS(2716),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_AT_DQUOTE] = ACTIONS(2718),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2718),
    [sym_bool] = ACTIONS(2716),
    [sym_unit] = ACTIONS(2716),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2716),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_DOT] = ACTIONS(2716),
    [anon_sym_DASH_DOT] = ACTIONS(2716),
    [anon_sym_PERCENT] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2718),
    [aux_sym_prefix_op_token1] = ACTIONS(2718),
    [aux_sym_infix_op_token1] = ACTIONS(2716),
    [anon_sym_PIPE_PIPE] = ACTIONS(2716),
    [anon_sym_BANG_EQ] = ACTIONS(2718),
    [anon_sym_COLON_EQ] = ACTIONS(2718),
    [anon_sym_DOLLAR] = ACTIONS(2716),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2718),
    [aux_sym_int_token1] = ACTIONS(2716),
    [aux_sym_xint_token1] = ACTIONS(2718),
    [aux_sym_xint_token2] = ACTIONS(2718),
    [aux_sym_xint_token3] = ACTIONS(2718),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2718),
    [sym__then] = ACTIONS(2718),
  },
  [1970] = {
    [sym_xml_doc] = STATE(1970),
    [sym_block_comment] = STATE(1970),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_EQ] = ACTIONS(2736),
    [anon_sym_COLON] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_let_BANG] = ACTIONS(2736),
    [anon_sym_null] = ACTIONS(2734),
    [anon_sym_QMARK] = ACTIONS(2734),
    [anon_sym_COLON_QMARK] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_return_BANG] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_yield_BANG] = ACTIONS(2736),
    [anon_sym_lazy] = ACTIONS(2734),
    [anon_sym_assert] = ACTIONS(2734),
    [anon_sym_upcast] = ACTIONS(2734),
    [anon_sym_downcast] = ACTIONS(2734),
    [anon_sym_LT_AT] = ACTIONS(2734),
    [anon_sym_AT_GT] = ACTIONS(2736),
    [anon_sym_LT_AT_AT] = ACTIONS(2734),
    [anon_sym_AT_AT_GT] = ACTIONS(2736),
    [anon_sym_COLON_GT] = ACTIONS(2736),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_fun] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_match] = ACTIONS(2734),
    [anon_sym_match_BANG] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_LT_DASH] = ACTIONS(2734),
    [anon_sym_DOT_LBRACK] = ACTIONS(2736),
    [anon_sym_DOT] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_use] = ACTIONS(2734),
    [anon_sym_use_BANG] = ACTIONS(2736),
    [anon_sym_do_BANG] = ACTIONS(2736),
    [anon_sym_begin] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_or] = ACTIONS(2734),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_AT_DQUOTE] = ACTIONS(2736),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2736),
    [sym_bool] = ACTIONS(2734),
    [sym_unit] = ACTIONS(2734),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2734),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_DOT] = ACTIONS(2734),
    [anon_sym_DASH_DOT] = ACTIONS(2734),
    [anon_sym_PERCENT] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2736),
    [aux_sym_prefix_op_token1] = ACTIONS(2736),
    [aux_sym_infix_op_token1] = ACTIONS(2734),
    [anon_sym_PIPE_PIPE] = ACTIONS(2734),
    [anon_sym_BANG_EQ] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2736),
    [anon_sym_DOLLAR] = ACTIONS(2734),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2736),
    [aux_sym_int_token1] = ACTIONS(2734),
    [aux_sym_xint_token1] = ACTIONS(2736),
    [aux_sym_xint_token2] = ACTIONS(2736),
    [aux_sym_xint_token3] = ACTIONS(2736),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2736),
    [sym__then] = ACTIONS(2736),
  },
  [1971] = {
    [sym_xml_doc] = STATE(1971),
    [sym_block_comment] = STATE(1971),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_let_BANG] = ACTIONS(2787),
    [anon_sym_null] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_COLON_QMARK] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_return_BANG] = ACTIONS(2787),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_yield_BANG] = ACTIONS(2787),
    [anon_sym_lazy] = ACTIONS(2785),
    [anon_sym_assert] = ACTIONS(2785),
    [anon_sym_upcast] = ACTIONS(2785),
    [anon_sym_downcast] = ACTIONS(2785),
    [anon_sym_LT_AT] = ACTIONS(2785),
    [anon_sym_AT_GT] = ACTIONS(2787),
    [anon_sym_LT_AT_AT] = ACTIONS(2785),
    [anon_sym_AT_AT_GT] = ACTIONS(2787),
    [anon_sym_COLON_GT] = ACTIONS(2787),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_fun] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_match] = ACTIONS(2785),
    [anon_sym_match_BANG] = ACTIONS(2787),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_LT_DASH] = ACTIONS(2785),
    [anon_sym_DOT_LBRACK] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_use] = ACTIONS(2785),
    [anon_sym_use_BANG] = ACTIONS(2787),
    [anon_sym_do_BANG] = ACTIONS(2787),
    [anon_sym_begin] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [anon_sym_AT_DQUOTE] = ACTIONS(2787),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2787),
    [sym_bool] = ACTIONS(2785),
    [sym_unit] = ACTIONS(2785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_DOT] = ACTIONS(2785),
    [anon_sym_DASH_DOT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2787),
    [aux_sym_prefix_op_token1] = ACTIONS(2787),
    [aux_sym_infix_op_token1] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2787),
    [anon_sym_COLON_EQ] = ACTIONS(2787),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2787),
    [aux_sym_int_token1] = ACTIONS(2785),
    [aux_sym_xint_token1] = ACTIONS(2787),
    [aux_sym_xint_token2] = ACTIONS(2787),
    [aux_sym_xint_token3] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2787),
    [sym__then] = ACTIONS(2787),
  },
  [1972] = {
    [sym_xml_doc] = STATE(1972),
    [sym_block_comment] = STATE(1972),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_let_BANG] = ACTIONS(2843),
    [anon_sym_null] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_COLON_QMARK] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_return_BANG] = ACTIONS(2843),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_yield_BANG] = ACTIONS(2843),
    [anon_sym_lazy] = ACTIONS(2841),
    [anon_sym_assert] = ACTIONS(2841),
    [anon_sym_upcast] = ACTIONS(2841),
    [anon_sym_downcast] = ACTIONS(2841),
    [anon_sym_LT_AT] = ACTIONS(2841),
    [anon_sym_AT_GT] = ACTIONS(2843),
    [anon_sym_LT_AT_AT] = ACTIONS(2841),
    [anon_sym_AT_AT_GT] = ACTIONS(2843),
    [anon_sym_COLON_GT] = ACTIONS(2843),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_fun] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_match_BANG] = ACTIONS(2843),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_LT_DASH] = ACTIONS(2841),
    [anon_sym_DOT_LBRACK] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_use_BANG] = ACTIONS(2843),
    [anon_sym_do_BANG] = ACTIONS(2843),
    [anon_sym_begin] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [anon_sym_AT_DQUOTE] = ACTIONS(2843),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2843),
    [sym_bool] = ACTIONS(2841),
    [sym_unit] = ACTIONS(2841),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2841),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_DOT] = ACTIONS(2841),
    [anon_sym_DASH_DOT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2843),
    [aux_sym_prefix_op_token1] = ACTIONS(2843),
    [aux_sym_infix_op_token1] = ACTIONS(2841),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_BANG_EQ] = ACTIONS(2843),
    [anon_sym_COLON_EQ] = ACTIONS(2843),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2843),
    [aux_sym_int_token1] = ACTIONS(2841),
    [aux_sym_xint_token1] = ACTIONS(2843),
    [aux_sym_xint_token2] = ACTIONS(2843),
    [aux_sym_xint_token3] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2843),
    [sym__then] = ACTIONS(2843),
  },
  [1973] = {
    [sym_xml_doc] = STATE(1973),
    [sym_block_comment] = STATE(1973),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_COLON] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_let_BANG] = ACTIONS(2870),
    [anon_sym_null] = ACTIONS(2868),
    [anon_sym_QMARK] = ACTIONS(2868),
    [anon_sym_COLON_QMARK] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_COMMA] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_return_BANG] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_yield_BANG] = ACTIONS(2870),
    [anon_sym_lazy] = ACTIONS(2868),
    [anon_sym_assert] = ACTIONS(2868),
    [anon_sym_upcast] = ACTIONS(2868),
    [anon_sym_downcast] = ACTIONS(2868),
    [anon_sym_LT_AT] = ACTIONS(2868),
    [anon_sym_AT_GT] = ACTIONS(2870),
    [anon_sym_LT_AT_AT] = ACTIONS(2868),
    [anon_sym_AT_AT_GT] = ACTIONS(2870),
    [anon_sym_COLON_GT] = ACTIONS(2870),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_fun] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_match] = ACTIONS(2868),
    [anon_sym_match_BANG] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_LT_DASH] = ACTIONS(2868),
    [anon_sym_DOT_LBRACK] = ACTIONS(2870),
    [anon_sym_DOT] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_use] = ACTIONS(2868),
    [anon_sym_use_BANG] = ACTIONS(2870),
    [anon_sym_do_BANG] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_or] = ACTIONS(2868),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_AT_DQUOTE] = ACTIONS(2870),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2870),
    [sym_bool] = ACTIONS(2868),
    [sym_unit] = ACTIONS(2868),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2868),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_DOT] = ACTIONS(2868),
    [anon_sym_DASH_DOT] = ACTIONS(2868),
    [anon_sym_PERCENT] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2870),
    [aux_sym_prefix_op_token1] = ACTIONS(2870),
    [aux_sym_infix_op_token1] = ACTIONS(2868),
    [anon_sym_PIPE_PIPE] = ACTIONS(2868),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_COLON_EQ] = ACTIONS(2870),
    [anon_sym_DOLLAR] = ACTIONS(2868),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2870),
    [aux_sym_int_token1] = ACTIONS(2868),
    [aux_sym_xint_token1] = ACTIONS(2870),
    [aux_sym_xint_token2] = ACTIONS(2870),
    [aux_sym_xint_token3] = ACTIONS(2870),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2870),
    [sym__then] = ACTIONS(2870),
  },
  [1974] = {
    [sym_xml_doc] = STATE(1974),
    [sym_block_comment] = STATE(1974),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_let_BANG] = ACTIONS(2682),
    [anon_sym_null] = ACTIONS(2680),
    [anon_sym_QMARK] = ACTIONS(2680),
    [anon_sym_COLON_QMARK] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2682),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_return_BANG] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_yield_BANG] = ACTIONS(2682),
    [anon_sym_lazy] = ACTIONS(2680),
    [anon_sym_assert] = ACTIONS(2680),
    [anon_sym_upcast] = ACTIONS(2680),
    [anon_sym_downcast] = ACTIONS(2680),
    [anon_sym_LT_AT] = ACTIONS(2680),
    [anon_sym_AT_GT] = ACTIONS(2682),
    [anon_sym_LT_AT_AT] = ACTIONS(2680),
    [anon_sym_AT_AT_GT] = ACTIONS(2682),
    [anon_sym_COLON_GT] = ACTIONS(2682),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_fun] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_match] = ACTIONS(2680),
    [anon_sym_match_BANG] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_LT_DASH] = ACTIONS(2680),
    [anon_sym_DOT_LBRACK] = ACTIONS(2682),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_use] = ACTIONS(2680),
    [anon_sym_use_BANG] = ACTIONS(2682),
    [anon_sym_do_BANG] = ACTIONS(2682),
    [anon_sym_DOT_DOT] = ACTIONS(2682),
    [anon_sym_begin] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_AT_DQUOTE] = ACTIONS(2682),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2682),
    [sym_bool] = ACTIONS(2680),
    [sym_unit] = ACTIONS(2680),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2680),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_DOT] = ACTIONS(2680),
    [anon_sym_DASH_DOT] = ACTIONS(2680),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2682),
    [aux_sym_prefix_op_token1] = ACTIONS(2682),
    [aux_sym_infix_op_token1] = ACTIONS(2680),
    [anon_sym_PIPE_PIPE] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2682),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2680),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2682),
    [aux_sym_int_token1] = ACTIONS(2680),
    [aux_sym_xint_token1] = ACTIONS(2682),
    [aux_sym_xint_token2] = ACTIONS(2682),
    [aux_sym_xint_token3] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2682),
  },
  [1975] = {
    [sym_xml_doc] = STATE(1975),
    [sym_block_comment] = STATE(1975),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_let_BANG] = ACTIONS(2894),
    [anon_sym_null] = ACTIONS(2892),
    [anon_sym_QMARK] = ACTIONS(2892),
    [anon_sym_COLON_QMARK] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_return_BANG] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_yield_BANG] = ACTIONS(2894),
    [anon_sym_lazy] = ACTIONS(2892),
    [anon_sym_assert] = ACTIONS(2892),
    [anon_sym_upcast] = ACTIONS(2892),
    [anon_sym_downcast] = ACTIONS(2892),
    [anon_sym_LT_AT] = ACTIONS(2892),
    [anon_sym_AT_GT] = ACTIONS(2894),
    [anon_sym_LT_AT_AT] = ACTIONS(2892),
    [anon_sym_AT_AT_GT] = ACTIONS(2894),
    [anon_sym_COLON_GT] = ACTIONS(2894),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_fun] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_match] = ACTIONS(2892),
    [anon_sym_match_BANG] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_LT_DASH] = ACTIONS(2892),
    [anon_sym_DOT_LBRACK] = ACTIONS(2894),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_use] = ACTIONS(2892),
    [anon_sym_use_BANG] = ACTIONS(2894),
    [anon_sym_do_BANG] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_AT_DQUOTE] = ACTIONS(2894),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2894),
    [sym_bool] = ACTIONS(2892),
    [sym_unit] = ACTIONS(2892),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2892),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_DOT] = ACTIONS(2892),
    [anon_sym_DASH_DOT] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_AMP_AMP] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2894),
    [aux_sym_prefix_op_token1] = ACTIONS(2894),
    [aux_sym_infix_op_token1] = ACTIONS(2892),
    [anon_sym_PIPE_PIPE] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2894),
    [anon_sym_COLON_EQ] = ACTIONS(2894),
    [anon_sym_DOLLAR] = ACTIONS(2892),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2894),
    [aux_sym_int_token1] = ACTIONS(2892),
    [aux_sym_xint_token1] = ACTIONS(2894),
    [aux_sym_xint_token2] = ACTIONS(2894),
    [aux_sym_xint_token3] = ACTIONS(2894),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2894),
    [sym__then] = ACTIONS(2894),
  },
  [1976] = {
    [sym_xml_doc] = STATE(1976),
    [sym_block_comment] = STATE(1976),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(2914),
    [anon_sym_COLON] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_let_BANG] = ACTIONS(2914),
    [anon_sym_null] = ACTIONS(2912),
    [anon_sym_QMARK] = ACTIONS(2912),
    [anon_sym_COLON_QMARK] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2914),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_return_BANG] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_yield_BANG] = ACTIONS(2914),
    [anon_sym_lazy] = ACTIONS(2912),
    [anon_sym_assert] = ACTIONS(2912),
    [anon_sym_upcast] = ACTIONS(2912),
    [anon_sym_downcast] = ACTIONS(2912),
    [anon_sym_LT_AT] = ACTIONS(2912),
    [anon_sym_AT_GT] = ACTIONS(2914),
    [anon_sym_LT_AT_AT] = ACTIONS(2912),
    [anon_sym_AT_AT_GT] = ACTIONS(2914),
    [anon_sym_COLON_GT] = ACTIONS(2914),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_fun] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_match] = ACTIONS(2912),
    [anon_sym_match_BANG] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_LT_DASH] = ACTIONS(2912),
    [anon_sym_DOT_LBRACK] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_use] = ACTIONS(2912),
    [anon_sym_use_BANG] = ACTIONS(2914),
    [anon_sym_do_BANG] = ACTIONS(2914),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_or] = ACTIONS(2912),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_AT_DQUOTE] = ACTIONS(2914),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2914),
    [sym_bool] = ACTIONS(2912),
    [sym_unit] = ACTIONS(2912),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2912),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS_DOT] = ACTIONS(2912),
    [anon_sym_DASH_DOT] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2914),
    [aux_sym_prefix_op_token1] = ACTIONS(2914),
    [aux_sym_infix_op_token1] = ACTIONS(2912),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2914),
    [anon_sym_COLON_EQ] = ACTIONS(2914),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2914),
    [aux_sym_int_token1] = ACTIONS(2912),
    [aux_sym_xint_token1] = ACTIONS(2914),
    [aux_sym_xint_token2] = ACTIONS(2914),
    [aux_sym_xint_token3] = ACTIONS(2914),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2914),
    [sym__then] = ACTIONS(2914),
  },
  [1977] = {
    [sym_xml_doc] = STATE(1977),
    [sym_block_comment] = STATE(1977),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_let_BANG] = ACTIONS(2823),
    [anon_sym_null] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_COLON_QMARK] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_return_BANG] = ACTIONS(2823),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_yield_BANG] = ACTIONS(2823),
    [anon_sym_lazy] = ACTIONS(2821),
    [anon_sym_assert] = ACTIONS(2821),
    [anon_sym_upcast] = ACTIONS(2821),
    [anon_sym_downcast] = ACTIONS(2821),
    [anon_sym_LT_AT] = ACTIONS(2821),
    [anon_sym_AT_GT] = ACTIONS(2823),
    [anon_sym_LT_AT_AT] = ACTIONS(2821),
    [anon_sym_AT_AT_GT] = ACTIONS(2823),
    [anon_sym_COLON_GT] = ACTIONS(2823),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_match_BANG] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_LT_DASH] = ACTIONS(2821),
    [anon_sym_DOT_LBRACK] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_use_BANG] = ACTIONS(2823),
    [anon_sym_do_BANG] = ACTIONS(2823),
    [anon_sym_begin] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [anon_sym_AT_DQUOTE] = ACTIONS(2823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2823),
    [sym_bool] = ACTIONS(2821),
    [sym_unit] = ACTIONS(2821),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2821),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_DOT] = ACTIONS(2821),
    [anon_sym_DASH_DOT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2823),
    [aux_sym_prefix_op_token1] = ACTIONS(2823),
    [aux_sym_infix_op_token1] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_COLON_EQ] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2823),
    [aux_sym_int_token1] = ACTIONS(2821),
    [aux_sym_xint_token1] = ACTIONS(2823),
    [aux_sym_xint_token2] = ACTIONS(2823),
    [aux_sym_xint_token3] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2823),
    [sym__then] = ACTIONS(2823),
  },
  [1978] = {
    [sym_xml_doc] = STATE(1978),
    [sym_block_comment] = STATE(1978),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_let_BANG] = ACTIONS(2702),
    [anon_sym_null] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2700),
    [anon_sym_COLON_QMARK] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_return_BANG] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_yield_BANG] = ACTIONS(2702),
    [anon_sym_lazy] = ACTIONS(2700),
    [anon_sym_assert] = ACTIONS(2700),
    [anon_sym_upcast] = ACTIONS(2700),
    [anon_sym_downcast] = ACTIONS(2700),
    [anon_sym_LT_AT] = ACTIONS(2700),
    [anon_sym_AT_GT] = ACTIONS(2702),
    [anon_sym_LT_AT_AT] = ACTIONS(2700),
    [anon_sym_AT_AT_GT] = ACTIONS(2702),
    [anon_sym_COLON_GT] = ACTIONS(2702),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_match] = ACTIONS(2700),
    [anon_sym_match_BANG] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_LT_DASH] = ACTIONS(2700),
    [anon_sym_DOT_LBRACK] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_use] = ACTIONS(2700),
    [anon_sym_use_BANG] = ACTIONS(2702),
    [anon_sym_do_BANG] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_or] = ACTIONS(2700),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_AT_DQUOTE] = ACTIONS(2702),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [sym_bool] = ACTIONS(2700),
    [sym_unit] = ACTIONS(2700),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2700),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_DOT] = ACTIONS(2700),
    [anon_sym_DASH_DOT] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_AMP_AMP] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2702),
    [aux_sym_prefix_op_token1] = ACTIONS(2702),
    [aux_sym_infix_op_token1] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2700),
    [anon_sym_BANG_EQ] = ACTIONS(2702),
    [anon_sym_COLON_EQ] = ACTIONS(2702),
    [anon_sym_DOLLAR] = ACTIONS(2700),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2702),
    [aux_sym_int_token1] = ACTIONS(2700),
    [aux_sym_xint_token1] = ACTIONS(2702),
    [aux_sym_xint_token2] = ACTIONS(2702),
    [aux_sym_xint_token3] = ACTIONS(2702),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2702),
  },
  [1979] = {
    [sym_xml_doc] = STATE(1979),
    [sym_block_comment] = STATE(1979),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_EQ] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_let_BANG] = ACTIONS(2706),
    [anon_sym_null] = ACTIONS(2704),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_COLON_QMARK] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_COMMA] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_return_BANG] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_yield_BANG] = ACTIONS(2706),
    [anon_sym_lazy] = ACTIONS(2704),
    [anon_sym_assert] = ACTIONS(2704),
    [anon_sym_upcast] = ACTIONS(2704),
    [anon_sym_downcast] = ACTIONS(2704),
    [anon_sym_LT_AT] = ACTIONS(2704),
    [anon_sym_AT_GT] = ACTIONS(2706),
    [anon_sym_LT_AT_AT] = ACTIONS(2704),
    [anon_sym_AT_AT_GT] = ACTIONS(2706),
    [anon_sym_COLON_GT] = ACTIONS(2706),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_match] = ACTIONS(2704),
    [anon_sym_match_BANG] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_LT_DASH] = ACTIONS(2704),
    [anon_sym_DOT_LBRACK] = ACTIONS(2706),
    [anon_sym_DOT] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_use] = ACTIONS(2704),
    [anon_sym_use_BANG] = ACTIONS(2706),
    [anon_sym_do_BANG] = ACTIONS(2706),
    [anon_sym_DOT_DOT] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_or] = ACTIONS(2704),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_AT_DQUOTE] = ACTIONS(2706),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2706),
    [sym_bool] = ACTIONS(2704),
    [sym_unit] = ACTIONS(2704),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2704),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_DOT] = ACTIONS(2704),
    [anon_sym_DASH_DOT] = ACTIONS(2704),
    [anon_sym_PERCENT] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2706),
    [aux_sym_prefix_op_token1] = ACTIONS(2706),
    [aux_sym_infix_op_token1] = ACTIONS(2704),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2706),
    [anon_sym_COLON_EQ] = ACTIONS(2706),
    [anon_sym_DOLLAR] = ACTIONS(2704),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2706),
    [aux_sym_int_token1] = ACTIONS(2704),
    [aux_sym_xint_token1] = ACTIONS(2706),
    [aux_sym_xint_token2] = ACTIONS(2706),
    [aux_sym_xint_token3] = ACTIONS(2706),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2706),
  },
  [1980] = {
    [sym_xml_doc] = STATE(1980),
    [sym_block_comment] = STATE(1980),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_EQ] = ACTIONS(2710),
    [anon_sym_COLON] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_let_BANG] = ACTIONS(2710),
    [anon_sym_null] = ACTIONS(2708),
    [anon_sym_QMARK] = ACTIONS(2708),
    [anon_sym_COLON_QMARK] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_return_BANG] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_yield_BANG] = ACTIONS(2710),
    [anon_sym_lazy] = ACTIONS(2708),
    [anon_sym_assert] = ACTIONS(2708),
    [anon_sym_upcast] = ACTIONS(2708),
    [anon_sym_downcast] = ACTIONS(2708),
    [anon_sym_LT_AT] = ACTIONS(2708),
    [anon_sym_AT_GT] = ACTIONS(2710),
    [anon_sym_LT_AT_AT] = ACTIONS(2708),
    [anon_sym_AT_AT_GT] = ACTIONS(2710),
    [anon_sym_COLON_GT] = ACTIONS(2710),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_fun] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_match] = ACTIONS(2708),
    [anon_sym_match_BANG] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_LT_DASH] = ACTIONS(2708),
    [anon_sym_DOT_LBRACK] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_use] = ACTIONS(2708),
    [anon_sym_use_BANG] = ACTIONS(2710),
    [anon_sym_do_BANG] = ACTIONS(2710),
    [anon_sym_DOT_DOT] = ACTIONS(2710),
    [anon_sym_begin] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_or] = ACTIONS(2708),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_AT_DQUOTE] = ACTIONS(2710),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2710),
    [sym_bool] = ACTIONS(2708),
    [sym_unit] = ACTIONS(2708),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2708),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_DOT] = ACTIONS(2708),
    [anon_sym_DASH_DOT] = ACTIONS(2708),
    [anon_sym_PERCENT] = ACTIONS(2708),
    [anon_sym_AMP_AMP] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2710),
    [aux_sym_prefix_op_token1] = ACTIONS(2710),
    [aux_sym_infix_op_token1] = ACTIONS(2708),
    [anon_sym_PIPE_PIPE] = ACTIONS(2708),
    [anon_sym_BANG_EQ] = ACTIONS(2710),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOLLAR] = ACTIONS(2708),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2710),
    [aux_sym_int_token1] = ACTIONS(2708),
    [aux_sym_xint_token1] = ACTIONS(2710),
    [aux_sym_xint_token2] = ACTIONS(2710),
    [aux_sym_xint_token3] = ACTIONS(2710),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2710),
  },
  [1981] = {
    [sym_xml_doc] = STATE(1981),
    [sym_block_comment] = STATE(1981),
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_EQ] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_let_BANG] = ACTIONS(2922),
    [anon_sym_null] = ACTIONS(2920),
    [anon_sym_QMARK] = ACTIONS(2920),
    [anon_sym_COLON_QMARK] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2922),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_return_BANG] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_yield_BANG] = ACTIONS(2922),
    [anon_sym_lazy] = ACTIONS(2920),
    [anon_sym_assert] = ACTIONS(2920),
    [anon_sym_upcast] = ACTIONS(2920),
    [anon_sym_downcast] = ACTIONS(2920),
    [anon_sym_LT_AT] = ACTIONS(2920),
    [anon_sym_AT_GT] = ACTIONS(2922),
    [anon_sym_LT_AT_AT] = ACTIONS(2920),
    [anon_sym_AT_AT_GT] = ACTIONS(2922),
    [anon_sym_COLON_GT] = ACTIONS(2922),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_fun] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_match] = ACTIONS(2920),
    [anon_sym_match_BANG] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_LT_DASH] = ACTIONS(2920),
    [anon_sym_DOT_LBRACK] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_use] = ACTIONS(2920),
    [anon_sym_use_BANG] = ACTIONS(2922),
    [anon_sym_do_BANG] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_or] = ACTIONS(2920),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_AT_DQUOTE] = ACTIONS(2922),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2922),
    [sym_bool] = ACTIONS(2920),
    [sym_unit] = ACTIONS(2920),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2920),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS_DOT] = ACTIONS(2920),
    [anon_sym_DASH_DOT] = ACTIONS(2920),
    [anon_sym_PERCENT] = ACTIONS(2920),
    [anon_sym_AMP_AMP] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2922),
    [aux_sym_prefix_op_token1] = ACTIONS(2922),
    [aux_sym_infix_op_token1] = ACTIONS(2920),
    [anon_sym_PIPE_PIPE] = ACTIONS(2920),
    [anon_sym_BANG_EQ] = ACTIONS(2922),
    [anon_sym_COLON_EQ] = ACTIONS(2922),
    [anon_sym_DOLLAR] = ACTIONS(2920),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2922),
    [aux_sym_int_token1] = ACTIONS(2920),
    [aux_sym_xint_token1] = ACTIONS(2922),
    [aux_sym_xint_token2] = ACTIONS(2922),
    [aux_sym_xint_token3] = ACTIONS(2922),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2922),
    [sym__then] = ACTIONS(2922),
  },
  [1982] = {
    [sym_xml_doc] = STATE(1982),
    [sym_block_comment] = STATE(1982),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_EQ] = ACTIONS(2599),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_let_BANG] = ACTIONS(2599),
    [anon_sym_null] = ACTIONS(2597),
    [anon_sym_QMARK] = ACTIONS(2597),
    [anon_sym_COLON_QMARK] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2597),
    [anon_sym_COMMA] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2599),
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_return_BANG] = ACTIONS(2599),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_yield_BANG] = ACTIONS(2599),
    [anon_sym_lazy] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_upcast] = ACTIONS(2597),
    [anon_sym_downcast] = ACTIONS(2597),
    [anon_sym_LT_AT] = ACTIONS(2597),
    [anon_sym_AT_GT] = ACTIONS(2599),
    [anon_sym_LT_AT_AT] = ACTIONS(2597),
    [anon_sym_AT_AT_GT] = ACTIONS(2599),
    [anon_sym_COLON_GT] = ACTIONS(2599),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2599),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_fun] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_match] = ACTIONS(2597),
    [anon_sym_match_BANG] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_LT_DASH] = ACTIONS(2597),
    [anon_sym_DOT_LBRACK] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_use] = ACTIONS(2597),
    [anon_sym_use_BANG] = ACTIONS(2599),
    [anon_sym_do_BANG] = ACTIONS(2599),
    [anon_sym_DOT_DOT] = ACTIONS(2599),
    [anon_sym_begin] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_or] = ACTIONS(2597),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_AT_DQUOTE] = ACTIONS(2599),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [sym_bool] = ACTIONS(2597),
    [sym_unit] = ACTIONS(2597),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2597),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_PLUS_DOT] = ACTIONS(2597),
    [anon_sym_DASH_DOT] = ACTIONS(2597),
    [anon_sym_PERCENT] = ACTIONS(2597),
    [anon_sym_AMP_AMP] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2599),
    [aux_sym_prefix_op_token1] = ACTIONS(2599),
    [aux_sym_infix_op_token1] = ACTIONS(2597),
    [anon_sym_PIPE_PIPE] = ACTIONS(2597),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_COLON_EQ] = ACTIONS(2599),
    [anon_sym_DOLLAR] = ACTIONS(2597),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2599),
    [aux_sym_int_token1] = ACTIONS(2597),
    [aux_sym_xint_token1] = ACTIONS(2599),
    [aux_sym_xint_token2] = ACTIONS(2599),
    [aux_sym_xint_token3] = ACTIONS(2599),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2599),
  },
  [1983] = {
    [sym_xml_doc] = STATE(1983),
    [sym_block_comment] = STATE(1983),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_EQ] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_let_BANG] = ACTIONS(2722),
    [anon_sym_null] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_COLON_QMARK] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_return_BANG] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_yield_BANG] = ACTIONS(2722),
    [anon_sym_lazy] = ACTIONS(2720),
    [anon_sym_assert] = ACTIONS(2720),
    [anon_sym_upcast] = ACTIONS(2720),
    [anon_sym_downcast] = ACTIONS(2720),
    [anon_sym_LT_AT] = ACTIONS(2720),
    [anon_sym_AT_GT] = ACTIONS(2722),
    [anon_sym_LT_AT_AT] = ACTIONS(2720),
    [anon_sym_AT_AT_GT] = ACTIONS(2722),
    [anon_sym_COLON_GT] = ACTIONS(2722),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_fun] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_match] = ACTIONS(2720),
    [anon_sym_match_BANG] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_LT_DASH] = ACTIONS(2720),
    [anon_sym_DOT_LBRACK] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_use] = ACTIONS(2720),
    [anon_sym_use_BANG] = ACTIONS(2722),
    [anon_sym_do_BANG] = ACTIONS(2722),
    [anon_sym_DOT_DOT] = ACTIONS(2722),
    [anon_sym_begin] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_or] = ACTIONS(2720),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_AT_DQUOTE] = ACTIONS(2722),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2722),
    [sym_bool] = ACTIONS(2720),
    [sym_unit] = ACTIONS(2720),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2720),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_DOT] = ACTIONS(2720),
    [anon_sym_DASH_DOT] = ACTIONS(2720),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2722),
    [aux_sym_prefix_op_token1] = ACTIONS(2722),
    [aux_sym_infix_op_token1] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2722),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2722),
    [aux_sym_int_token1] = ACTIONS(2720),
    [aux_sym_xint_token1] = ACTIONS(2722),
    [aux_sym_xint_token2] = ACTIONS(2722),
    [aux_sym_xint_token3] = ACTIONS(2722),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2722),
  },
  [1984] = {
    [sym_xml_doc] = STATE(1984),
    [sym_block_comment] = STATE(1984),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_let_BANG] = ACTIONS(2726),
    [anon_sym_null] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_COLON_QMARK] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_COMMA] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_return_BANG] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_yield_BANG] = ACTIONS(2726),
    [anon_sym_lazy] = ACTIONS(2724),
    [anon_sym_assert] = ACTIONS(2724),
    [anon_sym_upcast] = ACTIONS(2724),
    [anon_sym_downcast] = ACTIONS(2724),
    [anon_sym_LT_AT] = ACTIONS(2724),
    [anon_sym_AT_GT] = ACTIONS(2726),
    [anon_sym_LT_AT_AT] = ACTIONS(2724),
    [anon_sym_AT_AT_GT] = ACTIONS(2726),
    [anon_sym_COLON_GT] = ACTIONS(2726),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_fun] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_match] = ACTIONS(2724),
    [anon_sym_match_BANG] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_LT_DASH] = ACTIONS(2724),
    [anon_sym_DOT_LBRACK] = ACTIONS(2726),
    [anon_sym_DOT] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_use] = ACTIONS(2724),
    [anon_sym_use_BANG] = ACTIONS(2726),
    [anon_sym_do_BANG] = ACTIONS(2726),
    [anon_sym_DOT_DOT] = ACTIONS(2726),
    [anon_sym_begin] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_or] = ACTIONS(2724),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_AT_DQUOTE] = ACTIONS(2726),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2726),
    [sym_bool] = ACTIONS(2724),
    [sym_unit] = ACTIONS(2724),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2724),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_DOT] = ACTIONS(2724),
    [anon_sym_DASH_DOT] = ACTIONS(2724),
    [anon_sym_PERCENT] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2726),
    [aux_sym_prefix_op_token1] = ACTIONS(2726),
    [aux_sym_infix_op_token1] = ACTIONS(2724),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2726),
    [anon_sym_COLON_EQ] = ACTIONS(2726),
    [anon_sym_DOLLAR] = ACTIONS(2724),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2726),
    [aux_sym_int_token1] = ACTIONS(2724),
    [aux_sym_xint_token1] = ACTIONS(2726),
    [aux_sym_xint_token2] = ACTIONS(2726),
    [aux_sym_xint_token3] = ACTIONS(2726),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2726),
  },
  [1985] = {
    [sym_xml_doc] = STATE(1985),
    [sym_block_comment] = STATE(1985),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_let_BANG] = ACTIONS(2751),
    [anon_sym_null] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_COLON_QMARK] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2751),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_return_BANG] = ACTIONS(2751),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_yield_BANG] = ACTIONS(2751),
    [anon_sym_lazy] = ACTIONS(2749),
    [anon_sym_assert] = ACTIONS(2749),
    [anon_sym_upcast] = ACTIONS(2749),
    [anon_sym_downcast] = ACTIONS(2749),
    [anon_sym_LT_AT] = ACTIONS(2749),
    [anon_sym_AT_GT] = ACTIONS(2751),
    [anon_sym_LT_AT_AT] = ACTIONS(2749),
    [anon_sym_AT_AT_GT] = ACTIONS(2751),
    [anon_sym_COLON_GT] = ACTIONS(2751),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2751),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_fun] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_match] = ACTIONS(2749),
    [anon_sym_match_BANG] = ACTIONS(2751),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_LT_DASH] = ACTIONS(2749),
    [anon_sym_DOT_LBRACK] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_use] = ACTIONS(2749),
    [anon_sym_use_BANG] = ACTIONS(2751),
    [anon_sym_do_BANG] = ACTIONS(2751),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_begin] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2749),
    [anon_sym_AT_DQUOTE] = ACTIONS(2751),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2751),
    [sym_bool] = ACTIONS(2749),
    [sym_unit] = ACTIONS(2749),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2749),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_PLUS_DOT] = ACTIONS(2749),
    [anon_sym_DASH_DOT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2751),
    [aux_sym_prefix_op_token1] = ACTIONS(2751),
    [aux_sym_infix_op_token1] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2751),
    [anon_sym_COLON_EQ] = ACTIONS(2751),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2751),
    [aux_sym_int_token1] = ACTIONS(2749),
    [aux_sym_xint_token1] = ACTIONS(2751),
    [aux_sym_xint_token2] = ACTIONS(2751),
    [aux_sym_xint_token3] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2751),
  },
  [1986] = {
    [sym_xml_doc] = STATE(1986),
    [sym_block_comment] = STATE(1986),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_let_BANG] = ACTIONS(2755),
    [anon_sym_null] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_COLON_QMARK] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2753),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_return_BANG] = ACTIONS(2755),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_yield_BANG] = ACTIONS(2755),
    [anon_sym_lazy] = ACTIONS(2753),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_upcast] = ACTIONS(2753),
    [anon_sym_downcast] = ACTIONS(2753),
    [anon_sym_LT_AT] = ACTIONS(2753),
    [anon_sym_AT_GT] = ACTIONS(2755),
    [anon_sym_LT_AT_AT] = ACTIONS(2753),
    [anon_sym_AT_AT_GT] = ACTIONS(2755),
    [anon_sym_COLON_GT] = ACTIONS(2755),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_match] = ACTIONS(2753),
    [anon_sym_match_BANG] = ACTIONS(2755),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_LT_DASH] = ACTIONS(2753),
    [anon_sym_DOT_LBRACK] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_use] = ACTIONS(2753),
    [anon_sym_use_BANG] = ACTIONS(2755),
    [anon_sym_do_BANG] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_begin] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_AT_DQUOTE] = ACTIONS(2755),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [sym_bool] = ACTIONS(2753),
    [sym_unit] = ACTIONS(2753),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2753),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS_DOT] = ACTIONS(2753),
    [anon_sym_DASH_DOT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2755),
    [aux_sym_prefix_op_token1] = ACTIONS(2755),
    [aux_sym_infix_op_token1] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2755),
    [anon_sym_COLON_EQ] = ACTIONS(2755),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2755),
    [aux_sym_int_token1] = ACTIONS(2753),
    [aux_sym_xint_token1] = ACTIONS(2755),
    [aux_sym_xint_token2] = ACTIONS(2755),
    [aux_sym_xint_token3] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2755),
  },
  [1987] = {
    [sym_xml_doc] = STATE(1987),
    [sym_block_comment] = STATE(1987),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_let_BANG] = ACTIONS(2759),
    [anon_sym_null] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_COLON_QMARK] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_return_BANG] = ACTIONS(2759),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_yield_BANG] = ACTIONS(2759),
    [anon_sym_lazy] = ACTIONS(2757),
    [anon_sym_assert] = ACTIONS(2757),
    [anon_sym_upcast] = ACTIONS(2757),
    [anon_sym_downcast] = ACTIONS(2757),
    [anon_sym_LT_AT] = ACTIONS(2757),
    [anon_sym_AT_GT] = ACTIONS(2759),
    [anon_sym_LT_AT_AT] = ACTIONS(2757),
    [anon_sym_AT_AT_GT] = ACTIONS(2759),
    [anon_sym_COLON_GT] = ACTIONS(2759),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_match] = ACTIONS(2757),
    [anon_sym_match_BANG] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_DOT_LBRACK] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_use] = ACTIONS(2757),
    [anon_sym_use_BANG] = ACTIONS(2759),
    [anon_sym_do_BANG] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2759),
    [anon_sym_begin] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_AT_DQUOTE] = ACTIONS(2759),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [sym_bool] = ACTIONS(2757),
    [sym_unit] = ACTIONS(2757),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2757),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_DOT] = ACTIONS(2757),
    [anon_sym_DASH_DOT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2759),
    [aux_sym_prefix_op_token1] = ACTIONS(2759),
    [aux_sym_infix_op_token1] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_COLON_EQ] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2759),
    [aux_sym_int_token1] = ACTIONS(2757),
    [aux_sym_xint_token1] = ACTIONS(2759),
    [aux_sym_xint_token2] = ACTIONS(2759),
    [aux_sym_xint_token3] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2759),
  },
  [1988] = {
    [sym_xml_doc] = STATE(1988),
    [sym_block_comment] = STATE(1988),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_let_BANG] = ACTIONS(2847),
    [anon_sym_null] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_COLON_QMARK] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_return_BANG] = ACTIONS(2847),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_yield_BANG] = ACTIONS(2847),
    [anon_sym_lazy] = ACTIONS(2845),
    [anon_sym_assert] = ACTIONS(2845),
    [anon_sym_upcast] = ACTIONS(2845),
    [anon_sym_downcast] = ACTIONS(2845),
    [anon_sym_LT_AT] = ACTIONS(2845),
    [anon_sym_AT_GT] = ACTIONS(2847),
    [anon_sym_LT_AT_AT] = ACTIONS(2845),
    [anon_sym_AT_AT_GT] = ACTIONS(2847),
    [anon_sym_COLON_GT] = ACTIONS(2847),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_match_BANG] = ACTIONS(2847),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_DOT_LBRACK] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_use_BANG] = ACTIONS(2847),
    [anon_sym_do_BANG] = ACTIONS(2847),
    [anon_sym_begin] = ACTIONS(2845),
    [anon_sym_LPAREN2] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [anon_sym_AT_DQUOTE] = ACTIONS(2847),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2847),
    [sym_bool] = ACTIONS(2845),
    [sym_unit] = ACTIONS(2845),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2845),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_DOT] = ACTIONS(2845),
    [anon_sym_DASH_DOT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2847),
    [aux_sym_prefix_op_token1] = ACTIONS(2847),
    [aux_sym_infix_op_token1] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2847),
    [aux_sym_int_token1] = ACTIONS(2845),
    [aux_sym_xint_token1] = ACTIONS(2847),
    [aux_sym_xint_token2] = ACTIONS(2847),
    [aux_sym_xint_token3] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2847),
    [sym__then] = ACTIONS(2847),
  },
  [1989] = {
    [sym_xml_doc] = STATE(1989),
    [sym_block_comment] = STATE(1989),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_let_BANG] = ACTIONS(2619),
    [anon_sym_null] = ACTIONS(2617),
    [anon_sym_QMARK] = ACTIONS(2617),
    [anon_sym_COLON_QMARK] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2619),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_return_BANG] = ACTIONS(2619),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_yield_BANG] = ACTIONS(2619),
    [anon_sym_lazy] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2617),
    [anon_sym_upcast] = ACTIONS(2617),
    [anon_sym_downcast] = ACTIONS(2617),
    [anon_sym_LT_AT] = ACTIONS(2617),
    [anon_sym_AT_GT] = ACTIONS(2619),
    [anon_sym_LT_AT_AT] = ACTIONS(2617),
    [anon_sym_AT_AT_GT] = ACTIONS(2619),
    [anon_sym_COLON_GT] = ACTIONS(2619),
    [anon_sym_COLON_QMARK_GT] = ACTIONS(2619),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_match_BANG] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_DOT_LBRACK] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_use_BANG] = ACTIONS(2619),
    [anon_sym_do_BANG] = ACTIONS(2619),
    [anon_sym_begin] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_AT_DQUOTE] = ACTIONS(2619),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2619),
    [sym_bool] = ACTIONS(2617),
    [sym_unit] = ACTIONS(2617),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2617),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_DOT] = ACTIONS(2617),
    [anon_sym_DASH_DOT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2619),
    [aux_sym_prefix_op_token1] = ACTIONS(2619),
    [aux_sym_infix_op_token1] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2619),
    [anon_sym_COLON_EQ] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2617),
    [anon_sym_QMARK_LT_DASH] = ACTIONS(2619),
    [aux_sym_int_token1] = ACTIONS(2617),
    [aux_sym_xint_token1] = ACTIONS(2619),
    [aux_sym_xint_token2] = ACTIONS(2619),
    [aux_sym_xint_token3] = ACTIONS(2619),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(163),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(165),
    [sym__newline] = ACTIONS(2619),
    [sym__then] = ACTIONS(2619),
  },
  [1990] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defns] = STATE(2449),
    [sym__function_or_value_defn_body] = STATE(2382),
    [sym_function_declaration_left] = STATE(4677),
    [sym_value_declaration_left] = STATE(4677),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(1990),
    [sym_block_comment] = STATE(1990),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1991] = {
    [sym_xml_doc] = STATE(1991),
    [sym_block_comment] = STATE(1991),
    [aux_sym__compound_type_repeat1] = STATE(2025),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_POUNDnowarn] = ACTIONS(2335),
    [anon_sym_POUNDr] = ACTIONS(2335),
    [anon_sym_POUNDload] = ACTIONS(2335),
    [anon_sym_open] = ACTIONS(2333),
    [anon_sym_LBRACK_LT] = ACTIONS(2335),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_type] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_and] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [aux_sym_access_modifier_token1] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_LT_AT_AT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2335),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2333),
    [anon_sym_member] = ACTIONS(2333),
    [anon_sym_interface] = ACTIONS(2333),
    [anon_sym_abstract] = ACTIONS(2333),
    [anon_sym_override] = ACTIONS(2333),
    [anon_sym_default] = ACTIONS(2333),
    [anon_sym_val] = ACTIONS(2333),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2335),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2335),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2335),
    [anon_sym_DASH_DOT] = ACTIONS(2335),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2335),
  },
  [1992] = {
    [sym_xml_doc] = STATE(1992),
    [sym_block_comment] = STATE(1992),
    [ts_builtin_sym_end] = ACTIONS(2478),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_namespace] = ACTIONS(2476),
    [anon_sym_module] = ACTIONS(2476),
    [anon_sym_POUNDnowarn] = ACTIONS(2478),
    [anon_sym_POUNDr] = ACTIONS(2478),
    [anon_sym_POUNDload] = ACTIONS(2478),
    [anon_sym_open] = ACTIONS(2476),
    [anon_sym_LBRACK_LT] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_type] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_and] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [aux_sym_access_modifier_token1] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_LT_AT_AT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_member] = ACTIONS(2476),
    [anon_sym_interface] = ACTIONS(2476),
    [anon_sym_abstract] = ACTIONS(2476),
    [anon_sym_override] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_val] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2478),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2478),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2478),
    [anon_sym_DASH_DOT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1993] = {
    [sym_xml_doc] = STATE(1993),
    [sym_block_comment] = STATE(1993),
    [ts_builtin_sym_end] = ACTIONS(2470),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_module] = ACTIONS(2468),
    [anon_sym_POUNDnowarn] = ACTIONS(2470),
    [anon_sym_POUNDr] = ACTIONS(2470),
    [anon_sym_POUNDload] = ACTIONS(2470),
    [anon_sym_open] = ACTIONS(2468),
    [anon_sym_LBRACK_LT] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_type] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_and] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [aux_sym_access_modifier_token1] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_with] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_LT_AT_AT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_member] = ACTIONS(2468),
    [anon_sym_interface] = ACTIONS(2468),
    [anon_sym_abstract] = ACTIONS(2468),
    [anon_sym_override] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_val] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2470),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2470),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2470),
    [anon_sym_DASH_DOT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1994] = {
    [sym_xml_doc] = STATE(1994),
    [sym_block_comment] = STATE(1994),
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2428),
    [anon_sym_module] = ACTIONS(2428),
    [anon_sym_POUNDnowarn] = ACTIONS(2430),
    [anon_sym_POUNDr] = ACTIONS(2430),
    [anon_sym_POUNDload] = ACTIONS(2430),
    [anon_sym_open] = ACTIONS(2428),
    [anon_sym_LBRACK_LT] = ACTIONS(2430),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_type] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_and] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [aux_sym_access_modifier_token1] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_with] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_LT_AT_AT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_member] = ACTIONS(2428),
    [anon_sym_interface] = ACTIONS(2428),
    [anon_sym_abstract] = ACTIONS(2428),
    [anon_sym_override] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_val] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2430),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2430),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2430),
    [anon_sym_DASH_DOT] = ACTIONS(2430),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1995] = {
    [sym_xml_doc] = STATE(1995),
    [sym_block_comment] = STATE(1995),
    [ts_builtin_sym_end] = ACTIONS(2414),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_namespace] = ACTIONS(2408),
    [anon_sym_module] = ACTIONS(2408),
    [anon_sym_POUNDnowarn] = ACTIONS(2414),
    [anon_sym_POUNDr] = ACTIONS(2414),
    [anon_sym_POUNDload] = ACTIONS(2414),
    [anon_sym_open] = ACTIONS(2408),
    [anon_sym_LBRACK_LT] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_type] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_and] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [aux_sym_access_modifier_token1] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_LT_AT_AT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_member] = ACTIONS(2408),
    [anon_sym_interface] = ACTIONS(2408),
    [anon_sym_abstract] = ACTIONS(2408),
    [anon_sym_override] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_val] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2414),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2414),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2414),
    [anon_sym_DASH_DOT] = ACTIONS(2414),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1996] = {
    [sym_xml_doc] = STATE(1996),
    [sym_block_comment] = STATE(1996),
    [ts_builtin_sym_end] = ACTIONS(2444),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_POUNDnowarn] = ACTIONS(2444),
    [anon_sym_POUNDr] = ACTIONS(2444),
    [anon_sym_POUNDload] = ACTIONS(2444),
    [anon_sym_open] = ACTIONS(2442),
    [anon_sym_LBRACK_LT] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_and] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [aux_sym_access_modifier_token1] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_LT_AT_AT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_member] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_val] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2444),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2444),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2444),
    [anon_sym_DASH_DOT] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1997] = {
    [sym_xml_doc] = STATE(1997),
    [sym_block_comment] = STATE(1997),
    [ts_builtin_sym_end] = ACTIONS(2436),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_POUNDnowarn] = ACTIONS(2436),
    [anon_sym_POUNDr] = ACTIONS(2436),
    [anon_sym_POUNDload] = ACTIONS(2436),
    [anon_sym_open] = ACTIONS(2434),
    [anon_sym_LBRACK_LT] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_and] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [aux_sym_access_modifier_token1] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_LT_AT_AT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_member] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_val] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2436),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2436),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2436),
    [anon_sym_DASH_DOT] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [1998] = {
    [sym_xml_doc] = STATE(1998),
    [sym_block_comment] = STATE(1998),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [aux_sym_access_modifier_token1] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_member] = ACTIONS(2316),
    [anon_sym_interface] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2316),
    [anon_sym_override] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_val] = ACTIONS(2316),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2318),
  },
  [1999] = {
    [sym_xml_doc] = STATE(1999),
    [sym_block_comment] = STATE(1999),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_POUNDnowarn] = ACTIONS(2452),
    [anon_sym_POUNDr] = ACTIONS(2452),
    [anon_sym_POUNDload] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2450),
    [anon_sym_LBRACK_LT] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [aux_sym_access_modifier_token1] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_member] = ACTIONS(2450),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_val] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2452),
  },
  [2000] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(2531),
    [sym_function_declaration_left] = STATE(4561),
    [sym_value_declaration_left] = STATE(4561),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2000),
    [sym_block_comment] = STATE(2000),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_rec] = ACTIONS(3578),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2001] = {
    [sym_xml_doc] = STATE(2001),
    [sym_block_comment] = STATE(2001),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_POUNDnowarn] = ACTIONS(2426),
    [anon_sym_POUNDr] = ACTIONS(2426),
    [anon_sym_POUNDload] = ACTIONS(2426),
    [anon_sym_open] = ACTIONS(2424),
    [anon_sym_LBRACK_LT] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_and] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [aux_sym_access_modifier_token1] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_LT_AT_AT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_member] = ACTIONS(2424),
    [anon_sym_interface] = ACTIONS(2424),
    [anon_sym_abstract] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_val] = ACTIONS(2424),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2426),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2426),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2426),
    [anon_sym_DASH_DOT] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2426),
  },
  [2002] = {
    [sym_xml_doc] = STATE(2002),
    [sym_block_comment] = STATE(2002),
    [ts_builtin_sym_end] = ACTIONS(2474),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_namespace] = ACTIONS(2472),
    [anon_sym_module] = ACTIONS(2472),
    [anon_sym_POUNDnowarn] = ACTIONS(2474),
    [anon_sym_POUNDr] = ACTIONS(2474),
    [anon_sym_POUNDload] = ACTIONS(2474),
    [anon_sym_open] = ACTIONS(2472),
    [anon_sym_LBRACK_LT] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_type] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_and] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [aux_sym_access_modifier_token1] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_LT_AT_AT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_member] = ACTIONS(2472),
    [anon_sym_interface] = ACTIONS(2472),
    [anon_sym_abstract] = ACTIONS(2472),
    [anon_sym_override] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_val] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2474),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2474),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2474),
    [anon_sym_DASH_DOT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2003] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(2402),
    [sym_function_declaration_left] = STATE(4411),
    [sym_value_declaration_left] = STATE(4411),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2003),
    [sym_block_comment] = STATE(2003),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_rec] = ACTIONS(3580),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2004] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defns] = STATE(2527),
    [sym__function_or_value_defn_body] = STATE(2517),
    [sym_function_declaration_left] = STATE(4561),
    [sym_value_declaration_left] = STATE(4561),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2004),
    [sym_block_comment] = STATE(2004),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2005] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(2457),
    [sym_function_declaration_left] = STATE(4677),
    [sym_value_declaration_left] = STATE(4677),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2005),
    [sym_block_comment] = STATE(2005),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_rec] = ACTIONS(3582),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2006] = {
    [sym_xml_doc] = STATE(2006),
    [sym_block_comment] = STATE(2006),
    [ts_builtin_sym_end] = ACTIONS(2456),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_namespace] = ACTIONS(2454),
    [anon_sym_module] = ACTIONS(2454),
    [anon_sym_POUNDnowarn] = ACTIONS(2456),
    [anon_sym_POUNDr] = ACTIONS(2456),
    [anon_sym_POUNDload] = ACTIONS(2456),
    [anon_sym_open] = ACTIONS(2454),
    [anon_sym_LBRACK_LT] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_type] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [aux_sym_access_modifier_token1] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_with] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_LT_AT_AT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_LT2] = ACTIONS(3584),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_member] = ACTIONS(2454),
    [anon_sym_interface] = ACTIONS(2454),
    [anon_sym_abstract] = ACTIONS(2454),
    [anon_sym_override] = ACTIONS(2454),
    [anon_sym_default] = ACTIONS(2454),
    [anon_sym_val] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2456),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2456),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2456),
    [anon_sym_DASH_DOT] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2007] = {
    [sym_xml_doc] = STATE(2007),
    [sym_block_comment] = STATE(2007),
    [ts_builtin_sym_end] = ACTIONS(2452),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_POUNDnowarn] = ACTIONS(2452),
    [anon_sym_POUNDr] = ACTIONS(2452),
    [anon_sym_POUNDload] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2450),
    [anon_sym_LBRACK_LT] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [aux_sym_access_modifier_token1] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_member] = ACTIONS(2450),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_val] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2008] = {
    [sym_xml_doc] = STATE(2008),
    [sym_block_comment] = STATE(2008),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_POUNDnowarn] = ACTIONS(2440),
    [anon_sym_POUNDr] = ACTIONS(2440),
    [anon_sym_POUNDload] = ACTIONS(2440),
    [anon_sym_open] = ACTIONS(2438),
    [anon_sym_LBRACK_LT] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_and] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [aux_sym_access_modifier_token1] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_LT_AT_AT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_member] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_val] = ACTIONS(2438),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2440),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2440),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2440),
    [anon_sym_DASH_DOT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2440),
  },
  [2009] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(4557),
    [sym_function_declaration_left] = STATE(4659),
    [sym_value_declaration_left] = STATE(4659),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2009),
    [sym_block_comment] = STATE(2009),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_rec] = ACTIONS(3586),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2010] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(2010),
    [sym_block_comment] = STATE(2010),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3556),
    [anon_sym_module] = ACTIONS(3556),
    [anon_sym_POUNDnowarn] = ACTIONS(3554),
    [anon_sym_POUNDr] = ACTIONS(3554),
    [anon_sym_POUNDload] = ACTIONS(3554),
    [anon_sym_open] = ACTIONS(3556),
    [anon_sym_LBRACK_LT] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(3556),
    [anon_sym_type] = ACTIONS(3556),
    [anon_sym_do] = ACTIONS(3556),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_let] = ACTIONS(3556),
    [anon_sym_let_BANG] = ACTIONS(3554),
    [aux_sym_access_modifier_token1] = ACTIONS(3554),
    [anon_sym_null] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(3556),
    [anon_sym_AMP] = ACTIONS(3556),
    [anon_sym_LBRACK] = ACTIONS(3556),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3556),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3554),
    [anon_sym_new] = ACTIONS(3556),
    [anon_sym_return_BANG] = ACTIONS(3554),
    [anon_sym_yield] = ACTIONS(3556),
    [anon_sym_yield_BANG] = ACTIONS(3554),
    [anon_sym_lazy] = ACTIONS(3556),
    [anon_sym_assert] = ACTIONS(3556),
    [anon_sym_upcast] = ACTIONS(3556),
    [anon_sym_downcast] = ACTIONS(3556),
    [anon_sym_LT_AT] = ACTIONS(3556),
    [anon_sym_LT_AT_AT] = ACTIONS(3554),
    [anon_sym_for] = ACTIONS(3556),
    [anon_sym_while] = ACTIONS(3556),
    [anon_sym_if] = ACTIONS(3556),
    [anon_sym_fun] = ACTIONS(3556),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3556),
    [anon_sym_match] = ACTIONS(3556),
    [anon_sym_match_BANG] = ACTIONS(3554),
    [anon_sym_function] = ACTIONS(3556),
    [anon_sym_use] = ACTIONS(3556),
    [anon_sym_use_BANG] = ACTIONS(3554),
    [anon_sym_do_BANG] = ACTIONS(3554),
    [anon_sym_begin] = ACTIONS(3556),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3554),
    [anon_sym_static] = ACTIONS(3556),
    [anon_sym_member] = ACTIONS(3556),
    [anon_sym_abstract] = ACTIONS(3556),
    [anon_sym_override] = ACTIONS(3556),
    [anon_sym_default] = ACTIONS(3556),
    [anon_sym_val] = ACTIONS(3556),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3556),
    [anon_sym_DQUOTE] = ACTIONS(3556),
    [anon_sym_AT_DQUOTE] = ACTIONS(3554),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3554),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3554),
    [sym_bool] = ACTIONS(3556),
    [sym_unit] = ACTIONS(3554),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3554),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3556),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_PLUS_DOT] = ACTIONS(3554),
    [anon_sym_DASH_DOT] = ACTIONS(3554),
    [anon_sym_PERCENT] = ACTIONS(3554),
    [anon_sym_AMP_AMP] = ACTIONS(3554),
    [anon_sym_TILDE] = ACTIONS(3554),
    [aux_sym_prefix_op_token1] = ACTIONS(3554),
    [aux_sym_int_token1] = ACTIONS(3556),
    [aux_sym_xint_token1] = ACTIONS(3554),
    [aux_sym_xint_token2] = ACTIONS(3554),
    [aux_sym_xint_token3] = ACTIONS(3554),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3554),
  },
  [2011] = {
    [sym_xml_doc] = STATE(2011),
    [sym_block_comment] = STATE(2011),
    [ts_builtin_sym_end] = ACTIONS(2466),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_POUNDnowarn] = ACTIONS(2466),
    [anon_sym_POUNDr] = ACTIONS(2466),
    [anon_sym_POUNDload] = ACTIONS(2466),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_LBRACK_LT] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_and] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [aux_sym_access_modifier_token1] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_LT_AT_AT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_member] = ACTIONS(2464),
    [anon_sym_interface] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_val] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2466),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2466),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2466),
    [anon_sym_DASH_DOT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2012] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defns] = STATE(2409),
    [sym__function_or_value_defn_body] = STATE(2348),
    [sym_function_declaration_left] = STATE(4411),
    [sym_value_declaration_left] = STATE(4411),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2012),
    [sym_block_comment] = STATE(2012),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2013] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(2013),
    [sym_block_comment] = STATE(2013),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3552),
    [anon_sym_module] = ACTIONS(3552),
    [anon_sym_POUNDnowarn] = ACTIONS(3550),
    [anon_sym_POUNDr] = ACTIONS(3550),
    [anon_sym_POUNDload] = ACTIONS(3550),
    [anon_sym_open] = ACTIONS(3552),
    [anon_sym_LBRACK_LT] = ACTIONS(3550),
    [anon_sym_return] = ACTIONS(3552),
    [anon_sym_type] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(3552),
    [anon_sym_and] = ACTIONS(3552),
    [anon_sym_let] = ACTIONS(3552),
    [anon_sym_let_BANG] = ACTIONS(3550),
    [aux_sym_access_modifier_token1] = ACTIONS(3550),
    [anon_sym_null] = ACTIONS(3552),
    [anon_sym_LPAREN] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(3552),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3550),
    [anon_sym_LBRACE] = ACTIONS(3552),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3552),
    [anon_sym_return_BANG] = ACTIONS(3550),
    [anon_sym_yield] = ACTIONS(3552),
    [anon_sym_yield_BANG] = ACTIONS(3550),
    [anon_sym_lazy] = ACTIONS(3552),
    [anon_sym_assert] = ACTIONS(3552),
    [anon_sym_upcast] = ACTIONS(3552),
    [anon_sym_downcast] = ACTIONS(3552),
    [anon_sym_LT_AT] = ACTIONS(3552),
    [anon_sym_LT_AT_AT] = ACTIONS(3550),
    [anon_sym_for] = ACTIONS(3552),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_if] = ACTIONS(3552),
    [anon_sym_fun] = ACTIONS(3552),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3552),
    [anon_sym_match] = ACTIONS(3552),
    [anon_sym_match_BANG] = ACTIONS(3550),
    [anon_sym_function] = ACTIONS(3552),
    [anon_sym_use] = ACTIONS(3552),
    [anon_sym_use_BANG] = ACTIONS(3550),
    [anon_sym_do_BANG] = ACTIONS(3550),
    [anon_sym_begin] = ACTIONS(3552),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3550),
    [anon_sym_static] = ACTIONS(3552),
    [anon_sym_member] = ACTIONS(3552),
    [anon_sym_abstract] = ACTIONS(3552),
    [anon_sym_override] = ACTIONS(3552),
    [anon_sym_default] = ACTIONS(3552),
    [anon_sym_val] = ACTIONS(3552),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3552),
    [anon_sym_DQUOTE] = ACTIONS(3552),
    [anon_sym_AT_DQUOTE] = ACTIONS(3550),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3550),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3550),
    [sym_bool] = ACTIONS(3552),
    [sym_unit] = ACTIONS(3550),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3550),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3552),
    [anon_sym_PLUS] = ACTIONS(3552),
    [anon_sym_DASH] = ACTIONS(3552),
    [anon_sym_PLUS_DOT] = ACTIONS(3550),
    [anon_sym_DASH_DOT] = ACTIONS(3550),
    [anon_sym_PERCENT] = ACTIONS(3550),
    [anon_sym_AMP_AMP] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3550),
    [aux_sym_prefix_op_token1] = ACTIONS(3550),
    [aux_sym_int_token1] = ACTIONS(3552),
    [aux_sym_xint_token1] = ACTIONS(3550),
    [aux_sym_xint_token2] = ACTIONS(3550),
    [aux_sym_xint_token3] = ACTIONS(3550),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3550),
  },
  [2014] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(2014),
    [sym_block_comment] = STATE(2014),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3486),
    [anon_sym_module] = ACTIONS(3486),
    [anon_sym_POUNDnowarn] = ACTIONS(3484),
    [anon_sym_POUNDr] = ACTIONS(3484),
    [anon_sym_POUNDload] = ACTIONS(3484),
    [anon_sym_open] = ACTIONS(3486),
    [anon_sym_LBRACK_LT] = ACTIONS(3484),
    [anon_sym_return] = ACTIONS(3486),
    [anon_sym_type] = ACTIONS(3486),
    [anon_sym_do] = ACTIONS(3486),
    [anon_sym_and] = ACTIONS(3486),
    [anon_sym_let] = ACTIONS(3486),
    [anon_sym_let_BANG] = ACTIONS(3484),
    [aux_sym_access_modifier_token1] = ACTIONS(3484),
    [anon_sym_null] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3486),
    [anon_sym_AMP] = ACTIONS(3486),
    [anon_sym_LBRACK] = ACTIONS(3486),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3486),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3484),
    [anon_sym_new] = ACTIONS(3486),
    [anon_sym_return_BANG] = ACTIONS(3484),
    [anon_sym_yield] = ACTIONS(3486),
    [anon_sym_yield_BANG] = ACTIONS(3484),
    [anon_sym_lazy] = ACTIONS(3486),
    [anon_sym_assert] = ACTIONS(3486),
    [anon_sym_upcast] = ACTIONS(3486),
    [anon_sym_downcast] = ACTIONS(3486),
    [anon_sym_LT_AT] = ACTIONS(3486),
    [anon_sym_LT_AT_AT] = ACTIONS(3484),
    [anon_sym_for] = ACTIONS(3486),
    [anon_sym_while] = ACTIONS(3486),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_fun] = ACTIONS(3486),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3486),
    [anon_sym_match] = ACTIONS(3486),
    [anon_sym_match_BANG] = ACTIONS(3484),
    [anon_sym_function] = ACTIONS(3486),
    [anon_sym_use] = ACTIONS(3486),
    [anon_sym_use_BANG] = ACTIONS(3484),
    [anon_sym_do_BANG] = ACTIONS(3484),
    [anon_sym_begin] = ACTIONS(3486),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3484),
    [anon_sym_static] = ACTIONS(3486),
    [anon_sym_member] = ACTIONS(3486),
    [anon_sym_abstract] = ACTIONS(3486),
    [anon_sym_override] = ACTIONS(3486),
    [anon_sym_default] = ACTIONS(3486),
    [anon_sym_val] = ACTIONS(3486),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3486),
    [anon_sym_DQUOTE] = ACTIONS(3486),
    [anon_sym_AT_DQUOTE] = ACTIONS(3484),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3484),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3484),
    [sym_bool] = ACTIONS(3486),
    [sym_unit] = ACTIONS(3484),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3484),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3486),
    [anon_sym_PLUS] = ACTIONS(3486),
    [anon_sym_DASH] = ACTIONS(3486),
    [anon_sym_PLUS_DOT] = ACTIONS(3484),
    [anon_sym_DASH_DOT] = ACTIONS(3484),
    [anon_sym_PERCENT] = ACTIONS(3484),
    [anon_sym_AMP_AMP] = ACTIONS(3484),
    [anon_sym_TILDE] = ACTIONS(3484),
    [aux_sym_prefix_op_token1] = ACTIONS(3484),
    [aux_sym_int_token1] = ACTIONS(3486),
    [aux_sym_xint_token1] = ACTIONS(3484),
    [aux_sym_xint_token2] = ACTIONS(3484),
    [aux_sym_xint_token3] = ACTIONS(3484),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3484),
  },
  [2015] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defns] = STATE(5379),
    [sym__function_or_value_defn_body] = STATE(4286),
    [sym_function_declaration_left] = STATE(4608),
    [sym_value_declaration_left] = STATE(4608),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2015),
    [sym_block_comment] = STATE(2015),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2016] = {
    [sym_attributes] = STATE(3719),
    [sym_attribute_set] = STATE(3115),
    [sym_access_modifier] = STATE(4356),
    [sym_member_defn] = STATE(2122),
    [sym_additional_constr_defn] = STATE(2115),
    [sym_xml_doc] = STATE(2016),
    [sym_block_comment] = STATE(2016),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym__member_defns_repeat1] = STATE(2016),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_POUNDnowarn] = ACTIONS(3522),
    [anon_sym_POUNDr] = ACTIONS(3522),
    [anon_sym_POUNDload] = ACTIONS(3522),
    [anon_sym_open] = ACTIONS(3524),
    [anon_sym_LBRACK_LT] = ACTIONS(3526),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_and] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_let_BANG] = ACTIONS(3522),
    [aux_sym_access_modifier_token1] = ACTIONS(3529),
    [anon_sym_null] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(3588),
    [anon_sym_return_BANG] = ACTIONS(3522),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_yield_BANG] = ACTIONS(3522),
    [anon_sym_lazy] = ACTIONS(3524),
    [anon_sym_assert] = ACTIONS(3524),
    [anon_sym_upcast] = ACTIONS(3524),
    [anon_sym_downcast] = ACTIONS(3524),
    [anon_sym_LT_AT] = ACTIONS(3524),
    [anon_sym_LT_AT_AT] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_fun] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_match] = ACTIONS(3524),
    [anon_sym_match_BANG] = ACTIONS(3522),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_use] = ACTIONS(3524),
    [anon_sym_use_BANG] = ACTIONS(3522),
    [anon_sym_do_BANG] = ACTIONS(3522),
    [anon_sym_begin] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3522),
    [anon_sym_static] = ACTIONS(3591),
    [anon_sym_member] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3597),
    [anon_sym_override] = ACTIONS(3600),
    [anon_sym_default] = ACTIONS(3600),
    [anon_sym_val] = ACTIONS(3603),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_AT_DQUOTE] = ACTIONS(3522),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3522),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3522),
    [sym_bool] = ACTIONS(3524),
    [sym_unit] = ACTIONS(3522),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3522),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS_DOT] = ACTIONS(3522),
    [anon_sym_DASH_DOT] = ACTIONS(3522),
    [anon_sym_PERCENT] = ACTIONS(3522),
    [anon_sym_AMP_AMP] = ACTIONS(3522),
    [anon_sym_TILDE] = ACTIONS(3522),
    [aux_sym_prefix_op_token1] = ACTIONS(3522),
    [aux_sym_int_token1] = ACTIONS(3524),
    [aux_sym_xint_token1] = ACTIONS(3522),
    [aux_sym_xint_token2] = ACTIONS(3522),
    [aux_sym_xint_token3] = ACTIONS(3522),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3522),
  },
  [2017] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defns] = STATE(4875),
    [sym__function_or_value_defn_body] = STATE(4286),
    [sym_function_declaration_left] = STATE(4608),
    [sym_value_declaration_left] = STATE(4608),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2017),
    [sym_block_comment] = STATE(2017),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2018] = {
    [sym_xml_doc] = STATE(2018),
    [sym_block_comment] = STATE(2018),
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_POUNDnowarn] = ACTIONS(2462),
    [anon_sym_POUNDr] = ACTIONS(2462),
    [anon_sym_POUNDload] = ACTIONS(2462),
    [anon_sym_open] = ACTIONS(2460),
    [anon_sym_LBRACK_LT] = ACTIONS(2462),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_and] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [aux_sym_access_modifier_token1] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_with] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_LT_AT_AT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_member] = ACTIONS(2460),
    [anon_sym_interface] = ACTIONS(2460),
    [anon_sym_abstract] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_val] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2462),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2462),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2462),
    [anon_sym_DASH_DOT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2019] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(2019),
    [sym_block_comment] = STATE(2019),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_POUNDnowarn] = ACTIONS(3514),
    [anon_sym_POUNDr] = ACTIONS(3514),
    [anon_sym_POUNDload] = ACTIONS(3514),
    [anon_sym_open] = ACTIONS(3516),
    [anon_sym_LBRACK_LT] = ACTIONS(3514),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_do] = ACTIONS(3516),
    [anon_sym_and] = ACTIONS(3516),
    [anon_sym_let] = ACTIONS(3516),
    [anon_sym_let_BANG] = ACTIONS(3514),
    [aux_sym_access_modifier_token1] = ACTIONS(3514),
    [anon_sym_null] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3516),
    [anon_sym_AMP] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3516),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(3516),
    [anon_sym_return_BANG] = ACTIONS(3514),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_yield_BANG] = ACTIONS(3514),
    [anon_sym_lazy] = ACTIONS(3516),
    [anon_sym_assert] = ACTIONS(3516),
    [anon_sym_upcast] = ACTIONS(3516),
    [anon_sym_downcast] = ACTIONS(3516),
    [anon_sym_LT_AT] = ACTIONS(3516),
    [anon_sym_LT_AT_AT] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_fun] = ACTIONS(3516),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_match] = ACTIONS(3516),
    [anon_sym_match_BANG] = ACTIONS(3514),
    [anon_sym_function] = ACTIONS(3516),
    [anon_sym_use] = ACTIONS(3516),
    [anon_sym_use_BANG] = ACTIONS(3514),
    [anon_sym_do_BANG] = ACTIONS(3514),
    [anon_sym_begin] = ACTIONS(3516),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_static] = ACTIONS(3516),
    [anon_sym_member] = ACTIONS(3516),
    [anon_sym_abstract] = ACTIONS(3516),
    [anon_sym_override] = ACTIONS(3516),
    [anon_sym_default] = ACTIONS(3516),
    [anon_sym_val] = ACTIONS(3516),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [anon_sym_AT_DQUOTE] = ACTIONS(3514),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3514),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3514),
    [sym_bool] = ACTIONS(3516),
    [sym_unit] = ACTIONS(3514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3516),
    [anon_sym_PLUS] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3516),
    [anon_sym_PLUS_DOT] = ACTIONS(3514),
    [anon_sym_DASH_DOT] = ACTIONS(3514),
    [anon_sym_PERCENT] = ACTIONS(3514),
    [anon_sym_AMP_AMP] = ACTIONS(3514),
    [anon_sym_TILDE] = ACTIONS(3514),
    [aux_sym_prefix_op_token1] = ACTIONS(3514),
    [aux_sym_int_token1] = ACTIONS(3516),
    [aux_sym_xint_token1] = ACTIONS(3514),
    [aux_sym_xint_token2] = ACTIONS(3514),
    [aux_sym_xint_token3] = ACTIONS(3514),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3514),
  },
  [2020] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defns] = STATE(4407),
    [sym__function_or_value_defn_body] = STATE(4103),
    [sym_function_declaration_left] = STATE(4659),
    [sym_value_declaration_left] = STATE(4659),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2020),
    [sym_block_comment] = STATE(2020),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2021] = {
    [sym_attributes] = STATE(3719),
    [sym_attribute_set] = STATE(3115),
    [sym_access_modifier] = STATE(4356),
    [sym_member_defn] = STATE(2122),
    [sym_additional_constr_defn] = STATE(2115),
    [sym_xml_doc] = STATE(2021),
    [sym_block_comment] = STATE(2021),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym__member_defns_repeat1] = STATE(2016),
    [sym_identifier] = ACTIONS(3520),
    [anon_sym_module] = ACTIONS(3520),
    [anon_sym_POUNDnowarn] = ACTIONS(3518),
    [anon_sym_POUNDr] = ACTIONS(3518),
    [anon_sym_POUNDload] = ACTIONS(3518),
    [anon_sym_open] = ACTIONS(3520),
    [anon_sym_LBRACK_LT] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3520),
    [anon_sym_type] = ACTIONS(3520),
    [anon_sym_do] = ACTIONS(3520),
    [anon_sym_and] = ACTIONS(3520),
    [anon_sym_let] = ACTIONS(3520),
    [anon_sym_let_BANG] = ACTIONS(3518),
    [aux_sym_access_modifier_token1] = ACTIONS(3472),
    [anon_sym_null] = ACTIONS(3520),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [anon_sym_LBRACK] = ACTIONS(3520),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(3520),
    [anon_sym_return_BANG] = ACTIONS(3518),
    [anon_sym_yield] = ACTIONS(3520),
    [anon_sym_yield_BANG] = ACTIONS(3518),
    [anon_sym_lazy] = ACTIONS(3520),
    [anon_sym_assert] = ACTIONS(3520),
    [anon_sym_upcast] = ACTIONS(3520),
    [anon_sym_downcast] = ACTIONS(3520),
    [anon_sym_LT_AT] = ACTIONS(3520),
    [anon_sym_LT_AT_AT] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3520),
    [anon_sym_while] = ACTIONS(3520),
    [anon_sym_if] = ACTIONS(3520),
    [anon_sym_fun] = ACTIONS(3520),
    [anon_sym_try] = ACTIONS(3520),
    [anon_sym_match] = ACTIONS(3520),
    [anon_sym_match_BANG] = ACTIONS(3518),
    [anon_sym_function] = ACTIONS(3520),
    [anon_sym_use] = ACTIONS(3520),
    [anon_sym_use_BANG] = ACTIONS(3518),
    [anon_sym_do_BANG] = ACTIONS(3518),
    [anon_sym_begin] = ACTIONS(3520),
    [anon_sym_SQUOTE] = ACTIONS(3518),
    [anon_sym_static] = ACTIONS(3606),
    [anon_sym_member] = ACTIONS(3608),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_default] = ACTIONS(3612),
    [anon_sym_val] = ACTIONS(3614),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3520),
    [anon_sym_DQUOTE] = ACTIONS(3520),
    [anon_sym_AT_DQUOTE] = ACTIONS(3518),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3518),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3518),
    [sym_bool] = ACTIONS(3520),
    [sym_unit] = ACTIONS(3518),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3518),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_PLUS_DOT] = ACTIONS(3518),
    [anon_sym_DASH_DOT] = ACTIONS(3518),
    [anon_sym_PERCENT] = ACTIONS(3518),
    [anon_sym_AMP_AMP] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3518),
    [aux_sym_prefix_op_token1] = ACTIONS(3518),
    [aux_sym_int_token1] = ACTIONS(3520),
    [aux_sym_xint_token1] = ACTIONS(3518),
    [aux_sym_xint_token2] = ACTIONS(3518),
    [aux_sym_xint_token3] = ACTIONS(3518),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3518),
  },
  [2022] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defns] = STATE(5196),
    [sym__function_or_value_defn_body] = STATE(4286),
    [sym_function_declaration_left] = STATE(4608),
    [sym_value_declaration_left] = STATE(4608),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2022),
    [sym_block_comment] = STATE(2022),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2023] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defns] = STATE(4936),
    [sym__function_or_value_defn_body] = STATE(4286),
    [sym_function_declaration_left] = STATE(4608),
    [sym_value_declaration_left] = STATE(4608),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2023),
    [sym_block_comment] = STATE(2023),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2024] = {
    [sym_type_arguments] = STATE(2045),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(2024),
    [sym_block_comment] = STATE(2024),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3463),
    [anon_sym_module] = ACTIONS(3463),
    [anon_sym_POUNDnowarn] = ACTIONS(3461),
    [anon_sym_POUNDr] = ACTIONS(3461),
    [anon_sym_POUNDload] = ACTIONS(3461),
    [anon_sym_open] = ACTIONS(3463),
    [anon_sym_LBRACK_LT] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3463),
    [anon_sym_type] = ACTIONS(3463),
    [anon_sym_do] = ACTIONS(3463),
    [anon_sym_and] = ACTIONS(3463),
    [anon_sym_let] = ACTIONS(3463),
    [anon_sym_let_BANG] = ACTIONS(3461),
    [aux_sym_access_modifier_token1] = ACTIONS(3461),
    [anon_sym_null] = ACTIONS(3463),
    [anon_sym_LPAREN] = ACTIONS(3463),
    [anon_sym_AMP] = ACTIONS(3463),
    [anon_sym_LBRACK] = ACTIONS(3463),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3463),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3461),
    [anon_sym_new] = ACTIONS(3463),
    [anon_sym_return_BANG] = ACTIONS(3461),
    [anon_sym_yield] = ACTIONS(3463),
    [anon_sym_yield_BANG] = ACTIONS(3461),
    [anon_sym_lazy] = ACTIONS(3463),
    [anon_sym_assert] = ACTIONS(3463),
    [anon_sym_upcast] = ACTIONS(3463),
    [anon_sym_downcast] = ACTIONS(3463),
    [anon_sym_LT_AT] = ACTIONS(3463),
    [anon_sym_LT_AT_AT] = ACTIONS(3461),
    [anon_sym_for] = ACTIONS(3463),
    [anon_sym_while] = ACTIONS(3463),
    [anon_sym_if] = ACTIONS(3463),
    [anon_sym_fun] = ACTIONS(3463),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3463),
    [anon_sym_match] = ACTIONS(3463),
    [anon_sym_match_BANG] = ACTIONS(3461),
    [anon_sym_function] = ACTIONS(3463),
    [anon_sym_use] = ACTIONS(3463),
    [anon_sym_use_BANG] = ACTIONS(3461),
    [anon_sym_do_BANG] = ACTIONS(3461),
    [anon_sym_begin] = ACTIONS(3463),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3463),
    [anon_sym_member] = ACTIONS(3463),
    [anon_sym_abstract] = ACTIONS(3463),
    [anon_sym_override] = ACTIONS(3463),
    [anon_sym_default] = ACTIONS(3463),
    [anon_sym_val] = ACTIONS(3463),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [anon_sym_AT_DQUOTE] = ACTIONS(3461),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3461),
    [sym_bool] = ACTIONS(3463),
    [sym_unit] = ACTIONS(3461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3461),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3463),
    [anon_sym_DASH] = ACTIONS(3463),
    [anon_sym_PLUS_DOT] = ACTIONS(3461),
    [anon_sym_DASH_DOT] = ACTIONS(3461),
    [anon_sym_PERCENT] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [aux_sym_prefix_op_token1] = ACTIONS(3461),
    [aux_sym_int_token1] = ACTIONS(3463),
    [aux_sym_xint_token1] = ACTIONS(3461),
    [aux_sym_xint_token2] = ACTIONS(3461),
    [aux_sym_xint_token3] = ACTIONS(3461),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3461),
  },
  [2025] = {
    [sym_xml_doc] = STATE(2025),
    [sym_block_comment] = STATE(2025),
    [aux_sym__compound_type_repeat1] = STATE(2025),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_POUNDnowarn] = ACTIONS(2232),
    [anon_sym_POUNDr] = ACTIONS(2232),
    [anon_sym_POUNDload] = ACTIONS(2232),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_LBRACK_LT] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_and] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [aux_sym_access_modifier_token1] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(3616),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_member] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_val] = ACTIONS(2230),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2232),
  },
  [2026] = {
    [sym_attributes] = STATE(3719),
    [sym_attribute_set] = STATE(3115),
    [sym_access_modifier] = STATE(4356),
    [sym_member_defn] = STATE(2122),
    [sym_additional_constr_defn] = STATE(2115),
    [sym_xml_doc] = STATE(2026),
    [sym_block_comment] = STATE(2026),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym__member_defns_repeat1] = STATE(2021),
    [sym_identifier] = ACTIONS(3470),
    [anon_sym_module] = ACTIONS(3470),
    [anon_sym_POUNDnowarn] = ACTIONS(3468),
    [anon_sym_POUNDr] = ACTIONS(3468),
    [anon_sym_POUNDload] = ACTIONS(3468),
    [anon_sym_open] = ACTIONS(3470),
    [anon_sym_LBRACK_LT] = ACTIONS(3468),
    [anon_sym_return] = ACTIONS(3470),
    [anon_sym_type] = ACTIONS(3470),
    [anon_sym_do] = ACTIONS(3470),
    [anon_sym_and] = ACTIONS(3470),
    [anon_sym_let] = ACTIONS(3470),
    [anon_sym_let_BANG] = ACTIONS(3468),
    [aux_sym_access_modifier_token1] = ACTIONS(3472),
    [anon_sym_null] = ACTIONS(3470),
    [anon_sym_LPAREN] = ACTIONS(3470),
    [anon_sym_AMP] = ACTIONS(3470),
    [anon_sym_LBRACK] = ACTIONS(3470),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(3470),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3468),
    [anon_sym_new] = ACTIONS(3470),
    [anon_sym_return_BANG] = ACTIONS(3468),
    [anon_sym_yield] = ACTIONS(3470),
    [anon_sym_yield_BANG] = ACTIONS(3468),
    [anon_sym_lazy] = ACTIONS(3470),
    [anon_sym_assert] = ACTIONS(3470),
    [anon_sym_upcast] = ACTIONS(3470),
    [anon_sym_downcast] = ACTIONS(3470),
    [anon_sym_LT_AT] = ACTIONS(3470),
    [anon_sym_LT_AT_AT] = ACTIONS(3468),
    [anon_sym_for] = ACTIONS(3470),
    [anon_sym_while] = ACTIONS(3470),
    [anon_sym_if] = ACTIONS(3470),
    [anon_sym_fun] = ACTIONS(3470),
    [anon_sym_try] = ACTIONS(3470),
    [anon_sym_match] = ACTIONS(3470),
    [anon_sym_match_BANG] = ACTIONS(3468),
    [anon_sym_function] = ACTIONS(3470),
    [anon_sym_use] = ACTIONS(3470),
    [anon_sym_use_BANG] = ACTIONS(3468),
    [anon_sym_do_BANG] = ACTIONS(3468),
    [anon_sym_begin] = ACTIONS(3470),
    [anon_sym_SQUOTE] = ACTIONS(3468),
    [anon_sym_static] = ACTIONS(3606),
    [anon_sym_member] = ACTIONS(3608),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_default] = ACTIONS(3612),
    [anon_sym_val] = ACTIONS(3614),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3470),
    [anon_sym_DQUOTE] = ACTIONS(3470),
    [anon_sym_AT_DQUOTE] = ACTIONS(3468),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3468),
    [sym_bool] = ACTIONS(3470),
    [sym_unit] = ACTIONS(3468),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3468),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3470),
    [anon_sym_PLUS] = ACTIONS(3470),
    [anon_sym_DASH] = ACTIONS(3470),
    [anon_sym_PLUS_DOT] = ACTIONS(3468),
    [anon_sym_DASH_DOT] = ACTIONS(3468),
    [anon_sym_PERCENT] = ACTIONS(3468),
    [anon_sym_AMP_AMP] = ACTIONS(3468),
    [anon_sym_TILDE] = ACTIONS(3468),
    [aux_sym_prefix_op_token1] = ACTIONS(3468),
    [aux_sym_int_token1] = ACTIONS(3470),
    [aux_sym_xint_token1] = ACTIONS(3468),
    [aux_sym_xint_token2] = ACTIONS(3468),
    [aux_sym_xint_token3] = ACTIONS(3468),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3468),
  },
  [2027] = {
    [sym_xml_doc] = STATE(2027),
    [sym_block_comment] = STATE(2027),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_POUNDnowarn] = ACTIONS(2462),
    [anon_sym_POUNDr] = ACTIONS(2462),
    [anon_sym_POUNDload] = ACTIONS(2462),
    [anon_sym_open] = ACTIONS(2460),
    [anon_sym_LBRACK_LT] = ACTIONS(2462),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_and] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [aux_sym_access_modifier_token1] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_with] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_LT_AT_AT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_member] = ACTIONS(2460),
    [anon_sym_interface] = ACTIONS(2460),
    [anon_sym_abstract] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_val] = ACTIONS(2460),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2462),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2462),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2462),
    [anon_sym_DASH_DOT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2462),
  },
  [2028] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(4364),
    [sym_function_declaration_left] = STATE(4608),
    [sym_value_declaration_left] = STATE(4608),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2028),
    [sym_block_comment] = STATE(2028),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2029] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(4281),
    [sym_function_declaration_left] = STATE(4659),
    [sym_value_declaration_left] = STATE(4659),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2029),
    [sym_block_comment] = STATE(2029),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2030] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3699),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2058),
    [sym_char] = STATE(2726),
    [sym_format_string] = STATE(2712),
    [sym_string] = STATE(2726),
    [sym_verbatim_string] = STATE(2726),
    [sym_bytechar] = STATE(2726),
    [sym_bytearray] = STATE(2726),
    [sym_verbatim_bytearray] = STATE(2726),
    [sym_format_triple_quoted_string] = STATE(2729),
    [sym_triple_quoted_string] = STATE(2726),
    [sym_const] = STATE(2699),
    [sym_long_identifier] = STATE(2033),
    [sym_int] = STATE(2565),
    [sym_xint] = STATE(3579),
    [sym_sbyte] = STATE(2726),
    [sym_byte] = STATE(2726),
    [sym_int16] = STATE(2726),
    [sym_uint16] = STATE(2726),
    [sym_int32] = STATE(2726),
    [sym_uint32] = STATE(2726),
    [sym_nativeint] = STATE(2726),
    [sym_unativeint] = STATE(2726),
    [sym_int64] = STATE(2726),
    [sym_uint64] = STATE(2726),
    [sym_ieee32] = STATE(2726),
    [sym_ieee64] = STATE(2726),
    [sym_bignum] = STATE(2726),
    [sym_decimal] = STATE(2726),
    [sym_float] = STATE(4635),
    [sym_xml_doc] = STATE(2030),
    [sym_block_comment] = STATE(2030),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3621),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_DASH_GT] = ACTIONS(3385),
    [anon_sym_when] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3629),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3631),
    [anon_sym_DQUOTE] = ACTIONS(3633),
    [anon_sym_AT_DQUOTE] = ACTIONS(3635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3639),
    [sym_bool] = ACTIONS(3641),
    [sym_unit] = ACTIONS(3643),
    [aux_sym_int_token1] = ACTIONS(3645),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2031] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3709),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2050),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2031),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2031),
    [sym_block_comment] = STATE(2031),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_EQ] = ACTIONS(3374),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_RPAREN] = ACTIONS(3374),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_LT2] = ACTIONS(3374),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2032] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3709),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2050),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2031),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2032),
    [sym_block_comment] = STATE(2032),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3385),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3391),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_RPAREN] = ACTIONS(3385),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_LT2] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2033] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3699),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2058),
    [sym_char] = STATE(2726),
    [sym_format_string] = STATE(2712),
    [sym_string] = STATE(2726),
    [sym_verbatim_string] = STATE(2726),
    [sym_bytechar] = STATE(2726),
    [sym_bytearray] = STATE(2726),
    [sym_verbatim_bytearray] = STATE(2726),
    [sym_format_triple_quoted_string] = STATE(2729),
    [sym_triple_quoted_string] = STATE(2726),
    [sym_const] = STATE(2699),
    [sym_long_identifier] = STATE(2033),
    [sym_int] = STATE(2565),
    [sym_xint] = STATE(3579),
    [sym_sbyte] = STATE(2726),
    [sym_byte] = STATE(2726),
    [sym_int16] = STATE(2726),
    [sym_uint16] = STATE(2726),
    [sym_int32] = STATE(2726),
    [sym_uint32] = STATE(2726),
    [sym_nativeint] = STATE(2726),
    [sym_unativeint] = STATE(2726),
    [sym_int64] = STATE(2726),
    [sym_uint64] = STATE(2726),
    [sym_ieee32] = STATE(2726),
    [sym_ieee64] = STATE(2726),
    [sym_bignum] = STATE(2726),
    [sym_decimal] = STATE(2726),
    [sym_float] = STATE(4635),
    [sym_xml_doc] = STATE(2033),
    [sym_block_comment] = STATE(2033),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_SEMI] = ACTIONS(3374),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_DASH_GT] = ACTIONS(3374),
    [anon_sym_when] = ACTIONS(3372),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2034] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(2524),
    [sym_function_declaration_left] = STATE(4561),
    [sym_value_declaration_left] = STATE(4561),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2034),
    [sym_block_comment] = STATE(2034),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2035] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(2389),
    [sym_function_declaration_left] = STATE(4677),
    [sym_value_declaration_left] = STATE(4677),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2035),
    [sym_block_comment] = STATE(2035),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2036] = {
    [sym_xml_doc] = STATE(2036),
    [sym_block_comment] = STATE(2036),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_module] = ACTIONS(2408),
    [anon_sym_POUNDnowarn] = ACTIONS(2414),
    [anon_sym_POUNDr] = ACTIONS(2414),
    [anon_sym_POUNDload] = ACTIONS(2414),
    [anon_sym_open] = ACTIONS(2408),
    [anon_sym_LBRACK_LT] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_type] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_and] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [aux_sym_access_modifier_token1] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_LT_AT_AT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_member] = ACTIONS(2408),
    [anon_sym_interface] = ACTIONS(2408),
    [anon_sym_abstract] = ACTIONS(2408),
    [anon_sym_override] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_val] = ACTIONS(2408),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2414),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2414),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2414),
    [anon_sym_DASH_DOT] = ACTIONS(2414),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2414),
  },
  [2037] = {
    [sym_xml_doc] = STATE(2037),
    [sym_block_comment] = STATE(2037),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_module] = ACTIONS(2428),
    [anon_sym_POUNDnowarn] = ACTIONS(2430),
    [anon_sym_POUNDr] = ACTIONS(2430),
    [anon_sym_POUNDload] = ACTIONS(2430),
    [anon_sym_open] = ACTIONS(2428),
    [anon_sym_LBRACK_LT] = ACTIONS(2430),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_type] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_and] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [aux_sym_access_modifier_token1] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_with] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_LT_AT_AT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_member] = ACTIONS(2428),
    [anon_sym_interface] = ACTIONS(2428),
    [anon_sym_abstract] = ACTIONS(2428),
    [anon_sym_override] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_val] = ACTIONS(2428),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2430),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2430),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2430),
    [anon_sym_DASH_DOT] = ACTIONS(2430),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2430),
  },
  [2038] = {
    [sym_xml_doc] = STATE(2038),
    [sym_block_comment] = STATE(2038),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_module] = ACTIONS(2472),
    [anon_sym_POUNDnowarn] = ACTIONS(2474),
    [anon_sym_POUNDr] = ACTIONS(2474),
    [anon_sym_POUNDload] = ACTIONS(2474),
    [anon_sym_open] = ACTIONS(2472),
    [anon_sym_LBRACK_LT] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_type] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_and] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [aux_sym_access_modifier_token1] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_LT_AT_AT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_member] = ACTIONS(2472),
    [anon_sym_interface] = ACTIONS(2472),
    [anon_sym_abstract] = ACTIONS(2472),
    [anon_sym_override] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_val] = ACTIONS(2472),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2474),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2474),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2474),
    [anon_sym_DASH_DOT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2474),
  },
  [2039] = {
    [sym_xml_doc] = STATE(2039),
    [sym_block_comment] = STATE(2039),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_POUNDnowarn] = ACTIONS(2436),
    [anon_sym_POUNDr] = ACTIONS(2436),
    [anon_sym_POUNDload] = ACTIONS(2436),
    [anon_sym_open] = ACTIONS(2434),
    [anon_sym_LBRACK_LT] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_and] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [aux_sym_access_modifier_token1] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_LT_AT_AT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_member] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_val] = ACTIONS(2434),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2436),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2436),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2436),
    [anon_sym_DASH_DOT] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2436),
  },
  [2040] = {
    [sym_xml_doc] = STATE(2040),
    [sym_block_comment] = STATE(2040),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_POUNDnowarn] = ACTIONS(2466),
    [anon_sym_POUNDr] = ACTIONS(2466),
    [anon_sym_POUNDload] = ACTIONS(2466),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_LBRACK_LT] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_and] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [aux_sym_access_modifier_token1] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_LT_AT_AT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_member] = ACTIONS(2464),
    [anon_sym_interface] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_val] = ACTIONS(2464),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2466),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2466),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2466),
    [anon_sym_DASH_DOT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2466),
  },
  [2041] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__function_or_value_defn_body] = STATE(2378),
    [sym_function_declaration_left] = STATE(4411),
    [sym_value_declaration_left] = STATE(4411),
    [sym_access_modifier] = STATE(2134),
    [sym__pattern] = STATE(3717),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2533),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2041),
    [sym_block_comment] = STATE(2041),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3560),
    [anon_sym_mutable] = ACTIONS(3562),
    [aux_sym_access_modifier_token1] = ACTIONS(3564),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2042] = {
    [sym_xml_doc] = STATE(2042),
    [sym_block_comment] = STATE(2042),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_module] = ACTIONS(2476),
    [anon_sym_POUNDnowarn] = ACTIONS(2478),
    [anon_sym_POUNDr] = ACTIONS(2478),
    [anon_sym_POUNDload] = ACTIONS(2478),
    [anon_sym_open] = ACTIONS(2476),
    [anon_sym_LBRACK_LT] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_type] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_and] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [aux_sym_access_modifier_token1] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_LT_AT_AT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_member] = ACTIONS(2476),
    [anon_sym_interface] = ACTIONS(2476),
    [anon_sym_abstract] = ACTIONS(2476),
    [anon_sym_override] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_val] = ACTIONS(2476),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2478),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2478),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2478),
    [anon_sym_DASH_DOT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2478),
  },
  [2043] = {
    [sym_xml_doc] = STATE(2043),
    [sym_block_comment] = STATE(2043),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_POUNDnowarn] = ACTIONS(2444),
    [anon_sym_POUNDr] = ACTIONS(2444),
    [anon_sym_POUNDload] = ACTIONS(2444),
    [anon_sym_open] = ACTIONS(2442),
    [anon_sym_LBRACK_LT] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_and] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [aux_sym_access_modifier_token1] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_LT_AT_AT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_member] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_val] = ACTIONS(2442),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2444),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2444),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2444),
    [anon_sym_DASH_DOT] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2444),
  },
  [2044] = {
    [sym_xml_doc] = STATE(2044),
    [sym_block_comment] = STATE(2044),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_module] = ACTIONS(2454),
    [anon_sym_POUNDnowarn] = ACTIONS(2456),
    [anon_sym_POUNDr] = ACTIONS(2456),
    [anon_sym_POUNDload] = ACTIONS(2456),
    [anon_sym_open] = ACTIONS(2454),
    [anon_sym_LBRACK_LT] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_type] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [aux_sym_access_modifier_token1] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_with] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_LT_AT_AT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_LT2] = ACTIONS(3647),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_member] = ACTIONS(2454),
    [anon_sym_interface] = ACTIONS(2454),
    [anon_sym_abstract] = ACTIONS(2454),
    [anon_sym_override] = ACTIONS(2454),
    [anon_sym_default] = ACTIONS(2454),
    [anon_sym_val] = ACTIONS(2454),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2456),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2456),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2456),
    [anon_sym_DASH_DOT] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2456),
  },
  [2045] = {
    [sym_xml_doc] = STATE(2045),
    [sym_block_comment] = STATE(2045),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_module] = ACTIONS(2468),
    [anon_sym_POUNDnowarn] = ACTIONS(2470),
    [anon_sym_POUNDr] = ACTIONS(2470),
    [anon_sym_POUNDload] = ACTIONS(2470),
    [anon_sym_open] = ACTIONS(2468),
    [anon_sym_LBRACK_LT] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_type] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_and] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [aux_sym_access_modifier_token1] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_with] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_LT_AT_AT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_member] = ACTIONS(2468),
    [anon_sym_interface] = ACTIONS(2468),
    [anon_sym_abstract] = ACTIONS(2468),
    [anon_sym_override] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_val] = ACTIONS(2468),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2470),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2470),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2470),
    [anon_sym_DASH_DOT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2470),
  },
  [2046] = {
    [sym_xml_doc] = STATE(2046),
    [sym_block_comment] = STATE(2046),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_POUNDnowarn] = ACTIONS(2452),
    [anon_sym_POUNDr] = ACTIONS(2452),
    [anon_sym_POUNDload] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2450),
    [anon_sym_LBRACK_LT] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [aux_sym_access_modifier_token1] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_member] = ACTIONS(2450),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_val] = ACTIONS(2450),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2452),
  },
  [2047] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3806),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2066),
    [sym_char] = STATE(2781),
    [sym_format_string] = STATE(2798),
    [sym_string] = STATE(2781),
    [sym_verbatim_string] = STATE(2781),
    [sym_bytechar] = STATE(2781),
    [sym_bytearray] = STATE(2781),
    [sym_verbatim_bytearray] = STATE(2781),
    [sym_format_triple_quoted_string] = STATE(2756),
    [sym_triple_quoted_string] = STATE(2781),
    [sym_const] = STATE(2754),
    [sym_long_identifier] = STATE(2049),
    [sym_int] = STATE(2568),
    [sym_xint] = STATE(3599),
    [sym_sbyte] = STATE(2781),
    [sym_byte] = STATE(2781),
    [sym_int16] = STATE(2781),
    [sym_uint16] = STATE(2781),
    [sym_int32] = STATE(2781),
    [sym_uint32] = STATE(2781),
    [sym_nativeint] = STATE(2781),
    [sym_unativeint] = STATE(2781),
    [sym_int64] = STATE(2781),
    [sym_uint64] = STATE(2781),
    [sym_ieee32] = STATE(2781),
    [sym_ieee64] = STATE(2781),
    [sym_bignum] = STATE(2781),
    [sym_decimal] = STATE(2781),
    [sym_float] = STATE(4335),
    [sym_xml_doc] = STATE(2047),
    [sym_block_comment] = STATE(2047),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3651),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_in] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3659),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3661),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_AT_DQUOTE] = ACTIONS(3665),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3669),
    [sym_bool] = ACTIONS(3671),
    [sym_unit] = ACTIONS(3673),
    [aux_sym_int_token1] = ACTIONS(3675),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2048] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3812),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2068),
    [sym_char] = STATE(2726),
    [sym_format_string] = STATE(2712),
    [sym_string] = STATE(2726),
    [sym_verbatim_string] = STATE(2726),
    [sym_bytechar] = STATE(2726),
    [sym_bytearray] = STATE(2726),
    [sym_verbatim_bytearray] = STATE(2726),
    [sym_format_triple_quoted_string] = STATE(2729),
    [sym_triple_quoted_string] = STATE(2726),
    [sym_const] = STATE(2699),
    [sym_long_identifier] = STATE(2056),
    [sym_int] = STATE(2565),
    [sym_xint] = STATE(3579),
    [sym_sbyte] = STATE(2726),
    [sym_byte] = STATE(2726),
    [sym_int16] = STATE(2726),
    [sym_uint16] = STATE(2726),
    [sym_int32] = STATE(2726),
    [sym_uint32] = STATE(2726),
    [sym_nativeint] = STATE(2726),
    [sym_unativeint] = STATE(2726),
    [sym_int64] = STATE(2726),
    [sym_uint64] = STATE(2726),
    [sym_ieee32] = STATE(2726),
    [sym_ieee64] = STATE(2726),
    [sym_bignum] = STATE(2726),
    [sym_decimal] = STATE(2726),
    [sym_float] = STATE(4635),
    [sym_xml_doc] = STATE(2048),
    [sym_block_comment] = STATE(2048),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3621),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_DASH_GT] = ACTIONS(3385),
    [anon_sym_when] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3629),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3631),
    [anon_sym_DQUOTE] = ACTIONS(3633),
    [anon_sym_AT_DQUOTE] = ACTIONS(3635),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3639),
    [sym_bool] = ACTIONS(3641),
    [sym_unit] = ACTIONS(3643),
    [aux_sym_int_token1] = ACTIONS(3645),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2049] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3806),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2066),
    [sym_char] = STATE(2781),
    [sym_format_string] = STATE(2798),
    [sym_string] = STATE(2781),
    [sym_verbatim_string] = STATE(2781),
    [sym_bytechar] = STATE(2781),
    [sym_bytearray] = STATE(2781),
    [sym_verbatim_bytearray] = STATE(2781),
    [sym_format_triple_quoted_string] = STATE(2756),
    [sym_triple_quoted_string] = STATE(2781),
    [sym_const] = STATE(2754),
    [sym_long_identifier] = STATE(2049),
    [sym_int] = STATE(2568),
    [sym_xint] = STATE(3599),
    [sym_sbyte] = STATE(2781),
    [sym_byte] = STATE(2781),
    [sym_int16] = STATE(2781),
    [sym_uint16] = STATE(2781),
    [sym_int32] = STATE(2781),
    [sym_uint32] = STATE(2781),
    [sym_nativeint] = STATE(2781),
    [sym_unativeint] = STATE(2781),
    [sym_int64] = STATE(2781),
    [sym_uint64] = STATE(2781),
    [sym_ieee32] = STATE(2781),
    [sym_ieee64] = STATE(2781),
    [sym_bignum] = STATE(2781),
    [sym_decimal] = STATE(2781),
    [sym_float] = STATE(4335),
    [sym_xml_doc] = STATE(2049),
    [sym_block_comment] = STATE(2049),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_SEMI] = ACTIONS(3374),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_in] = ACTIONS(3372),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2050] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3669),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2050),
    [sym_block_comment] = STATE(2050),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3490),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_RPAREN] = ACTIONS(3490),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_LT2] = ACTIONS(3490),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2051] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2875),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym__pattern_param] = STATE(2062),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2053),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2051),
    [sym_block_comment] = STATE(2051),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_EQ] = ACTIONS(3385),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3389),
    [anon_sym__] = ACTIONS(3389),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_AT_DQUOTE] = ACTIONS(3385),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3385),
    [sym_bool] = ACTIONS(3389),
    [sym_unit] = ACTIONS(3385),
    [aux_sym_int_token1] = ACTIONS(3389),
    [aux_sym_xint_token1] = ACTIONS(3385),
    [aux_sym_xint_token2] = ACTIONS(3385),
    [aux_sym_xint_token3] = ACTIONS(3385),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2052] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2743),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym__pattern_param] = STATE(2059),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2055),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2052),
    [sym_block_comment] = STATE(2052),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_EQ] = ACTIONS(3385),
    [anon_sym_LBRACK_LT] = ACTIONS(3385),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3389),
    [anon_sym__] = ACTIONS(3389),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_COLON_QMARK] = ACTIONS(3385),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_AT_DQUOTE] = ACTIONS(3385),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3385),
    [sym_bool] = ACTIONS(3389),
    [sym_unit] = ACTIONS(3385),
    [aux_sym_int_token1] = ACTIONS(3389),
    [aux_sym_xint_token1] = ACTIONS(3385),
    [aux_sym_xint_token2] = ACTIONS(3385),
    [aux_sym_xint_token3] = ACTIONS(3385),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2053] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2875),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym__pattern_param] = STATE(2062),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2053),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2053),
    [sym_block_comment] = STATE(2053),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_EQ] = ACTIONS(3374),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_SEMI] = ACTIONS(3374),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2054] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2857),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym__pattern_param] = STATE(2065),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2057),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2054),
    [sym_block_comment] = STATE(2054),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3389),
    [anon_sym__] = ACTIONS(3389),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_DASH_GT] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_AT_DQUOTE] = ACTIONS(3385),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3385),
    [sym_bool] = ACTIONS(3389),
    [sym_unit] = ACTIONS(3385),
    [aux_sym_int_token1] = ACTIONS(3389),
    [aux_sym_xint_token1] = ACTIONS(3385),
    [aux_sym_xint_token2] = ACTIONS(3385),
    [aux_sym_xint_token3] = ACTIONS(3385),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2055] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2743),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym__pattern_param] = STATE(2059),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2055),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2055),
    [sym_block_comment] = STATE(2055),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_EQ] = ACTIONS(3374),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_SEMI] = ACTIONS(3374),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2056] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3812),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2068),
    [sym_char] = STATE(2726),
    [sym_format_string] = STATE(2712),
    [sym_string] = STATE(2726),
    [sym_verbatim_string] = STATE(2726),
    [sym_bytechar] = STATE(2726),
    [sym_bytearray] = STATE(2726),
    [sym_verbatim_bytearray] = STATE(2726),
    [sym_format_triple_quoted_string] = STATE(2729),
    [sym_triple_quoted_string] = STATE(2726),
    [sym_const] = STATE(2699),
    [sym_long_identifier] = STATE(2056),
    [sym_int] = STATE(2565),
    [sym_xint] = STATE(3579),
    [sym_sbyte] = STATE(2726),
    [sym_byte] = STATE(2726),
    [sym_int16] = STATE(2726),
    [sym_uint16] = STATE(2726),
    [sym_int32] = STATE(2726),
    [sym_uint32] = STATE(2726),
    [sym_nativeint] = STATE(2726),
    [sym_unativeint] = STATE(2726),
    [sym_int64] = STATE(2726),
    [sym_uint64] = STATE(2726),
    [sym_ieee32] = STATE(2726),
    [sym_ieee64] = STATE(2726),
    [sym_bignum] = STATE(2726),
    [sym_decimal] = STATE(2726),
    [sym_float] = STATE(4635),
    [sym_xml_doc] = STATE(2056),
    [sym_block_comment] = STATE(2056),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_DASH_GT] = ACTIONS(3374),
    [anon_sym_when] = ACTIONS(3372),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2057] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2857),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym__pattern_param] = STATE(2065),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2057),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2057),
    [sym_block_comment] = STATE(2057),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_SEMI] = ACTIONS(3374),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_DASH_GT] = ACTIONS(3374),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2058] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3715),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2030),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2058),
    [sym_block_comment] = STATE(2058),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3490),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_DASH_GT] = ACTIONS(3490),
    [anon_sym_when] = ACTIONS(3492),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2059] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2697),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2052),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2059),
    [sym_block_comment] = STATE(2059),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3492),
    [anon_sym_EQ] = ACTIONS(3490),
    [anon_sym_LBRACK_LT] = ACTIONS(3490),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3492),
    [anon_sym__] = ACTIONS(3492),
    [anon_sym_QMARK] = ACTIONS(3490),
    [anon_sym_COLON_QMARK] = ACTIONS(3490),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3492),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3492),
    [anon_sym_SEMI] = ACTIONS(3490),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3490),
    [anon_sym_LBRACE] = ACTIONS(3490),
    [anon_sym_SQUOTE] = ACTIONS(3490),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3492),
    [anon_sym_DQUOTE] = ACTIONS(3492),
    [anon_sym_AT_DQUOTE] = ACTIONS(3490),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3490),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3490),
    [sym_bool] = ACTIONS(3492),
    [sym_unit] = ACTIONS(3490),
    [aux_sym_int_token1] = ACTIONS(3492),
    [aux_sym_xint_token1] = ACTIONS(3490),
    [aux_sym_xint_token2] = ACTIONS(3490),
    [aux_sym_xint_token3] = ACTIONS(3490),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2060] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3886),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2070),
    [sym_char] = STATE(2781),
    [sym_format_string] = STATE(2798),
    [sym_string] = STATE(2781),
    [sym_verbatim_string] = STATE(2781),
    [sym_bytechar] = STATE(2781),
    [sym_bytearray] = STATE(2781),
    [sym_verbatim_bytearray] = STATE(2781),
    [sym_format_triple_quoted_string] = STATE(2756),
    [sym_triple_quoted_string] = STATE(2781),
    [sym_const] = STATE(2754),
    [sym_long_identifier] = STATE(2063),
    [sym_int] = STATE(2568),
    [sym_xint] = STATE(3599),
    [sym_sbyte] = STATE(2781),
    [sym_byte] = STATE(2781),
    [sym_int16] = STATE(2781),
    [sym_uint16] = STATE(2781),
    [sym_int32] = STATE(2781),
    [sym_uint32] = STATE(2781),
    [sym_nativeint] = STATE(2781),
    [sym_unativeint] = STATE(2781),
    [sym_int64] = STATE(2781),
    [sym_uint64] = STATE(2781),
    [sym_ieee32] = STATE(2781),
    [sym_ieee64] = STATE(2781),
    [sym_bignum] = STATE(2781),
    [sym_decimal] = STATE(2781),
    [sym_float] = STATE(4335),
    [sym_xml_doc] = STATE(2060),
    [sym_block_comment] = STATE(2060),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3651),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_in] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3659),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3661),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_AT_DQUOTE] = ACTIONS(3665),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3669),
    [sym_bool] = ACTIONS(3671),
    [sym_unit] = ACTIONS(3673),
    [aux_sym_int_token1] = ACTIONS(3675),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2061] = {
    [sym_type_arguments] = STATE(1993),
    [sym__object_members] = STATE(2345),
    [sym_long_identifier] = STATE(1995),
    [sym_xml_doc] = STATE(2061),
    [sym_block_comment] = STATE(2061),
    [aux_sym__compound_type_repeat1] = STATE(1834),
    [ts_builtin_sym_end] = ACTIONS(3691),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3693),
    [anon_sym_module] = ACTIONS(3693),
    [anon_sym_POUNDnowarn] = ACTIONS(3691),
    [anon_sym_POUNDr] = ACTIONS(3691),
    [anon_sym_POUNDload] = ACTIONS(3691),
    [anon_sym_open] = ACTIONS(3693),
    [anon_sym_LBRACK_LT] = ACTIONS(3691),
    [anon_sym_return] = ACTIONS(3693),
    [anon_sym_type] = ACTIONS(3693),
    [anon_sym_do] = ACTIONS(3693),
    [anon_sym_and] = ACTIONS(3693),
    [anon_sym_let] = ACTIONS(3693),
    [anon_sym_let_BANG] = ACTIONS(3691),
    [anon_sym_null] = ACTIONS(3693),
    [anon_sym_LPAREN] = ACTIONS(3693),
    [anon_sym_AMP] = ACTIONS(3693),
    [anon_sym_LBRACK] = ACTIONS(3693),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3691),
    [anon_sym_LBRACE] = ACTIONS(3693),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3691),
    [anon_sym_with] = ACTIONS(3695),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_return_BANG] = ACTIONS(3691),
    [anon_sym_yield] = ACTIONS(3693),
    [anon_sym_yield_BANG] = ACTIONS(3691),
    [anon_sym_lazy] = ACTIONS(3693),
    [anon_sym_assert] = ACTIONS(3693),
    [anon_sym_upcast] = ACTIONS(3693),
    [anon_sym_downcast] = ACTIONS(3693),
    [anon_sym_LT_AT] = ACTIONS(3693),
    [anon_sym_LT_AT_AT] = ACTIONS(3691),
    [anon_sym_for] = ACTIONS(3693),
    [anon_sym_while] = ACTIONS(3693),
    [anon_sym_if] = ACTIONS(3693),
    [anon_sym_fun] = ACTIONS(3693),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3693),
    [anon_sym_match] = ACTIONS(3693),
    [anon_sym_match_BANG] = ACTIONS(3691),
    [anon_sym_function] = ACTIONS(3693),
    [anon_sym_use] = ACTIONS(3693),
    [anon_sym_use_BANG] = ACTIONS(3691),
    [anon_sym_do_BANG] = ACTIONS(3691),
    [anon_sym_begin] = ACTIONS(3693),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LT2] = ACTIONS(3246),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3691),
    [anon_sym_interface] = ACTIONS(3693),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3693),
    [anon_sym_DQUOTE] = ACTIONS(3693),
    [anon_sym_AT_DQUOTE] = ACTIONS(3691),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3691),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3691),
    [sym_bool] = ACTIONS(3693),
    [sym_unit] = ACTIONS(3691),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3691),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3693),
    [anon_sym_PLUS] = ACTIONS(3693),
    [anon_sym_DASH] = ACTIONS(3693),
    [anon_sym_PLUS_DOT] = ACTIONS(3691),
    [anon_sym_DASH_DOT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3691),
    [anon_sym_AMP_AMP] = ACTIONS(3691),
    [anon_sym_TILDE] = ACTIONS(3691),
    [aux_sym_prefix_op_token1] = ACTIONS(3691),
    [aux_sym_int_token1] = ACTIONS(3693),
    [aux_sym_xint_token1] = ACTIONS(3691),
    [aux_sym_xint_token2] = ACTIONS(3691),
    [aux_sym_xint_token3] = ACTIONS(3691),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2062] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2870),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2062),
    [sym_block_comment] = STATE(2062),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3492),
    [anon_sym_EQ] = ACTIONS(3490),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3492),
    [anon_sym__] = ACTIONS(3492),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3492),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3492),
    [anon_sym_SEMI] = ACTIONS(3490),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3490),
    [anon_sym_LBRACE] = ACTIONS(3490),
    [anon_sym_SQUOTE] = ACTIONS(3490),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3492),
    [anon_sym_DQUOTE] = ACTIONS(3492),
    [anon_sym_AT_DQUOTE] = ACTIONS(3490),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3490),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3490),
    [sym_bool] = ACTIONS(3492),
    [sym_unit] = ACTIONS(3490),
    [aux_sym_int_token1] = ACTIONS(3492),
    [aux_sym_xint_token1] = ACTIONS(3490),
    [aux_sym_xint_token2] = ACTIONS(3490),
    [aux_sym_xint_token3] = ACTIONS(3490),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2063] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3886),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym__pattern_param] = STATE(2070),
    [sym_char] = STATE(2781),
    [sym_format_string] = STATE(2798),
    [sym_string] = STATE(2781),
    [sym_verbatim_string] = STATE(2781),
    [sym_bytechar] = STATE(2781),
    [sym_bytearray] = STATE(2781),
    [sym_verbatim_bytearray] = STATE(2781),
    [sym_format_triple_quoted_string] = STATE(2756),
    [sym_triple_quoted_string] = STATE(2781),
    [sym_const] = STATE(2754),
    [sym_long_identifier] = STATE(2063),
    [sym_int] = STATE(2568),
    [sym_xint] = STATE(3599),
    [sym_sbyte] = STATE(2781),
    [sym_byte] = STATE(2781),
    [sym_int16] = STATE(2781),
    [sym_uint16] = STATE(2781),
    [sym_int32] = STATE(2781),
    [sym_uint32] = STATE(2781),
    [sym_nativeint] = STATE(2781),
    [sym_unativeint] = STATE(2781),
    [sym_int64] = STATE(2781),
    [sym_uint64] = STATE(2781),
    [sym_ieee32] = STATE(2781),
    [sym_ieee64] = STATE(2781),
    [sym_bignum] = STATE(2781),
    [sym_decimal] = STATE(2781),
    [sym_float] = STATE(4335),
    [sym_xml_doc] = STATE(2063),
    [sym_block_comment] = STATE(2063),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_in] = ACTIONS(3372),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2064] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2753),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym__pattern_param] = STATE(2069),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2064),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2064),
    [sym_block_comment] = STATE(2064),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_EQ] = ACTIONS(3374),
    [anon_sym_LBRACK_LT] = ACTIONS(3374),
    [anon_sym_COLON] = ACTIONS(3372),
    [anon_sym_null] = ACTIONS(3372),
    [anon_sym__] = ACTIONS(3372),
    [anon_sym_QMARK] = ACTIONS(3374),
    [anon_sym_COLON_QMARK] = ACTIONS(3374),
    [anon_sym_as] = ACTIONS(3372),
    [anon_sym_LPAREN] = ACTIONS(3372),
    [anon_sym_COMMA] = ACTIONS(3374),
    [anon_sym_COLON_COLON] = ACTIONS(3374),
    [anon_sym_PIPE] = ACTIONS(3374),
    [anon_sym_AMP] = ACTIONS(3374),
    [anon_sym_LBRACK] = ACTIONS(3372),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3374),
    [anon_sym_SQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3372),
    [anon_sym_DQUOTE] = ACTIONS(3372),
    [anon_sym_AT_DQUOTE] = ACTIONS(3374),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3374),
    [sym_bool] = ACTIONS(3372),
    [sym_unit] = ACTIONS(3374),
    [aux_sym_int_token1] = ACTIONS(3372),
    [aux_sym_xint_token1] = ACTIONS(3374),
    [aux_sym_xint_token2] = ACTIONS(3374),
    [aux_sym_xint_token3] = ACTIONS(3374),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2065] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2828),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2065),
    [sym_block_comment] = STATE(2065),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3492),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3492),
    [anon_sym__] = ACTIONS(3492),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3492),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3492),
    [anon_sym_SEMI] = ACTIONS(3490),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3490),
    [anon_sym_LBRACE] = ACTIONS(3490),
    [anon_sym_DASH_GT] = ACTIONS(3490),
    [anon_sym_SQUOTE] = ACTIONS(3490),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3492),
    [anon_sym_DQUOTE] = ACTIONS(3492),
    [anon_sym_AT_DQUOTE] = ACTIONS(3490),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3490),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3490),
    [sym_bool] = ACTIONS(3492),
    [sym_unit] = ACTIONS(3490),
    [aux_sym_int_token1] = ACTIONS(3492),
    [aux_sym_xint_token1] = ACTIONS(3490),
    [aux_sym_xint_token2] = ACTIONS(3490),
    [aux_sym_xint_token3] = ACTIONS(3490),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2066] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3773),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2047),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2066),
    [sym_block_comment] = STATE(2066),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3490),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_in] = ACTIONS(3492),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2067] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2753),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym__pattern_param] = STATE(2069),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2619),
    [sym_long_identifier] = STATE(2064),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2067),
    [sym_block_comment] = STATE(2067),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_EQ] = ACTIONS(3385),
    [anon_sym_LBRACK_LT] = ACTIONS(3385),
    [anon_sym_COLON] = ACTIONS(3389),
    [anon_sym_null] = ACTIONS(3389),
    [anon_sym__] = ACTIONS(3389),
    [anon_sym_QMARK] = ACTIONS(3385),
    [anon_sym_COLON_QMARK] = ACTIONS(3385),
    [anon_sym_as] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_COMMA] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_PIPE] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_AT_DQUOTE] = ACTIONS(3385),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3385),
    [sym_bool] = ACTIONS(3389),
    [sym_unit] = ACTIONS(3385),
    [aux_sym_int_token1] = ACTIONS(3389),
    [aux_sym_xint_token1] = ACTIONS(3385),
    [aux_sym_xint_token2] = ACTIONS(3385),
    [aux_sym_xint_token3] = ACTIONS(3385),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2068] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3831),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2068),
    [sym_block_comment] = STATE(2068),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_DASH_GT] = ACTIONS(3490),
    [anon_sym_when] = ACTIONS(3492),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2069] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2792),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2069),
    [sym_block_comment] = STATE(2069),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3492),
    [anon_sym_EQ] = ACTIONS(3490),
    [anon_sym_LBRACK_LT] = ACTIONS(3490),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3492),
    [anon_sym__] = ACTIONS(3492),
    [anon_sym_QMARK] = ACTIONS(3490),
    [anon_sym_COLON_QMARK] = ACTIONS(3490),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3492),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3492),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3490),
    [anon_sym_LBRACE] = ACTIONS(3490),
    [anon_sym_SQUOTE] = ACTIONS(3490),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3492),
    [anon_sym_DQUOTE] = ACTIONS(3492),
    [anon_sym_AT_DQUOTE] = ACTIONS(3490),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3490),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3490),
    [sym_bool] = ACTIONS(3492),
    [sym_unit] = ACTIONS(3490),
    [aux_sym_int_token1] = ACTIONS(3492),
    [aux_sym_xint_token1] = ACTIONS(3490),
    [aux_sym_xint_token2] = ACTIONS(3490),
    [aux_sym_xint_token3] = ACTIONS(3490),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2070] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3899),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2070),
    [sym_block_comment] = STATE(2070),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_COLON] = ACTIONS(3492),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_COLON_COLON] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_in] = ACTIONS(3492),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2071] = {
    [sym_type_arguments] = STATE(2045),
    [sym__object_members] = STATE(2366),
    [sym_long_identifier] = STATE(2036),
    [sym_xml_doc] = STATE(2071),
    [sym_block_comment] = STATE(2071),
    [aux_sym__compound_type_repeat1] = STATE(1991),
    [sym_identifier] = ACTIONS(3355),
    [anon_sym_module] = ACTIONS(3693),
    [anon_sym_POUNDnowarn] = ACTIONS(3691),
    [anon_sym_POUNDr] = ACTIONS(3691),
    [anon_sym_POUNDload] = ACTIONS(3691),
    [anon_sym_open] = ACTIONS(3693),
    [anon_sym_LBRACK_LT] = ACTIONS(3691),
    [anon_sym_return] = ACTIONS(3693),
    [anon_sym_type] = ACTIONS(3693),
    [anon_sym_do] = ACTIONS(3693),
    [anon_sym_and] = ACTIONS(3693),
    [anon_sym_let] = ACTIONS(3693),
    [anon_sym_let_BANG] = ACTIONS(3691),
    [anon_sym_null] = ACTIONS(3693),
    [anon_sym_LPAREN] = ACTIONS(3693),
    [anon_sym_AMP] = ACTIONS(3693),
    [anon_sym_LBRACK] = ACTIONS(3693),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3691),
    [anon_sym_LBRACE] = ACTIONS(3693),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3691),
    [anon_sym_with] = ACTIONS(3697),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_return_BANG] = ACTIONS(3691),
    [anon_sym_yield] = ACTIONS(3693),
    [anon_sym_yield_BANG] = ACTIONS(3691),
    [anon_sym_lazy] = ACTIONS(3693),
    [anon_sym_assert] = ACTIONS(3693),
    [anon_sym_upcast] = ACTIONS(3693),
    [anon_sym_downcast] = ACTIONS(3693),
    [anon_sym_LT_AT] = ACTIONS(3693),
    [anon_sym_LT_AT_AT] = ACTIONS(3691),
    [anon_sym_for] = ACTIONS(3693),
    [anon_sym_while] = ACTIONS(3693),
    [anon_sym_if] = ACTIONS(3693),
    [anon_sym_fun] = ACTIONS(3693),
    [anon_sym_DASH_GT] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3693),
    [anon_sym_match] = ACTIONS(3693),
    [anon_sym_match_BANG] = ACTIONS(3691),
    [anon_sym_function] = ACTIONS(3693),
    [anon_sym_use] = ACTIONS(3693),
    [anon_sym_use_BANG] = ACTIONS(3691),
    [anon_sym_do_BANG] = ACTIONS(3691),
    [anon_sym_begin] = ACTIONS(3693),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_LT2] = ACTIONS(3361),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3691),
    [anon_sym_interface] = ACTIONS(3693),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3693),
    [anon_sym_DQUOTE] = ACTIONS(3693),
    [anon_sym_AT_DQUOTE] = ACTIONS(3691),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3691),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3691),
    [sym_bool] = ACTIONS(3693),
    [sym_unit] = ACTIONS(3691),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3691),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3693),
    [anon_sym_PLUS] = ACTIONS(3693),
    [anon_sym_DASH] = ACTIONS(3693),
    [anon_sym_PLUS_DOT] = ACTIONS(3691),
    [anon_sym_DASH_DOT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3691),
    [anon_sym_AMP_AMP] = ACTIONS(3691),
    [anon_sym_TILDE] = ACTIONS(3691),
    [aux_sym_prefix_op_token1] = ACTIONS(3691),
    [aux_sym_int_token1] = ACTIONS(3693),
    [aux_sym_xint_token1] = ACTIONS(3691),
    [aux_sym_xint_token2] = ACTIONS(3691),
    [aux_sym_xint_token3] = ACTIONS(3691),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3691),
  },
  [2072] = {
    [sym_xml_doc] = STATE(2072),
    [sym_block_comment] = STATE(2072),
    [ts_builtin_sym_end] = ACTIONS(3699),
    [sym_identifier] = ACTIONS(3701),
    [anon_sym_namespace] = ACTIONS(3701),
    [anon_sym_module] = ACTIONS(3701),
    [anon_sym_POUNDnowarn] = ACTIONS(3699),
    [anon_sym_POUNDr] = ACTIONS(3699),
    [anon_sym_POUNDload] = ACTIONS(3699),
    [anon_sym_open] = ACTIONS(3701),
    [anon_sym_LBRACK_LT] = ACTIONS(3699),
    [anon_sym_return] = ACTIONS(3701),
    [anon_sym_type] = ACTIONS(3701),
    [anon_sym_do] = ACTIONS(3701),
    [anon_sym_and] = ACTIONS(3701),
    [anon_sym_let] = ACTIONS(3701),
    [anon_sym_let_BANG] = ACTIONS(3699),
    [aux_sym_access_modifier_token1] = ACTIONS(3699),
    [anon_sym_null] = ACTIONS(3701),
    [anon_sym_LPAREN] = ACTIONS(3701),
    [anon_sym_COMMA] = ACTIONS(3703),
    [anon_sym_AMP] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3699),
    [anon_sym_LBRACE] = ACTIONS(3701),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_return_BANG] = ACTIONS(3699),
    [anon_sym_yield] = ACTIONS(3701),
    [anon_sym_yield_BANG] = ACTIONS(3699),
    [anon_sym_lazy] = ACTIONS(3701),
    [anon_sym_assert] = ACTIONS(3701),
    [anon_sym_upcast] = ACTIONS(3701),
    [anon_sym_downcast] = ACTIONS(3701),
    [anon_sym_LT_AT] = ACTIONS(3701),
    [anon_sym_LT_AT_AT] = ACTIONS(3699),
    [anon_sym_for] = ACTIONS(3701),
    [anon_sym_while] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(3701),
    [anon_sym_fun] = ACTIONS(3701),
    [anon_sym_try] = ACTIONS(3701),
    [anon_sym_match] = ACTIONS(3701),
    [anon_sym_match_BANG] = ACTIONS(3699),
    [anon_sym_function] = ACTIONS(3701),
    [anon_sym_use] = ACTIONS(3701),
    [anon_sym_use_BANG] = ACTIONS(3699),
    [anon_sym_do_BANG] = ACTIONS(3699),
    [anon_sym_begin] = ACTIONS(3701),
    [anon_sym_SQUOTE] = ACTIONS(3699),
    [anon_sym_static] = ACTIONS(3701),
    [anon_sym_member] = ACTIONS(3701),
    [anon_sym_abstract] = ACTIONS(3701),
    [anon_sym_override] = ACTIONS(3701),
    [anon_sym_default] = ACTIONS(3701),
    [anon_sym_val] = ACTIONS(3701),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3701),
    [anon_sym_DQUOTE] = ACTIONS(3701),
    [anon_sym_AT_DQUOTE] = ACTIONS(3699),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3699),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3699),
    [sym_bool] = ACTIONS(3701),
    [sym_unit] = ACTIONS(3699),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3699),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS_DOT] = ACTIONS(3699),
    [anon_sym_DASH_DOT] = ACTIONS(3699),
    [anon_sym_PERCENT] = ACTIONS(3699),
    [anon_sym_AMP_AMP] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [aux_sym_prefix_op_token1] = ACTIONS(3699),
    [aux_sym_int_token1] = ACTIONS(3701),
    [aux_sym_xint_token1] = ACTIONS(3699),
    [aux_sym_xint_token2] = ACTIONS(3699),
    [aux_sym_xint_token3] = ACTIONS(3699),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2073] = {
    [sym_xml_doc] = STATE(2073),
    [sym_block_comment] = STATE(2073),
    [ts_builtin_sym_end] = ACTIONS(3705),
    [sym_identifier] = ACTIONS(3707),
    [anon_sym_namespace] = ACTIONS(3707),
    [anon_sym_module] = ACTIONS(3707),
    [anon_sym_POUNDnowarn] = ACTIONS(3705),
    [anon_sym_POUNDr] = ACTIONS(3705),
    [anon_sym_POUNDload] = ACTIONS(3705),
    [anon_sym_open] = ACTIONS(3707),
    [anon_sym_LBRACK_LT] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3707),
    [anon_sym_type] = ACTIONS(3707),
    [anon_sym_do] = ACTIONS(3707),
    [anon_sym_and] = ACTIONS(3707),
    [anon_sym_let] = ACTIONS(3707),
    [anon_sym_let_BANG] = ACTIONS(3705),
    [aux_sym_access_modifier_token1] = ACTIONS(3705),
    [anon_sym_null] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_COMMA] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3707),
    [anon_sym_return_BANG] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3707),
    [anon_sym_yield_BANG] = ACTIONS(3705),
    [anon_sym_lazy] = ACTIONS(3707),
    [anon_sym_assert] = ACTIONS(3707),
    [anon_sym_upcast] = ACTIONS(3707),
    [anon_sym_downcast] = ACTIONS(3707),
    [anon_sym_LT_AT] = ACTIONS(3707),
    [anon_sym_LT_AT_AT] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3707),
    [anon_sym_if] = ACTIONS(3707),
    [anon_sym_fun] = ACTIONS(3707),
    [anon_sym_try] = ACTIONS(3707),
    [anon_sym_match] = ACTIONS(3707),
    [anon_sym_match_BANG] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3707),
    [anon_sym_use] = ACTIONS(3707),
    [anon_sym_use_BANG] = ACTIONS(3705),
    [anon_sym_do_BANG] = ACTIONS(3705),
    [anon_sym_begin] = ACTIONS(3707),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3707),
    [anon_sym_member] = ACTIONS(3707),
    [anon_sym_abstract] = ACTIONS(3707),
    [anon_sym_override] = ACTIONS(3707),
    [anon_sym_default] = ACTIONS(3707),
    [anon_sym_val] = ACTIONS(3707),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3707),
    [anon_sym_DQUOTE] = ACTIONS(3707),
    [anon_sym_AT_DQUOTE] = ACTIONS(3705),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3705),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3705),
    [sym_bool] = ACTIONS(3707),
    [sym_unit] = ACTIONS(3705),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3705),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3707),
    [anon_sym_PLUS] = ACTIONS(3707),
    [anon_sym_DASH] = ACTIONS(3707),
    [anon_sym_PLUS_DOT] = ACTIONS(3705),
    [anon_sym_DASH_DOT] = ACTIONS(3705),
    [anon_sym_PERCENT] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [aux_sym_prefix_op_token1] = ACTIONS(3705),
    [aux_sym_int_token1] = ACTIONS(3707),
    [aux_sym_xint_token1] = ACTIONS(3705),
    [aux_sym_xint_token2] = ACTIONS(3705),
    [aux_sym_xint_token3] = ACTIONS(3705),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2074] = {
    [sym_xml_doc] = STATE(2074),
    [sym_block_comment] = STATE(2074),
    [ts_builtin_sym_end] = ACTIONS(3711),
    [sym_identifier] = ACTIONS(3713),
    [anon_sym_namespace] = ACTIONS(3713),
    [anon_sym_module] = ACTIONS(3713),
    [anon_sym_POUNDnowarn] = ACTIONS(3711),
    [anon_sym_POUNDr] = ACTIONS(3711),
    [anon_sym_POUNDload] = ACTIONS(3711),
    [anon_sym_open] = ACTIONS(3713),
    [anon_sym_LBRACK_LT] = ACTIONS(3711),
    [anon_sym_return] = ACTIONS(3713),
    [anon_sym_type] = ACTIONS(3713),
    [anon_sym_do] = ACTIONS(3713),
    [anon_sym_and] = ACTIONS(3713),
    [anon_sym_let] = ACTIONS(3713),
    [anon_sym_let_BANG] = ACTIONS(3711),
    [aux_sym_access_modifier_token1] = ACTIONS(3711),
    [anon_sym_null] = ACTIONS(3713),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_AMP] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3711),
    [anon_sym_LBRACE] = ACTIONS(3713),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3711),
    [anon_sym_with] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3713),
    [anon_sym_return_BANG] = ACTIONS(3711),
    [anon_sym_yield] = ACTIONS(3713),
    [anon_sym_yield_BANG] = ACTIONS(3711),
    [anon_sym_lazy] = ACTIONS(3713),
    [anon_sym_assert] = ACTIONS(3713),
    [anon_sym_upcast] = ACTIONS(3713),
    [anon_sym_downcast] = ACTIONS(3713),
    [anon_sym_LT_AT] = ACTIONS(3713),
    [anon_sym_LT_AT_AT] = ACTIONS(3711),
    [anon_sym_for] = ACTIONS(3713),
    [anon_sym_while] = ACTIONS(3713),
    [anon_sym_if] = ACTIONS(3713),
    [anon_sym_fun] = ACTIONS(3713),
    [anon_sym_try] = ACTIONS(3713),
    [anon_sym_match] = ACTIONS(3713),
    [anon_sym_match_BANG] = ACTIONS(3711),
    [anon_sym_function] = ACTIONS(3713),
    [anon_sym_use] = ACTIONS(3713),
    [anon_sym_use_BANG] = ACTIONS(3711),
    [anon_sym_do_BANG] = ACTIONS(3711),
    [anon_sym_begin] = ACTIONS(3713),
    [anon_sym_SQUOTE] = ACTIONS(3711),
    [anon_sym_static] = ACTIONS(3713),
    [anon_sym_member] = ACTIONS(3713),
    [anon_sym_abstract] = ACTIONS(3713),
    [anon_sym_override] = ACTIONS(3713),
    [anon_sym_default] = ACTIONS(3713),
    [anon_sym_val] = ACTIONS(3713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3713),
    [anon_sym_DQUOTE] = ACTIONS(3713),
    [anon_sym_AT_DQUOTE] = ACTIONS(3711),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3711),
    [sym_bool] = ACTIONS(3713),
    [sym_unit] = ACTIONS(3711),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3711),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS_DOT] = ACTIONS(3711),
    [anon_sym_DASH_DOT] = ACTIONS(3711),
    [anon_sym_PERCENT] = ACTIONS(3711),
    [anon_sym_AMP_AMP] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(3711),
    [aux_sym_prefix_op_token1] = ACTIONS(3711),
    [aux_sym_int_token1] = ACTIONS(3713),
    [aux_sym_xint_token1] = ACTIONS(3711),
    [aux_sym_xint_token2] = ACTIONS(3711),
    [aux_sym_xint_token3] = ACTIONS(3711),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2075] = {
    [sym_xml_doc] = STATE(2075),
    [sym_block_comment] = STATE(2075),
    [ts_builtin_sym_end] = ACTIONS(3717),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_namespace] = ACTIONS(3719),
    [anon_sym_module] = ACTIONS(3719),
    [anon_sym_POUNDnowarn] = ACTIONS(3717),
    [anon_sym_POUNDr] = ACTIONS(3717),
    [anon_sym_POUNDload] = ACTIONS(3717),
    [anon_sym_open] = ACTIONS(3719),
    [anon_sym_LBRACK_LT] = ACTIONS(3717),
    [anon_sym_return] = ACTIONS(3719),
    [anon_sym_type] = ACTIONS(3719),
    [anon_sym_do] = ACTIONS(3719),
    [anon_sym_and] = ACTIONS(3719),
    [anon_sym_let] = ACTIONS(3719),
    [anon_sym_let_BANG] = ACTIONS(3717),
    [aux_sym_access_modifier_token1] = ACTIONS(3717),
    [anon_sym_null] = ACTIONS(3719),
    [anon_sym_LPAREN] = ACTIONS(3719),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_LBRACK] = ACTIONS(3719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3719),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3717),
    [anon_sym_with] = ACTIONS(3721),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_return_BANG] = ACTIONS(3717),
    [anon_sym_yield] = ACTIONS(3719),
    [anon_sym_yield_BANG] = ACTIONS(3717),
    [anon_sym_lazy] = ACTIONS(3719),
    [anon_sym_assert] = ACTIONS(3719),
    [anon_sym_upcast] = ACTIONS(3719),
    [anon_sym_downcast] = ACTIONS(3719),
    [anon_sym_LT_AT] = ACTIONS(3719),
    [anon_sym_LT_AT_AT] = ACTIONS(3717),
    [anon_sym_for] = ACTIONS(3719),
    [anon_sym_while] = ACTIONS(3719),
    [anon_sym_if] = ACTIONS(3719),
    [anon_sym_fun] = ACTIONS(3719),
    [anon_sym_try] = ACTIONS(3719),
    [anon_sym_match] = ACTIONS(3719),
    [anon_sym_match_BANG] = ACTIONS(3717),
    [anon_sym_function] = ACTIONS(3719),
    [anon_sym_use] = ACTIONS(3719),
    [anon_sym_use_BANG] = ACTIONS(3717),
    [anon_sym_do_BANG] = ACTIONS(3717),
    [anon_sym_begin] = ACTIONS(3719),
    [anon_sym_SQUOTE] = ACTIONS(3717),
    [anon_sym_static] = ACTIONS(3719),
    [anon_sym_member] = ACTIONS(3719),
    [anon_sym_abstract] = ACTIONS(3719),
    [anon_sym_override] = ACTIONS(3719),
    [anon_sym_default] = ACTIONS(3719),
    [anon_sym_val] = ACTIONS(3719),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3719),
    [anon_sym_DQUOTE] = ACTIONS(3719),
    [anon_sym_AT_DQUOTE] = ACTIONS(3717),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3717),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3717),
    [sym_bool] = ACTIONS(3719),
    [sym_unit] = ACTIONS(3717),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3717),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS_DOT] = ACTIONS(3717),
    [anon_sym_DASH_DOT] = ACTIONS(3717),
    [anon_sym_PERCENT] = ACTIONS(3717),
    [anon_sym_AMP_AMP] = ACTIONS(3717),
    [anon_sym_TILDE] = ACTIONS(3717),
    [aux_sym_prefix_op_token1] = ACTIONS(3717),
    [aux_sym_int_token1] = ACTIONS(3719),
    [aux_sym_xint_token1] = ACTIONS(3717),
    [aux_sym_xint_token2] = ACTIONS(3717),
    [aux_sym_xint_token3] = ACTIONS(3717),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2076] = {
    [sym_xml_doc] = STATE(2076),
    [sym_block_comment] = STATE(2076),
    [ts_builtin_sym_end] = ACTIONS(3723),
    [sym_identifier] = ACTIONS(3725),
    [anon_sym_namespace] = ACTIONS(3725),
    [anon_sym_module] = ACTIONS(3725),
    [anon_sym_POUNDnowarn] = ACTIONS(3723),
    [anon_sym_POUNDr] = ACTIONS(3723),
    [anon_sym_POUNDload] = ACTIONS(3723),
    [anon_sym_open] = ACTIONS(3725),
    [anon_sym_LBRACK_LT] = ACTIONS(3723),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_type] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_and] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_let_BANG] = ACTIONS(3723),
    [aux_sym_access_modifier_token1] = ACTIONS(3723),
    [anon_sym_null] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3725),
    [anon_sym_COMMA] = ACTIONS(3727),
    [anon_sym_AMP] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3723),
    [anon_sym_LBRACE] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3723),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_return_BANG] = ACTIONS(3723),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_yield_BANG] = ACTIONS(3723),
    [anon_sym_lazy] = ACTIONS(3725),
    [anon_sym_assert] = ACTIONS(3725),
    [anon_sym_upcast] = ACTIONS(3725),
    [anon_sym_downcast] = ACTIONS(3725),
    [anon_sym_LT_AT] = ACTIONS(3725),
    [anon_sym_LT_AT_AT] = ACTIONS(3723),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_fun] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_match] = ACTIONS(3725),
    [anon_sym_match_BANG] = ACTIONS(3723),
    [anon_sym_function] = ACTIONS(3725),
    [anon_sym_use] = ACTIONS(3725),
    [anon_sym_use_BANG] = ACTIONS(3723),
    [anon_sym_do_BANG] = ACTIONS(3723),
    [anon_sym_begin] = ACTIONS(3725),
    [anon_sym_SQUOTE] = ACTIONS(3723),
    [anon_sym_static] = ACTIONS(3725),
    [anon_sym_member] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3725),
    [anon_sym_override] = ACTIONS(3725),
    [anon_sym_default] = ACTIONS(3725),
    [anon_sym_val] = ACTIONS(3725),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3725),
    [anon_sym_AT_DQUOTE] = ACTIONS(3723),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3723),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3723),
    [sym_bool] = ACTIONS(3725),
    [sym_unit] = ACTIONS(3723),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3723),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_PLUS_DOT] = ACTIONS(3723),
    [anon_sym_DASH_DOT] = ACTIONS(3723),
    [anon_sym_PERCENT] = ACTIONS(3723),
    [anon_sym_AMP_AMP] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [aux_sym_prefix_op_token1] = ACTIONS(3723),
    [aux_sym_int_token1] = ACTIONS(3725),
    [aux_sym_xint_token1] = ACTIONS(3723),
    [aux_sym_xint_token2] = ACTIONS(3723),
    [aux_sym_xint_token3] = ACTIONS(3723),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2077] = {
    [sym_xml_doc] = STATE(2077),
    [sym_block_comment] = STATE(2077),
    [ts_builtin_sym_end] = ACTIONS(3729),
    [sym_identifier] = ACTIONS(3731),
    [anon_sym_namespace] = ACTIONS(3731),
    [anon_sym_module] = ACTIONS(3731),
    [anon_sym_POUNDnowarn] = ACTIONS(3729),
    [anon_sym_POUNDr] = ACTIONS(3729),
    [anon_sym_POUNDload] = ACTIONS(3729),
    [anon_sym_open] = ACTIONS(3731),
    [anon_sym_LBRACK_LT] = ACTIONS(3729),
    [anon_sym_return] = ACTIONS(3731),
    [anon_sym_type] = ACTIONS(3731),
    [anon_sym_do] = ACTIONS(3731),
    [anon_sym_and] = ACTIONS(3731),
    [anon_sym_let] = ACTIONS(3731),
    [anon_sym_let_BANG] = ACTIONS(3729),
    [aux_sym_access_modifier_token1] = ACTIONS(3729),
    [anon_sym_null] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_AMP] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3729),
    [anon_sym_LBRACE] = ACTIONS(3731),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3729),
    [anon_sym_with] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3731),
    [anon_sym_return_BANG] = ACTIONS(3729),
    [anon_sym_yield] = ACTIONS(3731),
    [anon_sym_yield_BANG] = ACTIONS(3729),
    [anon_sym_lazy] = ACTIONS(3731),
    [anon_sym_assert] = ACTIONS(3731),
    [anon_sym_upcast] = ACTIONS(3731),
    [anon_sym_downcast] = ACTIONS(3731),
    [anon_sym_LT_AT] = ACTIONS(3731),
    [anon_sym_LT_AT_AT] = ACTIONS(3729),
    [anon_sym_for] = ACTIONS(3731),
    [anon_sym_while] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(3731),
    [anon_sym_fun] = ACTIONS(3731),
    [anon_sym_try] = ACTIONS(3731),
    [anon_sym_match] = ACTIONS(3731),
    [anon_sym_match_BANG] = ACTIONS(3729),
    [anon_sym_function] = ACTIONS(3731),
    [anon_sym_use] = ACTIONS(3731),
    [anon_sym_use_BANG] = ACTIONS(3729),
    [anon_sym_do_BANG] = ACTIONS(3729),
    [anon_sym_begin] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [anon_sym_static] = ACTIONS(3731),
    [anon_sym_member] = ACTIONS(3731),
    [anon_sym_abstract] = ACTIONS(3731),
    [anon_sym_override] = ACTIONS(3731),
    [anon_sym_default] = ACTIONS(3731),
    [anon_sym_val] = ACTIONS(3731),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3731),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_AT_DQUOTE] = ACTIONS(3729),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3729),
    [sym_bool] = ACTIONS(3731),
    [sym_unit] = ACTIONS(3729),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3729),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(3731),
    [anon_sym_DASH] = ACTIONS(3731),
    [anon_sym_PLUS_DOT] = ACTIONS(3729),
    [anon_sym_DASH_DOT] = ACTIONS(3729),
    [anon_sym_PERCENT] = ACTIONS(3729),
    [anon_sym_AMP_AMP] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [aux_sym_prefix_op_token1] = ACTIONS(3729),
    [aux_sym_int_token1] = ACTIONS(3731),
    [aux_sym_xint_token1] = ACTIONS(3729),
    [aux_sym_xint_token2] = ACTIONS(3729),
    [aux_sym_xint_token3] = ACTIONS(3729),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2078] = {
    [sym_xml_doc] = STATE(2078),
    [sym_block_comment] = STATE(2078),
    [ts_builtin_sym_end] = ACTIONS(3705),
    [sym_identifier] = ACTIONS(3707),
    [anon_sym_namespace] = ACTIONS(3707),
    [anon_sym_module] = ACTIONS(3707),
    [anon_sym_POUNDnowarn] = ACTIONS(3705),
    [anon_sym_POUNDr] = ACTIONS(3705),
    [anon_sym_POUNDload] = ACTIONS(3705),
    [anon_sym_open] = ACTIONS(3707),
    [anon_sym_LBRACK_LT] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3707),
    [anon_sym_type] = ACTIONS(3707),
    [anon_sym_do] = ACTIONS(3707),
    [anon_sym_and] = ACTIONS(3707),
    [anon_sym_let] = ACTIONS(3707),
    [anon_sym_let_BANG] = ACTIONS(3705),
    [aux_sym_access_modifier_token1] = ACTIONS(3705),
    [anon_sym_null] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_COMMA] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3707),
    [anon_sym_return_BANG] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3707),
    [anon_sym_yield_BANG] = ACTIONS(3705),
    [anon_sym_lazy] = ACTIONS(3707),
    [anon_sym_assert] = ACTIONS(3707),
    [anon_sym_upcast] = ACTIONS(3707),
    [anon_sym_downcast] = ACTIONS(3707),
    [anon_sym_LT_AT] = ACTIONS(3707),
    [anon_sym_LT_AT_AT] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3707),
    [anon_sym_if] = ACTIONS(3707),
    [anon_sym_fun] = ACTIONS(3707),
    [anon_sym_try] = ACTIONS(3707),
    [anon_sym_match] = ACTIONS(3707),
    [anon_sym_match_BANG] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3707),
    [anon_sym_use] = ACTIONS(3707),
    [anon_sym_use_BANG] = ACTIONS(3705),
    [anon_sym_do_BANG] = ACTIONS(3705),
    [anon_sym_begin] = ACTIONS(3707),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3707),
    [anon_sym_member] = ACTIONS(3707),
    [anon_sym_abstract] = ACTIONS(3707),
    [anon_sym_override] = ACTIONS(3707),
    [anon_sym_default] = ACTIONS(3707),
    [anon_sym_val] = ACTIONS(3707),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3707),
    [anon_sym_DQUOTE] = ACTIONS(3707),
    [anon_sym_AT_DQUOTE] = ACTIONS(3705),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3705),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3705),
    [sym_bool] = ACTIONS(3707),
    [sym_unit] = ACTIONS(3705),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3705),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3707),
    [anon_sym_PLUS] = ACTIONS(3707),
    [anon_sym_DASH] = ACTIONS(3707),
    [anon_sym_PLUS_DOT] = ACTIONS(3705),
    [anon_sym_DASH_DOT] = ACTIONS(3705),
    [anon_sym_PERCENT] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [aux_sym_prefix_op_token1] = ACTIONS(3705),
    [aux_sym_int_token1] = ACTIONS(3707),
    [aux_sym_xint_token1] = ACTIONS(3705),
    [aux_sym_xint_token2] = ACTIONS(3705),
    [aux_sym_xint_token3] = ACTIONS(3705),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2079] = {
    [sym_xml_doc] = STATE(2079),
    [sym_block_comment] = STATE(2079),
    [ts_builtin_sym_end] = ACTIONS(3723),
    [sym_identifier] = ACTIONS(3725),
    [anon_sym_namespace] = ACTIONS(3725),
    [anon_sym_module] = ACTIONS(3725),
    [anon_sym_POUNDnowarn] = ACTIONS(3723),
    [anon_sym_POUNDr] = ACTIONS(3723),
    [anon_sym_POUNDload] = ACTIONS(3723),
    [anon_sym_open] = ACTIONS(3725),
    [anon_sym_LBRACK_LT] = ACTIONS(3723),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_type] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_and] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_let_BANG] = ACTIONS(3723),
    [aux_sym_access_modifier_token1] = ACTIONS(3723),
    [anon_sym_null] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3725),
    [anon_sym_COMMA] = ACTIONS(3737),
    [anon_sym_AMP] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3723),
    [anon_sym_LBRACE] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3723),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_return_BANG] = ACTIONS(3723),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_yield_BANG] = ACTIONS(3723),
    [anon_sym_lazy] = ACTIONS(3725),
    [anon_sym_assert] = ACTIONS(3725),
    [anon_sym_upcast] = ACTIONS(3725),
    [anon_sym_downcast] = ACTIONS(3725),
    [anon_sym_LT_AT] = ACTIONS(3725),
    [anon_sym_LT_AT_AT] = ACTIONS(3723),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_fun] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_match] = ACTIONS(3725),
    [anon_sym_match_BANG] = ACTIONS(3723),
    [anon_sym_function] = ACTIONS(3725),
    [anon_sym_use] = ACTIONS(3725),
    [anon_sym_use_BANG] = ACTIONS(3723),
    [anon_sym_do_BANG] = ACTIONS(3723),
    [anon_sym_begin] = ACTIONS(3725),
    [anon_sym_SQUOTE] = ACTIONS(3723),
    [anon_sym_static] = ACTIONS(3725),
    [anon_sym_member] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3725),
    [anon_sym_override] = ACTIONS(3725),
    [anon_sym_default] = ACTIONS(3725),
    [anon_sym_val] = ACTIONS(3725),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3725),
    [anon_sym_AT_DQUOTE] = ACTIONS(3723),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3723),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3723),
    [sym_bool] = ACTIONS(3725),
    [sym_unit] = ACTIONS(3723),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3723),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_PLUS_DOT] = ACTIONS(3723),
    [anon_sym_DASH_DOT] = ACTIONS(3723),
    [anon_sym_PERCENT] = ACTIONS(3723),
    [anon_sym_AMP_AMP] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [aux_sym_prefix_op_token1] = ACTIONS(3723),
    [aux_sym_int_token1] = ACTIONS(3725),
    [aux_sym_xint_token1] = ACTIONS(3723),
    [aux_sym_xint_token2] = ACTIONS(3723),
    [aux_sym_xint_token3] = ACTIONS(3723),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2080] = {
    [sym_xml_doc] = STATE(2080),
    [sym_block_comment] = STATE(2080),
    [ts_builtin_sym_end] = ACTIONS(3699),
    [sym_identifier] = ACTIONS(3701),
    [anon_sym_namespace] = ACTIONS(3701),
    [anon_sym_module] = ACTIONS(3701),
    [anon_sym_POUNDnowarn] = ACTIONS(3699),
    [anon_sym_POUNDr] = ACTIONS(3699),
    [anon_sym_POUNDload] = ACTIONS(3699),
    [anon_sym_open] = ACTIONS(3701),
    [anon_sym_LBRACK_LT] = ACTIONS(3699),
    [anon_sym_return] = ACTIONS(3701),
    [anon_sym_type] = ACTIONS(3701),
    [anon_sym_do] = ACTIONS(3701),
    [anon_sym_and] = ACTIONS(3701),
    [anon_sym_let] = ACTIONS(3701),
    [anon_sym_let_BANG] = ACTIONS(3699),
    [aux_sym_access_modifier_token1] = ACTIONS(3699),
    [anon_sym_null] = ACTIONS(3701),
    [anon_sym_LPAREN] = ACTIONS(3701),
    [anon_sym_COMMA] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3699),
    [anon_sym_LBRACE] = ACTIONS(3701),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_return_BANG] = ACTIONS(3699),
    [anon_sym_yield] = ACTIONS(3701),
    [anon_sym_yield_BANG] = ACTIONS(3699),
    [anon_sym_lazy] = ACTIONS(3701),
    [anon_sym_assert] = ACTIONS(3701),
    [anon_sym_upcast] = ACTIONS(3701),
    [anon_sym_downcast] = ACTIONS(3701),
    [anon_sym_LT_AT] = ACTIONS(3701),
    [anon_sym_LT_AT_AT] = ACTIONS(3699),
    [anon_sym_for] = ACTIONS(3701),
    [anon_sym_while] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(3701),
    [anon_sym_fun] = ACTIONS(3701),
    [anon_sym_try] = ACTIONS(3701),
    [anon_sym_match] = ACTIONS(3701),
    [anon_sym_match_BANG] = ACTIONS(3699),
    [anon_sym_function] = ACTIONS(3701),
    [anon_sym_use] = ACTIONS(3701),
    [anon_sym_use_BANG] = ACTIONS(3699),
    [anon_sym_do_BANG] = ACTIONS(3699),
    [anon_sym_begin] = ACTIONS(3701),
    [anon_sym_SQUOTE] = ACTIONS(3699),
    [anon_sym_static] = ACTIONS(3701),
    [anon_sym_member] = ACTIONS(3701),
    [anon_sym_abstract] = ACTIONS(3701),
    [anon_sym_override] = ACTIONS(3701),
    [anon_sym_default] = ACTIONS(3701),
    [anon_sym_val] = ACTIONS(3701),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3701),
    [anon_sym_DQUOTE] = ACTIONS(3701),
    [anon_sym_AT_DQUOTE] = ACTIONS(3699),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3699),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3699),
    [sym_bool] = ACTIONS(3701),
    [sym_unit] = ACTIONS(3699),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3699),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS_DOT] = ACTIONS(3699),
    [anon_sym_DASH_DOT] = ACTIONS(3699),
    [anon_sym_PERCENT] = ACTIONS(3699),
    [anon_sym_AMP_AMP] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [aux_sym_prefix_op_token1] = ACTIONS(3699),
    [aux_sym_int_token1] = ACTIONS(3701),
    [aux_sym_xint_token1] = ACTIONS(3699),
    [aux_sym_xint_token2] = ACTIONS(3699),
    [aux_sym_xint_token3] = ACTIONS(3699),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2081] = {
    [sym_xml_doc] = STATE(2081),
    [sym_block_comment] = STATE(2081),
    [ts_builtin_sym_end] = ACTIONS(2535),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_namespace] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_POUNDnowarn] = ACTIONS(2535),
    [anon_sym_POUNDr] = ACTIONS(2535),
    [anon_sym_POUNDload] = ACTIONS(2535),
    [anon_sym_open] = ACTIONS(2533),
    [anon_sym_LBRACK_LT] = ACTIONS(2535),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_and] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [aux_sym_access_modifier_token1] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_LT_AT_AT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_static] = ACTIONS(2533),
    [anon_sym_member] = ACTIONS(2533),
    [anon_sym_abstract] = ACTIONS(2533),
    [anon_sym_override] = ACTIONS(2533),
    [anon_sym_default] = ACTIONS(2533),
    [anon_sym_val] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2535),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2535),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2535),
    [anon_sym_DASH_DOT] = ACTIONS(2535),
    [anon_sym_PERCENT] = ACTIONS(2535),
    [anon_sym_AMP_AMP] = ACTIONS(2535),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2082] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_type_arguments] = STATE(2240),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2082),
    [sym_block_comment] = STATE(2082),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2185),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3741),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_with] = ACTIONS(3759),
    [anon_sym_LT2] = ACTIONS(3761),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2083] = {
    [sym_xml_doc] = STATE(2083),
    [sym_block_comment] = STATE(2083),
    [ts_builtin_sym_end] = ACTIONS(3763),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_namespace] = ACTIONS(3765),
    [anon_sym_module] = ACTIONS(3765),
    [anon_sym_POUNDnowarn] = ACTIONS(3763),
    [anon_sym_POUNDr] = ACTIONS(3763),
    [anon_sym_POUNDload] = ACTIONS(3763),
    [anon_sym_open] = ACTIONS(3765),
    [anon_sym_LBRACK_LT] = ACTIONS(3763),
    [anon_sym_return] = ACTIONS(3765),
    [anon_sym_type] = ACTIONS(3765),
    [anon_sym_do] = ACTIONS(3765),
    [anon_sym_and] = ACTIONS(3765),
    [anon_sym_let] = ACTIONS(3765),
    [anon_sym_let_BANG] = ACTIONS(3763),
    [aux_sym_access_modifier_token1] = ACTIONS(3763),
    [anon_sym_null] = ACTIONS(3765),
    [anon_sym_LPAREN] = ACTIONS(3765),
    [anon_sym_AMP] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3763),
    [anon_sym_LBRACE] = ACTIONS(3765),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3763),
    [anon_sym_new] = ACTIONS(3765),
    [anon_sym_return_BANG] = ACTIONS(3763),
    [anon_sym_yield] = ACTIONS(3765),
    [anon_sym_yield_BANG] = ACTIONS(3763),
    [anon_sym_lazy] = ACTIONS(3765),
    [anon_sym_assert] = ACTIONS(3765),
    [anon_sym_upcast] = ACTIONS(3765),
    [anon_sym_downcast] = ACTIONS(3765),
    [anon_sym_LT_AT] = ACTIONS(3765),
    [anon_sym_LT_AT_AT] = ACTIONS(3763),
    [anon_sym_for] = ACTIONS(3765),
    [anon_sym_while] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(3765),
    [anon_sym_fun] = ACTIONS(3765),
    [anon_sym_try] = ACTIONS(3765),
    [anon_sym_match] = ACTIONS(3765),
    [anon_sym_match_BANG] = ACTIONS(3763),
    [anon_sym_function] = ACTIONS(3765),
    [anon_sym_use] = ACTIONS(3765),
    [anon_sym_use_BANG] = ACTIONS(3763),
    [anon_sym_do_BANG] = ACTIONS(3763),
    [anon_sym_begin] = ACTIONS(3765),
    [anon_sym_SQUOTE] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_member] = ACTIONS(3765),
    [anon_sym_abstract] = ACTIONS(3765),
    [anon_sym_override] = ACTIONS(3765),
    [anon_sym_default] = ACTIONS(3765),
    [anon_sym_val] = ACTIONS(3765),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3765),
    [anon_sym_DQUOTE] = ACTIONS(3765),
    [anon_sym_AT_DQUOTE] = ACTIONS(3763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3763),
    [sym_bool] = ACTIONS(3765),
    [sym_unit] = ACTIONS(3763),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3763),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_DOT] = ACTIONS(3763),
    [anon_sym_DASH_DOT] = ACTIONS(3763),
    [anon_sym_PERCENT] = ACTIONS(3763),
    [anon_sym_AMP_AMP] = ACTIONS(3763),
    [anon_sym_TILDE] = ACTIONS(3763),
    [aux_sym_prefix_op_token1] = ACTIONS(3763),
    [aux_sym_int_token1] = ACTIONS(3765),
    [aux_sym_xint_token1] = ACTIONS(3763),
    [aux_sym_xint_token2] = ACTIONS(3763),
    [aux_sym_xint_token3] = ACTIONS(3763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2084] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_type_arguments] = STATE(2200),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2084),
    [sym_block_comment] = STATE(2084),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2187),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3767),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_with] = ACTIONS(3769),
    [anon_sym_LT2] = ACTIONS(3761),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2085] = {
    [sym_xml_doc] = STATE(2085),
    [sym_block_comment] = STATE(2085),
    [sym_identifier] = ACTIONS(3713),
    [anon_sym_module] = ACTIONS(3713),
    [anon_sym_POUNDnowarn] = ACTIONS(3711),
    [anon_sym_POUNDr] = ACTIONS(3711),
    [anon_sym_POUNDload] = ACTIONS(3711),
    [anon_sym_open] = ACTIONS(3713),
    [anon_sym_LBRACK_LT] = ACTIONS(3711),
    [anon_sym_return] = ACTIONS(3713),
    [anon_sym_type] = ACTIONS(3713),
    [anon_sym_do] = ACTIONS(3713),
    [anon_sym_and] = ACTIONS(3713),
    [anon_sym_let] = ACTIONS(3713),
    [anon_sym_let_BANG] = ACTIONS(3711),
    [aux_sym_access_modifier_token1] = ACTIONS(3711),
    [anon_sym_null] = ACTIONS(3713),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_AMP] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3711),
    [anon_sym_LBRACE] = ACTIONS(3713),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3711),
    [anon_sym_with] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3713),
    [anon_sym_return_BANG] = ACTIONS(3711),
    [anon_sym_yield] = ACTIONS(3713),
    [anon_sym_yield_BANG] = ACTIONS(3711),
    [anon_sym_lazy] = ACTIONS(3713),
    [anon_sym_assert] = ACTIONS(3713),
    [anon_sym_upcast] = ACTIONS(3713),
    [anon_sym_downcast] = ACTIONS(3713),
    [anon_sym_LT_AT] = ACTIONS(3713),
    [anon_sym_LT_AT_AT] = ACTIONS(3711),
    [anon_sym_for] = ACTIONS(3713),
    [anon_sym_while] = ACTIONS(3713),
    [anon_sym_if] = ACTIONS(3713),
    [anon_sym_fun] = ACTIONS(3713),
    [anon_sym_try] = ACTIONS(3713),
    [anon_sym_match] = ACTIONS(3713),
    [anon_sym_match_BANG] = ACTIONS(3711),
    [anon_sym_function] = ACTIONS(3713),
    [anon_sym_use] = ACTIONS(3713),
    [anon_sym_use_BANG] = ACTIONS(3711),
    [anon_sym_do_BANG] = ACTIONS(3711),
    [anon_sym_begin] = ACTIONS(3713),
    [anon_sym_SQUOTE] = ACTIONS(3711),
    [anon_sym_static] = ACTIONS(3713),
    [anon_sym_member] = ACTIONS(3713),
    [anon_sym_abstract] = ACTIONS(3713),
    [anon_sym_override] = ACTIONS(3713),
    [anon_sym_default] = ACTIONS(3713),
    [anon_sym_val] = ACTIONS(3713),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3713),
    [anon_sym_DQUOTE] = ACTIONS(3713),
    [anon_sym_AT_DQUOTE] = ACTIONS(3711),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3711),
    [sym_bool] = ACTIONS(3713),
    [sym_unit] = ACTIONS(3711),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3711),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS_DOT] = ACTIONS(3711),
    [anon_sym_DASH_DOT] = ACTIONS(3711),
    [anon_sym_PERCENT] = ACTIONS(3711),
    [anon_sym_AMP_AMP] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(3711),
    [aux_sym_prefix_op_token1] = ACTIONS(3711),
    [aux_sym_int_token1] = ACTIONS(3713),
    [aux_sym_xint_token1] = ACTIONS(3711),
    [aux_sym_xint_token2] = ACTIONS(3711),
    [aux_sym_xint_token3] = ACTIONS(3711),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3711),
  },
  [2086] = {
    [sym_xml_doc] = STATE(2086),
    [sym_block_comment] = STATE(2086),
    [ts_builtin_sym_end] = ACTIONS(3773),
    [sym_identifier] = ACTIONS(3775),
    [anon_sym_namespace] = ACTIONS(3775),
    [anon_sym_module] = ACTIONS(3775),
    [anon_sym_POUNDnowarn] = ACTIONS(3773),
    [anon_sym_POUNDr] = ACTIONS(3773),
    [anon_sym_POUNDload] = ACTIONS(3773),
    [anon_sym_open] = ACTIONS(3775),
    [anon_sym_LBRACK_LT] = ACTIONS(3773),
    [anon_sym_return] = ACTIONS(3775),
    [anon_sym_type] = ACTIONS(3775),
    [anon_sym_do] = ACTIONS(3775),
    [anon_sym_and] = ACTIONS(3775),
    [anon_sym_let] = ACTIONS(3775),
    [anon_sym_let_BANG] = ACTIONS(3773),
    [aux_sym_access_modifier_token1] = ACTIONS(3773),
    [anon_sym_null] = ACTIONS(3775),
    [anon_sym_LPAREN] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3775),
    [anon_sym_LBRACK] = ACTIONS(3775),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3773),
    [anon_sym_LBRACE] = ACTIONS(3775),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3773),
    [anon_sym_new] = ACTIONS(3775),
    [anon_sym_return_BANG] = ACTIONS(3773),
    [anon_sym_yield] = ACTIONS(3775),
    [anon_sym_yield_BANG] = ACTIONS(3773),
    [anon_sym_lazy] = ACTIONS(3775),
    [anon_sym_assert] = ACTIONS(3775),
    [anon_sym_upcast] = ACTIONS(3775),
    [anon_sym_downcast] = ACTIONS(3775),
    [anon_sym_LT_AT] = ACTIONS(3775),
    [anon_sym_LT_AT_AT] = ACTIONS(3773),
    [anon_sym_for] = ACTIONS(3775),
    [anon_sym_while] = ACTIONS(3775),
    [anon_sym_if] = ACTIONS(3775),
    [anon_sym_fun] = ACTIONS(3775),
    [anon_sym_try] = ACTIONS(3775),
    [anon_sym_match] = ACTIONS(3775),
    [anon_sym_match_BANG] = ACTIONS(3773),
    [anon_sym_function] = ACTIONS(3775),
    [anon_sym_use] = ACTIONS(3775),
    [anon_sym_use_BANG] = ACTIONS(3773),
    [anon_sym_do_BANG] = ACTIONS(3773),
    [anon_sym_begin] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3773),
    [anon_sym_static] = ACTIONS(3775),
    [anon_sym_member] = ACTIONS(3775),
    [anon_sym_abstract] = ACTIONS(3775),
    [anon_sym_override] = ACTIONS(3775),
    [anon_sym_default] = ACTIONS(3775),
    [anon_sym_val] = ACTIONS(3775),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3775),
    [anon_sym_DQUOTE] = ACTIONS(3775),
    [anon_sym_AT_DQUOTE] = ACTIONS(3773),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3773),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3773),
    [sym_bool] = ACTIONS(3775),
    [sym_unit] = ACTIONS(3773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS_DOT] = ACTIONS(3773),
    [anon_sym_DASH_DOT] = ACTIONS(3773),
    [anon_sym_PERCENT] = ACTIONS(3773),
    [anon_sym_AMP_AMP] = ACTIONS(3773),
    [anon_sym_TILDE] = ACTIONS(3773),
    [aux_sym_prefix_op_token1] = ACTIONS(3773),
    [aux_sym_int_token1] = ACTIONS(3775),
    [aux_sym_xint_token1] = ACTIONS(3773),
    [aux_sym_xint_token2] = ACTIONS(3773),
    [aux_sym_xint_token3] = ACTIONS(3773),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2087] = {
    [sym_xml_doc] = STATE(2087),
    [sym_block_comment] = STATE(2087),
    [ts_builtin_sym_end] = ACTIONS(3777),
    [sym_identifier] = ACTIONS(3779),
    [anon_sym_namespace] = ACTIONS(3779),
    [anon_sym_module] = ACTIONS(3779),
    [anon_sym_POUNDnowarn] = ACTIONS(3777),
    [anon_sym_POUNDr] = ACTIONS(3777),
    [anon_sym_POUNDload] = ACTIONS(3777),
    [anon_sym_open] = ACTIONS(3779),
    [anon_sym_LBRACK_LT] = ACTIONS(3777),
    [anon_sym_return] = ACTIONS(3779),
    [anon_sym_type] = ACTIONS(3779),
    [anon_sym_do] = ACTIONS(3779),
    [anon_sym_and] = ACTIONS(3779),
    [anon_sym_let] = ACTIONS(3779),
    [anon_sym_let_BANG] = ACTIONS(3777),
    [aux_sym_access_modifier_token1] = ACTIONS(3777),
    [anon_sym_null] = ACTIONS(3779),
    [anon_sym_LPAREN] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3777),
    [anon_sym_LBRACE] = ACTIONS(3779),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3777),
    [anon_sym_new] = ACTIONS(3779),
    [anon_sym_return_BANG] = ACTIONS(3777),
    [anon_sym_yield] = ACTIONS(3779),
    [anon_sym_yield_BANG] = ACTIONS(3777),
    [anon_sym_lazy] = ACTIONS(3779),
    [anon_sym_assert] = ACTIONS(3779),
    [anon_sym_upcast] = ACTIONS(3779),
    [anon_sym_downcast] = ACTIONS(3779),
    [anon_sym_LT_AT] = ACTIONS(3779),
    [anon_sym_LT_AT_AT] = ACTIONS(3777),
    [anon_sym_for] = ACTIONS(3779),
    [anon_sym_while] = ACTIONS(3779),
    [anon_sym_if] = ACTIONS(3779),
    [anon_sym_fun] = ACTIONS(3779),
    [anon_sym_try] = ACTIONS(3779),
    [anon_sym_match] = ACTIONS(3779),
    [anon_sym_match_BANG] = ACTIONS(3777),
    [anon_sym_function] = ACTIONS(3779),
    [anon_sym_use] = ACTIONS(3779),
    [anon_sym_use_BANG] = ACTIONS(3777),
    [anon_sym_do_BANG] = ACTIONS(3777),
    [anon_sym_begin] = ACTIONS(3779),
    [anon_sym_SQUOTE] = ACTIONS(3777),
    [anon_sym_static] = ACTIONS(3779),
    [anon_sym_member] = ACTIONS(3779),
    [anon_sym_abstract] = ACTIONS(3779),
    [anon_sym_override] = ACTIONS(3779),
    [anon_sym_default] = ACTIONS(3779),
    [anon_sym_val] = ACTIONS(3779),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3779),
    [anon_sym_DQUOTE] = ACTIONS(3779),
    [anon_sym_AT_DQUOTE] = ACTIONS(3777),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3777),
    [sym_bool] = ACTIONS(3779),
    [sym_unit] = ACTIONS(3777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3779),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_PLUS_DOT] = ACTIONS(3777),
    [anon_sym_DASH_DOT] = ACTIONS(3777),
    [anon_sym_PERCENT] = ACTIONS(3777),
    [anon_sym_AMP_AMP] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [aux_sym_prefix_op_token1] = ACTIONS(3777),
    [aux_sym_int_token1] = ACTIONS(3779),
    [aux_sym_xint_token1] = ACTIONS(3777),
    [aux_sym_xint_token2] = ACTIONS(3777),
    [aux_sym_xint_token3] = ACTIONS(3777),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2088] = {
    [sym_xml_doc] = STATE(2088),
    [sym_block_comment] = STATE(2088),
    [ts_builtin_sym_end] = ACTIONS(3781),
    [sym_identifier] = ACTIONS(3783),
    [anon_sym_namespace] = ACTIONS(3783),
    [anon_sym_module] = ACTIONS(3783),
    [anon_sym_POUNDnowarn] = ACTIONS(3781),
    [anon_sym_POUNDr] = ACTIONS(3781),
    [anon_sym_POUNDload] = ACTIONS(3781),
    [anon_sym_open] = ACTIONS(3783),
    [anon_sym_LBRACK_LT] = ACTIONS(3781),
    [anon_sym_return] = ACTIONS(3783),
    [anon_sym_type] = ACTIONS(3783),
    [anon_sym_do] = ACTIONS(3783),
    [anon_sym_and] = ACTIONS(3783),
    [anon_sym_let] = ACTIONS(3783),
    [anon_sym_let_BANG] = ACTIONS(3781),
    [aux_sym_access_modifier_token1] = ACTIONS(3781),
    [anon_sym_null] = ACTIONS(3783),
    [anon_sym_LPAREN] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(3783),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(3783),
    [anon_sym_return_BANG] = ACTIONS(3781),
    [anon_sym_yield] = ACTIONS(3783),
    [anon_sym_yield_BANG] = ACTIONS(3781),
    [anon_sym_lazy] = ACTIONS(3783),
    [anon_sym_assert] = ACTIONS(3783),
    [anon_sym_upcast] = ACTIONS(3783),
    [anon_sym_downcast] = ACTIONS(3783),
    [anon_sym_LT_AT] = ACTIONS(3783),
    [anon_sym_LT_AT_AT] = ACTIONS(3781),
    [anon_sym_for] = ACTIONS(3783),
    [anon_sym_while] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(3783),
    [anon_sym_fun] = ACTIONS(3783),
    [anon_sym_try] = ACTIONS(3783),
    [anon_sym_match] = ACTIONS(3783),
    [anon_sym_match_BANG] = ACTIONS(3781),
    [anon_sym_function] = ACTIONS(3783),
    [anon_sym_use] = ACTIONS(3783),
    [anon_sym_use_BANG] = ACTIONS(3781),
    [anon_sym_do_BANG] = ACTIONS(3781),
    [anon_sym_begin] = ACTIONS(3783),
    [anon_sym_SQUOTE] = ACTIONS(3781),
    [anon_sym_static] = ACTIONS(3783),
    [anon_sym_member] = ACTIONS(3783),
    [anon_sym_abstract] = ACTIONS(3783),
    [anon_sym_override] = ACTIONS(3783),
    [anon_sym_default] = ACTIONS(3783),
    [anon_sym_val] = ACTIONS(3783),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3783),
    [anon_sym_DQUOTE] = ACTIONS(3783),
    [anon_sym_AT_DQUOTE] = ACTIONS(3781),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3781),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3781),
    [sym_bool] = ACTIONS(3783),
    [sym_unit] = ACTIONS(3781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3783),
    [anon_sym_PLUS] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3783),
    [anon_sym_PLUS_DOT] = ACTIONS(3781),
    [anon_sym_DASH_DOT] = ACTIONS(3781),
    [anon_sym_PERCENT] = ACTIONS(3781),
    [anon_sym_AMP_AMP] = ACTIONS(3781),
    [anon_sym_TILDE] = ACTIONS(3781),
    [aux_sym_prefix_op_token1] = ACTIONS(3781),
    [aux_sym_int_token1] = ACTIONS(3783),
    [aux_sym_xint_token1] = ACTIONS(3781),
    [aux_sym_xint_token2] = ACTIONS(3781),
    [aux_sym_xint_token3] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2089] = {
    [sym_xml_doc] = STATE(2089),
    [sym_block_comment] = STATE(2089),
    [ts_builtin_sym_end] = ACTIONS(3785),
    [sym_identifier] = ACTIONS(3787),
    [anon_sym_namespace] = ACTIONS(3787),
    [anon_sym_module] = ACTIONS(3787),
    [anon_sym_POUNDnowarn] = ACTIONS(3785),
    [anon_sym_POUNDr] = ACTIONS(3785),
    [anon_sym_POUNDload] = ACTIONS(3785),
    [anon_sym_open] = ACTIONS(3787),
    [anon_sym_LBRACK_LT] = ACTIONS(3785),
    [anon_sym_return] = ACTIONS(3787),
    [anon_sym_type] = ACTIONS(3787),
    [anon_sym_do] = ACTIONS(3787),
    [anon_sym_and] = ACTIONS(3787),
    [anon_sym_let] = ACTIONS(3787),
    [anon_sym_let_BANG] = ACTIONS(3785),
    [aux_sym_access_modifier_token1] = ACTIONS(3785),
    [anon_sym_null] = ACTIONS(3787),
    [anon_sym_LPAREN] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3787),
    [anon_sym_LBRACK] = ACTIONS(3787),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3785),
    [anon_sym_LBRACE] = ACTIONS(3787),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3785),
    [anon_sym_new] = ACTIONS(3787),
    [anon_sym_return_BANG] = ACTIONS(3785),
    [anon_sym_yield] = ACTIONS(3787),
    [anon_sym_yield_BANG] = ACTIONS(3785),
    [anon_sym_lazy] = ACTIONS(3787),
    [anon_sym_assert] = ACTIONS(3787),
    [anon_sym_upcast] = ACTIONS(3787),
    [anon_sym_downcast] = ACTIONS(3787),
    [anon_sym_LT_AT] = ACTIONS(3787),
    [anon_sym_LT_AT_AT] = ACTIONS(3785),
    [anon_sym_for] = ACTIONS(3787),
    [anon_sym_while] = ACTIONS(3787),
    [anon_sym_if] = ACTIONS(3787),
    [anon_sym_fun] = ACTIONS(3787),
    [anon_sym_try] = ACTIONS(3787),
    [anon_sym_match] = ACTIONS(3787),
    [anon_sym_match_BANG] = ACTIONS(3785),
    [anon_sym_function] = ACTIONS(3787),
    [anon_sym_use] = ACTIONS(3787),
    [anon_sym_use_BANG] = ACTIONS(3785),
    [anon_sym_do_BANG] = ACTIONS(3785),
    [anon_sym_begin] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3785),
    [anon_sym_static] = ACTIONS(3787),
    [anon_sym_member] = ACTIONS(3787),
    [anon_sym_abstract] = ACTIONS(3787),
    [anon_sym_override] = ACTIONS(3787),
    [anon_sym_default] = ACTIONS(3787),
    [anon_sym_val] = ACTIONS(3787),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3787),
    [anon_sym_DQUOTE] = ACTIONS(3787),
    [anon_sym_AT_DQUOTE] = ACTIONS(3785),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3785),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3785),
    [sym_bool] = ACTIONS(3787),
    [sym_unit] = ACTIONS(3785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3787),
    [anon_sym_PLUS] = ACTIONS(3787),
    [anon_sym_DASH] = ACTIONS(3787),
    [anon_sym_PLUS_DOT] = ACTIONS(3785),
    [anon_sym_DASH_DOT] = ACTIONS(3785),
    [anon_sym_PERCENT] = ACTIONS(3785),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_TILDE] = ACTIONS(3785),
    [aux_sym_prefix_op_token1] = ACTIONS(3785),
    [aux_sym_int_token1] = ACTIONS(3787),
    [aux_sym_xint_token1] = ACTIONS(3785),
    [aux_sym_xint_token2] = ACTIONS(3785),
    [aux_sym_xint_token3] = ACTIONS(3785),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2090] = {
    [sym_xml_doc] = STATE(2090),
    [sym_block_comment] = STATE(2090),
    [ts_builtin_sym_end] = ACTIONS(3461),
    [sym_identifier] = ACTIONS(3463),
    [anon_sym_namespace] = ACTIONS(3463),
    [anon_sym_module] = ACTIONS(3463),
    [anon_sym_POUNDnowarn] = ACTIONS(3461),
    [anon_sym_POUNDr] = ACTIONS(3461),
    [anon_sym_POUNDload] = ACTIONS(3461),
    [anon_sym_open] = ACTIONS(3463),
    [anon_sym_LBRACK_LT] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3463),
    [anon_sym_type] = ACTIONS(3463),
    [anon_sym_do] = ACTIONS(3463),
    [anon_sym_and] = ACTIONS(3463),
    [anon_sym_let] = ACTIONS(3463),
    [anon_sym_let_BANG] = ACTIONS(3461),
    [aux_sym_access_modifier_token1] = ACTIONS(3461),
    [anon_sym_null] = ACTIONS(3463),
    [anon_sym_LPAREN] = ACTIONS(3463),
    [anon_sym_AMP] = ACTIONS(3463),
    [anon_sym_LBRACK] = ACTIONS(3463),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3463),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3461),
    [anon_sym_new] = ACTIONS(3463),
    [anon_sym_return_BANG] = ACTIONS(3461),
    [anon_sym_yield] = ACTIONS(3463),
    [anon_sym_yield_BANG] = ACTIONS(3461),
    [anon_sym_lazy] = ACTIONS(3463),
    [anon_sym_assert] = ACTIONS(3463),
    [anon_sym_upcast] = ACTIONS(3463),
    [anon_sym_downcast] = ACTIONS(3463),
    [anon_sym_LT_AT] = ACTIONS(3463),
    [anon_sym_LT_AT_AT] = ACTIONS(3461),
    [anon_sym_for] = ACTIONS(3463),
    [anon_sym_while] = ACTIONS(3463),
    [anon_sym_if] = ACTIONS(3463),
    [anon_sym_fun] = ACTIONS(3463),
    [anon_sym_try] = ACTIONS(3463),
    [anon_sym_match] = ACTIONS(3463),
    [anon_sym_match_BANG] = ACTIONS(3461),
    [anon_sym_function] = ACTIONS(3463),
    [anon_sym_use] = ACTIONS(3463),
    [anon_sym_use_BANG] = ACTIONS(3461),
    [anon_sym_do_BANG] = ACTIONS(3461),
    [anon_sym_begin] = ACTIONS(3463),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3463),
    [anon_sym_member] = ACTIONS(3463),
    [anon_sym_abstract] = ACTIONS(3463),
    [anon_sym_override] = ACTIONS(3463),
    [anon_sym_default] = ACTIONS(3463),
    [anon_sym_val] = ACTIONS(3463),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [anon_sym_AT_DQUOTE] = ACTIONS(3461),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3461),
    [sym_bool] = ACTIONS(3463),
    [sym_unit] = ACTIONS(3461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3461),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3463),
    [anon_sym_DASH] = ACTIONS(3463),
    [anon_sym_PLUS_DOT] = ACTIONS(3461),
    [anon_sym_DASH_DOT] = ACTIONS(3461),
    [anon_sym_PERCENT] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [aux_sym_prefix_op_token1] = ACTIONS(3461),
    [aux_sym_int_token1] = ACTIONS(3463),
    [aux_sym_xint_token1] = ACTIONS(3461),
    [aux_sym_xint_token2] = ACTIONS(3461),
    [aux_sym_xint_token3] = ACTIONS(3461),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2091] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_type_arguments] = STATE(2195),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2091),
    [sym_block_comment] = STATE(2091),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2191),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3789),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_with] = ACTIONS(3791),
    [anon_sym_LT2] = ACTIONS(3761),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2092] = {
    [sym_xml_doc] = STATE(2092),
    [sym_block_comment] = STATE(2092),
    [ts_builtin_sym_end] = ACTIONS(3793),
    [sym_identifier] = ACTIONS(3795),
    [anon_sym_namespace] = ACTIONS(3795),
    [anon_sym_module] = ACTIONS(3795),
    [anon_sym_POUNDnowarn] = ACTIONS(3793),
    [anon_sym_POUNDr] = ACTIONS(3793),
    [anon_sym_POUNDload] = ACTIONS(3793),
    [anon_sym_open] = ACTIONS(3795),
    [anon_sym_LBRACK_LT] = ACTIONS(3793),
    [anon_sym_return] = ACTIONS(3795),
    [anon_sym_type] = ACTIONS(3795),
    [anon_sym_do] = ACTIONS(3795),
    [anon_sym_and] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3795),
    [anon_sym_let_BANG] = ACTIONS(3793),
    [aux_sym_access_modifier_token1] = ACTIONS(3793),
    [anon_sym_null] = ACTIONS(3795),
    [anon_sym_LPAREN] = ACTIONS(3795),
    [anon_sym_AMP] = ACTIONS(3795),
    [anon_sym_LBRACK] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3793),
    [anon_sym_LBRACE] = ACTIONS(3795),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3793),
    [anon_sym_new] = ACTIONS(3795),
    [anon_sym_return_BANG] = ACTIONS(3793),
    [anon_sym_yield] = ACTIONS(3795),
    [anon_sym_yield_BANG] = ACTIONS(3793),
    [anon_sym_lazy] = ACTIONS(3795),
    [anon_sym_assert] = ACTIONS(3795),
    [anon_sym_upcast] = ACTIONS(3795),
    [anon_sym_downcast] = ACTIONS(3795),
    [anon_sym_LT_AT] = ACTIONS(3795),
    [anon_sym_LT_AT_AT] = ACTIONS(3793),
    [anon_sym_for] = ACTIONS(3795),
    [anon_sym_while] = ACTIONS(3795),
    [anon_sym_if] = ACTIONS(3795),
    [anon_sym_fun] = ACTIONS(3795),
    [anon_sym_try] = ACTIONS(3795),
    [anon_sym_match] = ACTIONS(3795),
    [anon_sym_match_BANG] = ACTIONS(3793),
    [anon_sym_function] = ACTIONS(3795),
    [anon_sym_use] = ACTIONS(3795),
    [anon_sym_use_BANG] = ACTIONS(3793),
    [anon_sym_do_BANG] = ACTIONS(3793),
    [anon_sym_begin] = ACTIONS(3795),
    [anon_sym_SQUOTE] = ACTIONS(3793),
    [anon_sym_static] = ACTIONS(3795),
    [anon_sym_member] = ACTIONS(3795),
    [anon_sym_abstract] = ACTIONS(3795),
    [anon_sym_override] = ACTIONS(3795),
    [anon_sym_default] = ACTIONS(3795),
    [anon_sym_val] = ACTIONS(3795),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3795),
    [anon_sym_DQUOTE] = ACTIONS(3795),
    [anon_sym_AT_DQUOTE] = ACTIONS(3793),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3793),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3793),
    [sym_bool] = ACTIONS(3795),
    [sym_unit] = ACTIONS(3793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3795),
    [anon_sym_PLUS] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3795),
    [anon_sym_PLUS_DOT] = ACTIONS(3793),
    [anon_sym_DASH_DOT] = ACTIONS(3793),
    [anon_sym_PERCENT] = ACTIONS(3793),
    [anon_sym_AMP_AMP] = ACTIONS(3793),
    [anon_sym_TILDE] = ACTIONS(3793),
    [aux_sym_prefix_op_token1] = ACTIONS(3793),
    [aux_sym_int_token1] = ACTIONS(3795),
    [aux_sym_xint_token1] = ACTIONS(3793),
    [aux_sym_xint_token2] = ACTIONS(3793),
    [aux_sym_xint_token3] = ACTIONS(3793),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2093] = {
    [sym_xml_doc] = STATE(2093),
    [sym_block_comment] = STATE(2093),
    [ts_builtin_sym_end] = ACTIONS(3797),
    [sym_identifier] = ACTIONS(3799),
    [anon_sym_namespace] = ACTIONS(3799),
    [anon_sym_module] = ACTIONS(3799),
    [anon_sym_POUNDnowarn] = ACTIONS(3797),
    [anon_sym_POUNDr] = ACTIONS(3797),
    [anon_sym_POUNDload] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3799),
    [anon_sym_LBRACK_LT] = ACTIONS(3797),
    [anon_sym_return] = ACTIONS(3799),
    [anon_sym_type] = ACTIONS(3799),
    [anon_sym_do] = ACTIONS(3799),
    [anon_sym_and] = ACTIONS(3799),
    [anon_sym_let] = ACTIONS(3799),
    [anon_sym_let_BANG] = ACTIONS(3797),
    [aux_sym_access_modifier_token1] = ACTIONS(3797),
    [anon_sym_null] = ACTIONS(3799),
    [anon_sym_LPAREN] = ACTIONS(3799),
    [anon_sym_AMP] = ACTIONS(3799),
    [anon_sym_LBRACK] = ACTIONS(3799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3799),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(3799),
    [anon_sym_return_BANG] = ACTIONS(3797),
    [anon_sym_yield] = ACTIONS(3799),
    [anon_sym_yield_BANG] = ACTIONS(3797),
    [anon_sym_lazy] = ACTIONS(3799),
    [anon_sym_assert] = ACTIONS(3799),
    [anon_sym_upcast] = ACTIONS(3799),
    [anon_sym_downcast] = ACTIONS(3799),
    [anon_sym_LT_AT] = ACTIONS(3799),
    [anon_sym_LT_AT_AT] = ACTIONS(3797),
    [anon_sym_for] = ACTIONS(3799),
    [anon_sym_while] = ACTIONS(3799),
    [anon_sym_if] = ACTIONS(3799),
    [anon_sym_fun] = ACTIONS(3799),
    [anon_sym_try] = ACTIONS(3799),
    [anon_sym_match] = ACTIONS(3799),
    [anon_sym_match_BANG] = ACTIONS(3797),
    [anon_sym_function] = ACTIONS(3799),
    [anon_sym_use] = ACTIONS(3799),
    [anon_sym_use_BANG] = ACTIONS(3797),
    [anon_sym_do_BANG] = ACTIONS(3797),
    [anon_sym_begin] = ACTIONS(3799),
    [anon_sym_SQUOTE] = ACTIONS(3797),
    [anon_sym_static] = ACTIONS(3799),
    [anon_sym_member] = ACTIONS(3799),
    [anon_sym_abstract] = ACTIONS(3799),
    [anon_sym_override] = ACTIONS(3799),
    [anon_sym_default] = ACTIONS(3799),
    [anon_sym_val] = ACTIONS(3799),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3799),
    [anon_sym_DQUOTE] = ACTIONS(3799),
    [anon_sym_AT_DQUOTE] = ACTIONS(3797),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3797),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3797),
    [sym_bool] = ACTIONS(3799),
    [sym_unit] = ACTIONS(3797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3799),
    [anon_sym_PLUS] = ACTIONS(3799),
    [anon_sym_DASH] = ACTIONS(3799),
    [anon_sym_PLUS_DOT] = ACTIONS(3797),
    [anon_sym_DASH_DOT] = ACTIONS(3797),
    [anon_sym_PERCENT] = ACTIONS(3797),
    [anon_sym_AMP_AMP] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3797),
    [aux_sym_prefix_op_token1] = ACTIONS(3797),
    [aux_sym_int_token1] = ACTIONS(3799),
    [aux_sym_xint_token1] = ACTIONS(3797),
    [aux_sym_xint_token2] = ACTIONS(3797),
    [aux_sym_xint_token3] = ACTIONS(3797),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2094] = {
    [sym_xml_doc] = STATE(2094),
    [sym_block_comment] = STATE(2094),
    [ts_builtin_sym_end] = ACTIONS(3801),
    [sym_identifier] = ACTIONS(3803),
    [anon_sym_namespace] = ACTIONS(3803),
    [anon_sym_module] = ACTIONS(3803),
    [anon_sym_POUNDnowarn] = ACTIONS(3801),
    [anon_sym_POUNDr] = ACTIONS(3801),
    [anon_sym_POUNDload] = ACTIONS(3801),
    [anon_sym_open] = ACTIONS(3803),
    [anon_sym_LBRACK_LT] = ACTIONS(3801),
    [anon_sym_return] = ACTIONS(3803),
    [anon_sym_type] = ACTIONS(3803),
    [anon_sym_do] = ACTIONS(3803),
    [anon_sym_and] = ACTIONS(3803),
    [anon_sym_let] = ACTIONS(3803),
    [anon_sym_let_BANG] = ACTIONS(3801),
    [aux_sym_access_modifier_token1] = ACTIONS(3801),
    [anon_sym_null] = ACTIONS(3803),
    [anon_sym_LPAREN] = ACTIONS(3803),
    [anon_sym_AMP] = ACTIONS(3803),
    [anon_sym_LBRACK] = ACTIONS(3803),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3801),
    [anon_sym_LBRACE] = ACTIONS(3803),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3801),
    [anon_sym_new] = ACTIONS(3803),
    [anon_sym_return_BANG] = ACTIONS(3801),
    [anon_sym_yield] = ACTIONS(3803),
    [anon_sym_yield_BANG] = ACTIONS(3801),
    [anon_sym_lazy] = ACTIONS(3803),
    [anon_sym_assert] = ACTIONS(3803),
    [anon_sym_upcast] = ACTIONS(3803),
    [anon_sym_downcast] = ACTIONS(3803),
    [anon_sym_LT_AT] = ACTIONS(3803),
    [anon_sym_LT_AT_AT] = ACTIONS(3801),
    [anon_sym_for] = ACTIONS(3803),
    [anon_sym_while] = ACTIONS(3803),
    [anon_sym_if] = ACTIONS(3803),
    [anon_sym_fun] = ACTIONS(3803),
    [anon_sym_try] = ACTIONS(3803),
    [anon_sym_match] = ACTIONS(3803),
    [anon_sym_match_BANG] = ACTIONS(3801),
    [anon_sym_function] = ACTIONS(3803),
    [anon_sym_use] = ACTIONS(3803),
    [anon_sym_use_BANG] = ACTIONS(3801),
    [anon_sym_do_BANG] = ACTIONS(3801),
    [anon_sym_begin] = ACTIONS(3803),
    [anon_sym_SQUOTE] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(3803),
    [anon_sym_member] = ACTIONS(3803),
    [anon_sym_abstract] = ACTIONS(3803),
    [anon_sym_override] = ACTIONS(3803),
    [anon_sym_default] = ACTIONS(3803),
    [anon_sym_val] = ACTIONS(3803),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3803),
    [anon_sym_DQUOTE] = ACTIONS(3803),
    [anon_sym_AT_DQUOTE] = ACTIONS(3801),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3801),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3801),
    [sym_bool] = ACTIONS(3803),
    [sym_unit] = ACTIONS(3801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3803),
    [anon_sym_PLUS] = ACTIONS(3803),
    [anon_sym_DASH] = ACTIONS(3803),
    [anon_sym_PLUS_DOT] = ACTIONS(3801),
    [anon_sym_DASH_DOT] = ACTIONS(3801),
    [anon_sym_PERCENT] = ACTIONS(3801),
    [anon_sym_AMP_AMP] = ACTIONS(3801),
    [anon_sym_TILDE] = ACTIONS(3801),
    [aux_sym_prefix_op_token1] = ACTIONS(3801),
    [aux_sym_int_token1] = ACTIONS(3803),
    [aux_sym_xint_token1] = ACTIONS(3801),
    [aux_sym_xint_token2] = ACTIONS(3801),
    [aux_sym_xint_token3] = ACTIONS(3801),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2095] = {
    [sym_xml_doc] = STATE(2095),
    [sym_block_comment] = STATE(2095),
    [ts_builtin_sym_end] = ACTIONS(3805),
    [sym_identifier] = ACTIONS(3807),
    [anon_sym_namespace] = ACTIONS(3807),
    [anon_sym_module] = ACTIONS(3807),
    [anon_sym_POUNDnowarn] = ACTIONS(3805),
    [anon_sym_POUNDr] = ACTIONS(3805),
    [anon_sym_POUNDload] = ACTIONS(3805),
    [anon_sym_open] = ACTIONS(3807),
    [anon_sym_LBRACK_LT] = ACTIONS(3805),
    [anon_sym_return] = ACTIONS(3807),
    [anon_sym_type] = ACTIONS(3807),
    [anon_sym_do] = ACTIONS(3807),
    [anon_sym_and] = ACTIONS(3807),
    [anon_sym_let] = ACTIONS(3807),
    [anon_sym_let_BANG] = ACTIONS(3805),
    [aux_sym_access_modifier_token1] = ACTIONS(3805),
    [anon_sym_null] = ACTIONS(3807),
    [anon_sym_LPAREN] = ACTIONS(3807),
    [anon_sym_AMP] = ACTIONS(3807),
    [anon_sym_LBRACK] = ACTIONS(3807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3805),
    [anon_sym_LBRACE] = ACTIONS(3807),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3805),
    [anon_sym_new] = ACTIONS(3807),
    [anon_sym_return_BANG] = ACTIONS(3805),
    [anon_sym_yield] = ACTIONS(3807),
    [anon_sym_yield_BANG] = ACTIONS(3805),
    [anon_sym_lazy] = ACTIONS(3807),
    [anon_sym_assert] = ACTIONS(3807),
    [anon_sym_upcast] = ACTIONS(3807),
    [anon_sym_downcast] = ACTIONS(3807),
    [anon_sym_LT_AT] = ACTIONS(3807),
    [anon_sym_LT_AT_AT] = ACTIONS(3805),
    [anon_sym_for] = ACTIONS(3807),
    [anon_sym_while] = ACTIONS(3807),
    [anon_sym_if] = ACTIONS(3807),
    [anon_sym_fun] = ACTIONS(3807),
    [anon_sym_try] = ACTIONS(3807),
    [anon_sym_match] = ACTIONS(3807),
    [anon_sym_match_BANG] = ACTIONS(3805),
    [anon_sym_function] = ACTIONS(3807),
    [anon_sym_use] = ACTIONS(3807),
    [anon_sym_use_BANG] = ACTIONS(3805),
    [anon_sym_do_BANG] = ACTIONS(3805),
    [anon_sym_begin] = ACTIONS(3807),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_static] = ACTIONS(3807),
    [anon_sym_member] = ACTIONS(3807),
    [anon_sym_abstract] = ACTIONS(3807),
    [anon_sym_override] = ACTIONS(3807),
    [anon_sym_default] = ACTIONS(3807),
    [anon_sym_val] = ACTIONS(3807),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [anon_sym_AT_DQUOTE] = ACTIONS(3805),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3805),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3805),
    [sym_bool] = ACTIONS(3807),
    [sym_unit] = ACTIONS(3805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS_DOT] = ACTIONS(3805),
    [anon_sym_DASH_DOT] = ACTIONS(3805),
    [anon_sym_PERCENT] = ACTIONS(3805),
    [anon_sym_AMP_AMP] = ACTIONS(3805),
    [anon_sym_TILDE] = ACTIONS(3805),
    [aux_sym_prefix_op_token1] = ACTIONS(3805),
    [aux_sym_int_token1] = ACTIONS(3807),
    [aux_sym_xint_token1] = ACTIONS(3805),
    [aux_sym_xint_token2] = ACTIONS(3805),
    [aux_sym_xint_token3] = ACTIONS(3805),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2096] = {
    [sym_xml_doc] = STATE(2096),
    [sym_block_comment] = STATE(2096),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_namespace] = ACTIONS(3516),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_POUNDnowarn] = ACTIONS(3514),
    [anon_sym_POUNDr] = ACTIONS(3514),
    [anon_sym_POUNDload] = ACTIONS(3514),
    [anon_sym_open] = ACTIONS(3516),
    [anon_sym_LBRACK_LT] = ACTIONS(3514),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_do] = ACTIONS(3516),
    [anon_sym_and] = ACTIONS(3516),
    [anon_sym_let] = ACTIONS(3516),
    [anon_sym_let_BANG] = ACTIONS(3514),
    [aux_sym_access_modifier_token1] = ACTIONS(3514),
    [anon_sym_null] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3516),
    [anon_sym_AMP] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3516),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(3516),
    [anon_sym_return_BANG] = ACTIONS(3514),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_yield_BANG] = ACTIONS(3514),
    [anon_sym_lazy] = ACTIONS(3516),
    [anon_sym_assert] = ACTIONS(3516),
    [anon_sym_upcast] = ACTIONS(3516),
    [anon_sym_downcast] = ACTIONS(3516),
    [anon_sym_LT_AT] = ACTIONS(3516),
    [anon_sym_LT_AT_AT] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_fun] = ACTIONS(3516),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_match] = ACTIONS(3516),
    [anon_sym_match_BANG] = ACTIONS(3514),
    [anon_sym_function] = ACTIONS(3516),
    [anon_sym_use] = ACTIONS(3516),
    [anon_sym_use_BANG] = ACTIONS(3514),
    [anon_sym_do_BANG] = ACTIONS(3514),
    [anon_sym_begin] = ACTIONS(3516),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_static] = ACTIONS(3516),
    [anon_sym_member] = ACTIONS(3516),
    [anon_sym_abstract] = ACTIONS(3516),
    [anon_sym_override] = ACTIONS(3516),
    [anon_sym_default] = ACTIONS(3516),
    [anon_sym_val] = ACTIONS(3516),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [anon_sym_AT_DQUOTE] = ACTIONS(3514),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3514),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3514),
    [sym_bool] = ACTIONS(3516),
    [sym_unit] = ACTIONS(3514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3516),
    [anon_sym_PLUS] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3516),
    [anon_sym_PLUS_DOT] = ACTIONS(3514),
    [anon_sym_DASH_DOT] = ACTIONS(3514),
    [anon_sym_PERCENT] = ACTIONS(3514),
    [anon_sym_AMP_AMP] = ACTIONS(3514),
    [anon_sym_TILDE] = ACTIONS(3514),
    [aux_sym_prefix_op_token1] = ACTIONS(3514),
    [aux_sym_int_token1] = ACTIONS(3516),
    [aux_sym_xint_token1] = ACTIONS(3514),
    [aux_sym_xint_token2] = ACTIONS(3514),
    [aux_sym_xint_token3] = ACTIONS(3514),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2097] = {
    [sym_xml_doc] = STATE(2097),
    [sym_block_comment] = STATE(2097),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_module] = ACTIONS(3719),
    [anon_sym_POUNDnowarn] = ACTIONS(3717),
    [anon_sym_POUNDr] = ACTIONS(3717),
    [anon_sym_POUNDload] = ACTIONS(3717),
    [anon_sym_open] = ACTIONS(3719),
    [anon_sym_LBRACK_LT] = ACTIONS(3717),
    [anon_sym_return] = ACTIONS(3719),
    [anon_sym_type] = ACTIONS(3719),
    [anon_sym_do] = ACTIONS(3719),
    [anon_sym_and] = ACTIONS(3719),
    [anon_sym_let] = ACTIONS(3719),
    [anon_sym_let_BANG] = ACTIONS(3717),
    [aux_sym_access_modifier_token1] = ACTIONS(3717),
    [anon_sym_null] = ACTIONS(3719),
    [anon_sym_LPAREN] = ACTIONS(3719),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_LBRACK] = ACTIONS(3719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3719),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3717),
    [anon_sym_with] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_return_BANG] = ACTIONS(3717),
    [anon_sym_yield] = ACTIONS(3719),
    [anon_sym_yield_BANG] = ACTIONS(3717),
    [anon_sym_lazy] = ACTIONS(3719),
    [anon_sym_assert] = ACTIONS(3719),
    [anon_sym_upcast] = ACTIONS(3719),
    [anon_sym_downcast] = ACTIONS(3719),
    [anon_sym_LT_AT] = ACTIONS(3719),
    [anon_sym_LT_AT_AT] = ACTIONS(3717),
    [anon_sym_for] = ACTIONS(3719),
    [anon_sym_while] = ACTIONS(3719),
    [anon_sym_if] = ACTIONS(3719),
    [anon_sym_fun] = ACTIONS(3719),
    [anon_sym_try] = ACTIONS(3719),
    [anon_sym_match] = ACTIONS(3719),
    [anon_sym_match_BANG] = ACTIONS(3717),
    [anon_sym_function] = ACTIONS(3719),
    [anon_sym_use] = ACTIONS(3719),
    [anon_sym_use_BANG] = ACTIONS(3717),
    [anon_sym_do_BANG] = ACTIONS(3717),
    [anon_sym_begin] = ACTIONS(3719),
    [anon_sym_SQUOTE] = ACTIONS(3717),
    [anon_sym_static] = ACTIONS(3719),
    [anon_sym_member] = ACTIONS(3719),
    [anon_sym_abstract] = ACTIONS(3719),
    [anon_sym_override] = ACTIONS(3719),
    [anon_sym_default] = ACTIONS(3719),
    [anon_sym_val] = ACTIONS(3719),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3719),
    [anon_sym_DQUOTE] = ACTIONS(3719),
    [anon_sym_AT_DQUOTE] = ACTIONS(3717),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3717),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3717),
    [sym_bool] = ACTIONS(3719),
    [sym_unit] = ACTIONS(3717),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3717),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS_DOT] = ACTIONS(3717),
    [anon_sym_DASH_DOT] = ACTIONS(3717),
    [anon_sym_PERCENT] = ACTIONS(3717),
    [anon_sym_AMP_AMP] = ACTIONS(3717),
    [anon_sym_TILDE] = ACTIONS(3717),
    [aux_sym_prefix_op_token1] = ACTIONS(3717),
    [aux_sym_int_token1] = ACTIONS(3719),
    [aux_sym_xint_token1] = ACTIONS(3717),
    [aux_sym_xint_token2] = ACTIONS(3717),
    [aux_sym_xint_token3] = ACTIONS(3717),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3717),
  },
  [2098] = {
    [sym_xml_doc] = STATE(2098),
    [sym_block_comment] = STATE(2098),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_POUNDnowarn] = ACTIONS(2535),
    [anon_sym_POUNDr] = ACTIONS(2535),
    [anon_sym_POUNDload] = ACTIONS(2535),
    [anon_sym_open] = ACTIONS(2533),
    [anon_sym_LBRACK_LT] = ACTIONS(2535),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_and] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_let_BANG] = ACTIONS(2535),
    [aux_sym_access_modifier_token1] = ACTIONS(2535),
    [anon_sym_null] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2535),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2535),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_return_BANG] = ACTIONS(2535),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_yield_BANG] = ACTIONS(2535),
    [anon_sym_lazy] = ACTIONS(2533),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_upcast] = ACTIONS(2533),
    [anon_sym_downcast] = ACTIONS(2533),
    [anon_sym_LT_AT] = ACTIONS(2533),
    [anon_sym_LT_AT_AT] = ACTIONS(2535),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_fun] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2533),
    [anon_sym_match_BANG] = ACTIONS(2535),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_use] = ACTIONS(2533),
    [anon_sym_use_BANG] = ACTIONS(2535),
    [anon_sym_do_BANG] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2533),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_static] = ACTIONS(2533),
    [anon_sym_member] = ACTIONS(2533),
    [anon_sym_abstract] = ACTIONS(2533),
    [anon_sym_override] = ACTIONS(2533),
    [anon_sym_default] = ACTIONS(2533),
    [anon_sym_val] = ACTIONS(2533),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_AT_DQUOTE] = ACTIONS(2535),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [sym_bool] = ACTIONS(2533),
    [sym_unit] = ACTIONS(2535),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2535),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_PLUS_DOT] = ACTIONS(2535),
    [anon_sym_DASH_DOT] = ACTIONS(2535),
    [anon_sym_PERCENT] = ACTIONS(2535),
    [anon_sym_AMP_AMP] = ACTIONS(2535),
    [anon_sym_TILDE] = ACTIONS(2535),
    [aux_sym_prefix_op_token1] = ACTIONS(2535),
    [aux_sym_int_token1] = ACTIONS(2533),
    [aux_sym_xint_token1] = ACTIONS(2535),
    [aux_sym_xint_token2] = ACTIONS(2535),
    [aux_sym_xint_token3] = ACTIONS(2535),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2535),
  },
  [2099] = {
    [sym_xml_doc] = STATE(2099),
    [sym_block_comment] = STATE(2099),
    [sym_identifier] = ACTIONS(3707),
    [anon_sym_module] = ACTIONS(3707),
    [anon_sym_POUNDnowarn] = ACTIONS(3705),
    [anon_sym_POUNDr] = ACTIONS(3705),
    [anon_sym_POUNDload] = ACTIONS(3705),
    [anon_sym_open] = ACTIONS(3707),
    [anon_sym_LBRACK_LT] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3707),
    [anon_sym_type] = ACTIONS(3707),
    [anon_sym_do] = ACTIONS(3707),
    [anon_sym_and] = ACTIONS(3707),
    [anon_sym_let] = ACTIONS(3707),
    [anon_sym_let_BANG] = ACTIONS(3705),
    [aux_sym_access_modifier_token1] = ACTIONS(3705),
    [anon_sym_null] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_COMMA] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3707),
    [anon_sym_return_BANG] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3707),
    [anon_sym_yield_BANG] = ACTIONS(3705),
    [anon_sym_lazy] = ACTIONS(3707),
    [anon_sym_assert] = ACTIONS(3707),
    [anon_sym_upcast] = ACTIONS(3707),
    [anon_sym_downcast] = ACTIONS(3707),
    [anon_sym_LT_AT] = ACTIONS(3707),
    [anon_sym_LT_AT_AT] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3707),
    [anon_sym_if] = ACTIONS(3707),
    [anon_sym_fun] = ACTIONS(3707),
    [anon_sym_try] = ACTIONS(3707),
    [anon_sym_match] = ACTIONS(3707),
    [anon_sym_match_BANG] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3707),
    [anon_sym_use] = ACTIONS(3707),
    [anon_sym_use_BANG] = ACTIONS(3705),
    [anon_sym_do_BANG] = ACTIONS(3705),
    [anon_sym_begin] = ACTIONS(3707),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3707),
    [anon_sym_member] = ACTIONS(3707),
    [anon_sym_abstract] = ACTIONS(3707),
    [anon_sym_override] = ACTIONS(3707),
    [anon_sym_default] = ACTIONS(3707),
    [anon_sym_val] = ACTIONS(3707),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3707),
    [anon_sym_DQUOTE] = ACTIONS(3707),
    [anon_sym_AT_DQUOTE] = ACTIONS(3705),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3705),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3705),
    [sym_bool] = ACTIONS(3707),
    [sym_unit] = ACTIONS(3705),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3705),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3707),
    [anon_sym_PLUS] = ACTIONS(3707),
    [anon_sym_DASH] = ACTIONS(3707),
    [anon_sym_PLUS_DOT] = ACTIONS(3705),
    [anon_sym_DASH_DOT] = ACTIONS(3705),
    [anon_sym_PERCENT] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [aux_sym_prefix_op_token1] = ACTIONS(3705),
    [aux_sym_int_token1] = ACTIONS(3707),
    [aux_sym_xint_token1] = ACTIONS(3705),
    [aux_sym_xint_token2] = ACTIONS(3705),
    [aux_sym_xint_token3] = ACTIONS(3705),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3705),
  },
  [2100] = {
    [sym_xml_doc] = STATE(2100),
    [sym_block_comment] = STATE(2100),
    [sym_identifier] = ACTIONS(3731),
    [anon_sym_module] = ACTIONS(3731),
    [anon_sym_POUNDnowarn] = ACTIONS(3729),
    [anon_sym_POUNDr] = ACTIONS(3729),
    [anon_sym_POUNDload] = ACTIONS(3729),
    [anon_sym_open] = ACTIONS(3731),
    [anon_sym_LBRACK_LT] = ACTIONS(3729),
    [anon_sym_return] = ACTIONS(3731),
    [anon_sym_type] = ACTIONS(3731),
    [anon_sym_do] = ACTIONS(3731),
    [anon_sym_and] = ACTIONS(3731),
    [anon_sym_let] = ACTIONS(3731),
    [anon_sym_let_BANG] = ACTIONS(3729),
    [aux_sym_access_modifier_token1] = ACTIONS(3729),
    [anon_sym_null] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_AMP] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(3731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3729),
    [anon_sym_LBRACE] = ACTIONS(3731),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3729),
    [anon_sym_with] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3731),
    [anon_sym_return_BANG] = ACTIONS(3729),
    [anon_sym_yield] = ACTIONS(3731),
    [anon_sym_yield_BANG] = ACTIONS(3729),
    [anon_sym_lazy] = ACTIONS(3731),
    [anon_sym_assert] = ACTIONS(3731),
    [anon_sym_upcast] = ACTIONS(3731),
    [anon_sym_downcast] = ACTIONS(3731),
    [anon_sym_LT_AT] = ACTIONS(3731),
    [anon_sym_LT_AT_AT] = ACTIONS(3729),
    [anon_sym_for] = ACTIONS(3731),
    [anon_sym_while] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(3731),
    [anon_sym_fun] = ACTIONS(3731),
    [anon_sym_try] = ACTIONS(3731),
    [anon_sym_match] = ACTIONS(3731),
    [anon_sym_match_BANG] = ACTIONS(3729),
    [anon_sym_function] = ACTIONS(3731),
    [anon_sym_use] = ACTIONS(3731),
    [anon_sym_use_BANG] = ACTIONS(3729),
    [anon_sym_do_BANG] = ACTIONS(3729),
    [anon_sym_begin] = ACTIONS(3731),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [anon_sym_static] = ACTIONS(3731),
    [anon_sym_member] = ACTIONS(3731),
    [anon_sym_abstract] = ACTIONS(3731),
    [anon_sym_override] = ACTIONS(3731),
    [anon_sym_default] = ACTIONS(3731),
    [anon_sym_val] = ACTIONS(3731),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3731),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_AT_DQUOTE] = ACTIONS(3729),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3729),
    [sym_bool] = ACTIONS(3731),
    [sym_unit] = ACTIONS(3729),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3729),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(3731),
    [anon_sym_DASH] = ACTIONS(3731),
    [anon_sym_PLUS_DOT] = ACTIONS(3729),
    [anon_sym_DASH_DOT] = ACTIONS(3729),
    [anon_sym_PERCENT] = ACTIONS(3729),
    [anon_sym_AMP_AMP] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [aux_sym_prefix_op_token1] = ACTIONS(3729),
    [aux_sym_int_token1] = ACTIONS(3731),
    [aux_sym_xint_token1] = ACTIONS(3729),
    [aux_sym_xint_token2] = ACTIONS(3729),
    [aux_sym_xint_token3] = ACTIONS(3729),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3729),
  },
  [2101] = {
    [sym_xml_doc] = STATE(2101),
    [sym_block_comment] = STATE(2101),
    [ts_builtin_sym_end] = ACTIONS(3815),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_namespace] = ACTIONS(3817),
    [anon_sym_module] = ACTIONS(3817),
    [anon_sym_POUNDnowarn] = ACTIONS(3815),
    [anon_sym_POUNDr] = ACTIONS(3815),
    [anon_sym_POUNDload] = ACTIONS(3815),
    [anon_sym_open] = ACTIONS(3817),
    [anon_sym_LBRACK_LT] = ACTIONS(3815),
    [anon_sym_return] = ACTIONS(3817),
    [anon_sym_type] = ACTIONS(3817),
    [anon_sym_do] = ACTIONS(3817),
    [anon_sym_and] = ACTIONS(3817),
    [anon_sym_let] = ACTIONS(3817),
    [anon_sym_let_BANG] = ACTIONS(3815),
    [aux_sym_access_modifier_token1] = ACTIONS(3815),
    [anon_sym_null] = ACTIONS(3817),
    [anon_sym_LPAREN] = ACTIONS(3817),
    [anon_sym_AMP] = ACTIONS(3817),
    [anon_sym_LBRACK] = ACTIONS(3817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3815),
    [anon_sym_LBRACE] = ACTIONS(3817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3815),
    [anon_sym_new] = ACTIONS(3817),
    [anon_sym_return_BANG] = ACTIONS(3815),
    [anon_sym_yield] = ACTIONS(3817),
    [anon_sym_yield_BANG] = ACTIONS(3815),
    [anon_sym_lazy] = ACTIONS(3817),
    [anon_sym_assert] = ACTIONS(3817),
    [anon_sym_upcast] = ACTIONS(3817),
    [anon_sym_downcast] = ACTIONS(3817),
    [anon_sym_LT_AT] = ACTIONS(3817),
    [anon_sym_LT_AT_AT] = ACTIONS(3815),
    [anon_sym_for] = ACTIONS(3817),
    [anon_sym_while] = ACTIONS(3817),
    [anon_sym_if] = ACTIONS(3817),
    [anon_sym_fun] = ACTIONS(3817),
    [anon_sym_try] = ACTIONS(3817),
    [anon_sym_match] = ACTIONS(3817),
    [anon_sym_match_BANG] = ACTIONS(3815),
    [anon_sym_function] = ACTIONS(3817),
    [anon_sym_use] = ACTIONS(3817),
    [anon_sym_use_BANG] = ACTIONS(3815),
    [anon_sym_do_BANG] = ACTIONS(3815),
    [anon_sym_begin] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3815),
    [anon_sym_static] = ACTIONS(3817),
    [anon_sym_member] = ACTIONS(3817),
    [anon_sym_abstract] = ACTIONS(3817),
    [anon_sym_override] = ACTIONS(3817),
    [anon_sym_default] = ACTIONS(3817),
    [anon_sym_val] = ACTIONS(3817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3817),
    [anon_sym_DQUOTE] = ACTIONS(3817),
    [anon_sym_AT_DQUOTE] = ACTIONS(3815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3815),
    [sym_bool] = ACTIONS(3817),
    [sym_unit] = ACTIONS(3815),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3815),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3817),
    [anon_sym_PLUS] = ACTIONS(3817),
    [anon_sym_DASH] = ACTIONS(3817),
    [anon_sym_PLUS_DOT] = ACTIONS(3815),
    [anon_sym_DASH_DOT] = ACTIONS(3815),
    [anon_sym_PERCENT] = ACTIONS(3815),
    [anon_sym_AMP_AMP] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [aux_sym_prefix_op_token1] = ACTIONS(3815),
    [aux_sym_int_token1] = ACTIONS(3817),
    [aux_sym_xint_token1] = ACTIONS(3815),
    [aux_sym_xint_token2] = ACTIONS(3815),
    [aux_sym_xint_token3] = ACTIONS(3815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2102] = {
    [sym_xml_doc] = STATE(2102),
    [sym_block_comment] = STATE(2102),
    [ts_builtin_sym_end] = ACTIONS(3819),
    [sym_identifier] = ACTIONS(3821),
    [anon_sym_namespace] = ACTIONS(3821),
    [anon_sym_module] = ACTIONS(3821),
    [anon_sym_POUNDnowarn] = ACTIONS(3819),
    [anon_sym_POUNDr] = ACTIONS(3819),
    [anon_sym_POUNDload] = ACTIONS(3819),
    [anon_sym_open] = ACTIONS(3821),
    [anon_sym_LBRACK_LT] = ACTIONS(3819),
    [anon_sym_return] = ACTIONS(3821),
    [anon_sym_type] = ACTIONS(3821),
    [anon_sym_do] = ACTIONS(3821),
    [anon_sym_and] = ACTIONS(3821),
    [anon_sym_let] = ACTIONS(3821),
    [anon_sym_let_BANG] = ACTIONS(3819),
    [aux_sym_access_modifier_token1] = ACTIONS(3819),
    [anon_sym_null] = ACTIONS(3821),
    [anon_sym_LPAREN] = ACTIONS(3821),
    [anon_sym_AMP] = ACTIONS(3821),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3819),
    [anon_sym_LBRACE] = ACTIONS(3821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3819),
    [anon_sym_new] = ACTIONS(3821),
    [anon_sym_return_BANG] = ACTIONS(3819),
    [anon_sym_yield] = ACTIONS(3821),
    [anon_sym_yield_BANG] = ACTIONS(3819),
    [anon_sym_lazy] = ACTIONS(3821),
    [anon_sym_assert] = ACTIONS(3821),
    [anon_sym_upcast] = ACTIONS(3821),
    [anon_sym_downcast] = ACTIONS(3821),
    [anon_sym_LT_AT] = ACTIONS(3821),
    [anon_sym_LT_AT_AT] = ACTIONS(3819),
    [anon_sym_for] = ACTIONS(3821),
    [anon_sym_while] = ACTIONS(3821),
    [anon_sym_if] = ACTIONS(3821),
    [anon_sym_fun] = ACTIONS(3821),
    [anon_sym_try] = ACTIONS(3821),
    [anon_sym_match] = ACTIONS(3821),
    [anon_sym_match_BANG] = ACTIONS(3819),
    [anon_sym_function] = ACTIONS(3821),
    [anon_sym_use] = ACTIONS(3821),
    [anon_sym_use_BANG] = ACTIONS(3819),
    [anon_sym_do_BANG] = ACTIONS(3819),
    [anon_sym_begin] = ACTIONS(3821),
    [anon_sym_SQUOTE] = ACTIONS(3819),
    [anon_sym_static] = ACTIONS(3821),
    [anon_sym_member] = ACTIONS(3821),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_override] = ACTIONS(3821),
    [anon_sym_default] = ACTIONS(3821),
    [anon_sym_val] = ACTIONS(3821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(3821),
    [anon_sym_AT_DQUOTE] = ACTIONS(3819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3819),
    [sym_bool] = ACTIONS(3821),
    [sym_unit] = ACTIONS(3819),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3821),
    [anon_sym_PLUS] = ACTIONS(3821),
    [anon_sym_DASH] = ACTIONS(3821),
    [anon_sym_PLUS_DOT] = ACTIONS(3819),
    [anon_sym_DASH_DOT] = ACTIONS(3819),
    [anon_sym_PERCENT] = ACTIONS(3819),
    [anon_sym_AMP_AMP] = ACTIONS(3819),
    [anon_sym_TILDE] = ACTIONS(3819),
    [aux_sym_prefix_op_token1] = ACTIONS(3819),
    [aux_sym_int_token1] = ACTIONS(3821),
    [aux_sym_xint_token1] = ACTIONS(3819),
    [aux_sym_xint_token2] = ACTIONS(3819),
    [aux_sym_xint_token3] = ACTIONS(3819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2103] = {
    [sym_xml_doc] = STATE(2103),
    [sym_block_comment] = STATE(2103),
    [ts_builtin_sym_end] = ACTIONS(3823),
    [sym_identifier] = ACTIONS(3825),
    [anon_sym_namespace] = ACTIONS(3825),
    [anon_sym_module] = ACTIONS(3825),
    [anon_sym_POUNDnowarn] = ACTIONS(3823),
    [anon_sym_POUNDr] = ACTIONS(3823),
    [anon_sym_POUNDload] = ACTIONS(3823),
    [anon_sym_open] = ACTIONS(3825),
    [anon_sym_LBRACK_LT] = ACTIONS(3823),
    [anon_sym_return] = ACTIONS(3825),
    [anon_sym_type] = ACTIONS(3825),
    [anon_sym_do] = ACTIONS(3825),
    [anon_sym_and] = ACTIONS(3825),
    [anon_sym_let] = ACTIONS(3825),
    [anon_sym_let_BANG] = ACTIONS(3823),
    [aux_sym_access_modifier_token1] = ACTIONS(3823),
    [anon_sym_null] = ACTIONS(3825),
    [anon_sym_LPAREN] = ACTIONS(3825),
    [anon_sym_AMP] = ACTIONS(3825),
    [anon_sym_LBRACK] = ACTIONS(3825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3823),
    [anon_sym_LBRACE] = ACTIONS(3825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3823),
    [anon_sym_new] = ACTIONS(3825),
    [anon_sym_return_BANG] = ACTIONS(3823),
    [anon_sym_yield] = ACTIONS(3825),
    [anon_sym_yield_BANG] = ACTIONS(3823),
    [anon_sym_lazy] = ACTIONS(3825),
    [anon_sym_assert] = ACTIONS(3825),
    [anon_sym_upcast] = ACTIONS(3825),
    [anon_sym_downcast] = ACTIONS(3825),
    [anon_sym_LT_AT] = ACTIONS(3825),
    [anon_sym_LT_AT_AT] = ACTIONS(3823),
    [anon_sym_for] = ACTIONS(3825),
    [anon_sym_while] = ACTIONS(3825),
    [anon_sym_if] = ACTIONS(3825),
    [anon_sym_fun] = ACTIONS(3825),
    [anon_sym_try] = ACTIONS(3825),
    [anon_sym_match] = ACTIONS(3825),
    [anon_sym_match_BANG] = ACTIONS(3823),
    [anon_sym_function] = ACTIONS(3825),
    [anon_sym_use] = ACTIONS(3825),
    [anon_sym_use_BANG] = ACTIONS(3823),
    [anon_sym_do_BANG] = ACTIONS(3823),
    [anon_sym_begin] = ACTIONS(3825),
    [anon_sym_SQUOTE] = ACTIONS(3823),
    [anon_sym_static] = ACTIONS(3825),
    [anon_sym_member] = ACTIONS(3825),
    [anon_sym_abstract] = ACTIONS(3825),
    [anon_sym_override] = ACTIONS(3825),
    [anon_sym_default] = ACTIONS(3825),
    [anon_sym_val] = ACTIONS(3825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(3825),
    [anon_sym_AT_DQUOTE] = ACTIONS(3823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3823),
    [sym_bool] = ACTIONS(3825),
    [sym_unit] = ACTIONS(3823),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3823),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3825),
    [anon_sym_PLUS] = ACTIONS(3825),
    [anon_sym_DASH] = ACTIONS(3825),
    [anon_sym_PLUS_DOT] = ACTIONS(3823),
    [anon_sym_DASH_DOT] = ACTIONS(3823),
    [anon_sym_PERCENT] = ACTIONS(3823),
    [anon_sym_AMP_AMP] = ACTIONS(3823),
    [anon_sym_TILDE] = ACTIONS(3823),
    [aux_sym_prefix_op_token1] = ACTIONS(3823),
    [aux_sym_int_token1] = ACTIONS(3825),
    [aux_sym_xint_token1] = ACTIONS(3823),
    [aux_sym_xint_token2] = ACTIONS(3823),
    [aux_sym_xint_token3] = ACTIONS(3823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2104] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_type_arguments] = STATE(2210),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2104),
    [sym_block_comment] = STATE(2104),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2182),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3827),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_with] = ACTIONS(3829),
    [anon_sym_LT2] = ACTIONS(3761),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2105] = {
    [sym_xml_doc] = STATE(2105),
    [sym_block_comment] = STATE(2105),
    [sym_identifier] = ACTIONS(3707),
    [anon_sym_module] = ACTIONS(3707),
    [anon_sym_POUNDnowarn] = ACTIONS(3705),
    [anon_sym_POUNDr] = ACTIONS(3705),
    [anon_sym_POUNDload] = ACTIONS(3705),
    [anon_sym_open] = ACTIONS(3707),
    [anon_sym_LBRACK_LT] = ACTIONS(3705),
    [anon_sym_return] = ACTIONS(3707),
    [anon_sym_type] = ACTIONS(3707),
    [anon_sym_do] = ACTIONS(3707),
    [anon_sym_and] = ACTIONS(3707),
    [anon_sym_let] = ACTIONS(3707),
    [anon_sym_let_BANG] = ACTIONS(3705),
    [aux_sym_access_modifier_token1] = ACTIONS(3705),
    [anon_sym_null] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_COMMA] = ACTIONS(3831),
    [anon_sym_AMP] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3707),
    [anon_sym_return_BANG] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3707),
    [anon_sym_yield_BANG] = ACTIONS(3705),
    [anon_sym_lazy] = ACTIONS(3707),
    [anon_sym_assert] = ACTIONS(3707),
    [anon_sym_upcast] = ACTIONS(3707),
    [anon_sym_downcast] = ACTIONS(3707),
    [anon_sym_LT_AT] = ACTIONS(3707),
    [anon_sym_LT_AT_AT] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3707),
    [anon_sym_while] = ACTIONS(3707),
    [anon_sym_if] = ACTIONS(3707),
    [anon_sym_fun] = ACTIONS(3707),
    [anon_sym_try] = ACTIONS(3707),
    [anon_sym_match] = ACTIONS(3707),
    [anon_sym_match_BANG] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3707),
    [anon_sym_use] = ACTIONS(3707),
    [anon_sym_use_BANG] = ACTIONS(3705),
    [anon_sym_do_BANG] = ACTIONS(3705),
    [anon_sym_begin] = ACTIONS(3707),
    [anon_sym_SQUOTE] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3707),
    [anon_sym_member] = ACTIONS(3707),
    [anon_sym_abstract] = ACTIONS(3707),
    [anon_sym_override] = ACTIONS(3707),
    [anon_sym_default] = ACTIONS(3707),
    [anon_sym_val] = ACTIONS(3707),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3707),
    [anon_sym_DQUOTE] = ACTIONS(3707),
    [anon_sym_AT_DQUOTE] = ACTIONS(3705),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3705),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3705),
    [sym_bool] = ACTIONS(3707),
    [sym_unit] = ACTIONS(3705),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3705),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3707),
    [anon_sym_PLUS] = ACTIONS(3707),
    [anon_sym_DASH] = ACTIONS(3707),
    [anon_sym_PLUS_DOT] = ACTIONS(3705),
    [anon_sym_DASH_DOT] = ACTIONS(3705),
    [anon_sym_PERCENT] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3705),
    [aux_sym_prefix_op_token1] = ACTIONS(3705),
    [aux_sym_int_token1] = ACTIONS(3707),
    [aux_sym_xint_token1] = ACTIONS(3705),
    [aux_sym_xint_token2] = ACTIONS(3705),
    [aux_sym_xint_token3] = ACTIONS(3705),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3705),
  },
  [2106] = {
    [sym_xml_doc] = STATE(2106),
    [sym_block_comment] = STATE(2106),
    [ts_builtin_sym_end] = ACTIONS(3833),
    [sym_identifier] = ACTIONS(3835),
    [anon_sym_namespace] = ACTIONS(3835),
    [anon_sym_module] = ACTIONS(3835),
    [anon_sym_POUNDnowarn] = ACTIONS(3833),
    [anon_sym_POUNDr] = ACTIONS(3833),
    [anon_sym_POUNDload] = ACTIONS(3833),
    [anon_sym_open] = ACTIONS(3835),
    [anon_sym_LBRACK_LT] = ACTIONS(3833),
    [anon_sym_return] = ACTIONS(3835),
    [anon_sym_type] = ACTIONS(3835),
    [anon_sym_do] = ACTIONS(3835),
    [anon_sym_and] = ACTIONS(3835),
    [anon_sym_let] = ACTIONS(3835),
    [anon_sym_let_BANG] = ACTIONS(3833),
    [aux_sym_access_modifier_token1] = ACTIONS(3833),
    [anon_sym_null] = ACTIONS(3835),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_AMP] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3833),
    [anon_sym_LBRACE] = ACTIONS(3835),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3833),
    [anon_sym_new] = ACTIONS(3835),
    [anon_sym_return_BANG] = ACTIONS(3833),
    [anon_sym_yield] = ACTIONS(3835),
    [anon_sym_yield_BANG] = ACTIONS(3833),
    [anon_sym_lazy] = ACTIONS(3835),
    [anon_sym_assert] = ACTIONS(3835),
    [anon_sym_upcast] = ACTIONS(3835),
    [anon_sym_downcast] = ACTIONS(3835),
    [anon_sym_LT_AT] = ACTIONS(3835),
    [anon_sym_LT_AT_AT] = ACTIONS(3833),
    [anon_sym_for] = ACTIONS(3835),
    [anon_sym_while] = ACTIONS(3835),
    [anon_sym_if] = ACTIONS(3835),
    [anon_sym_fun] = ACTIONS(3835),
    [anon_sym_try] = ACTIONS(3835),
    [anon_sym_match] = ACTIONS(3835),
    [anon_sym_match_BANG] = ACTIONS(3833),
    [anon_sym_function] = ACTIONS(3835),
    [anon_sym_use] = ACTIONS(3835),
    [anon_sym_use_BANG] = ACTIONS(3833),
    [anon_sym_do_BANG] = ACTIONS(3833),
    [anon_sym_begin] = ACTIONS(3835),
    [anon_sym_SQUOTE] = ACTIONS(3833),
    [anon_sym_static] = ACTIONS(3835),
    [anon_sym_member] = ACTIONS(3835),
    [anon_sym_abstract] = ACTIONS(3835),
    [anon_sym_override] = ACTIONS(3835),
    [anon_sym_default] = ACTIONS(3835),
    [anon_sym_val] = ACTIONS(3835),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3835),
    [anon_sym_DQUOTE] = ACTIONS(3835),
    [anon_sym_AT_DQUOTE] = ACTIONS(3833),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3833),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3833),
    [sym_bool] = ACTIONS(3835),
    [sym_unit] = ACTIONS(3833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3835),
    [anon_sym_PLUS] = ACTIONS(3835),
    [anon_sym_DASH] = ACTIONS(3835),
    [anon_sym_PLUS_DOT] = ACTIONS(3833),
    [anon_sym_DASH_DOT] = ACTIONS(3833),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_AMP_AMP] = ACTIONS(3833),
    [anon_sym_TILDE] = ACTIONS(3833),
    [aux_sym_prefix_op_token1] = ACTIONS(3833),
    [aux_sym_int_token1] = ACTIONS(3835),
    [aux_sym_xint_token1] = ACTIONS(3833),
    [aux_sym_xint_token2] = ACTIONS(3833),
    [aux_sym_xint_token3] = ACTIONS(3833),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2107] = {
    [sym_xml_doc] = STATE(2107),
    [sym_block_comment] = STATE(2107),
    [ts_builtin_sym_end] = ACTIONS(3837),
    [sym_identifier] = ACTIONS(3839),
    [anon_sym_namespace] = ACTIONS(3839),
    [anon_sym_module] = ACTIONS(3839),
    [anon_sym_POUNDnowarn] = ACTIONS(3837),
    [anon_sym_POUNDr] = ACTIONS(3837),
    [anon_sym_POUNDload] = ACTIONS(3837),
    [anon_sym_open] = ACTIONS(3839),
    [anon_sym_LBRACK_LT] = ACTIONS(3837),
    [anon_sym_return] = ACTIONS(3839),
    [anon_sym_type] = ACTIONS(3839),
    [anon_sym_do] = ACTIONS(3839),
    [anon_sym_and] = ACTIONS(3839),
    [anon_sym_let] = ACTIONS(3839),
    [anon_sym_let_BANG] = ACTIONS(3837),
    [aux_sym_access_modifier_token1] = ACTIONS(3837),
    [anon_sym_null] = ACTIONS(3839),
    [anon_sym_LPAREN] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3837),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3837),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_return_BANG] = ACTIONS(3837),
    [anon_sym_yield] = ACTIONS(3839),
    [anon_sym_yield_BANG] = ACTIONS(3837),
    [anon_sym_lazy] = ACTIONS(3839),
    [anon_sym_assert] = ACTIONS(3839),
    [anon_sym_upcast] = ACTIONS(3839),
    [anon_sym_downcast] = ACTIONS(3839),
    [anon_sym_LT_AT] = ACTIONS(3839),
    [anon_sym_LT_AT_AT] = ACTIONS(3837),
    [anon_sym_for] = ACTIONS(3839),
    [anon_sym_while] = ACTIONS(3839),
    [anon_sym_if] = ACTIONS(3839),
    [anon_sym_fun] = ACTIONS(3839),
    [anon_sym_try] = ACTIONS(3839),
    [anon_sym_match] = ACTIONS(3839),
    [anon_sym_match_BANG] = ACTIONS(3837),
    [anon_sym_function] = ACTIONS(3839),
    [anon_sym_use] = ACTIONS(3839),
    [anon_sym_use_BANG] = ACTIONS(3837),
    [anon_sym_do_BANG] = ACTIONS(3837),
    [anon_sym_begin] = ACTIONS(3839),
    [anon_sym_SQUOTE] = ACTIONS(3837),
    [anon_sym_static] = ACTIONS(3839),
    [anon_sym_member] = ACTIONS(3839),
    [anon_sym_abstract] = ACTIONS(3839),
    [anon_sym_override] = ACTIONS(3839),
    [anon_sym_default] = ACTIONS(3839),
    [anon_sym_val] = ACTIONS(3839),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3839),
    [anon_sym_DQUOTE] = ACTIONS(3839),
    [anon_sym_AT_DQUOTE] = ACTIONS(3837),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3837),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3837),
    [sym_bool] = ACTIONS(3839),
    [sym_unit] = ACTIONS(3837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3839),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_PLUS_DOT] = ACTIONS(3837),
    [anon_sym_DASH_DOT] = ACTIONS(3837),
    [anon_sym_PERCENT] = ACTIONS(3837),
    [anon_sym_AMP_AMP] = ACTIONS(3837),
    [anon_sym_TILDE] = ACTIONS(3837),
    [aux_sym_prefix_op_token1] = ACTIONS(3837),
    [aux_sym_int_token1] = ACTIONS(3839),
    [aux_sym_xint_token1] = ACTIONS(3837),
    [aux_sym_xint_token2] = ACTIONS(3837),
    [aux_sym_xint_token3] = ACTIONS(3837),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2108] = {
    [sym_xml_doc] = STATE(2108),
    [sym_block_comment] = STATE(2108),
    [sym_identifier] = ACTIONS(3725),
    [anon_sym_module] = ACTIONS(3725),
    [anon_sym_POUNDnowarn] = ACTIONS(3723),
    [anon_sym_POUNDr] = ACTIONS(3723),
    [anon_sym_POUNDload] = ACTIONS(3723),
    [anon_sym_open] = ACTIONS(3725),
    [anon_sym_LBRACK_LT] = ACTIONS(3723),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_type] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_and] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_let_BANG] = ACTIONS(3723),
    [aux_sym_access_modifier_token1] = ACTIONS(3723),
    [anon_sym_null] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3725),
    [anon_sym_COMMA] = ACTIONS(3841),
    [anon_sym_AMP] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3723),
    [anon_sym_LBRACE] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3723),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_return_BANG] = ACTIONS(3723),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_yield_BANG] = ACTIONS(3723),
    [anon_sym_lazy] = ACTIONS(3725),
    [anon_sym_assert] = ACTIONS(3725),
    [anon_sym_upcast] = ACTIONS(3725),
    [anon_sym_downcast] = ACTIONS(3725),
    [anon_sym_LT_AT] = ACTIONS(3725),
    [anon_sym_LT_AT_AT] = ACTIONS(3723),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_fun] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_match] = ACTIONS(3725),
    [anon_sym_match_BANG] = ACTIONS(3723),
    [anon_sym_function] = ACTIONS(3725),
    [anon_sym_use] = ACTIONS(3725),
    [anon_sym_use_BANG] = ACTIONS(3723),
    [anon_sym_do_BANG] = ACTIONS(3723),
    [anon_sym_begin] = ACTIONS(3725),
    [anon_sym_SQUOTE] = ACTIONS(3723),
    [anon_sym_static] = ACTIONS(3725),
    [anon_sym_member] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3725),
    [anon_sym_override] = ACTIONS(3725),
    [anon_sym_default] = ACTIONS(3725),
    [anon_sym_val] = ACTIONS(3725),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3725),
    [anon_sym_AT_DQUOTE] = ACTIONS(3723),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3723),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3723),
    [sym_bool] = ACTIONS(3725),
    [sym_unit] = ACTIONS(3723),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3723),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_PLUS_DOT] = ACTIONS(3723),
    [anon_sym_DASH_DOT] = ACTIONS(3723),
    [anon_sym_PERCENT] = ACTIONS(3723),
    [anon_sym_AMP_AMP] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [aux_sym_prefix_op_token1] = ACTIONS(3723),
    [aux_sym_int_token1] = ACTIONS(3725),
    [aux_sym_xint_token1] = ACTIONS(3723),
    [aux_sym_xint_token2] = ACTIONS(3723),
    [aux_sym_xint_token3] = ACTIONS(3723),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3723),
  },
  [2109] = {
    [sym_xml_doc] = STATE(2109),
    [sym_block_comment] = STATE(2109),
    [sym_identifier] = ACTIONS(3701),
    [anon_sym_module] = ACTIONS(3701),
    [anon_sym_POUNDnowarn] = ACTIONS(3699),
    [anon_sym_POUNDr] = ACTIONS(3699),
    [anon_sym_POUNDload] = ACTIONS(3699),
    [anon_sym_open] = ACTIONS(3701),
    [anon_sym_LBRACK_LT] = ACTIONS(3699),
    [anon_sym_return] = ACTIONS(3701),
    [anon_sym_type] = ACTIONS(3701),
    [anon_sym_do] = ACTIONS(3701),
    [anon_sym_and] = ACTIONS(3701),
    [anon_sym_let] = ACTIONS(3701),
    [anon_sym_let_BANG] = ACTIONS(3699),
    [aux_sym_access_modifier_token1] = ACTIONS(3699),
    [anon_sym_null] = ACTIONS(3701),
    [anon_sym_LPAREN] = ACTIONS(3701),
    [anon_sym_COMMA] = ACTIONS(3843),
    [anon_sym_AMP] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3699),
    [anon_sym_LBRACE] = ACTIONS(3701),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_return_BANG] = ACTIONS(3699),
    [anon_sym_yield] = ACTIONS(3701),
    [anon_sym_yield_BANG] = ACTIONS(3699),
    [anon_sym_lazy] = ACTIONS(3701),
    [anon_sym_assert] = ACTIONS(3701),
    [anon_sym_upcast] = ACTIONS(3701),
    [anon_sym_downcast] = ACTIONS(3701),
    [anon_sym_LT_AT] = ACTIONS(3701),
    [anon_sym_LT_AT_AT] = ACTIONS(3699),
    [anon_sym_for] = ACTIONS(3701),
    [anon_sym_while] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(3701),
    [anon_sym_fun] = ACTIONS(3701),
    [anon_sym_try] = ACTIONS(3701),
    [anon_sym_match] = ACTIONS(3701),
    [anon_sym_match_BANG] = ACTIONS(3699),
    [anon_sym_function] = ACTIONS(3701),
    [anon_sym_use] = ACTIONS(3701),
    [anon_sym_use_BANG] = ACTIONS(3699),
    [anon_sym_do_BANG] = ACTIONS(3699),
    [anon_sym_begin] = ACTIONS(3701),
    [anon_sym_SQUOTE] = ACTIONS(3699),
    [anon_sym_static] = ACTIONS(3701),
    [anon_sym_member] = ACTIONS(3701),
    [anon_sym_abstract] = ACTIONS(3701),
    [anon_sym_override] = ACTIONS(3701),
    [anon_sym_default] = ACTIONS(3701),
    [anon_sym_val] = ACTIONS(3701),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3701),
    [anon_sym_DQUOTE] = ACTIONS(3701),
    [anon_sym_AT_DQUOTE] = ACTIONS(3699),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3699),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3699),
    [sym_bool] = ACTIONS(3701),
    [sym_unit] = ACTIONS(3699),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3699),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS_DOT] = ACTIONS(3699),
    [anon_sym_DASH_DOT] = ACTIONS(3699),
    [anon_sym_PERCENT] = ACTIONS(3699),
    [anon_sym_AMP_AMP] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [aux_sym_prefix_op_token1] = ACTIONS(3699),
    [aux_sym_int_token1] = ACTIONS(3701),
    [aux_sym_xint_token1] = ACTIONS(3699),
    [aux_sym_xint_token2] = ACTIONS(3699),
    [aux_sym_xint_token3] = ACTIONS(3699),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3699),
  },
  [2110] = {
    [sym_xml_doc] = STATE(2110),
    [sym_block_comment] = STATE(2110),
    [sym_identifier] = ACTIONS(3701),
    [anon_sym_module] = ACTIONS(3701),
    [anon_sym_POUNDnowarn] = ACTIONS(3699),
    [anon_sym_POUNDr] = ACTIONS(3699),
    [anon_sym_POUNDload] = ACTIONS(3699),
    [anon_sym_open] = ACTIONS(3701),
    [anon_sym_LBRACK_LT] = ACTIONS(3699),
    [anon_sym_return] = ACTIONS(3701),
    [anon_sym_type] = ACTIONS(3701),
    [anon_sym_do] = ACTIONS(3701),
    [anon_sym_and] = ACTIONS(3701),
    [anon_sym_let] = ACTIONS(3701),
    [anon_sym_let_BANG] = ACTIONS(3699),
    [aux_sym_access_modifier_token1] = ACTIONS(3699),
    [anon_sym_null] = ACTIONS(3701),
    [anon_sym_LPAREN] = ACTIONS(3701),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_AMP] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3699),
    [anon_sym_LBRACE] = ACTIONS(3701),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3699),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_return_BANG] = ACTIONS(3699),
    [anon_sym_yield] = ACTIONS(3701),
    [anon_sym_yield_BANG] = ACTIONS(3699),
    [anon_sym_lazy] = ACTIONS(3701),
    [anon_sym_assert] = ACTIONS(3701),
    [anon_sym_upcast] = ACTIONS(3701),
    [anon_sym_downcast] = ACTIONS(3701),
    [anon_sym_LT_AT] = ACTIONS(3701),
    [anon_sym_LT_AT_AT] = ACTIONS(3699),
    [anon_sym_for] = ACTIONS(3701),
    [anon_sym_while] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(3701),
    [anon_sym_fun] = ACTIONS(3701),
    [anon_sym_try] = ACTIONS(3701),
    [anon_sym_match] = ACTIONS(3701),
    [anon_sym_match_BANG] = ACTIONS(3699),
    [anon_sym_function] = ACTIONS(3701),
    [anon_sym_use] = ACTIONS(3701),
    [anon_sym_use_BANG] = ACTIONS(3699),
    [anon_sym_do_BANG] = ACTIONS(3699),
    [anon_sym_begin] = ACTIONS(3701),
    [anon_sym_SQUOTE] = ACTIONS(3699),
    [anon_sym_static] = ACTIONS(3701),
    [anon_sym_member] = ACTIONS(3701),
    [anon_sym_abstract] = ACTIONS(3701),
    [anon_sym_override] = ACTIONS(3701),
    [anon_sym_default] = ACTIONS(3701),
    [anon_sym_val] = ACTIONS(3701),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3701),
    [anon_sym_DQUOTE] = ACTIONS(3701),
    [anon_sym_AT_DQUOTE] = ACTIONS(3699),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3699),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3699),
    [sym_bool] = ACTIONS(3701),
    [sym_unit] = ACTIONS(3699),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3699),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS_DOT] = ACTIONS(3699),
    [anon_sym_DASH_DOT] = ACTIONS(3699),
    [anon_sym_PERCENT] = ACTIONS(3699),
    [anon_sym_AMP_AMP] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [aux_sym_prefix_op_token1] = ACTIONS(3699),
    [aux_sym_int_token1] = ACTIONS(3701),
    [aux_sym_xint_token1] = ACTIONS(3699),
    [aux_sym_xint_token2] = ACTIONS(3699),
    [aux_sym_xint_token3] = ACTIONS(3699),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3699),
  },
  [2111] = {
    [sym_xml_doc] = STATE(2111),
    [sym_block_comment] = STATE(2111),
    [sym_identifier] = ACTIONS(3725),
    [anon_sym_module] = ACTIONS(3725),
    [anon_sym_POUNDnowarn] = ACTIONS(3723),
    [anon_sym_POUNDr] = ACTIONS(3723),
    [anon_sym_POUNDload] = ACTIONS(3723),
    [anon_sym_open] = ACTIONS(3725),
    [anon_sym_LBRACK_LT] = ACTIONS(3723),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_type] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_and] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_let_BANG] = ACTIONS(3723),
    [aux_sym_access_modifier_token1] = ACTIONS(3723),
    [anon_sym_null] = ACTIONS(3725),
    [anon_sym_LPAREN] = ACTIONS(3725),
    [anon_sym_COMMA] = ACTIONS(3847),
    [anon_sym_AMP] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3723),
    [anon_sym_LBRACE] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3723),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_return_BANG] = ACTIONS(3723),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_yield_BANG] = ACTIONS(3723),
    [anon_sym_lazy] = ACTIONS(3725),
    [anon_sym_assert] = ACTIONS(3725),
    [anon_sym_upcast] = ACTIONS(3725),
    [anon_sym_downcast] = ACTIONS(3725),
    [anon_sym_LT_AT] = ACTIONS(3725),
    [anon_sym_LT_AT_AT] = ACTIONS(3723),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_fun] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_match] = ACTIONS(3725),
    [anon_sym_match_BANG] = ACTIONS(3723),
    [anon_sym_function] = ACTIONS(3725),
    [anon_sym_use] = ACTIONS(3725),
    [anon_sym_use_BANG] = ACTIONS(3723),
    [anon_sym_do_BANG] = ACTIONS(3723),
    [anon_sym_begin] = ACTIONS(3725),
    [anon_sym_SQUOTE] = ACTIONS(3723),
    [anon_sym_static] = ACTIONS(3725),
    [anon_sym_member] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3725),
    [anon_sym_override] = ACTIONS(3725),
    [anon_sym_default] = ACTIONS(3725),
    [anon_sym_val] = ACTIONS(3725),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3725),
    [anon_sym_AT_DQUOTE] = ACTIONS(3723),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3723),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3723),
    [sym_bool] = ACTIONS(3725),
    [sym_unit] = ACTIONS(3723),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3723),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_PLUS_DOT] = ACTIONS(3723),
    [anon_sym_DASH_DOT] = ACTIONS(3723),
    [anon_sym_PERCENT] = ACTIONS(3723),
    [anon_sym_AMP_AMP] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [aux_sym_prefix_op_token1] = ACTIONS(3723),
    [aux_sym_int_token1] = ACTIONS(3725),
    [aux_sym_xint_token1] = ACTIONS(3723),
    [aux_sym_xint_token2] = ACTIONS(3723),
    [aux_sym_xint_token3] = ACTIONS(3723),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3723),
  },
  [2112] = {
    [sym_xml_doc] = STATE(2112),
    [sym_block_comment] = STATE(2112),
    [sym_identifier] = ACTIONS(3825),
    [anon_sym_module] = ACTIONS(3825),
    [anon_sym_POUNDnowarn] = ACTIONS(3823),
    [anon_sym_POUNDr] = ACTIONS(3823),
    [anon_sym_POUNDload] = ACTIONS(3823),
    [anon_sym_open] = ACTIONS(3825),
    [anon_sym_LBRACK_LT] = ACTIONS(3823),
    [anon_sym_return] = ACTIONS(3825),
    [anon_sym_type] = ACTIONS(3825),
    [anon_sym_do] = ACTIONS(3825),
    [anon_sym_and] = ACTIONS(3825),
    [anon_sym_let] = ACTIONS(3825),
    [anon_sym_let_BANG] = ACTIONS(3823),
    [aux_sym_access_modifier_token1] = ACTIONS(3823),
    [anon_sym_null] = ACTIONS(3825),
    [anon_sym_LPAREN] = ACTIONS(3825),
    [anon_sym_AMP] = ACTIONS(3825),
    [anon_sym_LBRACK] = ACTIONS(3825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3823),
    [anon_sym_LBRACE] = ACTIONS(3825),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3823),
    [anon_sym_new] = ACTIONS(3825),
    [anon_sym_return_BANG] = ACTIONS(3823),
    [anon_sym_yield] = ACTIONS(3825),
    [anon_sym_yield_BANG] = ACTIONS(3823),
    [anon_sym_lazy] = ACTIONS(3825),
    [anon_sym_assert] = ACTIONS(3825),
    [anon_sym_upcast] = ACTIONS(3825),
    [anon_sym_downcast] = ACTIONS(3825),
    [anon_sym_LT_AT] = ACTIONS(3825),
    [anon_sym_LT_AT_AT] = ACTIONS(3823),
    [anon_sym_for] = ACTIONS(3825),
    [anon_sym_while] = ACTIONS(3825),
    [anon_sym_if] = ACTIONS(3825),
    [anon_sym_fun] = ACTIONS(3825),
    [anon_sym_try] = ACTIONS(3825),
    [anon_sym_match] = ACTIONS(3825),
    [anon_sym_match_BANG] = ACTIONS(3823),
    [anon_sym_function] = ACTIONS(3825),
    [anon_sym_use] = ACTIONS(3825),
    [anon_sym_use_BANG] = ACTIONS(3823),
    [anon_sym_do_BANG] = ACTIONS(3823),
    [anon_sym_begin] = ACTIONS(3825),
    [anon_sym_SQUOTE] = ACTIONS(3823),
    [anon_sym_static] = ACTIONS(3825),
    [anon_sym_member] = ACTIONS(3825),
    [anon_sym_abstract] = ACTIONS(3825),
    [anon_sym_override] = ACTIONS(3825),
    [anon_sym_default] = ACTIONS(3825),
    [anon_sym_val] = ACTIONS(3825),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(3825),
    [anon_sym_AT_DQUOTE] = ACTIONS(3823),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3823),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3823),
    [sym_bool] = ACTIONS(3825),
    [sym_unit] = ACTIONS(3823),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3823),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3825),
    [anon_sym_PLUS] = ACTIONS(3825),
    [anon_sym_DASH] = ACTIONS(3825),
    [anon_sym_PLUS_DOT] = ACTIONS(3823),
    [anon_sym_DASH_DOT] = ACTIONS(3823),
    [anon_sym_PERCENT] = ACTIONS(3823),
    [anon_sym_AMP_AMP] = ACTIONS(3823),
    [anon_sym_TILDE] = ACTIONS(3823),
    [aux_sym_prefix_op_token1] = ACTIONS(3823),
    [aux_sym_int_token1] = ACTIONS(3825),
    [aux_sym_xint_token1] = ACTIONS(3823),
    [aux_sym_xint_token2] = ACTIONS(3823),
    [aux_sym_xint_token3] = ACTIONS(3823),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3823),
  },
  [2113] = {
    [sym_xml_doc] = STATE(2113),
    [sym_block_comment] = STATE(2113),
    [sym_identifier] = ACTIONS(3807),
    [anon_sym_module] = ACTIONS(3807),
    [anon_sym_POUNDnowarn] = ACTIONS(3805),
    [anon_sym_POUNDr] = ACTIONS(3805),
    [anon_sym_POUNDload] = ACTIONS(3805),
    [anon_sym_open] = ACTIONS(3807),
    [anon_sym_LBRACK_LT] = ACTIONS(3805),
    [anon_sym_return] = ACTIONS(3807),
    [anon_sym_type] = ACTIONS(3807),
    [anon_sym_do] = ACTIONS(3807),
    [anon_sym_and] = ACTIONS(3807),
    [anon_sym_let] = ACTIONS(3807),
    [anon_sym_let_BANG] = ACTIONS(3805),
    [aux_sym_access_modifier_token1] = ACTIONS(3805),
    [anon_sym_null] = ACTIONS(3807),
    [anon_sym_LPAREN] = ACTIONS(3807),
    [anon_sym_AMP] = ACTIONS(3807),
    [anon_sym_LBRACK] = ACTIONS(3807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3805),
    [anon_sym_LBRACE] = ACTIONS(3807),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3805),
    [anon_sym_new] = ACTIONS(3807),
    [anon_sym_return_BANG] = ACTIONS(3805),
    [anon_sym_yield] = ACTIONS(3807),
    [anon_sym_yield_BANG] = ACTIONS(3805),
    [anon_sym_lazy] = ACTIONS(3807),
    [anon_sym_assert] = ACTIONS(3807),
    [anon_sym_upcast] = ACTIONS(3807),
    [anon_sym_downcast] = ACTIONS(3807),
    [anon_sym_LT_AT] = ACTIONS(3807),
    [anon_sym_LT_AT_AT] = ACTIONS(3805),
    [anon_sym_for] = ACTIONS(3807),
    [anon_sym_while] = ACTIONS(3807),
    [anon_sym_if] = ACTIONS(3807),
    [anon_sym_fun] = ACTIONS(3807),
    [anon_sym_try] = ACTIONS(3807),
    [anon_sym_match] = ACTIONS(3807),
    [anon_sym_match_BANG] = ACTIONS(3805),
    [anon_sym_function] = ACTIONS(3807),
    [anon_sym_use] = ACTIONS(3807),
    [anon_sym_use_BANG] = ACTIONS(3805),
    [anon_sym_do_BANG] = ACTIONS(3805),
    [anon_sym_begin] = ACTIONS(3807),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_static] = ACTIONS(3807),
    [anon_sym_member] = ACTIONS(3807),
    [anon_sym_abstract] = ACTIONS(3807),
    [anon_sym_override] = ACTIONS(3807),
    [anon_sym_default] = ACTIONS(3807),
    [anon_sym_val] = ACTIONS(3807),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [anon_sym_AT_DQUOTE] = ACTIONS(3805),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3805),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3805),
    [sym_bool] = ACTIONS(3807),
    [sym_unit] = ACTIONS(3805),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3805),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS_DOT] = ACTIONS(3805),
    [anon_sym_DASH_DOT] = ACTIONS(3805),
    [anon_sym_PERCENT] = ACTIONS(3805),
    [anon_sym_AMP_AMP] = ACTIONS(3805),
    [anon_sym_TILDE] = ACTIONS(3805),
    [aux_sym_prefix_op_token1] = ACTIONS(3805),
    [aux_sym_int_token1] = ACTIONS(3807),
    [aux_sym_xint_token1] = ACTIONS(3805),
    [aux_sym_xint_token2] = ACTIONS(3805),
    [aux_sym_xint_token3] = ACTIONS(3805),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3805),
  },
  [2114] = {
    [sym_xml_doc] = STATE(2114),
    [sym_block_comment] = STATE(2114),
    [sym_identifier] = ACTIONS(3463),
    [anon_sym_module] = ACTIONS(3463),
    [anon_sym_POUNDnowarn] = ACTIONS(3461),
    [anon_sym_POUNDr] = ACTIONS(3461),
    [anon_sym_POUNDload] = ACTIONS(3461),
    [anon_sym_open] = ACTIONS(3463),
    [anon_sym_LBRACK_LT] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3463),
    [anon_sym_type] = ACTIONS(3463),
    [anon_sym_do] = ACTIONS(3463),
    [anon_sym_and] = ACTIONS(3463),
    [anon_sym_let] = ACTIONS(3463),
    [anon_sym_let_BANG] = ACTIONS(3461),
    [aux_sym_access_modifier_token1] = ACTIONS(3461),
    [anon_sym_null] = ACTIONS(3463),
    [anon_sym_LPAREN] = ACTIONS(3463),
    [anon_sym_AMP] = ACTIONS(3463),
    [anon_sym_LBRACK] = ACTIONS(3463),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3461),
    [anon_sym_LBRACE] = ACTIONS(3463),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3461),
    [anon_sym_new] = ACTIONS(3463),
    [anon_sym_return_BANG] = ACTIONS(3461),
    [anon_sym_yield] = ACTIONS(3463),
    [anon_sym_yield_BANG] = ACTIONS(3461),
    [anon_sym_lazy] = ACTIONS(3463),
    [anon_sym_assert] = ACTIONS(3463),
    [anon_sym_upcast] = ACTIONS(3463),
    [anon_sym_downcast] = ACTIONS(3463),
    [anon_sym_LT_AT] = ACTIONS(3463),
    [anon_sym_LT_AT_AT] = ACTIONS(3461),
    [anon_sym_for] = ACTIONS(3463),
    [anon_sym_while] = ACTIONS(3463),
    [anon_sym_if] = ACTIONS(3463),
    [anon_sym_fun] = ACTIONS(3463),
    [anon_sym_try] = ACTIONS(3463),
    [anon_sym_match] = ACTIONS(3463),
    [anon_sym_match_BANG] = ACTIONS(3461),
    [anon_sym_function] = ACTIONS(3463),
    [anon_sym_use] = ACTIONS(3463),
    [anon_sym_use_BANG] = ACTIONS(3461),
    [anon_sym_do_BANG] = ACTIONS(3461),
    [anon_sym_begin] = ACTIONS(3463),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_static] = ACTIONS(3463),
    [anon_sym_member] = ACTIONS(3463),
    [anon_sym_abstract] = ACTIONS(3463),
    [anon_sym_override] = ACTIONS(3463),
    [anon_sym_default] = ACTIONS(3463),
    [anon_sym_val] = ACTIONS(3463),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [anon_sym_AT_DQUOTE] = ACTIONS(3461),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3461),
    [sym_bool] = ACTIONS(3463),
    [sym_unit] = ACTIONS(3461),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3461),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3463),
    [anon_sym_DASH] = ACTIONS(3463),
    [anon_sym_PLUS_DOT] = ACTIONS(3461),
    [anon_sym_DASH_DOT] = ACTIONS(3461),
    [anon_sym_PERCENT] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [aux_sym_prefix_op_token1] = ACTIONS(3461),
    [aux_sym_int_token1] = ACTIONS(3463),
    [aux_sym_xint_token1] = ACTIONS(3461),
    [aux_sym_xint_token2] = ACTIONS(3461),
    [aux_sym_xint_token3] = ACTIONS(3461),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3461),
  },
  [2115] = {
    [sym_xml_doc] = STATE(2115),
    [sym_block_comment] = STATE(2115),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_module] = ACTIONS(3817),
    [anon_sym_POUNDnowarn] = ACTIONS(3815),
    [anon_sym_POUNDr] = ACTIONS(3815),
    [anon_sym_POUNDload] = ACTIONS(3815),
    [anon_sym_open] = ACTIONS(3817),
    [anon_sym_LBRACK_LT] = ACTIONS(3815),
    [anon_sym_return] = ACTIONS(3817),
    [anon_sym_type] = ACTIONS(3817),
    [anon_sym_do] = ACTIONS(3817),
    [anon_sym_and] = ACTIONS(3817),
    [anon_sym_let] = ACTIONS(3817),
    [anon_sym_let_BANG] = ACTIONS(3815),
    [aux_sym_access_modifier_token1] = ACTIONS(3815),
    [anon_sym_null] = ACTIONS(3817),
    [anon_sym_LPAREN] = ACTIONS(3817),
    [anon_sym_AMP] = ACTIONS(3817),
    [anon_sym_LBRACK] = ACTIONS(3817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3815),
    [anon_sym_LBRACE] = ACTIONS(3817),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3815),
    [anon_sym_new] = ACTIONS(3817),
    [anon_sym_return_BANG] = ACTIONS(3815),
    [anon_sym_yield] = ACTIONS(3817),
    [anon_sym_yield_BANG] = ACTIONS(3815),
    [anon_sym_lazy] = ACTIONS(3817),
    [anon_sym_assert] = ACTIONS(3817),
    [anon_sym_upcast] = ACTIONS(3817),
    [anon_sym_downcast] = ACTIONS(3817),
    [anon_sym_LT_AT] = ACTIONS(3817),
    [anon_sym_LT_AT_AT] = ACTIONS(3815),
    [anon_sym_for] = ACTIONS(3817),
    [anon_sym_while] = ACTIONS(3817),
    [anon_sym_if] = ACTIONS(3817),
    [anon_sym_fun] = ACTIONS(3817),
    [anon_sym_try] = ACTIONS(3817),
    [anon_sym_match] = ACTIONS(3817),
    [anon_sym_match_BANG] = ACTIONS(3815),
    [anon_sym_function] = ACTIONS(3817),
    [anon_sym_use] = ACTIONS(3817),
    [anon_sym_use_BANG] = ACTIONS(3815),
    [anon_sym_do_BANG] = ACTIONS(3815),
    [anon_sym_begin] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3815),
    [anon_sym_static] = ACTIONS(3817),
    [anon_sym_member] = ACTIONS(3817),
    [anon_sym_abstract] = ACTIONS(3817),
    [anon_sym_override] = ACTIONS(3817),
    [anon_sym_default] = ACTIONS(3817),
    [anon_sym_val] = ACTIONS(3817),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3817),
    [anon_sym_DQUOTE] = ACTIONS(3817),
    [anon_sym_AT_DQUOTE] = ACTIONS(3815),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3815),
    [sym_bool] = ACTIONS(3817),
    [sym_unit] = ACTIONS(3815),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3815),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3817),
    [anon_sym_PLUS] = ACTIONS(3817),
    [anon_sym_DASH] = ACTIONS(3817),
    [anon_sym_PLUS_DOT] = ACTIONS(3815),
    [anon_sym_DASH_DOT] = ACTIONS(3815),
    [anon_sym_PERCENT] = ACTIONS(3815),
    [anon_sym_AMP_AMP] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [aux_sym_prefix_op_token1] = ACTIONS(3815),
    [aux_sym_int_token1] = ACTIONS(3817),
    [aux_sym_xint_token1] = ACTIONS(3815),
    [aux_sym_xint_token2] = ACTIONS(3815),
    [aux_sym_xint_token3] = ACTIONS(3815),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3815),
  },
  [2116] = {
    [sym_xml_doc] = STATE(2116),
    [sym_block_comment] = STATE(2116),
    [sym_identifier] = ACTIONS(3839),
    [anon_sym_module] = ACTIONS(3839),
    [anon_sym_POUNDnowarn] = ACTIONS(3837),
    [anon_sym_POUNDr] = ACTIONS(3837),
    [anon_sym_POUNDload] = ACTIONS(3837),
    [anon_sym_open] = ACTIONS(3839),
    [anon_sym_LBRACK_LT] = ACTIONS(3837),
    [anon_sym_return] = ACTIONS(3839),
    [anon_sym_type] = ACTIONS(3839),
    [anon_sym_do] = ACTIONS(3839),
    [anon_sym_and] = ACTIONS(3839),
    [anon_sym_let] = ACTIONS(3839),
    [anon_sym_let_BANG] = ACTIONS(3837),
    [aux_sym_access_modifier_token1] = ACTIONS(3837),
    [anon_sym_null] = ACTIONS(3839),
    [anon_sym_LPAREN] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3837),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3837),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_return_BANG] = ACTIONS(3837),
    [anon_sym_yield] = ACTIONS(3839),
    [anon_sym_yield_BANG] = ACTIONS(3837),
    [anon_sym_lazy] = ACTIONS(3839),
    [anon_sym_assert] = ACTIONS(3839),
    [anon_sym_upcast] = ACTIONS(3839),
    [anon_sym_downcast] = ACTIONS(3839),
    [anon_sym_LT_AT] = ACTIONS(3839),
    [anon_sym_LT_AT_AT] = ACTIONS(3837),
    [anon_sym_for] = ACTIONS(3839),
    [anon_sym_while] = ACTIONS(3839),
    [anon_sym_if] = ACTIONS(3839),
    [anon_sym_fun] = ACTIONS(3839),
    [anon_sym_try] = ACTIONS(3839),
    [anon_sym_match] = ACTIONS(3839),
    [anon_sym_match_BANG] = ACTIONS(3837),
    [anon_sym_function] = ACTIONS(3839),
    [anon_sym_use] = ACTIONS(3839),
    [anon_sym_use_BANG] = ACTIONS(3837),
    [anon_sym_do_BANG] = ACTIONS(3837),
    [anon_sym_begin] = ACTIONS(3839),
    [anon_sym_SQUOTE] = ACTIONS(3837),
    [anon_sym_static] = ACTIONS(3839),
    [anon_sym_member] = ACTIONS(3839),
    [anon_sym_abstract] = ACTIONS(3839),
    [anon_sym_override] = ACTIONS(3839),
    [anon_sym_default] = ACTIONS(3839),
    [anon_sym_val] = ACTIONS(3839),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3839),
    [anon_sym_DQUOTE] = ACTIONS(3839),
    [anon_sym_AT_DQUOTE] = ACTIONS(3837),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3837),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3837),
    [sym_bool] = ACTIONS(3839),
    [sym_unit] = ACTIONS(3837),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3837),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3839),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_PLUS_DOT] = ACTIONS(3837),
    [anon_sym_DASH_DOT] = ACTIONS(3837),
    [anon_sym_PERCENT] = ACTIONS(3837),
    [anon_sym_AMP_AMP] = ACTIONS(3837),
    [anon_sym_TILDE] = ACTIONS(3837),
    [aux_sym_prefix_op_token1] = ACTIONS(3837),
    [aux_sym_int_token1] = ACTIONS(3839),
    [aux_sym_xint_token1] = ACTIONS(3837),
    [aux_sym_xint_token2] = ACTIONS(3837),
    [aux_sym_xint_token3] = ACTIONS(3837),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3837),
  },
  [2117] = {
    [sym_xml_doc] = STATE(2117),
    [sym_block_comment] = STATE(2117),
    [sym_identifier] = ACTIONS(3821),
    [anon_sym_module] = ACTIONS(3821),
    [anon_sym_POUNDnowarn] = ACTIONS(3819),
    [anon_sym_POUNDr] = ACTIONS(3819),
    [anon_sym_POUNDload] = ACTIONS(3819),
    [anon_sym_open] = ACTIONS(3821),
    [anon_sym_LBRACK_LT] = ACTIONS(3819),
    [anon_sym_return] = ACTIONS(3821),
    [anon_sym_type] = ACTIONS(3821),
    [anon_sym_do] = ACTIONS(3821),
    [anon_sym_and] = ACTIONS(3821),
    [anon_sym_let] = ACTIONS(3821),
    [anon_sym_let_BANG] = ACTIONS(3819),
    [aux_sym_access_modifier_token1] = ACTIONS(3819),
    [anon_sym_null] = ACTIONS(3821),
    [anon_sym_LPAREN] = ACTIONS(3821),
    [anon_sym_AMP] = ACTIONS(3821),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3819),
    [anon_sym_LBRACE] = ACTIONS(3821),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3819),
    [anon_sym_new] = ACTIONS(3821),
    [anon_sym_return_BANG] = ACTIONS(3819),
    [anon_sym_yield] = ACTIONS(3821),
    [anon_sym_yield_BANG] = ACTIONS(3819),
    [anon_sym_lazy] = ACTIONS(3821),
    [anon_sym_assert] = ACTIONS(3821),
    [anon_sym_upcast] = ACTIONS(3821),
    [anon_sym_downcast] = ACTIONS(3821),
    [anon_sym_LT_AT] = ACTIONS(3821),
    [anon_sym_LT_AT_AT] = ACTIONS(3819),
    [anon_sym_for] = ACTIONS(3821),
    [anon_sym_while] = ACTIONS(3821),
    [anon_sym_if] = ACTIONS(3821),
    [anon_sym_fun] = ACTIONS(3821),
    [anon_sym_try] = ACTIONS(3821),
    [anon_sym_match] = ACTIONS(3821),
    [anon_sym_match_BANG] = ACTIONS(3819),
    [anon_sym_function] = ACTIONS(3821),
    [anon_sym_use] = ACTIONS(3821),
    [anon_sym_use_BANG] = ACTIONS(3819),
    [anon_sym_do_BANG] = ACTIONS(3819),
    [anon_sym_begin] = ACTIONS(3821),
    [anon_sym_SQUOTE] = ACTIONS(3819),
    [anon_sym_static] = ACTIONS(3821),
    [anon_sym_member] = ACTIONS(3821),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_override] = ACTIONS(3821),
    [anon_sym_default] = ACTIONS(3821),
    [anon_sym_val] = ACTIONS(3821),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(3821),
    [anon_sym_AT_DQUOTE] = ACTIONS(3819),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3819),
    [sym_bool] = ACTIONS(3821),
    [sym_unit] = ACTIONS(3819),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3819),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3821),
    [anon_sym_PLUS] = ACTIONS(3821),
    [anon_sym_DASH] = ACTIONS(3821),
    [anon_sym_PLUS_DOT] = ACTIONS(3819),
    [anon_sym_DASH_DOT] = ACTIONS(3819),
    [anon_sym_PERCENT] = ACTIONS(3819),
    [anon_sym_AMP_AMP] = ACTIONS(3819),
    [anon_sym_TILDE] = ACTIONS(3819),
    [aux_sym_prefix_op_token1] = ACTIONS(3819),
    [aux_sym_int_token1] = ACTIONS(3821),
    [aux_sym_xint_token1] = ACTIONS(3819),
    [aux_sym_xint_token2] = ACTIONS(3819),
    [aux_sym_xint_token3] = ACTIONS(3819),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3819),
  },
  [2118] = {
    [sym_xml_doc] = STATE(2118),
    [sym_block_comment] = STATE(2118),
    [sym_identifier] = ACTIONS(3799),
    [anon_sym_module] = ACTIONS(3799),
    [anon_sym_POUNDnowarn] = ACTIONS(3797),
    [anon_sym_POUNDr] = ACTIONS(3797),
    [anon_sym_POUNDload] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3799),
    [anon_sym_LBRACK_LT] = ACTIONS(3797),
    [anon_sym_return] = ACTIONS(3799),
    [anon_sym_type] = ACTIONS(3799),
    [anon_sym_do] = ACTIONS(3799),
    [anon_sym_and] = ACTIONS(3799),
    [anon_sym_let] = ACTIONS(3799),
    [anon_sym_let_BANG] = ACTIONS(3797),
    [aux_sym_access_modifier_token1] = ACTIONS(3797),
    [anon_sym_null] = ACTIONS(3799),
    [anon_sym_LPAREN] = ACTIONS(3799),
    [anon_sym_AMP] = ACTIONS(3799),
    [anon_sym_LBRACK] = ACTIONS(3799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3799),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(3799),
    [anon_sym_return_BANG] = ACTIONS(3797),
    [anon_sym_yield] = ACTIONS(3799),
    [anon_sym_yield_BANG] = ACTIONS(3797),
    [anon_sym_lazy] = ACTIONS(3799),
    [anon_sym_assert] = ACTIONS(3799),
    [anon_sym_upcast] = ACTIONS(3799),
    [anon_sym_downcast] = ACTIONS(3799),
    [anon_sym_LT_AT] = ACTIONS(3799),
    [anon_sym_LT_AT_AT] = ACTIONS(3797),
    [anon_sym_for] = ACTIONS(3799),
    [anon_sym_while] = ACTIONS(3799),
    [anon_sym_if] = ACTIONS(3799),
    [anon_sym_fun] = ACTIONS(3799),
    [anon_sym_try] = ACTIONS(3799),
    [anon_sym_match] = ACTIONS(3799),
    [anon_sym_match_BANG] = ACTIONS(3797),
    [anon_sym_function] = ACTIONS(3799),
    [anon_sym_use] = ACTIONS(3799),
    [anon_sym_use_BANG] = ACTIONS(3797),
    [anon_sym_do_BANG] = ACTIONS(3797),
    [anon_sym_begin] = ACTIONS(3799),
    [anon_sym_SQUOTE] = ACTIONS(3797),
    [anon_sym_static] = ACTIONS(3799),
    [anon_sym_member] = ACTIONS(3799),
    [anon_sym_abstract] = ACTIONS(3799),
    [anon_sym_override] = ACTIONS(3799),
    [anon_sym_default] = ACTIONS(3799),
    [anon_sym_val] = ACTIONS(3799),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3799),
    [anon_sym_DQUOTE] = ACTIONS(3799),
    [anon_sym_AT_DQUOTE] = ACTIONS(3797),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3797),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3797),
    [sym_bool] = ACTIONS(3799),
    [sym_unit] = ACTIONS(3797),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3797),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3799),
    [anon_sym_PLUS] = ACTIONS(3799),
    [anon_sym_DASH] = ACTIONS(3799),
    [anon_sym_PLUS_DOT] = ACTIONS(3797),
    [anon_sym_DASH_DOT] = ACTIONS(3797),
    [anon_sym_PERCENT] = ACTIONS(3797),
    [anon_sym_AMP_AMP] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3797),
    [aux_sym_prefix_op_token1] = ACTIONS(3797),
    [aux_sym_int_token1] = ACTIONS(3799),
    [aux_sym_xint_token1] = ACTIONS(3797),
    [aux_sym_xint_token2] = ACTIONS(3797),
    [aux_sym_xint_token3] = ACTIONS(3797),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3797),
  },
  [2119] = {
    [sym_xml_doc] = STATE(2119),
    [sym_block_comment] = STATE(2119),
    [sym_identifier] = ACTIONS(3835),
    [anon_sym_module] = ACTIONS(3835),
    [anon_sym_POUNDnowarn] = ACTIONS(3833),
    [anon_sym_POUNDr] = ACTIONS(3833),
    [anon_sym_POUNDload] = ACTIONS(3833),
    [anon_sym_open] = ACTIONS(3835),
    [anon_sym_LBRACK_LT] = ACTIONS(3833),
    [anon_sym_return] = ACTIONS(3835),
    [anon_sym_type] = ACTIONS(3835),
    [anon_sym_do] = ACTIONS(3835),
    [anon_sym_and] = ACTIONS(3835),
    [anon_sym_let] = ACTIONS(3835),
    [anon_sym_let_BANG] = ACTIONS(3833),
    [aux_sym_access_modifier_token1] = ACTIONS(3833),
    [anon_sym_null] = ACTIONS(3835),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_AMP] = ACTIONS(3835),
    [anon_sym_LBRACK] = ACTIONS(3835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3833),
    [anon_sym_LBRACE] = ACTIONS(3835),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3833),
    [anon_sym_new] = ACTIONS(3835),
    [anon_sym_return_BANG] = ACTIONS(3833),
    [anon_sym_yield] = ACTIONS(3835),
    [anon_sym_yield_BANG] = ACTIONS(3833),
    [anon_sym_lazy] = ACTIONS(3835),
    [anon_sym_assert] = ACTIONS(3835),
    [anon_sym_upcast] = ACTIONS(3835),
    [anon_sym_downcast] = ACTIONS(3835),
    [anon_sym_LT_AT] = ACTIONS(3835),
    [anon_sym_LT_AT_AT] = ACTIONS(3833),
    [anon_sym_for] = ACTIONS(3835),
    [anon_sym_while] = ACTIONS(3835),
    [anon_sym_if] = ACTIONS(3835),
    [anon_sym_fun] = ACTIONS(3835),
    [anon_sym_try] = ACTIONS(3835),
    [anon_sym_match] = ACTIONS(3835),
    [anon_sym_match_BANG] = ACTIONS(3833),
    [anon_sym_function] = ACTIONS(3835),
    [anon_sym_use] = ACTIONS(3835),
    [anon_sym_use_BANG] = ACTIONS(3833),
    [anon_sym_do_BANG] = ACTIONS(3833),
    [anon_sym_begin] = ACTIONS(3835),
    [anon_sym_SQUOTE] = ACTIONS(3833),
    [anon_sym_static] = ACTIONS(3835),
    [anon_sym_member] = ACTIONS(3835),
    [anon_sym_abstract] = ACTIONS(3835),
    [anon_sym_override] = ACTIONS(3835),
    [anon_sym_default] = ACTIONS(3835),
    [anon_sym_val] = ACTIONS(3835),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3835),
    [anon_sym_DQUOTE] = ACTIONS(3835),
    [anon_sym_AT_DQUOTE] = ACTIONS(3833),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3833),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3833),
    [sym_bool] = ACTIONS(3835),
    [sym_unit] = ACTIONS(3833),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3833),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3835),
    [anon_sym_PLUS] = ACTIONS(3835),
    [anon_sym_DASH] = ACTIONS(3835),
    [anon_sym_PLUS_DOT] = ACTIONS(3833),
    [anon_sym_DASH_DOT] = ACTIONS(3833),
    [anon_sym_PERCENT] = ACTIONS(3833),
    [anon_sym_AMP_AMP] = ACTIONS(3833),
    [anon_sym_TILDE] = ACTIONS(3833),
    [aux_sym_prefix_op_token1] = ACTIONS(3833),
    [aux_sym_int_token1] = ACTIONS(3835),
    [aux_sym_xint_token1] = ACTIONS(3833),
    [aux_sym_xint_token2] = ACTIONS(3833),
    [aux_sym_xint_token3] = ACTIONS(3833),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3833),
  },
  [2120] = {
    [sym_xml_doc] = STATE(2120),
    [sym_block_comment] = STATE(2120),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_POUNDnowarn] = ACTIONS(3514),
    [anon_sym_POUNDr] = ACTIONS(3514),
    [anon_sym_POUNDload] = ACTIONS(3514),
    [anon_sym_open] = ACTIONS(3516),
    [anon_sym_LBRACK_LT] = ACTIONS(3514),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_do] = ACTIONS(3516),
    [anon_sym_and] = ACTIONS(3516),
    [anon_sym_let] = ACTIONS(3516),
    [anon_sym_let_BANG] = ACTIONS(3514),
    [aux_sym_access_modifier_token1] = ACTIONS(3514),
    [anon_sym_null] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3516),
    [anon_sym_AMP] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3516),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(3516),
    [anon_sym_return_BANG] = ACTIONS(3514),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_yield_BANG] = ACTIONS(3514),
    [anon_sym_lazy] = ACTIONS(3516),
    [anon_sym_assert] = ACTIONS(3516),
    [anon_sym_upcast] = ACTIONS(3516),
    [anon_sym_downcast] = ACTIONS(3516),
    [anon_sym_LT_AT] = ACTIONS(3516),
    [anon_sym_LT_AT_AT] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_fun] = ACTIONS(3516),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_match] = ACTIONS(3516),
    [anon_sym_match_BANG] = ACTIONS(3514),
    [anon_sym_function] = ACTIONS(3516),
    [anon_sym_use] = ACTIONS(3516),
    [anon_sym_use_BANG] = ACTIONS(3514),
    [anon_sym_do_BANG] = ACTIONS(3514),
    [anon_sym_begin] = ACTIONS(3516),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_static] = ACTIONS(3516),
    [anon_sym_member] = ACTIONS(3516),
    [anon_sym_abstract] = ACTIONS(3516),
    [anon_sym_override] = ACTIONS(3516),
    [anon_sym_default] = ACTIONS(3516),
    [anon_sym_val] = ACTIONS(3516),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [anon_sym_AT_DQUOTE] = ACTIONS(3514),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3514),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3514),
    [sym_bool] = ACTIONS(3516),
    [sym_unit] = ACTIONS(3514),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3514),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3516),
    [anon_sym_PLUS] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3516),
    [anon_sym_PLUS_DOT] = ACTIONS(3514),
    [anon_sym_DASH_DOT] = ACTIONS(3514),
    [anon_sym_PERCENT] = ACTIONS(3514),
    [anon_sym_AMP_AMP] = ACTIONS(3514),
    [anon_sym_TILDE] = ACTIONS(3514),
    [aux_sym_prefix_op_token1] = ACTIONS(3514),
    [aux_sym_int_token1] = ACTIONS(3516),
    [aux_sym_xint_token1] = ACTIONS(3514),
    [aux_sym_xint_token2] = ACTIONS(3514),
    [aux_sym_xint_token3] = ACTIONS(3514),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3514),
  },
  [2121] = {
    [sym_xml_doc] = STATE(2121),
    [sym_block_comment] = STATE(2121),
    [sym_identifier] = ACTIONS(3783),
    [anon_sym_module] = ACTIONS(3783),
    [anon_sym_POUNDnowarn] = ACTIONS(3781),
    [anon_sym_POUNDr] = ACTIONS(3781),
    [anon_sym_POUNDload] = ACTIONS(3781),
    [anon_sym_open] = ACTIONS(3783),
    [anon_sym_LBRACK_LT] = ACTIONS(3781),
    [anon_sym_return] = ACTIONS(3783),
    [anon_sym_type] = ACTIONS(3783),
    [anon_sym_do] = ACTIONS(3783),
    [anon_sym_and] = ACTIONS(3783),
    [anon_sym_let] = ACTIONS(3783),
    [anon_sym_let_BANG] = ACTIONS(3781),
    [aux_sym_access_modifier_token1] = ACTIONS(3781),
    [anon_sym_null] = ACTIONS(3783),
    [anon_sym_LPAREN] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(3783),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(3783),
    [anon_sym_return_BANG] = ACTIONS(3781),
    [anon_sym_yield] = ACTIONS(3783),
    [anon_sym_yield_BANG] = ACTIONS(3781),
    [anon_sym_lazy] = ACTIONS(3783),
    [anon_sym_assert] = ACTIONS(3783),
    [anon_sym_upcast] = ACTIONS(3783),
    [anon_sym_downcast] = ACTIONS(3783),
    [anon_sym_LT_AT] = ACTIONS(3783),
    [anon_sym_LT_AT_AT] = ACTIONS(3781),
    [anon_sym_for] = ACTIONS(3783),
    [anon_sym_while] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(3783),
    [anon_sym_fun] = ACTIONS(3783),
    [anon_sym_try] = ACTIONS(3783),
    [anon_sym_match] = ACTIONS(3783),
    [anon_sym_match_BANG] = ACTIONS(3781),
    [anon_sym_function] = ACTIONS(3783),
    [anon_sym_use] = ACTIONS(3783),
    [anon_sym_use_BANG] = ACTIONS(3781),
    [anon_sym_do_BANG] = ACTIONS(3781),
    [anon_sym_begin] = ACTIONS(3783),
    [anon_sym_SQUOTE] = ACTIONS(3781),
    [anon_sym_static] = ACTIONS(3783),
    [anon_sym_member] = ACTIONS(3783),
    [anon_sym_abstract] = ACTIONS(3783),
    [anon_sym_override] = ACTIONS(3783),
    [anon_sym_default] = ACTIONS(3783),
    [anon_sym_val] = ACTIONS(3783),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3783),
    [anon_sym_DQUOTE] = ACTIONS(3783),
    [anon_sym_AT_DQUOTE] = ACTIONS(3781),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3781),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3781),
    [sym_bool] = ACTIONS(3783),
    [sym_unit] = ACTIONS(3781),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3781),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3783),
    [anon_sym_PLUS] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3783),
    [anon_sym_PLUS_DOT] = ACTIONS(3781),
    [anon_sym_DASH_DOT] = ACTIONS(3781),
    [anon_sym_PERCENT] = ACTIONS(3781),
    [anon_sym_AMP_AMP] = ACTIONS(3781),
    [anon_sym_TILDE] = ACTIONS(3781),
    [aux_sym_prefix_op_token1] = ACTIONS(3781),
    [aux_sym_int_token1] = ACTIONS(3783),
    [aux_sym_xint_token1] = ACTIONS(3781),
    [aux_sym_xint_token2] = ACTIONS(3781),
    [aux_sym_xint_token3] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3781),
  },
  [2122] = {
    [sym_xml_doc] = STATE(2122),
    [sym_block_comment] = STATE(2122),
    [sym_identifier] = ACTIONS(3765),
    [anon_sym_module] = ACTIONS(3765),
    [anon_sym_POUNDnowarn] = ACTIONS(3763),
    [anon_sym_POUNDr] = ACTIONS(3763),
    [anon_sym_POUNDload] = ACTIONS(3763),
    [anon_sym_open] = ACTIONS(3765),
    [anon_sym_LBRACK_LT] = ACTIONS(3763),
    [anon_sym_return] = ACTIONS(3765),
    [anon_sym_type] = ACTIONS(3765),
    [anon_sym_do] = ACTIONS(3765),
    [anon_sym_and] = ACTIONS(3765),
    [anon_sym_let] = ACTIONS(3765),
    [anon_sym_let_BANG] = ACTIONS(3763),
    [aux_sym_access_modifier_token1] = ACTIONS(3763),
    [anon_sym_null] = ACTIONS(3765),
    [anon_sym_LPAREN] = ACTIONS(3765),
    [anon_sym_AMP] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3763),
    [anon_sym_LBRACE] = ACTIONS(3765),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3763),
    [anon_sym_new] = ACTIONS(3765),
    [anon_sym_return_BANG] = ACTIONS(3763),
    [anon_sym_yield] = ACTIONS(3765),
    [anon_sym_yield_BANG] = ACTIONS(3763),
    [anon_sym_lazy] = ACTIONS(3765),
    [anon_sym_assert] = ACTIONS(3765),
    [anon_sym_upcast] = ACTIONS(3765),
    [anon_sym_downcast] = ACTIONS(3765),
    [anon_sym_LT_AT] = ACTIONS(3765),
    [anon_sym_LT_AT_AT] = ACTIONS(3763),
    [anon_sym_for] = ACTIONS(3765),
    [anon_sym_while] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(3765),
    [anon_sym_fun] = ACTIONS(3765),
    [anon_sym_try] = ACTIONS(3765),
    [anon_sym_match] = ACTIONS(3765),
    [anon_sym_match_BANG] = ACTIONS(3763),
    [anon_sym_function] = ACTIONS(3765),
    [anon_sym_use] = ACTIONS(3765),
    [anon_sym_use_BANG] = ACTIONS(3763),
    [anon_sym_do_BANG] = ACTIONS(3763),
    [anon_sym_begin] = ACTIONS(3765),
    [anon_sym_SQUOTE] = ACTIONS(3763),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_member] = ACTIONS(3765),
    [anon_sym_abstract] = ACTIONS(3765),
    [anon_sym_override] = ACTIONS(3765),
    [anon_sym_default] = ACTIONS(3765),
    [anon_sym_val] = ACTIONS(3765),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3765),
    [anon_sym_DQUOTE] = ACTIONS(3765),
    [anon_sym_AT_DQUOTE] = ACTIONS(3763),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3763),
    [sym_bool] = ACTIONS(3765),
    [sym_unit] = ACTIONS(3763),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3763),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_DOT] = ACTIONS(3763),
    [anon_sym_DASH_DOT] = ACTIONS(3763),
    [anon_sym_PERCENT] = ACTIONS(3763),
    [anon_sym_AMP_AMP] = ACTIONS(3763),
    [anon_sym_TILDE] = ACTIONS(3763),
    [aux_sym_prefix_op_token1] = ACTIONS(3763),
    [aux_sym_int_token1] = ACTIONS(3765),
    [aux_sym_xint_token1] = ACTIONS(3763),
    [aux_sym_xint_token2] = ACTIONS(3763),
    [aux_sym_xint_token3] = ACTIONS(3763),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3763),
  },
  [2123] = {
    [sym_xml_doc] = STATE(2123),
    [sym_block_comment] = STATE(2123),
    [sym_identifier] = ACTIONS(3803),
    [anon_sym_module] = ACTIONS(3803),
    [anon_sym_POUNDnowarn] = ACTIONS(3801),
    [anon_sym_POUNDr] = ACTIONS(3801),
    [anon_sym_POUNDload] = ACTIONS(3801),
    [anon_sym_open] = ACTIONS(3803),
    [anon_sym_LBRACK_LT] = ACTIONS(3801),
    [anon_sym_return] = ACTIONS(3803),
    [anon_sym_type] = ACTIONS(3803),
    [anon_sym_do] = ACTIONS(3803),
    [anon_sym_and] = ACTIONS(3803),
    [anon_sym_let] = ACTIONS(3803),
    [anon_sym_let_BANG] = ACTIONS(3801),
    [aux_sym_access_modifier_token1] = ACTIONS(3801),
    [anon_sym_null] = ACTIONS(3803),
    [anon_sym_LPAREN] = ACTIONS(3803),
    [anon_sym_AMP] = ACTIONS(3803),
    [anon_sym_LBRACK] = ACTIONS(3803),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3801),
    [anon_sym_LBRACE] = ACTIONS(3803),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3801),
    [anon_sym_new] = ACTIONS(3803),
    [anon_sym_return_BANG] = ACTIONS(3801),
    [anon_sym_yield] = ACTIONS(3803),
    [anon_sym_yield_BANG] = ACTIONS(3801),
    [anon_sym_lazy] = ACTIONS(3803),
    [anon_sym_assert] = ACTIONS(3803),
    [anon_sym_upcast] = ACTIONS(3803),
    [anon_sym_downcast] = ACTIONS(3803),
    [anon_sym_LT_AT] = ACTIONS(3803),
    [anon_sym_LT_AT_AT] = ACTIONS(3801),
    [anon_sym_for] = ACTIONS(3803),
    [anon_sym_while] = ACTIONS(3803),
    [anon_sym_if] = ACTIONS(3803),
    [anon_sym_fun] = ACTIONS(3803),
    [anon_sym_try] = ACTIONS(3803),
    [anon_sym_match] = ACTIONS(3803),
    [anon_sym_match_BANG] = ACTIONS(3801),
    [anon_sym_function] = ACTIONS(3803),
    [anon_sym_use] = ACTIONS(3803),
    [anon_sym_use_BANG] = ACTIONS(3801),
    [anon_sym_do_BANG] = ACTIONS(3801),
    [anon_sym_begin] = ACTIONS(3803),
    [anon_sym_SQUOTE] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(3803),
    [anon_sym_member] = ACTIONS(3803),
    [anon_sym_abstract] = ACTIONS(3803),
    [anon_sym_override] = ACTIONS(3803),
    [anon_sym_default] = ACTIONS(3803),
    [anon_sym_val] = ACTIONS(3803),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3803),
    [anon_sym_DQUOTE] = ACTIONS(3803),
    [anon_sym_AT_DQUOTE] = ACTIONS(3801),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3801),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3801),
    [sym_bool] = ACTIONS(3803),
    [sym_unit] = ACTIONS(3801),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3801),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3803),
    [anon_sym_PLUS] = ACTIONS(3803),
    [anon_sym_DASH] = ACTIONS(3803),
    [anon_sym_PLUS_DOT] = ACTIONS(3801),
    [anon_sym_DASH_DOT] = ACTIONS(3801),
    [anon_sym_PERCENT] = ACTIONS(3801),
    [anon_sym_AMP_AMP] = ACTIONS(3801),
    [anon_sym_TILDE] = ACTIONS(3801),
    [aux_sym_prefix_op_token1] = ACTIONS(3801),
    [aux_sym_int_token1] = ACTIONS(3803),
    [aux_sym_xint_token1] = ACTIONS(3801),
    [aux_sym_xint_token2] = ACTIONS(3801),
    [aux_sym_xint_token3] = ACTIONS(3801),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3801),
  },
  [2124] = {
    [sym_xml_doc] = STATE(2124),
    [sym_block_comment] = STATE(2124),
    [sym_identifier] = ACTIONS(3787),
    [anon_sym_module] = ACTIONS(3787),
    [anon_sym_POUNDnowarn] = ACTIONS(3785),
    [anon_sym_POUNDr] = ACTIONS(3785),
    [anon_sym_POUNDload] = ACTIONS(3785),
    [anon_sym_open] = ACTIONS(3787),
    [anon_sym_LBRACK_LT] = ACTIONS(3785),
    [anon_sym_return] = ACTIONS(3787),
    [anon_sym_type] = ACTIONS(3787),
    [anon_sym_do] = ACTIONS(3787),
    [anon_sym_and] = ACTIONS(3787),
    [anon_sym_let] = ACTIONS(3787),
    [anon_sym_let_BANG] = ACTIONS(3785),
    [aux_sym_access_modifier_token1] = ACTIONS(3785),
    [anon_sym_null] = ACTIONS(3787),
    [anon_sym_LPAREN] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3787),
    [anon_sym_LBRACK] = ACTIONS(3787),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3785),
    [anon_sym_LBRACE] = ACTIONS(3787),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3785),
    [anon_sym_new] = ACTIONS(3787),
    [anon_sym_return_BANG] = ACTIONS(3785),
    [anon_sym_yield] = ACTIONS(3787),
    [anon_sym_yield_BANG] = ACTIONS(3785),
    [anon_sym_lazy] = ACTIONS(3787),
    [anon_sym_assert] = ACTIONS(3787),
    [anon_sym_upcast] = ACTIONS(3787),
    [anon_sym_downcast] = ACTIONS(3787),
    [anon_sym_LT_AT] = ACTIONS(3787),
    [anon_sym_LT_AT_AT] = ACTIONS(3785),
    [anon_sym_for] = ACTIONS(3787),
    [anon_sym_while] = ACTIONS(3787),
    [anon_sym_if] = ACTIONS(3787),
    [anon_sym_fun] = ACTIONS(3787),
    [anon_sym_try] = ACTIONS(3787),
    [anon_sym_match] = ACTIONS(3787),
    [anon_sym_match_BANG] = ACTIONS(3785),
    [anon_sym_function] = ACTIONS(3787),
    [anon_sym_use] = ACTIONS(3787),
    [anon_sym_use_BANG] = ACTIONS(3785),
    [anon_sym_do_BANG] = ACTIONS(3785),
    [anon_sym_begin] = ACTIONS(3787),
    [anon_sym_SQUOTE] = ACTIONS(3785),
    [anon_sym_static] = ACTIONS(3787),
    [anon_sym_member] = ACTIONS(3787),
    [anon_sym_abstract] = ACTIONS(3787),
    [anon_sym_override] = ACTIONS(3787),
    [anon_sym_default] = ACTIONS(3787),
    [anon_sym_val] = ACTIONS(3787),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3787),
    [anon_sym_DQUOTE] = ACTIONS(3787),
    [anon_sym_AT_DQUOTE] = ACTIONS(3785),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3785),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3785),
    [sym_bool] = ACTIONS(3787),
    [sym_unit] = ACTIONS(3785),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3785),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3787),
    [anon_sym_PLUS] = ACTIONS(3787),
    [anon_sym_DASH] = ACTIONS(3787),
    [anon_sym_PLUS_DOT] = ACTIONS(3785),
    [anon_sym_DASH_DOT] = ACTIONS(3785),
    [anon_sym_PERCENT] = ACTIONS(3785),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_TILDE] = ACTIONS(3785),
    [aux_sym_prefix_op_token1] = ACTIONS(3785),
    [aux_sym_int_token1] = ACTIONS(3787),
    [aux_sym_xint_token1] = ACTIONS(3785),
    [aux_sym_xint_token2] = ACTIONS(3785),
    [aux_sym_xint_token3] = ACTIONS(3785),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3785),
  },
  [2125] = {
    [sym_xml_doc] = STATE(2125),
    [sym_block_comment] = STATE(2125),
    [sym_identifier] = ACTIONS(3795),
    [anon_sym_module] = ACTIONS(3795),
    [anon_sym_POUNDnowarn] = ACTIONS(3793),
    [anon_sym_POUNDr] = ACTIONS(3793),
    [anon_sym_POUNDload] = ACTIONS(3793),
    [anon_sym_open] = ACTIONS(3795),
    [anon_sym_LBRACK_LT] = ACTIONS(3793),
    [anon_sym_return] = ACTIONS(3795),
    [anon_sym_type] = ACTIONS(3795),
    [anon_sym_do] = ACTIONS(3795),
    [anon_sym_and] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3795),
    [anon_sym_let_BANG] = ACTIONS(3793),
    [aux_sym_access_modifier_token1] = ACTIONS(3793),
    [anon_sym_null] = ACTIONS(3795),
    [anon_sym_LPAREN] = ACTIONS(3795),
    [anon_sym_AMP] = ACTIONS(3795),
    [anon_sym_LBRACK] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3793),
    [anon_sym_LBRACE] = ACTIONS(3795),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3793),
    [anon_sym_new] = ACTIONS(3795),
    [anon_sym_return_BANG] = ACTIONS(3793),
    [anon_sym_yield] = ACTIONS(3795),
    [anon_sym_yield_BANG] = ACTIONS(3793),
    [anon_sym_lazy] = ACTIONS(3795),
    [anon_sym_assert] = ACTIONS(3795),
    [anon_sym_upcast] = ACTIONS(3795),
    [anon_sym_downcast] = ACTIONS(3795),
    [anon_sym_LT_AT] = ACTIONS(3795),
    [anon_sym_LT_AT_AT] = ACTIONS(3793),
    [anon_sym_for] = ACTIONS(3795),
    [anon_sym_while] = ACTIONS(3795),
    [anon_sym_if] = ACTIONS(3795),
    [anon_sym_fun] = ACTIONS(3795),
    [anon_sym_try] = ACTIONS(3795),
    [anon_sym_match] = ACTIONS(3795),
    [anon_sym_match_BANG] = ACTIONS(3793),
    [anon_sym_function] = ACTIONS(3795),
    [anon_sym_use] = ACTIONS(3795),
    [anon_sym_use_BANG] = ACTIONS(3793),
    [anon_sym_do_BANG] = ACTIONS(3793),
    [anon_sym_begin] = ACTIONS(3795),
    [anon_sym_SQUOTE] = ACTIONS(3793),
    [anon_sym_static] = ACTIONS(3795),
    [anon_sym_member] = ACTIONS(3795),
    [anon_sym_abstract] = ACTIONS(3795),
    [anon_sym_override] = ACTIONS(3795),
    [anon_sym_default] = ACTIONS(3795),
    [anon_sym_val] = ACTIONS(3795),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3795),
    [anon_sym_DQUOTE] = ACTIONS(3795),
    [anon_sym_AT_DQUOTE] = ACTIONS(3793),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3793),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3793),
    [sym_bool] = ACTIONS(3795),
    [sym_unit] = ACTIONS(3793),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3793),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3795),
    [anon_sym_PLUS] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3795),
    [anon_sym_PLUS_DOT] = ACTIONS(3793),
    [anon_sym_DASH_DOT] = ACTIONS(3793),
    [anon_sym_PERCENT] = ACTIONS(3793),
    [anon_sym_AMP_AMP] = ACTIONS(3793),
    [anon_sym_TILDE] = ACTIONS(3793),
    [aux_sym_prefix_op_token1] = ACTIONS(3793),
    [aux_sym_int_token1] = ACTIONS(3795),
    [aux_sym_xint_token1] = ACTIONS(3793),
    [aux_sym_xint_token2] = ACTIONS(3793),
    [aux_sym_xint_token3] = ACTIONS(3793),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3793),
  },
  [2126] = {
    [sym_xml_doc] = STATE(2126),
    [sym_block_comment] = STATE(2126),
    [sym_identifier] = ACTIONS(3775),
    [anon_sym_module] = ACTIONS(3775),
    [anon_sym_POUNDnowarn] = ACTIONS(3773),
    [anon_sym_POUNDr] = ACTIONS(3773),
    [anon_sym_POUNDload] = ACTIONS(3773),
    [anon_sym_open] = ACTIONS(3775),
    [anon_sym_LBRACK_LT] = ACTIONS(3773),
    [anon_sym_return] = ACTIONS(3775),
    [anon_sym_type] = ACTIONS(3775),
    [anon_sym_do] = ACTIONS(3775),
    [anon_sym_and] = ACTIONS(3775),
    [anon_sym_let] = ACTIONS(3775),
    [anon_sym_let_BANG] = ACTIONS(3773),
    [aux_sym_access_modifier_token1] = ACTIONS(3773),
    [anon_sym_null] = ACTIONS(3775),
    [anon_sym_LPAREN] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3775),
    [anon_sym_LBRACK] = ACTIONS(3775),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3773),
    [anon_sym_LBRACE] = ACTIONS(3775),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3773),
    [anon_sym_new] = ACTIONS(3775),
    [anon_sym_return_BANG] = ACTIONS(3773),
    [anon_sym_yield] = ACTIONS(3775),
    [anon_sym_yield_BANG] = ACTIONS(3773),
    [anon_sym_lazy] = ACTIONS(3775),
    [anon_sym_assert] = ACTIONS(3775),
    [anon_sym_upcast] = ACTIONS(3775),
    [anon_sym_downcast] = ACTIONS(3775),
    [anon_sym_LT_AT] = ACTIONS(3775),
    [anon_sym_LT_AT_AT] = ACTIONS(3773),
    [anon_sym_for] = ACTIONS(3775),
    [anon_sym_while] = ACTIONS(3775),
    [anon_sym_if] = ACTIONS(3775),
    [anon_sym_fun] = ACTIONS(3775),
    [anon_sym_try] = ACTIONS(3775),
    [anon_sym_match] = ACTIONS(3775),
    [anon_sym_match_BANG] = ACTIONS(3773),
    [anon_sym_function] = ACTIONS(3775),
    [anon_sym_use] = ACTIONS(3775),
    [anon_sym_use_BANG] = ACTIONS(3773),
    [anon_sym_do_BANG] = ACTIONS(3773),
    [anon_sym_begin] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3773),
    [anon_sym_static] = ACTIONS(3775),
    [anon_sym_member] = ACTIONS(3775),
    [anon_sym_abstract] = ACTIONS(3775),
    [anon_sym_override] = ACTIONS(3775),
    [anon_sym_default] = ACTIONS(3775),
    [anon_sym_val] = ACTIONS(3775),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3775),
    [anon_sym_DQUOTE] = ACTIONS(3775),
    [anon_sym_AT_DQUOTE] = ACTIONS(3773),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3773),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3773),
    [sym_bool] = ACTIONS(3775),
    [sym_unit] = ACTIONS(3773),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3773),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_PLUS_DOT] = ACTIONS(3773),
    [anon_sym_DASH_DOT] = ACTIONS(3773),
    [anon_sym_PERCENT] = ACTIONS(3773),
    [anon_sym_AMP_AMP] = ACTIONS(3773),
    [anon_sym_TILDE] = ACTIONS(3773),
    [aux_sym_prefix_op_token1] = ACTIONS(3773),
    [aux_sym_int_token1] = ACTIONS(3775),
    [aux_sym_xint_token1] = ACTIONS(3773),
    [aux_sym_xint_token2] = ACTIONS(3773),
    [aux_sym_xint_token3] = ACTIONS(3773),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3773),
  },
  [2127] = {
    [sym_xml_doc] = STATE(2127),
    [sym_block_comment] = STATE(2127),
    [sym_identifier] = ACTIONS(3779),
    [anon_sym_module] = ACTIONS(3779),
    [anon_sym_POUNDnowarn] = ACTIONS(3777),
    [anon_sym_POUNDr] = ACTIONS(3777),
    [anon_sym_POUNDload] = ACTIONS(3777),
    [anon_sym_open] = ACTIONS(3779),
    [anon_sym_LBRACK_LT] = ACTIONS(3777),
    [anon_sym_return] = ACTIONS(3779),
    [anon_sym_type] = ACTIONS(3779),
    [anon_sym_do] = ACTIONS(3779),
    [anon_sym_and] = ACTIONS(3779),
    [anon_sym_let] = ACTIONS(3779),
    [anon_sym_let_BANG] = ACTIONS(3777),
    [aux_sym_access_modifier_token1] = ACTIONS(3777),
    [anon_sym_null] = ACTIONS(3779),
    [anon_sym_LPAREN] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3777),
    [anon_sym_LBRACE] = ACTIONS(3779),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3777),
    [anon_sym_new] = ACTIONS(3779),
    [anon_sym_return_BANG] = ACTIONS(3777),
    [anon_sym_yield] = ACTIONS(3779),
    [anon_sym_yield_BANG] = ACTIONS(3777),
    [anon_sym_lazy] = ACTIONS(3779),
    [anon_sym_assert] = ACTIONS(3779),
    [anon_sym_upcast] = ACTIONS(3779),
    [anon_sym_downcast] = ACTIONS(3779),
    [anon_sym_LT_AT] = ACTIONS(3779),
    [anon_sym_LT_AT_AT] = ACTIONS(3777),
    [anon_sym_for] = ACTIONS(3779),
    [anon_sym_while] = ACTIONS(3779),
    [anon_sym_if] = ACTIONS(3779),
    [anon_sym_fun] = ACTIONS(3779),
    [anon_sym_try] = ACTIONS(3779),
    [anon_sym_match] = ACTIONS(3779),
    [anon_sym_match_BANG] = ACTIONS(3777),
    [anon_sym_function] = ACTIONS(3779),
    [anon_sym_use] = ACTIONS(3779),
    [anon_sym_use_BANG] = ACTIONS(3777),
    [anon_sym_do_BANG] = ACTIONS(3777),
    [anon_sym_begin] = ACTIONS(3779),
    [anon_sym_SQUOTE] = ACTIONS(3777),
    [anon_sym_static] = ACTIONS(3779),
    [anon_sym_member] = ACTIONS(3779),
    [anon_sym_abstract] = ACTIONS(3779),
    [anon_sym_override] = ACTIONS(3779),
    [anon_sym_default] = ACTIONS(3779),
    [anon_sym_val] = ACTIONS(3779),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3779),
    [anon_sym_DQUOTE] = ACTIONS(3779),
    [anon_sym_AT_DQUOTE] = ACTIONS(3777),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3777),
    [sym_bool] = ACTIONS(3779),
    [sym_unit] = ACTIONS(3777),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3777),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3779),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_PLUS_DOT] = ACTIONS(3777),
    [anon_sym_DASH_DOT] = ACTIONS(3777),
    [anon_sym_PERCENT] = ACTIONS(3777),
    [anon_sym_AMP_AMP] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3777),
    [aux_sym_prefix_op_token1] = ACTIONS(3777),
    [aux_sym_int_token1] = ACTIONS(3779),
    [aux_sym_xint_token1] = ACTIONS(3777),
    [aux_sym_xint_token2] = ACTIONS(3777),
    [aux_sym_xint_token3] = ACTIONS(3777),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3777),
  },
  [2128] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3749),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(885),
    [sym_rules] = STATE(1074),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2128),
    [sym_block_comment] = STATE(2128),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2129] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3737),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1359),
    [sym_rules] = STATE(1634),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2129),
    [sym_block_comment] = STATE(2129),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3851),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2130] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3759),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1275),
    [sym_rules] = STATE(1552),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2130),
    [sym_block_comment] = STATE(2130),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2131] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3759),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1275),
    [sym_rules] = STATE(1390),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2131),
    [sym_block_comment] = STATE(2131),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2132] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3762),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1266),
    [sym_rules] = STATE(1452),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2132),
    [sym_block_comment] = STATE(2132),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3855),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2133] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3798),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(827),
    [sym_rules] = STATE(955),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2133),
    [sym_block_comment] = STATE(2133),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2134] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3649),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym__identifier_or_op] = STATE(2534),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2134),
    [sym_block_comment] = STATE(2134),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3572),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3574),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2135] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3762),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1266),
    [sym_rules] = STATE(1454),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2135),
    [sym_block_comment] = STATE(2135),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3855),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2136] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3762),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1266),
    [sym_rules] = STATE(1480),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2136),
    [sym_block_comment] = STATE(2136),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3855),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2137] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3772),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(855),
    [sym_rules] = STATE(999),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2137),
    [sym_block_comment] = STATE(2137),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2138] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3813),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1470),
    [sym_rules] = STATE(1894),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2138),
    [sym_block_comment] = STATE(2138),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3861),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2139] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3798),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(827),
    [sym_rules] = STATE(880),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2139),
    [sym_block_comment] = STATE(2139),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2140] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3762),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1266),
    [sym_rules] = STATE(1481),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2140),
    [sym_block_comment] = STATE(2140),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3855),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2141] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3771),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1311),
    [sym_rules] = STATE(1779),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2141),
    [sym_block_comment] = STATE(2141),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3863),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2142] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3813),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1470),
    [sym_rules] = STATE(1929),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2142),
    [sym_block_comment] = STATE(2142),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3861),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2143] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3820),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1565),
    [sym_rules] = STATE(1903),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2143),
    [sym_block_comment] = STATE(2143),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2144] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3762),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1266),
    [sym_rules] = STATE(1549),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2144),
    [sym_block_comment] = STATE(2144),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3855),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2145] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3749),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(885),
    [sym_rules] = STATE(1149),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2145),
    [sym_block_comment] = STATE(2145),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2146] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3771),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1311),
    [sym_rules] = STATE(1780),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2146),
    [sym_block_comment] = STATE(2146),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3863),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2147] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3749),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(885),
    [sym_rules] = STATE(1150),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2147),
    [sym_block_comment] = STATE(2147),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2148] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3813),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1470),
    [sym_rules] = STATE(1930),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2148),
    [sym_block_comment] = STATE(2148),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3861),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2149] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3749),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(885),
    [sym_rules] = STATE(1160),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2149),
    [sym_block_comment] = STATE(2149),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2150] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3759),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1275),
    [sym_rules] = STATE(1490),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2150),
    [sym_block_comment] = STATE(2150),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2151] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3772),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(855),
    [sym_rules] = STATE(973),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2151),
    [sym_block_comment] = STATE(2151),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2152] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3737),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1359),
    [sym_rules] = STATE(1629),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2152),
    [sym_block_comment] = STATE(2152),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3851),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2153] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3759),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1275),
    [sym_rules] = STATE(1538),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2153),
    [sym_block_comment] = STATE(2153),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2154] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3798),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(827),
    [sym_rules] = STATE(914),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2154),
    [sym_block_comment] = STATE(2154),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2155] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3820),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1565),
    [sym_rules] = STATE(1875),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2155),
    [sym_block_comment] = STATE(2155),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2156] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3737),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1359),
    [sym_rules] = STATE(1654),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2156),
    [sym_block_comment] = STATE(2156),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3851),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2157] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3772),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(855),
    [sym_rules] = STATE(968),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2157),
    [sym_block_comment] = STATE(2157),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2158] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3813),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1470),
    [sym_rules] = STATE(1986),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2158),
    [sym_block_comment] = STATE(2158),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3861),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2159] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3813),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1470),
    [sym_rules] = STATE(1985),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2159),
    [sym_block_comment] = STATE(2159),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3861),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2160] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3737),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1359),
    [sym_rules] = STATE(1655),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2160),
    [sym_block_comment] = STATE(2160),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3851),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2161] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3750),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1344),
    [sym_rules] = STATE(1736),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2161),
    [sym_block_comment] = STATE(2161),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2162] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3737),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1359),
    [sym_rules] = STATE(1733),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2162),
    [sym_block_comment] = STATE(2162),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3851),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2163] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3750),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1344),
    [sym_rules] = STATE(1746),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2163),
    [sym_block_comment] = STATE(2163),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2164] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3798),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(827),
    [sym_rules] = STATE(915),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2164),
    [sym_block_comment] = STATE(2164),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2165] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3750),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1344),
    [sym_rules] = STATE(1822),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2165),
    [sym_block_comment] = STATE(2165),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2166] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3771),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1311),
    [sym_rules] = STATE(1826),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2166),
    [sym_block_comment] = STATE(2166),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3863),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2167] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3771),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1311),
    [sym_rules] = STATE(1825),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2167),
    [sym_block_comment] = STATE(2167),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3863),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2168] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3772),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(855),
    [sym_rules] = STATE(1033),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2168),
    [sym_block_comment] = STATE(2168),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2169] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3749),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(885),
    [sym_rules] = STATE(1159),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2169),
    [sym_block_comment] = STATE(2169),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2170] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3750),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1344),
    [sym_rules] = STATE(1697),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2170),
    [sym_block_comment] = STATE(2170),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2171] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3820),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1565),
    [sym_rules] = STATE(1876),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2171),
    [sym_block_comment] = STATE(2171),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2172] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3759),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1275),
    [sym_rules] = STATE(1489),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2172),
    [sym_block_comment] = STATE(2172),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2173] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3798),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(827),
    [sym_rules] = STATE(954),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2173),
    [sym_block_comment] = STATE(2173),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2174] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3771),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1311),
    [sym_rules] = STATE(1766),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2174),
    [sym_block_comment] = STATE(2174),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3863),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2175] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3750),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1344),
    [sym_rules] = STATE(1715),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2175),
    [sym_block_comment] = STATE(2175),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2176] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3772),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(855),
    [sym_rules] = STATE(1031),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2176),
    [sym_block_comment] = STATE(2176),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2177] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3820),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1565),
    [sym_rules] = STATE(1902),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2177),
    [sym_block_comment] = STATE(2177),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2178] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3820),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1565),
    [sym_rules] = STATE(1900),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2178),
    [sym_block_comment] = STATE(2178),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2179] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym_access_modifier] = STATE(2332),
    [sym__pattern] = STATE(3649),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2179),
    [sym_block_comment] = STATE(2179),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [aux_sym_access_modifier_token1] = ACTIONS(3869),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2180] = {
    [sym_attributes] = STATE(5195),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2180),
    [sym_block_comment] = STATE(2180),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2188),
    [ts_builtin_sym_end] = ACTIONS(3871),
    [sym_identifier] = ACTIONS(3873),
    [anon_sym_namespace] = ACTIONS(3873),
    [anon_sym_module] = ACTIONS(3873),
    [anon_sym_POUNDnowarn] = ACTIONS(3871),
    [anon_sym_POUNDr] = ACTIONS(3871),
    [anon_sym_POUNDload] = ACTIONS(3871),
    [anon_sym_open] = ACTIONS(3873),
    [anon_sym_LBRACK_LT] = ACTIONS(3871),
    [anon_sym_return] = ACTIONS(3873),
    [anon_sym_type] = ACTIONS(3873),
    [anon_sym_do] = ACTIONS(3873),
    [anon_sym_and] = ACTIONS(3875),
    [anon_sym_let] = ACTIONS(3873),
    [anon_sym_let_BANG] = ACTIONS(3871),
    [anon_sym_null] = ACTIONS(3873),
    [anon_sym_LPAREN] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3873),
    [anon_sym_LBRACK] = ACTIONS(3873),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3871),
    [anon_sym_LBRACE] = ACTIONS(3873),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3871),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_return_BANG] = ACTIONS(3871),
    [anon_sym_yield] = ACTIONS(3873),
    [anon_sym_yield_BANG] = ACTIONS(3871),
    [anon_sym_lazy] = ACTIONS(3873),
    [anon_sym_assert] = ACTIONS(3873),
    [anon_sym_upcast] = ACTIONS(3873),
    [anon_sym_downcast] = ACTIONS(3873),
    [anon_sym_LT_AT] = ACTIONS(3873),
    [anon_sym_LT_AT_AT] = ACTIONS(3871),
    [anon_sym_for] = ACTIONS(3873),
    [anon_sym_while] = ACTIONS(3873),
    [anon_sym_if] = ACTIONS(3873),
    [anon_sym_fun] = ACTIONS(3873),
    [anon_sym_try] = ACTIONS(3873),
    [anon_sym_match] = ACTIONS(3873),
    [anon_sym_match_BANG] = ACTIONS(3871),
    [anon_sym_function] = ACTIONS(3873),
    [anon_sym_use] = ACTIONS(3873),
    [anon_sym_use_BANG] = ACTIONS(3871),
    [anon_sym_do_BANG] = ACTIONS(3871),
    [anon_sym_begin] = ACTIONS(3873),
    [anon_sym_SQUOTE] = ACTIONS(3871),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3873),
    [anon_sym_DQUOTE] = ACTIONS(3873),
    [anon_sym_AT_DQUOTE] = ACTIONS(3871),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3871),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3871),
    [sym_bool] = ACTIONS(3873),
    [sym_unit] = ACTIONS(3871),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3871),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3873),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_PLUS_DOT] = ACTIONS(3871),
    [anon_sym_DASH_DOT] = ACTIONS(3871),
    [anon_sym_PERCENT] = ACTIONS(3871),
    [anon_sym_AMP_AMP] = ACTIONS(3871),
    [anon_sym_TILDE] = ACTIONS(3871),
    [aux_sym_prefix_op_token1] = ACTIONS(3871),
    [aux_sym_int_token1] = ACTIONS(3873),
    [aux_sym_xint_token1] = ACTIONS(3871),
    [aux_sym_xint_token2] = ACTIONS(3871),
    [aux_sym_xint_token3] = ACTIONS(3871),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2181] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2181),
    [sym_block_comment] = STATE(2181),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3877),
    [anon_sym_EQ] = ACTIONS(3880),
    [anon_sym_LBRACK_LT] = ACTIONS(3882),
    [anon_sym_null] = ACTIONS(3885),
    [anon_sym__] = ACTIONS(3888),
    [anon_sym_QMARK] = ACTIONS(3891),
    [anon_sym_COLON_QMARK] = ACTIONS(3894),
    [anon_sym_LPAREN] = ACTIONS(3897),
    [anon_sym_LBRACK] = ACTIONS(3900),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3903),
    [anon_sym_LBRACE] = ACTIONS(3906),
    [anon_sym_SQUOTE] = ACTIONS(3909),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3912),
    [anon_sym_DQUOTE] = ACTIONS(3915),
    [anon_sym_AT_DQUOTE] = ACTIONS(3918),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3924),
    [sym_bool] = ACTIONS(3927),
    [sym_unit] = ACTIONS(3930),
    [aux_sym_int_token1] = ACTIONS(3933),
    [aux_sym_xint_token1] = ACTIONS(3936),
    [aux_sym_xint_token2] = ACTIONS(3939),
    [aux_sym_xint_token3] = ACTIONS(3942),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2182] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2182),
    [sym_block_comment] = STATE(2182),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3945),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2183] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2183),
    [sym_block_comment] = STATE(2183),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3947),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2184] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2184),
    [sym_block_comment] = STATE(2184),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3949),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2185] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2185),
    [sym_block_comment] = STATE(2185),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3951),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2186] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3875),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_active_pattern_op_name] = STATE(5150),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2186),
    [sym_block_comment] = STATE(2186),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_PIPE] = ACTIONS(3953),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2187] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2187),
    [sym_block_comment] = STATE(2187),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3955),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2188] = {
    [sym_attributes] = STATE(5195),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2188),
    [sym_block_comment] = STATE(2188),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2193),
    [ts_builtin_sym_end] = ACTIONS(3957),
    [sym_identifier] = ACTIONS(3959),
    [anon_sym_namespace] = ACTIONS(3959),
    [anon_sym_module] = ACTIONS(3959),
    [anon_sym_POUNDnowarn] = ACTIONS(3957),
    [anon_sym_POUNDr] = ACTIONS(3957),
    [anon_sym_POUNDload] = ACTIONS(3957),
    [anon_sym_open] = ACTIONS(3959),
    [anon_sym_LBRACK_LT] = ACTIONS(3957),
    [anon_sym_return] = ACTIONS(3959),
    [anon_sym_type] = ACTIONS(3959),
    [anon_sym_do] = ACTIONS(3959),
    [anon_sym_and] = ACTIONS(3875),
    [anon_sym_let] = ACTIONS(3959),
    [anon_sym_let_BANG] = ACTIONS(3957),
    [anon_sym_null] = ACTIONS(3959),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_AMP] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(3959),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3957),
    [anon_sym_new] = ACTIONS(3959),
    [anon_sym_return_BANG] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3959),
    [anon_sym_yield_BANG] = ACTIONS(3957),
    [anon_sym_lazy] = ACTIONS(3959),
    [anon_sym_assert] = ACTIONS(3959),
    [anon_sym_upcast] = ACTIONS(3959),
    [anon_sym_downcast] = ACTIONS(3959),
    [anon_sym_LT_AT] = ACTIONS(3959),
    [anon_sym_LT_AT_AT] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3959),
    [anon_sym_while] = ACTIONS(3959),
    [anon_sym_if] = ACTIONS(3959),
    [anon_sym_fun] = ACTIONS(3959),
    [anon_sym_try] = ACTIONS(3959),
    [anon_sym_match] = ACTIONS(3959),
    [anon_sym_match_BANG] = ACTIONS(3957),
    [anon_sym_function] = ACTIONS(3959),
    [anon_sym_use] = ACTIONS(3959),
    [anon_sym_use_BANG] = ACTIONS(3957),
    [anon_sym_do_BANG] = ACTIONS(3957),
    [anon_sym_begin] = ACTIONS(3959),
    [anon_sym_SQUOTE] = ACTIONS(3957),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(3959),
    [anon_sym_AT_DQUOTE] = ACTIONS(3957),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3957),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3957),
    [sym_bool] = ACTIONS(3959),
    [sym_unit] = ACTIONS(3957),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3957),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS_DOT] = ACTIONS(3957),
    [anon_sym_DASH_DOT] = ACTIONS(3957),
    [anon_sym_PERCENT] = ACTIONS(3957),
    [anon_sym_AMP_AMP] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [aux_sym_prefix_op_token1] = ACTIONS(3957),
    [aux_sym_int_token1] = ACTIONS(3959),
    [aux_sym_xint_token1] = ACTIONS(3957),
    [aux_sym_xint_token2] = ACTIONS(3957),
    [aux_sym_xint_token3] = ACTIONS(3957),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2189] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2189),
    [sym_block_comment] = STATE(2189),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3961),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2190] = {
    [sym_attributes] = STATE(5195),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2190),
    [sym_block_comment] = STATE(2190),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2193),
    [ts_builtin_sym_end] = ACTIONS(3963),
    [sym_identifier] = ACTIONS(3965),
    [anon_sym_namespace] = ACTIONS(3965),
    [anon_sym_module] = ACTIONS(3965),
    [anon_sym_POUNDnowarn] = ACTIONS(3963),
    [anon_sym_POUNDr] = ACTIONS(3963),
    [anon_sym_POUNDload] = ACTIONS(3963),
    [anon_sym_open] = ACTIONS(3965),
    [anon_sym_LBRACK_LT] = ACTIONS(3963),
    [anon_sym_return] = ACTIONS(3965),
    [anon_sym_type] = ACTIONS(3965),
    [anon_sym_do] = ACTIONS(3965),
    [anon_sym_and] = ACTIONS(3875),
    [anon_sym_let] = ACTIONS(3965),
    [anon_sym_let_BANG] = ACTIONS(3963),
    [anon_sym_null] = ACTIONS(3965),
    [anon_sym_LPAREN] = ACTIONS(3965),
    [anon_sym_AMP] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3965),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3965),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3963),
    [anon_sym_new] = ACTIONS(3965),
    [anon_sym_return_BANG] = ACTIONS(3963),
    [anon_sym_yield] = ACTIONS(3965),
    [anon_sym_yield_BANG] = ACTIONS(3963),
    [anon_sym_lazy] = ACTIONS(3965),
    [anon_sym_assert] = ACTIONS(3965),
    [anon_sym_upcast] = ACTIONS(3965),
    [anon_sym_downcast] = ACTIONS(3965),
    [anon_sym_LT_AT] = ACTIONS(3965),
    [anon_sym_LT_AT_AT] = ACTIONS(3963),
    [anon_sym_for] = ACTIONS(3965),
    [anon_sym_while] = ACTIONS(3965),
    [anon_sym_if] = ACTIONS(3965),
    [anon_sym_fun] = ACTIONS(3965),
    [anon_sym_try] = ACTIONS(3965),
    [anon_sym_match] = ACTIONS(3965),
    [anon_sym_match_BANG] = ACTIONS(3963),
    [anon_sym_function] = ACTIONS(3965),
    [anon_sym_use] = ACTIONS(3965),
    [anon_sym_use_BANG] = ACTIONS(3963),
    [anon_sym_do_BANG] = ACTIONS(3963),
    [anon_sym_begin] = ACTIONS(3965),
    [anon_sym_SQUOTE] = ACTIONS(3963),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3965),
    [anon_sym_DQUOTE] = ACTIONS(3965),
    [anon_sym_AT_DQUOTE] = ACTIONS(3963),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3963),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3963),
    [sym_bool] = ACTIONS(3965),
    [sym_unit] = ACTIONS(3963),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3963),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3965),
    [anon_sym_PLUS] = ACTIONS(3965),
    [anon_sym_DASH] = ACTIONS(3965),
    [anon_sym_PLUS_DOT] = ACTIONS(3963),
    [anon_sym_DASH_DOT] = ACTIONS(3963),
    [anon_sym_PERCENT] = ACTIONS(3963),
    [anon_sym_AMP_AMP] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [aux_sym_prefix_op_token1] = ACTIONS(3963),
    [aux_sym_int_token1] = ACTIONS(3965),
    [aux_sym_xint_token1] = ACTIONS(3963),
    [aux_sym_xint_token2] = ACTIONS(3963),
    [aux_sym_xint_token3] = ACTIONS(3963),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2191] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2191),
    [sym_block_comment] = STATE(2191),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3967),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2192] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2192),
    [sym_block_comment] = STATE(2192),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_EQ] = ACTIONS(3969),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2193] = {
    [sym_attributes] = STATE(5195),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2193),
    [sym_block_comment] = STATE(2193),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2193),
    [ts_builtin_sym_end] = ACTIONS(3971),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_namespace] = ACTIONS(3973),
    [anon_sym_module] = ACTIONS(3973),
    [anon_sym_POUNDnowarn] = ACTIONS(3971),
    [anon_sym_POUNDr] = ACTIONS(3971),
    [anon_sym_POUNDload] = ACTIONS(3971),
    [anon_sym_open] = ACTIONS(3973),
    [anon_sym_LBRACK_LT] = ACTIONS(3975),
    [anon_sym_return] = ACTIONS(3973),
    [anon_sym_type] = ACTIONS(3973),
    [anon_sym_do] = ACTIONS(3973),
    [anon_sym_and] = ACTIONS(3978),
    [anon_sym_let] = ACTIONS(3973),
    [anon_sym_let_BANG] = ACTIONS(3971),
    [anon_sym_null] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(3973),
    [anon_sym_AMP] = ACTIONS(3973),
    [anon_sym_LBRACK] = ACTIONS(3973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3971),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3971),
    [anon_sym_new] = ACTIONS(3973),
    [anon_sym_return_BANG] = ACTIONS(3971),
    [anon_sym_yield] = ACTIONS(3973),
    [anon_sym_yield_BANG] = ACTIONS(3971),
    [anon_sym_lazy] = ACTIONS(3973),
    [anon_sym_assert] = ACTIONS(3973),
    [anon_sym_upcast] = ACTIONS(3973),
    [anon_sym_downcast] = ACTIONS(3973),
    [anon_sym_LT_AT] = ACTIONS(3973),
    [anon_sym_LT_AT_AT] = ACTIONS(3971),
    [anon_sym_for] = ACTIONS(3973),
    [anon_sym_while] = ACTIONS(3973),
    [anon_sym_if] = ACTIONS(3973),
    [anon_sym_fun] = ACTIONS(3973),
    [anon_sym_try] = ACTIONS(3973),
    [anon_sym_match] = ACTIONS(3973),
    [anon_sym_match_BANG] = ACTIONS(3971),
    [anon_sym_function] = ACTIONS(3973),
    [anon_sym_use] = ACTIONS(3973),
    [anon_sym_use_BANG] = ACTIONS(3971),
    [anon_sym_do_BANG] = ACTIONS(3971),
    [anon_sym_begin] = ACTIONS(3973),
    [anon_sym_SQUOTE] = ACTIONS(3971),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3973),
    [anon_sym_DQUOTE] = ACTIONS(3973),
    [anon_sym_AT_DQUOTE] = ACTIONS(3971),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3971),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3971),
    [sym_bool] = ACTIONS(3973),
    [sym_unit] = ACTIONS(3971),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3971),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3973),
    [anon_sym_PLUS] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3973),
    [anon_sym_PLUS_DOT] = ACTIONS(3971),
    [anon_sym_DASH_DOT] = ACTIONS(3971),
    [anon_sym_PERCENT] = ACTIONS(3971),
    [anon_sym_AMP_AMP] = ACTIONS(3971),
    [anon_sym_TILDE] = ACTIONS(3971),
    [aux_sym_prefix_op_token1] = ACTIONS(3971),
    [aux_sym_int_token1] = ACTIONS(3973),
    [aux_sym_xint_token1] = ACTIONS(3971),
    [aux_sym_xint_token2] = ACTIONS(3971),
    [aux_sym_xint_token3] = ACTIONS(3971),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2194] = {
    [sym_attributes] = STATE(5195),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2194),
    [sym_block_comment] = STATE(2194),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2190),
    [ts_builtin_sym_end] = ACTIONS(3957),
    [sym_identifier] = ACTIONS(3959),
    [anon_sym_namespace] = ACTIONS(3959),
    [anon_sym_module] = ACTIONS(3959),
    [anon_sym_POUNDnowarn] = ACTIONS(3957),
    [anon_sym_POUNDr] = ACTIONS(3957),
    [anon_sym_POUNDload] = ACTIONS(3957),
    [anon_sym_open] = ACTIONS(3959),
    [anon_sym_LBRACK_LT] = ACTIONS(3957),
    [anon_sym_return] = ACTIONS(3959),
    [anon_sym_type] = ACTIONS(3959),
    [anon_sym_do] = ACTIONS(3959),
    [anon_sym_and] = ACTIONS(3875),
    [anon_sym_let] = ACTIONS(3959),
    [anon_sym_let_BANG] = ACTIONS(3957),
    [anon_sym_null] = ACTIONS(3959),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_AMP] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(3959),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3957),
    [anon_sym_new] = ACTIONS(3959),
    [anon_sym_return_BANG] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3959),
    [anon_sym_yield_BANG] = ACTIONS(3957),
    [anon_sym_lazy] = ACTIONS(3959),
    [anon_sym_assert] = ACTIONS(3959),
    [anon_sym_upcast] = ACTIONS(3959),
    [anon_sym_downcast] = ACTIONS(3959),
    [anon_sym_LT_AT] = ACTIONS(3959),
    [anon_sym_LT_AT_AT] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3959),
    [anon_sym_while] = ACTIONS(3959),
    [anon_sym_if] = ACTIONS(3959),
    [anon_sym_fun] = ACTIONS(3959),
    [anon_sym_try] = ACTIONS(3959),
    [anon_sym_match] = ACTIONS(3959),
    [anon_sym_match_BANG] = ACTIONS(3957),
    [anon_sym_function] = ACTIONS(3959),
    [anon_sym_use] = ACTIONS(3959),
    [anon_sym_use_BANG] = ACTIONS(3957),
    [anon_sym_do_BANG] = ACTIONS(3957),
    [anon_sym_begin] = ACTIONS(3959),
    [anon_sym_SQUOTE] = ACTIONS(3957),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(3959),
    [anon_sym_AT_DQUOTE] = ACTIONS(3957),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3957),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3957),
    [sym_bool] = ACTIONS(3959),
    [sym_unit] = ACTIONS(3957),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3957),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS_DOT] = ACTIONS(3957),
    [anon_sym_DASH_DOT] = ACTIONS(3957),
    [anon_sym_PERCENT] = ACTIONS(3957),
    [anon_sym_AMP_AMP] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [aux_sym_prefix_op_token1] = ACTIONS(3957),
    [aux_sym_int_token1] = ACTIONS(3959),
    [aux_sym_xint_token1] = ACTIONS(3957),
    [aux_sym_xint_token2] = ACTIONS(3957),
    [aux_sym_xint_token3] = ACTIONS(3957),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2195] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2195),
    [sym_block_comment] = STATE(2195),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2192),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2196] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3737),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1504),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2196),
    [sym_block_comment] = STATE(2196),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2197] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3759),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1355),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2197),
    [sym_block_comment] = STATE(2197),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2198] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3654),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2198),
    [sym_block_comment] = STATE(2198),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3981),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2199] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3820),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1718),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2199),
    [sym_block_comment] = STATE(2199),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2200] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2200),
    [sym_block_comment] = STATE(2200),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2189),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2201] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3820),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1688),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2201),
    [sym_block_comment] = STATE(2201),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2202] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3762),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1284),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2202),
    [sym_block_comment] = STATE(2202),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2203] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3695),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2203),
    [sym_block_comment] = STATE(2203),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2204] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3696),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2204),
    [sym_block_comment] = STATE(2204),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2205] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3798),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(839),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2205),
    [sym_block_comment] = STATE(2205),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2206] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3798),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(852),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2206),
    [sym_block_comment] = STATE(2206),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2207] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3798),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(857),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2207),
    [sym_block_comment] = STATE(2207),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2208] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3813),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1522),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2208),
    [sym_block_comment] = STATE(2208),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2209] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3813),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1581),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2209),
    [sym_block_comment] = STATE(2209),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2210] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2210),
    [sym_block_comment] = STATE(2210),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2184),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2211] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3813),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1599),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2211),
    [sym_block_comment] = STATE(2211),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2212] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3771),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1326),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2212),
    [sym_block_comment] = STATE(2212),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2213] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3772),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(884),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2213),
    [sym_block_comment] = STATE(2213),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2214] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3710),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2214),
    [sym_block_comment] = STATE(2214),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2215] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3771),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1388),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2215),
    [sym_block_comment] = STATE(2215),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2216] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3771),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1391),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2216),
    [sym_block_comment] = STATE(2216),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2217] = {
    [sym_interface_implementation] = STATE(2344),
    [sym_xml_doc] = STATE(2217),
    [sym_block_comment] = STATE(2217),
    [aux_sym__object_expression_inner_repeat1] = STATE(2219),
    [ts_builtin_sym_end] = ACTIONS(3989),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym_namespace] = ACTIONS(3991),
    [anon_sym_module] = ACTIONS(3991),
    [anon_sym_POUNDnowarn] = ACTIONS(3989),
    [anon_sym_POUNDr] = ACTIONS(3989),
    [anon_sym_POUNDload] = ACTIONS(3989),
    [anon_sym_open] = ACTIONS(3991),
    [anon_sym_LBRACK_LT] = ACTIONS(3989),
    [anon_sym_return] = ACTIONS(3991),
    [anon_sym_type] = ACTIONS(3991),
    [anon_sym_do] = ACTIONS(3991),
    [anon_sym_and] = ACTIONS(3991),
    [anon_sym_let] = ACTIONS(3991),
    [anon_sym_let_BANG] = ACTIONS(3989),
    [anon_sym_null] = ACTIONS(3991),
    [anon_sym_LPAREN] = ACTIONS(3991),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3989),
    [anon_sym_LBRACE] = ACTIONS(3991),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3989),
    [anon_sym_new] = ACTIONS(3991),
    [anon_sym_return_BANG] = ACTIONS(3989),
    [anon_sym_yield] = ACTIONS(3991),
    [anon_sym_yield_BANG] = ACTIONS(3989),
    [anon_sym_lazy] = ACTIONS(3991),
    [anon_sym_assert] = ACTIONS(3991),
    [anon_sym_upcast] = ACTIONS(3991),
    [anon_sym_downcast] = ACTIONS(3991),
    [anon_sym_LT_AT] = ACTIONS(3991),
    [anon_sym_LT_AT_AT] = ACTIONS(3989),
    [anon_sym_for] = ACTIONS(3991),
    [anon_sym_while] = ACTIONS(3991),
    [anon_sym_if] = ACTIONS(3991),
    [anon_sym_fun] = ACTIONS(3991),
    [anon_sym_try] = ACTIONS(3991),
    [anon_sym_match] = ACTIONS(3991),
    [anon_sym_match_BANG] = ACTIONS(3989),
    [anon_sym_function] = ACTIONS(3991),
    [anon_sym_use] = ACTIONS(3991),
    [anon_sym_use_BANG] = ACTIONS(3989),
    [anon_sym_do_BANG] = ACTIONS(3989),
    [anon_sym_begin] = ACTIONS(3991),
    [anon_sym_SQUOTE] = ACTIONS(3989),
    [anon_sym_interface] = ACTIONS(3993),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3991),
    [anon_sym_DQUOTE] = ACTIONS(3991),
    [anon_sym_AT_DQUOTE] = ACTIONS(3989),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3989),
    [sym_bool] = ACTIONS(3991),
    [sym_unit] = ACTIONS(3989),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3989),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS_DOT] = ACTIONS(3989),
    [anon_sym_DASH_DOT] = ACTIONS(3989),
    [anon_sym_PERCENT] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [aux_sym_prefix_op_token1] = ACTIONS(3989),
    [aux_sym_int_token1] = ACTIONS(3991),
    [aux_sym_xint_token1] = ACTIONS(3989),
    [aux_sym_xint_token2] = ACTIONS(3989),
    [aux_sym_xint_token3] = ACTIONS(3989),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2218] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3737),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1354),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2218),
    [sym_block_comment] = STATE(2218),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2219] = {
    [sym_interface_implementation] = STATE(2344),
    [sym_xml_doc] = STATE(2219),
    [sym_block_comment] = STATE(2219),
    [aux_sym__object_expression_inner_repeat1] = STATE(2219),
    [ts_builtin_sym_end] = ACTIONS(3995),
    [sym_identifier] = ACTIONS(3997),
    [anon_sym_namespace] = ACTIONS(3997),
    [anon_sym_module] = ACTIONS(3997),
    [anon_sym_POUNDnowarn] = ACTIONS(3995),
    [anon_sym_POUNDr] = ACTIONS(3995),
    [anon_sym_POUNDload] = ACTIONS(3995),
    [anon_sym_open] = ACTIONS(3997),
    [anon_sym_LBRACK_LT] = ACTIONS(3995),
    [anon_sym_return] = ACTIONS(3997),
    [anon_sym_type] = ACTIONS(3997),
    [anon_sym_do] = ACTIONS(3997),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_let_BANG] = ACTIONS(3995),
    [anon_sym_null] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3997),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3997),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3995),
    [anon_sym_new] = ACTIONS(3997),
    [anon_sym_return_BANG] = ACTIONS(3995),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_yield_BANG] = ACTIONS(3995),
    [anon_sym_lazy] = ACTIONS(3997),
    [anon_sym_assert] = ACTIONS(3997),
    [anon_sym_upcast] = ACTIONS(3997),
    [anon_sym_downcast] = ACTIONS(3997),
    [anon_sym_LT_AT] = ACTIONS(3997),
    [anon_sym_LT_AT_AT] = ACTIONS(3995),
    [anon_sym_for] = ACTIONS(3997),
    [anon_sym_while] = ACTIONS(3997),
    [anon_sym_if] = ACTIONS(3997),
    [anon_sym_fun] = ACTIONS(3997),
    [anon_sym_try] = ACTIONS(3997),
    [anon_sym_match] = ACTIONS(3997),
    [anon_sym_match_BANG] = ACTIONS(3995),
    [anon_sym_function] = ACTIONS(3997),
    [anon_sym_use] = ACTIONS(3997),
    [anon_sym_use_BANG] = ACTIONS(3995),
    [anon_sym_do_BANG] = ACTIONS(3995),
    [anon_sym_begin] = ACTIONS(3997),
    [anon_sym_SQUOTE] = ACTIONS(3995),
    [anon_sym_interface] = ACTIONS(3999),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3997),
    [anon_sym_DQUOTE] = ACTIONS(3997),
    [anon_sym_AT_DQUOTE] = ACTIONS(3995),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3995),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3995),
    [sym_bool] = ACTIONS(3997),
    [sym_unit] = ACTIONS(3995),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3995),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3997),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_PLUS_DOT] = ACTIONS(3995),
    [anon_sym_DASH_DOT] = ACTIONS(3995),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_TILDE] = ACTIONS(3995),
    [aux_sym_prefix_op_token1] = ACTIONS(3995),
    [aux_sym_int_token1] = ACTIONS(3997),
    [aux_sym_xint_token1] = ACTIONS(3995),
    [aux_sym_xint_token2] = ACTIONS(3995),
    [aux_sym_xint_token3] = ACTIONS(3995),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2220] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3655),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2220),
    [sym_block_comment] = STATE(2220),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(4002),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2221] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3737),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1511),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2221),
    [sym_block_comment] = STATE(2221),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2222] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3762),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1335),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2222),
    [sym_block_comment] = STATE(2222),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2223] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3690),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2223),
    [sym_block_comment] = STATE(2223),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(4004),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2224] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3759),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1324),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2224),
    [sym_block_comment] = STATE(2224),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2225] = {
    [sym_attributes] = STATE(4830),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2225),
    [sym_block_comment] = STATE(2225),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(3873),
    [anon_sym_module] = ACTIONS(3873),
    [anon_sym_POUNDnowarn] = ACTIONS(3871),
    [anon_sym_POUNDr] = ACTIONS(3871),
    [anon_sym_POUNDload] = ACTIONS(3871),
    [anon_sym_open] = ACTIONS(3873),
    [anon_sym_LBRACK_LT] = ACTIONS(3871),
    [anon_sym_return] = ACTIONS(3873),
    [anon_sym_type] = ACTIONS(3873),
    [anon_sym_do] = ACTIONS(3873),
    [anon_sym_and] = ACTIONS(4006),
    [anon_sym_let] = ACTIONS(3873),
    [anon_sym_let_BANG] = ACTIONS(3871),
    [anon_sym_null] = ACTIONS(3873),
    [anon_sym_LPAREN] = ACTIONS(3873),
    [anon_sym_AMP] = ACTIONS(3873),
    [anon_sym_LBRACK] = ACTIONS(3873),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3871),
    [anon_sym_LBRACE] = ACTIONS(3873),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3871),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_return_BANG] = ACTIONS(3871),
    [anon_sym_yield] = ACTIONS(3873),
    [anon_sym_yield_BANG] = ACTIONS(3871),
    [anon_sym_lazy] = ACTIONS(3873),
    [anon_sym_assert] = ACTIONS(3873),
    [anon_sym_upcast] = ACTIONS(3873),
    [anon_sym_downcast] = ACTIONS(3873),
    [anon_sym_LT_AT] = ACTIONS(3873),
    [anon_sym_LT_AT_AT] = ACTIONS(3871),
    [anon_sym_for] = ACTIONS(3873),
    [anon_sym_while] = ACTIONS(3873),
    [anon_sym_if] = ACTIONS(3873),
    [anon_sym_fun] = ACTIONS(3873),
    [anon_sym_try] = ACTIONS(3873),
    [anon_sym_match] = ACTIONS(3873),
    [anon_sym_match_BANG] = ACTIONS(3871),
    [anon_sym_function] = ACTIONS(3873),
    [anon_sym_use] = ACTIONS(3873),
    [anon_sym_use_BANG] = ACTIONS(3871),
    [anon_sym_do_BANG] = ACTIONS(3871),
    [anon_sym_begin] = ACTIONS(3873),
    [anon_sym_SQUOTE] = ACTIONS(3871),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3873),
    [anon_sym_DQUOTE] = ACTIONS(3873),
    [anon_sym_AT_DQUOTE] = ACTIONS(3871),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3871),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3871),
    [sym_bool] = ACTIONS(3873),
    [sym_unit] = ACTIONS(3871),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3871),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3873),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_PLUS_DOT] = ACTIONS(3871),
    [anon_sym_DASH_DOT] = ACTIONS(3871),
    [anon_sym_PERCENT] = ACTIONS(3871),
    [anon_sym_AMP_AMP] = ACTIONS(3871),
    [anon_sym_TILDE] = ACTIONS(3871),
    [aux_sym_prefix_op_token1] = ACTIONS(3871),
    [aux_sym_int_token1] = ACTIONS(3873),
    [aux_sym_xint_token1] = ACTIONS(3871),
    [aux_sym_xint_token2] = ACTIONS(3871),
    [aux_sym_xint_token3] = ACTIONS(3871),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3871),
  },
  [2226] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3820),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1396),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2226),
    [sym_block_comment] = STATE(2226),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2227] = {
    [sym_attributes] = STATE(4830),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2227),
    [sym_block_comment] = STATE(2227),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2233),
    [sym_identifier] = ACTIONS(3959),
    [anon_sym_module] = ACTIONS(3959),
    [anon_sym_POUNDnowarn] = ACTIONS(3957),
    [anon_sym_POUNDr] = ACTIONS(3957),
    [anon_sym_POUNDload] = ACTIONS(3957),
    [anon_sym_open] = ACTIONS(3959),
    [anon_sym_LBRACK_LT] = ACTIONS(3957),
    [anon_sym_return] = ACTIONS(3959),
    [anon_sym_type] = ACTIONS(3959),
    [anon_sym_do] = ACTIONS(3959),
    [anon_sym_and] = ACTIONS(4006),
    [anon_sym_let] = ACTIONS(3959),
    [anon_sym_let_BANG] = ACTIONS(3957),
    [anon_sym_null] = ACTIONS(3959),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_AMP] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(3959),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3957),
    [anon_sym_new] = ACTIONS(3959),
    [anon_sym_return_BANG] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3959),
    [anon_sym_yield_BANG] = ACTIONS(3957),
    [anon_sym_lazy] = ACTIONS(3959),
    [anon_sym_assert] = ACTIONS(3959),
    [anon_sym_upcast] = ACTIONS(3959),
    [anon_sym_downcast] = ACTIONS(3959),
    [anon_sym_LT_AT] = ACTIONS(3959),
    [anon_sym_LT_AT_AT] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3959),
    [anon_sym_while] = ACTIONS(3959),
    [anon_sym_if] = ACTIONS(3959),
    [anon_sym_fun] = ACTIONS(3959),
    [anon_sym_try] = ACTIONS(3959),
    [anon_sym_match] = ACTIONS(3959),
    [anon_sym_match_BANG] = ACTIONS(3957),
    [anon_sym_function] = ACTIONS(3959),
    [anon_sym_use] = ACTIONS(3959),
    [anon_sym_use_BANG] = ACTIONS(3957),
    [anon_sym_do_BANG] = ACTIONS(3957),
    [anon_sym_begin] = ACTIONS(3959),
    [anon_sym_SQUOTE] = ACTIONS(3957),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(3959),
    [anon_sym_AT_DQUOTE] = ACTIONS(3957),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3957),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3957),
    [sym_bool] = ACTIONS(3959),
    [sym_unit] = ACTIONS(3957),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3957),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS_DOT] = ACTIONS(3957),
    [anon_sym_DASH_DOT] = ACTIONS(3957),
    [anon_sym_PERCENT] = ACTIONS(3957),
    [anon_sym_AMP_AMP] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [aux_sym_prefix_op_token1] = ACTIONS(3957),
    [aux_sym_int_token1] = ACTIONS(3959),
    [aux_sym_xint_token1] = ACTIONS(3957),
    [aux_sym_xint_token2] = ACTIONS(3957),
    [aux_sym_xint_token3] = ACTIONS(3957),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3957),
  },
  [2228] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3762),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1356),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2228),
    [sym_block_comment] = STATE(2228),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2229] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3749),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(984),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2229),
    [sym_block_comment] = STATE(2229),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2230] = {
    [sym_attributes] = STATE(4830),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2230),
    [sym_block_comment] = STATE(2230),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2239),
    [sym_identifier] = ACTIONS(3959),
    [anon_sym_module] = ACTIONS(3959),
    [anon_sym_POUNDnowarn] = ACTIONS(3957),
    [anon_sym_POUNDr] = ACTIONS(3957),
    [anon_sym_POUNDload] = ACTIONS(3957),
    [anon_sym_open] = ACTIONS(3959),
    [anon_sym_LBRACK_LT] = ACTIONS(3957),
    [anon_sym_return] = ACTIONS(3959),
    [anon_sym_type] = ACTIONS(3959),
    [anon_sym_do] = ACTIONS(3959),
    [anon_sym_and] = ACTIONS(4006),
    [anon_sym_let] = ACTIONS(3959),
    [anon_sym_let_BANG] = ACTIONS(3957),
    [anon_sym_null] = ACTIONS(3959),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_AMP] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(3959),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3959),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3957),
    [anon_sym_new] = ACTIONS(3959),
    [anon_sym_return_BANG] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3959),
    [anon_sym_yield_BANG] = ACTIONS(3957),
    [anon_sym_lazy] = ACTIONS(3959),
    [anon_sym_assert] = ACTIONS(3959),
    [anon_sym_upcast] = ACTIONS(3959),
    [anon_sym_downcast] = ACTIONS(3959),
    [anon_sym_LT_AT] = ACTIONS(3959),
    [anon_sym_LT_AT_AT] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3959),
    [anon_sym_while] = ACTIONS(3959),
    [anon_sym_if] = ACTIONS(3959),
    [anon_sym_fun] = ACTIONS(3959),
    [anon_sym_try] = ACTIONS(3959),
    [anon_sym_match] = ACTIONS(3959),
    [anon_sym_match_BANG] = ACTIONS(3957),
    [anon_sym_function] = ACTIONS(3959),
    [anon_sym_use] = ACTIONS(3959),
    [anon_sym_use_BANG] = ACTIONS(3957),
    [anon_sym_do_BANG] = ACTIONS(3957),
    [anon_sym_begin] = ACTIONS(3959),
    [anon_sym_SQUOTE] = ACTIONS(3957),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3959),
    [anon_sym_DQUOTE] = ACTIONS(3959),
    [anon_sym_AT_DQUOTE] = ACTIONS(3957),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3957),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3957),
    [sym_bool] = ACTIONS(3959),
    [sym_unit] = ACTIONS(3957),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3957),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS_DOT] = ACTIONS(3957),
    [anon_sym_DASH_DOT] = ACTIONS(3957),
    [anon_sym_PERCENT] = ACTIONS(3957),
    [anon_sym_AMP_AMP] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [aux_sym_prefix_op_token1] = ACTIONS(3957),
    [aux_sym_int_token1] = ACTIONS(3959),
    [aux_sym_xint_token1] = ACTIONS(3957),
    [aux_sym_xint_token2] = ACTIONS(3957),
    [aux_sym_xint_token3] = ACTIONS(3957),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3957),
  },
  [2231] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3759),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1267),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2231),
    [sym_block_comment] = STATE(2231),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2232] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3750),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1369),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2232),
    [sym_block_comment] = STATE(2232),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2233] = {
    [sym_attributes] = STATE(4830),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2233),
    [sym_block_comment] = STATE(2233),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2233),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_module] = ACTIONS(3973),
    [anon_sym_POUNDnowarn] = ACTIONS(3971),
    [anon_sym_POUNDr] = ACTIONS(3971),
    [anon_sym_POUNDload] = ACTIONS(3971),
    [anon_sym_open] = ACTIONS(3973),
    [anon_sym_LBRACK_LT] = ACTIONS(3975),
    [anon_sym_return] = ACTIONS(3973),
    [anon_sym_type] = ACTIONS(3973),
    [anon_sym_do] = ACTIONS(3973),
    [anon_sym_and] = ACTIONS(4008),
    [anon_sym_let] = ACTIONS(3973),
    [anon_sym_let_BANG] = ACTIONS(3971),
    [anon_sym_null] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(3973),
    [anon_sym_AMP] = ACTIONS(3973),
    [anon_sym_LBRACK] = ACTIONS(3973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3971),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3971),
    [anon_sym_new] = ACTIONS(3973),
    [anon_sym_return_BANG] = ACTIONS(3971),
    [anon_sym_yield] = ACTIONS(3973),
    [anon_sym_yield_BANG] = ACTIONS(3971),
    [anon_sym_lazy] = ACTIONS(3973),
    [anon_sym_assert] = ACTIONS(3973),
    [anon_sym_upcast] = ACTIONS(3973),
    [anon_sym_downcast] = ACTIONS(3973),
    [anon_sym_LT_AT] = ACTIONS(3973),
    [anon_sym_LT_AT_AT] = ACTIONS(3971),
    [anon_sym_for] = ACTIONS(3973),
    [anon_sym_while] = ACTIONS(3973),
    [anon_sym_if] = ACTIONS(3973),
    [anon_sym_fun] = ACTIONS(3973),
    [anon_sym_try] = ACTIONS(3973),
    [anon_sym_match] = ACTIONS(3973),
    [anon_sym_match_BANG] = ACTIONS(3971),
    [anon_sym_function] = ACTIONS(3973),
    [anon_sym_use] = ACTIONS(3973),
    [anon_sym_use_BANG] = ACTIONS(3971),
    [anon_sym_do_BANG] = ACTIONS(3971),
    [anon_sym_begin] = ACTIONS(3973),
    [anon_sym_SQUOTE] = ACTIONS(3971),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3973),
    [anon_sym_DQUOTE] = ACTIONS(3973),
    [anon_sym_AT_DQUOTE] = ACTIONS(3971),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3971),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3971),
    [sym_bool] = ACTIONS(3973),
    [sym_unit] = ACTIONS(3971),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3971),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3973),
    [anon_sym_PLUS] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3973),
    [anon_sym_PLUS_DOT] = ACTIONS(3971),
    [anon_sym_DASH_DOT] = ACTIONS(3971),
    [anon_sym_PERCENT] = ACTIONS(3971),
    [anon_sym_AMP_AMP] = ACTIONS(3971),
    [anon_sym_TILDE] = ACTIONS(3971),
    [aux_sym_prefix_op_token1] = ACTIONS(3971),
    [aux_sym_int_token1] = ACTIONS(3973),
    [aux_sym_xint_token1] = ACTIONS(3971),
    [aux_sym_xint_token2] = ACTIONS(3971),
    [aux_sym_xint_token3] = ACTIONS(3971),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3971),
  },
  [2234] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3772),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(952),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2234),
    [sym_block_comment] = STATE(2234),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2235] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3749),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1025),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2235),
    [sym_block_comment] = STATE(2235),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2236] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3750),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1401),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2236),
    [sym_block_comment] = STATE(2236),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2237] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3749),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(913),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2237),
    [sym_block_comment] = STATE(2237),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2238] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3711),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2238),
    [sym_block_comment] = STATE(2238),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4011),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2239] = {
    [sym_attributes] = STATE(4830),
    [sym_attribute_set] = STATE(3115),
    [sym_xml_doc] = STATE(2239),
    [sym_block_comment] = STATE(2239),
    [aux_sym_attributes_repeat1] = STATE(3032),
    [aux_sym_type_definition_repeat1] = STATE(2233),
    [sym_identifier] = ACTIONS(3965),
    [anon_sym_module] = ACTIONS(3965),
    [anon_sym_POUNDnowarn] = ACTIONS(3963),
    [anon_sym_POUNDr] = ACTIONS(3963),
    [anon_sym_POUNDload] = ACTIONS(3963),
    [anon_sym_open] = ACTIONS(3965),
    [anon_sym_LBRACK_LT] = ACTIONS(3963),
    [anon_sym_return] = ACTIONS(3965),
    [anon_sym_type] = ACTIONS(3965),
    [anon_sym_do] = ACTIONS(3965),
    [anon_sym_and] = ACTIONS(4006),
    [anon_sym_let] = ACTIONS(3965),
    [anon_sym_let_BANG] = ACTIONS(3963),
    [anon_sym_null] = ACTIONS(3965),
    [anon_sym_LPAREN] = ACTIONS(3965),
    [anon_sym_AMP] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3965),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3965),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3963),
    [anon_sym_new] = ACTIONS(3965),
    [anon_sym_return_BANG] = ACTIONS(3963),
    [anon_sym_yield] = ACTIONS(3965),
    [anon_sym_yield_BANG] = ACTIONS(3963),
    [anon_sym_lazy] = ACTIONS(3965),
    [anon_sym_assert] = ACTIONS(3965),
    [anon_sym_upcast] = ACTIONS(3965),
    [anon_sym_downcast] = ACTIONS(3965),
    [anon_sym_LT_AT] = ACTIONS(3965),
    [anon_sym_LT_AT_AT] = ACTIONS(3963),
    [anon_sym_for] = ACTIONS(3965),
    [anon_sym_while] = ACTIONS(3965),
    [anon_sym_if] = ACTIONS(3965),
    [anon_sym_fun] = ACTIONS(3965),
    [anon_sym_try] = ACTIONS(3965),
    [anon_sym_match] = ACTIONS(3965),
    [anon_sym_match_BANG] = ACTIONS(3963),
    [anon_sym_function] = ACTIONS(3965),
    [anon_sym_use] = ACTIONS(3965),
    [anon_sym_use_BANG] = ACTIONS(3963),
    [anon_sym_do_BANG] = ACTIONS(3963),
    [anon_sym_begin] = ACTIONS(3965),
    [anon_sym_SQUOTE] = ACTIONS(3963),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3965),
    [anon_sym_DQUOTE] = ACTIONS(3965),
    [anon_sym_AT_DQUOTE] = ACTIONS(3963),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3963),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3963),
    [sym_bool] = ACTIONS(3965),
    [sym_unit] = ACTIONS(3963),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3963),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3965),
    [anon_sym_PLUS] = ACTIONS(3965),
    [anon_sym_DASH] = ACTIONS(3965),
    [anon_sym_PLUS_DOT] = ACTIONS(3963),
    [anon_sym_DASH_DOT] = ACTIONS(3963),
    [anon_sym_PERCENT] = ACTIONS(3963),
    [anon_sym_AMP_AMP] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [aux_sym_prefix_op_token1] = ACTIONS(3963),
    [aux_sym_int_token1] = ACTIONS(3965),
    [aux_sym_xint_token1] = ACTIONS(3963),
    [aux_sym_xint_token2] = ACTIONS(3963),
    [aux_sym_xint_token3] = ACTIONS(3963),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3963),
  },
  [2240] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2810),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2240),
    [sym_block_comment] = STATE(2240),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [aux_sym__method_defn_repeat1] = STATE(2183),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2241] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3772),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(846),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2241),
    [sym_block_comment] = STATE(2241),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2242] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3750),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_rule] = STATE(1340),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2242),
    [sym_block_comment] = STATE(2242),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2243] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3693),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2243),
    [sym_block_comment] = STATE(2243),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4013),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2244] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3846),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2244),
    [sym_block_comment] = STATE(2244),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2245] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3687),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2245),
    [sym_block_comment] = STATE(2245),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2246] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3850),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2246),
    [sym_block_comment] = STATE(2246),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4015),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2247] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2723),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2052),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2247),
    [sym_block_comment] = STATE(2247),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(4019),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2248] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2850),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2248),
    [sym_block_comment] = STATE(2248),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2249] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3852),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2249),
    [sym_block_comment] = STATE(2249),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2250] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3851),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2250),
    [sym_block_comment] = STATE(2250),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4053),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2251] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2862),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2251),
    [sym_block_comment] = STATE(2251),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2252] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2871),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2252),
    [sym_block_comment] = STATE(2252),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2253] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2872),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2253),
    [sym_block_comment] = STATE(2253),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2254] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2873),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2254),
    [sym_block_comment] = STATE(2254),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2255] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2874),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2255),
    [sym_block_comment] = STATE(2255),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2256] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2877),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2256),
    [sym_block_comment] = STATE(2256),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2257] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2878),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2257),
    [sym_block_comment] = STATE(2257),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2258] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3840),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2258),
    [sym_block_comment] = STATE(2258),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4057),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2259] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2854),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2259),
    [sym_block_comment] = STATE(2259),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2260] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2884),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2260),
    [sym_block_comment] = STATE(2260),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2261] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2694),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2052),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2261),
    [sym_block_comment] = STATE(2261),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(4019),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2262] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2693),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2052),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2262),
    [sym_block_comment] = STATE(2262),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(4019),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2263] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2724),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2052),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2263),
    [sym_block_comment] = STATE(2263),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(4019),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2264] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2747),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2052),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2264),
    [sym_block_comment] = STATE(2264),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(4019),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2265] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2692),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2052),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2265),
    [sym_block_comment] = STATE(2265),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(4019),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2266] = {
    [sym_attributes] = STATE(2265),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2748),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2052),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2266),
    [sym_block_comment] = STATE(2266),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(4019),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2267] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3684),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2267),
    [sym_block_comment] = STATE(2267),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2268] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3879),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2268),
    [sym_block_comment] = STATE(2268),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2269] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3500),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2269),
    [sym_block_comment] = STATE(2269),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2270] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2853),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2270),
    [sym_block_comment] = STATE(2270),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2271] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2851),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2271),
    [sym_block_comment] = STATE(2271),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2272] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2859),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2272),
    [sym_block_comment] = STATE(2272),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2273] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3884),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2273),
    [sym_block_comment] = STATE(2273),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2274] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3834),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2274),
    [sym_block_comment] = STATE(2274),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4015),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2275] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3703),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2275),
    [sym_block_comment] = STATE(2275),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2276] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3832),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2276),
    [sym_block_comment] = STATE(2276),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4059),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2277] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3826),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2277),
    [sym_block_comment] = STATE(2277),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2278] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3853),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2278),
    [sym_block_comment] = STATE(2278),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4061),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2279] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3893),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2279),
    [sym_block_comment] = STATE(2279),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2280] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3844),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2280),
    [sym_block_comment] = STATE(2280),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4015),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2281] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3516),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2281),
    [sym_block_comment] = STATE(2281),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2282] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3674),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2282),
    [sym_block_comment] = STATE(2282),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2283] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3882),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2283),
    [sym_block_comment] = STATE(2283),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2284] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2880),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2284),
    [sym_block_comment] = STATE(2284),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2285] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3833),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2285),
    [sym_block_comment] = STATE(2285),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2286] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3855),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2286),
    [sym_block_comment] = STATE(2286),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4065),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2287] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3889),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2287),
    [sym_block_comment] = STATE(2287),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2288] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3708),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2030),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2288),
    [sym_block_comment] = STATE(2288),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2289] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3707),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2030),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2289),
    [sym_block_comment] = STATE(2289),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2290] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3702),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2030),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2290),
    [sym_block_comment] = STATE(2290),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2291] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3700),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2030),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2291),
    [sym_block_comment] = STATE(2291),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2292] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3890),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2292),
    [sym_block_comment] = STATE(2292),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2293] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3697),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2030),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2293),
    [sym_block_comment] = STATE(2293),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2294] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3894),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2294),
    [sym_block_comment] = STATE(2294),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2295] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3878),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2295),
    [sym_block_comment] = STATE(2295),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2296] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3856),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2296),
    [sym_block_comment] = STATE(2296),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2297] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3777),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2047),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2297),
    [sym_block_comment] = STATE(2297),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2298] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3785),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2047),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2298),
    [sym_block_comment] = STATE(2298),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2299] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3786),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2047),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2299),
    [sym_block_comment] = STATE(2299),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2300] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3790),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2047),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2300),
    [sym_block_comment] = STATE(2300),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2301] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3868),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2301),
    [sym_block_comment] = STATE(2301),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4015),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2302] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3895),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2302),
    [sym_block_comment] = STATE(2302),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2303] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3779),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2047),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2303),
    [sym_block_comment] = STATE(2303),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2304] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3694),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2030),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2304),
    [sym_block_comment] = STATE(2304),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2305] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3876),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2305),
    [sym_block_comment] = STATE(2305),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2306] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3875),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2306),
    [sym_block_comment] = STATE(2306),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2307] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3887),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2307),
    [sym_block_comment] = STATE(2307),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2308] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3848),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2308),
    [sym_block_comment] = STATE(2308),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4059),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2309] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3527),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2309),
    [sym_block_comment] = STATE(2309),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2310] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3532),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2310),
    [sym_block_comment] = STATE(2310),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2311] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3538),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2311),
    [sym_block_comment] = STATE(2311),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2312] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3541),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2312),
    [sym_block_comment] = STATE(2312),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2313] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3756),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2047),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2313),
    [sym_block_comment] = STATE(2313),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2314] = {
    [sym_interface_implementation] = STATE(2357),
    [sym_xml_doc] = STATE(2314),
    [sym_block_comment] = STATE(2314),
    [aux_sym__object_expression_inner_repeat1] = STATE(2340),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym_module] = ACTIONS(3991),
    [anon_sym_POUNDnowarn] = ACTIONS(3989),
    [anon_sym_POUNDr] = ACTIONS(3989),
    [anon_sym_POUNDload] = ACTIONS(3989),
    [anon_sym_open] = ACTIONS(3991),
    [anon_sym_LBRACK_LT] = ACTIONS(3989),
    [anon_sym_return] = ACTIONS(3991),
    [anon_sym_type] = ACTIONS(3991),
    [anon_sym_do] = ACTIONS(3991),
    [anon_sym_and] = ACTIONS(3991),
    [anon_sym_let] = ACTIONS(3991),
    [anon_sym_let_BANG] = ACTIONS(3989),
    [anon_sym_null] = ACTIONS(3991),
    [anon_sym_LPAREN] = ACTIONS(3991),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3989),
    [anon_sym_LBRACE] = ACTIONS(3991),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3989),
    [anon_sym_new] = ACTIONS(3991),
    [anon_sym_return_BANG] = ACTIONS(3989),
    [anon_sym_yield] = ACTIONS(3991),
    [anon_sym_yield_BANG] = ACTIONS(3989),
    [anon_sym_lazy] = ACTIONS(3991),
    [anon_sym_assert] = ACTIONS(3991),
    [anon_sym_upcast] = ACTIONS(3991),
    [anon_sym_downcast] = ACTIONS(3991),
    [anon_sym_LT_AT] = ACTIONS(3991),
    [anon_sym_LT_AT_AT] = ACTIONS(3989),
    [anon_sym_for] = ACTIONS(3991),
    [anon_sym_while] = ACTIONS(3991),
    [anon_sym_if] = ACTIONS(3991),
    [anon_sym_fun] = ACTIONS(3991),
    [anon_sym_try] = ACTIONS(3991),
    [anon_sym_match] = ACTIONS(3991),
    [anon_sym_match_BANG] = ACTIONS(3989),
    [anon_sym_function] = ACTIONS(3991),
    [anon_sym_use] = ACTIONS(3991),
    [anon_sym_use_BANG] = ACTIONS(3989),
    [anon_sym_do_BANG] = ACTIONS(3989),
    [anon_sym_begin] = ACTIONS(3991),
    [anon_sym_SQUOTE] = ACTIONS(3989),
    [anon_sym_interface] = ACTIONS(4067),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3991),
    [anon_sym_DQUOTE] = ACTIONS(3991),
    [anon_sym_AT_DQUOTE] = ACTIONS(3989),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3989),
    [sym_bool] = ACTIONS(3991),
    [sym_unit] = ACTIONS(3989),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3989),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS_DOT] = ACTIONS(3989),
    [anon_sym_DASH_DOT] = ACTIONS(3989),
    [anon_sym_PERCENT] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [aux_sym_prefix_op_token1] = ACTIONS(3989),
    [aux_sym_int_token1] = ACTIONS(3991),
    [aux_sym_xint_token1] = ACTIONS(3989),
    [aux_sym_xint_token2] = ACTIONS(3989),
    [aux_sym_xint_token3] = ACTIONS(3989),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3989),
  },
  [2315] = {
    [sym_attributes] = STATE(2315),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3499),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(1689),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2315),
    [sym_block_comment] = STATE(2315),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3395),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2316] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3689),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2316),
    [sym_block_comment] = STATE(2316),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2317] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3691),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2317),
    [sym_block_comment] = STATE(2317),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2318] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3698),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2318),
    [sym_block_comment] = STATE(2318),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2319] = {
    [sym_attributes] = STATE(2256),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2867),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2051),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2319),
    [sym_block_comment] = STATE(2319),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3681),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2320] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3845),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2320),
    [sym_block_comment] = STATE(2320),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2321] = {
    [sym_attributes] = STATE(2293),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3716),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2030),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2321),
    [sym_block_comment] = STATE(2321),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3627),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2322] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3860),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2322),
    [sym_block_comment] = STATE(2322),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2323] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2790),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2323),
    [sym_block_comment] = STATE(2323),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2324] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3861),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2324),
    [sym_block_comment] = STATE(2324),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2325] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3829),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2325),
    [sym_block_comment] = STATE(2325),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2326] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3827),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2326),
    [sym_block_comment] = STATE(2326),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2327] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3824),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2327),
    [sym_block_comment] = STATE(2327),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2328] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2751),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2328),
    [sym_block_comment] = STATE(2328),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2329] = {
    [sym_attributes] = STATE(2303),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3780),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2047),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2329),
    [sym_block_comment] = STATE(2329),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3657),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2330] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3816),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2330),
    [sym_block_comment] = STATE(2330),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2331] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3867),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2331),
    [sym_block_comment] = STATE(2331),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2332] = {
    [sym_attributes] = STATE(2275),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3705),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2032),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2332),
    [sym_block_comment] = STATE(2332),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3566),
    [anon_sym_COLON_QMARK] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2333] = {
    [sym_attributes] = STATE(2330),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3818),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2048),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2333),
    [sym_block_comment] = STATE(2333),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3619),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3677),
    [anon_sym_COLON_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3679),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2334] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3857),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2334),
    [sym_block_comment] = STATE(2334),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2335] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3858),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2335),
    [sym_block_comment] = STATE(2335),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4069),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2336] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2788),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2336),
    [sym_block_comment] = STATE(2336),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2337] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2780),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2337),
    [sym_block_comment] = STATE(2337),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2338] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2771),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2338),
    [sym_block_comment] = STATE(2338),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2339] = {
    [sym_attributes] = STATE(2283),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(3859),
    [sym_optional_pattern] = STATE(3342),
    [sym_type_check_pattern] = STATE(3342),
    [sym_attribute_pattern] = STATE(3342),
    [sym_paren_pattern] = STATE(3342),
    [sym_repeat_pattern] = STATE(3342),
    [sym_as_pattern] = STATE(3342),
    [sym_cons_pattern] = STATE(3342),
    [sym_disjunct_pattern] = STATE(3342),
    [sym_conjunct_pattern] = STATE(3342),
    [sym_typed_pattern] = STATE(3342),
    [sym_list_pattern] = STATE(3342),
    [sym_array_pattern] = STATE(3342),
    [sym_record_pattern] = STATE(3342),
    [sym_identifier_pattern] = STATE(3342),
    [sym_char] = STATE(3376),
    [sym_format_string] = STATE(3372),
    [sym_string] = STATE(3376),
    [sym_verbatim_string] = STATE(3376),
    [sym_bytechar] = STATE(3376),
    [sym_bytearray] = STATE(3376),
    [sym_verbatim_bytearray] = STATE(3376),
    [sym_format_triple_quoted_string] = STATE(3368),
    [sym_triple_quoted_string] = STATE(3376),
    [sym_const] = STATE(3341),
    [sym_long_identifier] = STATE(2060),
    [sym_int] = STATE(2821),
    [sym_xint] = STATE(3592),
    [sym_sbyte] = STATE(3376),
    [sym_byte] = STATE(3376),
    [sym_int16] = STATE(3376),
    [sym_uint16] = STATE(3376),
    [sym_int32] = STATE(3376),
    [sym_uint32] = STATE(3376),
    [sym_nativeint] = STATE(3376),
    [sym_unativeint] = STATE(3376),
    [sym_int64] = STATE(3376),
    [sym_uint64] = STATE(3376),
    [sym_ieee32] = STATE(3376),
    [sym_ieee64] = STATE(3376),
    [sym_bignum] = STATE(3376),
    [sym_decimal] = STATE(3376),
    [sym_float] = STATE(4564),
    [sym_xml_doc] = STATE(2339),
    [sym_block_comment] = STATE(2339),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(4071),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3494),
    [anon_sym__] = ACTIONS(3393),
    [anon_sym_QMARK] = ACTIONS(3687),
    [anon_sym_COLON_QMARK] = ACTIONS(3655),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_AT_DQUOTE] = ACTIONS(3502),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3504),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3506),
    [sym_bool] = ACTIONS(3508),
    [sym_unit] = ACTIONS(3510),
    [aux_sym_int_token1] = ACTIONS(3512),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2340] = {
    [sym_interface_implementation] = STATE(2357),
    [sym_xml_doc] = STATE(2340),
    [sym_block_comment] = STATE(2340),
    [aux_sym__object_expression_inner_repeat1] = STATE(2340),
    [sym_identifier] = ACTIONS(3997),
    [anon_sym_module] = ACTIONS(3997),
    [anon_sym_POUNDnowarn] = ACTIONS(3995),
    [anon_sym_POUNDr] = ACTIONS(3995),
    [anon_sym_POUNDload] = ACTIONS(3995),
    [anon_sym_open] = ACTIONS(3997),
    [anon_sym_LBRACK_LT] = ACTIONS(3995),
    [anon_sym_return] = ACTIONS(3997),
    [anon_sym_type] = ACTIONS(3997),
    [anon_sym_do] = ACTIONS(3997),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_let_BANG] = ACTIONS(3995),
    [anon_sym_null] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3997),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3997),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3995),
    [anon_sym_new] = ACTIONS(3997),
    [anon_sym_return_BANG] = ACTIONS(3995),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_yield_BANG] = ACTIONS(3995),
    [anon_sym_lazy] = ACTIONS(3997),
    [anon_sym_assert] = ACTIONS(3997),
    [anon_sym_upcast] = ACTIONS(3997),
    [anon_sym_downcast] = ACTIONS(3997),
    [anon_sym_LT_AT] = ACTIONS(3997),
    [anon_sym_LT_AT_AT] = ACTIONS(3995),
    [anon_sym_for] = ACTIONS(3997),
    [anon_sym_while] = ACTIONS(3997),
    [anon_sym_if] = ACTIONS(3997),
    [anon_sym_fun] = ACTIONS(3997),
    [anon_sym_try] = ACTIONS(3997),
    [anon_sym_match] = ACTIONS(3997),
    [anon_sym_match_BANG] = ACTIONS(3995),
    [anon_sym_function] = ACTIONS(3997),
    [anon_sym_use] = ACTIONS(3997),
    [anon_sym_use_BANG] = ACTIONS(3995),
    [anon_sym_do_BANG] = ACTIONS(3995),
    [anon_sym_begin] = ACTIONS(3997),
    [anon_sym_SQUOTE] = ACTIONS(3995),
    [anon_sym_interface] = ACTIONS(4073),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3997),
    [anon_sym_DQUOTE] = ACTIONS(3997),
    [anon_sym_AT_DQUOTE] = ACTIONS(3995),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3995),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3995),
    [sym_bool] = ACTIONS(3997),
    [sym_unit] = ACTIONS(3995),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3995),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3997),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_PLUS_DOT] = ACTIONS(3995),
    [anon_sym_DASH_DOT] = ACTIONS(3995),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_TILDE] = ACTIONS(3995),
    [aux_sym_prefix_op_token1] = ACTIONS(3995),
    [aux_sym_int_token1] = ACTIONS(3997),
    [aux_sym_xint_token1] = ACTIONS(3995),
    [aux_sym_xint_token2] = ACTIONS(3995),
    [aux_sym_xint_token3] = ACTIONS(3995),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3995),
  },
  [2341] = {
    [sym_attributes] = STATE(2338),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2787),
    [sym_optional_pattern] = STATE(2794),
    [sym_type_check_pattern] = STATE(2794),
    [sym_attribute_pattern] = STATE(2794),
    [sym_paren_pattern] = STATE(2794),
    [sym_repeat_pattern] = STATE(2794),
    [sym_as_pattern] = STATE(2794),
    [sym_cons_pattern] = STATE(2794),
    [sym_disjunct_pattern] = STATE(2794),
    [sym_conjunct_pattern] = STATE(2794),
    [sym_typed_pattern] = STATE(2794),
    [sym_list_pattern] = STATE(2794),
    [sym_array_pattern] = STATE(2794),
    [sym_record_pattern] = STATE(2794),
    [sym_identifier_pattern] = STATE(2794),
    [sym_char] = STATE(2642),
    [sym_format_string] = STATE(2612),
    [sym_string] = STATE(2642),
    [sym_verbatim_string] = STATE(2642),
    [sym_bytechar] = STATE(2642),
    [sym_bytearray] = STATE(2642),
    [sym_verbatim_bytearray] = STATE(2642),
    [sym_format_triple_quoted_string] = STATE(2643),
    [sym_triple_quoted_string] = STATE(2642),
    [sym_const] = STATE(2785),
    [sym_long_identifier] = STATE(2067),
    [sym_int] = STATE(2557),
    [sym_xint] = STATE(3565),
    [sym_sbyte] = STATE(2642),
    [sym_byte] = STATE(2642),
    [sym_int16] = STATE(2642),
    [sym_uint16] = STATE(2642),
    [sym_int32] = STATE(2642),
    [sym_uint32] = STATE(2642),
    [sym_nativeint] = STATE(2642),
    [sym_unativeint] = STATE(2642),
    [sym_int64] = STATE(2642),
    [sym_uint64] = STATE(2642),
    [sym_ieee32] = STATE(2642),
    [sym_ieee64] = STATE(2642),
    [sym_bignum] = STATE(2642),
    [sym_decimal] = STATE(2642),
    [sym_float] = STATE(4498),
    [sym_xml_doc] = STATE(2341),
    [sym_block_comment] = STATE(2341),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(3743),
    [anon_sym__] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(3747),
    [anon_sym_COLON_QMARK] = ACTIONS(3749),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3409),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [anon_sym_AT_DQUOTE] = ACTIONS(3413),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3417),
    [sym_bool] = ACTIONS(3419),
    [sym_unit] = ACTIONS(3421),
    [aux_sym_int_token1] = ACTIONS(3423),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2342] = {
    [sym_attributes] = STATE(2272),
    [sym_attribute_set] = STATE(2918),
    [sym__pattern] = STATE(2837),
    [sym_optional_pattern] = STATE(2866),
    [sym_type_check_pattern] = STATE(2866),
    [sym_attribute_pattern] = STATE(2866),
    [sym_paren_pattern] = STATE(2866),
    [sym_repeat_pattern] = STATE(2866),
    [sym_as_pattern] = STATE(2866),
    [sym_cons_pattern] = STATE(2866),
    [sym_disjunct_pattern] = STATE(2866),
    [sym_conjunct_pattern] = STATE(2866),
    [sym_typed_pattern] = STATE(2866),
    [sym_list_pattern] = STATE(2866),
    [sym_array_pattern] = STATE(2866),
    [sym_record_pattern] = STATE(2866),
    [sym_identifier_pattern] = STATE(2866),
    [sym_char] = STATE(2882),
    [sym_format_string] = STATE(2899),
    [sym_string] = STATE(2882),
    [sym_verbatim_string] = STATE(2882),
    [sym_bytechar] = STATE(2882),
    [sym_bytearray] = STATE(2882),
    [sym_verbatim_bytearray] = STATE(2882),
    [sym_format_triple_quoted_string] = STATE(2885),
    [sym_triple_quoted_string] = STATE(2882),
    [sym_const] = STATE(2863),
    [sym_long_identifier] = STATE(2054),
    [sym_int] = STATE(2572),
    [sym_xint] = STATE(3603),
    [sym_sbyte] = STATE(2882),
    [sym_byte] = STATE(2882),
    [sym_int16] = STATE(2882),
    [sym_uint16] = STATE(2882),
    [sym_int32] = STATE(2882),
    [sym_uint32] = STATE(2882),
    [sym_nativeint] = STATE(2882),
    [sym_unativeint] = STATE(2882),
    [sym_int64] = STATE(2882),
    [sym_uint64] = STATE(2882),
    [sym_ieee32] = STATE(2882),
    [sym_ieee64] = STATE(2882),
    [sym_bignum] = STATE(2882),
    [sym_decimal] = STATE(2882),
    [sym_float] = STATE(4355),
    [sym_xml_doc] = STATE(2342),
    [sym_block_comment] = STATE(2342),
    [aux_sym_attributes_repeat1] = STATE(2926),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LBRACK_LT] = ACTIONS(3387),
    [anon_sym_null] = ACTIONS(4021),
    [anon_sym__] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(3685),
    [anon_sym_COLON_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(4027),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(4031),
    [anon_sym_SQUOTE] = ACTIONS(4033),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4035),
    [anon_sym_DQUOTE] = ACTIONS(4037),
    [anon_sym_AT_DQUOTE] = ACTIONS(4039),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4043),
    [sym_bool] = ACTIONS(4045),
    [sym_unit] = ACTIONS(4047),
    [aux_sym_int_token1] = ACTIONS(4049),
    [aux_sym_xint_token1] = ACTIONS(107),
    [aux_sym_xint_token2] = ACTIONS(109),
    [aux_sym_xint_token3] = ACTIONS(111),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(7),
  },
  [2343] = {
    [sym_xml_doc] = STATE(2343),
    [sym_block_comment] = STATE(2343),
    [ts_builtin_sym_end] = ACTIONS(4076),
    [sym_identifier] = ACTIONS(4078),
    [anon_sym_namespace] = ACTIONS(4078),
    [anon_sym_module] = ACTIONS(4078),
    [anon_sym_POUNDnowarn] = ACTIONS(4076),
    [anon_sym_POUNDr] = ACTIONS(4076),
    [anon_sym_POUNDload] = ACTIONS(4076),
    [anon_sym_open] = ACTIONS(4078),
    [anon_sym_LBRACK_LT] = ACTIONS(4076),
    [anon_sym_return] = ACTIONS(4078),
    [anon_sym_type] = ACTIONS(4078),
    [anon_sym_do] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_let] = ACTIONS(4078),
    [anon_sym_let_BANG] = ACTIONS(4076),
    [anon_sym_null] = ACTIONS(4078),
    [anon_sym_LPAREN] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_LBRACK] = ACTIONS(4078),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4076),
    [anon_sym_LBRACE] = ACTIONS(4078),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4076),
    [anon_sym_new] = ACTIONS(4078),
    [anon_sym_return_BANG] = ACTIONS(4076),
    [anon_sym_yield] = ACTIONS(4078),
    [anon_sym_yield_BANG] = ACTIONS(4076),
    [anon_sym_lazy] = ACTIONS(4078),
    [anon_sym_assert] = ACTIONS(4078),
    [anon_sym_upcast] = ACTIONS(4078),
    [anon_sym_downcast] = ACTIONS(4078),
    [anon_sym_LT_AT] = ACTIONS(4078),
    [anon_sym_LT_AT_AT] = ACTIONS(4076),
    [anon_sym_for] = ACTIONS(4078),
    [anon_sym_while] = ACTIONS(4078),
    [anon_sym_if] = ACTIONS(4078),
    [anon_sym_fun] = ACTIONS(4078),
    [anon_sym_try] = ACTIONS(4078),
    [anon_sym_match] = ACTIONS(4078),
    [anon_sym_match_BANG] = ACTIONS(4076),
    [anon_sym_function] = ACTIONS(4078),
    [anon_sym_use] = ACTIONS(4078),
    [anon_sym_use_BANG] = ACTIONS(4076),
    [anon_sym_do_BANG] = ACTIONS(4076),
    [anon_sym_begin] = ACTIONS(4078),
    [anon_sym_SQUOTE] = ACTIONS(4076),
    [anon_sym_interface] = ACTIONS(4078),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4078),
    [anon_sym_DQUOTE] = ACTIONS(4078),
    [anon_sym_AT_DQUOTE] = ACTIONS(4076),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4076),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4076),
    [sym_bool] = ACTIONS(4078),
    [sym_unit] = ACTIONS(4076),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4076),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS_DOT] = ACTIONS(4076),
    [anon_sym_DASH_DOT] = ACTIONS(4076),
    [anon_sym_PERCENT] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4076),
    [aux_sym_prefix_op_token1] = ACTIONS(4076),
    [aux_sym_int_token1] = ACTIONS(4078),
    [aux_sym_xint_token1] = ACTIONS(4076),
    [aux_sym_xint_token2] = ACTIONS(4076),
    [aux_sym_xint_token3] = ACTIONS(4076),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2344] = {
    [sym_xml_doc] = STATE(2344),
    [sym_block_comment] = STATE(2344),
    [ts_builtin_sym_end] = ACTIONS(4080),
    [sym_identifier] = ACTIONS(4082),
    [anon_sym_namespace] = ACTIONS(4082),
    [anon_sym_module] = ACTIONS(4082),
    [anon_sym_POUNDnowarn] = ACTIONS(4080),
    [anon_sym_POUNDr] = ACTIONS(4080),
    [anon_sym_POUNDload] = ACTIONS(4080),
    [anon_sym_open] = ACTIONS(4082),
    [anon_sym_LBRACK_LT] = ACTIONS(4080),
    [anon_sym_return] = ACTIONS(4082),
    [anon_sym_type] = ACTIONS(4082),
    [anon_sym_do] = ACTIONS(4082),
    [anon_sym_and] = ACTIONS(4082),
    [anon_sym_let] = ACTIONS(4082),
    [anon_sym_let_BANG] = ACTIONS(4080),
    [anon_sym_null] = ACTIONS(4082),
    [anon_sym_LPAREN] = ACTIONS(4082),
    [anon_sym_AMP] = ACTIONS(4082),
    [anon_sym_LBRACK] = ACTIONS(4082),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(4082),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4080),
    [anon_sym_new] = ACTIONS(4082),
    [anon_sym_return_BANG] = ACTIONS(4080),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_yield_BANG] = ACTIONS(4080),
    [anon_sym_lazy] = ACTIONS(4082),
    [anon_sym_assert] = ACTIONS(4082),
    [anon_sym_upcast] = ACTIONS(4082),
    [anon_sym_downcast] = ACTIONS(4082),
    [anon_sym_LT_AT] = ACTIONS(4082),
    [anon_sym_LT_AT_AT] = ACTIONS(4080),
    [anon_sym_for] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(4082),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_fun] = ACTIONS(4082),
    [anon_sym_try] = ACTIONS(4082),
    [anon_sym_match] = ACTIONS(4082),
    [anon_sym_match_BANG] = ACTIONS(4080),
    [anon_sym_function] = ACTIONS(4082),
    [anon_sym_use] = ACTIONS(4082),
    [anon_sym_use_BANG] = ACTIONS(4080),
    [anon_sym_do_BANG] = ACTIONS(4080),
    [anon_sym_begin] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4080),
    [anon_sym_interface] = ACTIONS(4082),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4082),
    [anon_sym_DQUOTE] = ACTIONS(4082),
    [anon_sym_AT_DQUOTE] = ACTIONS(4080),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4080),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4080),
    [sym_bool] = ACTIONS(4082),
    [sym_unit] = ACTIONS(4080),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4080),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4082),
    [anon_sym_DASH] = ACTIONS(4082),
    [anon_sym_PLUS_DOT] = ACTIONS(4080),
    [anon_sym_DASH_DOT] = ACTIONS(4080),
    [anon_sym_PERCENT] = ACTIONS(4080),
    [anon_sym_AMP_AMP] = ACTIONS(4080),
    [anon_sym_TILDE] = ACTIONS(4080),
    [aux_sym_prefix_op_token1] = ACTIONS(4080),
    [aux_sym_int_token1] = ACTIONS(4082),
    [aux_sym_xint_token1] = ACTIONS(4080),
    [aux_sym_xint_token2] = ACTIONS(4080),
    [aux_sym_xint_token3] = ACTIONS(4080),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2345] = {
    [sym_xml_doc] = STATE(2345),
    [sym_block_comment] = STATE(2345),
    [ts_builtin_sym_end] = ACTIONS(4084),
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_namespace] = ACTIONS(4086),
    [anon_sym_module] = ACTIONS(4086),
    [anon_sym_POUNDnowarn] = ACTIONS(4084),
    [anon_sym_POUNDr] = ACTIONS(4084),
    [anon_sym_POUNDload] = ACTIONS(4084),
    [anon_sym_open] = ACTIONS(4086),
    [anon_sym_LBRACK_LT] = ACTIONS(4084),
    [anon_sym_return] = ACTIONS(4086),
    [anon_sym_type] = ACTIONS(4086),
    [anon_sym_do] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4086),
    [anon_sym_let] = ACTIONS(4086),
    [anon_sym_let_BANG] = ACTIONS(4084),
    [anon_sym_null] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4084),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4084),
    [anon_sym_new] = ACTIONS(4086),
    [anon_sym_return_BANG] = ACTIONS(4084),
    [anon_sym_yield] = ACTIONS(4086),
    [anon_sym_yield_BANG] = ACTIONS(4084),
    [anon_sym_lazy] = ACTIONS(4086),
    [anon_sym_assert] = ACTIONS(4086),
    [anon_sym_upcast] = ACTIONS(4086),
    [anon_sym_downcast] = ACTIONS(4086),
    [anon_sym_LT_AT] = ACTIONS(4086),
    [anon_sym_LT_AT_AT] = ACTIONS(4084),
    [anon_sym_for] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(4086),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_fun] = ACTIONS(4086),
    [anon_sym_try] = ACTIONS(4086),
    [anon_sym_match] = ACTIONS(4086),
    [anon_sym_match_BANG] = ACTIONS(4084),
    [anon_sym_function] = ACTIONS(4086),
    [anon_sym_use] = ACTIONS(4086),
    [anon_sym_use_BANG] = ACTIONS(4084),
    [anon_sym_do_BANG] = ACTIONS(4084),
    [anon_sym_begin] = ACTIONS(4086),
    [anon_sym_SQUOTE] = ACTIONS(4084),
    [anon_sym_interface] = ACTIONS(4086),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4086),
    [anon_sym_DQUOTE] = ACTIONS(4086),
    [anon_sym_AT_DQUOTE] = ACTIONS(4084),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4084),
    [sym_bool] = ACTIONS(4086),
    [sym_unit] = ACTIONS(4084),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4084),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4086),
    [anon_sym_DASH] = ACTIONS(4086),
    [anon_sym_PLUS_DOT] = ACTIONS(4084),
    [anon_sym_DASH_DOT] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [anon_sym_AMP_AMP] = ACTIONS(4084),
    [anon_sym_TILDE] = ACTIONS(4084),
    [aux_sym_prefix_op_token1] = ACTIONS(4084),
    [aux_sym_int_token1] = ACTIONS(4086),
    [aux_sym_xint_token1] = ACTIONS(4084),
    [aux_sym_xint_token2] = ACTIONS(4084),
    [aux_sym_xint_token3] = ACTIONS(4084),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2346] = {
    [sym_xml_doc] = STATE(2346),
    [sym_block_comment] = STATE(2346),
    [aux_sym_long_identifier_repeat1] = STATE(2347),
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(4088),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2347] = {
    [sym_xml_doc] = STATE(2347),
    [sym_block_comment] = STATE(2347),
    [aux_sym_long_identifier_repeat1] = STATE(2352),
    [ts_builtin_sym_end] = ACTIONS(2339),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_POUNDnowarn] = ACTIONS(2339),
    [anon_sym_POUNDr] = ACTIONS(2339),
    [anon_sym_POUNDload] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2337),
    [anon_sym_LBRACK_LT] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_LT_AT_AT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(4088),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2339),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2339),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2339),
    [anon_sym_DASH_DOT] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_AMP_AMP] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2348] = {
    [sym_xml_doc] = STATE(2348),
    [sym_block_comment] = STATE(2348),
    [aux_sym__function_or_value_defns_repeat1] = STATE(2350),
    [ts_builtin_sym_end] = ACTIONS(4090),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_namespace] = ACTIONS(4092),
    [anon_sym_module] = ACTIONS(4092),
    [anon_sym_POUNDnowarn] = ACTIONS(4090),
    [anon_sym_POUNDr] = ACTIONS(4090),
    [anon_sym_POUNDload] = ACTIONS(4090),
    [anon_sym_open] = ACTIONS(4092),
    [anon_sym_LBRACK_LT] = ACTIONS(4090),
    [anon_sym_return] = ACTIONS(4092),
    [anon_sym_type] = ACTIONS(4092),
    [anon_sym_do] = ACTIONS(4092),
    [anon_sym_and] = ACTIONS(4094),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_let_BANG] = ACTIONS(4090),
    [anon_sym_null] = ACTIONS(4092),
    [anon_sym_LPAREN] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_LBRACK] = ACTIONS(4092),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4090),
    [anon_sym_LBRACE] = ACTIONS(4092),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(4092),
    [anon_sym_return_BANG] = ACTIONS(4090),
    [anon_sym_yield] = ACTIONS(4092),
    [anon_sym_yield_BANG] = ACTIONS(4090),
    [anon_sym_lazy] = ACTIONS(4092),
    [anon_sym_assert] = ACTIONS(4092),
    [anon_sym_upcast] = ACTIONS(4092),
    [anon_sym_downcast] = ACTIONS(4092),
    [anon_sym_LT_AT] = ACTIONS(4092),
    [anon_sym_LT_AT_AT] = ACTIONS(4090),
    [anon_sym_for] = ACTIONS(4092),
    [anon_sym_while] = ACTIONS(4092),
    [anon_sym_if] = ACTIONS(4092),
    [anon_sym_fun] = ACTIONS(4092),
    [anon_sym_try] = ACTIONS(4092),
    [anon_sym_match] = ACTIONS(4092),
    [anon_sym_match_BANG] = ACTIONS(4090),
    [anon_sym_function] = ACTIONS(4092),
    [anon_sym_use] = ACTIONS(4092),
    [anon_sym_use_BANG] = ACTIONS(4090),
    [anon_sym_do_BANG] = ACTIONS(4090),
    [anon_sym_begin] = ACTIONS(4092),
    [anon_sym_SQUOTE] = ACTIONS(4090),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4092),
    [anon_sym_DQUOTE] = ACTIONS(4092),
    [anon_sym_AT_DQUOTE] = ACTIONS(4090),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4090),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4090),
    [sym_bool] = ACTIONS(4092),
    [sym_unit] = ACTIONS(4090),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4090),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4092),
    [anon_sym_PLUS] = ACTIONS(4092),
    [anon_sym_DASH] = ACTIONS(4092),
    [anon_sym_PLUS_DOT] = ACTIONS(4090),
    [anon_sym_DASH_DOT] = ACTIONS(4090),
    [anon_sym_PERCENT] = ACTIONS(4090),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4090),
    [aux_sym_prefix_op_token1] = ACTIONS(4090),
    [aux_sym_int_token1] = ACTIONS(4092),
    [aux_sym_xint_token1] = ACTIONS(4090),
    [aux_sym_xint_token2] = ACTIONS(4090),
    [aux_sym_xint_token3] = ACTIONS(4090),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2349] = {
    [sym_xml_doc] = STATE(2349),
    [sym_block_comment] = STATE(2349),
    [aux_sym__function_or_value_defns_repeat1] = STATE(2349),
    [ts_builtin_sym_end] = ACTIONS(4096),
    [sym_identifier] = ACTIONS(4098),
    [anon_sym_namespace] = ACTIONS(4098),
    [anon_sym_module] = ACTIONS(4098),
    [anon_sym_POUNDnowarn] = ACTIONS(4096),
    [anon_sym_POUNDr] = ACTIONS(4096),
    [anon_sym_POUNDload] = ACTIONS(4096),
    [anon_sym_open] = ACTIONS(4098),
    [anon_sym_LBRACK_LT] = ACTIONS(4096),
    [anon_sym_return] = ACTIONS(4098),
    [anon_sym_type] = ACTIONS(4098),
    [anon_sym_do] = ACTIONS(4098),
    [anon_sym_and] = ACTIONS(4100),
    [anon_sym_let] = ACTIONS(4098),
    [anon_sym_let_BANG] = ACTIONS(4096),
    [anon_sym_null] = ACTIONS(4098),
    [anon_sym_LPAREN] = ACTIONS(4098),
    [anon_sym_AMP] = ACTIONS(4098),
    [anon_sym_LBRACK] = ACTIONS(4098),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4096),
    [anon_sym_LBRACE] = ACTIONS(4098),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4096),
    [anon_sym_new] = ACTIONS(4098),
    [anon_sym_return_BANG] = ACTIONS(4096),
    [anon_sym_yield] = ACTIONS(4098),
    [anon_sym_yield_BANG] = ACTIONS(4096),
    [anon_sym_lazy] = ACTIONS(4098),
    [anon_sym_assert] = ACTIONS(4098),
    [anon_sym_upcast] = ACTIONS(4098),
    [anon_sym_downcast] = ACTIONS(4098),
    [anon_sym_LT_AT] = ACTIONS(4098),
    [anon_sym_LT_AT_AT] = ACTIONS(4096),
    [anon_sym_for] = ACTIONS(4098),
    [anon_sym_while] = ACTIONS(4098),
    [anon_sym_if] = ACTIONS(4098),
    [anon_sym_fun] = ACTIONS(4098),
    [anon_sym_try] = ACTIONS(4098),
    [anon_sym_match] = ACTIONS(4098),
    [anon_sym_match_BANG] = ACTIONS(4096),
    [anon_sym_function] = ACTIONS(4098),
    [anon_sym_use] = ACTIONS(4098),
    [anon_sym_use_BANG] = ACTIONS(4096),
    [anon_sym_do_BANG] = ACTIONS(4096),
    [anon_sym_begin] = ACTIONS(4098),
    [anon_sym_SQUOTE] = ACTIONS(4096),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4098),
    [anon_sym_DQUOTE] = ACTIONS(4098),
    [anon_sym_AT_DQUOTE] = ACTIONS(4096),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4096),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4096),
    [sym_bool] = ACTIONS(4098),
    [sym_unit] = ACTIONS(4096),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4096),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4098),
    [anon_sym_PLUS] = ACTIONS(4098),
    [anon_sym_DASH] = ACTIONS(4098),
    [anon_sym_PLUS_DOT] = ACTIONS(4096),
    [anon_sym_DASH_DOT] = ACTIONS(4096),
    [anon_sym_PERCENT] = ACTIONS(4096),
    [anon_sym_AMP_AMP] = ACTIONS(4096),
    [anon_sym_TILDE] = ACTIONS(4096),
    [aux_sym_prefix_op_token1] = ACTIONS(4096),
    [aux_sym_int_token1] = ACTIONS(4098),
    [aux_sym_xint_token1] = ACTIONS(4096),
    [aux_sym_xint_token2] = ACTIONS(4096),
    [aux_sym_xint_token3] = ACTIONS(4096),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2350] = {
    [sym_xml_doc] = STATE(2350),
    [sym_block_comment] = STATE(2350),
    [aux_sym__function_or_value_defns_repeat1] = STATE(2349),
    [ts_builtin_sym_end] = ACTIONS(4103),
    [sym_identifier] = ACTIONS(4105),
    [anon_sym_namespace] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_POUNDnowarn] = ACTIONS(4103),
    [anon_sym_POUNDr] = ACTIONS(4103),
    [anon_sym_POUNDload] = ACTIONS(4103),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_LBRACK_LT] = ACTIONS(4103),
    [anon_sym_return] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_do] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4094),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_let_BANG] = ACTIONS(4103),
    [anon_sym_null] = ACTIONS(4105),
    [anon_sym_LPAREN] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(4105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4103),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4103),
    [anon_sym_new] = ACTIONS(4105),
    [anon_sym_return_BANG] = ACTIONS(4103),
    [anon_sym_yield] = ACTIONS(4105),
    [anon_sym_yield_BANG] = ACTIONS(4103),
    [anon_sym_lazy] = ACTIONS(4105),
    [anon_sym_assert] = ACTIONS(4105),
    [anon_sym_upcast] = ACTIONS(4105),
    [anon_sym_downcast] = ACTIONS(4105),
    [anon_sym_LT_AT] = ACTIONS(4105),
    [anon_sym_LT_AT_AT] = ACTIONS(4103),
    [anon_sym_for] = ACTIONS(4105),
    [anon_sym_while] = ACTIONS(4105),
    [anon_sym_if] = ACTIONS(4105),
    [anon_sym_fun] = ACTIONS(4105),
    [anon_sym_try] = ACTIONS(4105),
    [anon_sym_match] = ACTIONS(4105),
    [anon_sym_match_BANG] = ACTIONS(4103),
    [anon_sym_function] = ACTIONS(4105),
    [anon_sym_use] = ACTIONS(4105),
    [anon_sym_use_BANG] = ACTIONS(4103),
    [anon_sym_do_BANG] = ACTIONS(4103),
    [anon_sym_begin] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(4103),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4105),
    [anon_sym_DQUOTE] = ACTIONS(4105),
    [anon_sym_AT_DQUOTE] = ACTIONS(4103),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4103),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4103),
    [sym_bool] = ACTIONS(4105),
    [sym_unit] = ACTIONS(4103),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4103),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_DOT] = ACTIONS(4103),
    [anon_sym_DASH_DOT] = ACTIONS(4103),
    [anon_sym_PERCENT] = ACTIONS(4103),
    [anon_sym_AMP_AMP] = ACTIONS(4103),
    [anon_sym_TILDE] = ACTIONS(4103),
    [aux_sym_prefix_op_token1] = ACTIONS(4103),
    [aux_sym_int_token1] = ACTIONS(4105),
    [aux_sym_xint_token1] = ACTIONS(4103),
    [aux_sym_xint_token2] = ACTIONS(4103),
    [aux_sym_xint_token3] = ACTIONS(4103),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2351] = {
    [sym_compiler_directive_decl] = STATE(2414),
    [sym_xml_doc] = STATE(2351),
    [sym_block_comment] = STATE(2351),
    [aux_sym_file_repeat1] = STATE(2351),
    [ts_builtin_sym_end] = ACTIONS(4107),
    [sym_identifier] = ACTIONS(4109),
    [anon_sym_namespace] = ACTIONS(4109),
    [anon_sym_module] = ACTIONS(4109),
    [anon_sym_POUNDnowarn] = ACTIONS(4111),
    [anon_sym_POUNDr] = ACTIONS(4107),
    [anon_sym_POUNDload] = ACTIONS(4107),
    [anon_sym_open] = ACTIONS(4109),
    [anon_sym_LBRACK_LT] = ACTIONS(4107),
    [anon_sym_return] = ACTIONS(4109),
    [anon_sym_type] = ACTIONS(4109),
    [anon_sym_do] = ACTIONS(4109),
    [anon_sym_let] = ACTIONS(4109),
    [anon_sym_let_BANG] = ACTIONS(4107),
    [anon_sym_null] = ACTIONS(4109),
    [anon_sym_LPAREN] = ACTIONS(4109),
    [anon_sym_AMP] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4109),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4107),
    [anon_sym_new] = ACTIONS(4109),
    [anon_sym_return_BANG] = ACTIONS(4107),
    [anon_sym_yield] = ACTIONS(4109),
    [anon_sym_yield_BANG] = ACTIONS(4107),
    [anon_sym_lazy] = ACTIONS(4109),
    [anon_sym_assert] = ACTIONS(4109),
    [anon_sym_upcast] = ACTIONS(4109),
    [anon_sym_downcast] = ACTIONS(4109),
    [anon_sym_LT_AT] = ACTIONS(4109),
    [anon_sym_LT_AT_AT] = ACTIONS(4107),
    [anon_sym_for] = ACTIONS(4109),
    [anon_sym_while] = ACTIONS(4109),
    [anon_sym_if] = ACTIONS(4109),
    [anon_sym_fun] = ACTIONS(4109),
    [anon_sym_try] = ACTIONS(4109),
    [anon_sym_match] = ACTIONS(4109),
    [anon_sym_match_BANG] = ACTIONS(4107),
    [anon_sym_function] = ACTIONS(4109),
    [anon_sym_use] = ACTIONS(4109),
    [anon_sym_use_BANG] = ACTIONS(4107),
    [anon_sym_do_BANG] = ACTIONS(4107),
    [anon_sym_begin] = ACTIONS(4109),
    [anon_sym_SQUOTE] = ACTIONS(4107),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4109),
    [anon_sym_DQUOTE] = ACTIONS(4109),
    [anon_sym_AT_DQUOTE] = ACTIONS(4107),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4107),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4107),
    [sym_bool] = ACTIONS(4109),
    [sym_unit] = ACTIONS(4107),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4107),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4109),
    [anon_sym_PLUS] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_DOT] = ACTIONS(4107),
    [anon_sym_DASH_DOT] = ACTIONS(4107),
    [anon_sym_PERCENT] = ACTIONS(4107),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4107),
    [aux_sym_prefix_op_token1] = ACTIONS(4107),
    [aux_sym_int_token1] = ACTIONS(4109),
    [aux_sym_xint_token1] = ACTIONS(4107),
    [aux_sym_xint_token2] = ACTIONS(4107),
    [aux_sym_xint_token3] = ACTIONS(4107),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2352] = {
    [sym_xml_doc] = STATE(2352),
    [sym_block_comment] = STATE(2352),
    [aux_sym_long_identifier_repeat1] = STATE(2352),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(4114),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2353] = {
    [sym_xml_doc] = STATE(2353),
    [sym_block_comment] = STATE(2353),
    [aux_sym_long_identifier_repeat1] = STATE(2347),
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(4088),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2354] = {
    [sym_xml_doc] = STATE(2354),
    [sym_block_comment] = STATE(2354),
    [aux_sym_long_identifier_repeat1] = STATE(2347),
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(4119),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(4088),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2355] = {
    [sym_xml_doc] = STATE(2355),
    [sym_block_comment] = STATE(2355),
    [ts_builtin_sym_end] = ACTIONS(4121),
    [sym_identifier] = ACTIONS(4123),
    [anon_sym_namespace] = ACTIONS(4123),
    [anon_sym_module] = ACTIONS(4123),
    [anon_sym_POUNDnowarn] = ACTIONS(4121),
    [anon_sym_POUNDr] = ACTIONS(4121),
    [anon_sym_POUNDload] = ACTIONS(4121),
    [anon_sym_open] = ACTIONS(4123),
    [anon_sym_LBRACK_LT] = ACTIONS(4121),
    [anon_sym_return] = ACTIONS(4123),
    [anon_sym_type] = ACTIONS(4123),
    [anon_sym_do] = ACTIONS(4123),
    [anon_sym_and] = ACTIONS(4123),
    [anon_sym_let] = ACTIONS(4123),
    [anon_sym_let_BANG] = ACTIONS(4121),
    [anon_sym_null] = ACTIONS(4123),
    [anon_sym_LPAREN] = ACTIONS(4123),
    [anon_sym_AMP] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4121),
    [anon_sym_LBRACE] = ACTIONS(4123),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4121),
    [anon_sym_new] = ACTIONS(4123),
    [anon_sym_return_BANG] = ACTIONS(4121),
    [anon_sym_yield] = ACTIONS(4123),
    [anon_sym_yield_BANG] = ACTIONS(4121),
    [anon_sym_lazy] = ACTIONS(4123),
    [anon_sym_assert] = ACTIONS(4123),
    [anon_sym_upcast] = ACTIONS(4123),
    [anon_sym_downcast] = ACTIONS(4123),
    [anon_sym_LT_AT] = ACTIONS(4123),
    [anon_sym_LT_AT_AT] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(4123),
    [anon_sym_while] = ACTIONS(4123),
    [anon_sym_if] = ACTIONS(4123),
    [anon_sym_fun] = ACTIONS(4123),
    [anon_sym_try] = ACTIONS(4123),
    [anon_sym_match] = ACTIONS(4123),
    [anon_sym_match_BANG] = ACTIONS(4121),
    [anon_sym_function] = ACTIONS(4123),
    [anon_sym_use] = ACTIONS(4123),
    [anon_sym_use_BANG] = ACTIONS(4121),
    [anon_sym_do_BANG] = ACTIONS(4121),
    [anon_sym_begin] = ACTIONS(4123),
    [anon_sym_SQUOTE] = ACTIONS(4121),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4123),
    [anon_sym_DQUOTE] = ACTIONS(4123),
    [anon_sym_AT_DQUOTE] = ACTIONS(4121),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4121),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4121),
    [sym_bool] = ACTIONS(4123),
    [sym_unit] = ACTIONS(4121),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4121),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4123),
    [anon_sym_PLUS] = ACTIONS(4123),
    [anon_sym_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_DOT] = ACTIONS(4121),
    [anon_sym_DASH_DOT] = ACTIONS(4121),
    [anon_sym_PERCENT] = ACTIONS(4121),
    [anon_sym_AMP_AMP] = ACTIONS(4121),
    [anon_sym_TILDE] = ACTIONS(4121),
    [aux_sym_prefix_op_token1] = ACTIONS(4121),
    [aux_sym_int_token1] = ACTIONS(4123),
    [aux_sym_xint_token1] = ACTIONS(4121),
    [aux_sym_xint_token2] = ACTIONS(4121),
    [aux_sym_xint_token3] = ACTIONS(4121),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2356] = {
    [sym_xml_doc] = STATE(2356),
    [sym_block_comment] = STATE(2356),
    [ts_builtin_sym_end] = ACTIONS(4125),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_namespace] = ACTIONS(4127),
    [anon_sym_module] = ACTIONS(4127),
    [anon_sym_POUNDnowarn] = ACTIONS(4125),
    [anon_sym_POUNDr] = ACTIONS(4125),
    [anon_sym_POUNDload] = ACTIONS(4125),
    [anon_sym_open] = ACTIONS(4127),
    [anon_sym_LBRACK_LT] = ACTIONS(4125),
    [anon_sym_return] = ACTIONS(4127),
    [anon_sym_type] = ACTIONS(4127),
    [anon_sym_do] = ACTIONS(4127),
    [anon_sym_and] = ACTIONS(4127),
    [anon_sym_let] = ACTIONS(4127),
    [anon_sym_let_BANG] = ACTIONS(4125),
    [anon_sym_null] = ACTIONS(4127),
    [anon_sym_LPAREN] = ACTIONS(4127),
    [anon_sym_AMP] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4127),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4125),
    [anon_sym_new] = ACTIONS(4127),
    [anon_sym_return_BANG] = ACTIONS(4125),
    [anon_sym_yield] = ACTIONS(4127),
    [anon_sym_yield_BANG] = ACTIONS(4125),
    [anon_sym_lazy] = ACTIONS(4127),
    [anon_sym_assert] = ACTIONS(4127),
    [anon_sym_upcast] = ACTIONS(4127),
    [anon_sym_downcast] = ACTIONS(4127),
    [anon_sym_LT_AT] = ACTIONS(4127),
    [anon_sym_LT_AT_AT] = ACTIONS(4125),
    [anon_sym_for] = ACTIONS(4127),
    [anon_sym_while] = ACTIONS(4127),
    [anon_sym_if] = ACTIONS(4127),
    [anon_sym_fun] = ACTIONS(4127),
    [anon_sym_try] = ACTIONS(4127),
    [anon_sym_match] = ACTIONS(4127),
    [anon_sym_match_BANG] = ACTIONS(4125),
    [anon_sym_function] = ACTIONS(4127),
    [anon_sym_use] = ACTIONS(4127),
    [anon_sym_use_BANG] = ACTIONS(4125),
    [anon_sym_do_BANG] = ACTIONS(4125),
    [anon_sym_begin] = ACTIONS(4127),
    [anon_sym_SQUOTE] = ACTIONS(4125),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4127),
    [anon_sym_DQUOTE] = ACTIONS(4127),
    [anon_sym_AT_DQUOTE] = ACTIONS(4125),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4125),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4125),
    [sym_bool] = ACTIONS(4127),
    [sym_unit] = ACTIONS(4125),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4125),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4127),
    [anon_sym_PLUS] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_DOT] = ACTIONS(4125),
    [anon_sym_DASH_DOT] = ACTIONS(4125),
    [anon_sym_PERCENT] = ACTIONS(4125),
    [anon_sym_AMP_AMP] = ACTIONS(4125),
    [anon_sym_TILDE] = ACTIONS(4125),
    [aux_sym_prefix_op_token1] = ACTIONS(4125),
    [aux_sym_int_token1] = ACTIONS(4127),
    [aux_sym_xint_token1] = ACTIONS(4125),
    [aux_sym_xint_token2] = ACTIONS(4125),
    [aux_sym_xint_token3] = ACTIONS(4125),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2357] = {
    [sym_xml_doc] = STATE(2357),
    [sym_block_comment] = STATE(2357),
    [sym_identifier] = ACTIONS(4082),
    [anon_sym_module] = ACTIONS(4082),
    [anon_sym_POUNDnowarn] = ACTIONS(4080),
    [anon_sym_POUNDr] = ACTIONS(4080),
    [anon_sym_POUNDload] = ACTIONS(4080),
    [anon_sym_open] = ACTIONS(4082),
    [anon_sym_LBRACK_LT] = ACTIONS(4080),
    [anon_sym_return] = ACTIONS(4082),
    [anon_sym_type] = ACTIONS(4082),
    [anon_sym_do] = ACTIONS(4082),
    [anon_sym_and] = ACTIONS(4082),
    [anon_sym_let] = ACTIONS(4082),
    [anon_sym_let_BANG] = ACTIONS(4080),
    [anon_sym_null] = ACTIONS(4082),
    [anon_sym_LPAREN] = ACTIONS(4082),
    [anon_sym_AMP] = ACTIONS(4082),
    [anon_sym_LBRACK] = ACTIONS(4082),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(4082),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4080),
    [anon_sym_new] = ACTIONS(4082),
    [anon_sym_return_BANG] = ACTIONS(4080),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_yield_BANG] = ACTIONS(4080),
    [anon_sym_lazy] = ACTIONS(4082),
    [anon_sym_assert] = ACTIONS(4082),
    [anon_sym_upcast] = ACTIONS(4082),
    [anon_sym_downcast] = ACTIONS(4082),
    [anon_sym_LT_AT] = ACTIONS(4082),
    [anon_sym_LT_AT_AT] = ACTIONS(4080),
    [anon_sym_for] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(4082),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_fun] = ACTIONS(4082),
    [anon_sym_try] = ACTIONS(4082),
    [anon_sym_match] = ACTIONS(4082),
    [anon_sym_match_BANG] = ACTIONS(4080),
    [anon_sym_function] = ACTIONS(4082),
    [anon_sym_use] = ACTIONS(4082),
    [anon_sym_use_BANG] = ACTIONS(4080),
    [anon_sym_do_BANG] = ACTIONS(4080),
    [anon_sym_begin] = ACTIONS(4082),
    [anon_sym_SQUOTE] = ACTIONS(4080),
    [anon_sym_interface] = ACTIONS(4082),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4082),
    [anon_sym_DQUOTE] = ACTIONS(4082),
    [anon_sym_AT_DQUOTE] = ACTIONS(4080),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4080),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4080),
    [sym_bool] = ACTIONS(4082),
    [sym_unit] = ACTIONS(4080),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4080),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4082),
    [anon_sym_DASH] = ACTIONS(4082),
    [anon_sym_PLUS_DOT] = ACTIONS(4080),
    [anon_sym_DASH_DOT] = ACTIONS(4080),
    [anon_sym_PERCENT] = ACTIONS(4080),
    [anon_sym_AMP_AMP] = ACTIONS(4080),
    [anon_sym_TILDE] = ACTIONS(4080),
    [aux_sym_prefix_op_token1] = ACTIONS(4080),
    [aux_sym_int_token1] = ACTIONS(4082),
    [aux_sym_xint_token1] = ACTIONS(4080),
    [aux_sym_xint_token2] = ACTIONS(4080),
    [aux_sym_xint_token3] = ACTIONS(4080),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4080),
  },
  [2358] = {
    [sym_xml_doc] = STATE(2358),
    [sym_block_comment] = STATE(2358),
    [sym_identifier] = ACTIONS(4078),
    [anon_sym_module] = ACTIONS(4078),
    [anon_sym_POUNDnowarn] = ACTIONS(4076),
    [anon_sym_POUNDr] = ACTIONS(4076),
    [anon_sym_POUNDload] = ACTIONS(4076),
    [anon_sym_open] = ACTIONS(4078),
    [anon_sym_LBRACK_LT] = ACTIONS(4076),
    [anon_sym_return] = ACTIONS(4078),
    [anon_sym_type] = ACTIONS(4078),
    [anon_sym_do] = ACTIONS(4078),
    [anon_sym_and] = ACTIONS(4078),
    [anon_sym_let] = ACTIONS(4078),
    [anon_sym_let_BANG] = ACTIONS(4076),
    [anon_sym_null] = ACTIONS(4078),
    [anon_sym_LPAREN] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_LBRACK] = ACTIONS(4078),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4076),
    [anon_sym_LBRACE] = ACTIONS(4078),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4076),
    [anon_sym_new] = ACTIONS(4078),
    [anon_sym_return_BANG] = ACTIONS(4076),
    [anon_sym_yield] = ACTIONS(4078),
    [anon_sym_yield_BANG] = ACTIONS(4076),
    [anon_sym_lazy] = ACTIONS(4078),
    [anon_sym_assert] = ACTIONS(4078),
    [anon_sym_upcast] = ACTIONS(4078),
    [anon_sym_downcast] = ACTIONS(4078),
    [anon_sym_LT_AT] = ACTIONS(4078),
    [anon_sym_LT_AT_AT] = ACTIONS(4076),
    [anon_sym_for] = ACTIONS(4078),
    [anon_sym_while] = ACTIONS(4078),
    [anon_sym_if] = ACTIONS(4078),
    [anon_sym_fun] = ACTIONS(4078),
    [anon_sym_try] = ACTIONS(4078),
    [anon_sym_match] = ACTIONS(4078),
    [anon_sym_match_BANG] = ACTIONS(4076),
    [anon_sym_function] = ACTIONS(4078),
    [anon_sym_use] = ACTIONS(4078),
    [anon_sym_use_BANG] = ACTIONS(4076),
    [anon_sym_do_BANG] = ACTIONS(4076),
    [anon_sym_begin] = ACTIONS(4078),
    [anon_sym_SQUOTE] = ACTIONS(4076),
    [anon_sym_interface] = ACTIONS(4078),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4078),
    [anon_sym_DQUOTE] = ACTIONS(4078),
    [anon_sym_AT_DQUOTE] = ACTIONS(4076),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4076),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4076),
    [sym_bool] = ACTIONS(4078),
    [sym_unit] = ACTIONS(4076),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4076),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS_DOT] = ACTIONS(4076),
    [anon_sym_DASH_DOT] = ACTIONS(4076),
    [anon_sym_PERCENT] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_TILDE] = ACTIONS(4076),
    [aux_sym_prefix_op_token1] = ACTIONS(4076),
    [aux_sym_int_token1] = ACTIONS(4078),
    [aux_sym_xint_token1] = ACTIONS(4076),
    [aux_sym_xint_token2] = ACTIONS(4076),
    [aux_sym_xint_token3] = ACTIONS(4076),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4076),
  },
  [2359] = {
    [sym_xml_doc] = STATE(2359),
    [sym_block_comment] = STATE(2359),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2360] = {
    [sym_xml_doc] = STATE(2360),
    [sym_block_comment] = STATE(2360),
    [ts_builtin_sym_end] = ACTIONS(4129),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_namespace] = ACTIONS(4131),
    [anon_sym_module] = ACTIONS(4131),
    [anon_sym_POUNDnowarn] = ACTIONS(4129),
    [anon_sym_POUNDr] = ACTIONS(4129),
    [anon_sym_POUNDload] = ACTIONS(4129),
    [anon_sym_open] = ACTIONS(4131),
    [anon_sym_LBRACK_LT] = ACTIONS(4129),
    [anon_sym_return] = ACTIONS(4131),
    [anon_sym_type] = ACTIONS(4131),
    [anon_sym_do] = ACTIONS(4131),
    [anon_sym_and] = ACTIONS(4131),
    [anon_sym_let] = ACTIONS(4131),
    [anon_sym_let_BANG] = ACTIONS(4129),
    [anon_sym_null] = ACTIONS(4131),
    [anon_sym_LPAREN] = ACTIONS(4131),
    [anon_sym_AMP] = ACTIONS(4131),
    [anon_sym_LBRACK] = ACTIONS(4131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4129),
    [anon_sym_LBRACE] = ACTIONS(4131),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4129),
    [anon_sym_new] = ACTIONS(4131),
    [anon_sym_return_BANG] = ACTIONS(4129),
    [anon_sym_yield] = ACTIONS(4131),
    [anon_sym_yield_BANG] = ACTIONS(4129),
    [anon_sym_lazy] = ACTIONS(4131),
    [anon_sym_assert] = ACTIONS(4131),
    [anon_sym_upcast] = ACTIONS(4131),
    [anon_sym_downcast] = ACTIONS(4131),
    [anon_sym_LT_AT] = ACTIONS(4131),
    [anon_sym_LT_AT_AT] = ACTIONS(4129),
    [anon_sym_for] = ACTIONS(4131),
    [anon_sym_while] = ACTIONS(4131),
    [anon_sym_if] = ACTIONS(4131),
    [anon_sym_fun] = ACTIONS(4131),
    [anon_sym_try] = ACTIONS(4131),
    [anon_sym_match] = ACTIONS(4131),
    [anon_sym_match_BANG] = ACTIONS(4129),
    [anon_sym_function] = ACTIONS(4131),
    [anon_sym_use] = ACTIONS(4131),
    [anon_sym_use_BANG] = ACTIONS(4129),
    [anon_sym_do_BANG] = ACTIONS(4129),
    [anon_sym_begin] = ACTIONS(4131),
    [anon_sym_SQUOTE] = ACTIONS(4129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4131),
    [anon_sym_DQUOTE] = ACTIONS(4131),
    [anon_sym_AT_DQUOTE] = ACTIONS(4129),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4129),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4129),
    [sym_bool] = ACTIONS(4131),
    [sym_unit] = ACTIONS(4129),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4129),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4131),
    [anon_sym_DASH] = ACTIONS(4131),
    [anon_sym_PLUS_DOT] = ACTIONS(4129),
    [anon_sym_DASH_DOT] = ACTIONS(4129),
    [anon_sym_PERCENT] = ACTIONS(4129),
    [anon_sym_AMP_AMP] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(4129),
    [aux_sym_prefix_op_token1] = ACTIONS(4129),
    [aux_sym_int_token1] = ACTIONS(4131),
    [aux_sym_xint_token1] = ACTIONS(4129),
    [aux_sym_xint_token2] = ACTIONS(4129),
    [aux_sym_xint_token3] = ACTIONS(4129),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2361] = {
    [sym_xml_doc] = STATE(2361),
    [sym_block_comment] = STATE(2361),
    [aux_sym_long_identifier_repeat1] = STATE(2381),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_POUNDnowarn] = ACTIONS(2382),
    [anon_sym_POUNDr] = ACTIONS(2382),
    [anon_sym_POUNDload] = ACTIONS(2382),
    [anon_sym_open] = ACTIONS(2376),
    [anon_sym_LBRACK_LT] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(4133),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2382),
  },
  [2362] = {
    [sym_xml_doc] = STATE(2362),
    [sym_block_comment] = STATE(2362),
    [ts_builtin_sym_end] = ACTIONS(4135),
    [sym_identifier] = ACTIONS(4137),
    [anon_sym_namespace] = ACTIONS(4137),
    [anon_sym_module] = ACTIONS(4137),
    [anon_sym_POUNDnowarn] = ACTIONS(4135),
    [anon_sym_POUNDr] = ACTIONS(4135),
    [anon_sym_POUNDload] = ACTIONS(4135),
    [anon_sym_open] = ACTIONS(4137),
    [anon_sym_LBRACK_LT] = ACTIONS(4135),
    [anon_sym_return] = ACTIONS(4137),
    [anon_sym_type] = ACTIONS(4137),
    [anon_sym_do] = ACTIONS(4137),
    [anon_sym_and] = ACTIONS(4137),
    [anon_sym_let] = ACTIONS(4137),
    [anon_sym_let_BANG] = ACTIONS(4135),
    [anon_sym_null] = ACTIONS(4137),
    [anon_sym_LPAREN] = ACTIONS(4137),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4137),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4135),
    [anon_sym_new] = ACTIONS(4137),
    [anon_sym_return_BANG] = ACTIONS(4135),
    [anon_sym_yield] = ACTIONS(4137),
    [anon_sym_yield_BANG] = ACTIONS(4135),
    [anon_sym_lazy] = ACTIONS(4137),
    [anon_sym_assert] = ACTIONS(4137),
    [anon_sym_upcast] = ACTIONS(4137),
    [anon_sym_downcast] = ACTIONS(4137),
    [anon_sym_LT_AT] = ACTIONS(4137),
    [anon_sym_LT_AT_AT] = ACTIONS(4135),
    [anon_sym_for] = ACTIONS(4137),
    [anon_sym_while] = ACTIONS(4137),
    [anon_sym_if] = ACTIONS(4137),
    [anon_sym_fun] = ACTIONS(4137),
    [anon_sym_try] = ACTIONS(4137),
    [anon_sym_match] = ACTIONS(4137),
    [anon_sym_match_BANG] = ACTIONS(4135),
    [anon_sym_function] = ACTIONS(4137),
    [anon_sym_use] = ACTIONS(4137),
    [anon_sym_use_BANG] = ACTIONS(4135),
    [anon_sym_do_BANG] = ACTIONS(4135),
    [anon_sym_begin] = ACTIONS(4137),
    [anon_sym_SQUOTE] = ACTIONS(4135),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4137),
    [anon_sym_DQUOTE] = ACTIONS(4137),
    [anon_sym_AT_DQUOTE] = ACTIONS(4135),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4135),
    [sym_bool] = ACTIONS(4137),
    [sym_unit] = ACTIONS(4135),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4135),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4137),
    [anon_sym_PLUS] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_DOT] = ACTIONS(4135),
    [anon_sym_DASH_DOT] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_AMP_AMP] = ACTIONS(4135),
    [anon_sym_TILDE] = ACTIONS(4135),
    [aux_sym_prefix_op_token1] = ACTIONS(4135),
    [aux_sym_int_token1] = ACTIONS(4137),
    [aux_sym_xint_token1] = ACTIONS(4135),
    [aux_sym_xint_token2] = ACTIONS(4135),
    [aux_sym_xint_token3] = ACTIONS(4135),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2363] = {
    [sym_xml_doc] = STATE(2363),
    [sym_block_comment] = STATE(2363),
    [ts_builtin_sym_end] = ACTIONS(3989),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym_namespace] = ACTIONS(3991),
    [anon_sym_module] = ACTIONS(3991),
    [anon_sym_POUNDnowarn] = ACTIONS(3989),
    [anon_sym_POUNDr] = ACTIONS(3989),
    [anon_sym_POUNDload] = ACTIONS(3989),
    [anon_sym_open] = ACTIONS(3991),
    [anon_sym_LBRACK_LT] = ACTIONS(3989),
    [anon_sym_return] = ACTIONS(3991),
    [anon_sym_type] = ACTIONS(3991),
    [anon_sym_do] = ACTIONS(3991),
    [anon_sym_and] = ACTIONS(3991),
    [anon_sym_let] = ACTIONS(3991),
    [anon_sym_let_BANG] = ACTIONS(3989),
    [anon_sym_null] = ACTIONS(3991),
    [anon_sym_LPAREN] = ACTIONS(3991),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3989),
    [anon_sym_LBRACE] = ACTIONS(3991),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3989),
    [anon_sym_new] = ACTIONS(3991),
    [anon_sym_return_BANG] = ACTIONS(3989),
    [anon_sym_yield] = ACTIONS(3991),
    [anon_sym_yield_BANG] = ACTIONS(3989),
    [anon_sym_lazy] = ACTIONS(3991),
    [anon_sym_assert] = ACTIONS(3991),
    [anon_sym_upcast] = ACTIONS(3991),
    [anon_sym_downcast] = ACTIONS(3991),
    [anon_sym_LT_AT] = ACTIONS(3991),
    [anon_sym_LT_AT_AT] = ACTIONS(3989),
    [anon_sym_for] = ACTIONS(3991),
    [anon_sym_while] = ACTIONS(3991),
    [anon_sym_if] = ACTIONS(3991),
    [anon_sym_fun] = ACTIONS(3991),
    [anon_sym_try] = ACTIONS(3991),
    [anon_sym_match] = ACTIONS(3991),
    [anon_sym_match_BANG] = ACTIONS(3989),
    [anon_sym_function] = ACTIONS(3991),
    [anon_sym_use] = ACTIONS(3991),
    [anon_sym_use_BANG] = ACTIONS(3989),
    [anon_sym_do_BANG] = ACTIONS(3989),
    [anon_sym_begin] = ACTIONS(3991),
    [anon_sym_SQUOTE] = ACTIONS(3989),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3991),
    [anon_sym_DQUOTE] = ACTIONS(3991),
    [anon_sym_AT_DQUOTE] = ACTIONS(3989),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3989),
    [sym_bool] = ACTIONS(3991),
    [sym_unit] = ACTIONS(3989),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3989),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS_DOT] = ACTIONS(3989),
    [anon_sym_DASH_DOT] = ACTIONS(3989),
    [anon_sym_PERCENT] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [aux_sym_prefix_op_token1] = ACTIONS(3989),
    [aux_sym_int_token1] = ACTIONS(3991),
    [aux_sym_xint_token1] = ACTIONS(3989),
    [aux_sym_xint_token2] = ACTIONS(3989),
    [aux_sym_xint_token3] = ACTIONS(3989),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2364] = {
    [sym_xml_doc] = STATE(2364),
    [sym_block_comment] = STATE(2364),
    [ts_builtin_sym_end] = ACTIONS(3971),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_namespace] = ACTIONS(3973),
    [anon_sym_module] = ACTIONS(3973),
    [anon_sym_POUNDnowarn] = ACTIONS(3971),
    [anon_sym_POUNDr] = ACTIONS(3971),
    [anon_sym_POUNDload] = ACTIONS(3971),
    [anon_sym_open] = ACTIONS(3973),
    [anon_sym_LBRACK_LT] = ACTIONS(3971),
    [anon_sym_return] = ACTIONS(3973),
    [anon_sym_type] = ACTIONS(3973),
    [anon_sym_do] = ACTIONS(3973),
    [anon_sym_and] = ACTIONS(3973),
    [anon_sym_let] = ACTIONS(3973),
    [anon_sym_let_BANG] = ACTIONS(3971),
    [anon_sym_null] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(3973),
    [anon_sym_AMP] = ACTIONS(3973),
    [anon_sym_LBRACK] = ACTIONS(3973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3971),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3971),
    [anon_sym_new] = ACTIONS(3973),
    [anon_sym_return_BANG] = ACTIONS(3971),
    [anon_sym_yield] = ACTIONS(3973),
    [anon_sym_yield_BANG] = ACTIONS(3971),
    [anon_sym_lazy] = ACTIONS(3973),
    [anon_sym_assert] = ACTIONS(3973),
    [anon_sym_upcast] = ACTIONS(3973),
    [anon_sym_downcast] = ACTIONS(3973),
    [anon_sym_LT_AT] = ACTIONS(3973),
    [anon_sym_LT_AT_AT] = ACTIONS(3971),
    [anon_sym_for] = ACTIONS(3973),
    [anon_sym_while] = ACTIONS(3973),
    [anon_sym_if] = ACTIONS(3973),
    [anon_sym_fun] = ACTIONS(3973),
    [anon_sym_try] = ACTIONS(3973),
    [anon_sym_match] = ACTIONS(3973),
    [anon_sym_match_BANG] = ACTIONS(3971),
    [anon_sym_function] = ACTIONS(3973),
    [anon_sym_use] = ACTIONS(3973),
    [anon_sym_use_BANG] = ACTIONS(3971),
    [anon_sym_do_BANG] = ACTIONS(3971),
    [anon_sym_begin] = ACTIONS(3973),
    [anon_sym_SQUOTE] = ACTIONS(3971),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3973),
    [anon_sym_DQUOTE] = ACTIONS(3973),
    [anon_sym_AT_DQUOTE] = ACTIONS(3971),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3971),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3971),
    [sym_bool] = ACTIONS(3973),
    [sym_unit] = ACTIONS(3971),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3971),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3973),
    [anon_sym_PLUS] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3973),
    [anon_sym_PLUS_DOT] = ACTIONS(3971),
    [anon_sym_DASH_DOT] = ACTIONS(3971),
    [anon_sym_PERCENT] = ACTIONS(3971),
    [anon_sym_AMP_AMP] = ACTIONS(3971),
    [anon_sym_TILDE] = ACTIONS(3971),
    [aux_sym_prefix_op_token1] = ACTIONS(3971),
    [aux_sym_int_token1] = ACTIONS(3973),
    [aux_sym_xint_token1] = ACTIONS(3971),
    [aux_sym_xint_token2] = ACTIONS(3971),
    [aux_sym_xint_token3] = ACTIONS(3971),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2365] = {
    [sym_xml_doc] = STATE(2365),
    [sym_block_comment] = STATE(2365),
    [ts_builtin_sym_end] = ACTIONS(4139),
    [sym_identifier] = ACTIONS(4141),
    [anon_sym_namespace] = ACTIONS(4141),
    [anon_sym_module] = ACTIONS(4141),
    [anon_sym_POUNDnowarn] = ACTIONS(4139),
    [anon_sym_POUNDr] = ACTIONS(4139),
    [anon_sym_POUNDload] = ACTIONS(4139),
    [anon_sym_open] = ACTIONS(4141),
    [anon_sym_LBRACK_LT] = ACTIONS(4139),
    [anon_sym_return] = ACTIONS(4141),
    [anon_sym_type] = ACTIONS(4141),
    [anon_sym_do] = ACTIONS(4141),
    [anon_sym_and] = ACTIONS(4141),
    [anon_sym_let] = ACTIONS(4141),
    [anon_sym_let_BANG] = ACTIONS(4139),
    [anon_sym_null] = ACTIONS(4141),
    [anon_sym_LPAREN] = ACTIONS(4141),
    [anon_sym_AMP] = ACTIONS(4141),
    [anon_sym_LBRACK] = ACTIONS(4141),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4139),
    [anon_sym_LBRACE] = ACTIONS(4141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4139),
    [anon_sym_new] = ACTIONS(4141),
    [anon_sym_return_BANG] = ACTIONS(4139),
    [anon_sym_yield] = ACTIONS(4141),
    [anon_sym_yield_BANG] = ACTIONS(4139),
    [anon_sym_lazy] = ACTIONS(4141),
    [anon_sym_assert] = ACTIONS(4141),
    [anon_sym_upcast] = ACTIONS(4141),
    [anon_sym_downcast] = ACTIONS(4141),
    [anon_sym_LT_AT] = ACTIONS(4141),
    [anon_sym_LT_AT_AT] = ACTIONS(4139),
    [anon_sym_for] = ACTIONS(4141),
    [anon_sym_while] = ACTIONS(4141),
    [anon_sym_if] = ACTIONS(4141),
    [anon_sym_fun] = ACTIONS(4141),
    [anon_sym_try] = ACTIONS(4141),
    [anon_sym_match] = ACTIONS(4141),
    [anon_sym_match_BANG] = ACTIONS(4139),
    [anon_sym_function] = ACTIONS(4141),
    [anon_sym_use] = ACTIONS(4141),
    [anon_sym_use_BANG] = ACTIONS(4139),
    [anon_sym_do_BANG] = ACTIONS(4139),
    [anon_sym_begin] = ACTIONS(4141),
    [anon_sym_SQUOTE] = ACTIONS(4139),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4141),
    [anon_sym_DQUOTE] = ACTIONS(4141),
    [anon_sym_AT_DQUOTE] = ACTIONS(4139),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4139),
    [sym_bool] = ACTIONS(4141),
    [sym_unit] = ACTIONS(4139),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4139),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS_DOT] = ACTIONS(4139),
    [anon_sym_DASH_DOT] = ACTIONS(4139),
    [anon_sym_PERCENT] = ACTIONS(4139),
    [anon_sym_AMP_AMP] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(4139),
    [aux_sym_prefix_op_token1] = ACTIONS(4139),
    [aux_sym_int_token1] = ACTIONS(4141),
    [aux_sym_xint_token1] = ACTIONS(4139),
    [aux_sym_xint_token2] = ACTIONS(4139),
    [aux_sym_xint_token3] = ACTIONS(4139),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2366] = {
    [sym_xml_doc] = STATE(2366),
    [sym_block_comment] = STATE(2366),
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_module] = ACTIONS(4086),
    [anon_sym_POUNDnowarn] = ACTIONS(4084),
    [anon_sym_POUNDr] = ACTIONS(4084),
    [anon_sym_POUNDload] = ACTIONS(4084),
    [anon_sym_open] = ACTIONS(4086),
    [anon_sym_LBRACK_LT] = ACTIONS(4084),
    [anon_sym_return] = ACTIONS(4086),
    [anon_sym_type] = ACTIONS(4086),
    [anon_sym_do] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4086),
    [anon_sym_let] = ACTIONS(4086),
    [anon_sym_let_BANG] = ACTIONS(4084),
    [anon_sym_null] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4084),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4084),
    [anon_sym_new] = ACTIONS(4086),
    [anon_sym_return_BANG] = ACTIONS(4084),
    [anon_sym_yield] = ACTIONS(4086),
    [anon_sym_yield_BANG] = ACTIONS(4084),
    [anon_sym_lazy] = ACTIONS(4086),
    [anon_sym_assert] = ACTIONS(4086),
    [anon_sym_upcast] = ACTIONS(4086),
    [anon_sym_downcast] = ACTIONS(4086),
    [anon_sym_LT_AT] = ACTIONS(4086),
    [anon_sym_LT_AT_AT] = ACTIONS(4084),
    [anon_sym_for] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(4086),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_fun] = ACTIONS(4086),
    [anon_sym_try] = ACTIONS(4086),
    [anon_sym_match] = ACTIONS(4086),
    [anon_sym_match_BANG] = ACTIONS(4084),
    [anon_sym_function] = ACTIONS(4086),
    [anon_sym_use] = ACTIONS(4086),
    [anon_sym_use_BANG] = ACTIONS(4084),
    [anon_sym_do_BANG] = ACTIONS(4084),
    [anon_sym_begin] = ACTIONS(4086),
    [anon_sym_SQUOTE] = ACTIONS(4084),
    [anon_sym_interface] = ACTIONS(4086),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4086),
    [anon_sym_DQUOTE] = ACTIONS(4086),
    [anon_sym_AT_DQUOTE] = ACTIONS(4084),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4084),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4084),
    [sym_bool] = ACTIONS(4086),
    [sym_unit] = ACTIONS(4084),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4084),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4086),
    [anon_sym_DASH] = ACTIONS(4086),
    [anon_sym_PLUS_DOT] = ACTIONS(4084),
    [anon_sym_DASH_DOT] = ACTIONS(4084),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [anon_sym_AMP_AMP] = ACTIONS(4084),
    [anon_sym_TILDE] = ACTIONS(4084),
    [aux_sym_prefix_op_token1] = ACTIONS(4084),
    [aux_sym_int_token1] = ACTIONS(4086),
    [aux_sym_xint_token1] = ACTIONS(4084),
    [aux_sym_xint_token2] = ACTIONS(4084),
    [aux_sym_xint_token3] = ACTIONS(4084),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4084),
  },
  [2367] = {
    [sym_xml_doc] = STATE(2367),
    [sym_block_comment] = STATE(2367),
    [ts_builtin_sym_end] = ACTIONS(4143),
    [sym_identifier] = ACTIONS(4145),
    [anon_sym_namespace] = ACTIONS(4145),
    [anon_sym_module] = ACTIONS(4145),
    [anon_sym_POUNDnowarn] = ACTIONS(4143),
    [anon_sym_POUNDr] = ACTIONS(4143),
    [anon_sym_POUNDload] = ACTIONS(4143),
    [anon_sym_open] = ACTIONS(4145),
    [anon_sym_LBRACK_LT] = ACTIONS(4143),
    [anon_sym_return] = ACTIONS(4145),
    [anon_sym_type] = ACTIONS(4145),
    [anon_sym_do] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_let] = ACTIONS(4145),
    [anon_sym_let_BANG] = ACTIONS(4143),
    [anon_sym_null] = ACTIONS(4145),
    [anon_sym_LPAREN] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_LBRACK] = ACTIONS(4145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4145),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4143),
    [anon_sym_new] = ACTIONS(4145),
    [anon_sym_return_BANG] = ACTIONS(4143),
    [anon_sym_yield] = ACTIONS(4145),
    [anon_sym_yield_BANG] = ACTIONS(4143),
    [anon_sym_lazy] = ACTIONS(4145),
    [anon_sym_assert] = ACTIONS(4145),
    [anon_sym_upcast] = ACTIONS(4145),
    [anon_sym_downcast] = ACTIONS(4145),
    [anon_sym_LT_AT] = ACTIONS(4145),
    [anon_sym_LT_AT_AT] = ACTIONS(4143),
    [anon_sym_for] = ACTIONS(4145),
    [anon_sym_while] = ACTIONS(4145),
    [anon_sym_if] = ACTIONS(4145),
    [anon_sym_fun] = ACTIONS(4145),
    [anon_sym_try] = ACTIONS(4145),
    [anon_sym_match] = ACTIONS(4145),
    [anon_sym_match_BANG] = ACTIONS(4143),
    [anon_sym_function] = ACTIONS(4145),
    [anon_sym_use] = ACTIONS(4145),
    [anon_sym_use_BANG] = ACTIONS(4143),
    [anon_sym_do_BANG] = ACTIONS(4143),
    [anon_sym_begin] = ACTIONS(4145),
    [anon_sym_SQUOTE] = ACTIONS(4143),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4145),
    [anon_sym_DQUOTE] = ACTIONS(4145),
    [anon_sym_AT_DQUOTE] = ACTIONS(4143),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4143),
    [sym_bool] = ACTIONS(4145),
    [sym_unit] = ACTIONS(4143),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4143),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS_DOT] = ACTIONS(4143),
    [anon_sym_DASH_DOT] = ACTIONS(4143),
    [anon_sym_PERCENT] = ACTIONS(4143),
    [anon_sym_AMP_AMP] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [aux_sym_prefix_op_token1] = ACTIONS(4143),
    [aux_sym_int_token1] = ACTIONS(4145),
    [aux_sym_xint_token1] = ACTIONS(4143),
    [aux_sym_xint_token2] = ACTIONS(4143),
    [aux_sym_xint_token3] = ACTIONS(4143),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2368] = {
    [sym_xml_doc] = STATE(2368),
    [sym_block_comment] = STATE(2368),
    [ts_builtin_sym_end] = ACTIONS(4147),
    [sym_identifier] = ACTIONS(4149),
    [anon_sym_namespace] = ACTIONS(4149),
    [anon_sym_module] = ACTIONS(4149),
    [anon_sym_POUNDnowarn] = ACTIONS(4147),
    [anon_sym_POUNDr] = ACTIONS(4147),
    [anon_sym_POUNDload] = ACTIONS(4147),
    [anon_sym_open] = ACTIONS(4149),
    [anon_sym_LBRACK_LT] = ACTIONS(4147),
    [anon_sym_return] = ACTIONS(4149),
    [anon_sym_type] = ACTIONS(4149),
    [anon_sym_do] = ACTIONS(4149),
    [anon_sym_and] = ACTIONS(4149),
    [anon_sym_let] = ACTIONS(4149),
    [anon_sym_let_BANG] = ACTIONS(4147),
    [anon_sym_null] = ACTIONS(4149),
    [anon_sym_LPAREN] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4149),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4147),
    [anon_sym_new] = ACTIONS(4149),
    [anon_sym_return_BANG] = ACTIONS(4147),
    [anon_sym_yield] = ACTIONS(4149),
    [anon_sym_yield_BANG] = ACTIONS(4147),
    [anon_sym_lazy] = ACTIONS(4149),
    [anon_sym_assert] = ACTIONS(4149),
    [anon_sym_upcast] = ACTIONS(4149),
    [anon_sym_downcast] = ACTIONS(4149),
    [anon_sym_LT_AT] = ACTIONS(4149),
    [anon_sym_LT_AT_AT] = ACTIONS(4147),
    [anon_sym_for] = ACTIONS(4149),
    [anon_sym_while] = ACTIONS(4149),
    [anon_sym_if] = ACTIONS(4149),
    [anon_sym_fun] = ACTIONS(4149),
    [anon_sym_try] = ACTIONS(4149),
    [anon_sym_match] = ACTIONS(4149),
    [anon_sym_match_BANG] = ACTIONS(4147),
    [anon_sym_function] = ACTIONS(4149),
    [anon_sym_use] = ACTIONS(4149),
    [anon_sym_use_BANG] = ACTIONS(4147),
    [anon_sym_do_BANG] = ACTIONS(4147),
    [anon_sym_begin] = ACTIONS(4149),
    [anon_sym_SQUOTE] = ACTIONS(4147),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4149),
    [anon_sym_DQUOTE] = ACTIONS(4149),
    [anon_sym_AT_DQUOTE] = ACTIONS(4147),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4147),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4147),
    [sym_bool] = ACTIONS(4149),
    [sym_unit] = ACTIONS(4147),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4147),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4149),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_PLUS_DOT] = ACTIONS(4147),
    [anon_sym_DASH_DOT] = ACTIONS(4147),
    [anon_sym_PERCENT] = ACTIONS(4147),
    [anon_sym_AMP_AMP] = ACTIONS(4147),
    [anon_sym_TILDE] = ACTIONS(4147),
    [aux_sym_prefix_op_token1] = ACTIONS(4147),
    [aux_sym_int_token1] = ACTIONS(4149),
    [aux_sym_xint_token1] = ACTIONS(4147),
    [aux_sym_xint_token2] = ACTIONS(4147),
    [aux_sym_xint_token3] = ACTIONS(4147),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2369] = {
    [sym_xml_doc] = STATE(2369),
    [sym_block_comment] = STATE(2369),
    [ts_builtin_sym_end] = ACTIONS(4151),
    [sym_identifier] = ACTIONS(4153),
    [anon_sym_namespace] = ACTIONS(4153),
    [anon_sym_module] = ACTIONS(4153),
    [anon_sym_POUNDnowarn] = ACTIONS(4151),
    [anon_sym_POUNDr] = ACTIONS(4151),
    [anon_sym_POUNDload] = ACTIONS(4151),
    [anon_sym_open] = ACTIONS(4153),
    [anon_sym_LBRACK_LT] = ACTIONS(4151),
    [anon_sym_return] = ACTIONS(4153),
    [anon_sym_type] = ACTIONS(4153),
    [anon_sym_do] = ACTIONS(4153),
    [anon_sym_and] = ACTIONS(4153),
    [anon_sym_let] = ACTIONS(4153),
    [anon_sym_let_BANG] = ACTIONS(4151),
    [anon_sym_null] = ACTIONS(4153),
    [anon_sym_LPAREN] = ACTIONS(4153),
    [anon_sym_AMP] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4153),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4153),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4151),
    [anon_sym_new] = ACTIONS(4153),
    [anon_sym_return_BANG] = ACTIONS(4151),
    [anon_sym_yield] = ACTIONS(4153),
    [anon_sym_yield_BANG] = ACTIONS(4151),
    [anon_sym_lazy] = ACTIONS(4153),
    [anon_sym_assert] = ACTIONS(4153),
    [anon_sym_upcast] = ACTIONS(4153),
    [anon_sym_downcast] = ACTIONS(4153),
    [anon_sym_LT_AT] = ACTIONS(4153),
    [anon_sym_LT_AT_AT] = ACTIONS(4151),
    [anon_sym_for] = ACTIONS(4153),
    [anon_sym_while] = ACTIONS(4153),
    [anon_sym_if] = ACTIONS(4153),
    [anon_sym_fun] = ACTIONS(4153),
    [anon_sym_try] = ACTIONS(4153),
    [anon_sym_match] = ACTIONS(4153),
    [anon_sym_match_BANG] = ACTIONS(4151),
    [anon_sym_function] = ACTIONS(4153),
    [anon_sym_use] = ACTIONS(4153),
    [anon_sym_use_BANG] = ACTIONS(4151),
    [anon_sym_do_BANG] = ACTIONS(4151),
    [anon_sym_begin] = ACTIONS(4153),
    [anon_sym_SQUOTE] = ACTIONS(4151),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4153),
    [anon_sym_DQUOTE] = ACTIONS(4153),
    [anon_sym_AT_DQUOTE] = ACTIONS(4151),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4151),
    [sym_bool] = ACTIONS(4153),
    [sym_unit] = ACTIONS(4151),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4151),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4153),
    [anon_sym_PLUS] = ACTIONS(4153),
    [anon_sym_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_DOT] = ACTIONS(4151),
    [anon_sym_DASH_DOT] = ACTIONS(4151),
    [anon_sym_PERCENT] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_TILDE] = ACTIONS(4151),
    [aux_sym_prefix_op_token1] = ACTIONS(4151),
    [aux_sym_int_token1] = ACTIONS(4153),
    [aux_sym_xint_token1] = ACTIONS(4151),
    [aux_sym_xint_token2] = ACTIONS(4151),
    [aux_sym_xint_token3] = ACTIONS(4151),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2370] = {
    [sym_xml_doc] = STATE(2370),
    [sym_block_comment] = STATE(2370),
    [ts_builtin_sym_end] = ACTIONS(4155),
    [sym_identifier] = ACTIONS(4157),
    [anon_sym_namespace] = ACTIONS(4157),
    [anon_sym_module] = ACTIONS(4157),
    [anon_sym_POUNDnowarn] = ACTIONS(4155),
    [anon_sym_POUNDr] = ACTIONS(4155),
    [anon_sym_POUNDload] = ACTIONS(4155),
    [anon_sym_open] = ACTIONS(4157),
    [anon_sym_LBRACK_LT] = ACTIONS(4155),
    [anon_sym_return] = ACTIONS(4157),
    [anon_sym_type] = ACTIONS(4157),
    [anon_sym_do] = ACTIONS(4157),
    [anon_sym_and] = ACTIONS(4157),
    [anon_sym_let] = ACTIONS(4157),
    [anon_sym_let_BANG] = ACTIONS(4155),
    [anon_sym_null] = ACTIONS(4157),
    [anon_sym_LPAREN] = ACTIONS(4157),
    [anon_sym_AMP] = ACTIONS(4157),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4155),
    [anon_sym_LBRACE] = ACTIONS(4157),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4155),
    [anon_sym_new] = ACTIONS(4157),
    [anon_sym_return_BANG] = ACTIONS(4155),
    [anon_sym_yield] = ACTIONS(4157),
    [anon_sym_yield_BANG] = ACTIONS(4155),
    [anon_sym_lazy] = ACTIONS(4157),
    [anon_sym_assert] = ACTIONS(4157),
    [anon_sym_upcast] = ACTIONS(4157),
    [anon_sym_downcast] = ACTIONS(4157),
    [anon_sym_LT_AT] = ACTIONS(4157),
    [anon_sym_LT_AT_AT] = ACTIONS(4155),
    [anon_sym_for] = ACTIONS(4157),
    [anon_sym_while] = ACTIONS(4157),
    [anon_sym_if] = ACTIONS(4157),
    [anon_sym_fun] = ACTIONS(4157),
    [anon_sym_try] = ACTIONS(4157),
    [anon_sym_match] = ACTIONS(4157),
    [anon_sym_match_BANG] = ACTIONS(4155),
    [anon_sym_function] = ACTIONS(4157),
    [anon_sym_use] = ACTIONS(4157),
    [anon_sym_use_BANG] = ACTIONS(4155),
    [anon_sym_do_BANG] = ACTIONS(4155),
    [anon_sym_begin] = ACTIONS(4157),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4157),
    [anon_sym_DQUOTE] = ACTIONS(4157),
    [anon_sym_AT_DQUOTE] = ACTIONS(4155),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4155),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4155),
    [sym_bool] = ACTIONS(4157),
    [sym_unit] = ACTIONS(4155),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4155),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4157),
    [anon_sym_PLUS] = ACTIONS(4157),
    [anon_sym_DASH] = ACTIONS(4157),
    [anon_sym_PLUS_DOT] = ACTIONS(4155),
    [anon_sym_DASH_DOT] = ACTIONS(4155),
    [anon_sym_PERCENT] = ACTIONS(4155),
    [anon_sym_AMP_AMP] = ACTIONS(4155),
    [anon_sym_TILDE] = ACTIONS(4155),
    [aux_sym_prefix_op_token1] = ACTIONS(4155),
    [aux_sym_int_token1] = ACTIONS(4157),
    [aux_sym_xint_token1] = ACTIONS(4155),
    [aux_sym_xint_token2] = ACTIONS(4155),
    [aux_sym_xint_token3] = ACTIONS(4155),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2371] = {
    [sym_xml_doc] = STATE(2371),
    [sym_block_comment] = STATE(2371),
    [ts_builtin_sym_end] = ACTIONS(4159),
    [sym_identifier] = ACTIONS(4161),
    [anon_sym_namespace] = ACTIONS(4161),
    [anon_sym_module] = ACTIONS(4161),
    [anon_sym_POUNDnowarn] = ACTIONS(4159),
    [anon_sym_POUNDr] = ACTIONS(4159),
    [anon_sym_POUNDload] = ACTIONS(4159),
    [anon_sym_open] = ACTIONS(4161),
    [anon_sym_LBRACK_LT] = ACTIONS(4159),
    [anon_sym_return] = ACTIONS(4161),
    [anon_sym_type] = ACTIONS(4161),
    [anon_sym_do] = ACTIONS(4161),
    [anon_sym_and] = ACTIONS(4161),
    [anon_sym_let] = ACTIONS(4161),
    [anon_sym_let_BANG] = ACTIONS(4159),
    [anon_sym_null] = ACTIONS(4161),
    [anon_sym_LPAREN] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4161),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4159),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_return_BANG] = ACTIONS(4159),
    [anon_sym_yield] = ACTIONS(4161),
    [anon_sym_yield_BANG] = ACTIONS(4159),
    [anon_sym_lazy] = ACTIONS(4161),
    [anon_sym_assert] = ACTIONS(4161),
    [anon_sym_upcast] = ACTIONS(4161),
    [anon_sym_downcast] = ACTIONS(4161),
    [anon_sym_LT_AT] = ACTIONS(4161),
    [anon_sym_LT_AT_AT] = ACTIONS(4159),
    [anon_sym_for] = ACTIONS(4161),
    [anon_sym_while] = ACTIONS(4161),
    [anon_sym_if] = ACTIONS(4161),
    [anon_sym_fun] = ACTIONS(4161),
    [anon_sym_try] = ACTIONS(4161),
    [anon_sym_match] = ACTIONS(4161),
    [anon_sym_match_BANG] = ACTIONS(4159),
    [anon_sym_function] = ACTIONS(4161),
    [anon_sym_use] = ACTIONS(4161),
    [anon_sym_use_BANG] = ACTIONS(4159),
    [anon_sym_do_BANG] = ACTIONS(4159),
    [anon_sym_begin] = ACTIONS(4161),
    [anon_sym_SQUOTE] = ACTIONS(4159),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4161),
    [anon_sym_DQUOTE] = ACTIONS(4161),
    [anon_sym_AT_DQUOTE] = ACTIONS(4159),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4159),
    [sym_bool] = ACTIONS(4161),
    [sym_unit] = ACTIONS(4159),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4159),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4161),
    [anon_sym_PLUS] = ACTIONS(4161),
    [anon_sym_DASH] = ACTIONS(4161),
    [anon_sym_PLUS_DOT] = ACTIONS(4159),
    [anon_sym_DASH_DOT] = ACTIONS(4159),
    [anon_sym_PERCENT] = ACTIONS(4159),
    [anon_sym_AMP_AMP] = ACTIONS(4159),
    [anon_sym_TILDE] = ACTIONS(4159),
    [aux_sym_prefix_op_token1] = ACTIONS(4159),
    [aux_sym_int_token1] = ACTIONS(4161),
    [aux_sym_xint_token1] = ACTIONS(4159),
    [aux_sym_xint_token2] = ACTIONS(4159),
    [aux_sym_xint_token3] = ACTIONS(4159),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2372] = {
    [sym_xml_doc] = STATE(2372),
    [sym_block_comment] = STATE(2372),
    [ts_builtin_sym_end] = ACTIONS(4163),
    [sym_identifier] = ACTIONS(4165),
    [anon_sym_namespace] = ACTIONS(4165),
    [anon_sym_module] = ACTIONS(4165),
    [anon_sym_POUNDnowarn] = ACTIONS(4163),
    [anon_sym_POUNDr] = ACTIONS(4163),
    [anon_sym_POUNDload] = ACTIONS(4163),
    [anon_sym_open] = ACTIONS(4165),
    [anon_sym_LBRACK_LT] = ACTIONS(4163),
    [anon_sym_return] = ACTIONS(4165),
    [anon_sym_type] = ACTIONS(4165),
    [anon_sym_do] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4165),
    [anon_sym_let] = ACTIONS(4165),
    [anon_sym_let_BANG] = ACTIONS(4163),
    [anon_sym_null] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4165),
    [anon_sym_AMP] = ACTIONS(4165),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4163),
    [anon_sym_LBRACE] = ACTIONS(4165),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4163),
    [anon_sym_new] = ACTIONS(4165),
    [anon_sym_return_BANG] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4165),
    [anon_sym_yield_BANG] = ACTIONS(4163),
    [anon_sym_lazy] = ACTIONS(4165),
    [anon_sym_assert] = ACTIONS(4165),
    [anon_sym_upcast] = ACTIONS(4165),
    [anon_sym_downcast] = ACTIONS(4165),
    [anon_sym_LT_AT] = ACTIONS(4165),
    [anon_sym_LT_AT_AT] = ACTIONS(4163),
    [anon_sym_for] = ACTIONS(4165),
    [anon_sym_while] = ACTIONS(4165),
    [anon_sym_if] = ACTIONS(4165),
    [anon_sym_fun] = ACTIONS(4165),
    [anon_sym_try] = ACTIONS(4165),
    [anon_sym_match] = ACTIONS(4165),
    [anon_sym_match_BANG] = ACTIONS(4163),
    [anon_sym_function] = ACTIONS(4165),
    [anon_sym_use] = ACTIONS(4165),
    [anon_sym_use_BANG] = ACTIONS(4163),
    [anon_sym_do_BANG] = ACTIONS(4163),
    [anon_sym_begin] = ACTIONS(4165),
    [anon_sym_SQUOTE] = ACTIONS(4163),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4165),
    [anon_sym_DQUOTE] = ACTIONS(4165),
    [anon_sym_AT_DQUOTE] = ACTIONS(4163),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4163),
    [sym_bool] = ACTIONS(4165),
    [sym_unit] = ACTIONS(4163),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4163),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4165),
    [anon_sym_DASH] = ACTIONS(4165),
    [anon_sym_PLUS_DOT] = ACTIONS(4163),
    [anon_sym_DASH_DOT] = ACTIONS(4163),
    [anon_sym_PERCENT] = ACTIONS(4163),
    [anon_sym_AMP_AMP] = ACTIONS(4163),
    [anon_sym_TILDE] = ACTIONS(4163),
    [aux_sym_prefix_op_token1] = ACTIONS(4163),
    [aux_sym_int_token1] = ACTIONS(4165),
    [aux_sym_xint_token1] = ACTIONS(4163),
    [aux_sym_xint_token2] = ACTIONS(4163),
    [aux_sym_xint_token3] = ACTIONS(4163),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2373] = {
    [sym_xml_doc] = STATE(2373),
    [sym_block_comment] = STATE(2373),
    [aux_sym__function_or_value_defns_repeat1] = STATE(2376),
    [sym_identifier] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_POUNDnowarn] = ACTIONS(4103),
    [anon_sym_POUNDr] = ACTIONS(4103),
    [anon_sym_POUNDload] = ACTIONS(4103),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_LBRACK_LT] = ACTIONS(4103),
    [anon_sym_return] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_do] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_let_BANG] = ACTIONS(4103),
    [anon_sym_null] = ACTIONS(4105),
    [anon_sym_LPAREN] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(4105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4103),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4103),
    [anon_sym_new] = ACTIONS(4105),
    [anon_sym_return_BANG] = ACTIONS(4103),
    [anon_sym_yield] = ACTIONS(4105),
    [anon_sym_yield_BANG] = ACTIONS(4103),
    [anon_sym_lazy] = ACTIONS(4105),
    [anon_sym_assert] = ACTIONS(4105),
    [anon_sym_upcast] = ACTIONS(4105),
    [anon_sym_downcast] = ACTIONS(4105),
    [anon_sym_LT_AT] = ACTIONS(4105),
    [anon_sym_LT_AT_AT] = ACTIONS(4103),
    [anon_sym_for] = ACTIONS(4105),
    [anon_sym_while] = ACTIONS(4105),
    [anon_sym_if] = ACTIONS(4105),
    [anon_sym_fun] = ACTIONS(4105),
    [anon_sym_try] = ACTIONS(4105),
    [anon_sym_match] = ACTIONS(4105),
    [anon_sym_match_BANG] = ACTIONS(4103),
    [anon_sym_function] = ACTIONS(4105),
    [anon_sym_use] = ACTIONS(4105),
    [anon_sym_use_BANG] = ACTIONS(4103),
    [anon_sym_do_BANG] = ACTIONS(4103),
    [anon_sym_begin] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(4103),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4105),
    [anon_sym_DQUOTE] = ACTIONS(4105),
    [anon_sym_AT_DQUOTE] = ACTIONS(4103),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4103),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4103),
    [sym_bool] = ACTIONS(4105),
    [sym_unit] = ACTIONS(4103),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4103),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_DOT] = ACTIONS(4103),
    [anon_sym_DASH_DOT] = ACTIONS(4103),
    [anon_sym_PERCENT] = ACTIONS(4103),
    [anon_sym_AMP_AMP] = ACTIONS(4103),
    [anon_sym_TILDE] = ACTIONS(4103),
    [aux_sym_prefix_op_token1] = ACTIONS(4103),
    [aux_sym_int_token1] = ACTIONS(4105),
    [aux_sym_xint_token1] = ACTIONS(4103),
    [aux_sym_xint_token2] = ACTIONS(4103),
    [aux_sym_xint_token3] = ACTIONS(4103),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4103),
  },
  [2374] = {
    [sym_xml_doc] = STATE(2374),
    [sym_block_comment] = STATE(2374),
    [ts_builtin_sym_end] = ACTIONS(4169),
    [sym_identifier] = ACTIONS(4171),
    [anon_sym_namespace] = ACTIONS(4171),
    [anon_sym_module] = ACTIONS(4171),
    [anon_sym_POUNDnowarn] = ACTIONS(4169),
    [anon_sym_POUNDr] = ACTIONS(4169),
    [anon_sym_POUNDload] = ACTIONS(4169),
    [anon_sym_open] = ACTIONS(4171),
    [anon_sym_LBRACK_LT] = ACTIONS(4169),
    [anon_sym_return] = ACTIONS(4171),
    [anon_sym_type] = ACTIONS(4171),
    [anon_sym_do] = ACTIONS(4171),
    [anon_sym_and] = ACTIONS(4171),
    [anon_sym_let] = ACTIONS(4171),
    [anon_sym_let_BANG] = ACTIONS(4169),
    [anon_sym_null] = ACTIONS(4171),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_AMP] = ACTIONS(4171),
    [anon_sym_LBRACK] = ACTIONS(4171),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4171),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4169),
    [anon_sym_new] = ACTIONS(4171),
    [anon_sym_return_BANG] = ACTIONS(4169),
    [anon_sym_yield] = ACTIONS(4171),
    [anon_sym_yield_BANG] = ACTIONS(4169),
    [anon_sym_lazy] = ACTIONS(4171),
    [anon_sym_assert] = ACTIONS(4171),
    [anon_sym_upcast] = ACTIONS(4171),
    [anon_sym_downcast] = ACTIONS(4171),
    [anon_sym_LT_AT] = ACTIONS(4171),
    [anon_sym_LT_AT_AT] = ACTIONS(4169),
    [anon_sym_for] = ACTIONS(4171),
    [anon_sym_while] = ACTIONS(4171),
    [anon_sym_if] = ACTIONS(4171),
    [anon_sym_fun] = ACTIONS(4171),
    [anon_sym_try] = ACTIONS(4171),
    [anon_sym_match] = ACTIONS(4171),
    [anon_sym_match_BANG] = ACTIONS(4169),
    [anon_sym_function] = ACTIONS(4171),
    [anon_sym_use] = ACTIONS(4171),
    [anon_sym_use_BANG] = ACTIONS(4169),
    [anon_sym_do_BANG] = ACTIONS(4169),
    [anon_sym_begin] = ACTIONS(4171),
    [anon_sym_SQUOTE] = ACTIONS(4169),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4171),
    [anon_sym_DQUOTE] = ACTIONS(4171),
    [anon_sym_AT_DQUOTE] = ACTIONS(4169),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4169),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4169),
    [sym_bool] = ACTIONS(4171),
    [sym_unit] = ACTIONS(4169),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4169),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4171),
    [anon_sym_PLUS] = ACTIONS(4171),
    [anon_sym_DASH] = ACTIONS(4171),
    [anon_sym_PLUS_DOT] = ACTIONS(4169),
    [anon_sym_DASH_DOT] = ACTIONS(4169),
    [anon_sym_PERCENT] = ACTIONS(4169),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_TILDE] = ACTIONS(4169),
    [aux_sym_prefix_op_token1] = ACTIONS(4169),
    [aux_sym_int_token1] = ACTIONS(4171),
    [aux_sym_xint_token1] = ACTIONS(4169),
    [aux_sym_xint_token2] = ACTIONS(4169),
    [aux_sym_xint_token3] = ACTIONS(4169),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2375] = {
    [sym_xml_doc] = STATE(2375),
    [sym_block_comment] = STATE(2375),
    [ts_builtin_sym_end] = ACTIONS(4173),
    [sym_identifier] = ACTIONS(4175),
    [anon_sym_namespace] = ACTIONS(4175),
    [anon_sym_module] = ACTIONS(4175),
    [anon_sym_POUNDnowarn] = ACTIONS(4173),
    [anon_sym_POUNDr] = ACTIONS(4173),
    [anon_sym_POUNDload] = ACTIONS(4173),
    [anon_sym_open] = ACTIONS(4175),
    [anon_sym_LBRACK_LT] = ACTIONS(4173),
    [anon_sym_return] = ACTIONS(4175),
    [anon_sym_type] = ACTIONS(4175),
    [anon_sym_do] = ACTIONS(4175),
    [anon_sym_and] = ACTIONS(4175),
    [anon_sym_let] = ACTIONS(4175),
    [anon_sym_let_BANG] = ACTIONS(4173),
    [anon_sym_null] = ACTIONS(4175),
    [anon_sym_LPAREN] = ACTIONS(4175),
    [anon_sym_AMP] = ACTIONS(4175),
    [anon_sym_LBRACK] = ACTIONS(4175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4173),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4173),
    [anon_sym_new] = ACTIONS(4175),
    [anon_sym_return_BANG] = ACTIONS(4173),
    [anon_sym_yield] = ACTIONS(4175),
    [anon_sym_yield_BANG] = ACTIONS(4173),
    [anon_sym_lazy] = ACTIONS(4175),
    [anon_sym_assert] = ACTIONS(4175),
    [anon_sym_upcast] = ACTIONS(4175),
    [anon_sym_downcast] = ACTIONS(4175),
    [anon_sym_LT_AT] = ACTIONS(4175),
    [anon_sym_LT_AT_AT] = ACTIONS(4173),
    [anon_sym_for] = ACTIONS(4175),
    [anon_sym_while] = ACTIONS(4175),
    [anon_sym_if] = ACTIONS(4175),
    [anon_sym_fun] = ACTIONS(4175),
    [anon_sym_try] = ACTIONS(4175),
    [anon_sym_match] = ACTIONS(4175),
    [anon_sym_match_BANG] = ACTIONS(4173),
    [anon_sym_function] = ACTIONS(4175),
    [anon_sym_use] = ACTIONS(4175),
    [anon_sym_use_BANG] = ACTIONS(4173),
    [anon_sym_do_BANG] = ACTIONS(4173),
    [anon_sym_begin] = ACTIONS(4175),
    [anon_sym_SQUOTE] = ACTIONS(4173),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4175),
    [anon_sym_DQUOTE] = ACTIONS(4175),
    [anon_sym_AT_DQUOTE] = ACTIONS(4173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4173),
    [sym_bool] = ACTIONS(4175),
    [sym_unit] = ACTIONS(4173),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4173),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4175),
    [anon_sym_PLUS] = ACTIONS(4175),
    [anon_sym_DASH] = ACTIONS(4175),
    [anon_sym_PLUS_DOT] = ACTIONS(4173),
    [anon_sym_DASH_DOT] = ACTIONS(4173),
    [anon_sym_PERCENT] = ACTIONS(4173),
    [anon_sym_AMP_AMP] = ACTIONS(4173),
    [anon_sym_TILDE] = ACTIONS(4173),
    [aux_sym_prefix_op_token1] = ACTIONS(4173),
    [aux_sym_int_token1] = ACTIONS(4175),
    [aux_sym_xint_token1] = ACTIONS(4173),
    [aux_sym_xint_token2] = ACTIONS(4173),
    [aux_sym_xint_token3] = ACTIONS(4173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2376] = {
    [sym_xml_doc] = STATE(2376),
    [sym_block_comment] = STATE(2376),
    [aux_sym__function_or_value_defns_repeat1] = STATE(2376),
    [sym_identifier] = ACTIONS(4098),
    [anon_sym_module] = ACTIONS(4098),
    [anon_sym_POUNDnowarn] = ACTIONS(4096),
    [anon_sym_POUNDr] = ACTIONS(4096),
    [anon_sym_POUNDload] = ACTIONS(4096),
    [anon_sym_open] = ACTIONS(4098),
    [anon_sym_LBRACK_LT] = ACTIONS(4096),
    [anon_sym_return] = ACTIONS(4098),
    [anon_sym_type] = ACTIONS(4098),
    [anon_sym_do] = ACTIONS(4098),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4098),
    [anon_sym_let_BANG] = ACTIONS(4096),
    [anon_sym_null] = ACTIONS(4098),
    [anon_sym_LPAREN] = ACTIONS(4098),
    [anon_sym_AMP] = ACTIONS(4098),
    [anon_sym_LBRACK] = ACTIONS(4098),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4096),
    [anon_sym_LBRACE] = ACTIONS(4098),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4096),
    [anon_sym_new] = ACTIONS(4098),
    [anon_sym_return_BANG] = ACTIONS(4096),
    [anon_sym_yield] = ACTIONS(4098),
    [anon_sym_yield_BANG] = ACTIONS(4096),
    [anon_sym_lazy] = ACTIONS(4098),
    [anon_sym_assert] = ACTIONS(4098),
    [anon_sym_upcast] = ACTIONS(4098),
    [anon_sym_downcast] = ACTIONS(4098),
    [anon_sym_LT_AT] = ACTIONS(4098),
    [anon_sym_LT_AT_AT] = ACTIONS(4096),
    [anon_sym_for] = ACTIONS(4098),
    [anon_sym_while] = ACTIONS(4098),
    [anon_sym_if] = ACTIONS(4098),
    [anon_sym_fun] = ACTIONS(4098),
    [anon_sym_try] = ACTIONS(4098),
    [anon_sym_match] = ACTIONS(4098),
    [anon_sym_match_BANG] = ACTIONS(4096),
    [anon_sym_function] = ACTIONS(4098),
    [anon_sym_use] = ACTIONS(4098),
    [anon_sym_use_BANG] = ACTIONS(4096),
    [anon_sym_do_BANG] = ACTIONS(4096),
    [anon_sym_begin] = ACTIONS(4098),
    [anon_sym_SQUOTE] = ACTIONS(4096),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4098),
    [anon_sym_DQUOTE] = ACTIONS(4098),
    [anon_sym_AT_DQUOTE] = ACTIONS(4096),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4096),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4096),
    [sym_bool] = ACTIONS(4098),
    [sym_unit] = ACTIONS(4096),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4096),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4098),
    [anon_sym_PLUS] = ACTIONS(4098),
    [anon_sym_DASH] = ACTIONS(4098),
    [anon_sym_PLUS_DOT] = ACTIONS(4096),
    [anon_sym_DASH_DOT] = ACTIONS(4096),
    [anon_sym_PERCENT] = ACTIONS(4096),
    [anon_sym_AMP_AMP] = ACTIONS(4096),
    [anon_sym_TILDE] = ACTIONS(4096),
    [aux_sym_prefix_op_token1] = ACTIONS(4096),
    [aux_sym_int_token1] = ACTIONS(4098),
    [aux_sym_xint_token1] = ACTIONS(4096),
    [aux_sym_xint_token2] = ACTIONS(4096),
    [aux_sym_xint_token3] = ACTIONS(4096),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4096),
  },
  [2377] = {
    [sym_xml_doc] = STATE(2377),
    [sym_block_comment] = STATE(2377),
    [ts_builtin_sym_end] = ACTIONS(4180),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_namespace] = ACTIONS(4182),
    [anon_sym_module] = ACTIONS(4182),
    [anon_sym_POUNDnowarn] = ACTIONS(4180),
    [anon_sym_POUNDr] = ACTIONS(4180),
    [anon_sym_POUNDload] = ACTIONS(4180),
    [anon_sym_open] = ACTIONS(4182),
    [anon_sym_LBRACK_LT] = ACTIONS(4180),
    [anon_sym_return] = ACTIONS(4182),
    [anon_sym_type] = ACTIONS(4182),
    [anon_sym_do] = ACTIONS(4182),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_let] = ACTIONS(4182),
    [anon_sym_let_BANG] = ACTIONS(4180),
    [anon_sym_null] = ACTIONS(4182),
    [anon_sym_LPAREN] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4182),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4180),
    [anon_sym_LBRACE] = ACTIONS(4182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4180),
    [anon_sym_new] = ACTIONS(4182),
    [anon_sym_return_BANG] = ACTIONS(4180),
    [anon_sym_yield] = ACTIONS(4182),
    [anon_sym_yield_BANG] = ACTIONS(4180),
    [anon_sym_lazy] = ACTIONS(4182),
    [anon_sym_assert] = ACTIONS(4182),
    [anon_sym_upcast] = ACTIONS(4182),
    [anon_sym_downcast] = ACTIONS(4182),
    [anon_sym_LT_AT] = ACTIONS(4182),
    [anon_sym_LT_AT_AT] = ACTIONS(4180),
    [anon_sym_for] = ACTIONS(4182),
    [anon_sym_while] = ACTIONS(4182),
    [anon_sym_if] = ACTIONS(4182),
    [anon_sym_fun] = ACTIONS(4182),
    [anon_sym_try] = ACTIONS(4182),
    [anon_sym_match] = ACTIONS(4182),
    [anon_sym_match_BANG] = ACTIONS(4180),
    [anon_sym_function] = ACTIONS(4182),
    [anon_sym_use] = ACTIONS(4182),
    [anon_sym_use_BANG] = ACTIONS(4180),
    [anon_sym_do_BANG] = ACTIONS(4180),
    [anon_sym_begin] = ACTIONS(4182),
    [anon_sym_SQUOTE] = ACTIONS(4180),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4182),
    [anon_sym_DQUOTE] = ACTIONS(4182),
    [anon_sym_AT_DQUOTE] = ACTIONS(4180),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4180),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4180),
    [sym_bool] = ACTIONS(4182),
    [sym_unit] = ACTIONS(4180),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4180),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4182),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_PLUS_DOT] = ACTIONS(4180),
    [anon_sym_DASH_DOT] = ACTIONS(4180),
    [anon_sym_PERCENT] = ACTIONS(4180),
    [anon_sym_AMP_AMP] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(4180),
    [aux_sym_prefix_op_token1] = ACTIONS(4180),
    [aux_sym_int_token1] = ACTIONS(4182),
    [aux_sym_xint_token1] = ACTIONS(4180),
    [aux_sym_xint_token2] = ACTIONS(4180),
    [aux_sym_xint_token3] = ACTIONS(4180),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2378] = {
    [sym_xml_doc] = STATE(2378),
    [sym_block_comment] = STATE(2378),
    [ts_builtin_sym_end] = ACTIONS(4184),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_namespace] = ACTIONS(4186),
    [anon_sym_module] = ACTIONS(4186),
    [anon_sym_POUNDnowarn] = ACTIONS(4184),
    [anon_sym_POUNDr] = ACTIONS(4184),
    [anon_sym_POUNDload] = ACTIONS(4184),
    [anon_sym_open] = ACTIONS(4186),
    [anon_sym_LBRACK_LT] = ACTIONS(4184),
    [anon_sym_return] = ACTIONS(4186),
    [anon_sym_type] = ACTIONS(4186),
    [anon_sym_do] = ACTIONS(4186),
    [anon_sym_and] = ACTIONS(4186),
    [anon_sym_let] = ACTIONS(4186),
    [anon_sym_let_BANG] = ACTIONS(4184),
    [anon_sym_null] = ACTIONS(4186),
    [anon_sym_LPAREN] = ACTIONS(4186),
    [anon_sym_AMP] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(4186),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4186),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4184),
    [anon_sym_new] = ACTIONS(4186),
    [anon_sym_return_BANG] = ACTIONS(4184),
    [anon_sym_yield] = ACTIONS(4186),
    [anon_sym_yield_BANG] = ACTIONS(4184),
    [anon_sym_lazy] = ACTIONS(4186),
    [anon_sym_assert] = ACTIONS(4186),
    [anon_sym_upcast] = ACTIONS(4186),
    [anon_sym_downcast] = ACTIONS(4186),
    [anon_sym_LT_AT] = ACTIONS(4186),
    [anon_sym_LT_AT_AT] = ACTIONS(4184),
    [anon_sym_for] = ACTIONS(4186),
    [anon_sym_while] = ACTIONS(4186),
    [anon_sym_if] = ACTIONS(4186),
    [anon_sym_fun] = ACTIONS(4186),
    [anon_sym_try] = ACTIONS(4186),
    [anon_sym_match] = ACTIONS(4186),
    [anon_sym_match_BANG] = ACTIONS(4184),
    [anon_sym_function] = ACTIONS(4186),
    [anon_sym_use] = ACTIONS(4186),
    [anon_sym_use_BANG] = ACTIONS(4184),
    [anon_sym_do_BANG] = ACTIONS(4184),
    [anon_sym_begin] = ACTIONS(4186),
    [anon_sym_SQUOTE] = ACTIONS(4184),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4186),
    [anon_sym_DQUOTE] = ACTIONS(4186),
    [anon_sym_AT_DQUOTE] = ACTIONS(4184),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4184),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4184),
    [sym_bool] = ACTIONS(4186),
    [sym_unit] = ACTIONS(4184),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4184),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4186),
    [anon_sym_PLUS] = ACTIONS(4186),
    [anon_sym_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_DOT] = ACTIONS(4184),
    [anon_sym_DASH_DOT] = ACTIONS(4184),
    [anon_sym_PERCENT] = ACTIONS(4184),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_TILDE] = ACTIONS(4184),
    [aux_sym_prefix_op_token1] = ACTIONS(4184),
    [aux_sym_int_token1] = ACTIONS(4186),
    [aux_sym_xint_token1] = ACTIONS(4184),
    [aux_sym_xint_token2] = ACTIONS(4184),
    [aux_sym_xint_token3] = ACTIONS(4184),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2379] = {
    [sym_xml_doc] = STATE(2379),
    [sym_block_comment] = STATE(2379),
    [ts_builtin_sym_end] = ACTIONS(4188),
    [sym_identifier] = ACTIONS(4190),
    [anon_sym_namespace] = ACTIONS(4190),
    [anon_sym_module] = ACTIONS(4190),
    [anon_sym_POUNDnowarn] = ACTIONS(4188),
    [anon_sym_POUNDr] = ACTIONS(4188),
    [anon_sym_POUNDload] = ACTIONS(4188),
    [anon_sym_open] = ACTIONS(4190),
    [anon_sym_LBRACK_LT] = ACTIONS(4188),
    [anon_sym_return] = ACTIONS(4190),
    [anon_sym_type] = ACTIONS(4190),
    [anon_sym_do] = ACTIONS(4190),
    [anon_sym_and] = ACTIONS(4190),
    [anon_sym_let] = ACTIONS(4190),
    [anon_sym_let_BANG] = ACTIONS(4188),
    [anon_sym_null] = ACTIONS(4190),
    [anon_sym_LPAREN] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4190),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4188),
    [anon_sym_new] = ACTIONS(4190),
    [anon_sym_return_BANG] = ACTIONS(4188),
    [anon_sym_yield] = ACTIONS(4190),
    [anon_sym_yield_BANG] = ACTIONS(4188),
    [anon_sym_lazy] = ACTIONS(4190),
    [anon_sym_assert] = ACTIONS(4190),
    [anon_sym_upcast] = ACTIONS(4190),
    [anon_sym_downcast] = ACTIONS(4190),
    [anon_sym_LT_AT] = ACTIONS(4190),
    [anon_sym_LT_AT_AT] = ACTIONS(4188),
    [anon_sym_for] = ACTIONS(4190),
    [anon_sym_while] = ACTIONS(4190),
    [anon_sym_if] = ACTIONS(4190),
    [anon_sym_fun] = ACTIONS(4190),
    [anon_sym_try] = ACTIONS(4190),
    [anon_sym_match] = ACTIONS(4190),
    [anon_sym_match_BANG] = ACTIONS(4188),
    [anon_sym_function] = ACTIONS(4190),
    [anon_sym_use] = ACTIONS(4190),
    [anon_sym_use_BANG] = ACTIONS(4188),
    [anon_sym_do_BANG] = ACTIONS(4188),
    [anon_sym_begin] = ACTIONS(4190),
    [anon_sym_SQUOTE] = ACTIONS(4188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4190),
    [anon_sym_DQUOTE] = ACTIONS(4190),
    [anon_sym_AT_DQUOTE] = ACTIONS(4188),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4188),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4188),
    [sym_bool] = ACTIONS(4190),
    [sym_unit] = ACTIONS(4188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4190),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_PLUS_DOT] = ACTIONS(4188),
    [anon_sym_DASH_DOT] = ACTIONS(4188),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_AMP_AMP] = ACTIONS(4188),
    [anon_sym_TILDE] = ACTIONS(4188),
    [aux_sym_prefix_op_token1] = ACTIONS(4188),
    [aux_sym_int_token1] = ACTIONS(4190),
    [aux_sym_xint_token1] = ACTIONS(4188),
    [aux_sym_xint_token2] = ACTIONS(4188),
    [aux_sym_xint_token3] = ACTIONS(4188),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2380] = {
    [sym_xml_doc] = STATE(2380),
    [sym_block_comment] = STATE(2380),
    [ts_builtin_sym_end] = ACTIONS(4192),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_namespace] = ACTIONS(4194),
    [anon_sym_module] = ACTIONS(4194),
    [anon_sym_POUNDnowarn] = ACTIONS(4192),
    [anon_sym_POUNDr] = ACTIONS(4192),
    [anon_sym_POUNDload] = ACTIONS(4192),
    [anon_sym_open] = ACTIONS(4194),
    [anon_sym_LBRACK_LT] = ACTIONS(4192),
    [anon_sym_return] = ACTIONS(4194),
    [anon_sym_type] = ACTIONS(4194),
    [anon_sym_do] = ACTIONS(4194),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_let] = ACTIONS(4194),
    [anon_sym_let_BANG] = ACTIONS(4192),
    [anon_sym_null] = ACTIONS(4194),
    [anon_sym_LPAREN] = ACTIONS(4194),
    [anon_sym_AMP] = ACTIONS(4194),
    [anon_sym_LBRACK] = ACTIONS(4194),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4192),
    [anon_sym_LBRACE] = ACTIONS(4194),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4192),
    [anon_sym_new] = ACTIONS(4194),
    [anon_sym_return_BANG] = ACTIONS(4192),
    [anon_sym_yield] = ACTIONS(4194),
    [anon_sym_yield_BANG] = ACTIONS(4192),
    [anon_sym_lazy] = ACTIONS(4194),
    [anon_sym_assert] = ACTIONS(4194),
    [anon_sym_upcast] = ACTIONS(4194),
    [anon_sym_downcast] = ACTIONS(4194),
    [anon_sym_LT_AT] = ACTIONS(4194),
    [anon_sym_LT_AT_AT] = ACTIONS(4192),
    [anon_sym_for] = ACTIONS(4194),
    [anon_sym_while] = ACTIONS(4194),
    [anon_sym_if] = ACTIONS(4194),
    [anon_sym_fun] = ACTIONS(4194),
    [anon_sym_try] = ACTIONS(4194),
    [anon_sym_match] = ACTIONS(4194),
    [anon_sym_match_BANG] = ACTIONS(4192),
    [anon_sym_function] = ACTIONS(4194),
    [anon_sym_use] = ACTIONS(4194),
    [anon_sym_use_BANG] = ACTIONS(4192),
    [anon_sym_do_BANG] = ACTIONS(4192),
    [anon_sym_begin] = ACTIONS(4194),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [anon_sym_AT_DQUOTE] = ACTIONS(4192),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4192),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4192),
    [sym_bool] = ACTIONS(4194),
    [sym_unit] = ACTIONS(4192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4194),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_PLUS_DOT] = ACTIONS(4192),
    [anon_sym_DASH_DOT] = ACTIONS(4192),
    [anon_sym_PERCENT] = ACTIONS(4192),
    [anon_sym_AMP_AMP] = ACTIONS(4192),
    [anon_sym_TILDE] = ACTIONS(4192),
    [aux_sym_prefix_op_token1] = ACTIONS(4192),
    [aux_sym_int_token1] = ACTIONS(4194),
    [aux_sym_xint_token1] = ACTIONS(4192),
    [aux_sym_xint_token2] = ACTIONS(4192),
    [aux_sym_xint_token3] = ACTIONS(4192),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2381] = {
    [sym_xml_doc] = STATE(2381),
    [sym_block_comment] = STATE(2381),
    [aux_sym_long_identifier_repeat1] = STATE(2383),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_POUNDnowarn] = ACTIONS(2339),
    [anon_sym_POUNDr] = ACTIONS(2339),
    [anon_sym_POUNDload] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2337),
    [anon_sym_LBRACK_LT] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_LT_AT_AT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(4133),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2339),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2339),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2339),
    [anon_sym_DASH_DOT] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_AMP_AMP] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2339),
  },
  [2382] = {
    [sym_xml_doc] = STATE(2382),
    [sym_block_comment] = STATE(2382),
    [aux_sym__function_or_value_defns_repeat1] = STATE(2373),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_module] = ACTIONS(4092),
    [anon_sym_POUNDnowarn] = ACTIONS(4090),
    [anon_sym_POUNDr] = ACTIONS(4090),
    [anon_sym_POUNDload] = ACTIONS(4090),
    [anon_sym_open] = ACTIONS(4092),
    [anon_sym_LBRACK_LT] = ACTIONS(4090),
    [anon_sym_return] = ACTIONS(4092),
    [anon_sym_type] = ACTIONS(4092),
    [anon_sym_do] = ACTIONS(4092),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_let] = ACTIONS(4092),
    [anon_sym_let_BANG] = ACTIONS(4090),
    [anon_sym_null] = ACTIONS(4092),
    [anon_sym_LPAREN] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_LBRACK] = ACTIONS(4092),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4090),
    [anon_sym_LBRACE] = ACTIONS(4092),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4090),
    [anon_sym_new] = ACTIONS(4092),
    [anon_sym_return_BANG] = ACTIONS(4090),
    [anon_sym_yield] = ACTIONS(4092),
    [anon_sym_yield_BANG] = ACTIONS(4090),
    [anon_sym_lazy] = ACTIONS(4092),
    [anon_sym_assert] = ACTIONS(4092),
    [anon_sym_upcast] = ACTIONS(4092),
    [anon_sym_downcast] = ACTIONS(4092),
    [anon_sym_LT_AT] = ACTIONS(4092),
    [anon_sym_LT_AT_AT] = ACTIONS(4090),
    [anon_sym_for] = ACTIONS(4092),
    [anon_sym_while] = ACTIONS(4092),
    [anon_sym_if] = ACTIONS(4092),
    [anon_sym_fun] = ACTIONS(4092),
    [anon_sym_try] = ACTIONS(4092),
    [anon_sym_match] = ACTIONS(4092),
    [anon_sym_match_BANG] = ACTIONS(4090),
    [anon_sym_function] = ACTIONS(4092),
    [anon_sym_use] = ACTIONS(4092),
    [anon_sym_use_BANG] = ACTIONS(4090),
    [anon_sym_do_BANG] = ACTIONS(4090),
    [anon_sym_begin] = ACTIONS(4092),
    [anon_sym_SQUOTE] = ACTIONS(4090),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4092),
    [anon_sym_DQUOTE] = ACTIONS(4092),
    [anon_sym_AT_DQUOTE] = ACTIONS(4090),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4090),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4090),
    [sym_bool] = ACTIONS(4092),
    [sym_unit] = ACTIONS(4090),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4090),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4092),
    [anon_sym_PLUS] = ACTIONS(4092),
    [anon_sym_DASH] = ACTIONS(4092),
    [anon_sym_PLUS_DOT] = ACTIONS(4090),
    [anon_sym_DASH_DOT] = ACTIONS(4090),
    [anon_sym_PERCENT] = ACTIONS(4090),
    [anon_sym_AMP_AMP] = ACTIONS(4090),
    [anon_sym_TILDE] = ACTIONS(4090),
    [aux_sym_prefix_op_token1] = ACTIONS(4090),
    [aux_sym_int_token1] = ACTIONS(4092),
    [aux_sym_xint_token1] = ACTIONS(4090),
    [aux_sym_xint_token2] = ACTIONS(4090),
    [aux_sym_xint_token3] = ACTIONS(4090),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4090),
  },
  [2383] = {
    [sym_xml_doc] = STATE(2383),
    [sym_block_comment] = STATE(2383),
    [aux_sym_long_identifier_repeat1] = STATE(2383),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(4196),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2318),
  },
  [2384] = {
    [sym_xml_doc] = STATE(2384),
    [sym_block_comment] = STATE(2384),
    [ts_builtin_sym_end] = ACTIONS(4199),
    [sym_identifier] = ACTIONS(4201),
    [anon_sym_namespace] = ACTIONS(4201),
    [anon_sym_module] = ACTIONS(4201),
    [anon_sym_POUNDnowarn] = ACTIONS(4199),
    [anon_sym_POUNDr] = ACTIONS(4199),
    [anon_sym_POUNDload] = ACTIONS(4199),
    [anon_sym_open] = ACTIONS(4201),
    [anon_sym_LBRACK_LT] = ACTIONS(4199),
    [anon_sym_return] = ACTIONS(4201),
    [anon_sym_type] = ACTIONS(4201),
    [anon_sym_do] = ACTIONS(4201),
    [anon_sym_let] = ACTIONS(4201),
    [anon_sym_let_BANG] = ACTIONS(4199),
    [anon_sym_null] = ACTIONS(4201),
    [anon_sym_LPAREN] = ACTIONS(4201),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_LBRACK] = ACTIONS(4201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(4201),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4199),
    [anon_sym_new] = ACTIONS(4201),
    [anon_sym_return_BANG] = ACTIONS(4199),
    [anon_sym_yield] = ACTIONS(4201),
    [anon_sym_yield_BANG] = ACTIONS(4199),
    [anon_sym_lazy] = ACTIONS(4201),
    [anon_sym_assert] = ACTIONS(4201),
    [anon_sym_upcast] = ACTIONS(4201),
    [anon_sym_downcast] = ACTIONS(4201),
    [anon_sym_LT_AT] = ACTIONS(4201),
    [anon_sym_LT_AT_AT] = ACTIONS(4199),
    [anon_sym_for] = ACTIONS(4201),
    [anon_sym_while] = ACTIONS(4201),
    [anon_sym_if] = ACTIONS(4201),
    [anon_sym_fun] = ACTIONS(4201),
    [anon_sym_try] = ACTIONS(4201),
    [anon_sym_match] = ACTIONS(4201),
    [anon_sym_match_BANG] = ACTIONS(4199),
    [anon_sym_function] = ACTIONS(4201),
    [anon_sym_use] = ACTIONS(4201),
    [anon_sym_use_BANG] = ACTIONS(4199),
    [anon_sym_do_BANG] = ACTIONS(4199),
    [anon_sym_begin] = ACTIONS(4201),
    [anon_sym_SQUOTE] = ACTIONS(4199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4201),
    [anon_sym_DQUOTE] = ACTIONS(4201),
    [anon_sym_AT_DQUOTE] = ACTIONS(4199),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4199),
    [sym_bool] = ACTIONS(4201),
    [sym_unit] = ACTIONS(4199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4201),
    [anon_sym_PLUS] = ACTIONS(4201),
    [anon_sym_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_DOT] = ACTIONS(4199),
    [anon_sym_DASH_DOT] = ACTIONS(4199),
    [anon_sym_PERCENT] = ACTIONS(4199),
    [anon_sym_AMP_AMP] = ACTIONS(4199),
    [anon_sym_TILDE] = ACTIONS(4199),
    [aux_sym_prefix_op_token1] = ACTIONS(4199),
    [aux_sym_int_token1] = ACTIONS(4201),
    [aux_sym_xint_token1] = ACTIONS(4199),
    [aux_sym_xint_token2] = ACTIONS(4199),
    [aux_sym_xint_token3] = ACTIONS(4199),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2385] = {
    [sym_xml_doc] = STATE(2385),
    [sym_block_comment] = STATE(2385),
    [ts_builtin_sym_end] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_module] = ACTIONS(2641),
    [anon_sym_POUNDnowarn] = ACTIONS(2643),
    [anon_sym_POUNDr] = ACTIONS(2643),
    [anon_sym_POUNDload] = ACTIONS(2643),
    [anon_sym_open] = ACTIONS(2641),
    [anon_sym_LBRACK_LT] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_type] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_LT_AT_AT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2643),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2643),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2643),
    [anon_sym_DASH_DOT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2386] = {
    [sym_xml_doc] = STATE(2386),
    [sym_block_comment] = STATE(2386),
    [sym_identifier] = ACTIONS(4123),
    [anon_sym_module] = ACTIONS(4123),
    [anon_sym_POUNDnowarn] = ACTIONS(4121),
    [anon_sym_POUNDr] = ACTIONS(4121),
    [anon_sym_POUNDload] = ACTIONS(4121),
    [anon_sym_open] = ACTIONS(4123),
    [anon_sym_LBRACK_LT] = ACTIONS(4121),
    [anon_sym_return] = ACTIONS(4123),
    [anon_sym_type] = ACTIONS(4123),
    [anon_sym_do] = ACTIONS(4123),
    [anon_sym_and] = ACTIONS(4123),
    [anon_sym_let] = ACTIONS(4123),
    [anon_sym_let_BANG] = ACTIONS(4121),
    [anon_sym_null] = ACTIONS(4123),
    [anon_sym_LPAREN] = ACTIONS(4123),
    [anon_sym_AMP] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4121),
    [anon_sym_LBRACE] = ACTIONS(4123),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4121),
    [anon_sym_new] = ACTIONS(4123),
    [anon_sym_return_BANG] = ACTIONS(4121),
    [anon_sym_yield] = ACTIONS(4123),
    [anon_sym_yield_BANG] = ACTIONS(4121),
    [anon_sym_lazy] = ACTIONS(4123),
    [anon_sym_assert] = ACTIONS(4123),
    [anon_sym_upcast] = ACTIONS(4123),
    [anon_sym_downcast] = ACTIONS(4123),
    [anon_sym_LT_AT] = ACTIONS(4123),
    [anon_sym_LT_AT_AT] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(4123),
    [anon_sym_while] = ACTIONS(4123),
    [anon_sym_if] = ACTIONS(4123),
    [anon_sym_fun] = ACTIONS(4123),
    [anon_sym_try] = ACTIONS(4123),
    [anon_sym_match] = ACTIONS(4123),
    [anon_sym_match_BANG] = ACTIONS(4121),
    [anon_sym_function] = ACTIONS(4123),
    [anon_sym_use] = ACTIONS(4123),
    [anon_sym_use_BANG] = ACTIONS(4121),
    [anon_sym_do_BANG] = ACTIONS(4121),
    [anon_sym_begin] = ACTIONS(4123),
    [anon_sym_SQUOTE] = ACTIONS(4121),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4123),
    [anon_sym_DQUOTE] = ACTIONS(4123),
    [anon_sym_AT_DQUOTE] = ACTIONS(4121),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4121),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4121),
    [sym_bool] = ACTIONS(4123),
    [sym_unit] = ACTIONS(4121),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4121),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4123),
    [anon_sym_PLUS] = ACTIONS(4123),
    [anon_sym_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_DOT] = ACTIONS(4121),
    [anon_sym_DASH_DOT] = ACTIONS(4121),
    [anon_sym_PERCENT] = ACTIONS(4121),
    [anon_sym_AMP_AMP] = ACTIONS(4121),
    [anon_sym_TILDE] = ACTIONS(4121),
    [aux_sym_prefix_op_token1] = ACTIONS(4121),
    [aux_sym_int_token1] = ACTIONS(4123),
    [aux_sym_xint_token1] = ACTIONS(4121),
    [aux_sym_xint_token2] = ACTIONS(4121),
    [aux_sym_xint_token3] = ACTIONS(4121),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4121),
  },
  [2387] = {
    [sym_type_arguments] = STATE(2497),
    [sym_long_identifier] = STATE(2498),
    [sym_xml_doc] = STATE(2387),
    [sym_block_comment] = STATE(2387),
    [aux_sym__compound_type_repeat1] = STATE(2470),
    [sym_identifier] = ACTIONS(4203),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_as] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_LT_AT_AT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_LT2] = ACTIONS(1848),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2194),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2194),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2194),
    [anon_sym_DASH_DOT] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2388] = {
    [sym_type_arguments] = STATE(2475),
    [sym_long_identifier] = STATE(2484),
    [sym_xml_doc] = STATE(2388),
    [sym_block_comment] = STATE(2388),
    [aux_sym__compound_type_repeat1] = STATE(2466),
    [sym_identifier] = ACTIONS(4205),
    [anon_sym_GT_RBRACK] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_LT_AT_AT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(1866),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(1868),
    [anon_sym_LT2] = ACTIONS(1870),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1872),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2228),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2228),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2228),
    [anon_sym_DASH_DOT] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2228),
  },
  [2389] = {
    [sym_xml_doc] = STATE(2389),
    [sym_block_comment] = STATE(2389),
    [sym_identifier] = ACTIONS(4186),
    [anon_sym_module] = ACTIONS(4186),
    [anon_sym_POUNDnowarn] = ACTIONS(4184),
    [anon_sym_POUNDr] = ACTIONS(4184),
    [anon_sym_POUNDload] = ACTIONS(4184),
    [anon_sym_open] = ACTIONS(4186),
    [anon_sym_LBRACK_LT] = ACTIONS(4184),
    [anon_sym_return] = ACTIONS(4186),
    [anon_sym_type] = ACTIONS(4186),
    [anon_sym_do] = ACTIONS(4186),
    [anon_sym_and] = ACTIONS(4186),
    [anon_sym_let] = ACTIONS(4186),
    [anon_sym_let_BANG] = ACTIONS(4184),
    [anon_sym_null] = ACTIONS(4186),
    [anon_sym_LPAREN] = ACTIONS(4186),
    [anon_sym_AMP] = ACTIONS(4186),
    [anon_sym_LBRACK] = ACTIONS(4186),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4186),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4184),
    [anon_sym_new] = ACTIONS(4186),
    [anon_sym_return_BANG] = ACTIONS(4184),
    [anon_sym_yield] = ACTIONS(4186),
    [anon_sym_yield_BANG] = ACTIONS(4184),
    [anon_sym_lazy] = ACTIONS(4186),
    [anon_sym_assert] = ACTIONS(4186),
    [anon_sym_upcast] = ACTIONS(4186),
    [anon_sym_downcast] = ACTIONS(4186),
    [anon_sym_LT_AT] = ACTIONS(4186),
    [anon_sym_LT_AT_AT] = ACTIONS(4184),
    [anon_sym_for] = ACTIONS(4186),
    [anon_sym_while] = ACTIONS(4186),
    [anon_sym_if] = ACTIONS(4186),
    [anon_sym_fun] = ACTIONS(4186),
    [anon_sym_try] = ACTIONS(4186),
    [anon_sym_match] = ACTIONS(4186),
    [anon_sym_match_BANG] = ACTIONS(4184),
    [anon_sym_function] = ACTIONS(4186),
    [anon_sym_use] = ACTIONS(4186),
    [anon_sym_use_BANG] = ACTIONS(4184),
    [anon_sym_do_BANG] = ACTIONS(4184),
    [anon_sym_begin] = ACTIONS(4186),
    [anon_sym_SQUOTE] = ACTIONS(4184),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4186),
    [anon_sym_DQUOTE] = ACTIONS(4186),
    [anon_sym_AT_DQUOTE] = ACTIONS(4184),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4184),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4184),
    [sym_bool] = ACTIONS(4186),
    [sym_unit] = ACTIONS(4184),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4184),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4186),
    [anon_sym_PLUS] = ACTIONS(4186),
    [anon_sym_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_DOT] = ACTIONS(4184),
    [anon_sym_DASH_DOT] = ACTIONS(4184),
    [anon_sym_PERCENT] = ACTIONS(4184),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_TILDE] = ACTIONS(4184),
    [aux_sym_prefix_op_token1] = ACTIONS(4184),
    [aux_sym_int_token1] = ACTIONS(4186),
    [aux_sym_xint_token1] = ACTIONS(4184),
    [aux_sym_xint_token2] = ACTIONS(4184),
    [aux_sym_xint_token3] = ACTIONS(4184),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4184),
  },
  [2390] = {
    [sym_xml_doc] = STATE(2390),
    [sym_block_comment] = STATE(2390),
    [sym_identifier] = ACTIONS(4145),
    [anon_sym_module] = ACTIONS(4145),
    [anon_sym_POUNDnowarn] = ACTIONS(4143),
    [anon_sym_POUNDr] = ACTIONS(4143),
    [anon_sym_POUNDload] = ACTIONS(4143),
    [anon_sym_open] = ACTIONS(4145),
    [anon_sym_LBRACK_LT] = ACTIONS(4143),
    [anon_sym_return] = ACTIONS(4145),
    [anon_sym_type] = ACTIONS(4145),
    [anon_sym_do] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_let] = ACTIONS(4145),
    [anon_sym_let_BANG] = ACTIONS(4143),
    [anon_sym_null] = ACTIONS(4145),
    [anon_sym_LPAREN] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_LBRACK] = ACTIONS(4145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4145),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4143),
    [anon_sym_new] = ACTIONS(4145),
    [anon_sym_return_BANG] = ACTIONS(4143),
    [anon_sym_yield] = ACTIONS(4145),
    [anon_sym_yield_BANG] = ACTIONS(4143),
    [anon_sym_lazy] = ACTIONS(4145),
    [anon_sym_assert] = ACTIONS(4145),
    [anon_sym_upcast] = ACTIONS(4145),
    [anon_sym_downcast] = ACTIONS(4145),
    [anon_sym_LT_AT] = ACTIONS(4145),
    [anon_sym_LT_AT_AT] = ACTIONS(4143),
    [anon_sym_for] = ACTIONS(4145),
    [anon_sym_while] = ACTIONS(4145),
    [anon_sym_if] = ACTIONS(4145),
    [anon_sym_fun] = ACTIONS(4145),
    [anon_sym_try] = ACTIONS(4145),
    [anon_sym_match] = ACTIONS(4145),
    [anon_sym_match_BANG] = ACTIONS(4143),
    [anon_sym_function] = ACTIONS(4145),
    [anon_sym_use] = ACTIONS(4145),
    [anon_sym_use_BANG] = ACTIONS(4143),
    [anon_sym_do_BANG] = ACTIONS(4143),
    [anon_sym_begin] = ACTIONS(4145),
    [anon_sym_SQUOTE] = ACTIONS(4143),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4145),
    [anon_sym_DQUOTE] = ACTIONS(4145),
    [anon_sym_AT_DQUOTE] = ACTIONS(4143),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4143),
    [sym_bool] = ACTIONS(4145),
    [sym_unit] = ACTIONS(4143),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4143),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS_DOT] = ACTIONS(4143),
    [anon_sym_DASH_DOT] = ACTIONS(4143),
    [anon_sym_PERCENT] = ACTIONS(4143),
    [anon_sym_AMP_AMP] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(4143),
    [aux_sym_prefix_op_token1] = ACTIONS(4143),
    [aux_sym_int_token1] = ACTIONS(4145),
    [aux_sym_xint_token1] = ACTIONS(4143),
    [aux_sym_xint_token2] = ACTIONS(4143),
    [aux_sym_xint_token3] = ACTIONS(4143),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4143),
  },
  [2391] = {
    [sym_xml_doc] = STATE(2391),
    [sym_block_comment] = STATE(2391),
    [ts_builtin_sym_end] = ACTIONS(4207),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_namespace] = ACTIONS(4209),
    [anon_sym_module] = ACTIONS(4209),
    [anon_sym_POUNDnowarn] = ACTIONS(4207),
    [anon_sym_POUNDr] = ACTIONS(4207),
    [anon_sym_POUNDload] = ACTIONS(4207),
    [anon_sym_open] = ACTIONS(4209),
    [anon_sym_LBRACK_LT] = ACTIONS(4207),
    [anon_sym_return] = ACTIONS(4209),
    [anon_sym_type] = ACTIONS(4209),
    [anon_sym_do] = ACTIONS(4209),
    [anon_sym_let] = ACTIONS(4209),
    [anon_sym_let_BANG] = ACTIONS(4207),
    [anon_sym_null] = ACTIONS(4209),
    [anon_sym_LPAREN] = ACTIONS(4209),
    [anon_sym_AMP] = ACTIONS(4209),
    [anon_sym_LBRACK] = ACTIONS(4209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4207),
    [anon_sym_LBRACE] = ACTIONS(4209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4207),
    [anon_sym_new] = ACTIONS(4209),
    [anon_sym_return_BANG] = ACTIONS(4207),
    [anon_sym_yield] = ACTIONS(4209),
    [anon_sym_yield_BANG] = ACTIONS(4207),
    [anon_sym_lazy] = ACTIONS(4209),
    [anon_sym_assert] = ACTIONS(4209),
    [anon_sym_upcast] = ACTIONS(4209),
    [anon_sym_downcast] = ACTIONS(4209),
    [anon_sym_LT_AT] = ACTIONS(4209),
    [anon_sym_LT_AT_AT] = ACTIONS(4207),
    [anon_sym_for] = ACTIONS(4209),
    [anon_sym_while] = ACTIONS(4209),
    [anon_sym_if] = ACTIONS(4209),
    [anon_sym_fun] = ACTIONS(4209),
    [anon_sym_try] = ACTIONS(4209),
    [anon_sym_match] = ACTIONS(4209),
    [anon_sym_match_BANG] = ACTIONS(4207),
    [anon_sym_function] = ACTIONS(4209),
    [anon_sym_use] = ACTIONS(4209),
    [anon_sym_use_BANG] = ACTIONS(4207),
    [anon_sym_do_BANG] = ACTIONS(4207),
    [anon_sym_begin] = ACTIONS(4209),
    [anon_sym_SQUOTE] = ACTIONS(4207),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4209),
    [anon_sym_DQUOTE] = ACTIONS(4209),
    [anon_sym_AT_DQUOTE] = ACTIONS(4207),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4207),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4207),
    [sym_bool] = ACTIONS(4209),
    [sym_unit] = ACTIONS(4207),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4207),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4209),
    [anon_sym_PLUS] = ACTIONS(4209),
    [anon_sym_DASH] = ACTIONS(4209),
    [anon_sym_PLUS_DOT] = ACTIONS(4207),
    [anon_sym_DASH_DOT] = ACTIONS(4207),
    [anon_sym_PERCENT] = ACTIONS(4207),
    [anon_sym_AMP_AMP] = ACTIONS(4207),
    [anon_sym_TILDE] = ACTIONS(4207),
    [aux_sym_prefix_op_token1] = ACTIONS(4207),
    [aux_sym_int_token1] = ACTIONS(4209),
    [aux_sym_xint_token1] = ACTIONS(4207),
    [aux_sym_xint_token2] = ACTIONS(4207),
    [aux_sym_xint_token3] = ACTIONS(4207),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2392] = {
    [sym_type_arguments] = STATE(2475),
    [sym_long_identifier] = STATE(2484),
    [sym_xml_doc] = STATE(2392),
    [sym_block_comment] = STATE(2392),
    [aux_sym__compound_type_repeat1] = STATE(2466),
    [sym_identifier] = ACTIONS(4205),
    [anon_sym_GT_RBRACK] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(1866),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(1868),
    [anon_sym_LT2] = ACTIONS(1870),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1872),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2232),
  },
  [2393] = {
    [sym_type_arguments] = STATE(2475),
    [sym_long_identifier] = STATE(2484),
    [sym_xml_doc] = STATE(2393),
    [sym_block_comment] = STATE(2393),
    [aux_sym__compound_type_repeat1] = STATE(2466),
    [sym_identifier] = ACTIONS(4205),
    [anon_sym_GT_RBRACK] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_LT_AT_AT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(1866),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(1868),
    [anon_sym_LT2] = ACTIONS(1870),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1872),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2194),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2194),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2194),
    [anon_sym_DASH_DOT] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2194),
  },
  [2394] = {
    [sym_xml_doc] = STATE(2394),
    [sym_block_comment] = STATE(2394),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym_module] = ACTIONS(3991),
    [anon_sym_POUNDnowarn] = ACTIONS(3989),
    [anon_sym_POUNDr] = ACTIONS(3989),
    [anon_sym_POUNDload] = ACTIONS(3989),
    [anon_sym_open] = ACTIONS(3991),
    [anon_sym_LBRACK_LT] = ACTIONS(3989),
    [anon_sym_return] = ACTIONS(3991),
    [anon_sym_type] = ACTIONS(3991),
    [anon_sym_do] = ACTIONS(3991),
    [anon_sym_and] = ACTIONS(3991),
    [anon_sym_let] = ACTIONS(3991),
    [anon_sym_let_BANG] = ACTIONS(3989),
    [anon_sym_null] = ACTIONS(3991),
    [anon_sym_LPAREN] = ACTIONS(3991),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3989),
    [anon_sym_LBRACE] = ACTIONS(3991),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3989),
    [anon_sym_new] = ACTIONS(3991),
    [anon_sym_return_BANG] = ACTIONS(3989),
    [anon_sym_yield] = ACTIONS(3991),
    [anon_sym_yield_BANG] = ACTIONS(3989),
    [anon_sym_lazy] = ACTIONS(3991),
    [anon_sym_assert] = ACTIONS(3991),
    [anon_sym_upcast] = ACTIONS(3991),
    [anon_sym_downcast] = ACTIONS(3991),
    [anon_sym_LT_AT] = ACTIONS(3991),
    [anon_sym_LT_AT_AT] = ACTIONS(3989),
    [anon_sym_for] = ACTIONS(3991),
    [anon_sym_while] = ACTIONS(3991),
    [anon_sym_if] = ACTIONS(3991),
    [anon_sym_fun] = ACTIONS(3991),
    [anon_sym_try] = ACTIONS(3991),
    [anon_sym_match] = ACTIONS(3991),
    [anon_sym_match_BANG] = ACTIONS(3989),
    [anon_sym_function] = ACTIONS(3991),
    [anon_sym_use] = ACTIONS(3991),
    [anon_sym_use_BANG] = ACTIONS(3989),
    [anon_sym_do_BANG] = ACTIONS(3989),
    [anon_sym_begin] = ACTIONS(3991),
    [anon_sym_SQUOTE] = ACTIONS(3989),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3991),
    [anon_sym_DQUOTE] = ACTIONS(3991),
    [anon_sym_AT_DQUOTE] = ACTIONS(3989),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3989),
    [sym_bool] = ACTIONS(3991),
    [sym_unit] = ACTIONS(3989),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3989),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS_DOT] = ACTIONS(3989),
    [anon_sym_DASH_DOT] = ACTIONS(3989),
    [anon_sym_PERCENT] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [aux_sym_prefix_op_token1] = ACTIONS(3989),
    [aux_sym_int_token1] = ACTIONS(3991),
    [aux_sym_xint_token1] = ACTIONS(3989),
    [aux_sym_xint_token2] = ACTIONS(3989),
    [aux_sym_xint_token3] = ACTIONS(3989),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3989),
  },
  [2395] = {
    [sym_type_arguments] = STATE(2497),
    [sym_long_identifier] = STATE(2498),
    [sym_xml_doc] = STATE(2395),
    [sym_block_comment] = STATE(2395),
    [aux_sym__compound_type_repeat1] = STATE(2470),
    [sym_identifier] = ACTIONS(4203),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_LT2] = ACTIONS(1848),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2396] = {
    [sym_xml_doc] = STATE(2396),
    [sym_block_comment] = STATE(2396),
    [ts_builtin_sym_end] = ACTIONS(4211),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_namespace] = ACTIONS(4213),
    [anon_sym_module] = ACTIONS(4213),
    [anon_sym_POUNDnowarn] = ACTIONS(4211),
    [anon_sym_POUNDr] = ACTIONS(4211),
    [anon_sym_POUNDload] = ACTIONS(4211),
    [anon_sym_open] = ACTIONS(4213),
    [anon_sym_LBRACK_LT] = ACTIONS(4211),
    [anon_sym_return] = ACTIONS(4213),
    [anon_sym_type] = ACTIONS(4213),
    [anon_sym_do] = ACTIONS(4213),
    [anon_sym_let] = ACTIONS(4213),
    [anon_sym_let_BANG] = ACTIONS(4211),
    [anon_sym_null] = ACTIONS(4213),
    [anon_sym_LPAREN] = ACTIONS(4213),
    [anon_sym_AMP] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(4213),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4211),
    [anon_sym_new] = ACTIONS(4213),
    [anon_sym_return_BANG] = ACTIONS(4211),
    [anon_sym_yield] = ACTIONS(4213),
    [anon_sym_yield_BANG] = ACTIONS(4211),
    [anon_sym_lazy] = ACTIONS(4213),
    [anon_sym_assert] = ACTIONS(4213),
    [anon_sym_upcast] = ACTIONS(4213),
    [anon_sym_downcast] = ACTIONS(4213),
    [anon_sym_LT_AT] = ACTIONS(4213),
    [anon_sym_LT_AT_AT] = ACTIONS(4211),
    [anon_sym_for] = ACTIONS(4213),
    [anon_sym_while] = ACTIONS(4213),
    [anon_sym_if] = ACTIONS(4213),
    [anon_sym_fun] = ACTIONS(4213),
    [anon_sym_try] = ACTIONS(4213),
    [anon_sym_match] = ACTIONS(4213),
    [anon_sym_match_BANG] = ACTIONS(4211),
    [anon_sym_function] = ACTIONS(4213),
    [anon_sym_use] = ACTIONS(4213),
    [anon_sym_use_BANG] = ACTIONS(4211),
    [anon_sym_do_BANG] = ACTIONS(4211),
    [anon_sym_begin] = ACTIONS(4213),
    [anon_sym_SQUOTE] = ACTIONS(4211),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4213),
    [anon_sym_DQUOTE] = ACTIONS(4213),
    [anon_sym_AT_DQUOTE] = ACTIONS(4211),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4211),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4211),
    [sym_bool] = ACTIONS(4213),
    [sym_unit] = ACTIONS(4211),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4211),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4213),
    [anon_sym_PLUS] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_DOT] = ACTIONS(4211),
    [anon_sym_DASH_DOT] = ACTIONS(4211),
    [anon_sym_PERCENT] = ACTIONS(4211),
    [anon_sym_AMP_AMP] = ACTIONS(4211),
    [anon_sym_TILDE] = ACTIONS(4211),
    [aux_sym_prefix_op_token1] = ACTIONS(4211),
    [aux_sym_int_token1] = ACTIONS(4213),
    [aux_sym_xint_token1] = ACTIONS(4211),
    [aux_sym_xint_token2] = ACTIONS(4211),
    [aux_sym_xint_token3] = ACTIONS(4211),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2397] = {
    [sym_xml_doc] = STATE(2397),
    [sym_block_comment] = STATE(2397),
    [ts_builtin_sym_end] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_module] = ACTIONS(2961),
    [anon_sym_POUNDnowarn] = ACTIONS(2959),
    [anon_sym_POUNDr] = ACTIONS(2959),
    [anon_sym_POUNDload] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2961),
    [anon_sym_LBRACK_LT] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_type] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_let_BANG] = ACTIONS(2959),
    [anon_sym_null] = ACTIONS(2961),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_return_BANG] = ACTIONS(2959),
    [anon_sym_yield] = ACTIONS(2961),
    [anon_sym_yield_BANG] = ACTIONS(2959),
    [anon_sym_lazy] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(2961),
    [anon_sym_upcast] = ACTIONS(2961),
    [anon_sym_downcast] = ACTIONS(2961),
    [anon_sym_LT_AT] = ACTIONS(2961),
    [anon_sym_LT_AT_AT] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_fun] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_match] = ACTIONS(2961),
    [anon_sym_match_BANG] = ACTIONS(2959),
    [anon_sym_function] = ACTIONS(2961),
    [anon_sym_use] = ACTIONS(2961),
    [anon_sym_use_BANG] = ACTIONS(2959),
    [anon_sym_do_BANG] = ACTIONS(2959),
    [anon_sym_begin] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [anon_sym_AT_DQUOTE] = ACTIONS(2959),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2959),
    [sym_bool] = ACTIONS(2961),
    [sym_unit] = ACTIONS(2959),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2959),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_DOT] = ACTIONS(2959),
    [anon_sym_DASH_DOT] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [aux_sym_prefix_op_token1] = ACTIONS(2959),
    [aux_sym_int_token1] = ACTIONS(2961),
    [aux_sym_xint_token1] = ACTIONS(2959),
    [aux_sym_xint_token2] = ACTIONS(2959),
    [aux_sym_xint_token3] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2398] = {
    [sym_type_arguments] = STATE(2497),
    [sym_long_identifier] = STATE(2498),
    [sym_xml_doc] = STATE(2398),
    [sym_block_comment] = STATE(2398),
    [aux_sym__compound_type_repeat1] = STATE(2470),
    [sym_identifier] = ACTIONS(4203),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_as] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_LT_AT_AT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_LT2] = ACTIONS(1848),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2228),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2228),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2228),
    [anon_sym_DASH_DOT] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2399] = {
    [sym_xml_doc] = STATE(2399),
    [sym_block_comment] = STATE(2399),
    [ts_builtin_sym_end] = ACTIONS(2890),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_module] = ACTIONS(2888),
    [anon_sym_POUNDnowarn] = ACTIONS(2890),
    [anon_sym_POUNDr] = ACTIONS(2890),
    [anon_sym_POUNDload] = ACTIONS(2890),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_LBRACK_LT] = ACTIONS(2890),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_type] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_LT_AT_AT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2890),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2890),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2890),
    [anon_sym_DASH_DOT] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2400] = {
    [sym_xml_doc] = STATE(2400),
    [sym_block_comment] = STATE(2400),
    [ts_builtin_sym_end] = ACTIONS(2898),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_module] = ACTIONS(2896),
    [anon_sym_POUNDnowarn] = ACTIONS(2898),
    [anon_sym_POUNDr] = ACTIONS(2898),
    [anon_sym_POUNDload] = ACTIONS(2898),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_LBRACK_LT] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_type] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_LT_AT_AT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2898),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2898),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2898),
    [anon_sym_DASH_DOT] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2401] = {
    [sym_xml_doc] = STATE(2401),
    [sym_block_comment] = STATE(2401),
    [ts_builtin_sym_end] = ACTIONS(4215),
    [sym_identifier] = ACTIONS(4217),
    [anon_sym_namespace] = ACTIONS(4217),
    [anon_sym_module] = ACTIONS(4217),
    [anon_sym_POUNDnowarn] = ACTIONS(4215),
    [anon_sym_POUNDr] = ACTIONS(4215),
    [anon_sym_POUNDload] = ACTIONS(4215),
    [anon_sym_open] = ACTIONS(4217),
    [anon_sym_LBRACK_LT] = ACTIONS(4215),
    [anon_sym_return] = ACTIONS(4217),
    [anon_sym_type] = ACTIONS(4217),
    [anon_sym_do] = ACTIONS(4217),
    [anon_sym_let] = ACTIONS(4217),
    [anon_sym_let_BANG] = ACTIONS(4215),
    [anon_sym_null] = ACTIONS(4217),
    [anon_sym_LPAREN] = ACTIONS(4217),
    [anon_sym_AMP] = ACTIONS(4217),
    [anon_sym_LBRACK] = ACTIONS(4217),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4215),
    [anon_sym_LBRACE] = ACTIONS(4217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4215),
    [anon_sym_new] = ACTIONS(4217),
    [anon_sym_return_BANG] = ACTIONS(4215),
    [anon_sym_yield] = ACTIONS(4217),
    [anon_sym_yield_BANG] = ACTIONS(4215),
    [anon_sym_lazy] = ACTIONS(4217),
    [anon_sym_assert] = ACTIONS(4217),
    [anon_sym_upcast] = ACTIONS(4217),
    [anon_sym_downcast] = ACTIONS(4217),
    [anon_sym_LT_AT] = ACTIONS(4217),
    [anon_sym_LT_AT_AT] = ACTIONS(4215),
    [anon_sym_for] = ACTIONS(4217),
    [anon_sym_while] = ACTIONS(4217),
    [anon_sym_if] = ACTIONS(4217),
    [anon_sym_fun] = ACTIONS(4217),
    [anon_sym_try] = ACTIONS(4217),
    [anon_sym_match] = ACTIONS(4217),
    [anon_sym_match_BANG] = ACTIONS(4215),
    [anon_sym_function] = ACTIONS(4217),
    [anon_sym_use] = ACTIONS(4217),
    [anon_sym_use_BANG] = ACTIONS(4215),
    [anon_sym_do_BANG] = ACTIONS(4215),
    [anon_sym_begin] = ACTIONS(4217),
    [anon_sym_SQUOTE] = ACTIONS(4215),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4217),
    [anon_sym_DQUOTE] = ACTIONS(4217),
    [anon_sym_AT_DQUOTE] = ACTIONS(4215),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4215),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4215),
    [sym_bool] = ACTIONS(4217),
    [sym_unit] = ACTIONS(4215),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4215),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4217),
    [anon_sym_PLUS] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4217),
    [anon_sym_PLUS_DOT] = ACTIONS(4215),
    [anon_sym_DASH_DOT] = ACTIONS(4215),
    [anon_sym_PERCENT] = ACTIONS(4215),
    [anon_sym_AMP_AMP] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4215),
    [aux_sym_prefix_op_token1] = ACTIONS(4215),
    [aux_sym_int_token1] = ACTIONS(4217),
    [aux_sym_xint_token1] = ACTIONS(4215),
    [aux_sym_xint_token2] = ACTIONS(4215),
    [aux_sym_xint_token3] = ACTIONS(4215),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2402] = {
    [sym_xml_doc] = STATE(2402),
    [sym_block_comment] = STATE(2402),
    [ts_builtin_sym_end] = ACTIONS(4219),
    [sym_identifier] = ACTIONS(4221),
    [anon_sym_namespace] = ACTIONS(4221),
    [anon_sym_module] = ACTIONS(4221),
    [anon_sym_POUNDnowarn] = ACTIONS(4219),
    [anon_sym_POUNDr] = ACTIONS(4219),
    [anon_sym_POUNDload] = ACTIONS(4219),
    [anon_sym_open] = ACTIONS(4221),
    [anon_sym_LBRACK_LT] = ACTIONS(4219),
    [anon_sym_return] = ACTIONS(4221),
    [anon_sym_type] = ACTIONS(4221),
    [anon_sym_do] = ACTIONS(4221),
    [anon_sym_let] = ACTIONS(4221),
    [anon_sym_let_BANG] = ACTIONS(4219),
    [anon_sym_null] = ACTIONS(4221),
    [anon_sym_LPAREN] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4219),
    [anon_sym_LBRACE] = ACTIONS(4221),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4219),
    [anon_sym_new] = ACTIONS(4221),
    [anon_sym_return_BANG] = ACTIONS(4219),
    [anon_sym_yield] = ACTIONS(4221),
    [anon_sym_yield_BANG] = ACTIONS(4219),
    [anon_sym_lazy] = ACTIONS(4221),
    [anon_sym_assert] = ACTIONS(4221),
    [anon_sym_upcast] = ACTIONS(4221),
    [anon_sym_downcast] = ACTIONS(4221),
    [anon_sym_LT_AT] = ACTIONS(4221),
    [anon_sym_LT_AT_AT] = ACTIONS(4219),
    [anon_sym_for] = ACTIONS(4221),
    [anon_sym_while] = ACTIONS(4221),
    [anon_sym_if] = ACTIONS(4221),
    [anon_sym_fun] = ACTIONS(4221),
    [anon_sym_try] = ACTIONS(4221),
    [anon_sym_match] = ACTIONS(4221),
    [anon_sym_match_BANG] = ACTIONS(4219),
    [anon_sym_function] = ACTIONS(4221),
    [anon_sym_use] = ACTIONS(4221),
    [anon_sym_use_BANG] = ACTIONS(4219),
    [anon_sym_do_BANG] = ACTIONS(4219),
    [anon_sym_begin] = ACTIONS(4221),
    [anon_sym_SQUOTE] = ACTIONS(4219),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4221),
    [anon_sym_DQUOTE] = ACTIONS(4221),
    [anon_sym_AT_DQUOTE] = ACTIONS(4219),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4219),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4219),
    [sym_bool] = ACTIONS(4221),
    [sym_unit] = ACTIONS(4219),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4219),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS_DOT] = ACTIONS(4219),
    [anon_sym_DASH_DOT] = ACTIONS(4219),
    [anon_sym_PERCENT] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_TILDE] = ACTIONS(4219),
    [aux_sym_prefix_op_token1] = ACTIONS(4219),
    [aux_sym_int_token1] = ACTIONS(4221),
    [aux_sym_xint_token1] = ACTIONS(4219),
    [aux_sym_xint_token2] = ACTIONS(4219),
    [aux_sym_xint_token3] = ACTIONS(4219),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2403] = {
    [sym_xml_doc] = STATE(2403),
    [sym_block_comment] = STATE(2403),
    [ts_builtin_sym_end] = ACTIONS(4223),
    [sym_identifier] = ACTIONS(4225),
    [anon_sym_namespace] = ACTIONS(4225),
    [anon_sym_module] = ACTIONS(4225),
    [anon_sym_POUNDnowarn] = ACTIONS(4223),
    [anon_sym_POUNDr] = ACTIONS(4223),
    [anon_sym_POUNDload] = ACTIONS(4223),
    [anon_sym_open] = ACTIONS(4225),
    [anon_sym_LBRACK_LT] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4225),
    [anon_sym_type] = ACTIONS(4225),
    [anon_sym_do] = ACTIONS(4225),
    [anon_sym_let] = ACTIONS(4225),
    [anon_sym_let_BANG] = ACTIONS(4223),
    [anon_sym_null] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_AMP] = ACTIONS(4225),
    [anon_sym_LBRACK] = ACTIONS(4225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4223),
    [anon_sym_LBRACE] = ACTIONS(4225),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4223),
    [anon_sym_new] = ACTIONS(4225),
    [anon_sym_return_BANG] = ACTIONS(4223),
    [anon_sym_yield] = ACTIONS(4225),
    [anon_sym_yield_BANG] = ACTIONS(4223),
    [anon_sym_lazy] = ACTIONS(4225),
    [anon_sym_assert] = ACTIONS(4225),
    [anon_sym_upcast] = ACTIONS(4225),
    [anon_sym_downcast] = ACTIONS(4225),
    [anon_sym_LT_AT] = ACTIONS(4225),
    [anon_sym_LT_AT_AT] = ACTIONS(4223),
    [anon_sym_for] = ACTIONS(4225),
    [anon_sym_while] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(4225),
    [anon_sym_fun] = ACTIONS(4225),
    [anon_sym_try] = ACTIONS(4225),
    [anon_sym_match] = ACTIONS(4225),
    [anon_sym_match_BANG] = ACTIONS(4223),
    [anon_sym_function] = ACTIONS(4225),
    [anon_sym_use] = ACTIONS(4225),
    [anon_sym_use_BANG] = ACTIONS(4223),
    [anon_sym_do_BANG] = ACTIONS(4223),
    [anon_sym_begin] = ACTIONS(4225),
    [anon_sym_SQUOTE] = ACTIONS(4223),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4225),
    [anon_sym_DQUOTE] = ACTIONS(4225),
    [anon_sym_AT_DQUOTE] = ACTIONS(4223),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4223),
    [sym_bool] = ACTIONS(4225),
    [sym_unit] = ACTIONS(4223),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4223),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4225),
    [anon_sym_PLUS] = ACTIONS(4225),
    [anon_sym_DASH] = ACTIONS(4225),
    [anon_sym_PLUS_DOT] = ACTIONS(4223),
    [anon_sym_DASH_DOT] = ACTIONS(4223),
    [anon_sym_PERCENT] = ACTIONS(4223),
    [anon_sym_AMP_AMP] = ACTIONS(4223),
    [anon_sym_TILDE] = ACTIONS(4223),
    [aux_sym_prefix_op_token1] = ACTIONS(4223),
    [aux_sym_int_token1] = ACTIONS(4225),
    [aux_sym_xint_token1] = ACTIONS(4223),
    [aux_sym_xint_token2] = ACTIONS(4223),
    [aux_sym_xint_token3] = ACTIONS(4223),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2404] = {
    [sym_xml_doc] = STATE(2404),
    [sym_block_comment] = STATE(2404),
    [ts_builtin_sym_end] = ACTIONS(2639),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_module] = ACTIONS(2637),
    [anon_sym_POUNDnowarn] = ACTIONS(2639),
    [anon_sym_POUNDr] = ACTIONS(2639),
    [anon_sym_POUNDload] = ACTIONS(2639),
    [anon_sym_open] = ACTIONS(2637),
    [anon_sym_LBRACK_LT] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_type] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_LT_AT_AT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2639),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2639),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2639),
    [anon_sym_DASH_DOT] = ACTIONS(2639),
    [anon_sym_PERCENT] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2405] = {
    [sym_xml_doc] = STATE(2405),
    [sym_block_comment] = STATE(2405),
    [ts_builtin_sym_end] = ACTIONS(169),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_module] = ACTIONS(171),
    [anon_sym_POUNDnowarn] = ACTIONS(169),
    [anon_sym_POUNDr] = ACTIONS(169),
    [anon_sym_POUNDload] = ACTIONS(169),
    [anon_sym_open] = ACTIONS(171),
    [anon_sym_LBRACK_LT] = ACTIONS(169),
    [anon_sym_return] = ACTIONS(171),
    [anon_sym_type] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_let_BANG] = ACTIONS(169),
    [anon_sym_null] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_LBRACK_PIPE] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_LBRACE_PIPE] = ACTIONS(169),
    [anon_sym_new] = ACTIONS(171),
    [anon_sym_return_BANG] = ACTIONS(169),
    [anon_sym_yield] = ACTIONS(171),
    [anon_sym_yield_BANG] = ACTIONS(169),
    [anon_sym_lazy] = ACTIONS(171),
    [anon_sym_assert] = ACTIONS(171),
    [anon_sym_upcast] = ACTIONS(171),
    [anon_sym_downcast] = ACTIONS(171),
    [anon_sym_LT_AT] = ACTIONS(171),
    [anon_sym_LT_AT_AT] = ACTIONS(169),
    [anon_sym_for] = ACTIONS(171),
    [anon_sym_while] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(171),
    [anon_sym_fun] = ACTIONS(171),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_match] = ACTIONS(171),
    [anon_sym_match_BANG] = ACTIONS(169),
    [anon_sym_function] = ACTIONS(171),
    [anon_sym_use] = ACTIONS(171),
    [anon_sym_use_BANG] = ACTIONS(169),
    [anon_sym_do_BANG] = ACTIONS(169),
    [anon_sym_begin] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(171),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_AT_DQUOTE] = ACTIONS(169),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [sym_bool] = ACTIONS(171),
    [sym_unit] = ACTIONS(169),
    [aux_sym__identifier_or_op_token1] = ACTIONS(169),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_PLUS_DOT] = ACTIONS(169),
    [anon_sym_DASH_DOT] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(169),
    [anon_sym_TILDE] = ACTIONS(169),
    [aux_sym_prefix_op_token1] = ACTIONS(169),
    [aux_sym_int_token1] = ACTIONS(171),
    [aux_sym_xint_token1] = ACTIONS(169),
    [aux_sym_xint_token2] = ACTIONS(169),
    [aux_sym_xint_token3] = ACTIONS(169),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2406] = {
    [sym_xml_doc] = STATE(2406),
    [sym_block_comment] = STATE(2406),
    [sym_identifier] = ACTIONS(4131),
    [anon_sym_module] = ACTIONS(4131),
    [anon_sym_POUNDnowarn] = ACTIONS(4129),
    [anon_sym_POUNDr] = ACTIONS(4129),
    [anon_sym_POUNDload] = ACTIONS(4129),
    [anon_sym_open] = ACTIONS(4131),
    [anon_sym_LBRACK_LT] = ACTIONS(4129),
    [anon_sym_return] = ACTIONS(4131),
    [anon_sym_type] = ACTIONS(4131),
    [anon_sym_do] = ACTIONS(4131),
    [anon_sym_and] = ACTIONS(4131),
    [anon_sym_let] = ACTIONS(4131),
    [anon_sym_let_BANG] = ACTIONS(4129),
    [anon_sym_null] = ACTIONS(4131),
    [anon_sym_LPAREN] = ACTIONS(4131),
    [anon_sym_AMP] = ACTIONS(4131),
    [anon_sym_LBRACK] = ACTIONS(4131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4129),
    [anon_sym_LBRACE] = ACTIONS(4131),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4129),
    [anon_sym_new] = ACTIONS(4131),
    [anon_sym_return_BANG] = ACTIONS(4129),
    [anon_sym_yield] = ACTIONS(4131),
    [anon_sym_yield_BANG] = ACTIONS(4129),
    [anon_sym_lazy] = ACTIONS(4131),
    [anon_sym_assert] = ACTIONS(4131),
    [anon_sym_upcast] = ACTIONS(4131),
    [anon_sym_downcast] = ACTIONS(4131),
    [anon_sym_LT_AT] = ACTIONS(4131),
    [anon_sym_LT_AT_AT] = ACTIONS(4129),
    [anon_sym_for] = ACTIONS(4131),
    [anon_sym_while] = ACTIONS(4131),
    [anon_sym_if] = ACTIONS(4131),
    [anon_sym_fun] = ACTIONS(4131),
    [anon_sym_try] = ACTIONS(4131),
    [anon_sym_match] = ACTIONS(4131),
    [anon_sym_match_BANG] = ACTIONS(4129),
    [anon_sym_function] = ACTIONS(4131),
    [anon_sym_use] = ACTIONS(4131),
    [anon_sym_use_BANG] = ACTIONS(4129),
    [anon_sym_do_BANG] = ACTIONS(4129),
    [anon_sym_begin] = ACTIONS(4131),
    [anon_sym_SQUOTE] = ACTIONS(4129),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4131),
    [anon_sym_DQUOTE] = ACTIONS(4131),
    [anon_sym_AT_DQUOTE] = ACTIONS(4129),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4129),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4129),
    [sym_bool] = ACTIONS(4131),
    [sym_unit] = ACTIONS(4129),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4129),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4131),
    [anon_sym_PLUS] = ACTIONS(4131),
    [anon_sym_DASH] = ACTIONS(4131),
    [anon_sym_PLUS_DOT] = ACTIONS(4129),
    [anon_sym_DASH_DOT] = ACTIONS(4129),
    [anon_sym_PERCENT] = ACTIONS(4129),
    [anon_sym_AMP_AMP] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(4129),
    [aux_sym_prefix_op_token1] = ACTIONS(4129),
    [aux_sym_int_token1] = ACTIONS(4131),
    [aux_sym_xint_token1] = ACTIONS(4129),
    [aux_sym_xint_token2] = ACTIONS(4129),
    [aux_sym_xint_token3] = ACTIONS(4129),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4129),
  },
  [2407] = {
    [sym_xml_doc] = STATE(2407),
    [sym_block_comment] = STATE(2407),
    [ts_builtin_sym_end] = ACTIONS(4227),
    [sym_identifier] = ACTIONS(4229),
    [anon_sym_namespace] = ACTIONS(4229),
    [anon_sym_module] = ACTIONS(4229),
    [anon_sym_POUNDnowarn] = ACTIONS(4227),
    [anon_sym_POUNDr] = ACTIONS(4227),
    [anon_sym_POUNDload] = ACTIONS(4227),
    [anon_sym_open] = ACTIONS(4229),
    [anon_sym_LBRACK_LT] = ACTIONS(4227),
    [anon_sym_return] = ACTIONS(4229),
    [anon_sym_type] = ACTIONS(4229),
    [anon_sym_do] = ACTIONS(4229),
    [anon_sym_let] = ACTIONS(4229),
    [anon_sym_let_BANG] = ACTIONS(4227),
    [anon_sym_null] = ACTIONS(4229),
    [anon_sym_LPAREN] = ACTIONS(4229),
    [anon_sym_AMP] = ACTIONS(4229),
    [anon_sym_LBRACK] = ACTIONS(4229),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4227),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_return_BANG] = ACTIONS(4227),
    [anon_sym_yield] = ACTIONS(4229),
    [anon_sym_yield_BANG] = ACTIONS(4227),
    [anon_sym_lazy] = ACTIONS(4229),
    [anon_sym_assert] = ACTIONS(4229),
    [anon_sym_upcast] = ACTIONS(4229),
    [anon_sym_downcast] = ACTIONS(4229),
    [anon_sym_LT_AT] = ACTIONS(4229),
    [anon_sym_LT_AT_AT] = ACTIONS(4227),
    [anon_sym_for] = ACTIONS(4229),
    [anon_sym_while] = ACTIONS(4229),
    [anon_sym_if] = ACTIONS(4229),
    [anon_sym_fun] = ACTIONS(4229),
    [anon_sym_try] = ACTIONS(4229),
    [anon_sym_match] = ACTIONS(4229),
    [anon_sym_match_BANG] = ACTIONS(4227),
    [anon_sym_function] = ACTIONS(4229),
    [anon_sym_use] = ACTIONS(4229),
    [anon_sym_use_BANG] = ACTIONS(4227),
    [anon_sym_do_BANG] = ACTIONS(4227),
    [anon_sym_begin] = ACTIONS(4229),
    [anon_sym_SQUOTE] = ACTIONS(4227),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4229),
    [anon_sym_DQUOTE] = ACTIONS(4229),
    [anon_sym_AT_DQUOTE] = ACTIONS(4227),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4227),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4227),
    [sym_bool] = ACTIONS(4229),
    [sym_unit] = ACTIONS(4227),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4227),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4229),
    [anon_sym_PLUS] = ACTIONS(4229),
    [anon_sym_DASH] = ACTIONS(4229),
    [anon_sym_PLUS_DOT] = ACTIONS(4227),
    [anon_sym_DASH_DOT] = ACTIONS(4227),
    [anon_sym_PERCENT] = ACTIONS(4227),
    [anon_sym_AMP_AMP] = ACTIONS(4227),
    [anon_sym_TILDE] = ACTIONS(4227),
    [aux_sym_prefix_op_token1] = ACTIONS(4227),
    [aux_sym_int_token1] = ACTIONS(4229),
    [aux_sym_xint_token1] = ACTIONS(4227),
    [aux_sym_xint_token2] = ACTIONS(4227),
    [aux_sym_xint_token3] = ACTIONS(4227),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2408] = {
    [sym_xml_doc] = STATE(2408),
    [sym_block_comment] = STATE(2408),
    [sym_identifier] = ACTIONS(4157),
    [anon_sym_module] = ACTIONS(4157),
    [anon_sym_POUNDnowarn] = ACTIONS(4155),
    [anon_sym_POUNDr] = ACTIONS(4155),
    [anon_sym_POUNDload] = ACTIONS(4155),
    [anon_sym_open] = ACTIONS(4157),
    [anon_sym_LBRACK_LT] = ACTIONS(4155),
    [anon_sym_return] = ACTIONS(4157),
    [anon_sym_type] = ACTIONS(4157),
    [anon_sym_do] = ACTIONS(4157),
    [anon_sym_and] = ACTIONS(4157),
    [anon_sym_let] = ACTIONS(4157),
    [anon_sym_let_BANG] = ACTIONS(4155),
    [anon_sym_null] = ACTIONS(4157),
    [anon_sym_LPAREN] = ACTIONS(4157),
    [anon_sym_AMP] = ACTIONS(4157),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4155),
    [anon_sym_LBRACE] = ACTIONS(4157),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4155),
    [anon_sym_new] = ACTIONS(4157),
    [anon_sym_return_BANG] = ACTIONS(4155),
    [anon_sym_yield] = ACTIONS(4157),
    [anon_sym_yield_BANG] = ACTIONS(4155),
    [anon_sym_lazy] = ACTIONS(4157),
    [anon_sym_assert] = ACTIONS(4157),
    [anon_sym_upcast] = ACTIONS(4157),
    [anon_sym_downcast] = ACTIONS(4157),
    [anon_sym_LT_AT] = ACTIONS(4157),
    [anon_sym_LT_AT_AT] = ACTIONS(4155),
    [anon_sym_for] = ACTIONS(4157),
    [anon_sym_while] = ACTIONS(4157),
    [anon_sym_if] = ACTIONS(4157),
    [anon_sym_fun] = ACTIONS(4157),
    [anon_sym_try] = ACTIONS(4157),
    [anon_sym_match] = ACTIONS(4157),
    [anon_sym_match_BANG] = ACTIONS(4155),
    [anon_sym_function] = ACTIONS(4157),
    [anon_sym_use] = ACTIONS(4157),
    [anon_sym_use_BANG] = ACTIONS(4155),
    [anon_sym_do_BANG] = ACTIONS(4155),
    [anon_sym_begin] = ACTIONS(4157),
    [anon_sym_SQUOTE] = ACTIONS(4155),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4157),
    [anon_sym_DQUOTE] = ACTIONS(4157),
    [anon_sym_AT_DQUOTE] = ACTIONS(4155),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4155),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4155),
    [sym_bool] = ACTIONS(4157),
    [sym_unit] = ACTIONS(4155),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4155),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4157),
    [anon_sym_PLUS] = ACTIONS(4157),
    [anon_sym_DASH] = ACTIONS(4157),
    [anon_sym_PLUS_DOT] = ACTIONS(4155),
    [anon_sym_DASH_DOT] = ACTIONS(4155),
    [anon_sym_PERCENT] = ACTIONS(4155),
    [anon_sym_AMP_AMP] = ACTIONS(4155),
    [anon_sym_TILDE] = ACTIONS(4155),
    [aux_sym_prefix_op_token1] = ACTIONS(4155),
    [aux_sym_int_token1] = ACTIONS(4157),
    [aux_sym_xint_token1] = ACTIONS(4155),
    [aux_sym_xint_token2] = ACTIONS(4155),
    [aux_sym_xint_token3] = ACTIONS(4155),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4155),
  },
  [2409] = {
    [sym_xml_doc] = STATE(2409),
    [sym_block_comment] = STATE(2409),
    [ts_builtin_sym_end] = ACTIONS(4231),
    [sym_identifier] = ACTIONS(4233),
    [anon_sym_namespace] = ACTIONS(4233),
    [anon_sym_module] = ACTIONS(4233),
    [anon_sym_POUNDnowarn] = ACTIONS(4231),
    [anon_sym_POUNDr] = ACTIONS(4231),
    [anon_sym_POUNDload] = ACTIONS(4231),
    [anon_sym_open] = ACTIONS(4233),
    [anon_sym_LBRACK_LT] = ACTIONS(4231),
    [anon_sym_return] = ACTIONS(4233),
    [anon_sym_type] = ACTIONS(4233),
    [anon_sym_do] = ACTIONS(4233),
    [anon_sym_let] = ACTIONS(4233),
    [anon_sym_let_BANG] = ACTIONS(4231),
    [anon_sym_null] = ACTIONS(4233),
    [anon_sym_LPAREN] = ACTIONS(4233),
    [anon_sym_AMP] = ACTIONS(4233),
    [anon_sym_LBRACK] = ACTIONS(4233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4231),
    [anon_sym_new] = ACTIONS(4233),
    [anon_sym_return_BANG] = ACTIONS(4231),
    [anon_sym_yield] = ACTIONS(4233),
    [anon_sym_yield_BANG] = ACTIONS(4231),
    [anon_sym_lazy] = ACTIONS(4233),
    [anon_sym_assert] = ACTIONS(4233),
    [anon_sym_upcast] = ACTIONS(4233),
    [anon_sym_downcast] = ACTIONS(4233),
    [anon_sym_LT_AT] = ACTIONS(4233),
    [anon_sym_LT_AT_AT] = ACTIONS(4231),
    [anon_sym_for] = ACTIONS(4233),
    [anon_sym_while] = ACTIONS(4233),
    [anon_sym_if] = ACTIONS(4233),
    [anon_sym_fun] = ACTIONS(4233),
    [anon_sym_try] = ACTIONS(4233),
    [anon_sym_match] = ACTIONS(4233),
    [anon_sym_match_BANG] = ACTIONS(4231),
    [anon_sym_function] = ACTIONS(4233),
    [anon_sym_use] = ACTIONS(4233),
    [anon_sym_use_BANG] = ACTIONS(4231),
    [anon_sym_do_BANG] = ACTIONS(4231),
    [anon_sym_begin] = ACTIONS(4233),
    [anon_sym_SQUOTE] = ACTIONS(4231),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4233),
    [anon_sym_DQUOTE] = ACTIONS(4233),
    [anon_sym_AT_DQUOTE] = ACTIONS(4231),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4231),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4231),
    [sym_bool] = ACTIONS(4233),
    [sym_unit] = ACTIONS(4231),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4231),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS_DOT] = ACTIONS(4231),
    [anon_sym_DASH_DOT] = ACTIONS(4231),
    [anon_sym_PERCENT] = ACTIONS(4231),
    [anon_sym_AMP_AMP] = ACTIONS(4231),
    [anon_sym_TILDE] = ACTIONS(4231),
    [aux_sym_prefix_op_token1] = ACTIONS(4231),
    [aux_sym_int_token1] = ACTIONS(4233),
    [aux_sym_xint_token1] = ACTIONS(4231),
    [aux_sym_xint_token2] = ACTIONS(4231),
    [aux_sym_xint_token3] = ACTIONS(4231),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2410] = {
    [sym_xml_doc] = STATE(2410),
    [sym_block_comment] = STATE(2410),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_module] = ACTIONS(3973),
    [anon_sym_POUNDnowarn] = ACTIONS(3971),
    [anon_sym_POUNDr] = ACTIONS(3971),
    [anon_sym_POUNDload] = ACTIONS(3971),
    [anon_sym_open] = ACTIONS(3973),
    [anon_sym_LBRACK_LT] = ACTIONS(3971),
    [anon_sym_return] = ACTIONS(3973),
    [anon_sym_type] = ACTIONS(3973),
    [anon_sym_do] = ACTIONS(3973),
    [anon_sym_and] = ACTIONS(3973),
    [anon_sym_let] = ACTIONS(3973),
    [anon_sym_let_BANG] = ACTIONS(3971),
    [anon_sym_null] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(3973),
    [anon_sym_AMP] = ACTIONS(3973),
    [anon_sym_LBRACK] = ACTIONS(3973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3971),
    [anon_sym_LBRACE] = ACTIONS(3973),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3971),
    [anon_sym_new] = ACTIONS(3973),
    [anon_sym_return_BANG] = ACTIONS(3971),
    [anon_sym_yield] = ACTIONS(3973),
    [anon_sym_yield_BANG] = ACTIONS(3971),
    [anon_sym_lazy] = ACTIONS(3973),
    [anon_sym_assert] = ACTIONS(3973),
    [anon_sym_upcast] = ACTIONS(3973),
    [anon_sym_downcast] = ACTIONS(3973),
    [anon_sym_LT_AT] = ACTIONS(3973),
    [anon_sym_LT_AT_AT] = ACTIONS(3971),
    [anon_sym_for] = ACTIONS(3973),
    [anon_sym_while] = ACTIONS(3973),
    [anon_sym_if] = ACTIONS(3973),
    [anon_sym_fun] = ACTIONS(3973),
    [anon_sym_try] = ACTIONS(3973),
    [anon_sym_match] = ACTIONS(3973),
    [anon_sym_match_BANG] = ACTIONS(3971),
    [anon_sym_function] = ACTIONS(3973),
    [anon_sym_use] = ACTIONS(3973),
    [anon_sym_use_BANG] = ACTIONS(3971),
    [anon_sym_do_BANG] = ACTIONS(3971),
    [anon_sym_begin] = ACTIONS(3973),
    [anon_sym_SQUOTE] = ACTIONS(3971),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(3973),
    [anon_sym_DQUOTE] = ACTIONS(3973),
    [anon_sym_AT_DQUOTE] = ACTIONS(3971),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3971),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3971),
    [sym_bool] = ACTIONS(3973),
    [sym_unit] = ACTIONS(3971),
    [aux_sym__identifier_or_op_token1] = ACTIONS(3971),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(3973),
    [anon_sym_PLUS] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3973),
    [anon_sym_PLUS_DOT] = ACTIONS(3971),
    [anon_sym_DASH_DOT] = ACTIONS(3971),
    [anon_sym_PERCENT] = ACTIONS(3971),
    [anon_sym_AMP_AMP] = ACTIONS(3971),
    [anon_sym_TILDE] = ACTIONS(3971),
    [aux_sym_prefix_op_token1] = ACTIONS(3971),
    [aux_sym_int_token1] = ACTIONS(3973),
    [aux_sym_xint_token1] = ACTIONS(3971),
    [aux_sym_xint_token2] = ACTIONS(3971),
    [aux_sym_xint_token3] = ACTIONS(3971),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(3971),
  },
  [2411] = {
    [sym_xml_doc] = STATE(2411),
    [sym_block_comment] = STATE(2411),
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_namespace] = ACTIONS(1832),
    [anon_sym_module] = ACTIONS(1832),
    [anon_sym_POUNDnowarn] = ACTIONS(1830),
    [anon_sym_POUNDr] = ACTIONS(1830),
    [anon_sym_POUNDload] = ACTIONS(1830),
    [anon_sym_open] = ACTIONS(1832),
    [anon_sym_LBRACK_LT] = ACTIONS(1830),
    [anon_sym_return] = ACTIONS(1832),
    [anon_sym_type] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_let] = ACTIONS(1832),
    [anon_sym_let_BANG] = ACTIONS(1830),
    [anon_sym_null] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_AMP] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1830),
    [anon_sym_new] = ACTIONS(1832),
    [anon_sym_return_BANG] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1832),
    [anon_sym_yield_BANG] = ACTIONS(1830),
    [anon_sym_lazy] = ACTIONS(1832),
    [anon_sym_assert] = ACTIONS(1832),
    [anon_sym_upcast] = ACTIONS(1832),
    [anon_sym_downcast] = ACTIONS(1832),
    [anon_sym_LT_AT] = ACTIONS(1832),
    [anon_sym_LT_AT_AT] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_fun] = ACTIONS(1832),
    [anon_sym_try] = ACTIONS(1832),
    [anon_sym_match] = ACTIONS(1832),
    [anon_sym_match_BANG] = ACTIONS(1830),
    [anon_sym_function] = ACTIONS(1832),
    [anon_sym_use] = ACTIONS(1832),
    [anon_sym_use_BANG] = ACTIONS(1830),
    [anon_sym_do_BANG] = ACTIONS(1830),
    [anon_sym_begin] = ACTIONS(1832),
    [anon_sym_SQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1832),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_AT_DQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [sym_bool] = ACTIONS(1832),
    [sym_unit] = ACTIONS(1830),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1830),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_PLUS_DOT] = ACTIONS(1830),
    [anon_sym_DASH_DOT] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1830),
    [aux_sym_prefix_op_token1] = ACTIONS(1830),
    [aux_sym_int_token1] = ACTIONS(1832),
    [aux_sym_xint_token1] = ACTIONS(1830),
    [aux_sym_xint_token2] = ACTIONS(1830),
    [aux_sym_xint_token3] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2412] = {
    [sym_xml_doc] = STATE(2412),
    [sym_block_comment] = STATE(2412),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_POUNDnowarn] = ACTIONS(2318),
    [anon_sym_POUNDr] = ACTIONS(2318),
    [anon_sym_POUNDload] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2316),
    [anon_sym_LBRACK_LT] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2318),
  },
  [2413] = {
    [sym_xml_doc] = STATE(2413),
    [sym_block_comment] = STATE(2413),
    [sym_identifier] = ACTIONS(4149),
    [anon_sym_module] = ACTIONS(4149),
    [anon_sym_POUNDnowarn] = ACTIONS(4147),
    [anon_sym_POUNDr] = ACTIONS(4147),
    [anon_sym_POUNDload] = ACTIONS(4147),
    [anon_sym_open] = ACTIONS(4149),
    [anon_sym_LBRACK_LT] = ACTIONS(4147),
    [anon_sym_return] = ACTIONS(4149),
    [anon_sym_type] = ACTIONS(4149),
    [anon_sym_do] = ACTIONS(4149),
    [anon_sym_and] = ACTIONS(4149),
    [anon_sym_let] = ACTIONS(4149),
    [anon_sym_let_BANG] = ACTIONS(4147),
    [anon_sym_null] = ACTIONS(4149),
    [anon_sym_LPAREN] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4149),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4149),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4147),
    [anon_sym_new] = ACTIONS(4149),
    [anon_sym_return_BANG] = ACTIONS(4147),
    [anon_sym_yield] = ACTIONS(4149),
    [anon_sym_yield_BANG] = ACTIONS(4147),
    [anon_sym_lazy] = ACTIONS(4149),
    [anon_sym_assert] = ACTIONS(4149),
    [anon_sym_upcast] = ACTIONS(4149),
    [anon_sym_downcast] = ACTIONS(4149),
    [anon_sym_LT_AT] = ACTIONS(4149),
    [anon_sym_LT_AT_AT] = ACTIONS(4147),
    [anon_sym_for] = ACTIONS(4149),
    [anon_sym_while] = ACTIONS(4149),
    [anon_sym_if] = ACTIONS(4149),
    [anon_sym_fun] = ACTIONS(4149),
    [anon_sym_try] = ACTIONS(4149),
    [anon_sym_match] = ACTIONS(4149),
    [anon_sym_match_BANG] = ACTIONS(4147),
    [anon_sym_function] = ACTIONS(4149),
    [anon_sym_use] = ACTIONS(4149),
    [anon_sym_use_BANG] = ACTIONS(4147),
    [anon_sym_do_BANG] = ACTIONS(4147),
    [anon_sym_begin] = ACTIONS(4149),
    [anon_sym_SQUOTE] = ACTIONS(4147),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4149),
    [anon_sym_DQUOTE] = ACTIONS(4149),
    [anon_sym_AT_DQUOTE] = ACTIONS(4147),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4147),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4147),
    [sym_bool] = ACTIONS(4149),
    [sym_unit] = ACTIONS(4147),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4147),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4149),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_PLUS_DOT] = ACTIONS(4147),
    [anon_sym_DASH_DOT] = ACTIONS(4147),
    [anon_sym_PERCENT] = ACTIONS(4147),
    [anon_sym_AMP_AMP] = ACTIONS(4147),
    [anon_sym_TILDE] = ACTIONS(4147),
    [aux_sym_prefix_op_token1] = ACTIONS(4147),
    [aux_sym_int_token1] = ACTIONS(4149),
    [aux_sym_xint_token1] = ACTIONS(4147),
    [aux_sym_xint_token2] = ACTIONS(4147),
    [aux_sym_xint_token3] = ACTIONS(4147),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4147),
  },
  [2414] = {
    [sym_xml_doc] = STATE(2414),
    [sym_block_comment] = STATE(2414),
    [ts_builtin_sym_end] = ACTIONS(4235),
    [sym_identifier] = ACTIONS(4237),
    [anon_sym_namespace] = ACTIONS(4237),
    [anon_sym_module] = ACTIONS(4237),
    [anon_sym_POUNDnowarn] = ACTIONS(4235),
    [anon_sym_POUNDr] = ACTIONS(4235),
    [anon_sym_POUNDload] = ACTIONS(4235),
    [anon_sym_open] = ACTIONS(4237),
    [anon_sym_LBRACK_LT] = ACTIONS(4235),
    [anon_sym_return] = ACTIONS(4237),
    [anon_sym_type] = ACTIONS(4237),
    [anon_sym_do] = ACTIONS(4237),
    [anon_sym_let] = ACTIONS(4237),
    [anon_sym_let_BANG] = ACTIONS(4235),
    [anon_sym_null] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4237),
    [anon_sym_AMP] = ACTIONS(4237),
    [anon_sym_LBRACK] = ACTIONS(4237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4235),
    [anon_sym_LBRACE] = ACTIONS(4237),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4235),
    [anon_sym_new] = ACTIONS(4237),
    [anon_sym_return_BANG] = ACTIONS(4235),
    [anon_sym_yield] = ACTIONS(4237),
    [anon_sym_yield_BANG] = ACTIONS(4235),
    [anon_sym_lazy] = ACTIONS(4237),
    [anon_sym_assert] = ACTIONS(4237),
    [anon_sym_upcast] = ACTIONS(4237),
    [anon_sym_downcast] = ACTIONS(4237),
    [anon_sym_LT_AT] = ACTIONS(4237),
    [anon_sym_LT_AT_AT] = ACTIONS(4235),
    [anon_sym_for] = ACTIONS(4237),
    [anon_sym_while] = ACTIONS(4237),
    [anon_sym_if] = ACTIONS(4237),
    [anon_sym_fun] = ACTIONS(4237),
    [anon_sym_try] = ACTIONS(4237),
    [anon_sym_match] = ACTIONS(4237),
    [anon_sym_match_BANG] = ACTIONS(4235),
    [anon_sym_function] = ACTIONS(4237),
    [anon_sym_use] = ACTIONS(4237),
    [anon_sym_use_BANG] = ACTIONS(4235),
    [anon_sym_do_BANG] = ACTIONS(4235),
    [anon_sym_begin] = ACTIONS(4237),
    [anon_sym_SQUOTE] = ACTIONS(4235),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4237),
    [anon_sym_DQUOTE] = ACTIONS(4237),
    [anon_sym_AT_DQUOTE] = ACTIONS(4235),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4235),
    [sym_bool] = ACTIONS(4237),
    [sym_unit] = ACTIONS(4235),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4235),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4237),
    [anon_sym_PLUS] = ACTIONS(4237),
    [anon_sym_DASH] = ACTIONS(4237),
    [anon_sym_PLUS_DOT] = ACTIONS(4235),
    [anon_sym_DASH_DOT] = ACTIONS(4235),
    [anon_sym_PERCENT] = ACTIONS(4235),
    [anon_sym_AMP_AMP] = ACTIONS(4235),
    [anon_sym_TILDE] = ACTIONS(4235),
    [aux_sym_prefix_op_token1] = ACTIONS(4235),
    [aux_sym_int_token1] = ACTIONS(4237),
    [aux_sym_xint_token1] = ACTIONS(4235),
    [aux_sym_xint_token2] = ACTIONS(4235),
    [aux_sym_xint_token3] = ACTIONS(4235),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2415] = {
    [sym_xml_doc] = STATE(2415),
    [sym_block_comment] = STATE(2415),
    [ts_builtin_sym_end] = ACTIONS(2866),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2864),
    [anon_sym_POUNDnowarn] = ACTIONS(2866),
    [anon_sym_POUNDr] = ACTIONS(2866),
    [anon_sym_POUNDload] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2864),
    [anon_sym_LBRACK_LT] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_LT_AT_AT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2866),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2866),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2866),
    [anon_sym_DASH_DOT] = ACTIONS(2866),
    [anon_sym_PERCENT] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2416] = {
    [sym_xml_doc] = STATE(2416),
    [sym_block_comment] = STATE(2416),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_module] = ACTIONS(4194),
    [anon_sym_POUNDnowarn] = ACTIONS(4192),
    [anon_sym_POUNDr] = ACTIONS(4192),
    [anon_sym_POUNDload] = ACTIONS(4192),
    [anon_sym_open] = ACTIONS(4194),
    [anon_sym_LBRACK_LT] = ACTIONS(4192),
    [anon_sym_return] = ACTIONS(4194),
    [anon_sym_type] = ACTIONS(4194),
    [anon_sym_do] = ACTIONS(4194),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_let] = ACTIONS(4194),
    [anon_sym_let_BANG] = ACTIONS(4192),
    [anon_sym_null] = ACTIONS(4194),
    [anon_sym_LPAREN] = ACTIONS(4194),
    [anon_sym_AMP] = ACTIONS(4194),
    [anon_sym_LBRACK] = ACTIONS(4194),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4192),
    [anon_sym_LBRACE] = ACTIONS(4194),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4192),
    [anon_sym_new] = ACTIONS(4194),
    [anon_sym_return_BANG] = ACTIONS(4192),
    [anon_sym_yield] = ACTIONS(4194),
    [anon_sym_yield_BANG] = ACTIONS(4192),
    [anon_sym_lazy] = ACTIONS(4194),
    [anon_sym_assert] = ACTIONS(4194),
    [anon_sym_upcast] = ACTIONS(4194),
    [anon_sym_downcast] = ACTIONS(4194),
    [anon_sym_LT_AT] = ACTIONS(4194),
    [anon_sym_LT_AT_AT] = ACTIONS(4192),
    [anon_sym_for] = ACTIONS(4194),
    [anon_sym_while] = ACTIONS(4194),
    [anon_sym_if] = ACTIONS(4194),
    [anon_sym_fun] = ACTIONS(4194),
    [anon_sym_try] = ACTIONS(4194),
    [anon_sym_match] = ACTIONS(4194),
    [anon_sym_match_BANG] = ACTIONS(4192),
    [anon_sym_function] = ACTIONS(4194),
    [anon_sym_use] = ACTIONS(4194),
    [anon_sym_use_BANG] = ACTIONS(4192),
    [anon_sym_do_BANG] = ACTIONS(4192),
    [anon_sym_begin] = ACTIONS(4194),
    [anon_sym_SQUOTE] = ACTIONS(4192),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4194),
    [anon_sym_DQUOTE] = ACTIONS(4194),
    [anon_sym_AT_DQUOTE] = ACTIONS(4192),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4192),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4192),
    [sym_bool] = ACTIONS(4194),
    [sym_unit] = ACTIONS(4192),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4192),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4194),
    [anon_sym_PLUS] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4194),
    [anon_sym_PLUS_DOT] = ACTIONS(4192),
    [anon_sym_DASH_DOT] = ACTIONS(4192),
    [anon_sym_PERCENT] = ACTIONS(4192),
    [anon_sym_AMP_AMP] = ACTIONS(4192),
    [anon_sym_TILDE] = ACTIONS(4192),
    [aux_sym_prefix_op_token1] = ACTIONS(4192),
    [aux_sym_int_token1] = ACTIONS(4194),
    [aux_sym_xint_token1] = ACTIONS(4192),
    [aux_sym_xint_token2] = ACTIONS(4192),
    [aux_sym_xint_token3] = ACTIONS(4192),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4192),
  },
  [2417] = {
    [sym_xml_doc] = STATE(2417),
    [sym_block_comment] = STATE(2417),
    [sym_identifier] = ACTIONS(4190),
    [anon_sym_module] = ACTIONS(4190),
    [anon_sym_POUNDnowarn] = ACTIONS(4188),
    [anon_sym_POUNDr] = ACTIONS(4188),
    [anon_sym_POUNDload] = ACTIONS(4188),
    [anon_sym_open] = ACTIONS(4190),
    [anon_sym_LBRACK_LT] = ACTIONS(4188),
    [anon_sym_return] = ACTIONS(4190),
    [anon_sym_type] = ACTIONS(4190),
    [anon_sym_do] = ACTIONS(4190),
    [anon_sym_and] = ACTIONS(4190),
    [anon_sym_let] = ACTIONS(4190),
    [anon_sym_let_BANG] = ACTIONS(4188),
    [anon_sym_null] = ACTIONS(4190),
    [anon_sym_LPAREN] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4190),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4188),
    [anon_sym_new] = ACTIONS(4190),
    [anon_sym_return_BANG] = ACTIONS(4188),
    [anon_sym_yield] = ACTIONS(4190),
    [anon_sym_yield_BANG] = ACTIONS(4188),
    [anon_sym_lazy] = ACTIONS(4190),
    [anon_sym_assert] = ACTIONS(4190),
    [anon_sym_upcast] = ACTIONS(4190),
    [anon_sym_downcast] = ACTIONS(4190),
    [anon_sym_LT_AT] = ACTIONS(4190),
    [anon_sym_LT_AT_AT] = ACTIONS(4188),
    [anon_sym_for] = ACTIONS(4190),
    [anon_sym_while] = ACTIONS(4190),
    [anon_sym_if] = ACTIONS(4190),
    [anon_sym_fun] = ACTIONS(4190),
    [anon_sym_try] = ACTIONS(4190),
    [anon_sym_match] = ACTIONS(4190),
    [anon_sym_match_BANG] = ACTIONS(4188),
    [anon_sym_function] = ACTIONS(4190),
    [anon_sym_use] = ACTIONS(4190),
    [anon_sym_use_BANG] = ACTIONS(4188),
    [anon_sym_do_BANG] = ACTIONS(4188),
    [anon_sym_begin] = ACTIONS(4190),
    [anon_sym_SQUOTE] = ACTIONS(4188),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4190),
    [anon_sym_DQUOTE] = ACTIONS(4190),
    [anon_sym_AT_DQUOTE] = ACTIONS(4188),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4188),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4188),
    [sym_bool] = ACTIONS(4190),
    [sym_unit] = ACTIONS(4188),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4188),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4190),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_PLUS_DOT] = ACTIONS(4188),
    [anon_sym_DASH_DOT] = ACTIONS(4188),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_AMP_AMP] = ACTIONS(4188),
    [anon_sym_TILDE] = ACTIONS(4188),
    [aux_sym_prefix_op_token1] = ACTIONS(4188),
    [aux_sym_int_token1] = ACTIONS(4190),
    [aux_sym_xint_token1] = ACTIONS(4188),
    [aux_sym_xint_token2] = ACTIONS(4188),
    [aux_sym_xint_token3] = ACTIONS(4188),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4188),
  },
  [2418] = {
    [sym_type_arguments] = STATE(2475),
    [sym_long_identifier] = STATE(2484),
    [sym_xml_doc] = STATE(2418),
    [sym_block_comment] = STATE(2418),
    [aux_sym__compound_type_repeat1] = STATE(2466),
    [sym_identifier] = ACTIONS(4205),
    [anon_sym_GT_RBRACK] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_LT_AT_AT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(1866),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_STAR] = ACTIONS(1868),
    [anon_sym_LT2] = ACTIONS(1870),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1872),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2150),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2150),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2150),
    [anon_sym_DASH_DOT] = ACTIONS(2150),
    [anon_sym_PERCENT] = ACTIONS(2150),
    [anon_sym_AMP_AMP] = ACTIONS(2150),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2150),
  },
  [2419] = {
    [sym_xml_doc] = STATE(2419),
    [sym_block_comment] = STATE(2419),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_module] = ACTIONS(4182),
    [anon_sym_POUNDnowarn] = ACTIONS(4180),
    [anon_sym_POUNDr] = ACTIONS(4180),
    [anon_sym_POUNDload] = ACTIONS(4180),
    [anon_sym_open] = ACTIONS(4182),
    [anon_sym_LBRACK_LT] = ACTIONS(4180),
    [anon_sym_return] = ACTIONS(4182),
    [anon_sym_type] = ACTIONS(4182),
    [anon_sym_do] = ACTIONS(4182),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_let] = ACTIONS(4182),
    [anon_sym_let_BANG] = ACTIONS(4180),
    [anon_sym_null] = ACTIONS(4182),
    [anon_sym_LPAREN] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4182),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4180),
    [anon_sym_LBRACE] = ACTIONS(4182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4180),
    [anon_sym_new] = ACTIONS(4182),
    [anon_sym_return_BANG] = ACTIONS(4180),
    [anon_sym_yield] = ACTIONS(4182),
    [anon_sym_yield_BANG] = ACTIONS(4180),
    [anon_sym_lazy] = ACTIONS(4182),
    [anon_sym_assert] = ACTIONS(4182),
    [anon_sym_upcast] = ACTIONS(4182),
    [anon_sym_downcast] = ACTIONS(4182),
    [anon_sym_LT_AT] = ACTIONS(4182),
    [anon_sym_LT_AT_AT] = ACTIONS(4180),
    [anon_sym_for] = ACTIONS(4182),
    [anon_sym_while] = ACTIONS(4182),
    [anon_sym_if] = ACTIONS(4182),
    [anon_sym_fun] = ACTIONS(4182),
    [anon_sym_try] = ACTIONS(4182),
    [anon_sym_match] = ACTIONS(4182),
    [anon_sym_match_BANG] = ACTIONS(4180),
    [anon_sym_function] = ACTIONS(4182),
    [anon_sym_use] = ACTIONS(4182),
    [anon_sym_use_BANG] = ACTIONS(4180),
    [anon_sym_do_BANG] = ACTIONS(4180),
    [anon_sym_begin] = ACTIONS(4182),
    [anon_sym_SQUOTE] = ACTIONS(4180),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4182),
    [anon_sym_DQUOTE] = ACTIONS(4182),
    [anon_sym_AT_DQUOTE] = ACTIONS(4180),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4180),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4180),
    [sym_bool] = ACTIONS(4182),
    [sym_unit] = ACTIONS(4180),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4180),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4182),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_PLUS_DOT] = ACTIONS(4180),
    [anon_sym_DASH_DOT] = ACTIONS(4180),
    [anon_sym_PERCENT] = ACTIONS(4180),
    [anon_sym_AMP_AMP] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(4180),
    [aux_sym_prefix_op_token1] = ACTIONS(4180),
    [aux_sym_int_token1] = ACTIONS(4182),
    [aux_sym_xint_token1] = ACTIONS(4180),
    [aux_sym_xint_token2] = ACTIONS(4180),
    [aux_sym_xint_token3] = ACTIONS(4180),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4180),
  },
  [2420] = {
    [sym_xml_doc] = STATE(2420),
    [sym_block_comment] = STATE(2420),
    [ts_builtin_sym_end] = ACTIONS(4239),
    [sym_identifier] = ACTIONS(4241),
    [anon_sym_namespace] = ACTIONS(4241),
    [anon_sym_module] = ACTIONS(4241),
    [anon_sym_POUNDnowarn] = ACTIONS(4239),
    [anon_sym_POUNDr] = ACTIONS(4239),
    [anon_sym_POUNDload] = ACTIONS(4239),
    [anon_sym_open] = ACTIONS(4241),
    [anon_sym_LBRACK_LT] = ACTIONS(4239),
    [anon_sym_return] = ACTIONS(4241),
    [anon_sym_type] = ACTIONS(4241),
    [anon_sym_do] = ACTIONS(4241),
    [anon_sym_let] = ACTIONS(4241),
    [anon_sym_let_BANG] = ACTIONS(4239),
    [anon_sym_null] = ACTIONS(4241),
    [anon_sym_LPAREN] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(4241),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4239),
    [anon_sym_new] = ACTIONS(4241),
    [anon_sym_return_BANG] = ACTIONS(4239),
    [anon_sym_yield] = ACTIONS(4241),
    [anon_sym_yield_BANG] = ACTIONS(4239),
    [anon_sym_lazy] = ACTIONS(4241),
    [anon_sym_assert] = ACTIONS(4241),
    [anon_sym_upcast] = ACTIONS(4241),
    [anon_sym_downcast] = ACTIONS(4241),
    [anon_sym_LT_AT] = ACTIONS(4241),
    [anon_sym_LT_AT_AT] = ACTIONS(4239),
    [anon_sym_for] = ACTIONS(4241),
    [anon_sym_while] = ACTIONS(4241),
    [anon_sym_if] = ACTIONS(4241),
    [anon_sym_fun] = ACTIONS(4241),
    [anon_sym_try] = ACTIONS(4241),
    [anon_sym_match] = ACTIONS(4241),
    [anon_sym_match_BANG] = ACTIONS(4239),
    [anon_sym_function] = ACTIONS(4241),
    [anon_sym_use] = ACTIONS(4241),
    [anon_sym_use_BANG] = ACTIONS(4239),
    [anon_sym_do_BANG] = ACTIONS(4239),
    [anon_sym_begin] = ACTIONS(4241),
    [anon_sym_SQUOTE] = ACTIONS(4239),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(4241),
    [anon_sym_AT_DQUOTE] = ACTIONS(4239),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4239),
    [sym_bool] = ACTIONS(4241),
    [sym_unit] = ACTIONS(4239),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4239),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4241),
    [anon_sym_PLUS] = ACTIONS(4241),
    [anon_sym_DASH] = ACTIONS(4241),
    [anon_sym_PLUS_DOT] = ACTIONS(4239),
    [anon_sym_DASH_DOT] = ACTIONS(4239),
    [anon_sym_PERCENT] = ACTIONS(4239),
    [anon_sym_AMP_AMP] = ACTIONS(4239),
    [anon_sym_TILDE] = ACTIONS(4239),
    [aux_sym_prefix_op_token1] = ACTIONS(4239),
    [aux_sym_int_token1] = ACTIONS(4241),
    [aux_sym_xint_token1] = ACTIONS(4239),
    [aux_sym_xint_token2] = ACTIONS(4239),
    [aux_sym_xint_token3] = ACTIONS(4239),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2421] = {
    [sym_xml_doc] = STATE(2421),
    [sym_block_comment] = STATE(2421),
    [sym_identifier] = ACTIONS(4153),
    [anon_sym_module] = ACTIONS(4153),
    [anon_sym_POUNDnowarn] = ACTIONS(4151),
    [anon_sym_POUNDr] = ACTIONS(4151),
    [anon_sym_POUNDload] = ACTIONS(4151),
    [anon_sym_open] = ACTIONS(4153),
    [anon_sym_LBRACK_LT] = ACTIONS(4151),
    [anon_sym_return] = ACTIONS(4153),
    [anon_sym_type] = ACTIONS(4153),
    [anon_sym_do] = ACTIONS(4153),
    [anon_sym_and] = ACTIONS(4153),
    [anon_sym_let] = ACTIONS(4153),
    [anon_sym_let_BANG] = ACTIONS(4151),
    [anon_sym_null] = ACTIONS(4153),
    [anon_sym_LPAREN] = ACTIONS(4153),
    [anon_sym_AMP] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4153),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4153),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4151),
    [anon_sym_new] = ACTIONS(4153),
    [anon_sym_return_BANG] = ACTIONS(4151),
    [anon_sym_yield] = ACTIONS(4153),
    [anon_sym_yield_BANG] = ACTIONS(4151),
    [anon_sym_lazy] = ACTIONS(4153),
    [anon_sym_assert] = ACTIONS(4153),
    [anon_sym_upcast] = ACTIONS(4153),
    [anon_sym_downcast] = ACTIONS(4153),
    [anon_sym_LT_AT] = ACTIONS(4153),
    [anon_sym_LT_AT_AT] = ACTIONS(4151),
    [anon_sym_for] = ACTIONS(4153),
    [anon_sym_while] = ACTIONS(4153),
    [anon_sym_if] = ACTIONS(4153),
    [anon_sym_fun] = ACTIONS(4153),
    [anon_sym_try] = ACTIONS(4153),
    [anon_sym_match] = ACTIONS(4153),
    [anon_sym_match_BANG] = ACTIONS(4151),
    [anon_sym_function] = ACTIONS(4153),
    [anon_sym_use] = ACTIONS(4153),
    [anon_sym_use_BANG] = ACTIONS(4151),
    [anon_sym_do_BANG] = ACTIONS(4151),
    [anon_sym_begin] = ACTIONS(4153),
    [anon_sym_SQUOTE] = ACTIONS(4151),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4153),
    [anon_sym_DQUOTE] = ACTIONS(4153),
    [anon_sym_AT_DQUOTE] = ACTIONS(4151),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4151),
    [sym_bool] = ACTIONS(4153),
    [sym_unit] = ACTIONS(4151),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4151),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4153),
    [anon_sym_PLUS] = ACTIONS(4153),
    [anon_sym_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_DOT] = ACTIONS(4151),
    [anon_sym_DASH_DOT] = ACTIONS(4151),
    [anon_sym_PERCENT] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_TILDE] = ACTIONS(4151),
    [aux_sym_prefix_op_token1] = ACTIONS(4151),
    [aux_sym_int_token1] = ACTIONS(4153),
    [aux_sym_xint_token1] = ACTIONS(4151),
    [aux_sym_xint_token2] = ACTIONS(4151),
    [aux_sym_xint_token3] = ACTIONS(4151),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4151),
  },
  [2422] = {
    [sym_xml_doc] = STATE(2422),
    [sym_block_comment] = STATE(2422),
    [ts_builtin_sym_end] = ACTIONS(4243),
    [sym_identifier] = ACTIONS(4246),
    [anon_sym_namespace] = ACTIONS(4237),
    [anon_sym_module] = ACTIONS(4246),
    [anon_sym_POUNDnowarn] = ACTIONS(4243),
    [anon_sym_POUNDr] = ACTIONS(4243),
    [anon_sym_POUNDload] = ACTIONS(4243),
    [anon_sym_open] = ACTIONS(4246),
    [anon_sym_LBRACK_LT] = ACTIONS(4243),
    [anon_sym_return] = ACTIONS(4246),
    [anon_sym_type] = ACTIONS(4246),
    [anon_sym_do] = ACTIONS(4246),
    [anon_sym_let] = ACTIONS(4246),
    [anon_sym_let_BANG] = ACTIONS(4243),
    [anon_sym_null] = ACTIONS(4246),
    [anon_sym_LPAREN] = ACTIONS(4246),
    [anon_sym_AMP] = ACTIONS(4246),
    [anon_sym_LBRACK] = ACTIONS(4246),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4243),
    [anon_sym_LBRACE] = ACTIONS(4246),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4243),
    [anon_sym_new] = ACTIONS(4246),
    [anon_sym_return_BANG] = ACTIONS(4243),
    [anon_sym_yield] = ACTIONS(4246),
    [anon_sym_yield_BANG] = ACTIONS(4243),
    [anon_sym_lazy] = ACTIONS(4246),
    [anon_sym_assert] = ACTIONS(4246),
    [anon_sym_upcast] = ACTIONS(4246),
    [anon_sym_downcast] = ACTIONS(4246),
    [anon_sym_LT_AT] = ACTIONS(4246),
    [anon_sym_LT_AT_AT] = ACTIONS(4243),
    [anon_sym_for] = ACTIONS(4246),
    [anon_sym_while] = ACTIONS(4246),
    [anon_sym_if] = ACTIONS(4246),
    [anon_sym_fun] = ACTIONS(4246),
    [anon_sym_try] = ACTIONS(4246),
    [anon_sym_match] = ACTIONS(4246),
    [anon_sym_match_BANG] = ACTIONS(4243),
    [anon_sym_function] = ACTIONS(4246),
    [anon_sym_use] = ACTIONS(4246),
    [anon_sym_use_BANG] = ACTIONS(4243),
    [anon_sym_do_BANG] = ACTIONS(4243),
    [anon_sym_begin] = ACTIONS(4246),
    [anon_sym_SQUOTE] = ACTIONS(4243),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4246),
    [anon_sym_DQUOTE] = ACTIONS(4246),
    [anon_sym_AT_DQUOTE] = ACTIONS(4243),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4243),
    [sym_bool] = ACTIONS(4246),
    [sym_unit] = ACTIONS(4243),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4243),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4246),
    [anon_sym_PLUS] = ACTIONS(4246),
    [anon_sym_DASH] = ACTIONS(4246),
    [anon_sym_PLUS_DOT] = ACTIONS(4243),
    [anon_sym_DASH_DOT] = ACTIONS(4243),
    [anon_sym_PERCENT] = ACTIONS(4243),
    [anon_sym_AMP_AMP] = ACTIONS(4243),
    [anon_sym_TILDE] = ACTIONS(4243),
    [aux_sym_prefix_op_token1] = ACTIONS(4243),
    [aux_sym_int_token1] = ACTIONS(4246),
    [aux_sym_xint_token1] = ACTIONS(4243),
    [aux_sym_xint_token2] = ACTIONS(4243),
    [aux_sym_xint_token3] = ACTIONS(4243),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2423] = {
    [sym_xml_doc] = STATE(2423),
    [sym_block_comment] = STATE(2423),
    [sym_identifier] = ACTIONS(4175),
    [anon_sym_module] = ACTIONS(4175),
    [anon_sym_POUNDnowarn] = ACTIONS(4173),
    [anon_sym_POUNDr] = ACTIONS(4173),
    [anon_sym_POUNDload] = ACTIONS(4173),
    [anon_sym_open] = ACTIONS(4175),
    [anon_sym_LBRACK_LT] = ACTIONS(4173),
    [anon_sym_return] = ACTIONS(4175),
    [anon_sym_type] = ACTIONS(4175),
    [anon_sym_do] = ACTIONS(4175),
    [anon_sym_and] = ACTIONS(4175),
    [anon_sym_let] = ACTIONS(4175),
    [anon_sym_let_BANG] = ACTIONS(4173),
    [anon_sym_null] = ACTIONS(4175),
    [anon_sym_LPAREN] = ACTIONS(4175),
    [anon_sym_AMP] = ACTIONS(4175),
    [anon_sym_LBRACK] = ACTIONS(4175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4173),
    [anon_sym_LBRACE] = ACTIONS(4175),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4173),
    [anon_sym_new] = ACTIONS(4175),
    [anon_sym_return_BANG] = ACTIONS(4173),
    [anon_sym_yield] = ACTIONS(4175),
    [anon_sym_yield_BANG] = ACTIONS(4173),
    [anon_sym_lazy] = ACTIONS(4175),
    [anon_sym_assert] = ACTIONS(4175),
    [anon_sym_upcast] = ACTIONS(4175),
    [anon_sym_downcast] = ACTIONS(4175),
    [anon_sym_LT_AT] = ACTIONS(4175),
    [anon_sym_LT_AT_AT] = ACTIONS(4173),
    [anon_sym_for] = ACTIONS(4175),
    [anon_sym_while] = ACTIONS(4175),
    [anon_sym_if] = ACTIONS(4175),
    [anon_sym_fun] = ACTIONS(4175),
    [anon_sym_try] = ACTIONS(4175),
    [anon_sym_match] = ACTIONS(4175),
    [anon_sym_match_BANG] = ACTIONS(4173),
    [anon_sym_function] = ACTIONS(4175),
    [anon_sym_use] = ACTIONS(4175),
    [anon_sym_use_BANG] = ACTIONS(4173),
    [anon_sym_do_BANG] = ACTIONS(4173),
    [anon_sym_begin] = ACTIONS(4175),
    [anon_sym_SQUOTE] = ACTIONS(4173),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4175),
    [anon_sym_DQUOTE] = ACTIONS(4175),
    [anon_sym_AT_DQUOTE] = ACTIONS(4173),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4173),
    [sym_bool] = ACTIONS(4175),
    [sym_unit] = ACTIONS(4173),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4173),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4175),
    [anon_sym_PLUS] = ACTIONS(4175),
    [anon_sym_DASH] = ACTIONS(4175),
    [anon_sym_PLUS_DOT] = ACTIONS(4173),
    [anon_sym_DASH_DOT] = ACTIONS(4173),
    [anon_sym_PERCENT] = ACTIONS(4173),
    [anon_sym_AMP_AMP] = ACTIONS(4173),
    [anon_sym_TILDE] = ACTIONS(4173),
    [aux_sym_prefix_op_token1] = ACTIONS(4173),
    [aux_sym_int_token1] = ACTIONS(4175),
    [aux_sym_xint_token1] = ACTIONS(4173),
    [aux_sym_xint_token2] = ACTIONS(4173),
    [aux_sym_xint_token3] = ACTIONS(4173),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4173),
  },
  [2424] = {
    [sym_xml_doc] = STATE(2424),
    [sym_block_comment] = STATE(2424),
    [sym_identifier] = ACTIONS(4171),
    [anon_sym_module] = ACTIONS(4171),
    [anon_sym_POUNDnowarn] = ACTIONS(4169),
    [anon_sym_POUNDr] = ACTIONS(4169),
    [anon_sym_POUNDload] = ACTIONS(4169),
    [anon_sym_open] = ACTIONS(4171),
    [anon_sym_LBRACK_LT] = ACTIONS(4169),
    [anon_sym_return] = ACTIONS(4171),
    [anon_sym_type] = ACTIONS(4171),
    [anon_sym_do] = ACTIONS(4171),
    [anon_sym_and] = ACTIONS(4171),
    [anon_sym_let] = ACTIONS(4171),
    [anon_sym_let_BANG] = ACTIONS(4169),
    [anon_sym_null] = ACTIONS(4171),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_AMP] = ACTIONS(4171),
    [anon_sym_LBRACK] = ACTIONS(4171),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4171),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4169),
    [anon_sym_new] = ACTIONS(4171),
    [anon_sym_return_BANG] = ACTIONS(4169),
    [anon_sym_yield] = ACTIONS(4171),
    [anon_sym_yield_BANG] = ACTIONS(4169),
    [anon_sym_lazy] = ACTIONS(4171),
    [anon_sym_assert] = ACTIONS(4171),
    [anon_sym_upcast] = ACTIONS(4171),
    [anon_sym_downcast] = ACTIONS(4171),
    [anon_sym_LT_AT] = ACTIONS(4171),
    [anon_sym_LT_AT_AT] = ACTIONS(4169),
    [anon_sym_for] = ACTIONS(4171),
    [anon_sym_while] = ACTIONS(4171),
    [anon_sym_if] = ACTIONS(4171),
    [anon_sym_fun] = ACTIONS(4171),
    [anon_sym_try] = ACTIONS(4171),
    [anon_sym_match] = ACTIONS(4171),
    [anon_sym_match_BANG] = ACTIONS(4169),
    [anon_sym_function] = ACTIONS(4171),
    [anon_sym_use] = ACTIONS(4171),
    [anon_sym_use_BANG] = ACTIONS(4169),
    [anon_sym_do_BANG] = ACTIONS(4169),
    [anon_sym_begin] = ACTIONS(4171),
    [anon_sym_SQUOTE] = ACTIONS(4169),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4171),
    [anon_sym_DQUOTE] = ACTIONS(4171),
    [anon_sym_AT_DQUOTE] = ACTIONS(4169),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4169),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4169),
    [sym_bool] = ACTIONS(4171),
    [sym_unit] = ACTIONS(4169),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4169),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4171),
    [anon_sym_PLUS] = ACTIONS(4171),
    [anon_sym_DASH] = ACTIONS(4171),
    [anon_sym_PLUS_DOT] = ACTIONS(4169),
    [anon_sym_DASH_DOT] = ACTIONS(4169),
    [anon_sym_PERCENT] = ACTIONS(4169),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_TILDE] = ACTIONS(4169),
    [aux_sym_prefix_op_token1] = ACTIONS(4169),
    [aux_sym_int_token1] = ACTIONS(4171),
    [aux_sym_xint_token1] = ACTIONS(4169),
    [aux_sym_xint_token2] = ACTIONS(4169),
    [aux_sym_xint_token3] = ACTIONS(4169),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4169),
  },
  [2425] = {
    [sym_xml_doc] = STATE(2425),
    [sym_block_comment] = STATE(2425),
    [sym_identifier] = ACTIONS(4137),
    [anon_sym_module] = ACTIONS(4137),
    [anon_sym_POUNDnowarn] = ACTIONS(4135),
    [anon_sym_POUNDr] = ACTIONS(4135),
    [anon_sym_POUNDload] = ACTIONS(4135),
    [anon_sym_open] = ACTIONS(4137),
    [anon_sym_LBRACK_LT] = ACTIONS(4135),
    [anon_sym_return] = ACTIONS(4137),
    [anon_sym_type] = ACTIONS(4137),
    [anon_sym_do] = ACTIONS(4137),
    [anon_sym_and] = ACTIONS(4137),
    [anon_sym_let] = ACTIONS(4137),
    [anon_sym_let_BANG] = ACTIONS(4135),
    [anon_sym_null] = ACTIONS(4137),
    [anon_sym_LPAREN] = ACTIONS(4137),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4137),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4135),
    [anon_sym_new] = ACTIONS(4137),
    [anon_sym_return_BANG] = ACTIONS(4135),
    [anon_sym_yield] = ACTIONS(4137),
    [anon_sym_yield_BANG] = ACTIONS(4135),
    [anon_sym_lazy] = ACTIONS(4137),
    [anon_sym_assert] = ACTIONS(4137),
    [anon_sym_upcast] = ACTIONS(4137),
    [anon_sym_downcast] = ACTIONS(4137),
    [anon_sym_LT_AT] = ACTIONS(4137),
    [anon_sym_LT_AT_AT] = ACTIONS(4135),
    [anon_sym_for] = ACTIONS(4137),
    [anon_sym_while] = ACTIONS(4137),
    [anon_sym_if] = ACTIONS(4137),
    [anon_sym_fun] = ACTIONS(4137),
    [anon_sym_try] = ACTIONS(4137),
    [anon_sym_match] = ACTIONS(4137),
    [anon_sym_match_BANG] = ACTIONS(4135),
    [anon_sym_function] = ACTIONS(4137),
    [anon_sym_use] = ACTIONS(4137),
    [anon_sym_use_BANG] = ACTIONS(4135),
    [anon_sym_do_BANG] = ACTIONS(4135),
    [anon_sym_begin] = ACTIONS(4137),
    [anon_sym_SQUOTE] = ACTIONS(4135),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4137),
    [anon_sym_DQUOTE] = ACTIONS(4137),
    [anon_sym_AT_DQUOTE] = ACTIONS(4135),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4135),
    [sym_bool] = ACTIONS(4137),
    [sym_unit] = ACTIONS(4135),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4135),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4137),
    [anon_sym_PLUS] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_DOT] = ACTIONS(4135),
    [anon_sym_DASH_DOT] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_AMP_AMP] = ACTIONS(4135),
    [anon_sym_TILDE] = ACTIONS(4135),
    [aux_sym_prefix_op_token1] = ACTIONS(4135),
    [aux_sym_int_token1] = ACTIONS(4137),
    [aux_sym_xint_token1] = ACTIONS(4135),
    [aux_sym_xint_token2] = ACTIONS(4135),
    [aux_sym_xint_token3] = ACTIONS(4135),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4135),
  },
  [2426] = {
    [sym_xml_doc] = STATE(2426),
    [sym_block_comment] = STATE(2426),
    [ts_builtin_sym_end] = ACTIONS(4249),
    [sym_identifier] = ACTIONS(4251),
    [anon_sym_namespace] = ACTIONS(4251),
    [anon_sym_module] = ACTIONS(4251),
    [anon_sym_POUNDnowarn] = ACTIONS(4249),
    [anon_sym_POUNDr] = ACTIONS(4249),
    [anon_sym_POUNDload] = ACTIONS(4249),
    [anon_sym_open] = ACTIONS(4251),
    [anon_sym_LBRACK_LT] = ACTIONS(4249),
    [anon_sym_return] = ACTIONS(4251),
    [anon_sym_type] = ACTIONS(4251),
    [anon_sym_do] = ACTIONS(4251),
    [anon_sym_let] = ACTIONS(4251),
    [anon_sym_let_BANG] = ACTIONS(4249),
    [anon_sym_null] = ACTIONS(4251),
    [anon_sym_LPAREN] = ACTIONS(4251),
    [anon_sym_AMP] = ACTIONS(4251),
    [anon_sym_LBRACK] = ACTIONS(4251),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4249),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4249),
    [anon_sym_new] = ACTIONS(4251),
    [anon_sym_return_BANG] = ACTIONS(4249),
    [anon_sym_yield] = ACTIONS(4251),
    [anon_sym_yield_BANG] = ACTIONS(4249),
    [anon_sym_lazy] = ACTIONS(4251),
    [anon_sym_assert] = ACTIONS(4251),
    [anon_sym_upcast] = ACTIONS(4251),
    [anon_sym_downcast] = ACTIONS(4251),
    [anon_sym_LT_AT] = ACTIONS(4251),
    [anon_sym_LT_AT_AT] = ACTIONS(4249),
    [anon_sym_for] = ACTIONS(4251),
    [anon_sym_while] = ACTIONS(4251),
    [anon_sym_if] = ACTIONS(4251),
    [anon_sym_fun] = ACTIONS(4251),
    [anon_sym_try] = ACTIONS(4251),
    [anon_sym_match] = ACTIONS(4251),
    [anon_sym_match_BANG] = ACTIONS(4249),
    [anon_sym_function] = ACTIONS(4251),
    [anon_sym_use] = ACTIONS(4251),
    [anon_sym_use_BANG] = ACTIONS(4249),
    [anon_sym_do_BANG] = ACTIONS(4249),
    [anon_sym_begin] = ACTIONS(4251),
    [anon_sym_SQUOTE] = ACTIONS(4249),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4251),
    [anon_sym_DQUOTE] = ACTIONS(4251),
    [anon_sym_AT_DQUOTE] = ACTIONS(4249),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4249),
    [sym_bool] = ACTIONS(4251),
    [sym_unit] = ACTIONS(4249),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4249),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(4251),
    [anon_sym_DASH] = ACTIONS(4251),
    [anon_sym_PLUS_DOT] = ACTIONS(4249),
    [anon_sym_DASH_DOT] = ACTIONS(4249),
    [anon_sym_PERCENT] = ACTIONS(4249),
    [anon_sym_AMP_AMP] = ACTIONS(4249),
    [anon_sym_TILDE] = ACTIONS(4249),
    [aux_sym_prefix_op_token1] = ACTIONS(4249),
    [aux_sym_int_token1] = ACTIONS(4251),
    [aux_sym_xint_token1] = ACTIONS(4249),
    [aux_sym_xint_token2] = ACTIONS(4249),
    [aux_sym_xint_token3] = ACTIONS(4249),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2427] = {
    [sym_xml_doc] = STATE(2427),
    [sym_block_comment] = STATE(2427),
    [sym_identifier] = ACTIONS(4141),
    [anon_sym_module] = ACTIONS(4141),
    [anon_sym_POUNDnowarn] = ACTIONS(4139),
    [anon_sym_POUNDr] = ACTIONS(4139),
    [anon_sym_POUNDload] = ACTIONS(4139),
    [anon_sym_open] = ACTIONS(4141),
    [anon_sym_LBRACK_LT] = ACTIONS(4139),
    [anon_sym_return] = ACTIONS(4141),
    [anon_sym_type] = ACTIONS(4141),
    [anon_sym_do] = ACTIONS(4141),
    [anon_sym_and] = ACTIONS(4141),
    [anon_sym_let] = ACTIONS(4141),
    [anon_sym_let_BANG] = ACTIONS(4139),
    [anon_sym_null] = ACTIONS(4141),
    [anon_sym_LPAREN] = ACTIONS(4141),
    [anon_sym_AMP] = ACTIONS(4141),
    [anon_sym_LBRACK] = ACTIONS(4141),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4139),
    [anon_sym_LBRACE] = ACTIONS(4141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4139),
    [anon_sym_new] = ACTIONS(4141),
    [anon_sym_return_BANG] = ACTIONS(4139),
    [anon_sym_yield] = ACTIONS(4141),
    [anon_sym_yield_BANG] = ACTIONS(4139),
    [anon_sym_lazy] = ACTIONS(4141),
    [anon_sym_assert] = ACTIONS(4141),
    [anon_sym_upcast] = ACTIONS(4141),
    [anon_sym_downcast] = ACTIONS(4141),
    [anon_sym_LT_AT] = ACTIONS(4141),
    [anon_sym_LT_AT_AT] = ACTIONS(4139),
    [anon_sym_for] = ACTIONS(4141),
    [anon_sym_while] = ACTIONS(4141),
    [anon_sym_if] = ACTIONS(4141),
    [anon_sym_fun] = ACTIONS(4141),
    [anon_sym_try] = ACTIONS(4141),
    [anon_sym_match] = ACTIONS(4141),
    [anon_sym_match_BANG] = ACTIONS(4139),
    [anon_sym_function] = ACTIONS(4141),
    [anon_sym_use] = ACTIONS(4141),
    [anon_sym_use_BANG] = ACTIONS(4139),
    [anon_sym_do_BANG] = ACTIONS(4139),
    [anon_sym_begin] = ACTIONS(4141),
    [anon_sym_SQUOTE] = ACTIONS(4139),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4141),
    [anon_sym_DQUOTE] = ACTIONS(4141),
    [anon_sym_AT_DQUOTE] = ACTIONS(4139),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4139),
    [sym_bool] = ACTIONS(4141),
    [sym_unit] = ACTIONS(4139),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4139),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4141),
    [anon_sym_PLUS] = ACTIONS(4141),
    [anon_sym_DASH] = ACTIONS(4141),
    [anon_sym_PLUS_DOT] = ACTIONS(4139),
    [anon_sym_DASH_DOT] = ACTIONS(4139),
    [anon_sym_PERCENT] = ACTIONS(4139),
    [anon_sym_AMP_AMP] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(4139),
    [aux_sym_prefix_op_token1] = ACTIONS(4139),
    [aux_sym_int_token1] = ACTIONS(4141),
    [aux_sym_xint_token1] = ACTIONS(4139),
    [aux_sym_xint_token2] = ACTIONS(4139),
    [aux_sym_xint_token3] = ACTIONS(4139),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4139),
  },
  [2428] = {
    [sym_xml_doc] = STATE(2428),
    [sym_block_comment] = STATE(2428),
    [sym_identifier] = ACTIONS(4165),
    [anon_sym_module] = ACTIONS(4165),
    [anon_sym_POUNDnowarn] = ACTIONS(4163),
    [anon_sym_POUNDr] = ACTIONS(4163),
    [anon_sym_POUNDload] = ACTIONS(4163),
    [anon_sym_open] = ACTIONS(4165),
    [anon_sym_LBRACK_LT] = ACTIONS(4163),
    [anon_sym_return] = ACTIONS(4165),
    [anon_sym_type] = ACTIONS(4165),
    [anon_sym_do] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4165),
    [anon_sym_let] = ACTIONS(4165),
    [anon_sym_let_BANG] = ACTIONS(4163),
    [anon_sym_null] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4165),
    [anon_sym_AMP] = ACTIONS(4165),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4163),
    [anon_sym_LBRACE] = ACTIONS(4165),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4163),
    [anon_sym_new] = ACTIONS(4165),
    [anon_sym_return_BANG] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4165),
    [anon_sym_yield_BANG] = ACTIONS(4163),
    [anon_sym_lazy] = ACTIONS(4165),
    [anon_sym_assert] = ACTIONS(4165),
    [anon_sym_upcast] = ACTIONS(4165),
    [anon_sym_downcast] = ACTIONS(4165),
    [anon_sym_LT_AT] = ACTIONS(4165),
    [anon_sym_LT_AT_AT] = ACTIONS(4163),
    [anon_sym_for] = ACTIONS(4165),
    [anon_sym_while] = ACTIONS(4165),
    [anon_sym_if] = ACTIONS(4165),
    [anon_sym_fun] = ACTIONS(4165),
    [anon_sym_try] = ACTIONS(4165),
    [anon_sym_match] = ACTIONS(4165),
    [anon_sym_match_BANG] = ACTIONS(4163),
    [anon_sym_function] = ACTIONS(4165),
    [anon_sym_use] = ACTIONS(4165),
    [anon_sym_use_BANG] = ACTIONS(4163),
    [anon_sym_do_BANG] = ACTIONS(4163),
    [anon_sym_begin] = ACTIONS(4165),
    [anon_sym_SQUOTE] = ACTIONS(4163),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4165),
    [anon_sym_DQUOTE] = ACTIONS(4165),
    [anon_sym_AT_DQUOTE] = ACTIONS(4163),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4163),
    [sym_bool] = ACTIONS(4165),
    [sym_unit] = ACTIONS(4163),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4163),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4165),
    [anon_sym_DASH] = ACTIONS(4165),
    [anon_sym_PLUS_DOT] = ACTIONS(4163),
    [anon_sym_DASH_DOT] = ACTIONS(4163),
    [anon_sym_PERCENT] = ACTIONS(4163),
    [anon_sym_AMP_AMP] = ACTIONS(4163),
    [anon_sym_TILDE] = ACTIONS(4163),
    [aux_sym_prefix_op_token1] = ACTIONS(4163),
    [aux_sym_int_token1] = ACTIONS(4165),
    [aux_sym_xint_token1] = ACTIONS(4163),
    [aux_sym_xint_token2] = ACTIONS(4163),
    [aux_sym_xint_token3] = ACTIONS(4163),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4163),
  },
  [2429] = {
    [sym_xml_doc] = STATE(2429),
    [sym_block_comment] = STATE(2429),
    [sym_identifier] = ACTIONS(4161),
    [anon_sym_module] = ACTIONS(4161),
    [anon_sym_POUNDnowarn] = ACTIONS(4159),
    [anon_sym_POUNDr] = ACTIONS(4159),
    [anon_sym_POUNDload] = ACTIONS(4159),
    [anon_sym_open] = ACTIONS(4161),
    [anon_sym_LBRACK_LT] = ACTIONS(4159),
    [anon_sym_return] = ACTIONS(4161),
    [anon_sym_type] = ACTIONS(4161),
    [anon_sym_do] = ACTIONS(4161),
    [anon_sym_and] = ACTIONS(4161),
    [anon_sym_let] = ACTIONS(4161),
    [anon_sym_let_BANG] = ACTIONS(4159),
    [anon_sym_null] = ACTIONS(4161),
    [anon_sym_LPAREN] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4161),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4159),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4159),
    [anon_sym_new] = ACTIONS(4161),
    [anon_sym_return_BANG] = ACTIONS(4159),
    [anon_sym_yield] = ACTIONS(4161),
    [anon_sym_yield_BANG] = ACTIONS(4159),
    [anon_sym_lazy] = ACTIONS(4161),
    [anon_sym_assert] = ACTIONS(4161),
    [anon_sym_upcast] = ACTIONS(4161),
    [anon_sym_downcast] = ACTIONS(4161),
    [anon_sym_LT_AT] = ACTIONS(4161),
    [anon_sym_LT_AT_AT] = ACTIONS(4159),
    [anon_sym_for] = ACTIONS(4161),
    [anon_sym_while] = ACTIONS(4161),
    [anon_sym_if] = ACTIONS(4161),
    [anon_sym_fun] = ACTIONS(4161),
    [anon_sym_try] = ACTIONS(4161),
    [anon_sym_match] = ACTIONS(4161),
    [anon_sym_match_BANG] = ACTIONS(4159),
    [anon_sym_function] = ACTIONS(4161),
    [anon_sym_use] = ACTIONS(4161),
    [anon_sym_use_BANG] = ACTIONS(4159),
    [anon_sym_do_BANG] = ACTIONS(4159),
    [anon_sym_begin] = ACTIONS(4161),
    [anon_sym_SQUOTE] = ACTIONS(4159),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4161),
    [anon_sym_DQUOTE] = ACTIONS(4161),
    [anon_sym_AT_DQUOTE] = ACTIONS(4159),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4159),
    [sym_bool] = ACTIONS(4161),
    [sym_unit] = ACTIONS(4159),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4159),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4161),
    [anon_sym_PLUS] = ACTIONS(4161),
    [anon_sym_DASH] = ACTIONS(4161),
    [anon_sym_PLUS_DOT] = ACTIONS(4159),
    [anon_sym_DASH_DOT] = ACTIONS(4159),
    [anon_sym_PERCENT] = ACTIONS(4159),
    [anon_sym_AMP_AMP] = ACTIONS(4159),
    [anon_sym_TILDE] = ACTIONS(4159),
    [aux_sym_prefix_op_token1] = ACTIONS(4159),
    [aux_sym_int_token1] = ACTIONS(4161),
    [aux_sym_xint_token1] = ACTIONS(4159),
    [aux_sym_xint_token2] = ACTIONS(4159),
    [aux_sym_xint_token3] = ACTIONS(4159),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4159),
  },
  [2430] = {
    [sym_type_arguments] = STATE(2497),
    [sym_long_identifier] = STATE(2498),
    [sym_xml_doc] = STATE(2430),
    [sym_block_comment] = STATE(2430),
    [aux_sym__compound_type_repeat1] = STATE(2470),
    [sym_identifier] = ACTIONS(4203),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_as] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_with] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_LT_AT_AT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_LT2] = ACTIONS(1848),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2150),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2150),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2150),
    [anon_sym_DASH_DOT] = ACTIONS(2150),
    [anon_sym_PERCENT] = ACTIONS(2150),
    [anon_sym_AMP_AMP] = ACTIONS(2150),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2431] = {
    [sym_xml_doc] = STATE(2431),
    [sym_block_comment] = STATE(2431),
    [ts_builtin_sym_end] = ACTIONS(4249),
    [sym_identifier] = ACTIONS(4251),
    [anon_sym_namespace] = ACTIONS(4251),
    [anon_sym_module] = ACTIONS(4251),
    [anon_sym_POUNDnowarn] = ACTIONS(4249),
    [anon_sym_POUNDr] = ACTIONS(4249),
    [anon_sym_POUNDload] = ACTIONS(4249),
    [anon_sym_open] = ACTIONS(4251),
    [anon_sym_LBRACK_LT] = ACTIONS(4249),
    [anon_sym_return] = ACTIONS(4251),
    [anon_sym_type] = ACTIONS(4251),
    [anon_sym_do] = ACTIONS(4251),
    [anon_sym_let] = ACTIONS(4251),
    [anon_sym_let_BANG] = ACTIONS(4249),
    [anon_sym_null] = ACTIONS(4251),
    [anon_sym_LPAREN] = ACTIONS(4251),
    [anon_sym_AMP] = ACTIONS(4251),
    [anon_sym_LBRACK] = ACTIONS(4251),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4249),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4249),
    [anon_sym_new] = ACTIONS(4251),
    [anon_sym_return_BANG] = ACTIONS(4249),
    [anon_sym_yield] = ACTIONS(4251),
    [anon_sym_yield_BANG] = ACTIONS(4249),
    [anon_sym_lazy] = ACTIONS(4251),
    [anon_sym_assert] = ACTIONS(4251),
    [anon_sym_upcast] = ACTIONS(4251),
    [anon_sym_downcast] = ACTIONS(4251),
    [anon_sym_LT_AT] = ACTIONS(4251),
    [anon_sym_LT_AT_AT] = ACTIONS(4249),
    [anon_sym_for] = ACTIONS(4251),
    [anon_sym_while] = ACTIONS(4251),
    [anon_sym_if] = ACTIONS(4251),
    [anon_sym_fun] = ACTIONS(4251),
    [anon_sym_try] = ACTIONS(4251),
    [anon_sym_match] = ACTIONS(4251),
    [anon_sym_match_BANG] = ACTIONS(4249),
    [anon_sym_function] = ACTIONS(4251),
    [anon_sym_use] = ACTIONS(4251),
    [anon_sym_use_BANG] = ACTIONS(4249),
    [anon_sym_do_BANG] = ACTIONS(4249),
    [anon_sym_begin] = ACTIONS(4251),
    [anon_sym_SQUOTE] = ACTIONS(4249),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4251),
    [anon_sym_DQUOTE] = ACTIONS(4251),
    [anon_sym_AT_DQUOTE] = ACTIONS(4249),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4249),
    [sym_bool] = ACTIONS(4251),
    [sym_unit] = ACTIONS(4249),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4249),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(4251),
    [anon_sym_DASH] = ACTIONS(4251),
    [anon_sym_PLUS_DOT] = ACTIONS(4249),
    [anon_sym_DASH_DOT] = ACTIONS(4249),
    [anon_sym_PERCENT] = ACTIONS(4249),
    [anon_sym_AMP_AMP] = ACTIONS(4249),
    [anon_sym_TILDE] = ACTIONS(4249),
    [aux_sym_prefix_op_token1] = ACTIONS(4249),
    [aux_sym_int_token1] = ACTIONS(4251),
    [aux_sym_xint_token1] = ACTIONS(4249),
    [aux_sym_xint_token2] = ACTIONS(4249),
    [aux_sym_xint_token3] = ACTIONS(4249),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2432] = {
    [sym_xml_doc] = STATE(2432),
    [sym_block_comment] = STATE(2432),
    [sym_identifier] = ACTIONS(4127),
    [anon_sym_module] = ACTIONS(4127),
    [anon_sym_POUNDnowarn] = ACTIONS(4125),
    [anon_sym_POUNDr] = ACTIONS(4125),
    [anon_sym_POUNDload] = ACTIONS(4125),
    [anon_sym_open] = ACTIONS(4127),
    [anon_sym_LBRACK_LT] = ACTIONS(4125),
    [anon_sym_return] = ACTIONS(4127),
    [anon_sym_type] = ACTIONS(4127),
    [anon_sym_do] = ACTIONS(4127),
    [anon_sym_and] = ACTIONS(4127),
    [anon_sym_let] = ACTIONS(4127),
    [anon_sym_let_BANG] = ACTIONS(4125),
    [anon_sym_null] = ACTIONS(4127),
    [anon_sym_LPAREN] = ACTIONS(4127),
    [anon_sym_AMP] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4127),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4125),
    [anon_sym_new] = ACTIONS(4127),
    [anon_sym_return_BANG] = ACTIONS(4125),
    [anon_sym_yield] = ACTIONS(4127),
    [anon_sym_yield_BANG] = ACTIONS(4125),
    [anon_sym_lazy] = ACTIONS(4127),
    [anon_sym_assert] = ACTIONS(4127),
    [anon_sym_upcast] = ACTIONS(4127),
    [anon_sym_downcast] = ACTIONS(4127),
    [anon_sym_LT_AT] = ACTIONS(4127),
    [anon_sym_LT_AT_AT] = ACTIONS(4125),
    [anon_sym_for] = ACTIONS(4127),
    [anon_sym_while] = ACTIONS(4127),
    [anon_sym_if] = ACTIONS(4127),
    [anon_sym_fun] = ACTIONS(4127),
    [anon_sym_try] = ACTIONS(4127),
    [anon_sym_match] = ACTIONS(4127),
    [anon_sym_match_BANG] = ACTIONS(4125),
    [anon_sym_function] = ACTIONS(4127),
    [anon_sym_use] = ACTIONS(4127),
    [anon_sym_use_BANG] = ACTIONS(4125),
    [anon_sym_do_BANG] = ACTIONS(4125),
    [anon_sym_begin] = ACTIONS(4127),
    [anon_sym_SQUOTE] = ACTIONS(4125),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4127),
    [anon_sym_DQUOTE] = ACTIONS(4127),
    [anon_sym_AT_DQUOTE] = ACTIONS(4125),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4125),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4125),
    [sym_bool] = ACTIONS(4127),
    [sym_unit] = ACTIONS(4125),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4125),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4127),
    [anon_sym_PLUS] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_DOT] = ACTIONS(4125),
    [anon_sym_DASH_DOT] = ACTIONS(4125),
    [anon_sym_PERCENT] = ACTIONS(4125),
    [anon_sym_AMP_AMP] = ACTIONS(4125),
    [anon_sym_TILDE] = ACTIONS(4125),
    [aux_sym_prefix_op_token1] = ACTIONS(4125),
    [aux_sym_int_token1] = ACTIONS(4127),
    [aux_sym_xint_token1] = ACTIONS(4125),
    [aux_sym_xint_token2] = ACTIONS(4125),
    [aux_sym_xint_token3] = ACTIONS(4125),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4125),
  },
  [2433] = {
    [sym_xml_doc] = STATE(2433),
    [sym_block_comment] = STATE(2433),
    [aux_sym_long_identifier_repeat1] = STATE(2450),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_GT_RBRACK] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(4253),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2382),
  },
  [2434] = {
    [sym_xml_doc] = STATE(2434),
    [sym_block_comment] = STATE(2434),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_module] = ACTIONS(2896),
    [anon_sym_POUNDnowarn] = ACTIONS(2898),
    [anon_sym_POUNDr] = ACTIONS(2898),
    [anon_sym_POUNDload] = ACTIONS(2898),
    [anon_sym_open] = ACTIONS(2896),
    [anon_sym_LBRACK_LT] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_type] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_let_BANG] = ACTIONS(2898),
    [anon_sym_null] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_return_BANG] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_yield_BANG] = ACTIONS(2898),
    [anon_sym_lazy] = ACTIONS(2896),
    [anon_sym_assert] = ACTIONS(2896),
    [anon_sym_upcast] = ACTIONS(2896),
    [anon_sym_downcast] = ACTIONS(2896),
    [anon_sym_LT_AT] = ACTIONS(2896),
    [anon_sym_LT_AT_AT] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_fun] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_match] = ACTIONS(2896),
    [anon_sym_match_BANG] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_use] = ACTIONS(2896),
    [anon_sym_use_BANG] = ACTIONS(2898),
    [anon_sym_do_BANG] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(2896),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_AT_DQUOTE] = ACTIONS(2898),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2898),
    [sym_bool] = ACTIONS(2896),
    [sym_unit] = ACTIONS(2898),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2898),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_DOT] = ACTIONS(2898),
    [anon_sym_DASH_DOT] = ACTIONS(2898),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2898),
    [aux_sym_prefix_op_token1] = ACTIONS(2898),
    [aux_sym_int_token1] = ACTIONS(2896),
    [aux_sym_xint_token1] = ACTIONS(2898),
    [aux_sym_xint_token2] = ACTIONS(2898),
    [aux_sym_xint_token3] = ACTIONS(2898),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2898),
  },
  [2435] = {
    [sym_xml_doc] = STATE(2435),
    [sym_block_comment] = STATE(2435),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_module] = ACTIONS(4209),
    [anon_sym_POUNDnowarn] = ACTIONS(4207),
    [anon_sym_POUNDr] = ACTIONS(4207),
    [anon_sym_POUNDload] = ACTIONS(4207),
    [anon_sym_open] = ACTIONS(4209),
    [anon_sym_LBRACK_LT] = ACTIONS(4207),
    [anon_sym_return] = ACTIONS(4209),
    [anon_sym_type] = ACTIONS(4209),
    [anon_sym_do] = ACTIONS(4209),
    [anon_sym_let] = ACTIONS(4209),
    [anon_sym_let_BANG] = ACTIONS(4207),
    [anon_sym_null] = ACTIONS(4209),
    [anon_sym_LPAREN] = ACTIONS(4209),
    [anon_sym_AMP] = ACTIONS(4209),
    [anon_sym_LBRACK] = ACTIONS(4209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4207),
    [anon_sym_LBRACE] = ACTIONS(4209),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4207),
    [anon_sym_new] = ACTIONS(4209),
    [anon_sym_return_BANG] = ACTIONS(4207),
    [anon_sym_yield] = ACTIONS(4209),
    [anon_sym_yield_BANG] = ACTIONS(4207),
    [anon_sym_lazy] = ACTIONS(4209),
    [anon_sym_assert] = ACTIONS(4209),
    [anon_sym_upcast] = ACTIONS(4209),
    [anon_sym_downcast] = ACTIONS(4209),
    [anon_sym_LT_AT] = ACTIONS(4209),
    [anon_sym_LT_AT_AT] = ACTIONS(4207),
    [anon_sym_for] = ACTIONS(4209),
    [anon_sym_while] = ACTIONS(4209),
    [anon_sym_if] = ACTIONS(4209),
    [anon_sym_fun] = ACTIONS(4209),
    [anon_sym_try] = ACTIONS(4209),
    [anon_sym_match] = ACTIONS(4209),
    [anon_sym_match_BANG] = ACTIONS(4207),
    [anon_sym_function] = ACTIONS(4209),
    [anon_sym_use] = ACTIONS(4209),
    [anon_sym_use_BANG] = ACTIONS(4207),
    [anon_sym_do_BANG] = ACTIONS(4207),
    [anon_sym_begin] = ACTIONS(4209),
    [anon_sym_SQUOTE] = ACTIONS(4207),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4209),
    [anon_sym_DQUOTE] = ACTIONS(4209),
    [anon_sym_AT_DQUOTE] = ACTIONS(4207),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4207),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4207),
    [sym_bool] = ACTIONS(4209),
    [sym_unit] = ACTIONS(4207),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4207),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4209),
    [anon_sym_PLUS] = ACTIONS(4209),
    [anon_sym_DASH] = ACTIONS(4209),
    [anon_sym_PLUS_DOT] = ACTIONS(4207),
    [anon_sym_DASH_DOT] = ACTIONS(4207),
    [anon_sym_PERCENT] = ACTIONS(4207),
    [anon_sym_AMP_AMP] = ACTIONS(4207),
    [anon_sym_TILDE] = ACTIONS(4207),
    [aux_sym_prefix_op_token1] = ACTIONS(4207),
    [aux_sym_int_token1] = ACTIONS(4209),
    [aux_sym_xint_token1] = ACTIONS(4207),
    [aux_sym_xint_token2] = ACTIONS(4207),
    [aux_sym_xint_token3] = ACTIONS(4207),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4207),
  },
  [2436] = {
    [sym_xml_doc] = STATE(2436),
    [sym_block_comment] = STATE(2436),
    [sym_identifier] = ACTIONS(4241),
    [anon_sym_module] = ACTIONS(4241),
    [anon_sym_POUNDnowarn] = ACTIONS(4239),
    [anon_sym_POUNDr] = ACTIONS(4239),
    [anon_sym_POUNDload] = ACTIONS(4239),
    [anon_sym_open] = ACTIONS(4241),
    [anon_sym_LBRACK_LT] = ACTIONS(4239),
    [anon_sym_return] = ACTIONS(4241),
    [anon_sym_type] = ACTIONS(4241),
    [anon_sym_do] = ACTIONS(4241),
    [anon_sym_let] = ACTIONS(4241),
    [anon_sym_let_BANG] = ACTIONS(4239),
    [anon_sym_null] = ACTIONS(4241),
    [anon_sym_LPAREN] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4239),
    [anon_sym_LBRACE] = ACTIONS(4241),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4239),
    [anon_sym_new] = ACTIONS(4241),
    [anon_sym_return_BANG] = ACTIONS(4239),
    [anon_sym_yield] = ACTIONS(4241),
    [anon_sym_yield_BANG] = ACTIONS(4239),
    [anon_sym_lazy] = ACTIONS(4241),
    [anon_sym_assert] = ACTIONS(4241),
    [anon_sym_upcast] = ACTIONS(4241),
    [anon_sym_downcast] = ACTIONS(4241),
    [anon_sym_LT_AT] = ACTIONS(4241),
    [anon_sym_LT_AT_AT] = ACTIONS(4239),
    [anon_sym_for] = ACTIONS(4241),
    [anon_sym_while] = ACTIONS(4241),
    [anon_sym_if] = ACTIONS(4241),
    [anon_sym_fun] = ACTIONS(4241),
    [anon_sym_try] = ACTIONS(4241),
    [anon_sym_match] = ACTIONS(4241),
    [anon_sym_match_BANG] = ACTIONS(4239),
    [anon_sym_function] = ACTIONS(4241),
    [anon_sym_use] = ACTIONS(4241),
    [anon_sym_use_BANG] = ACTIONS(4239),
    [anon_sym_do_BANG] = ACTIONS(4239),
    [anon_sym_begin] = ACTIONS(4241),
    [anon_sym_SQUOTE] = ACTIONS(4239),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(4241),
    [anon_sym_AT_DQUOTE] = ACTIONS(4239),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4239),
    [sym_bool] = ACTIONS(4241),
    [sym_unit] = ACTIONS(4239),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4239),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4241),
    [anon_sym_PLUS] = ACTIONS(4241),
    [anon_sym_DASH] = ACTIONS(4241),
    [anon_sym_PLUS_DOT] = ACTIONS(4239),
    [anon_sym_DASH_DOT] = ACTIONS(4239),
    [anon_sym_PERCENT] = ACTIONS(4239),
    [anon_sym_AMP_AMP] = ACTIONS(4239),
    [anon_sym_TILDE] = ACTIONS(4239),
    [aux_sym_prefix_op_token1] = ACTIONS(4239),
    [aux_sym_int_token1] = ACTIONS(4241),
    [aux_sym_xint_token1] = ACTIONS(4239),
    [aux_sym_xint_token2] = ACTIONS(4239),
    [aux_sym_xint_token3] = ACTIONS(4239),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4239),
  },
  [2437] = {
    [sym_xml_doc] = STATE(2437),
    [sym_block_comment] = STATE(2437),
    [aux_sym_long_identifier_repeat1] = STATE(2447),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(4255),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2438] = {
    [sym_xml_doc] = STATE(2438),
    [sym_block_comment] = STATE(2438),
    [sym_identifier] = ACTIONS(4213),
    [anon_sym_module] = ACTIONS(4213),
    [anon_sym_POUNDnowarn] = ACTIONS(4211),
    [anon_sym_POUNDr] = ACTIONS(4211),
    [anon_sym_POUNDload] = ACTIONS(4211),
    [anon_sym_open] = ACTIONS(4213),
    [anon_sym_LBRACK_LT] = ACTIONS(4211),
    [anon_sym_return] = ACTIONS(4213),
    [anon_sym_type] = ACTIONS(4213),
    [anon_sym_do] = ACTIONS(4213),
    [anon_sym_let] = ACTIONS(4213),
    [anon_sym_let_BANG] = ACTIONS(4211),
    [anon_sym_null] = ACTIONS(4213),
    [anon_sym_LPAREN] = ACTIONS(4213),
    [anon_sym_AMP] = ACTIONS(4213),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4211),
    [anon_sym_LBRACE] = ACTIONS(4213),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4211),
    [anon_sym_new] = ACTIONS(4213),
    [anon_sym_return_BANG] = ACTIONS(4211),
    [anon_sym_yield] = ACTIONS(4213),
    [anon_sym_yield_BANG] = ACTIONS(4211),
    [anon_sym_lazy] = ACTIONS(4213),
    [anon_sym_assert] = ACTIONS(4213),
    [anon_sym_upcast] = ACTIONS(4213),
    [anon_sym_downcast] = ACTIONS(4213),
    [anon_sym_LT_AT] = ACTIONS(4213),
    [anon_sym_LT_AT_AT] = ACTIONS(4211),
    [anon_sym_for] = ACTIONS(4213),
    [anon_sym_while] = ACTIONS(4213),
    [anon_sym_if] = ACTIONS(4213),
    [anon_sym_fun] = ACTIONS(4213),
    [anon_sym_try] = ACTIONS(4213),
    [anon_sym_match] = ACTIONS(4213),
    [anon_sym_match_BANG] = ACTIONS(4211),
    [anon_sym_function] = ACTIONS(4213),
    [anon_sym_use] = ACTIONS(4213),
    [anon_sym_use_BANG] = ACTIONS(4211),
    [anon_sym_do_BANG] = ACTIONS(4211),
    [anon_sym_begin] = ACTIONS(4213),
    [anon_sym_SQUOTE] = ACTIONS(4211),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4213),
    [anon_sym_DQUOTE] = ACTIONS(4213),
    [anon_sym_AT_DQUOTE] = ACTIONS(4211),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4211),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4211),
    [sym_bool] = ACTIONS(4213),
    [sym_unit] = ACTIONS(4211),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4211),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4213),
    [anon_sym_PLUS] = ACTIONS(4213),
    [anon_sym_DASH] = ACTIONS(4213),
    [anon_sym_PLUS_DOT] = ACTIONS(4211),
    [anon_sym_DASH_DOT] = ACTIONS(4211),
    [anon_sym_PERCENT] = ACTIONS(4211),
    [anon_sym_AMP_AMP] = ACTIONS(4211),
    [anon_sym_TILDE] = ACTIONS(4211),
    [aux_sym_prefix_op_token1] = ACTIONS(4211),
    [aux_sym_int_token1] = ACTIONS(4213),
    [aux_sym_xint_token1] = ACTIONS(4211),
    [aux_sym_xint_token2] = ACTIONS(4211),
    [aux_sym_xint_token3] = ACTIONS(4211),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4211),
  },
  [2439] = {
    [sym_xml_doc] = STATE(2439),
    [sym_block_comment] = STATE(2439),
    [sym_identifier] = ACTIONS(4217),
    [anon_sym_module] = ACTIONS(4217),
    [anon_sym_POUNDnowarn] = ACTIONS(4215),
    [anon_sym_POUNDr] = ACTIONS(4215),
    [anon_sym_POUNDload] = ACTIONS(4215),
    [anon_sym_open] = ACTIONS(4217),
    [anon_sym_LBRACK_LT] = ACTIONS(4215),
    [anon_sym_return] = ACTIONS(4217),
    [anon_sym_type] = ACTIONS(4217),
    [anon_sym_do] = ACTIONS(4217),
    [anon_sym_let] = ACTIONS(4217),
    [anon_sym_let_BANG] = ACTIONS(4215),
    [anon_sym_null] = ACTIONS(4217),
    [anon_sym_LPAREN] = ACTIONS(4217),
    [anon_sym_AMP] = ACTIONS(4217),
    [anon_sym_LBRACK] = ACTIONS(4217),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4215),
    [anon_sym_LBRACE] = ACTIONS(4217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4215),
    [anon_sym_new] = ACTIONS(4217),
    [anon_sym_return_BANG] = ACTIONS(4215),
    [anon_sym_yield] = ACTIONS(4217),
    [anon_sym_yield_BANG] = ACTIONS(4215),
    [anon_sym_lazy] = ACTIONS(4217),
    [anon_sym_assert] = ACTIONS(4217),
    [anon_sym_upcast] = ACTIONS(4217),
    [anon_sym_downcast] = ACTIONS(4217),
    [anon_sym_LT_AT] = ACTIONS(4217),
    [anon_sym_LT_AT_AT] = ACTIONS(4215),
    [anon_sym_for] = ACTIONS(4217),
    [anon_sym_while] = ACTIONS(4217),
    [anon_sym_if] = ACTIONS(4217),
    [anon_sym_fun] = ACTIONS(4217),
    [anon_sym_try] = ACTIONS(4217),
    [anon_sym_match] = ACTIONS(4217),
    [anon_sym_match_BANG] = ACTIONS(4215),
    [anon_sym_function] = ACTIONS(4217),
    [anon_sym_use] = ACTIONS(4217),
    [anon_sym_use_BANG] = ACTIONS(4215),
    [anon_sym_do_BANG] = ACTIONS(4215),
    [anon_sym_begin] = ACTIONS(4217),
    [anon_sym_SQUOTE] = ACTIONS(4215),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4217),
    [anon_sym_DQUOTE] = ACTIONS(4217),
    [anon_sym_AT_DQUOTE] = ACTIONS(4215),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4215),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4215),
    [sym_bool] = ACTIONS(4217),
    [sym_unit] = ACTIONS(4215),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4215),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4217),
    [anon_sym_PLUS] = ACTIONS(4217),
    [anon_sym_DASH] = ACTIONS(4217),
    [anon_sym_PLUS_DOT] = ACTIONS(4215),
    [anon_sym_DASH_DOT] = ACTIONS(4215),
    [anon_sym_PERCENT] = ACTIONS(4215),
    [anon_sym_AMP_AMP] = ACTIONS(4215),
    [anon_sym_TILDE] = ACTIONS(4215),
    [aux_sym_prefix_op_token1] = ACTIONS(4215),
    [aux_sym_int_token1] = ACTIONS(4217),
    [aux_sym_xint_token1] = ACTIONS(4215),
    [aux_sym_xint_token2] = ACTIONS(4215),
    [aux_sym_xint_token3] = ACTIONS(4215),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4215),
  },
  [2440] = {
    [sym_xml_doc] = STATE(2440),
    [sym_block_comment] = STATE(2440),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_module] = ACTIONS(2888),
    [anon_sym_POUNDnowarn] = ACTIONS(2890),
    [anon_sym_POUNDr] = ACTIONS(2890),
    [anon_sym_POUNDload] = ACTIONS(2890),
    [anon_sym_open] = ACTIONS(2888),
    [anon_sym_LBRACK_LT] = ACTIONS(2890),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_type] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_let_BANG] = ACTIONS(2890),
    [anon_sym_null] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_return_BANG] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_yield_BANG] = ACTIONS(2890),
    [anon_sym_lazy] = ACTIONS(2888),
    [anon_sym_assert] = ACTIONS(2888),
    [anon_sym_upcast] = ACTIONS(2888),
    [anon_sym_downcast] = ACTIONS(2888),
    [anon_sym_LT_AT] = ACTIONS(2888),
    [anon_sym_LT_AT_AT] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_fun] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_match] = ACTIONS(2888),
    [anon_sym_match_BANG] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_use] = ACTIONS(2888),
    [anon_sym_use_BANG] = ACTIONS(2890),
    [anon_sym_do_BANG] = ACTIONS(2890),
    [anon_sym_begin] = ACTIONS(2888),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_AT_DQUOTE] = ACTIONS(2890),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2890),
    [sym_bool] = ACTIONS(2888),
    [sym_unit] = ACTIONS(2890),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2890),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_DOT] = ACTIONS(2890),
    [anon_sym_DASH_DOT] = ACTIONS(2890),
    [anon_sym_PERCENT] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [aux_sym_prefix_op_token1] = ACTIONS(2890),
    [aux_sym_int_token1] = ACTIONS(2888),
    [aux_sym_xint_token1] = ACTIONS(2890),
    [aux_sym_xint_token2] = ACTIONS(2890),
    [aux_sym_xint_token3] = ACTIONS(2890),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2890),
  },
  [2441] = {
    [sym_xml_doc] = STATE(2441),
    [sym_block_comment] = STATE(2441),
    [sym_identifier] = ACTIONS(4251),
    [anon_sym_module] = ACTIONS(4251),
    [anon_sym_POUNDnowarn] = ACTIONS(4249),
    [anon_sym_POUNDr] = ACTIONS(4249),
    [anon_sym_POUNDload] = ACTIONS(4249),
    [anon_sym_open] = ACTIONS(4251),
    [anon_sym_LBRACK_LT] = ACTIONS(4249),
    [anon_sym_return] = ACTIONS(4251),
    [anon_sym_type] = ACTIONS(4251),
    [anon_sym_do] = ACTIONS(4251),
    [anon_sym_let] = ACTIONS(4251),
    [anon_sym_let_BANG] = ACTIONS(4249),
    [anon_sym_null] = ACTIONS(4251),
    [anon_sym_LPAREN] = ACTIONS(4251),
    [anon_sym_AMP] = ACTIONS(4251),
    [anon_sym_LBRACK] = ACTIONS(4251),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4249),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4249),
    [anon_sym_new] = ACTIONS(4251),
    [anon_sym_return_BANG] = ACTIONS(4249),
    [anon_sym_yield] = ACTIONS(4251),
    [anon_sym_yield_BANG] = ACTIONS(4249),
    [anon_sym_lazy] = ACTIONS(4251),
    [anon_sym_assert] = ACTIONS(4251),
    [anon_sym_upcast] = ACTIONS(4251),
    [anon_sym_downcast] = ACTIONS(4251),
    [anon_sym_LT_AT] = ACTIONS(4251),
    [anon_sym_LT_AT_AT] = ACTIONS(4249),
    [anon_sym_for] = ACTIONS(4251),
    [anon_sym_while] = ACTIONS(4251),
    [anon_sym_if] = ACTIONS(4251),
    [anon_sym_fun] = ACTIONS(4251),
    [anon_sym_try] = ACTIONS(4251),
    [anon_sym_match] = ACTIONS(4251),
    [anon_sym_match_BANG] = ACTIONS(4249),
    [anon_sym_function] = ACTIONS(4251),
    [anon_sym_use] = ACTIONS(4251),
    [anon_sym_use_BANG] = ACTIONS(4249),
    [anon_sym_do_BANG] = ACTIONS(4249),
    [anon_sym_begin] = ACTIONS(4251),
    [anon_sym_SQUOTE] = ACTIONS(4249),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4251),
    [anon_sym_DQUOTE] = ACTIONS(4251),
    [anon_sym_AT_DQUOTE] = ACTIONS(4249),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4249),
    [sym_bool] = ACTIONS(4251),
    [sym_unit] = ACTIONS(4249),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4249),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(4251),
    [anon_sym_DASH] = ACTIONS(4251),
    [anon_sym_PLUS_DOT] = ACTIONS(4249),
    [anon_sym_DASH_DOT] = ACTIONS(4249),
    [anon_sym_PERCENT] = ACTIONS(4249),
    [anon_sym_AMP_AMP] = ACTIONS(4249),
    [anon_sym_TILDE] = ACTIONS(4249),
    [aux_sym_prefix_op_token1] = ACTIONS(4249),
    [aux_sym_int_token1] = ACTIONS(4251),
    [aux_sym_xint_token1] = ACTIONS(4249),
    [aux_sym_xint_token2] = ACTIONS(4249),
    [aux_sym_xint_token3] = ACTIONS(4249),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4249),
  },
  [2442] = {
    [sym_xml_doc] = STATE(2442),
    [sym_block_comment] = STATE(2442),
    [aux_sym_long_identifier_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_GT_RBRACK] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(4257),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2318),
  },
  [2443] = {
    [sym_xml_doc] = STATE(2443),
    [sym_block_comment] = STATE(2443),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_module] = ACTIONS(2637),
    [anon_sym_POUNDnowarn] = ACTIONS(2639),
    [anon_sym_POUNDr] = ACTIONS(2639),
    [anon_sym_POUNDload] = ACTIONS(2639),
    [anon_sym_open] = ACTIONS(2637),
    [anon_sym_LBRACK_LT] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_type] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_let_BANG] = ACTIONS(2639),
    [anon_sym_null] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2639),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_return_BANG] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_yield_BANG] = ACTIONS(2639),
    [anon_sym_lazy] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2637),
    [anon_sym_upcast] = ACTIONS(2637),
    [anon_sym_downcast] = ACTIONS(2637),
    [anon_sym_LT_AT] = ACTIONS(2637),
    [anon_sym_LT_AT_AT] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_fun] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_match] = ACTIONS(2637),
    [anon_sym_match_BANG] = ACTIONS(2639),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_use] = ACTIONS(2637),
    [anon_sym_use_BANG] = ACTIONS(2639),
    [anon_sym_do_BANG] = ACTIONS(2639),
    [anon_sym_begin] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_AT_DQUOTE] = ACTIONS(2639),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2639),
    [sym_bool] = ACTIONS(2637),
    [sym_unit] = ACTIONS(2639),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2639),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_DOT] = ACTIONS(2639),
    [anon_sym_DASH_DOT] = ACTIONS(2639),
    [anon_sym_PERCENT] = ACTIONS(2639),
    [anon_sym_AMP_AMP] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(2639),
    [aux_sym_prefix_op_token1] = ACTIONS(2639),
    [aux_sym_int_token1] = ACTIONS(2637),
    [aux_sym_xint_token1] = ACTIONS(2639),
    [aux_sym_xint_token2] = ACTIONS(2639),
    [aux_sym_xint_token3] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2639),
  },
  [2444] = {
    [sym_xml_doc] = STATE(2444),
    [sym_block_comment] = STATE(2444),
    [sym_identifier] = ACTIONS(4251),
    [anon_sym_module] = ACTIONS(4251),
    [anon_sym_POUNDnowarn] = ACTIONS(4249),
    [anon_sym_POUNDr] = ACTIONS(4249),
    [anon_sym_POUNDload] = ACTIONS(4249),
    [anon_sym_open] = ACTIONS(4251),
    [anon_sym_LBRACK_LT] = ACTIONS(4249),
    [anon_sym_return] = ACTIONS(4251),
    [anon_sym_type] = ACTIONS(4251),
    [anon_sym_do] = ACTIONS(4251),
    [anon_sym_let] = ACTIONS(4251),
    [anon_sym_let_BANG] = ACTIONS(4249),
    [anon_sym_null] = ACTIONS(4251),
    [anon_sym_LPAREN] = ACTIONS(4251),
    [anon_sym_AMP] = ACTIONS(4251),
    [anon_sym_LBRACK] = ACTIONS(4251),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4249),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4249),
    [anon_sym_new] = ACTIONS(4251),
    [anon_sym_return_BANG] = ACTIONS(4249),
    [anon_sym_yield] = ACTIONS(4251),
    [anon_sym_yield_BANG] = ACTIONS(4249),
    [anon_sym_lazy] = ACTIONS(4251),
    [anon_sym_assert] = ACTIONS(4251),
    [anon_sym_upcast] = ACTIONS(4251),
    [anon_sym_downcast] = ACTIONS(4251),
    [anon_sym_LT_AT] = ACTIONS(4251),
    [anon_sym_LT_AT_AT] = ACTIONS(4249),
    [anon_sym_for] = ACTIONS(4251),
    [anon_sym_while] = ACTIONS(4251),
    [anon_sym_if] = ACTIONS(4251),
    [anon_sym_fun] = ACTIONS(4251),
    [anon_sym_try] = ACTIONS(4251),
    [anon_sym_match] = ACTIONS(4251),
    [anon_sym_match_BANG] = ACTIONS(4249),
    [anon_sym_function] = ACTIONS(4251),
    [anon_sym_use] = ACTIONS(4251),
    [anon_sym_use_BANG] = ACTIONS(4249),
    [anon_sym_do_BANG] = ACTIONS(4249),
    [anon_sym_begin] = ACTIONS(4251),
    [anon_sym_SQUOTE] = ACTIONS(4249),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4251),
    [anon_sym_DQUOTE] = ACTIONS(4251),
    [anon_sym_AT_DQUOTE] = ACTIONS(4249),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4249),
    [sym_bool] = ACTIONS(4251),
    [sym_unit] = ACTIONS(4249),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4249),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(4251),
    [anon_sym_DASH] = ACTIONS(4251),
    [anon_sym_PLUS_DOT] = ACTIONS(4249),
    [anon_sym_DASH_DOT] = ACTIONS(4249),
    [anon_sym_PERCENT] = ACTIONS(4249),
    [anon_sym_AMP_AMP] = ACTIONS(4249),
    [anon_sym_TILDE] = ACTIONS(4249),
    [aux_sym_prefix_op_token1] = ACTIONS(4249),
    [aux_sym_int_token1] = ACTIONS(4251),
    [aux_sym_xint_token1] = ACTIONS(4249),
    [aux_sym_xint_token2] = ACTIONS(4249),
    [aux_sym_xint_token3] = ACTIONS(4249),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4249),
  },
  [2445] = {
    [sym_xml_doc] = STATE(2445),
    [sym_block_comment] = STATE(2445),
    [aux_sym_long_identifier_repeat1] = STATE(2445),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(4260),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2446] = {
    [sym_xml_doc] = STATE(2446),
    [sym_block_comment] = STATE(2446),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_module] = ACTIONS(2641),
    [anon_sym_POUNDnowarn] = ACTIONS(2643),
    [anon_sym_POUNDr] = ACTIONS(2643),
    [anon_sym_POUNDload] = ACTIONS(2643),
    [anon_sym_open] = ACTIONS(2641),
    [anon_sym_LBRACK_LT] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_type] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_let_BANG] = ACTIONS(2643),
    [anon_sym_null] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2643),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_return_BANG] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_yield_BANG] = ACTIONS(2643),
    [anon_sym_lazy] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2641),
    [anon_sym_upcast] = ACTIONS(2641),
    [anon_sym_downcast] = ACTIONS(2641),
    [anon_sym_LT_AT] = ACTIONS(2641),
    [anon_sym_LT_AT_AT] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_fun] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_match] = ACTIONS(2641),
    [anon_sym_match_BANG] = ACTIONS(2643),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_use] = ACTIONS(2641),
    [anon_sym_use_BANG] = ACTIONS(2643),
    [anon_sym_do_BANG] = ACTIONS(2643),
    [anon_sym_begin] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_AT_DQUOTE] = ACTIONS(2643),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2643),
    [sym_bool] = ACTIONS(2641),
    [sym_unit] = ACTIONS(2643),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2643),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_DOT] = ACTIONS(2643),
    [anon_sym_DASH_DOT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(2643),
    [anon_sym_AMP_AMP] = ACTIONS(2643),
    [anon_sym_TILDE] = ACTIONS(2643),
    [aux_sym_prefix_op_token1] = ACTIONS(2643),
    [aux_sym_int_token1] = ACTIONS(2641),
    [aux_sym_xint_token1] = ACTIONS(2643),
    [aux_sym_xint_token2] = ACTIONS(2643),
    [aux_sym_xint_token3] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2643),
  },
  [2447] = {
    [sym_xml_doc] = STATE(2447),
    [sym_block_comment] = STATE(2447),
    [aux_sym_long_identifier_repeat1] = STATE(2445),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_LT_AT_AT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(4255),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2339),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2339),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2339),
    [anon_sym_DASH_DOT] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_AMP_AMP] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2448] = {
    [sym_xml_doc] = STATE(2448),
    [sym_block_comment] = STATE(2448),
    [sym_identifier] = ACTIONS(2961),
    [anon_sym_module] = ACTIONS(2961),
    [anon_sym_POUNDnowarn] = ACTIONS(2959),
    [anon_sym_POUNDr] = ACTIONS(2959),
    [anon_sym_POUNDload] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2961),
    [anon_sym_LBRACK_LT] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_type] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_let_BANG] = ACTIONS(2959),
    [anon_sym_null] = ACTIONS(2961),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_return_BANG] = ACTIONS(2959),
    [anon_sym_yield] = ACTIONS(2961),
    [anon_sym_yield_BANG] = ACTIONS(2959),
    [anon_sym_lazy] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(2961),
    [anon_sym_upcast] = ACTIONS(2961),
    [anon_sym_downcast] = ACTIONS(2961),
    [anon_sym_LT_AT] = ACTIONS(2961),
    [anon_sym_LT_AT_AT] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_fun] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_match] = ACTIONS(2961),
    [anon_sym_match_BANG] = ACTIONS(2959),
    [anon_sym_function] = ACTIONS(2961),
    [anon_sym_use] = ACTIONS(2961),
    [anon_sym_use_BANG] = ACTIONS(2959),
    [anon_sym_do_BANG] = ACTIONS(2959),
    [anon_sym_begin] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [anon_sym_AT_DQUOTE] = ACTIONS(2959),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2959),
    [sym_bool] = ACTIONS(2961),
    [sym_unit] = ACTIONS(2959),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2959),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_DOT] = ACTIONS(2959),
    [anon_sym_DASH_DOT] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [aux_sym_prefix_op_token1] = ACTIONS(2959),
    [aux_sym_int_token1] = ACTIONS(2961),
    [aux_sym_xint_token1] = ACTIONS(2959),
    [aux_sym_xint_token2] = ACTIONS(2959),
    [aux_sym_xint_token3] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2959),
  },
  [2449] = {
    [sym_xml_doc] = STATE(2449),
    [sym_block_comment] = STATE(2449),
    [sym_identifier] = ACTIONS(4233),
    [anon_sym_module] = ACTIONS(4233),
    [anon_sym_POUNDnowarn] = ACTIONS(4231),
    [anon_sym_POUNDr] = ACTIONS(4231),
    [anon_sym_POUNDload] = ACTIONS(4231),
    [anon_sym_open] = ACTIONS(4233),
    [anon_sym_LBRACK_LT] = ACTIONS(4231),
    [anon_sym_return] = ACTIONS(4233),
    [anon_sym_type] = ACTIONS(4233),
    [anon_sym_do] = ACTIONS(4233),
    [anon_sym_let] = ACTIONS(4233),
    [anon_sym_let_BANG] = ACTIONS(4231),
    [anon_sym_null] = ACTIONS(4233),
    [anon_sym_LPAREN] = ACTIONS(4233),
    [anon_sym_AMP] = ACTIONS(4233),
    [anon_sym_LBRACK] = ACTIONS(4233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4231),
    [anon_sym_new] = ACTIONS(4233),
    [anon_sym_return_BANG] = ACTIONS(4231),
    [anon_sym_yield] = ACTIONS(4233),
    [anon_sym_yield_BANG] = ACTIONS(4231),
    [anon_sym_lazy] = ACTIONS(4233),
    [anon_sym_assert] = ACTIONS(4233),
    [anon_sym_upcast] = ACTIONS(4233),
    [anon_sym_downcast] = ACTIONS(4233),
    [anon_sym_LT_AT] = ACTIONS(4233),
    [anon_sym_LT_AT_AT] = ACTIONS(4231),
    [anon_sym_for] = ACTIONS(4233),
    [anon_sym_while] = ACTIONS(4233),
    [anon_sym_if] = ACTIONS(4233),
    [anon_sym_fun] = ACTIONS(4233),
    [anon_sym_try] = ACTIONS(4233),
    [anon_sym_match] = ACTIONS(4233),
    [anon_sym_match_BANG] = ACTIONS(4231),
    [anon_sym_function] = ACTIONS(4233),
    [anon_sym_use] = ACTIONS(4233),
    [anon_sym_use_BANG] = ACTIONS(4231),
    [anon_sym_do_BANG] = ACTIONS(4231),
    [anon_sym_begin] = ACTIONS(4233),
    [anon_sym_SQUOTE] = ACTIONS(4231),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4233),
    [anon_sym_DQUOTE] = ACTIONS(4233),
    [anon_sym_AT_DQUOTE] = ACTIONS(4231),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4231),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4231),
    [sym_bool] = ACTIONS(4233),
    [sym_unit] = ACTIONS(4231),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4231),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS_DOT] = ACTIONS(4231),
    [anon_sym_DASH_DOT] = ACTIONS(4231),
    [anon_sym_PERCENT] = ACTIONS(4231),
    [anon_sym_AMP_AMP] = ACTIONS(4231),
    [anon_sym_TILDE] = ACTIONS(4231),
    [aux_sym_prefix_op_token1] = ACTIONS(4231),
    [aux_sym_int_token1] = ACTIONS(4233),
    [aux_sym_xint_token1] = ACTIONS(4231),
    [aux_sym_xint_token2] = ACTIONS(4231),
    [aux_sym_xint_token3] = ACTIONS(4231),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4231),
  },
  [2450] = {
    [sym_xml_doc] = STATE(2450),
    [sym_block_comment] = STATE(2450),
    [aux_sym_long_identifier_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_GT_RBRACK] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_LT_AT_AT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(4253),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2339),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2339),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2339),
    [anon_sym_DASH_DOT] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_AMP_AMP] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2339),
  },
  [2451] = {
    [sym_xml_doc] = STATE(2451),
    [sym_block_comment] = STATE(2451),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_module] = ACTIONS(171),
    [anon_sym_POUNDnowarn] = ACTIONS(169),
    [anon_sym_POUNDr] = ACTIONS(169),
    [anon_sym_POUNDload] = ACTIONS(169),
    [anon_sym_open] = ACTIONS(171),
    [anon_sym_LBRACK_LT] = ACTIONS(169),
    [anon_sym_return] = ACTIONS(171),
    [anon_sym_type] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(171),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_let_BANG] = ACTIONS(169),
    [anon_sym_null] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_LBRACK_PIPE] = ACTIONS(169),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_LBRACE_PIPE] = ACTIONS(169),
    [anon_sym_new] = ACTIONS(171),
    [anon_sym_return_BANG] = ACTIONS(169),
    [anon_sym_yield] = ACTIONS(171),
    [anon_sym_yield_BANG] = ACTIONS(169),
    [anon_sym_lazy] = ACTIONS(171),
    [anon_sym_assert] = ACTIONS(171),
    [anon_sym_upcast] = ACTIONS(171),
    [anon_sym_downcast] = ACTIONS(171),
    [anon_sym_LT_AT] = ACTIONS(171),
    [anon_sym_LT_AT_AT] = ACTIONS(169),
    [anon_sym_for] = ACTIONS(171),
    [anon_sym_while] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(171),
    [anon_sym_fun] = ACTIONS(171),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_match] = ACTIONS(171),
    [anon_sym_match_BANG] = ACTIONS(169),
    [anon_sym_function] = ACTIONS(171),
    [anon_sym_use] = ACTIONS(171),
    [anon_sym_use_BANG] = ACTIONS(169),
    [anon_sym_do_BANG] = ACTIONS(169),
    [anon_sym_begin] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(171),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_AT_DQUOTE] = ACTIONS(169),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [sym_bool] = ACTIONS(171),
    [sym_unit] = ACTIONS(169),
    [aux_sym__identifier_or_op_token1] = ACTIONS(169),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_PLUS_DOT] = ACTIONS(169),
    [anon_sym_DASH_DOT] = ACTIONS(169),
    [anon_sym_PERCENT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(169),
    [anon_sym_TILDE] = ACTIONS(169),
    [aux_sym_prefix_op_token1] = ACTIONS(169),
    [aux_sym_int_token1] = ACTIONS(171),
    [aux_sym_xint_token1] = ACTIONS(169),
    [aux_sym_xint_token2] = ACTIONS(169),
    [aux_sym_xint_token3] = ACTIONS(169),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(169),
  },
  [2452] = {
    [sym_xml_doc] = STATE(2452),
    [sym_block_comment] = STATE(2452),
    [sym_identifier] = ACTIONS(4229),
    [anon_sym_module] = ACTIONS(4229),
    [anon_sym_POUNDnowarn] = ACTIONS(4227),
    [anon_sym_POUNDr] = ACTIONS(4227),
    [anon_sym_POUNDload] = ACTIONS(4227),
    [anon_sym_open] = ACTIONS(4229),
    [anon_sym_LBRACK_LT] = ACTIONS(4227),
    [anon_sym_return] = ACTIONS(4229),
    [anon_sym_type] = ACTIONS(4229),
    [anon_sym_do] = ACTIONS(4229),
    [anon_sym_let] = ACTIONS(4229),
    [anon_sym_let_BANG] = ACTIONS(4227),
    [anon_sym_null] = ACTIONS(4229),
    [anon_sym_LPAREN] = ACTIONS(4229),
    [anon_sym_AMP] = ACTIONS(4229),
    [anon_sym_LBRACK] = ACTIONS(4229),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4227),
    [anon_sym_LBRACE] = ACTIONS(4229),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4227),
    [anon_sym_new] = ACTIONS(4229),
    [anon_sym_return_BANG] = ACTIONS(4227),
    [anon_sym_yield] = ACTIONS(4229),
    [anon_sym_yield_BANG] = ACTIONS(4227),
    [anon_sym_lazy] = ACTIONS(4229),
    [anon_sym_assert] = ACTIONS(4229),
    [anon_sym_upcast] = ACTIONS(4229),
    [anon_sym_downcast] = ACTIONS(4229),
    [anon_sym_LT_AT] = ACTIONS(4229),
    [anon_sym_LT_AT_AT] = ACTIONS(4227),
    [anon_sym_for] = ACTIONS(4229),
    [anon_sym_while] = ACTIONS(4229),
    [anon_sym_if] = ACTIONS(4229),
    [anon_sym_fun] = ACTIONS(4229),
    [anon_sym_try] = ACTIONS(4229),
    [anon_sym_match] = ACTIONS(4229),
    [anon_sym_match_BANG] = ACTIONS(4227),
    [anon_sym_function] = ACTIONS(4229),
    [anon_sym_use] = ACTIONS(4229),
    [anon_sym_use_BANG] = ACTIONS(4227),
    [anon_sym_do_BANG] = ACTIONS(4227),
    [anon_sym_begin] = ACTIONS(4229),
    [anon_sym_SQUOTE] = ACTIONS(4227),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4229),
    [anon_sym_DQUOTE] = ACTIONS(4229),
    [anon_sym_AT_DQUOTE] = ACTIONS(4227),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4227),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4227),
    [sym_bool] = ACTIONS(4229),
    [sym_unit] = ACTIONS(4227),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4227),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4229),
    [anon_sym_PLUS] = ACTIONS(4229),
    [anon_sym_DASH] = ACTIONS(4229),
    [anon_sym_PLUS_DOT] = ACTIONS(4227),
    [anon_sym_DASH_DOT] = ACTIONS(4227),
    [anon_sym_PERCENT] = ACTIONS(4227),
    [anon_sym_AMP_AMP] = ACTIONS(4227),
    [anon_sym_TILDE] = ACTIONS(4227),
    [aux_sym_prefix_op_token1] = ACTIONS(4227),
    [aux_sym_int_token1] = ACTIONS(4229),
    [aux_sym_xint_token1] = ACTIONS(4227),
    [aux_sym_xint_token2] = ACTIONS(4227),
    [aux_sym_xint_token3] = ACTIONS(4227),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4227),
  },
  [2453] = {
    [sym_xml_doc] = STATE(2453),
    [sym_block_comment] = STATE(2453),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_module] = ACTIONS(1832),
    [anon_sym_POUNDnowarn] = ACTIONS(1830),
    [anon_sym_POUNDr] = ACTIONS(1830),
    [anon_sym_POUNDload] = ACTIONS(1830),
    [anon_sym_open] = ACTIONS(1832),
    [anon_sym_LBRACK_LT] = ACTIONS(1830),
    [anon_sym_return] = ACTIONS(1832),
    [anon_sym_type] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_let] = ACTIONS(1832),
    [anon_sym_let_BANG] = ACTIONS(1830),
    [anon_sym_null] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_AMP] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1830),
    [anon_sym_new] = ACTIONS(1832),
    [anon_sym_return_BANG] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1832),
    [anon_sym_yield_BANG] = ACTIONS(1830),
    [anon_sym_lazy] = ACTIONS(1832),
    [anon_sym_assert] = ACTIONS(1832),
    [anon_sym_upcast] = ACTIONS(1832),
    [anon_sym_downcast] = ACTIONS(1832),
    [anon_sym_LT_AT] = ACTIONS(1832),
    [anon_sym_LT_AT_AT] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_fun] = ACTIONS(1832),
    [anon_sym_try] = ACTIONS(1832),
    [anon_sym_match] = ACTIONS(1832),
    [anon_sym_match_BANG] = ACTIONS(1830),
    [anon_sym_function] = ACTIONS(1832),
    [anon_sym_use] = ACTIONS(1832),
    [anon_sym_use_BANG] = ACTIONS(1830),
    [anon_sym_do_BANG] = ACTIONS(1830),
    [anon_sym_begin] = ACTIONS(1832),
    [anon_sym_SQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(1832),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_AT_DQUOTE] = ACTIONS(1830),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1830),
    [sym_bool] = ACTIONS(1832),
    [sym_unit] = ACTIONS(1830),
    [aux_sym__identifier_or_op_token1] = ACTIONS(1830),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_PLUS_DOT] = ACTIONS(1830),
    [anon_sym_DASH_DOT] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1830),
    [aux_sym_prefix_op_token1] = ACTIONS(1830),
    [aux_sym_int_token1] = ACTIONS(1832),
    [aux_sym_xint_token1] = ACTIONS(1830),
    [aux_sym_xint_token2] = ACTIONS(1830),
    [aux_sym_xint_token3] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(1830),
  },
  [2454] = {
    [sym_xml_doc] = STATE(2454),
    [sym_block_comment] = STATE(2454),
    [sym_identifier] = ACTIONS(4225),
    [anon_sym_module] = ACTIONS(4225),
    [anon_sym_POUNDnowarn] = ACTIONS(4223),
    [anon_sym_POUNDr] = ACTIONS(4223),
    [anon_sym_POUNDload] = ACTIONS(4223),
    [anon_sym_open] = ACTIONS(4225),
    [anon_sym_LBRACK_LT] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4225),
    [anon_sym_type] = ACTIONS(4225),
    [anon_sym_do] = ACTIONS(4225),
    [anon_sym_let] = ACTIONS(4225),
    [anon_sym_let_BANG] = ACTIONS(4223),
    [anon_sym_null] = ACTIONS(4225),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_AMP] = ACTIONS(4225),
    [anon_sym_LBRACK] = ACTIONS(4225),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4223),
    [anon_sym_LBRACE] = ACTIONS(4225),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4223),
    [anon_sym_new] = ACTIONS(4225),
    [anon_sym_return_BANG] = ACTIONS(4223),
    [anon_sym_yield] = ACTIONS(4225),
    [anon_sym_yield_BANG] = ACTIONS(4223),
    [anon_sym_lazy] = ACTIONS(4225),
    [anon_sym_assert] = ACTIONS(4225),
    [anon_sym_upcast] = ACTIONS(4225),
    [anon_sym_downcast] = ACTIONS(4225),
    [anon_sym_LT_AT] = ACTIONS(4225),
    [anon_sym_LT_AT_AT] = ACTIONS(4223),
    [anon_sym_for] = ACTIONS(4225),
    [anon_sym_while] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(4225),
    [anon_sym_fun] = ACTIONS(4225),
    [anon_sym_try] = ACTIONS(4225),
    [anon_sym_match] = ACTIONS(4225),
    [anon_sym_match_BANG] = ACTIONS(4223),
    [anon_sym_function] = ACTIONS(4225),
    [anon_sym_use] = ACTIONS(4225),
    [anon_sym_use_BANG] = ACTIONS(4223),
    [anon_sym_do_BANG] = ACTIONS(4223),
    [anon_sym_begin] = ACTIONS(4225),
    [anon_sym_SQUOTE] = ACTIONS(4223),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4225),
    [anon_sym_DQUOTE] = ACTIONS(4225),
    [anon_sym_AT_DQUOTE] = ACTIONS(4223),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4223),
    [sym_bool] = ACTIONS(4225),
    [sym_unit] = ACTIONS(4223),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4223),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4225),
    [anon_sym_PLUS] = ACTIONS(4225),
    [anon_sym_DASH] = ACTIONS(4225),
    [anon_sym_PLUS_DOT] = ACTIONS(4223),
    [anon_sym_DASH_DOT] = ACTIONS(4223),
    [anon_sym_PERCENT] = ACTIONS(4223),
    [anon_sym_AMP_AMP] = ACTIONS(4223),
    [anon_sym_TILDE] = ACTIONS(4223),
    [aux_sym_prefix_op_token1] = ACTIONS(4223),
    [aux_sym_int_token1] = ACTIONS(4225),
    [aux_sym_xint_token1] = ACTIONS(4223),
    [aux_sym_xint_token2] = ACTIONS(4223),
    [aux_sym_xint_token3] = ACTIONS(4223),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4223),
  },
  [2455] = {
    [sym_xml_doc] = STATE(2455),
    [sym_block_comment] = STATE(2455),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2864),
    [anon_sym_POUNDnowarn] = ACTIONS(2866),
    [anon_sym_POUNDr] = ACTIONS(2866),
    [anon_sym_POUNDload] = ACTIONS(2866),
    [anon_sym_open] = ACTIONS(2864),
    [anon_sym_LBRACK_LT] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_let_BANG] = ACTIONS(2866),
    [anon_sym_null] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_return_BANG] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_yield_BANG] = ACTIONS(2866),
    [anon_sym_lazy] = ACTIONS(2864),
    [anon_sym_assert] = ACTIONS(2864),
    [anon_sym_upcast] = ACTIONS(2864),
    [anon_sym_downcast] = ACTIONS(2864),
    [anon_sym_LT_AT] = ACTIONS(2864),
    [anon_sym_LT_AT_AT] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_fun] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_match] = ACTIONS(2864),
    [anon_sym_match_BANG] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_use] = ACTIONS(2864),
    [anon_sym_use_BANG] = ACTIONS(2866),
    [anon_sym_do_BANG] = ACTIONS(2866),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_AT_DQUOTE] = ACTIONS(2866),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2866),
    [sym_bool] = ACTIONS(2864),
    [sym_unit] = ACTIONS(2866),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2866),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_DOT] = ACTIONS(2866),
    [anon_sym_DASH_DOT] = ACTIONS(2866),
    [anon_sym_PERCENT] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [aux_sym_prefix_op_token1] = ACTIONS(2866),
    [aux_sym_int_token1] = ACTIONS(2864),
    [aux_sym_xint_token1] = ACTIONS(2866),
    [aux_sym_xint_token2] = ACTIONS(2866),
    [aux_sym_xint_token3] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(2866),
  },
  [2456] = {
    [sym_xml_doc] = STATE(2456),
    [sym_block_comment] = STATE(2456),
    [sym_identifier] = ACTIONS(4201),
    [anon_sym_module] = ACTIONS(4201),
    [anon_sym_POUNDnowarn] = ACTIONS(4199),
    [anon_sym_POUNDr] = ACTIONS(4199),
    [anon_sym_POUNDload] = ACTIONS(4199),
    [anon_sym_open] = ACTIONS(4201),
    [anon_sym_LBRACK_LT] = ACTIONS(4199),
    [anon_sym_return] = ACTIONS(4201),
    [anon_sym_type] = ACTIONS(4201),
    [anon_sym_do] = ACTIONS(4201),
    [anon_sym_let] = ACTIONS(4201),
    [anon_sym_let_BANG] = ACTIONS(4199),
    [anon_sym_null] = ACTIONS(4201),
    [anon_sym_LPAREN] = ACTIONS(4201),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_LBRACK] = ACTIONS(4201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(4201),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4199),
    [anon_sym_new] = ACTIONS(4201),
    [anon_sym_return_BANG] = ACTIONS(4199),
    [anon_sym_yield] = ACTIONS(4201),
    [anon_sym_yield_BANG] = ACTIONS(4199),
    [anon_sym_lazy] = ACTIONS(4201),
    [anon_sym_assert] = ACTIONS(4201),
    [anon_sym_upcast] = ACTIONS(4201),
    [anon_sym_downcast] = ACTIONS(4201),
    [anon_sym_LT_AT] = ACTIONS(4201),
    [anon_sym_LT_AT_AT] = ACTIONS(4199),
    [anon_sym_for] = ACTIONS(4201),
    [anon_sym_while] = ACTIONS(4201),
    [anon_sym_if] = ACTIONS(4201),
    [anon_sym_fun] = ACTIONS(4201),
    [anon_sym_try] = ACTIONS(4201),
    [anon_sym_match] = ACTIONS(4201),
    [anon_sym_match_BANG] = ACTIONS(4199),
    [anon_sym_function] = ACTIONS(4201),
    [anon_sym_use] = ACTIONS(4201),
    [anon_sym_use_BANG] = ACTIONS(4199),
    [anon_sym_do_BANG] = ACTIONS(4199),
    [anon_sym_begin] = ACTIONS(4201),
    [anon_sym_SQUOTE] = ACTIONS(4199),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4201),
    [anon_sym_DQUOTE] = ACTIONS(4201),
    [anon_sym_AT_DQUOTE] = ACTIONS(4199),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4199),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4199),
    [sym_bool] = ACTIONS(4201),
    [sym_unit] = ACTIONS(4199),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4199),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4201),
    [anon_sym_PLUS] = ACTIONS(4201),
    [anon_sym_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_DOT] = ACTIONS(4199),
    [anon_sym_DASH_DOT] = ACTIONS(4199),
    [anon_sym_PERCENT] = ACTIONS(4199),
    [anon_sym_AMP_AMP] = ACTIONS(4199),
    [anon_sym_TILDE] = ACTIONS(4199),
    [aux_sym_prefix_op_token1] = ACTIONS(4199),
    [aux_sym_int_token1] = ACTIONS(4201),
    [aux_sym_xint_token1] = ACTIONS(4199),
    [aux_sym_xint_token2] = ACTIONS(4199),
    [aux_sym_xint_token3] = ACTIONS(4199),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4199),
  },
  [2457] = {
    [sym_xml_doc] = STATE(2457),
    [sym_block_comment] = STATE(2457),
    [sym_identifier] = ACTIONS(4221),
    [anon_sym_module] = ACTIONS(4221),
    [anon_sym_POUNDnowarn] = ACTIONS(4219),
    [anon_sym_POUNDr] = ACTIONS(4219),
    [anon_sym_POUNDload] = ACTIONS(4219),
    [anon_sym_open] = ACTIONS(4221),
    [anon_sym_LBRACK_LT] = ACTIONS(4219),
    [anon_sym_return] = ACTIONS(4221),
    [anon_sym_type] = ACTIONS(4221),
    [anon_sym_do] = ACTIONS(4221),
    [anon_sym_let] = ACTIONS(4221),
    [anon_sym_let_BANG] = ACTIONS(4219),
    [anon_sym_null] = ACTIONS(4221),
    [anon_sym_LPAREN] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4219),
    [anon_sym_LBRACE] = ACTIONS(4221),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4219),
    [anon_sym_new] = ACTIONS(4221),
    [anon_sym_return_BANG] = ACTIONS(4219),
    [anon_sym_yield] = ACTIONS(4221),
    [anon_sym_yield_BANG] = ACTIONS(4219),
    [anon_sym_lazy] = ACTIONS(4221),
    [anon_sym_assert] = ACTIONS(4221),
    [anon_sym_upcast] = ACTIONS(4221),
    [anon_sym_downcast] = ACTIONS(4221),
    [anon_sym_LT_AT] = ACTIONS(4221),
    [anon_sym_LT_AT_AT] = ACTIONS(4219),
    [anon_sym_for] = ACTIONS(4221),
    [anon_sym_while] = ACTIONS(4221),
    [anon_sym_if] = ACTIONS(4221),
    [anon_sym_fun] = ACTIONS(4221),
    [anon_sym_try] = ACTIONS(4221),
    [anon_sym_match] = ACTIONS(4221),
    [anon_sym_match_BANG] = ACTIONS(4219),
    [anon_sym_function] = ACTIONS(4221),
    [anon_sym_use] = ACTIONS(4221),
    [anon_sym_use_BANG] = ACTIONS(4219),
    [anon_sym_do_BANG] = ACTIONS(4219),
    [anon_sym_begin] = ACTIONS(4221),
    [anon_sym_SQUOTE] = ACTIONS(4219),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(4221),
    [anon_sym_DQUOTE] = ACTIONS(4221),
    [anon_sym_AT_DQUOTE] = ACTIONS(4219),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4219),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4219),
    [sym_bool] = ACTIONS(4221),
    [sym_unit] = ACTIONS(4219),
    [aux_sym__identifier_or_op_token1] = ACTIONS(4219),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(4221),
    [anon_sym_DASH] = ACTIONS(4221),
    [anon_sym_PLUS_DOT] = ACTIONS(4219),
    [anon_sym_DASH_DOT] = ACTIONS(4219),
    [anon_sym_PERCENT] = ACTIONS(4219),
    [anon_sym_AMP_AMP] = ACTIONS(4219),
    [anon_sym_TILDE] = ACTIONS(4219),
    [aux_sym_prefix_op_token1] = ACTIONS(4219),
    [aux_sym_int_token1] = ACTIONS(4221),
    [aux_sym_xint_token1] = ACTIONS(4219),
    [aux_sym_xint_token2] = ACTIONS(4219),
    [aux_sym_xint_token3] = ACTIONS(4219),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__dedent] = ACTIONS(4219),
  },
  [2458] = {
    [sym_type_arguments] = STATE(2514),
    [sym_long_identifier] = STATE(2506),
    [sym_xml_doc] = STATE(2458),
    [sym_block_comment] = STATE(2458),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [sym_identifier] = ACTIONS(4263),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2459] = {
    [sym_xml_doc] = STATE(2459),
    [sym_block_comment] = STATE(2459),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_GT_RBRACK] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_LT_AT_AT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2426),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2426),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2426),
    [anon_sym_DASH_DOT] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2426),
  },
  [2460] = {
    [sym_type_arguments] = STATE(2514),
    [sym_long_identifier] = STATE(2506),
    [sym_xml_doc] = STATE(2460),
    [sym_block_comment] = STATE(2460),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [sym_identifier] = ACTIONS(4263),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_let_BANG] = ACTIONS(2150),
    [anon_sym_null] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_AMP] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2150),
    [anon_sym_new] = ACTIONS(2148),
    [anon_sym_return_BANG] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_yield_BANG] = ACTIONS(2150),
    [anon_sym_lazy] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2148),
    [anon_sym_upcast] = ACTIONS(2148),
    [anon_sym_downcast] = ACTIONS(2148),
    [anon_sym_LT_AT] = ACTIONS(2148),
    [anon_sym_LT_AT_AT] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_fun] = ACTIONS(2148),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_match_BANG] = ACTIONS(2150),
    [anon_sym_function] = ACTIONS(2148),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_use_BANG] = ACTIONS(2150),
    [anon_sym_do_BANG] = ACTIONS(2150),
    [anon_sym_begin] = ACTIONS(2148),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [anon_sym_AT_DQUOTE] = ACTIONS(2150),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2150),
    [sym_bool] = ACTIONS(2148),
    [sym_unit] = ACTIONS(2150),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2150),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_PLUS_DOT] = ACTIONS(2150),
    [anon_sym_DASH_DOT] = ACTIONS(2150),
    [anon_sym_PERCENT] = ACTIONS(2150),
    [anon_sym_AMP_AMP] = ACTIONS(2150),
    [anon_sym_TILDE] = ACTIONS(2150),
    [aux_sym_prefix_op_token1] = ACTIONS(2150),
    [aux_sym_int_token1] = ACTIONS(2148),
    [aux_sym_xint_token1] = ACTIONS(2150),
    [aux_sym_xint_token2] = ACTIONS(2150),
    [aux_sym_xint_token3] = ACTIONS(2150),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2461] = {
    [sym_xml_doc] = STATE(2461),
    [sym_block_comment] = STATE(2461),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_LT_AT_AT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2440),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2440),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2440),
    [anon_sym_DASH_DOT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2462] = {
    [sym_xml_doc] = STATE(2462),
    [sym_block_comment] = STATE(2462),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(4265),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2463] = {
    [sym_xml_doc] = STATE(2463),
    [sym_block_comment] = STATE(2463),
    [aux_sym__compound_type_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_GT_RBRACK] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(4267),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2232),
  },
  [2464] = {
    [sym_xml_doc] = STATE(2464),
    [sym_block_comment] = STATE(2464),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_GT_RBRACK] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(4270),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2452),
  },
  [2465] = {
    [sym_xml_doc] = STATE(2465),
    [sym_block_comment] = STATE(2465),
    [aux_sym__compound_type_repeat1] = STATE(2465),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(4272),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2466] = {
    [sym_xml_doc] = STATE(2466),
    [sym_block_comment] = STATE(2466),
    [aux_sym__compound_type_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_GT_RBRACK] = ACTIONS(2335),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_LT_AT_AT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2335),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_STAR] = ACTIONS(1868),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2335),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2335),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2335),
    [anon_sym_DASH_DOT] = ACTIONS(2335),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2335),
  },
  [2467] = {
    [sym_xml_doc] = STATE(2467),
    [sym_block_comment] = STATE(2467),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_GT_RBRACK] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_LT_AT_AT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2440),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2440),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2440),
    [anon_sym_DASH_DOT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2440),
  },
  [2468] = {
    [sym_xml_doc] = STATE(2468),
    [sym_block_comment] = STATE(2468),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_GT_RBRACK] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2318),
  },
  [2469] = {
    [sym_xml_doc] = STATE(2469),
    [sym_block_comment] = STATE(2469),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_as] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2424),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_LT_AT_AT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2426),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2426),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2426),
    [anon_sym_DASH_DOT] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2470] = {
    [sym_xml_doc] = STATE(2470),
    [sym_block_comment] = STATE(2470),
    [aux_sym__compound_type_repeat1] = STATE(2465),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_as] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_LT_AT_AT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2335),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2335),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2335),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2335),
    [anon_sym_DASH_DOT] = ACTIONS(2335),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2471] = {
    [sym_xml_doc] = STATE(2471),
    [sym_block_comment] = STATE(2471),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_as] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2472] = {
    [sym_type_arguments] = STATE(2514),
    [sym_long_identifier] = STATE(2506),
    [sym_xml_doc] = STATE(2472),
    [sym_block_comment] = STATE(2472),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [sym_identifier] = ACTIONS(4263),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_let] = ACTIONS(2226),
    [anon_sym_let_BANG] = ACTIONS(2228),
    [anon_sym_null] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2228),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_return_BANG] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_yield_BANG] = ACTIONS(2228),
    [anon_sym_lazy] = ACTIONS(2226),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_upcast] = ACTIONS(2226),
    [anon_sym_downcast] = ACTIONS(2226),
    [anon_sym_LT_AT] = ACTIONS(2226),
    [anon_sym_LT_AT_AT] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_fun] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_match] = ACTIONS(2226),
    [anon_sym_match_BANG] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(2226),
    [anon_sym_use] = ACTIONS(2226),
    [anon_sym_use_BANG] = ACTIONS(2228),
    [anon_sym_do_BANG] = ACTIONS(2228),
    [anon_sym_begin] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2226),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_AT_DQUOTE] = ACTIONS(2228),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [sym_bool] = ACTIONS(2226),
    [sym_unit] = ACTIONS(2228),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2228),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PLUS_DOT] = ACTIONS(2228),
    [anon_sym_DASH_DOT] = ACTIONS(2228),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [aux_sym_prefix_op_token1] = ACTIONS(2228),
    [aux_sym_int_token1] = ACTIONS(2226),
    [aux_sym_xint_token1] = ACTIONS(2228),
    [aux_sym_xint_token2] = ACTIONS(2228),
    [aux_sym_xint_token3] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2473] = {
    [sym_type_arguments] = STATE(2514),
    [sym_long_identifier] = STATE(2506),
    [sym_xml_doc] = STATE(2473),
    [sym_block_comment] = STATE(2473),
    [aux_sym__compound_type_repeat1] = STATE(2500),
    [sym_identifier] = ACTIONS(4263),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_do] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_let_BANG] = ACTIONS(2194),
    [anon_sym_null] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2194),
    [anon_sym_new] = ACTIONS(2192),
    [anon_sym_return_BANG] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_yield_BANG] = ACTIONS(2194),
    [anon_sym_lazy] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2192),
    [anon_sym_upcast] = ACTIONS(2192),
    [anon_sym_downcast] = ACTIONS(2192),
    [anon_sym_LT_AT] = ACTIONS(2192),
    [anon_sym_LT_AT_AT] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_fun] = ACTIONS(2192),
    [anon_sym_DASH_GT] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_match_BANG] = ACTIONS(2194),
    [anon_sym_function] = ACTIONS(2192),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_use_BANG] = ACTIONS(2194),
    [anon_sym_do_BANG] = ACTIONS(2194),
    [anon_sym_begin] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(1896),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2192),
    [anon_sym_AT_DQUOTE] = ACTIONS(2194),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2194),
    [sym_bool] = ACTIONS(2192),
    [sym_unit] = ACTIONS(2194),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2194),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_PLUS_DOT] = ACTIONS(2194),
    [anon_sym_DASH_DOT] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2194),
    [anon_sym_AMP_AMP] = ACTIONS(2194),
    [anon_sym_TILDE] = ACTIONS(2194),
    [aux_sym_prefix_op_token1] = ACTIONS(2194),
    [aux_sym_int_token1] = ACTIONS(2192),
    [aux_sym_xint_token1] = ACTIONS(2194),
    [aux_sym_xint_token2] = ACTIONS(2194),
    [aux_sym_xint_token3] = ACTIONS(2194),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2474] = {
    [sym_xml_doc] = STATE(2474),
    [sym_block_comment] = STATE(2474),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_GT_RBRACK] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2452),
  },
  [2475] = {
    [sym_xml_doc] = STATE(2475),
    [sym_block_comment] = STATE(2475),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_GT_RBRACK] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_LT_AT_AT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2470),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2470),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2470),
    [anon_sym_DASH_DOT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2470),
  },
  [2476] = {
    [sym_xml_doc] = STATE(2476),
    [sym_block_comment] = STATE(2476),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_with] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_LT_AT_AT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2430),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2430),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2430),
    [anon_sym_DASH_DOT] = ACTIONS(2430),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2477] = {
    [sym_xml_doc] = STATE(2477),
    [sym_block_comment] = STATE(2477),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_with] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_LT_AT_AT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2462),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2462),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2462),
    [anon_sym_DASH_DOT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2478] = {
    [sym_xml_doc] = STATE(2478),
    [sym_block_comment] = STATE(2478),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_as] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_LT_AT_AT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2466),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2466),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2466),
    [anon_sym_DASH_DOT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2479] = {
    [sym_xml_doc] = STATE(2479),
    [sym_block_comment] = STATE(2479),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_GT_RBRACK] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_LT_AT_AT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2444),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2444),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2444),
    [anon_sym_DASH_DOT] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2444),
  },
  [2480] = {
    [sym_xml_doc] = STATE(2480),
    [sym_block_comment] = STATE(2480),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_as] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_with] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_LT_AT_AT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_LT2] = ACTIONS(4275),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2456),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2456),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2456),
    [anon_sym_DASH_DOT] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2481] = {
    [sym_xml_doc] = STATE(2481),
    [sym_block_comment] = STATE(2481),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_GT_RBRACK] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_LT_AT_AT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2478),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2478),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2478),
    [anon_sym_DASH_DOT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2478),
  },
  [2482] = {
    [sym_xml_doc] = STATE(2482),
    [sym_block_comment] = STATE(2482),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_GT_RBRACK] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_LT_AT_AT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_LT2] = ACTIONS(4277),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2456),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2456),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2456),
    [anon_sym_DASH_DOT] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2456),
  },
  [2483] = {
    [sym_xml_doc] = STATE(2483),
    [sym_block_comment] = STATE(2483),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_GT_RBRACK] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_LT_AT_AT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2466),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2466),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2466),
    [anon_sym_DASH_DOT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2466),
  },
  [2484] = {
    [sym_xml_doc] = STATE(2484),
    [sym_block_comment] = STATE(2484),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_GT_RBRACK] = ACTIONS(2414),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_LT_AT_AT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2414),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2414),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2414),
    [anon_sym_DASH_DOT] = ACTIONS(2414),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2414),
  },
  [2485] = {
    [sym_xml_doc] = STATE(2485),
    [sym_block_comment] = STATE(2485),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_LT_AT_AT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2436),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2436),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2436),
    [anon_sym_DASH_DOT] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2486] = {
    [sym_xml_doc] = STATE(2486),
    [sym_block_comment] = STATE(2486),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_as] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_LT_AT_AT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2474),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2474),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2474),
    [anon_sym_DASH_DOT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2487] = {
    [sym_xml_doc] = STATE(2487),
    [sym_block_comment] = STATE(2487),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_GT_RBRACK] = ACTIONS(2462),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_LT_AT_AT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2462),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2462),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2462),
    [anon_sym_DASH_DOT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2462),
  },
  [2488] = {
    [sym_xml_doc] = STATE(2488),
    [sym_block_comment] = STATE(2488),
    [aux_sym_long_identifier_repeat1] = STATE(2491),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_let_BANG] = ACTIONS(2339),
    [anon_sym_null] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_return_BANG] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_yield_BANG] = ACTIONS(2339),
    [anon_sym_lazy] = ACTIONS(2337),
    [anon_sym_assert] = ACTIONS(2337),
    [anon_sym_upcast] = ACTIONS(2337),
    [anon_sym_downcast] = ACTIONS(2337),
    [anon_sym_LT_AT] = ACTIONS(2337),
    [anon_sym_LT_AT_AT] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_fun] = ACTIONS(2337),
    [anon_sym_DASH_GT] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_match] = ACTIONS(2337),
    [anon_sym_match_BANG] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(4279),
    [anon_sym_use] = ACTIONS(2337),
    [anon_sym_use_BANG] = ACTIONS(2339),
    [anon_sym_do_BANG] = ACTIONS(2339),
    [anon_sym_begin] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_LT2] = ACTIONS(2337),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_AT_DQUOTE] = ACTIONS(2339),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2339),
    [sym_bool] = ACTIONS(2337),
    [sym_unit] = ACTIONS(2339),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2339),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_PLUS_DOT] = ACTIONS(2339),
    [anon_sym_DASH_DOT] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_AMP_AMP] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2339),
    [aux_sym_prefix_op_token1] = ACTIONS(2339),
    [aux_sym_int_token1] = ACTIONS(2337),
    [aux_sym_xint_token1] = ACTIONS(2339),
    [aux_sym_xint_token2] = ACTIONS(2339),
    [aux_sym_xint_token3] = ACTIONS(2339),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2489] = {
    [sym_xml_doc] = STATE(2489),
    [sym_block_comment] = STATE(2489),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_GT_RBRACK] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_LT_AT_AT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2474),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2474),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2474),
    [anon_sym_DASH_DOT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2474),
  },
  [2490] = {
    [sym_xml_doc] = STATE(2490),
    [sym_block_comment] = STATE(2490),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2491] = {
    [sym_xml_doc] = STATE(2491),
    [sym_block_comment] = STATE(2491),
    [aux_sym_long_identifier_repeat1] = STATE(2491),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(4281),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2492] = {
    [sym_xml_doc] = STATE(2492),
    [sym_block_comment] = STATE(2492),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_GT_RBRACK] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_LT_AT_AT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2436),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2436),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2436),
    [anon_sym_DASH_DOT] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2436),
  },
  [2493] = {
    [sym_xml_doc] = STATE(2493),
    [sym_block_comment] = STATE(2493),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_GT_RBRACK] = ACTIONS(2430),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_LT_AT_AT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2430),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2430),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2430),
    [anon_sym_DASH_DOT] = ACTIONS(2430),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
    [sym__newline] = ACTIONS(2430),
  },
  [2494] = {
    [sym_xml_doc] = STATE(2494),
    [sym_block_comment] = STATE(2494),
    [aux_sym_long_identifier_repeat1] = STATE(2488),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_let_BANG] = ACTIONS(2382),
    [anon_sym_null] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_return_BANG] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_yield_BANG] = ACTIONS(2382),
    [anon_sym_lazy] = ACTIONS(2376),
    [anon_sym_assert] = ACTIONS(2376),
    [anon_sym_upcast] = ACTIONS(2376),
    [anon_sym_downcast] = ACTIONS(2376),
    [anon_sym_LT_AT] = ACTIONS(2376),
    [anon_sym_LT_AT_AT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_fun] = ACTIONS(2376),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_match] = ACTIONS(2376),
    [anon_sym_match_BANG] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(4279),
    [anon_sym_use] = ACTIONS(2376),
    [anon_sym_use_BANG] = ACTIONS(2382),
    [anon_sym_do_BANG] = ACTIONS(2382),
    [anon_sym_begin] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_LT2] = ACTIONS(2376),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_AT_DQUOTE] = ACTIONS(2382),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2382),
    [sym_bool] = ACTIONS(2376),
    [sym_unit] = ACTIONS(2382),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2382),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_PLUS_DOT] = ACTIONS(2382),
    [anon_sym_DASH_DOT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [aux_sym_prefix_op_token1] = ACTIONS(2382),
    [aux_sym_int_token1] = ACTIONS(2376),
    [aux_sym_xint_token1] = ACTIONS(2382),
    [aux_sym_xint_token2] = ACTIONS(2382),
    [aux_sym_xint_token3] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2495] = {
    [sym_xml_doc] = STATE(2495),
    [sym_block_comment] = STATE(2495),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_as] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2476),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_LT_AT_AT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2478),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2478),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2478),
    [anon_sym_DASH_DOT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2496] = {
    [sym_xml_doc] = STATE(2496),
    [sym_block_comment] = STATE(2496),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_LT_AT_AT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2444),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2444),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2444),
    [anon_sym_DASH_DOT] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2497] = {
    [sym_xml_doc] = STATE(2497),
    [sym_block_comment] = STATE(2497),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_with] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_LT_AT_AT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2470),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2470),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2470),
    [anon_sym_DASH_DOT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2498] = {
    [sym_xml_doc] = STATE(2498),
    [sym_block_comment] = STATE(2498),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_as] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_with] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_LT_AT_AT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2414),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2414),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2414),
    [anon_sym_DASH_DOT] = ACTIONS(2414),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2499] = {
    [sym_xml_doc] = STATE(2499),
    [sym_block_comment] = STATE(2499),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_COLON_GT] = ACTIONS(4284),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2500] = {
    [sym_xml_doc] = STATE(2500),
    [sym_block_comment] = STATE(2500),
    [aux_sym__compound_type_repeat1] = STATE(2503),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2333),
    [anon_sym_let] = ACTIONS(2333),
    [anon_sym_let_BANG] = ACTIONS(2335),
    [anon_sym_null] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2335),
    [anon_sym_new] = ACTIONS(2333),
    [anon_sym_return_BANG] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_yield_BANG] = ACTIONS(2335),
    [anon_sym_lazy] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_upcast] = ACTIONS(2333),
    [anon_sym_downcast] = ACTIONS(2333),
    [anon_sym_LT_AT] = ACTIONS(2333),
    [anon_sym_LT_AT_AT] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_fun] = ACTIONS(2333),
    [anon_sym_DASH_GT] = ACTIONS(2335),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_match] = ACTIONS(2333),
    [anon_sym_match_BANG] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2333),
    [anon_sym_use] = ACTIONS(2333),
    [anon_sym_use_BANG] = ACTIONS(2335),
    [anon_sym_do_BANG] = ACTIONS(2335),
    [anon_sym_begin] = ACTIONS(2333),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_LT2] = ACTIONS(2333),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_AT_DQUOTE] = ACTIONS(2335),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [sym_bool] = ACTIONS(2333),
    [sym_unit] = ACTIONS(2335),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2335),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_PLUS_DOT] = ACTIONS(2335),
    [anon_sym_DASH_DOT] = ACTIONS(2335),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_TILDE] = ACTIONS(2335),
    [aux_sym_prefix_op_token1] = ACTIONS(2335),
    [aux_sym_int_token1] = ACTIONS(2333),
    [aux_sym_xint_token1] = ACTIONS(2335),
    [aux_sym_xint_token2] = ACTIONS(2335),
    [aux_sym_xint_token3] = ACTIONS(2335),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2501] = {
    [sym_xml_doc] = STATE(2501),
    [sym_block_comment] = STATE(2501),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_do] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_let_BANG] = ACTIONS(2318),
    [anon_sym_null] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_return_BANG] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_yield_BANG] = ACTIONS(2318),
    [anon_sym_lazy] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2316),
    [anon_sym_upcast] = ACTIONS(2316),
    [anon_sym_downcast] = ACTIONS(2316),
    [anon_sym_LT_AT] = ACTIONS(2316),
    [anon_sym_LT_AT_AT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_fun] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_match_BANG] = ACTIONS(2318),
    [anon_sym_function] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2318),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_use_BANG] = ACTIONS(2318),
    [anon_sym_do_BANG] = ACTIONS(2318),
    [anon_sym_begin] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_LT2] = ACTIONS(2316),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [anon_sym_AT_DQUOTE] = ACTIONS(2318),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2318),
    [sym_bool] = ACTIONS(2316),
    [sym_unit] = ACTIONS(2318),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2318),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_PLUS_DOT] = ACTIONS(2318),
    [anon_sym_DASH_DOT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2318),
    [anon_sym_TILDE] = ACTIONS(2318),
    [aux_sym_prefix_op_token1] = ACTIONS(2318),
    [aux_sym_int_token1] = ACTIONS(2316),
    [aux_sym_xint_token1] = ACTIONS(2318),
    [aux_sym_xint_token2] = ACTIONS(2318),
    [aux_sym_xint_token3] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2502] = {
    [sym_xml_doc] = STATE(2502),
    [sym_block_comment] = STATE(2502),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_let_BANG] = ACTIONS(2440),
    [anon_sym_null] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2440),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_return_BANG] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_yield_BANG] = ACTIONS(2440),
    [anon_sym_lazy] = ACTIONS(2438),
    [anon_sym_assert] = ACTIONS(2438),
    [anon_sym_upcast] = ACTIONS(2438),
    [anon_sym_downcast] = ACTIONS(2438),
    [anon_sym_LT_AT] = ACTIONS(2438),
    [anon_sym_LT_AT_AT] = ACTIONS(2440),
    [anon_sym_COLON_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_fun] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_match] = ACTIONS(2438),
    [anon_sym_match_BANG] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_use] = ACTIONS(2438),
    [anon_sym_use_BANG] = ACTIONS(2440),
    [anon_sym_do_BANG] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_LT2] = ACTIONS(2438),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2440),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_AT_DQUOTE] = ACTIONS(2440),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2440),
    [sym_bool] = ACTIONS(2438),
    [sym_unit] = ACTIONS(2440),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2440),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_DOT] = ACTIONS(2440),
    [anon_sym_DASH_DOT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2440),
    [aux_sym_prefix_op_token1] = ACTIONS(2440),
    [aux_sym_int_token1] = ACTIONS(2438),
    [aux_sym_xint_token1] = ACTIONS(2440),
    [aux_sym_xint_token2] = ACTIONS(2440),
    [aux_sym_xint_token3] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2503] = {
    [sym_xml_doc] = STATE(2503),
    [sym_block_comment] = STATE(2503),
    [aux_sym__compound_type_repeat1] = STATE(2503),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_let_BANG] = ACTIONS(2232),
    [anon_sym_null] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_return_BANG] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_yield_BANG] = ACTIONS(2232),
    [anon_sym_lazy] = ACTIONS(2230),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_upcast] = ACTIONS(2230),
    [anon_sym_downcast] = ACTIONS(2230),
    [anon_sym_LT_AT] = ACTIONS(2230),
    [anon_sym_LT_AT_AT] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_fun] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2230),
    [anon_sym_match_BANG] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_use] = ACTIONS(2230),
    [anon_sym_use_BANG] = ACTIONS(2232),
    [anon_sym_do_BANG] = ACTIONS(2232),
    [anon_sym_begin] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(4286),
    [anon_sym_LT2] = ACTIONS(2230),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2232),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_AT_DQUOTE] = ACTIONS(2232),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [sym_bool] = ACTIONS(2230),
    [sym_unit] = ACTIONS(2232),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2232),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PLUS_DOT] = ACTIONS(2232),
    [anon_sym_DASH_DOT] = ACTIONS(2232),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [aux_sym_prefix_op_token1] = ACTIONS(2232),
    [aux_sym_int_token1] = ACTIONS(2230),
    [aux_sym_xint_token1] = ACTIONS(2232),
    [aux_sym_xint_token2] = ACTIONS(2232),
    [aux_sym_xint_token3] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2504] = {
    [sym_xml_doc] = STATE(2504),
    [sym_block_comment] = STATE(2504),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_let_BANG] = ACTIONS(2426),
    [anon_sym_null] = ACTIONS(2424),
    [anon_sym_LPAREN] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2424),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_return_BANG] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_yield_BANG] = ACTIONS(2426),
    [anon_sym_lazy] = ACTIONS(2424),
    [anon_sym_assert] = ACTIONS(2424),
    [anon_sym_upcast] = ACTIONS(2424),
    [anon_sym_downcast] = ACTIONS(2424),
    [anon_sym_LT_AT] = ACTIONS(2424),
    [anon_sym_LT_AT_AT] = ACTIONS(2426),
    [anon_sym_COLON_GT] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_fun] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_match_BANG] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2424),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_use_BANG] = ACTIONS(2426),
    [anon_sym_do_BANG] = ACTIONS(2426),
    [anon_sym_begin] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_LT2] = ACTIONS(2424),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2424),
    [anon_sym_AT_DQUOTE] = ACTIONS(2426),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2426),
    [sym_bool] = ACTIONS(2424),
    [sym_unit] = ACTIONS(2426),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2426),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS_DOT] = ACTIONS(2426),
    [anon_sym_DASH_DOT] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [aux_sym_prefix_op_token1] = ACTIONS(2426),
    [aux_sym_int_token1] = ACTIONS(2424),
    [aux_sym_xint_token1] = ACTIONS(2426),
    [aux_sym_xint_token2] = ACTIONS(2426),
    [aux_sym_xint_token3] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2505] = {
    [sym_xml_doc] = STATE(2505),
    [sym_block_comment] = STATE(2505),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_do] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_let_BANG] = ACTIONS(2474),
    [anon_sym_null] = ACTIONS(2472),
    [anon_sym_LPAREN] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2472),
    [anon_sym_return_BANG] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_yield_BANG] = ACTIONS(2474),
    [anon_sym_lazy] = ACTIONS(2472),
    [anon_sym_assert] = ACTIONS(2472),
    [anon_sym_upcast] = ACTIONS(2472),
    [anon_sym_downcast] = ACTIONS(2472),
    [anon_sym_LT_AT] = ACTIONS(2472),
    [anon_sym_LT_AT_AT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_fun] = ACTIONS(2472),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_match_BANG] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2472),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_use_BANG] = ACTIONS(2474),
    [anon_sym_do_BANG] = ACTIONS(2474),
    [anon_sym_begin] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_LT2] = ACTIONS(2472),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_AT_DQUOTE] = ACTIONS(2474),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2474),
    [sym_bool] = ACTIONS(2472),
    [sym_unit] = ACTIONS(2474),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2474),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_DOT] = ACTIONS(2474),
    [anon_sym_DASH_DOT] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [aux_sym_prefix_op_token1] = ACTIONS(2474),
    [aux_sym_int_token1] = ACTIONS(2472),
    [aux_sym_xint_token1] = ACTIONS(2474),
    [aux_sym_xint_token2] = ACTIONS(2474),
    [aux_sym_xint_token3] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2506] = {
    [sym_xml_doc] = STATE(2506),
    [sym_block_comment] = STATE(2506),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_let_BANG] = ACTIONS(2414),
    [anon_sym_null] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2414),
    [anon_sym_new] = ACTIONS(2408),
    [anon_sym_return_BANG] = ACTIONS(2414),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_yield_BANG] = ACTIONS(2414),
    [anon_sym_lazy] = ACTIONS(2408),
    [anon_sym_assert] = ACTIONS(2408),
    [anon_sym_upcast] = ACTIONS(2408),
    [anon_sym_downcast] = ACTIONS(2408),
    [anon_sym_LT_AT] = ACTIONS(2408),
    [anon_sym_LT_AT_AT] = ACTIONS(2414),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2408),
    [anon_sym_DASH_GT] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_match_BANG] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_use_BANG] = ACTIONS(2414),
    [anon_sym_do_BANG] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_LT2] = ACTIONS(2408),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_AT_DQUOTE] = ACTIONS(2414),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2414),
    [sym_bool] = ACTIONS(2408),
    [sym_unit] = ACTIONS(2414),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2414),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS_DOT] = ACTIONS(2414),
    [anon_sym_DASH_DOT] = ACTIONS(2414),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [aux_sym_prefix_op_token1] = ACTIONS(2414),
    [aux_sym_int_token1] = ACTIONS(2408),
    [aux_sym_xint_token1] = ACTIONS(2414),
    [aux_sym_xint_token2] = ACTIONS(2414),
    [aux_sym_xint_token3] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2507] = {
    [sym_xml_doc] = STATE(2507),
    [sym_block_comment] = STATE(2507),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_let_BANG] = ACTIONS(2456),
    [anon_sym_null] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_return_BANG] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_yield_BANG] = ACTIONS(2456),
    [anon_sym_lazy] = ACTIONS(2454),
    [anon_sym_assert] = ACTIONS(2454),
    [anon_sym_upcast] = ACTIONS(2454),
    [anon_sym_downcast] = ACTIONS(2454),
    [anon_sym_LT_AT] = ACTIONS(2454),
    [anon_sym_LT_AT_AT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_fun] = ACTIONS(2454),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2454),
    [anon_sym_match_BANG] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_use] = ACTIONS(2454),
    [anon_sym_use_BANG] = ACTIONS(2456),
    [anon_sym_do_BANG] = ACTIONS(2456),
    [anon_sym_begin] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_LT2] = ACTIONS(4289),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2456),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_AT_DQUOTE] = ACTIONS(2456),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2456),
    [sym_bool] = ACTIONS(2454),
    [sym_unit] = ACTIONS(2456),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2456),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_DOT] = ACTIONS(2456),
    [anon_sym_DASH_DOT] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [aux_sym_prefix_op_token1] = ACTIONS(2456),
    [aux_sym_int_token1] = ACTIONS(2454),
    [aux_sym_xint_token1] = ACTIONS(2456),
    [aux_sym_xint_token2] = ACTIONS(2456),
    [aux_sym_xint_token3] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2508] = {
    [sym_xml_doc] = STATE(2508),
    [sym_block_comment] = STATE(2508),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_let_BANG] = ACTIONS(2430),
    [anon_sym_null] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2430),
    [anon_sym_new] = ACTIONS(2428),
    [anon_sym_return_BANG] = ACTIONS(2430),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_yield_BANG] = ACTIONS(2430),
    [anon_sym_lazy] = ACTIONS(2428),
    [anon_sym_assert] = ACTIONS(2428),
    [anon_sym_upcast] = ACTIONS(2428),
    [anon_sym_downcast] = ACTIONS(2428),
    [anon_sym_LT_AT] = ACTIONS(2428),
    [anon_sym_LT_AT_AT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2430),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_match_BANG] = ACTIONS(2430),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_use_BANG] = ACTIONS(2430),
    [anon_sym_do_BANG] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_LT2] = ACTIONS(2428),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [anon_sym_AT_DQUOTE] = ACTIONS(2430),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2430),
    [sym_bool] = ACTIONS(2428),
    [sym_unit] = ACTIONS(2430),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2430),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS_DOT] = ACTIONS(2430),
    [anon_sym_DASH_DOT] = ACTIONS(2430),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [aux_sym_prefix_op_token1] = ACTIONS(2430),
    [aux_sym_int_token1] = ACTIONS(2428),
    [aux_sym_xint_token1] = ACTIONS(2430),
    [aux_sym_xint_token2] = ACTIONS(2430),
    [aux_sym_xint_token3] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2509] = {
    [sym_xml_doc] = STATE(2509),
    [sym_block_comment] = STATE(2509),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_let_BANG] = ACTIONS(2452),
    [anon_sym_null] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_return_BANG] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_yield_BANG] = ACTIONS(2452),
    [anon_sym_lazy] = ACTIONS(2450),
    [anon_sym_assert] = ACTIONS(2450),
    [anon_sym_upcast] = ACTIONS(2450),
    [anon_sym_downcast] = ACTIONS(2450),
    [anon_sym_LT_AT] = ACTIONS(2450),
    [anon_sym_LT_AT_AT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_fun] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_match] = ACTIONS(2450),
    [anon_sym_match_BANG] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_use] = ACTIONS(2450),
    [anon_sym_use_BANG] = ACTIONS(2452),
    [anon_sym_do_BANG] = ACTIONS(2452),
    [anon_sym_begin] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_LT2] = ACTIONS(2450),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_AT_DQUOTE] = ACTIONS(2452),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2452),
    [sym_bool] = ACTIONS(2450),
    [sym_unit] = ACTIONS(2452),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2452),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_DOT] = ACTIONS(2452),
    [anon_sym_DASH_DOT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [aux_sym_prefix_op_token1] = ACTIONS(2452),
    [aux_sym_int_token1] = ACTIONS(2450),
    [aux_sym_xint_token1] = ACTIONS(2452),
    [aux_sym_xint_token2] = ACTIONS(2452),
    [aux_sym_xint_token3] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2510] = {
    [sym_xml_doc] = STATE(2510),
    [sym_block_comment] = STATE(2510),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_let_BANG] = ACTIONS(2466),
    [anon_sym_null] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_AMP] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_return_BANG] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_yield_BANG] = ACTIONS(2466),
    [anon_sym_lazy] = ACTIONS(2464),
    [anon_sym_assert] = ACTIONS(2464),
    [anon_sym_upcast] = ACTIONS(2464),
    [anon_sym_downcast] = ACTIONS(2464),
    [anon_sym_LT_AT] = ACTIONS(2464),
    [anon_sym_LT_AT_AT] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_match_BANG] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_use_BANG] = ACTIONS(2466),
    [anon_sym_do_BANG] = ACTIONS(2466),
    [anon_sym_begin] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LT2] = ACTIONS(2464),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_AT_DQUOTE] = ACTIONS(2466),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [sym_bool] = ACTIONS(2464),
    [sym_unit] = ACTIONS(2466),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2466),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_PLUS_DOT] = ACTIONS(2466),
    [anon_sym_DASH_DOT] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [aux_sym_prefix_op_token1] = ACTIONS(2466),
    [aux_sym_int_token1] = ACTIONS(2464),
    [aux_sym_xint_token1] = ACTIONS(2466),
    [aux_sym_xint_token2] = ACTIONS(2466),
    [aux_sym_xint_token3] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2511] = {
    [sym_xml_doc] = STATE(2511),
    [sym_block_comment] = STATE(2511),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_let_BANG] = ACTIONS(2444),
    [anon_sym_null] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_return_BANG] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_yield_BANG] = ACTIONS(2444),
    [anon_sym_lazy] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_upcast] = ACTIONS(2442),
    [anon_sym_downcast] = ACTIONS(2442),
    [anon_sym_LT_AT] = ACTIONS(2442),
    [anon_sym_LT_AT_AT] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_fun] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_match] = ACTIONS(2442),
    [anon_sym_match_BANG] = ACTIONS(2444),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_use] = ACTIONS(2442),
    [anon_sym_use_BANG] = ACTIONS(2444),
    [anon_sym_do_BANG] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_LT2] = ACTIONS(2442),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_AT_DQUOTE] = ACTIONS(2444),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2444),
    [sym_bool] = ACTIONS(2442),
    [sym_unit] = ACTIONS(2444),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2444),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_DOT] = ACTIONS(2444),
    [anon_sym_DASH_DOT] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [aux_sym_prefix_op_token1] = ACTIONS(2444),
    [aux_sym_int_token1] = ACTIONS(2442),
    [aux_sym_xint_token1] = ACTIONS(2444),
    [aux_sym_xint_token2] = ACTIONS(2444),
    [aux_sym_xint_token3] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2512] = {
    [sym_xml_doc] = STATE(2512),
    [sym_block_comment] = STATE(2512),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_let_BANG] = ACTIONS(2436),
    [anon_sym_null] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_return_BANG] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_yield_BANG] = ACTIONS(2436),
    [anon_sym_lazy] = ACTIONS(2434),
    [anon_sym_assert] = ACTIONS(2434),
    [anon_sym_upcast] = ACTIONS(2434),
    [anon_sym_downcast] = ACTIONS(2434),
    [anon_sym_LT_AT] = ACTIONS(2434),
    [anon_sym_LT_AT_AT] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2434),
    [anon_sym_match_BANG] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_use] = ACTIONS(2434),
    [anon_sym_use_BANG] = ACTIONS(2436),
    [anon_sym_do_BANG] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_LT2] = ACTIONS(2434),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_AT_DQUOTE] = ACTIONS(2436),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2436),
    [sym_bool] = ACTIONS(2434),
    [sym_unit] = ACTIONS(2436),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2436),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_DOT] = ACTIONS(2436),
    [anon_sym_DASH_DOT] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [aux_sym_prefix_op_token1] = ACTIONS(2436),
    [aux_sym_int_token1] = ACTIONS(2434),
    [aux_sym_xint_token1] = ACTIONS(2436),
    [aux_sym_xint_token2] = ACTIONS(2436),
    [aux_sym_xint_token3] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2513] = {
    [sym_xml_doc] = STATE(2513),
    [sym_block_comment] = STATE(2513),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_let_BANG] = ACTIONS(2462),
    [anon_sym_null] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2462),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_return_BANG] = ACTIONS(2462),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_yield_BANG] = ACTIONS(2462),
    [anon_sym_lazy] = ACTIONS(2460),
    [anon_sym_assert] = ACTIONS(2460),
    [anon_sym_upcast] = ACTIONS(2460),
    [anon_sym_downcast] = ACTIONS(2460),
    [anon_sym_LT_AT] = ACTIONS(2460),
    [anon_sym_LT_AT_AT] = ACTIONS(2462),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_fun] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2462),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_match_BANG] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_use_BANG] = ACTIONS(2462),
    [anon_sym_do_BANG] = ACTIONS(2462),
    [anon_sym_begin] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LT2] = ACTIONS(2460),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_AT_DQUOTE] = ACTIONS(2462),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2462),
    [sym_bool] = ACTIONS(2460),
    [sym_unit] = ACTIONS(2462),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2462),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS_DOT] = ACTIONS(2462),
    [anon_sym_DASH_DOT] = ACTIONS(2462),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [aux_sym_prefix_op_token1] = ACTIONS(2462),
    [aux_sym_int_token1] = ACTIONS(2460),
    [aux_sym_xint_token1] = ACTIONS(2462),
    [aux_sym_xint_token2] = ACTIONS(2462),
    [aux_sym_xint_token3] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2514] = {
    [sym_xml_doc] = STATE(2514),
    [sym_block_comment] = STATE(2514),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_let_BANG] = ACTIONS(2470),
    [anon_sym_null] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2470),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_return_BANG] = ACTIONS(2470),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_yield_BANG] = ACTIONS(2470),
    [anon_sym_lazy] = ACTIONS(2468),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_upcast] = ACTIONS(2468),
    [anon_sym_downcast] = ACTIONS(2468),
    [anon_sym_LT_AT] = ACTIONS(2468),
    [anon_sym_LT_AT_AT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_fun] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_match_BANG] = ACTIONS(2470),
    [anon_sym_function] = ACTIONS(2468),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_use_BANG] = ACTIONS(2470),
    [anon_sym_do_BANG] = ACTIONS(2470),
    [anon_sym_begin] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LT2] = ACTIONS(2468),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2468),
    [anon_sym_AT_DQUOTE] = ACTIONS(2470),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2470),
    [sym_bool] = ACTIONS(2468),
    [sym_unit] = ACTIONS(2470),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2470),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS_DOT] = ACTIONS(2470),
    [anon_sym_DASH_DOT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [aux_sym_prefix_op_token1] = ACTIONS(2470),
    [aux_sym_int_token1] = ACTIONS(2468),
    [aux_sym_xint_token1] = ACTIONS(2470),
    [aux_sym_xint_token2] = ACTIONS(2470),
    [aux_sym_xint_token3] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
  [2515] = {
    [sym_xml_doc] = STATE(2515),
    [sym_block_comment] = STATE(2515),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_do] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_let_BANG] = ACTIONS(2478),
    [anon_sym_null] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2476),
    [anon_sym_return_BANG] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_yield_BANG] = ACTIONS(2478),
    [anon_sym_lazy] = ACTIONS(2476),
    [anon_sym_assert] = ACTIONS(2476),
    [anon_sym_upcast] = ACTIONS(2476),
    [anon_sym_downcast] = ACTIONS(2476),
    [anon_sym_LT_AT] = ACTIONS(2476),
    [anon_sym_LT_AT_AT] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_fun] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_match_BANG] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2476),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_use_BANG] = ACTIONS(2478),
    [anon_sym_do_BANG] = ACTIONS(2478),
    [anon_sym_begin] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_LT2] = ACTIONS(2476),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_AT_DQUOTE] = ACTIONS(2478),
    [anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2478),
    [sym_bool] = ACTIONS(2476),
    [sym_unit] = ACTIONS(2478),
    [aux_sym__identifier_or_op_token1] = ACTIONS(2478),
    [anon_sym_LPAREN_STAR_RPAREN] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_DOT] = ACTIONS(2478),
    [anon_sym_DASH_DOT] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [aux_sym_prefix_op_token1] = ACTIONS(2478),
    [aux_sym_int_token1] = ACTIONS(2476),
    [aux_sym_xint_token1] = ACTIONS(2478),
    [aux_sym_xint_token2] = ACTIONS(2478),
    [aux_sym_xint_token3] = ACTIONS(2478),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN_STAR] = ACTIONS(5),
    [sym_line_comment] = ACTIONS(7),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(4291), 1,
      anon_sym_and,
    STATE(2516), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__function_or_value_defns_repeat1,
    ACTIONS(4096), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4098), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [78] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(4294), 1,
      anon_sym_and,
    STATE(2518), 1,
      aux_sym__function_or_value_defns_repeat1,
    STATE(2517), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4090), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4092), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [158] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(4294), 1,
      anon_sym_and,
    STATE(2516), 1,
      aux_sym__function_or_value_defns_repeat1,
    STATE(2518), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4103), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4105), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2519), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2535), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(2533), 33,
      anon_sym_return,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [313] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2520), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4143), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4145), 33,
      anon_sym_return,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [388] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(4300), 1,
      anon_sym_TILDE,
    STATE(2521), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_prefix_op_repeat1,
    ACTIONS(4298), 23,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4296), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2522), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4147), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4149), 33,
      anon_sym_return,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [540] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2521), 1,
      aux_sym_prefix_op_repeat1,
    STATE(2523), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4305), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4303), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2524), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4184), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4186), 33,
      anon_sym_return,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2525), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4309), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4307), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2526), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4313), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4311), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2527), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4231), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4233), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [914] = 47,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4315), 1,
      sym_identifier,
    ACTIONS(4317), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4319), 1,
      anon_sym_do,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4329), 1,
      anon_sym_PIPE,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    ACTIONS(4333), 1,
      anon_sym_new,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(4337), 1,
      anon_sym_delegate,
    ACTIONS(4341), 1,
      anon_sym_static,
    ACTIONS(4343), 1,
      anon_sym_member,
    ACTIONS(4345), 1,
      anon_sym_interface,
    ACTIONS(4347), 1,
      anon_sym_abstract,
    ACTIONS(4351), 1,
      anon_sym_val,
    ACTIONS(4353), 1,
      anon_sym_inherit,
    STATE(2937), 1,
      sym_union_type_cases,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3288), 1,
      sym_member_defn,
    STATE(3350), 1,
      sym_attributes,
    STATE(3401), 1,
      aux_sym_attributes_repeat1,
    STATE(3427), 1,
      sym_union_type_case,
    STATE(3512), 1,
      sym_attribute_set,
    STATE(3620), 1,
      sym_additional_constr_defn,
    STATE(3723), 1,
      sym_type,
    STATE(4026), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4155), 1,
      sym_interface_implementation,
    STATE(4163), 1,
      sym__class_type_body_inner,
    STATE(4412), 1,
      sym_access_modifier,
    STATE(4556), 1,
      sym__member_defns,
    STATE(4687), 1,
      sym_function_or_value_defn,
    STATE(4721), 1,
      sym_enum_type_case,
    STATE(5001), 1,
      sym_enum_type_cases,
    STATE(5006), 1,
      sym__class_type_body,
    STATE(5008), 1,
      sym_delegate_signature,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    ACTIONS(4349), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2528), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4675), 3,
      sym__class_function_or_value_defn,
      sym__type_defn_elements,
      sym_class_inherits_decl,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [1070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2529), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4305), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4303), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [1144] = 47,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4315), 1,
      sym_identifier,
    ACTIONS(4317), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4319), 1,
      anon_sym_do,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4329), 1,
      anon_sym_PIPE,
    ACTIONS(4333), 1,
      anon_sym_new,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(4337), 1,
      anon_sym_delegate,
    ACTIONS(4341), 1,
      anon_sym_static,
    ACTIONS(4343), 1,
      anon_sym_member,
    ACTIONS(4345), 1,
      anon_sym_interface,
    ACTIONS(4347), 1,
      anon_sym_abstract,
    ACTIONS(4351), 1,
      anon_sym_val,
    ACTIONS(4353), 1,
      anon_sym_inherit,
    ACTIONS(4355), 1,
      anon_sym_LBRACE,
    STATE(2930), 1,
      sym_union_type_cases,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3288), 1,
      sym_member_defn,
    STATE(3350), 1,
      sym_attributes,
    STATE(3401), 1,
      aux_sym_attributes_repeat1,
    STATE(3427), 1,
      sym_union_type_case,
    STATE(3512), 1,
      sym_attribute_set,
    STATE(3620), 1,
      sym_additional_constr_defn,
    STATE(3731), 1,
      sym_type,
    STATE(4026), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4155), 1,
      sym_interface_implementation,
    STATE(4163), 1,
      sym__class_type_body_inner,
    STATE(4412), 1,
      sym_access_modifier,
    STATE(4556), 1,
      sym__member_defns,
    STATE(4687), 1,
      sym_function_or_value_defn,
    STATE(4703), 1,
      sym__class_type_body,
    STATE(4715), 1,
      sym_delegate_signature,
    STATE(4721), 1,
      sym_enum_type_case,
    STATE(5056), 1,
      sym_enum_type_cases,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    ACTIONS(4349), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2530), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4675), 3,
      sym__class_function_or_value_defn,
      sym__type_defn_elements,
      sym_class_inherits_decl,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [1300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2531), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4219), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4221), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [1374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2532), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4313), 24,
      anon_sym_let_BANG,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_PIPE,
      anon_sym_return_BANG,
      anon_sym_yield_BANG,
      anon_sym_LT_AT_AT,
      anon_sym_match_BANG,
      anon_sym_use_BANG,
      anon_sym_do_BANG,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_PERCENT,
      anon_sym_AMP_AMP,
      anon_sym_TILDE,
      aux_sym_prefix_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
    ACTIONS(4311), 32,
      anon_sym_return,
      anon_sym_do,
      anon_sym_let,
      anon_sym_null,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_new,
      anon_sym_yield,
      anon_sym_lazy,
      anon_sym_assert,
      anon_sym_upcast,
      anon_sym_downcast,
      anon_sym_LT_AT,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fun,
      anon_sym_try,
      anon_sym_match,
      anon_sym_function,
      anon_sym_use,
      anon_sym_begin,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_int_token1,
      sym_identifier,
  [1448] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3761), 1,
      anon_sym_LT2,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    STATE(2537), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2540), 1,
      sym_type_arguments,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4342), 1,
      sym_argument_patterns,
    STATE(4632), 1,
      sym_float,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2533), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [1577] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3761), 1,
      anon_sym_LT2,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    STATE(2537), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2544), 1,
      sym_type_arguments,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4529), 1,
      sym_argument_patterns,
    STATE(4632), 1,
      sym_float,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2534), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [1706] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3761), 1,
      anon_sym_LT2,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    STATE(2537), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2542), 1,
      sym_type_arguments,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4634), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2535), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [1835] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4387), 1,
      sym_identifier,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    ACTIONS(4398), 1,
      anon_sym_LBRACK,
    ACTIONS(4401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4404), 1,
      anon_sym_LBRACE,
    ACTIONS(4407), 1,
      anon_sym_SQUOTE,
    ACTIONS(4410), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4416), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4419), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4422), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4425), 1,
      sym_bool,
    ACTIONS(4428), 1,
      sym_unit,
    ACTIONS(4431), 1,
      aux_sym_int_token1,
    ACTIONS(4434), 1,
      aux_sym_xint_token1,
    ACTIONS(4437), 1,
      aux_sym_xint_token2,
    ACTIONS(4440), 1,
      aux_sym_xint_token3,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    ACTIONS(4390), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4392), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2536), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_argument_patterns_repeat1,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [1957] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    STATE(2536), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    ACTIONS(4443), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    STATE(2537), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [2081] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(5326), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2538), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [2204] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4804), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2539), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [2327] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    STATE(2537), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4529), 1,
      sym_argument_patterns,
    STATE(4632), 1,
      sym_float,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2540), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [2450] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4899), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2541), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [2573] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    STATE(2537), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4692), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2542), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [2696] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4706), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2543), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [2819] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    STATE(2537), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4634), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2544), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [2942] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4869), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2545), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [3065] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4959), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2546), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [3188] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4837), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2547), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [3311] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4838), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2548), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [3434] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4929), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2549), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [3557] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4443), 1,
      anon_sym_DASH_GT,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2552), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2550), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [3680] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4381), 1,
      sym_bool,
    ACTIONS(4383), 1,
      sym_unit,
    ACTIONS(4385), 1,
      aux_sym_int_token1,
    ACTIONS(4445), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      aux_sym_argument_patterns_repeat1,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    STATE(4751), 1,
      sym_argument_patterns,
    ACTIONS(4359), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2551), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [3803] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4387), 1,
      sym_identifier,
    ACTIONS(4390), 1,
      anon_sym_DASH_GT,
    ACTIONS(4395), 1,
      anon_sym_LPAREN,
    ACTIONS(4398), 1,
      anon_sym_LBRACK,
    ACTIONS(4401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4407), 1,
      anon_sym_SQUOTE,
    ACTIONS(4410), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4416), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4419), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4422), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4425), 1,
      sym_bool,
    ACTIONS(4428), 1,
      sym_unit,
    ACTIONS(4431), 1,
      aux_sym_int_token1,
    ACTIONS(4434), 1,
      aux_sym_xint_token1,
    ACTIONS(4437), 1,
      aux_sym_xint_token2,
    ACTIONS(4440), 1,
      aux_sym_xint_token3,
    ACTIONS(4447), 1,
      anon_sym_LBRACE,
    STATE(2595), 1,
      sym_int,
    STATE(2960), 1,
      sym_format_triple_quoted_string,
    STATE(2993), 1,
      sym__atomic_pattern,
    STATE(3009), 1,
      sym_format_string,
    STATE(3580), 1,
      sym_xint,
    STATE(4632), 1,
      sym_float,
    ACTIONS(4392), 2,
      anon_sym_null,
      anon_sym__,
    STATE(2552), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_argument_patterns_repeat1,
    STATE(2995), 5,
      sym_list_pattern,
      sym_array_pattern,
      sym_record_pattern,
      sym_const,
      sym_long_identifier,
    STATE(2957), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [3924] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4450), 1,
      sym__digit_char_imm,
    STATE(2553), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_int_repeat1,
    ACTIONS(2006), 24,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2008), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [3995] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4453), 1,
      sym__digit_char_imm,
    STATE(2555), 1,
      aux_sym_int_repeat1,
    STATE(2554), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2000), 24,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2002), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4068] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4453), 1,
      sym__digit_char_imm,
    STATE(2553), 1,
      aux_sym_int_repeat1,
    STATE(2555), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2013), 24,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2015), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2556), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2026), 24,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2028), 26,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      sym__digit_char_imm,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4209] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2066), 1,
      aux_sym_float_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4455), 1,
      anon_sym_y,
    ACTIONS(4457), 1,
      anon_sym_uy,
    ACTIONS(4459), 1,
      anon_sym_s,
    ACTIONS(4461), 1,
      anon_sym_us,
    ACTIONS(4463), 1,
      anon_sym_l,
    ACTIONS(4465), 1,
      aux_sym_uint32_token1,
    ACTIONS(4467), 1,
      anon_sym_n,
    ACTIONS(4469), 1,
      anon_sym_un,
    ACTIONS(4471), 1,
      anon_sym_L,
    ACTIONS(4473), 1,
      aux_sym_uint64_token1,
    ACTIONS(4475), 1,
      aux_sym_bignum_token1,
    ACTIONS(4477), 1,
      aux_sym_decimal_token1,
    ACTIONS(4479), 1,
      anon_sym_DOT2,
    STATE(2557), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [4304] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4481), 1,
      sym__digit_char_imm,
    STATE(2558), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_int_repeat1,
    ACTIONS(2006), 20,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2008), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4371] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4484), 1,
      sym__digit_char_imm,
    STATE(2558), 1,
      aux_sym_int_repeat1,
    STATE(2559), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2013), 20,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2015), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4440] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4484), 1,
      sym__digit_char_imm,
    STATE(2559), 1,
      aux_sym_int_repeat1,
    STATE(2560), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2000), 20,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2002), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2561), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2026), 20,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2028), 26,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      sym__digit_char_imm,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4573] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4486), 1,
      sym__digit_char_imm,
    STATE(2562), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_int_repeat1,
    ACTIONS(2006), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2008), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4639] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4489), 1,
      sym__digit_char_imm,
    STATE(2562), 1,
      aux_sym_int_repeat1,
    STATE(2563), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2013), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2015), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4707] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4489), 1,
      sym__digit_char_imm,
    STATE(2563), 1,
      aux_sym_int_repeat1,
    STATE(2564), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2000), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2002), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4775] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2066), 1,
      aux_sym_float_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4479), 1,
      anon_sym_DOT2,
    ACTIONS(4491), 1,
      anon_sym_y,
    ACTIONS(4493), 1,
      anon_sym_uy,
    ACTIONS(4495), 1,
      anon_sym_s,
    ACTIONS(4497), 1,
      anon_sym_us,
    ACTIONS(4499), 1,
      anon_sym_l,
    ACTIONS(4501), 1,
      aux_sym_uint32_token1,
    ACTIONS(4503), 1,
      anon_sym_n,
    ACTIONS(4505), 1,
      anon_sym_un,
    ACTIONS(4507), 1,
      anon_sym_L,
    ACTIONS(4509), 1,
      aux_sym_uint64_token1,
    ACTIONS(4511), 1,
      aux_sym_bignum_token1,
    ACTIONS(4513), 1,
      aux_sym_decimal_token1,
    STATE(2565), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [4866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2566), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2026), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2028), 26,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      sym__digit_char_imm,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4929] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4515), 1,
      sym__digit_char_imm,
    STATE(2570), 1,
      aux_sym_int_repeat1,
    STATE(2567), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2000), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2002), 24,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [4995] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2066), 1,
      aux_sym_float_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4479), 1,
      anon_sym_DOT2,
    ACTIONS(4517), 1,
      anon_sym_y,
    ACTIONS(4519), 1,
      anon_sym_uy,
    ACTIONS(4521), 1,
      anon_sym_s,
    ACTIONS(4523), 1,
      anon_sym_us,
    ACTIONS(4525), 1,
      anon_sym_l,
    ACTIONS(4527), 1,
      aux_sym_uint32_token1,
    ACTIONS(4529), 1,
      anon_sym_n,
    ACTIONS(4531), 1,
      anon_sym_un,
    ACTIONS(4533), 1,
      anon_sym_L,
    ACTIONS(4535), 1,
      aux_sym_uint64_token1,
    ACTIONS(4537), 1,
      aux_sym_bignum_token1,
    ACTIONS(4539), 1,
      aux_sym_decimal_token1,
    STATE(2568), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [5085] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4541), 1,
      sym__digit_char_imm,
    STATE(2569), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_int_repeat1,
    ACTIONS(2006), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2008), 24,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [5149] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4515), 1,
      sym__digit_char_imm,
    STATE(2569), 1,
      aux_sym_int_repeat1,
    STATE(2570), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2013), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2015), 24,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [5215] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2571), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2026), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2028), 25,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym__digit_char_imm,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [5276] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2066), 1,
      aux_sym_float_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4479), 1,
      anon_sym_DOT2,
    ACTIONS(4544), 1,
      anon_sym_y,
    ACTIONS(4546), 1,
      anon_sym_uy,
    ACTIONS(4548), 1,
      anon_sym_s,
    ACTIONS(4550), 1,
      anon_sym_us,
    ACTIONS(4552), 1,
      anon_sym_l,
    ACTIONS(4554), 1,
      aux_sym_uint32_token1,
    ACTIONS(4556), 1,
      anon_sym_n,
    ACTIONS(4558), 1,
      anon_sym_un,
    ACTIONS(4560), 1,
      anon_sym_L,
    ACTIONS(4562), 1,
      aux_sym_uint64_token1,
    ACTIONS(4564), 1,
      aux_sym_bignum_token1,
    ACTIONS(4566), 1,
      aux_sym_decimal_token1,
    STATE(2572), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [5364] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(107), 1,
      aux_sym_xint_token1,
    ACTIONS(109), 1,
      aux_sym_xint_token2,
    ACTIONS(111), 1,
      aux_sym_xint_token3,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4568), 1,
      anon_sym_SQUOTE,
    ACTIONS(4570), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(4572), 1,
      anon_sym_DQUOTE,
    ACTIONS(4574), 1,
      anon_sym_AT_DQUOTE,
    ACTIONS(4576), 1,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4578), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4582), 1,
      aux_sym_int_token1,
    STATE(3337), 1,
      sym_int,
    STATE(3585), 1,
      sym_xint,
    STATE(4332), 1,
      sym_format_string,
    STATE(4376), 1,
      sym_format_triple_quoted_string,
    STATE(4406), 1,
      sym_float,
    STATE(4428), 1,
      sym_const,
    ACTIONS(4580), 2,
      sym_bool,
      sym_unit,
    STATE(2573), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4367), 21,
      sym_char,
      sym_string,
      sym_verbatim_string,
      sym_bytechar,
      sym_bytearray,
      sym_verbatim_bytearray,
      sym_triple_quoted_string,
      sym_sbyte,
      sym_byte,
      sym_int16,
      sym_uint16,
      sym_int32,
      sym_uint32,
      sym_nativeint,
      sym_unativeint,
      sym_int64,
      sym_uint64,
      sym_ieee32,
      sym_ieee64,
      sym_bignum,
      sym_decimal,
  [5453] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4584), 1,
      sym__digit_char_imm,
    STATE(2574), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_int_repeat1,
    ACTIONS(2006), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2008), 22,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [5511] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4587), 1,
      sym__digit_char_imm,
    STATE(2574), 1,
      aux_sym_int_repeat1,
    STATE(2575), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2013), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2015), 22,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [5571] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4587), 1,
      sym__digit_char_imm,
    STATE(2575), 1,
      aux_sym_int_repeat1,
    STATE(2576), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2000), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2002), 22,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [5631] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    STATE(2577), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [5688] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_LT2,
    ACTIONS(4600), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2631), 1,
      aux_sym__compound_type_repeat1,
    STATE(2652), 1,
      sym_long_identifier,
    STATE(2656), 1,
      sym_type_arguments,
    STATE(2578), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2192), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(2194), 18,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [5759] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_LT2,
    ACTIONS(4600), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2631), 1,
      aux_sym__compound_type_repeat1,
    STATE(2652), 1,
      sym_long_identifier,
    STATE(2656), 1,
      sym_type_arguments,
    STATE(2579), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4604), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(4602), 18,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [5830] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(4608), 1,
      anon_sym_DASH_GT,
    ACTIONS(4610), 1,
      anon_sym_STAR,
    ACTIONS(4612), 1,
      anon_sym_LT2,
    ACTIONS(4614), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2627), 1,
      aux_sym__compound_type_repeat1,
    STATE(2648), 1,
      sym_long_identifier,
    STATE(2659), 1,
      sym_type_arguments,
    STATE(2580), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2192), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(2194), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [5901] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(4608), 1,
      anon_sym_DASH_GT,
    ACTIONS(4610), 1,
      anon_sym_STAR,
    ACTIONS(4612), 1,
      anon_sym_LT2,
    ACTIONS(4614), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2627), 1,
      aux_sym__compound_type_repeat1,
    STATE(2648), 1,
      sym_long_identifier,
    STATE(2659), 1,
      sym_type_arguments,
    STATE(2581), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4618), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(4616), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [5972] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(4608), 1,
      anon_sym_DASH_GT,
    ACTIONS(4610), 1,
      anon_sym_STAR,
    ACTIONS(4612), 1,
      anon_sym_LT2,
    ACTIONS(4614), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2627), 1,
      aux_sym__compound_type_repeat1,
    STATE(2648), 1,
      sym_long_identifier,
    STATE(2659), 1,
      sym_type_arguments,
    STATE(2582), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2226), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(2228), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6043] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4620), 1,
      anon_sym_DOT,
    STATE(2585), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2583), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6102] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(4608), 1,
      anon_sym_DASH_GT,
    ACTIONS(4610), 1,
      anon_sym_STAR,
    ACTIONS(4612), 1,
      anon_sym_LT2,
    ACTIONS(4614), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2627), 1,
      aux_sym__compound_type_repeat1,
    STATE(2648), 1,
      sym_long_identifier,
    STATE(2659), 1,
      sym_type_arguments,
    STATE(2584), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2148), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(2150), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6173] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4620), 1,
      anon_sym_DOT,
    STATE(2577), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2585), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2339), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6232] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_LT2,
    ACTIONS(4600), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2631), 1,
      aux_sym__compound_type_repeat1,
    STATE(2652), 1,
      sym_long_identifier,
    STATE(2656), 1,
      sym_type_arguments,
    STATE(2586), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4618), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(4616), 18,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6303] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_LT2,
    ACTIONS(4600), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2631), 1,
      aux_sym__compound_type_repeat1,
    STATE(2652), 1,
      sym_long_identifier,
    STATE(2656), 1,
      sym_type_arguments,
    STATE(2587), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2148), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(2150), 18,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6374] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_LT2,
    ACTIONS(4600), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2631), 1,
      aux_sym__compound_type_repeat1,
    STATE(2652), 1,
      sym_long_identifier,
    STATE(2656), 1,
      sym_type_arguments,
    STATE(2588), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2226), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(2228), 18,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2589), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2026), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
      anon_sym_DOT2,
    ACTIONS(2028), 23,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym__digit_char_imm,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      aux_sym_float_token1,
      sym_identifier,
  [6500] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(4608), 1,
      anon_sym_DASH_GT,
    ACTIONS(4610), 1,
      anon_sym_STAR,
    ACTIONS(4612), 1,
      anon_sym_LT2,
    ACTIONS(4614), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2627), 1,
      aux_sym__compound_type_repeat1,
    STATE(2648), 1,
      sym_long_identifier,
    STATE(2659), 1,
      sym_type_arguments,
    STATE(2590), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2230), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(2232), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6571] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_LT2,
    ACTIONS(4600), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2631), 1,
      aux_sym__compound_type_repeat1,
    STATE(2652), 1,
      sym_long_identifier,
    STATE(2656), 1,
      sym_type_arguments,
    STATE(2591), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2230), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(2232), 18,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6642] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(4608), 1,
      anon_sym_DASH_GT,
    ACTIONS(4610), 1,
      anon_sym_STAR,
    ACTIONS(4612), 1,
      anon_sym_LT2,
    ACTIONS(4614), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2627), 1,
      aux_sym__compound_type_repeat1,
    STATE(2648), 1,
      sym_long_identifier,
    STATE(2659), 1,
      sym_type_arguments,
    STATE(2592), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4604), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(4602), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6713] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4622), 1,
      anon_sym_DOT,
    STATE(2593), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6769] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2594), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 24,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6823] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2066), 1,
      aux_sym_float_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4479), 1,
      anon_sym_DOT2,
    ACTIONS(4625), 1,
      anon_sym_y,
    ACTIONS(4627), 1,
      anon_sym_uy,
    ACTIONS(4629), 1,
      anon_sym_s,
    ACTIONS(4631), 1,
      anon_sym_us,
    ACTIONS(4633), 1,
      anon_sym_l,
    ACTIONS(4635), 1,
      aux_sym_uint32_token1,
    ACTIONS(4637), 1,
      anon_sym_n,
    ACTIONS(4639), 1,
      anon_sym_un,
    ACTIONS(4641), 1,
      anon_sym_L,
    ACTIONS(4643), 1,
      aux_sym_uint64_token1,
    ACTIONS(4645), 1,
      aux_sym_bignum_token1,
    ACTIONS(4647), 1,
      aux_sym_decimal_token1,
    STATE(2595), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4649), 1,
      anon_sym_DOT,
    STATE(2596), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [6961] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4652), 1,
      anon_sym_DOT,
    STATE(2593), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2597), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2339), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7019] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4652), 1,
      anon_sym_DOT,
    STATE(2597), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2598), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7077] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4654), 1,
      anon_sym_DOT,
    STATE(2600), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2599), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4654), 1,
      anon_sym_DOT,
    STATE(2596), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2600), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2339), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2601), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2734), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2736), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2602), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2837), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2839), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7299] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2603), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2825), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2827), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2604), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2821), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2823), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7405] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2605), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2817), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2819), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2606), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2813), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2815), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7511] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2607), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2809), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2811), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2608), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2805), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2807), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2609), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2797), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2799), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2610), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2424), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2426), 24,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2611), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2716), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2718), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2612), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2864), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2866), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7829] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2613), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2773), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2775), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2614), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2769), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2771), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2615), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2829), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2831), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [7988] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2616), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2833), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2835), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2617), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 24,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2618), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8147] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2619), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3372), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3374), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2620), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3372), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3374), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2621), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2742), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2744), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8306] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4656), 1,
      anon_sym_COLON_GT,
    STATE(2622), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2452), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8361] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2623), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2637), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2639), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2624), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2438), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2440), 24,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2625), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2617), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2619), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2626), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2845), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2847), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8573] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4610), 1,
      anon_sym_STAR,
    STATE(2633), 1,
      aux_sym__compound_type_repeat1,
    STATE(2627), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2333), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2335), 22,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2628), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2641), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2643), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2629), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2785), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2787), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2630), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2841), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2843), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8789] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    STATE(2638), 1,
      aux_sym__compound_type_repeat1,
    STATE(2631), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2333), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2335), 21,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2632), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2912), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2914), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8899] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4658), 1,
      anon_sym_STAR,
    STATE(2633), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__compound_type_repeat1,
    ACTIONS(2230), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2232), 22,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [8954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2634), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2738), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2740), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2635), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2728), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2730), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2636), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2896), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2898), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2637), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2888), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2890), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9166] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4661), 1,
      anon_sym_STAR,
    STATE(2638), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__compound_type_repeat1,
    ACTIONS(2230), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2232), 21,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9221] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4664), 1,
      anon_sym_COLON_GT,
    STATE(2639), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2452), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2640), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2424), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2426), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9329] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2641), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2892), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2894), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2642), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2643), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2692), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2694), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2644), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2868), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2870), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9541] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2645), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2438), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2440), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2646), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2460), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2462), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2647), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2434), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2436), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2648), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2408), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2414), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2649), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2472), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2474), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9802] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2650), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2442), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2444), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2651), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2464), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2466), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2652), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2408), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2414), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [9958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2653), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2428), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2430), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2654), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2460), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2462), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10062] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2655), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2476), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2478), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2656), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2468), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2470), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2657), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2476), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2478), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4666), 1,
      anon_sym_LT2,
    STATE(2658), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2454), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2456), 21,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2659), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2468), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2470), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2660), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2452), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2661), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2434), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2436), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2662), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2442), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2444), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2663), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2452), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2664), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2428), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2430), 23,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2665), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2472), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2474), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2666), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2464), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2466), 22,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10688] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4668), 1,
      anon_sym_LT2,
    STATE(2667), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2454), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2456), 22,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_RBRACK,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10742] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4670), 1,
      anon_sym_DOT,
    STATE(2668), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_EQ2,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10795] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4673), 1,
      anon_sym_DOT,
    STATE(2670), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2669), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10850] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4673), 1,
      anon_sym_DOT,
    STATE(2673), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2670), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2339), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10905] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    STATE(2668), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2671), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2339), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_EQ2,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [10960] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_LT2,
    ACTIONS(4600), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(2631), 1,
      aux_sym__compound_type_repeat1,
    STATE(2652), 1,
      sym_long_identifier,
    STATE(2656), 1,
      sym_type_arguments,
    STATE(2672), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4604), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
    ACTIONS(4602), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11025] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4677), 1,
      anon_sym_DOT,
    STATE(2673), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11078] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4680), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2674), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11134] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4682), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2675), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11190] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4684), 1,
      sym__digit_char_imm,
    ACTIONS(2008), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      aux_sym_uint32_token1,
    STATE(2676), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_int_repeat1,
    ACTIONS(2006), 27,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      anon_sym_f,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      anon_sym_DOT2,
      aux_sym_float_token1,
  [11242] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4687), 1,
      sym__digit_char_imm,
    STATE(2690), 1,
      aux_sym_int_repeat1,
    STATE(2677), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2002), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      aux_sym_uint32_token1,
    ACTIONS(2000), 27,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      anon_sym_f,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      anon_sym_DOT2,
      aux_sym_float_token1,
  [11296] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4689), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2678), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2679), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 20,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SQUOTE,
      anon_sym_EQ2,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11402] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4691), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2680), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11458] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4693), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2681), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11514] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4695), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2682), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11570] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4620), 1,
      anon_sym_DOT,
    STATE(2585), 1,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COLON,
      anon_sym_as,
    STATE(2683), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 8,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2370), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2373), 11,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11628] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2684), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2685), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 20,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11734] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2686), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11790] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2687), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11844] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2688), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11900] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    ACTIONS(4703), 1,
      anon_sym_EQ,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2689), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 17,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [11956] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4687), 1,
      sym__digit_char_imm,
    STATE(2676), 1,
      aux_sym_int_repeat1,
    STATE(2690), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2015), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      aux_sym_uint32_token1,
    ACTIONS(2013), 27,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      anon_sym_f,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      anon_sym_DOT2,
      aux_sym_float_token1,
  [12010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2691), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2734), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2736), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12059] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2692), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4705), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4707), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12112] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2693), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4711), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4713), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12165] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2694), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4715), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4717), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4723), 1,
      anon_sym_COMMA,
    STATE(2695), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4719), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4721), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12269] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2696), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2805), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2807), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12318] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4732), 1,
      anon_sym_COMMA,
    ACTIONS(4734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4738), 1,
      anon_sym_AMP,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2697), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4726), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4728), 15,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12381] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4740), 1,
      anon_sym_DOT,
    STATE(2705), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2698), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2699), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3372), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3374), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2700), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2728), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2730), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2701), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3372), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3374), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12581] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2745), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2702), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4742), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4744), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2703), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2738), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2740), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12681] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2704), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2742), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2744), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12730] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4740), 1,
      anon_sym_DOT,
    STATE(2707), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2705), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2339), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12783] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(353), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    STATE(4240), 1,
      sym_attribute,
    STATE(4460), 1,
      sym_object_construction,
    STATE(5351), 1,
      sym_attribute_target,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2706), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4746), 9,
      anon_sym_module,
      anon_sym_assembly,
      anon_sym_return,
      anon_sym_field,
      anon_sym_property,
      anon_sym_param,
      anon_sym_type,
      anon_sym_constructor,
      anon_sym_event,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [12854] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4756), 1,
      anon_sym_DOT,
    STATE(2707), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12905] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2708), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2769), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2771), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [12954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2709), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2773), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2775), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13003] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2710), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2797), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2799), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13052] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4763), 1,
      anon_sym_LT2,
    STATE(2711), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4759), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4761), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2712), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2864), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2866), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13152] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4769), 1,
      anon_sym_SEMI,
    STATE(2713), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4765), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4767), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13203] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2714), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2641), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2643), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13252] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(353), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    STATE(4199), 1,
      sym_attribute,
    STATE(4460), 1,
      sym_object_construction,
    STATE(5351), 1,
      sym_attribute_target,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2715), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4746), 9,
      anon_sym_module,
      anon_sym_assembly,
      anon_sym_return,
      anon_sym_field,
      anon_sym_property,
      anon_sym_param,
      anon_sym_type,
      anon_sym_constructor,
      anon_sym_event,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [13323] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2716), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2813), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2815), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2717), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2817), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2819), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13421] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2718), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2637), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2639), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2719), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2809), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2811), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13519] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2720), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2821), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2823), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13568] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(353), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    STATE(4282), 1,
      sym_attribute,
    STATE(4460), 1,
      sym_object_construction,
    STATE(5351), 1,
      sym_attribute_target,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2721), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4746), 9,
      anon_sym_module,
      anon_sym_assembly,
      anon_sym_return,
      anon_sym_field,
      anon_sym_property,
      anon_sym_param,
      anon_sym_type,
      anon_sym_constructor,
      anon_sym_event,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [13639] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2722), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2825), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2827), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13688] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2723), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4772), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4774), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13741] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2724), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4776), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4778), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2725), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2829), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2831), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2726), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2727), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2833), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2835), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13941] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2728), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2837), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2839), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [13990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2729), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2692), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2694), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14039] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(353), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    STATE(4449), 1,
      sym_attribute,
    STATE(4460), 1,
      sym_object_construction,
    STATE(5351), 1,
      sym_attribute_target,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2730), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4746), 9,
      anon_sym_module,
      anon_sym_assembly,
      anon_sym_return,
      anon_sym_field,
      anon_sym_property,
      anon_sym_param,
      anon_sym_type,
      anon_sym_constructor,
      anon_sym_event,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [14110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2731), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2617), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2619), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14159] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2732), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2845), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2847), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2733), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2716), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2718), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14257] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2734), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2785), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2787), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2735), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2028), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      aux_sym_uint32_token1,
    ACTIONS(2026), 28,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
      sym__digit_char_imm,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      anon_sym_f,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      anon_sym_DOT2,
      aux_sym_float_token1,
  [14355] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(353), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    STATE(4261), 1,
      sym_attribute,
    STATE(4460), 1,
      sym_object_construction,
    STATE(5351), 1,
      sym_attribute_target,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2736), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4746), 9,
      anon_sym_module,
      anon_sym_assembly,
      anon_sym_return,
      anon_sym_field,
      anon_sym_property,
      anon_sym_param,
      anon_sym_type,
      anon_sym_constructor,
      anon_sym_event,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [14426] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4784), 1,
      anon_sym_SEMI,
    STATE(2713), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2737), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4780), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4782), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14479] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2738), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2841), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2843), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2739), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2868), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2870), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14577] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2740), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2888), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2890), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2741), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2896), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2898), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14675] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4732), 1,
      anon_sym_COMMA,
    STATE(2695), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2742), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4786), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4788), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14728] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4732), 1,
      anon_sym_COMMA,
    ACTIONS(4734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4738), 1,
      anon_sym_AMP,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2743), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3492), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3490), 15,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14791] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4784), 1,
      anon_sym_SEMI,
    STATE(2737), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2744), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4742), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4744), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14844] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2713), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2745), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4780), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4782), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14895] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2746), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2912), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2914), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [14944] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4732), 1,
      anon_sym_COMMA,
    ACTIONS(4734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4738), 1,
      anon_sym_AMP,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2747), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4719), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4721), 15,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15007] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4732), 1,
      anon_sym_COMMA,
    ACTIONS(4734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4738), 1,
      anon_sym_AMP,
    STATE(2742), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2748), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4790), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4792), 15,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2749), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2892), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_when,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2894), 19,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2750), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2912), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2914), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15167] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2751), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4711), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4713), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2752), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3372), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3374), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15267] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4794), 1,
      anon_sym_COMMA,
    ACTIONS(4796), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4798), 1,
      anon_sym_PIPE,
    ACTIONS(4800), 1,
      anon_sym_AMP,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2753), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3492), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3490), 14,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15329] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2754), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3372), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3374), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15377] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2755), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2641), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2643), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15425] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2756), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2692), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2694), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2757), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4802), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4804), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15521] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2758), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2845), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2847), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15569] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2759), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2617), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2619), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2760), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2837), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2839), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2761), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4806), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4808), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15713] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2762), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2833), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2835), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15761] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2763), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2829), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2831), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15809] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2764), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2825), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2827), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2765), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2821), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2823), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15905] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2766), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2817), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2819), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [15953] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2767), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2716), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2718), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16001] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2768), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2813), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2815), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2769), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2809), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2811), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16097] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2770), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2805), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2807), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16145] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2771), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4705), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4707), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16197] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2772), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2797), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2799), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2773), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2773), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2775), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16293] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2774), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2769), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2771), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2775), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2888), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2890), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16389] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2776), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2896), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2898), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2777), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4810), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4812), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16485] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2778), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4759), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4761), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16533] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4818), 1,
      anon_sym_as,
    STATE(2779), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4814), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4816), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16583] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4794), 1,
      anon_sym_COMMA,
    ACTIONS(4796), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4798), 1,
      anon_sym_PIPE,
    ACTIONS(4800), 1,
      anon_sym_AMP,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2780), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4790), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4792), 14,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2781), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16693] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2782), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4820), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4822), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2783), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2438), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2440), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16789] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2784), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4824), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4826), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16837] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2785), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4828), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4830), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16885] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2786), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4832), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4834), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16933] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4794), 1,
      anon_sym_COMMA,
    ACTIONS(4796), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4798), 1,
      anon_sym_PIPE,
    ACTIONS(4800), 1,
      anon_sym_AMP,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2787), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4719), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4721), 14,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [16995] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2788), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4776), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4778), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17047] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4794), 1,
      anon_sym_COMMA,
    STATE(2791), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2789), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4786), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4788), 17,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17099] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2790), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4715), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4717), 18,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17151] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4836), 1,
      anon_sym_COMMA,
    STATE(2791), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4719), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4721), 17,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17201] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4794), 1,
      anon_sym_COMMA,
    ACTIONS(4796), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4798), 1,
      anon_sym_PIPE,
    ACTIONS(4800), 1,
      anon_sym_AMP,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2792), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4726), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4728), 14,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2793), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4765), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4767), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17311] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2794), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4839), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4841), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17359] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2795), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4843), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4845), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17407] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2796), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4847), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4849), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17455] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2797), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4851), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4853), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17503] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2798), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2864), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2866), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17551] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2799), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4855), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4857), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17599] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2800), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2637), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2639), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17647] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2801), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2424), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2426), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2802), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2892), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2894), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17743] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2803), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2742), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2744), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17791] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2804), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2868), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2870), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2805), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2841), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2843), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17887] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2806), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2785), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2787), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2807), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4859), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4861), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [17983] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2808), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4863), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4865), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [18031] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2809), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2734), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2736), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [18079] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    ACTIONS(4730), 1,
      anon_sym_as,
    ACTIONS(4794), 1,
      anon_sym_COMMA,
    ACTIONS(4796), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4798), 1,
      anon_sym_PIPE,
    ACTIONS(4800), 1,
      anon_sym_AMP,
    STATE(2789), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2810), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4867), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4869), 14,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [18141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2811), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 19,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [18189] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2812), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4871), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4873), 19,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [18237] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2813), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2728), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2730), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [18285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2814), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2738), 12,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2740), 18,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [18333] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4875), 1,
      sym_identifier,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1953), 1,
      sym_type,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2044), 1,
      sym_long_identifier,
    STATE(2085), 1,
      sym_curried_spec,
    STATE(2839), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2815), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [18414] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1777), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    STATE(2074), 1,
      sym_curried_spec,
    STATE(2879), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2816), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [18495] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4899), 1,
      anon_sym_LT2,
    STATE(2817), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4759), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4761), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [18544] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4901), 1,
      sym_identifier,
    STATE(2883), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3109), 1,
      sym_type,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3643), 1,
      sym_curried_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2818), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [18625] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1777), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    STATE(2077), 1,
      sym_curried_spec,
    STATE(2879), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2819), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [18706] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4903), 1,
      sym_identifier,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    STATE(2876), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3047), 1,
      sym_type,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3292), 1,
      sym_long_identifier,
    STATE(3586), 1,
      sym_curried_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2820), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [18787] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4479), 1,
      anon_sym_DOT2,
    ACTIONS(4913), 1,
      anon_sym_y,
    ACTIONS(4915), 1,
      anon_sym_uy,
    ACTIONS(4917), 1,
      anon_sym_s,
    ACTIONS(4919), 1,
      anon_sym_us,
    ACTIONS(4921), 1,
      anon_sym_l,
    ACTIONS(4923), 1,
      aux_sym_uint32_token1,
    ACTIONS(4925), 1,
      anon_sym_n,
    ACTIONS(4927), 1,
      anon_sym_un,
    ACTIONS(4929), 1,
      anon_sym_L,
    ACTIONS(4931), 1,
      aux_sym_uint64_token1,
    ACTIONS(4933), 1,
      aux_sym_bignum_token1,
    ACTIONS(4935), 1,
      aux_sym_decimal_token1,
    ACTIONS(4937), 1,
      aux_sym_float_token1,
    ACTIONS(2038), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2821), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2036), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [18862] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(4939), 1,
      anon_sym_do,
    ACTIONS(4941), 1,
      anon_sym_new,
    ACTIONS(4943), 1,
      anon_sym_static,
    ACTIONS(4945), 1,
      anon_sym_member,
    ACTIONS(4947), 1,
      anon_sym_interface,
    ACTIONS(4949), 1,
      anon_sym_abstract,
    ACTIONS(4953), 1,
      anon_sym_val,
    ACTIONS(4955), 1,
      anon_sym_inherit,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3288), 1,
      sym_member_defn,
    STATE(3450), 1,
      sym_attributes,
    STATE(3620), 1,
      sym_additional_constr_defn,
    STATE(4026), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4155), 1,
      sym_interface_implementation,
    STATE(4163), 1,
      sym__class_type_body_inner,
    STATE(4412), 1,
      sym_access_modifier,
    STATE(4556), 1,
      sym__member_defns,
    STATE(4687), 1,
      sym_function_or_value_defn,
    STATE(5151), 1,
      sym__class_type_body,
    ACTIONS(4951), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2822), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4675), 3,
      sym__class_function_or_value_defn,
      sym__type_defn_elements,
      sym_class_inherits_decl,
  [18957] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(4939), 1,
      anon_sym_do,
    ACTIONS(4941), 1,
      anon_sym_new,
    ACTIONS(4943), 1,
      anon_sym_static,
    ACTIONS(4945), 1,
      anon_sym_member,
    ACTIONS(4947), 1,
      anon_sym_interface,
    ACTIONS(4949), 1,
      anon_sym_abstract,
    ACTIONS(4953), 1,
      anon_sym_val,
    ACTIONS(4955), 1,
      anon_sym_inherit,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3288), 1,
      sym_member_defn,
    STATE(3450), 1,
      sym_attributes,
    STATE(3620), 1,
      sym_additional_constr_defn,
    STATE(4026), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4155), 1,
      sym_interface_implementation,
    STATE(4163), 1,
      sym__class_type_body_inner,
    STATE(4412), 1,
      sym_access_modifier,
    STATE(4556), 1,
      sym__member_defns,
    STATE(4687), 1,
      sym_function_or_value_defn,
    STATE(4897), 1,
      sym__class_type_body,
    ACTIONS(4951), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2823), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4675), 3,
      sym__class_function_or_value_defn,
      sym__type_defn_elements,
      sym_class_inherits_decl,
  [19052] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4901), 1,
      sym_identifier,
    STATE(2883), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3109), 1,
      sym_type,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3640), 1,
      sym_curried_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2824), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [19133] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4875), 1,
      sym_identifier,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1953), 1,
      sym_type,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2044), 1,
      sym_long_identifier,
    STATE(2100), 1,
      sym_curried_spec,
    STATE(2839), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2825), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [19214] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4903), 1,
      sym_identifier,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    STATE(2876), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3047), 1,
      sym_type,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3292), 1,
      sym_long_identifier,
    STATE(3587), 1,
      sym_curried_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2826), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [19295] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2827), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2805), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2807), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19341] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4961), 1,
      anon_sym_COMMA,
    ACTIONS(4963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4965), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2828), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4726), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4728), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19401] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2829), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4871), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4873), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19447] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2830), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4859), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4861), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19493] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2831), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4802), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4804), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19539] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2832), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4820), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4822), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19585] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2833), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4806), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4808), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19631] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2834), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4810), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4812), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19677] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2835), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4765), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4767), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19723] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4969), 1,
      anon_sym_SEMI,
    STATE(2836), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4765), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4767), 15,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19771] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2837), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4772), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4774), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19821] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4972), 1,
      anon_sym_COMMA,
    STATE(2840), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2838), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4786), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4788), 15,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19871] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4875), 1,
      sym_identifier,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1940), 1,
      sym_type,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2044), 1,
      sym_long_identifier,
    STATE(2864), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2839), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [19949] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4974), 1,
      anon_sym_COMMA,
    STATE(2840), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4719), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4721), 15,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [19997] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4977), 1,
      anon_sym_SEMI,
    STATE(2841), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4765), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4767), 15,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20045] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2841), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2842), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4780), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4782), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20093] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2845), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2843), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4742), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4744), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2844), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4863), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4865), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20187] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2836), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2845), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4780), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4782), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20235] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2846), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4847), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4849), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20281] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2847), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4843), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4845), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2848), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2424), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2426), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20373] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4980), 1,
      anon_sym_COMMA,
    STATE(2849), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4719), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4721), 15,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2850), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4715), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4717), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20471] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2851), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4711), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4713), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20521] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2852), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2438), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2440), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20567] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2853), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4776), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4778), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20617] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4961), 1,
      anon_sym_COMMA,
    ACTIONS(4963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4965), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2854), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4719), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4721), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20677] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2855), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4832), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4834), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2856), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4824), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4826), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20769] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4961), 1,
      anon_sym_COMMA,
    ACTIONS(4963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4965), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2857), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3492), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3490), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20829] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4961), 1,
      anon_sym_COMMA,
    STATE(2849), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2858), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4786), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4788), 15,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20879] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2859), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4705), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4707), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2860), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4759), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4761), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [20975] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4983), 1,
      anon_sym_as,
    STATE(2861), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4814), 10,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4816), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21023] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4961), 1,
      anon_sym_COMMA,
    ACTIONS(4963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4965), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2862), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4790), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4792), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21083] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2863), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4828), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4830), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21129] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4985), 1,
      sym_identifier,
    ACTIONS(4988), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4991), 1,
      anon_sym__,
    ACTIONS(4994), 1,
      anon_sym_QMARK,
    ACTIONS(4997), 1,
      anon_sym_LPAREN,
    ACTIONS(5000), 1,
      anon_sym_POUND,
    STATE(3040), 1,
      sym_attributes,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(3888), 1,
      sym_type,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(5003), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2864), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_curried_spec_repeat1,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [21205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2865), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2728), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2730), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21251] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2866), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4839), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4841), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21297] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2867), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4772), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4774), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21347] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2868), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4851), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4853), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21393] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2869), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4855), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4857), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21439] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4972), 1,
      anon_sym_COMMA,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5010), 1,
      anon_sym_PIPE,
    ACTIONS(5012), 1,
      anon_sym_AMP,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2870), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4726), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4728), 12,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21499] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2871), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4715), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4717), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21549] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2872), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4711), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4713), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21599] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2873), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4776), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4778), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21649] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4972), 1,
      anon_sym_COMMA,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5010), 1,
      anon_sym_PIPE,
    ACTIONS(5012), 1,
      anon_sym_AMP,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2874), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4719), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4721), 12,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21709] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4972), 1,
      anon_sym_COMMA,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5010), 1,
      anon_sym_PIPE,
    ACTIONS(5012), 1,
      anon_sym_AMP,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2875), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3492), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(3490), 12,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21769] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4903), 1,
      sym_identifier,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    STATE(2864), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3048), 1,
      sym_type,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3292), 1,
      sym_long_identifier,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2876), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [21847] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2877), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4705), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4707), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21897] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4972), 1,
      anon_sym_COMMA,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5010), 1,
      anon_sym_PIPE,
    ACTIONS(5012), 1,
      anon_sym_AMP,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2878), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4790), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4792), 12,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [21957] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1802), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    STATE(2864), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2879), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [22035] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4957), 1,
      anon_sym_COLON,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4961), 1,
      anon_sym_COMMA,
    ACTIONS(4963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4965), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    STATE(2858), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2880), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4772), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4774), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22095] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2842), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2881), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4742), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4744), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2882), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22189] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(4901), 1,
      sym_identifier,
    STATE(2864), 1,
      aux_sym_curried_spec_repeat1,
    STATE(3040), 1,
      sym_attributes,
    STATE(3101), 1,
      sym_type,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(4213), 1,
      sym_argument_spec,
    STATE(5197), 1,
      sym_arguments_spec,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2883), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [22267] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4959), 1,
      anon_sym_as,
    ACTIONS(4972), 1,
      anon_sym_COMMA,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5010), 1,
      anon_sym_PIPE,
    ACTIONS(5012), 1,
      anon_sym_AMP,
    STATE(2838), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(2884), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4772), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4774), 12,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2885), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2692), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2694), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22373] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2886), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2738), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2740), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22419] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2887), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2896), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2898), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2888), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2888), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2890), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22511] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2889), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2742), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2744), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22557] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2890), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2769), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2771), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22603] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2891), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2773), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2775), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2892), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2797), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2799), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2893), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2809), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2811), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2894), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2637), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2639), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2895), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2641), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2643), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2896), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2813), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2815), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2897), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2817), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2819), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22925] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2898), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2821), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2823), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [22971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2899), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2864), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2866), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23017] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2900), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2825), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2827), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2901), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2829), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2831), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2902), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2833), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2835), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23155] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(4939), 1,
      anon_sym_do,
    ACTIONS(4941), 1,
      anon_sym_new,
    ACTIONS(4943), 1,
      anon_sym_static,
    ACTIONS(4945), 1,
      anon_sym_member,
    ACTIONS(4947), 1,
      anon_sym_interface,
    ACTIONS(4949), 1,
      anon_sym_abstract,
    ACTIONS(4953), 1,
      anon_sym_val,
    ACTIONS(4955), 1,
      anon_sym_inherit,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3288), 1,
      sym_member_defn,
    STATE(3450), 1,
      sym_attributes,
    STATE(3620), 1,
      sym_additional_constr_defn,
    STATE(4026), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4155), 1,
      sym_interface_implementation,
    STATE(4412), 1,
      sym_access_modifier,
    STATE(4485), 1,
      sym__class_type_body_inner,
    STATE(4556), 1,
      sym__member_defns,
    STATE(4687), 1,
      sym_function_or_value_defn,
    ACTIONS(4951), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2903), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4675), 3,
      sym__class_function_or_value_defn,
      sym__type_defn_elements,
      sym_class_inherits_decl,
  [23247] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2904), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2716), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2718), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23293] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2905), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2837), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2839), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23339] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2906), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2734), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2736), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23385] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2907), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2785), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2787), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23431] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2908), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2841), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2843), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23477] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2909), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2868), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2870), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23523] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2910), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2892), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2894), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23569] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2911), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2912), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2914), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23615] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2912), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2617), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2619), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23661] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2913), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2845), 11,
      anon_sym_COLON,
      anon_sym_null,
      anon_sym__,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2847), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23707] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5016), 1,
      anon_sym_LBRACK_LT,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2914), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_attributes_repeat1,
    ACTIONS(5014), 10,
      anon_sym_mutable,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5019), 14,
      aux_sym_access_modifier_token1,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23756] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5025), 1,
      anon_sym_DOT,
    STATE(2915), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5021), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_with,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5023), 15,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23802] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(5027), 1,
      sym_identifier,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    STATE(3040), 1,
      sym_attributes,
    STATE(3257), 1,
      sym_argument_name_spec,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3692), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(3888), 1,
      sym_type,
    STATE(4402), 1,
      sym_argument_spec,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2916), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [23874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2917), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5037), 10,
      anon_sym_mutable,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5039), 15,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23917] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2918), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5041), 10,
      anon_sym_mutable,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5043), 15,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [23960] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5045), 1,
      anon_sym_EQ,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_with,
    ACTIONS(5051), 1,
      anon_sym_new,
    ACTIONS(5053), 1,
      anon_sym_static,
    ACTIONS(5055), 1,
      anon_sym_member,
    ACTIONS(5057), 1,
      anon_sym_interface,
    ACTIONS(5059), 1,
      anon_sym_abstract,
    ACTIONS(5063), 1,
      anon_sym_val,
    STATE(2026), 1,
      sym_member_defn,
    STATE(2115), 1,
      sym_additional_constr_defn,
    STATE(2314), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(2357), 1,
      sym_interface_implementation,
    STATE(2386), 1,
      sym_type_extension_elements,
    STATE(2394), 1,
      sym__member_defns,
    STATE(2408), 1,
      sym__type_defn_elements,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3615), 1,
      sym_attributes,
    STATE(4228), 1,
      sym_access_modifier,
    STATE(5257), 1,
      sym_primary_constr_args,
    ACTIONS(5061), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2919), 2,
      sym_xml_doc,
      sym_block_comment,
  [24047] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5047), 1,
      anon_sym_LPAREN,
    ACTIONS(5065), 1,
      anon_sym_EQ,
    ACTIONS(5067), 1,
      anon_sym_with,
    ACTIONS(5069), 1,
      anon_sym_new,
    ACTIONS(5071), 1,
      anon_sym_static,
    ACTIONS(5073), 1,
      anon_sym_member,
    ACTIONS(5075), 1,
      anon_sym_interface,
    ACTIONS(5077), 1,
      anon_sym_abstract,
    ACTIONS(5081), 1,
      anon_sym_val,
    STATE(1887), 1,
      sym_member_defn,
    STATE(2101), 1,
      sym_additional_constr_defn,
    STATE(2217), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(2344), 1,
      sym_interface_implementation,
    STATE(2355), 1,
      sym_type_extension_elements,
    STATE(2363), 1,
      sym__member_defns,
    STATE(2370), 1,
      sym__type_defn_elements,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3621), 1,
      sym_attributes,
    STATE(4241), 1,
      sym_access_modifier,
    STATE(5172), 1,
      sym_primary_constr_args,
    ACTIONS(5079), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2920), 2,
      sym_xml_doc,
      sym_block_comment,
  [24134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2921), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5083), 10,
      anon_sym_mutable,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5085), 15,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24177] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2922), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5087), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_with,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5089), 15,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24220] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5091), 1,
      anon_sym_DOT,
    STATE(2924), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2923), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2382), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24266] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5091), 1,
      anon_sym_DOT,
    STATE(2925), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2924), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2339), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24312] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5093), 1,
      anon_sym_DOT,
    STATE(2925), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24356] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2914), 1,
      aux_sym_attributes_repeat1,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2926), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5096), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5098), 13,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    STATE(2927), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5100), 10,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      anon_sym_LPAREN_STAR_RPAREN,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5102), 14,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym__identifier_or_op_token1,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2928), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2318), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24485] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5104), 1,
      anon_sym_SEMI,
    STATE(2929), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4765), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4767), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24528] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5107), 1,
      anon_sym_with,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    ACTIONS(5123), 1,
      sym__dedent,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4137), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4835), 1,
      sym__type_defn_elements,
    STATE(5134), 1,
      sym_type_extension_elements,
    STATE(5227), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2930), 2,
      sym_xml_doc,
      sym_block_comment,
  [24609] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2931), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4765), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4767), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2932), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2462), 11,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_COLON,
      aux_sym_access_modifier_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2460), 12,
      anon_sym_and,
      anon_sym_LPAREN,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [24691] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5125), 1,
      anon_sym_SEMI,
    STATE(2929), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2933), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4780), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4782), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24736] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5107), 1,
      anon_sym_with,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    ACTIONS(5127), 1,
      sym__dedent,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4137), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4835), 1,
      sym__type_defn_elements,
    STATE(4850), 1,
      sym_type_extension_elements,
    STATE(5227), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2934), 2,
      sym_xml_doc,
      sym_block_comment,
  [24817] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5107), 1,
      anon_sym_with,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    ACTIONS(5129), 1,
      sym__dedent,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4137), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4727), 1,
      sym_type_extension_elements,
    STATE(4835), 1,
      sym__type_defn_elements,
    STATE(5227), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2935), 2,
      sym_xml_doc,
      sym_block_comment,
  [24898] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5125), 1,
      anon_sym_SEMI,
    STATE(2933), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2936), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4742), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4744), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [24943] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5107), 1,
      anon_sym_with,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    ACTIONS(5131), 1,
      sym__dedent,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4137), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4835), 1,
      sym__type_defn_elements,
    STATE(4926), 1,
      sym_type_extension_elements,
    STATE(5227), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(2937), 2,
      sym_xml_doc,
      sym_block_comment,
  [25024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2938), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2474), 11,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_COLON,
      aux_sym_access_modifier_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2472), 12,
      anon_sym_and,
      anon_sym_LPAREN,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [25065] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2939), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2466), 11,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      anon_sym_COLON,
      aux_sym_access_modifier_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2464), 12,
      anon_sym_and,
      anon_sym_LPAREN,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [25106] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2376), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5133), 1,
      anon_sym_EQ,
    ACTIONS(5137), 1,
      anon_sym_COLON,
    ACTIONS(5141), 1,
      anon_sym_DOT,
    ACTIONS(5143), 1,
      anon_sym_of,
    STATE(3041), 1,
      aux_sym_long_identifier_repeat1,
    STATE(2940), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5135), 4,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
    ACTIONS(5139), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [25161] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2941), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2617), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2619), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [25201] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2942), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2817), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2819), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [25241] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5147), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5119), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2943), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25301] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2944), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2460), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2462), 13,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [25341] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5149), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5113), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2945), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25401] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5151), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5142), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2946), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25461] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5153), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5146), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2947), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25521] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5155), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4910), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2948), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2949), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5100), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5102), 13,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [25621] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2950), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4802), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4804), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [25661] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2951), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4820), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4822), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [25701] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5157), 1,
      anon_sym_SEMI,
    STATE(2966), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2952), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4780), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4782), 11,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [25745] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5159), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4931), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2953), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25805] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5161), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4949), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2954), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25865] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5163), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4965), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2955), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25925] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5165), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5232), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2956), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [25985] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2957), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2038), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2036), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26025] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5167), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5036), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2958), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [26085] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5169), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5174), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2959), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [26145] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2960), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2692), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2694), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26185] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2961), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2728), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2730), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2962), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2738), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2740), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2963), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2742), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2744), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2964), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4806), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4808), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2965), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4810), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4812), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26385] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5171), 1,
      anon_sym_SEMI,
    STATE(2966), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4765), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4767), 11,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2967), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2769), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2771), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2968), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2773), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2775), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2969), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2797), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2799), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26547] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2970), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2805), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2807), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26587] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5174), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4948), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2971), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [26647] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2972), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2809), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2811), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2973), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2813), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2815), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26727] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5176), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5373), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2974), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [26787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2975), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4871), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4873), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26827] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5178), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5221), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2976), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [26887] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2977), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2821), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2823), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2978), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2825), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2827), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [26967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2979), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2829), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2831), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2980), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2833), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2835), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27047] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5180), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5049), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2981), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [27107] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5182), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5340), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2982), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [27167] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2983), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2845), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2847), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2984), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2912), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2914), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27247] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2985), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2892), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2894), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27287] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2986), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2868), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2870), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2987), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2841), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2843), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2988), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5184), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5186), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27407] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5188), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5021), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2989), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [27467] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5190), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5102), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2990), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [27527] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5192), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4920), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2991), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [27587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2992), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4859), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4861), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27627] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2993), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5194), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5196), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27667] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2994), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2785), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2787), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27707] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2995), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5198), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(5200), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27747] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2996), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2734), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2736), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2997), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2716), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2718), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27827] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5202), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4987), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(2998), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [27887] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(2999), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2464), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2466), 13,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [27927] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5204), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4759), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3000), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [27987] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5157), 1,
      anon_sym_SEMI,
    STATE(2952), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3001), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4742), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(4744), 11,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [28031] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5206), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(5075), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3002), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [28091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3003), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2888), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2890), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [28131] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3004), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2896), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2898), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [28171] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3005), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2837), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2839), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [28211] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3006), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2637), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2639), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [28251] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3007), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2472), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2474), 13,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_COLON_QMARK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [28291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3008), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2641), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2643), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [28331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3009), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2864), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2866), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [28371] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5208), 1,
      anon_sym_LBRACK_LT,
    STATE(3115), 1,
      sym_attribute_set,
    ACTIONS(5014), 2,
      anon_sym_let,
      anon_sym_LPAREN,
    STATE(3010), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_attributes_repeat1,
    ACTIONS(5019), 16,
      anon_sym_module,
      anon_sym_type,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
      anon_sym__,
      anon_sym_new,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [28414] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3011), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2194), 4,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
    ACTIONS(2192), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [28469] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4839), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3012), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [28526] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3013), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5221), 5,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_STAR,
    ACTIONS(5223), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [28579] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3014), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2194), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(2192), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [28634] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5235), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(4732), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3015), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [28691] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3016), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2228), 4,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
    ACTIONS(2226), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [28746] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5237), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(5377), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3017), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [28803] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3018), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2232), 4,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
    ACTIONS(2230), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [28858] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3019), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2150), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(2148), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [28913] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5239), 1,
      sym_identifier,
    STATE(3034), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3396), 1,
      sym_union_type_field,
    STATE(3481), 1,
      sym_union_type_fields,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3020), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [28970] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5241), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(4994), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3021), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29027] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3022), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5243), 4,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
    ACTIONS(5245), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [29082] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4740), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3023), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29139] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5247), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(5360), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3024), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29196] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5249), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(5109), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3025), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29253] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4265), 1,
      sym_type_attribute,
    STATE(4962), 1,
      sym_type_attributes,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3026), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29310] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5251), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(5342), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3027), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29367] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5141), 1,
      anon_sym_DOT,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    STATE(3041), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3028), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2376), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [29412] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3029), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2232), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(2230), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [29467] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5255), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(5225), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3030), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29524] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3031), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5257), 4,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
    ACTIONS(5259), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [29579] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3010), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    ACTIONS(5096), 2,
      anon_sym_let,
      anon_sym_LPAREN,
    STATE(3032), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5098), 16,
      anon_sym_module,
      anon_sym_type,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
      anon_sym__,
      anon_sym_new,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [29624] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5261), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(5286), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3033), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29681] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3034), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5263), 5,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_STAR,
    ACTIONS(5265), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [29734] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5239), 1,
      sym_identifier,
    STATE(3034), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3396), 1,
      sym_union_type_field,
    STATE(3514), 1,
      sym_union_type_fields,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3035), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29791] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3036), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2150), 4,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
    ACTIONS(2148), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [29846] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5267), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(5177), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3037), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29903] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5269), 1,
      anon_sym_GT,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3645), 1,
      sym_type,
    STATE(5039), 1,
      sym_types,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3038), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [29960] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3039), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2228), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(2226), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [30015] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4881), 1,
      anon_sym_QMARK,
    ACTIONS(5027), 1,
      sym_identifier,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    STATE(3222), 1,
      sym_argument_name_spec,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3871), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3040), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [30072] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5141), 1,
      anon_sym_DOT,
    STATE(3058), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3041), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2339), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2337), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [30114] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5271), 1,
      sym_identifier,
    STATE(2230), 1,
      sym__type_defn_body,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2919), 1,
      sym_type_name,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(3974), 1,
      sym_attributes,
    STATE(4007), 1,
      sym_access_modifier,
    STATE(5345), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3042), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2406), 7,
      sym_type_extension,
      sym_delegate_type_defn,
      sym_type_abbrev_defn,
      sym_record_type_defn,
      sym_enum_type_defn,
      sym_union_type_defn,
      sym_anon_type_defn,
  [30174] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5141), 1,
      anon_sym_DOT,
    STATE(3041), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3043), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2376), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [30216] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5271), 1,
      sym_identifier,
    STATE(2364), 1,
      sym__type_defn_body,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2920), 1,
      sym_type_name,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(3974), 1,
      sym_attributes,
    STATE(4007), 1,
      sym_access_modifier,
    STATE(5345), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3044), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2360), 7,
      sym_type_extension,
      sym_delegate_type_defn,
      sym_type_abbrev_defn,
      sym_record_type_defn,
      sym_enum_type_defn,
      sym_union_type_defn,
      sym_anon_type_defn,
  [30276] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5271), 1,
      sym_identifier,
    STATE(2225), 1,
      sym__type_defn_body,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2919), 1,
      sym_type_name,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(3974), 1,
      sym_attributes,
    STATE(4007), 1,
      sym_access_modifier,
    STATE(5345), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3045), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2406), 7,
      sym_type_extension,
      sym_delegate_type_defn,
      sym_type_abbrev_defn,
      sym_record_type_defn,
      sym_enum_type_defn,
      sym_union_type_defn,
      sym_anon_type_defn,
  [30336] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5271), 1,
      sym_identifier,
    STATE(2410), 1,
      sym__type_defn_body,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2919), 1,
      sym_type_name,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(3974), 1,
      sym_attributes,
    STATE(4007), 1,
      sym_access_modifier,
    STATE(5345), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3046), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2406), 7,
      sym_type_extension,
      sym_delegate_type_defn,
      sym_type_abbrev_defn,
      sym_record_type_defn,
      sym_enum_type_defn,
      sym_union_type_defn,
      sym_anon_type_defn,
  [30396] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    ACTIONS(3445), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    STATE(3047), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3441), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3443), 8,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [30448] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    ACTIONS(3445), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    STATE(3048), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3449), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3451), 8,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [30500] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(353), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    STATE(4459), 1,
      sym_object_construction,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3049), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [30554] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5273), 1,
      anon_sym_DOT,
    STATE(3052), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3050), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2376), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [30596] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5275), 1,
      anon_sym_DOT,
    STATE(3051), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2318), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2316), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [30636] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5273), 1,
      anon_sym_DOT,
    STATE(3051), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3052), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2339), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2337), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [30678] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4137), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4747), 1,
      sym__type_defn_elements,
    STATE(5227), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3053), 2,
      sym_xml_doc,
      sym_block_comment,
  [30750] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5239), 1,
      sym_identifier,
    STATE(3034), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3436), 1,
      sym_union_type_field,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3054), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [30804] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4137), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4999), 1,
      sym__type_defn_elements,
    STATE(5227), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3055), 2,
      sym_xml_doc,
      sym_block_comment,
  [30876] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5271), 1,
      sym_identifier,
    STATE(2194), 1,
      sym__type_defn_body,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2920), 1,
      sym_type_name,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(3974), 1,
      sym_attributes,
    STATE(4007), 1,
      sym_access_modifier,
    STATE(5345), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3056), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2360), 7,
      sym_type_extension,
      sym_delegate_type_defn,
      sym_type_abbrev_defn,
      sym_record_type_defn,
      sym_enum_type_defn,
      sym_union_type_defn,
      sym_anon_type_defn,
  [30936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3057), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2920), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2922), 11,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [30974] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5278), 1,
      anon_sym_DOT,
    STATE(3058), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2318), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2316), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [31014] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4203), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym__,
    ACTIONS(5283), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_POUND,
    STATE(352), 1,
      sym_type,
    STATE(2462), 1,
      sym_type_argument,
    STATE(2480), 1,
      sym_long_identifier,
    STATE(4223), 1,
      sym_object_construction,
    ACTIONS(5287), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3059), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2490), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3060), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2680), 9,
      anon_sym_null,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DQUOTE,
      anon_sym_DQUOTE,
      sym_bool,
      aux_sym_int_token1,
      sym_identifier,
    ACTIONS(2682), 11,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE,
      anon_sym_LT2,
      anon_sym_SQUOTE,
      anon_sym_AT_DQUOTE,
      anon_sym_DOLLAR_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_unit,
      aux_sym_xint_token1,
      aux_sym_xint_token2,
      aux_sym_xint_token3,
  [31106] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3712), 1,
      sym_type,
    STATE(4532), 1,
      sym_type_attribute,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3061), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31160] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5271), 1,
      sym_identifier,
    STATE(2380), 1,
      sym__type_defn_body,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2920), 1,
      sym_type_name,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(3974), 1,
      sym_attributes,
    STATE(4007), 1,
      sym_access_modifier,
    STATE(5345), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3062), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2360), 7,
      sym_type_extension,
      sym_delegate_type_defn,
      sym_type_abbrev_defn,
      sym_record_type_defn,
      sym_enum_type_defn,
      sym_union_type_defn,
      sym_anon_type_defn,
  [31220] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4203), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym__,
    ACTIONS(5283), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_POUND,
    STATE(354), 1,
      sym_type,
    STATE(2462), 1,
      sym_type_argument,
    STATE(2480), 1,
      sym_long_identifier,
    STATE(4223), 1,
      sym_object_construction,
    ACTIONS(5287), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3063), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2490), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31274] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5271), 1,
      sym_identifier,
    STATE(2180), 1,
      sym__type_defn_body,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2920), 1,
      sym_type_name,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(3974), 1,
      sym_attributes,
    STATE(4007), 1,
      sym_access_modifier,
    STATE(5345), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3064), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2360), 7,
      sym_type_extension,
      sym_delegate_type_defn,
      sym_type_abbrev_defn,
      sym_record_type_defn,
      sym_enum_type_defn,
      sym_union_type_defn,
      sym_anon_type_defn,
  [31334] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3436), 1,
      anon_sym_COLON,
    ACTIONS(5273), 1,
      anon_sym_DOT,
    STATE(3052), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3065), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2376), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [31378] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4137), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4816), 1,
      sym__type_defn_elements,
    STATE(5227), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3066), 2,
      sym_xml_doc,
      sym_block_comment,
  [31450] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5271), 1,
      sym_identifier,
    STATE(2416), 1,
      sym__type_defn_body,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(2919), 1,
      sym_type_name,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(3974), 1,
      sym_attributes,
    STATE(4007), 1,
      sym_access_modifier,
    STATE(5345), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3067), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2406), 7,
      sym_type_extension,
      sym_delegate_type_defn,
      sym_type_abbrev_defn,
      sym_record_type_defn,
      sym_enum_type_defn,
      sym_union_type_defn,
      sym_anon_type_defn,
  [31510] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3210), 1,
      sym_type,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3068), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31561] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(376), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3069), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31612] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(5297), 1,
      anon_sym__,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    ACTIONS(5301), 1,
      anon_sym_POUND,
    STATE(2622), 1,
      sym_type_argument,
    STATE(2658), 1,
      sym_long_identifier,
    STATE(2672), 1,
      sym_type,
    ACTIONS(5303), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3070), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2660), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31663] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2924), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5305), 1,
      anon_sym__,
    ACTIONS(5307), 1,
      anon_sym_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_POUND,
    STATE(970), 1,
      sym_type,
    STATE(1223), 1,
      sym_type_argument,
    STATE(1253), 1,
      sym_long_identifier,
    ACTIONS(5311), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3071), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1224), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31714] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      anon_sym__,
    ACTIONS(5317), 1,
      anon_sym_LPAREN,
    ACTIONS(5319), 1,
      anon_sym_POUND,
    STATE(3331), 1,
      sym_type,
    STATE(3409), 1,
      sym_type_argument,
    STATE(3557), 1,
      sym_long_identifier,
    ACTIONS(5321), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3072), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3521), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31765] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      anon_sym__,
    ACTIONS(5317), 1,
      anon_sym_LPAREN,
    ACTIONS(5319), 1,
      anon_sym_POUND,
    STATE(3334), 1,
      sym_type,
    STATE(3409), 1,
      sym_type_argument,
    STATE(3557), 1,
      sym_long_identifier,
    ACTIONS(5321), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3073), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3521), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31816] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5323), 1,
      anon_sym__,
    ACTIONS(5325), 1,
      anon_sym_LPAREN,
    ACTIONS(5327), 1,
      anon_sym_POUND,
    STATE(764), 1,
      sym_type,
    STATE(805), 1,
      sym_long_identifier,
    STATE(806), 1,
      sym_type_argument,
    ACTIONS(5329), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3074), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(814), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31867] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      anon_sym__,
    ACTIONS(5317), 1,
      anon_sym_LPAREN,
    ACTIONS(5319), 1,
      anon_sym_POUND,
    STATE(3319), 1,
      sym_type,
    STATE(3409), 1,
      sym_type_argument,
    STATE(3557), 1,
      sym_long_identifier,
    ACTIONS(5321), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3075), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3521), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31918] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5323), 1,
      anon_sym__,
    ACTIONS(5325), 1,
      anon_sym_LPAREN,
    ACTIONS(5327), 1,
      anon_sym_POUND,
    STATE(766), 1,
      sym_type,
    STATE(805), 1,
      sym_long_identifier,
    STATE(806), 1,
      sym_type_argument,
    ACTIONS(5329), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3076), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(814), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [31969] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2044), 1,
      sym_long_identifier,
    STATE(2071), 1,
      sym_type,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3077), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32020] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    STATE(3181), 1,
      aux_sym__compound_type_repeat1,
    STATE(3078), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2335), 7,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2333), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [32061] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      anon_sym__,
    ACTIONS(5317), 1,
      anon_sym_LPAREN,
    ACTIONS(5319), 1,
      anon_sym_POUND,
    STATE(3338), 1,
      sym_type,
    STATE(3409), 1,
      sym_type_argument,
    STATE(3557), 1,
      sym_long_identifier,
    ACTIONS(5321), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3079), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3521), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32112] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3285), 1,
      sym_type,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3080), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32163] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5323), 1,
      anon_sym__,
    ACTIONS(5325), 1,
      anon_sym_LPAREN,
    ACTIONS(5327), 1,
      anon_sym_POUND,
    STATE(761), 1,
      sym_type,
    STATE(805), 1,
      sym_long_identifier,
    STATE(806), 1,
      sym_type_argument,
    ACTIONS(5329), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3081), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(814), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32214] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2993), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5331), 1,
      anon_sym__,
    ACTIONS(5333), 1,
      anon_sym_LPAREN,
    ACTIONS(5335), 1,
      anon_sym_POUND,
    STATE(1104), 1,
      sym_type,
    STATE(1305), 1,
      sym_long_identifier,
    STATE(1307), 1,
      sym_type_argument,
    ACTIONS(5337), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3082), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32265] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(371), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3083), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32316] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(379), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3084), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32367] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2993), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5331), 1,
      anon_sym__,
    ACTIONS(5333), 1,
      anon_sym_LPAREN,
    ACTIONS(5335), 1,
      anon_sym_POUND,
    STATE(1065), 1,
      sym_type,
    STATE(1305), 1,
      sym_long_identifier,
    STATE(1307), 1,
      sym_type_argument,
    ACTIONS(5337), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3085), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32418] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2924), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5305), 1,
      anon_sym__,
    ACTIONS(5307), 1,
      anon_sym_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_POUND,
    STATE(967), 1,
      sym_type,
    STATE(1223), 1,
      sym_type_argument,
    STATE(1253), 1,
      sym_long_identifier,
    ACTIONS(5311), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3086), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1224), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32469] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2993), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5331), 1,
      anon_sym__,
    ACTIONS(5333), 1,
      anon_sym_LPAREN,
    ACTIONS(5335), 1,
      anon_sym_POUND,
    STATE(1101), 1,
      sym_type,
    STATE(1305), 1,
      sym_long_identifier,
    STATE(1307), 1,
      sym_type_argument,
    ACTIONS(5337), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3087), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32520] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3787), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3088), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32571] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(5339), 1,
      anon_sym__,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    STATE(2581), 1,
      sym_type,
    STATE(2639), 1,
      sym_type_argument,
    STATE(2667), 1,
      sym_long_identifier,
    ACTIONS(5345), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3089), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2663), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32622] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2924), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5305), 1,
      anon_sym__,
    ACTIONS(5307), 1,
      anon_sym_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_POUND,
    STATE(1053), 1,
      sym_type,
    STATE(1223), 1,
      sym_type_argument,
    STATE(1253), 1,
      sym_long_identifier,
    ACTIONS(5311), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3090), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1224), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32673] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2993), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5331), 1,
      anon_sym__,
    ACTIONS(5333), 1,
      anon_sym_LPAREN,
    ACTIONS(5335), 1,
      anon_sym_POUND,
    STATE(1148), 1,
      sym_type,
    STATE(1305), 1,
      sym_long_identifier,
    STATE(1307), 1,
      sym_type_argument,
    ACTIONS(5337), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3091), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32724] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3764), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3092), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32775] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3809), 1,
      sym_type,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3093), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32826] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(369), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3094), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32877] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3293), 1,
      sym_type,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3095), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32928] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3284), 1,
      sym_type,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3096), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [32979] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3205), 1,
      sym_type,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3097), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33030] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5347), 1,
      anon_sym__,
    ACTIONS(5349), 1,
      anon_sym_LPAREN,
    ACTIONS(5351), 1,
      anon_sym_POUND,
    STATE(887), 1,
      sym_type,
    STATE(1175), 1,
      sym_type_argument,
    STATE(1176), 1,
      sym_long_identifier,
    ACTIONS(5353), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3098), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1171), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33081] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2666), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5355), 1,
      anon_sym__,
    ACTIONS(5357), 1,
      anon_sym_LPAREN,
    ACTIONS(5359), 1,
      anon_sym_POUND,
    STATE(950), 1,
      sym_type,
    STATE(1172), 1,
      sym_type_argument,
    STATE(1194), 1,
      sym_long_identifier,
    ACTIONS(5361), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3099), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1166), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33132] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5347), 1,
      anon_sym__,
    ACTIONS(5349), 1,
      anon_sym_LPAREN,
    ACTIONS(5351), 1,
      anon_sym_POUND,
    STATE(868), 1,
      sym_type,
    STATE(1175), 1,
      sym_type_argument,
    STATE(1176), 1,
      sym_long_identifier,
    ACTIONS(5353), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3100), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1171), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33183] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    ACTIONS(3445), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    STATE(3101), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3449), 3,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3451), 8,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [33234] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    STATE(3665), 1,
      sym_type,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3102), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33285] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(5339), 1,
      anon_sym__,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    STATE(2592), 1,
      sym_type,
    STATE(2639), 1,
      sym_type_argument,
    STATE(2667), 1,
      sym_long_identifier,
    ACTIONS(5345), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3103), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2663), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33336] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3436), 1,
      anon_sym_COLON,
    ACTIONS(5141), 1,
      anon_sym_DOT,
    STATE(3041), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3104), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 7,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2376), 9,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [33379] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3682), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3105), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33430] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3736), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3106), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33481] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3805), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3107), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33532] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2983), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5363), 1,
      anon_sym__,
    ACTIONS(5365), 1,
      anon_sym_LPAREN,
    ACTIONS(5367), 1,
      anon_sym_POUND,
    STATE(1163), 1,
      sym_type,
    STATE(1302), 1,
      sym_type_argument,
    STATE(1303), 1,
      sym_long_identifier,
    ACTIONS(5369), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3108), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1299), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33583] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    ACTIONS(3445), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    STATE(3109), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3441), 3,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3443), 8,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [33634] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5347), 1,
      anon_sym__,
    ACTIONS(5349), 1,
      anon_sym_LPAREN,
    ACTIONS(5351), 1,
      anon_sym_POUND,
    STATE(907), 1,
      sym_type,
    STATE(1175), 1,
      sym_type_argument,
    STATE(1176), 1,
      sym_long_identifier,
    ACTIONS(5353), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3110), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1171), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33685] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2983), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5363), 1,
      anon_sym__,
    ACTIONS(5365), 1,
      anon_sym_LPAREN,
    ACTIONS(5367), 1,
      anon_sym_POUND,
    STATE(1098), 1,
      sym_type,
    STATE(1302), 1,
      sym_type_argument,
    STATE(1303), 1,
      sym_long_identifier,
    ACTIONS(5369), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3111), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1299), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33736] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2983), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5363), 1,
      anon_sym__,
    ACTIONS(5365), 1,
      anon_sym_LPAREN,
    ACTIONS(5367), 1,
      anon_sym_POUND,
    STATE(1097), 1,
      sym_type,
    STATE(1302), 1,
      sym_type_argument,
    STATE(1303), 1,
      sym_long_identifier,
    ACTIONS(5369), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3112), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1299), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33787] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(378), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3113), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33838] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5371), 1,
      anon_sym_COLON_GT,
    STATE(3114), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2452), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2450), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [33877] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5041), 2,
      anon_sym_let,
      anon_sym_LPAREN,
    STATE(3115), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5043), 17,
      anon_sym_module,
      anon_sym_LBRACK_LT,
      anon_sym_type,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
      anon_sym__,
      anon_sym_new,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [33914] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3282), 1,
      sym_type,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3116), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [33965] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2955), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5373), 1,
      anon_sym__,
    ACTIONS(5375), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_POUND,
    STATE(1005), 1,
      sym_type,
    STATE(1248), 1,
      sym_long_identifier,
    STATE(1250), 1,
      sym_type_argument,
    ACTIONS(5379), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3117), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1247), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34016] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3218), 1,
      sym_type,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3118), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34067] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1615), 1,
      sym_type,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3119), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34118] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1613), 1,
      sym_type,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3120), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34169] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3817), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3121), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34220] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1612), 1,
      sym_type,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3122), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34271] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3281), 1,
      sym_type,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3123), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34322] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1743), 1,
      sym_type,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3124), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34373] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3224), 1,
      sym_type,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3125), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34424] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1385), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3126), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34475] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3789), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3127), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34526] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5381), 1,
      sym_identifier,
    ACTIONS(5383), 1,
      anon_sym__,
    ACTIONS(5385), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_POUND,
    STATE(3616), 1,
      sym_type,
    STATE(3753), 1,
      sym_type_argument,
    STATE(3896), 1,
      sym_long_identifier,
    ACTIONS(5389), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3128), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3874), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34577] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    STATE(3657), 1,
      sym_type,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3129), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34628] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5381), 1,
      sym_identifier,
    ACTIONS(5383), 1,
      anon_sym__,
    ACTIONS(5385), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_POUND,
    STATE(3610), 1,
      sym_type,
    STATE(3753), 1,
      sym_type_argument,
    STATE(3896), 1,
      sym_long_identifier,
    ACTIONS(5389), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3130), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3874), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34679] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5381), 1,
      sym_identifier,
    ACTIONS(5383), 1,
      anon_sym__,
    ACTIONS(5385), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_POUND,
    STATE(3609), 1,
      sym_type,
    STATE(3753), 1,
      sym_type_argument,
    STATE(3896), 1,
      sym_long_identifier,
    ACTIONS(5389), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3131), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3874), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34730] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5381), 1,
      sym_identifier,
    ACTIONS(5383), 1,
      anon_sym__,
    ACTIONS(5385), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_POUND,
    STATE(3622), 1,
      sym_type,
    STATE(3753), 1,
      sym_type_argument,
    STATE(3896), 1,
      sym_long_identifier,
    ACTIONS(5389), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3132), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3874), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34781] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1376), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3133), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34832] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3765), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3134), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34883] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3135), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2426), 9,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2424), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [34920] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3227), 1,
      sym_type,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3136), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [34971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5037), 2,
      anon_sym_let,
      anon_sym_LPAREN,
    STATE(3137), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5039), 17,
      anon_sym_module,
      anon_sym_LBRACK_LT,
      anon_sym_type,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
      anon_sym__,
      anon_sym_new,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [35008] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5323), 1,
      anon_sym__,
    ACTIONS(5325), 1,
      anon_sym_LPAREN,
    ACTIONS(5327), 1,
      anon_sym_POUND,
    STATE(757), 1,
      sym_type,
    STATE(805), 1,
      sym_long_identifier,
    STATE(806), 1,
      sym_type_argument,
    ACTIONS(5329), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3138), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(814), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35059] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3746), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3139), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35110] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3728), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3140), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35161] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1375), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3141), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35212] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1373), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3142), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35263] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3799), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3143), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35314] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(2418), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3144), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35365] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1891), 1,
      sym_type_argument,
    STATE(1917), 1,
      sym_type,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3145), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3146), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2426), 9,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2424), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [35453] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(355), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3147), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35504] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2323), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5391), 1,
      anon_sym__,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5395), 1,
      anon_sym_POUND,
    STATE(769), 1,
      sym_type,
    STATE(829), 1,
      sym_long_identifier,
    STATE(832), 1,
      sym_type_argument,
    ACTIONS(5397), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3148), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(844), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35555] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3614), 1,
      sym_type,
    STATE(3637), 1,
      sym_long_identifier,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3149), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35606] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(361), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3150), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35657] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3803), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3151), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35708] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2666), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5355), 1,
      anon_sym__,
    ACTIONS(5357), 1,
      anon_sym_LPAREN,
    ACTIONS(5359), 1,
      anon_sym_POUND,
    STATE(962), 1,
      sym_type,
    STATE(1172), 1,
      sym_type_argument,
    STATE(1194), 1,
      sym_long_identifier,
    ACTIONS(5361), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3152), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1166), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35759] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2666), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5355), 1,
      anon_sym__,
    ACTIONS(5357), 1,
      anon_sym_LPAREN,
    ACTIONS(5359), 1,
      anon_sym_POUND,
    STATE(959), 1,
      sym_type,
    STATE(1172), 1,
      sym_type_argument,
    STATE(1194), 1,
      sym_long_identifier,
    ACTIONS(5361), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3153), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1166), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35810] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1891), 1,
      sym_type_argument,
    STATE(1964), 1,
      sym_type,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3154), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35861] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2993), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5331), 1,
      anon_sym__,
    ACTIONS(5333), 1,
      anon_sym_LPAREN,
    ACTIONS(5335), 1,
      anon_sym_POUND,
    STATE(1082), 1,
      sym_type,
    STATE(1305), 1,
      sym_long_identifier,
    STATE(1307), 1,
      sym_type_argument,
    ACTIONS(5337), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3155), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35912] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3747), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3156), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [35963] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3768), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3157), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36014] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3823), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3158), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36065] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2666), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5355), 1,
      anon_sym__,
    ACTIONS(5357), 1,
      anon_sym_LPAREN,
    ACTIONS(5359), 1,
      anon_sym_POUND,
    STATE(892), 1,
      sym_type,
    STATE(1172), 1,
      sym_type_argument,
    STATE(1194), 1,
      sym_long_identifier,
    ACTIONS(5361), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3159), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1166), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36116] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3022), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3160), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36167] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(356), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3161), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36218] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3039), 1,
      sym_type,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3162), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36269] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3720), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3163), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36320] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3029), 1,
      sym_type,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3164), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36371] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3014), 1,
      sym_type,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3165), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36422] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3800), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3166), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3167), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2318), 9,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2316), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [36510] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3802), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3168), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36561] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3013), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3169), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36612] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3019), 1,
      sym_type,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3170), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36663] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3814), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3171), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36714] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3801), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3172), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36765] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3424), 1,
      sym_type,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3173), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36816] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3725), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3174), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36867] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3825), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3175), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36918] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5401), 1,
      anon_sym__,
    ACTIONS(5403), 1,
      anon_sym_LPAREN,
    ACTIONS(5405), 1,
      anon_sym_POUND,
    STATE(3330), 1,
      sym_type,
    STATE(3406), 1,
      sym_type_argument,
    STATE(3515), 1,
      sym_long_identifier,
    ACTIONS(5407), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3176), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3475), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [36969] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3428), 1,
      sym_type,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3177), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37020] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3431), 1,
      sym_type,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3178), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37071] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(377), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3179), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37122] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2323), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5391), 1,
      anon_sym__,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5395), 1,
      anon_sym_POUND,
    STATE(770), 1,
      sym_type,
    STATE(829), 1,
      sym_long_identifier,
    STATE(832), 1,
      sym_type_argument,
    ACTIONS(5397), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3180), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(844), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37173] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5409), 1,
      anon_sym_STAR,
    STATE(3181), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__compound_type_repeat1,
    ACTIONS(2232), 7,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2230), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [37212] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(367), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3182), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37263] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(2472), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3183), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5083), 2,
      anon_sym_let,
      anon_sym_LPAREN,
    STATE(3184), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5085), 17,
      anon_sym_module,
      anon_sym_LBRACK_LT,
      anon_sym_type,
      anon_sym_do,
      anon_sym_and,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
      anon_sym__,
      anon_sym_new,
      anon_sym_SQUOTE,
      anon_sym_CARET,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [37351] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5401), 1,
      anon_sym__,
    ACTIONS(5403), 1,
      anon_sym_LPAREN,
    ACTIONS(5405), 1,
      anon_sym_POUND,
    STATE(3333), 1,
      sym_type,
    STATE(3406), 1,
      sym_type_argument,
    STATE(3515), 1,
      sym_long_identifier,
    ACTIONS(5407), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3185), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3475), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37402] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4203), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym__,
    ACTIONS(5283), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_POUND,
    STATE(2398), 1,
      sym_type,
    STATE(2462), 1,
      sym_type_argument,
    STATE(2480), 1,
      sym_long_identifier,
    ACTIONS(5287), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3186), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2490), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37453] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5381), 1,
      sym_identifier,
    ACTIONS(5383), 1,
      anon_sym__,
    ACTIONS(5385), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_POUND,
    STATE(3573), 1,
      sym_type,
    STATE(3753), 1,
      sym_type_argument,
    STATE(3896), 1,
      sym_long_identifier,
    ACTIONS(5389), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3187), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3874), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37504] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    STATE(3569), 1,
      sym_type,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3188), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37555] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3755), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3189), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37606] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2955), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5373), 1,
      anon_sym__,
    ACTIONS(5375), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_POUND,
    STATE(1051), 1,
      sym_type,
    STATE(1248), 1,
      sym_long_identifier,
    STATE(1250), 1,
      sym_type_argument,
    ACTIONS(5379), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3190), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1247), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37657] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(2458), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3191), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3192), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2318), 9,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2316), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [37745] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    STATE(3663), 1,
      sym_type,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3193), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37796] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3743), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3194), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37847] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1891), 1,
      sym_type_argument,
    STATE(1963), 1,
      sym_type,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3195), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37898] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(5297), 1,
      anon_sym__,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    ACTIONS(5301), 1,
      anon_sym_POUND,
    STATE(2588), 1,
      sym_type,
    STATE(2622), 1,
      sym_type_argument,
    STATE(2658), 1,
      sym_long_identifier,
    ACTIONS(5303), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3196), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2660), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [37949] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(5297), 1,
      anon_sym__,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    ACTIONS(5301), 1,
      anon_sym_POUND,
    STATE(2591), 1,
      sym_type,
    STATE(2622), 1,
      sym_type_argument,
    STATE(2658), 1,
      sym_long_identifier,
    ACTIONS(5303), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3197), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2660), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38000] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3438), 1,
      sym_type,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3198), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38051] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2983), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5363), 1,
      anon_sym__,
    ACTIONS(5365), 1,
      anon_sym_LPAREN,
    ACTIONS(5367), 1,
      anon_sym_POUND,
    STATE(1128), 1,
      sym_type,
    STATE(1302), 1,
      sym_type_argument,
    STATE(1303), 1,
      sym_long_identifier,
    ACTIONS(5369), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3199), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1299), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38102] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3031), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3200), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38153] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(5297), 1,
      anon_sym__,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    ACTIONS(5301), 1,
      anon_sym_POUND,
    STATE(2586), 1,
      sym_type,
    STATE(2622), 1,
      sym_type_argument,
    STATE(2658), 1,
      sym_long_identifier,
    ACTIONS(5303), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3201), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2660), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38204] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2955), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5373), 1,
      anon_sym__,
    ACTIONS(5375), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_POUND,
    STATE(1035), 1,
      sym_type,
    STATE(1248), 1,
      sym_long_identifier,
    STATE(1250), 1,
      sym_type_argument,
    ACTIONS(5379), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3202), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1247), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38255] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(5297), 1,
      anon_sym__,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    ACTIONS(5301), 1,
      anon_sym_POUND,
    STATE(2578), 1,
      sym_type,
    STATE(2622), 1,
      sym_type_argument,
    STATE(2658), 1,
      sym_long_identifier,
    ACTIONS(5303), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3203), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2660), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38306] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4203), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym__,
    ACTIONS(5283), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_POUND,
    STATE(2395), 1,
      sym_type,
    STATE(2462), 1,
      sym_type_argument,
    STATE(2480), 1,
      sym_long_identifier,
    ACTIONS(5287), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3204), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2490), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38357] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3205), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3554), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3556), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [38410] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(5297), 1,
      anon_sym__,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    ACTIONS(5301), 1,
      anon_sym_POUND,
    STATE(2587), 1,
      sym_type,
    STATE(2622), 1,
      sym_type_argument,
    STATE(2658), 1,
      sym_long_identifier,
    ACTIONS(5303), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3206), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2660), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38461] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3767), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3207), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38512] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3776), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3208), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38563] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2955), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5373), 1,
      anon_sym__,
    ACTIONS(5375), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_POUND,
    STATE(1018), 1,
      sym_type,
    STATE(1248), 1,
      sym_long_identifier,
    STATE(1250), 1,
      sym_type_argument,
    ACTIONS(5379), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3209), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1247), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38614] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3210), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3550), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3552), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [38667] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3794), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3211), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38718] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4203), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym__,
    ACTIONS(5283), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_POUND,
    STATE(2387), 1,
      sym_type,
    STATE(2462), 1,
      sym_type_argument,
    STATE(2480), 1,
      sym_long_identifier,
    ACTIONS(5287), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3212), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2490), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38769] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(2393), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3213), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38820] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2323), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5391), 1,
      anon_sym__,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5395), 1,
      anon_sym_POUND,
    STATE(829), 1,
      sym_long_identifier,
    STATE(832), 1,
      sym_type_argument,
    STATE(1185), 1,
      sym_type,
    ACTIONS(5397), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3214), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(844), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38871] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2010), 1,
      sym_type,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3215), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38922] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2323), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5391), 1,
      anon_sym__,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5395), 1,
      anon_sym_POUND,
    STATE(772), 1,
      sym_type,
    STATE(829), 1,
      sym_long_identifier,
    STATE(832), 1,
      sym_type_argument,
    ACTIONS(5397), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3216), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(844), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [38973] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    STATE(3680), 1,
      sym_type,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3217), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39024] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3218), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3484), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3486), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [39077] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5401), 1,
      anon_sym__,
    ACTIONS(5403), 1,
      anon_sym_LPAREN,
    ACTIONS(5405), 1,
      anon_sym_POUND,
    STATE(3326), 1,
      sym_type,
    STATE(3406), 1,
      sym_type_argument,
    STATE(3515), 1,
      sym_long_identifier,
    ACTIONS(5407), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3219), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3475), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39128] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5401), 1,
      anon_sym__,
    ACTIONS(5403), 1,
      anon_sym_LPAREN,
    ACTIONS(5405), 1,
      anon_sym_POUND,
    STATE(3318), 1,
      sym_type,
    STATE(3406), 1,
      sym_type_argument,
    STATE(3515), 1,
      sym_long_identifier,
    ACTIONS(5407), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3220), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3475), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39179] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(5339), 1,
      anon_sym__,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    STATE(2582), 1,
      sym_type,
    STATE(2639), 1,
      sym_type_argument,
    STATE(2667), 1,
      sym_long_identifier,
    ACTIONS(5345), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3221), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2663), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39230] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3835), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3222), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39281] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5401), 1,
      anon_sym__,
    ACTIONS(5403), 1,
      anon_sym_LPAREN,
    ACTIONS(5405), 1,
      anon_sym_POUND,
    STATE(3329), 1,
      sym_type,
    STATE(3406), 1,
      sym_type_argument,
    STATE(3515), 1,
      sym_long_identifier,
    ACTIONS(5407), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3223), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3475), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39332] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3224), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3461), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3463), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [39385] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(5339), 1,
      anon_sym__,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    STATE(2590), 1,
      sym_type,
    STATE(2639), 1,
      sym_type_argument,
    STATE(2667), 1,
      sym_long_identifier,
    ACTIONS(5345), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3225), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2663), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39436] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5401), 1,
      anon_sym__,
    ACTIONS(5403), 1,
      anon_sym_LPAREN,
    ACTIONS(5405), 1,
      anon_sym_POUND,
    STATE(3328), 1,
      sym_type,
    STATE(3406), 1,
      sym_type_argument,
    STATE(3515), 1,
      sym_long_identifier,
    ACTIONS(5407), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3226), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3475), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39487] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(3227), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3514), 4,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3516), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [39540] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3714), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3228), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39591] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(5339), 1,
      anon_sym__,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    STATE(2580), 1,
      sym_type,
    STATE(2639), 1,
      sym_type_argument,
    STATE(2667), 1,
      sym_long_identifier,
    ACTIONS(5345), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3229), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2663), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39642] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(360), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3230), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39693] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(2392), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3231), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39744] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4203), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym__,
    ACTIONS(5283), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_POUND,
    STATE(2430), 1,
      sym_type,
    STATE(2462), 1,
      sym_type_argument,
    STATE(2480), 1,
      sym_long_identifier,
    ACTIONS(5287), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3232), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2490), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39795] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4205), 1,
      sym_identifier,
    ACTIONS(4748), 1,
      anon_sym__,
    ACTIONS(4750), 1,
      anon_sym_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_POUND,
    STATE(2388), 1,
      sym_type,
    STATE(2464), 1,
      sym_type_argument,
    STATE(2482), 1,
      sym_long_identifier,
    ACTIONS(4754), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3233), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2474), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39846] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(364), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3234), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39897] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3828), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3235), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39948] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3782), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3236), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [39999] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4606), 1,
      sym_identifier,
    ACTIONS(5339), 1,
      anon_sym__,
    ACTIONS(5341), 1,
      anon_sym_LPAREN,
    ACTIONS(5343), 1,
      anon_sym_POUND,
    STATE(2584), 1,
      sym_type,
    STATE(2639), 1,
      sym_type_argument,
    STATE(2667), 1,
      sym_long_identifier,
    ACTIONS(5345), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3237), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2663), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40050] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2146), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LPAREN,
    ACTIONS(5416), 1,
      anon_sym_POUND,
    STATE(755), 1,
      sym_type,
    STATE(793), 1,
      sym_long_identifier,
    STATE(800), 1,
      sym_type_argument,
    ACTIONS(5418), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3238), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(792), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40101] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2146), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LPAREN,
    ACTIONS(5416), 1,
      anon_sym_POUND,
    STATE(748), 1,
      sym_type,
    STATE(793), 1,
      sym_long_identifier,
    STATE(800), 1,
      sym_type_argument,
    ACTIONS(5418), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3239), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(792), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40152] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(372), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3240), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40203] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(366), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3241), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40254] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(2460), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3242), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40305] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2146), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LPAREN,
    ACTIONS(5416), 1,
      anon_sym_POUND,
    STATE(741), 1,
      sym_type,
    STATE(793), 1,
      sym_long_identifier,
    STATE(800), 1,
      sym_type_argument,
    ACTIONS(5418), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3243), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(792), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40356] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2924), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5305), 1,
      anon_sym__,
    ACTIONS(5307), 1,
      anon_sym_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_POUND,
    STATE(991), 1,
      sym_type,
    STATE(1223), 1,
      sym_type_argument,
    STATE(1253), 1,
      sym_long_identifier,
    ACTIONS(5311), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3244), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1224), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40407] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3732), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3245), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40458] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    STATE(2061), 1,
      sym_type,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3246), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40509] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2013), 1,
      sym_type,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3247), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40560] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(2473), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3248), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40611] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3778), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3249), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40662] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2146), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LPAREN,
    ACTIONS(5416), 1,
      anon_sym_POUND,
    STATE(747), 1,
      sym_type,
    STATE(793), 1,
      sym_long_identifier,
    STATE(800), 1,
      sym_type_argument,
    ACTIONS(5418), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3250), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(792), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40713] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3760), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3251), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40764] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5420), 1,
      anon_sym_STAR,
    STATE(3252), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__compound_type_repeat1,
    ACTIONS(2232), 7,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2230), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [40803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3253), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2440), 9,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2438), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [40840] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    STATE(3252), 1,
      aux_sym__compound_type_repeat1,
    STATE(3254), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2335), 7,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2333), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [40881] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      anon_sym__,
    ACTIONS(5317), 1,
      anon_sym_LPAREN,
    ACTIONS(5319), 1,
      anon_sym_POUND,
    STATE(3336), 1,
      sym_type,
    STATE(3409), 1,
      sym_type_argument,
    STATE(3557), 1,
      sym_long_identifier,
    ACTIONS(5321), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3255), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3521), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40932] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1888), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3256), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [40983] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3871), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3257), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41034] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3766), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3258), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41085] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2019), 1,
      sym_type,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3259), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41136] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3788), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3260), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41187] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5289), 1,
      anon_sym__,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_POUND,
    STATE(365), 1,
      sym_type,
    STATE(2499), 1,
      sym_type_argument,
    STATE(2507), 1,
      sym_long_identifier,
    ACTIONS(5295), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3261), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2509), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41238] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3262), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41289] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3018), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3263), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41340] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      anon_sym__,
    ACTIONS(5317), 1,
      anon_sym_LPAREN,
    ACTIONS(5319), 1,
      anon_sym_POUND,
    STATE(3321), 1,
      sym_type,
    STATE(3409), 1,
      sym_type_argument,
    STATE(3557), 1,
      sym_long_identifier,
    ACTIONS(5321), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3264), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3521), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41391] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2014), 1,
      sym_type,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3265), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41442] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3011), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3266), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41493] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3267), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2440), 9,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2438), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [41530] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4325), 1,
      anon_sym__,
    ACTIONS(4327), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      sym_identifier,
    STATE(3036), 1,
      sym_type,
    STATE(3273), 1,
      sym_type_argument,
    STATE(3287), 1,
      sym_long_identifier,
    ACTIONS(4339), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3268), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3283), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41581] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4891), 1,
      anon_sym__,
    ACTIONS(4893), 1,
      anon_sym_LPAREN,
    ACTIONS(4895), 1,
      anon_sym_POUND,
    STATE(1854), 1,
      sym_type,
    STATE(1891), 1,
      sym_type_argument,
    STATE(2006), 1,
      sym_long_identifier,
    ACTIONS(4897), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3269), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2007), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41632] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(5297), 1,
      anon_sym__,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    ACTIONS(5301), 1,
      anon_sym_POUND,
    STATE(2579), 1,
      sym_type,
    STATE(2622), 1,
      sym_type_argument,
    STATE(2658), 1,
      sym_long_identifier,
    ACTIONS(5303), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3270), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2660), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41683] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4905), 1,
      anon_sym__,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    ACTIONS(4909), 1,
      anon_sym_POUND,
    ACTIONS(5225), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_type_argument,
    STATE(3292), 1,
      sym_long_identifier,
    STATE(3485), 1,
      sym_type,
    ACTIONS(4911), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3271), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3295), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41734] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3769), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3272), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5423), 1,
      anon_sym_COLON_GT,
    STATE(3273), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2452), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2450), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [41824] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3355), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4879), 1,
      anon_sym__,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_POUND,
    STATE(1999), 1,
      sym_type_argument,
    STATE(2024), 1,
      sym_type,
    STATE(2044), 1,
      sym_long_identifier,
    ACTIONS(4887), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3274), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(2046), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41875] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    ACTIONS(5033), 1,
      anon_sym_POUND,
    ACTIONS(5145), 1,
      sym_identifier,
    STATE(3568), 1,
      sym_type_argument,
    STATE(3637), 1,
      sym_long_identifier,
    STATE(3808), 1,
      sym_type,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3275), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3636), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41926] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5347), 1,
      anon_sym__,
    ACTIONS(5349), 1,
      anon_sym_LPAREN,
    ACTIONS(5351), 1,
      anon_sym_POUND,
    STATE(888), 1,
      sym_type,
    STATE(1175), 1,
      sym_type_argument,
    STATE(1176), 1,
      sym_long_identifier,
    ACTIONS(5353), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3276), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(1171), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [41977] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2323), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5391), 1,
      anon_sym__,
    ACTIONS(5393), 1,
      anon_sym_LPAREN,
    ACTIONS(5395), 1,
      anon_sym_POUND,
    STATE(771), 1,
      sym_type,
    STATE(829), 1,
      sym_long_identifier,
    STATE(832), 1,
      sym_type_argument,
    ACTIONS(5397), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3277), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(844), 10,
      sym__simple_type,
      sym__generic_type,
      sym__paren_type,
      sym__function_type,
      sym__compound_type,
      sym__postfix_type,
      sym__list_type,
      sym__static_type,
      sym__constrained_type,
      sym__flexible_type,
  [42028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3278), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2466), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2464), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42064] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2008), 1,
      aux_sym_uint32_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5425), 1,
      sym__digit_char_imm,
    STATE(3279), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_int_repeat1,
    ACTIONS(2006), 15,
      sym__dedent,
      anon_sym_PIPE,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      anon_sym_DOT2,
      aux_sym_float_token1,
  [42102] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3526), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3529), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5428), 1,
      anon_sym_new,
    ACTIONS(5431), 1,
      anon_sym_static,
    ACTIONS(5434), 1,
      anon_sym_member,
    ACTIONS(5437), 1,
      anon_sym_abstract,
    ACTIONS(5443), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3613), 1,
      sym_member_defn,
    STATE(3620), 1,
      sym_additional_constr_defn,
    STATE(3673), 1,
      sym_attributes,
    STATE(4412), 1,
      sym_access_modifier,
    ACTIONS(3522), 2,
      sym__newline,
      sym__dedent,
    ACTIONS(5440), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3280), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__member_defns_repeat1,
  [42164] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3281), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3554), 3,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3556), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [42216] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3282), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3550), 3,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3552), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [42268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3283), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2452), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2450), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42304] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3284), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3484), 3,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3486), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [42356] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3285), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3461), 3,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3463), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [42408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3286), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2470), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2468), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42444] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5446), 1,
      anon_sym_LT2,
    STATE(3287), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2456), 7,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2454), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42482] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4941), 1,
      anon_sym_new,
    ACTIONS(4945), 1,
      anon_sym_member,
    ACTIONS(4949), 1,
      anon_sym_abstract,
    ACTIONS(4953), 1,
      anon_sym_val,
    ACTIONS(5448), 1,
      anon_sym_static,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3303), 1,
      aux_sym__member_defns_repeat1,
    STATE(3613), 1,
      sym_member_defn,
    STATE(3620), 1,
      sym_additional_constr_defn,
    STATE(3673), 1,
      sym_attributes,
    STATE(4412), 1,
      sym_access_modifier,
    ACTIONS(3468), 2,
      sym__newline,
      sym__dedent,
    ACTIONS(4951), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3288), 2,
      sym_xml_doc,
      sym_block_comment,
  [42546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3289), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2478), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2476), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3290), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2478), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2476), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3291), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2444), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2442), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42654] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5450), 1,
      anon_sym_LT2,
    STATE(3292), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2456), 7,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2454), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42692] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3293), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3514), 3,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
    ACTIONS(3516), 7,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [42744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3294), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2462), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2460), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3295), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2452), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2450), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3296), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2444), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2442), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3297), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2470), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2468), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3298), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2414), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2408), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3299), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2462), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2460), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [42960] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2015), 1,
      aux_sym_uint32_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5452), 1,
      sym__digit_char_imm,
    STATE(3279), 1,
      aux_sym_int_repeat1,
    STATE(3300), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2013), 15,
      sym__dedent,
      anon_sym_PIPE,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      anon_sym_DOT2,
      aux_sym_float_token1,
  [43000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3301), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2466), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2464), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [43036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3302), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2474), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2472), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [43072] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4941), 1,
      anon_sym_new,
    ACTIONS(4945), 1,
      anon_sym_member,
    ACTIONS(4949), 1,
      anon_sym_abstract,
    ACTIONS(4953), 1,
      anon_sym_val,
    ACTIONS(5448), 1,
      anon_sym_static,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3280), 1,
      aux_sym__member_defns_repeat1,
    STATE(3613), 1,
      sym_member_defn,
    STATE(3620), 1,
      sym_additional_constr_defn,
    STATE(3673), 1,
      sym_attributes,
    STATE(4412), 1,
      sym_access_modifier,
    ACTIONS(3518), 2,
      sym__newline,
      sym__dedent,
    ACTIONS(4951), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3303), 2,
      sym_xml_doc,
      sym_block_comment,
  [43136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3304), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2430), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2428), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [43172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3305), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2430), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2428), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [43208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3306), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2414), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2408), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [43244] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3307), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2436), 8,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2434), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [43280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3308), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2436), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2434), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [43316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3309), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2474), 8,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(2472), 10,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [43352] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2002), 1,
      aux_sym_uint32_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5452), 1,
      sym__digit_char_imm,
    STATE(3300), 1,
      aux_sym_int_repeat1,
    STATE(3310), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2000), 15,
      sym__dedent,
      anon_sym_PIPE,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      anon_sym_DOT2,
      aux_sym_float_token1,
  [43392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2028), 1,
      aux_sym_uint32_token1,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3311), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2026), 16,
      sym__dedent,
      anon_sym_PIPE,
      sym__digit_char_imm,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_l,
      anon_sym_n,
      anon_sym_un,
      anon_sym_L,
      aux_sym_uint64_token1,
      aux_sym_bignum_token1,
      aux_sym_decimal_token1,
      anon_sym_DOT2,
      aux_sym_float_token1,
  [43427] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5454), 1,
      anon_sym_DOT,
    ACTIONS(2316), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3312), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2318), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [43464] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(3518), 1,
      sym__dedent,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3317), 1,
      aux_sym__member_defns_repeat1,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3653), 1,
      sym_member_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4642), 1,
      sym_access_modifier,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3313), 2,
      sym_xml_doc,
      sym_block_comment,
  [43527] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3468), 1,
      sym__dedent,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3313), 1,
      aux_sym__member_defns_repeat1,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3653), 1,
      sym_member_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4642), 1,
      sym_access_modifier,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3314), 2,
      sym_xml_doc,
      sym_block_comment,
  [43590] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(3312), 1,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2337), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3315), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2339), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [43629] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(3315), 1,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2376), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3316), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [43668] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3522), 1,
      sym__dedent,
    ACTIONS(3526), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3529), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5459), 1,
      anon_sym_new,
    ACTIONS(5462), 1,
      anon_sym_static,
    ACTIONS(5465), 1,
      anon_sym_member,
    ACTIONS(5468), 1,
      anon_sym_abstract,
    ACTIONS(5474), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3653), 1,
      sym_member_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4642), 1,
      sym_access_modifier,
    ACTIONS(5471), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3317), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__member_defns_repeat1,
  [43729] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5477), 1,
      anon_sym_DASH_GT,
    ACTIONS(5479), 1,
      anon_sym_STAR,
    ACTIONS(5481), 1,
      anon_sym_LT2,
    ACTIONS(5483), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3461), 1,
      aux_sym__compound_type_repeat1,
    STATE(3493), 1,
      sym_type_arguments,
    STATE(3520), 1,
      sym_long_identifier,
    STATE(3318), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2192), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
    ACTIONS(2194), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [43779] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5485), 1,
      anon_sym_DASH_GT,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    ACTIONS(5489), 1,
      anon_sym_LT2,
    ACTIONS(5491), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3433), 1,
      aux_sym__compound_type_repeat1,
    STATE(3539), 1,
      sym_type_arguments,
    STATE(3561), 1,
      sym_long_identifier,
    STATE(3319), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2230), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
    ACTIONS(2232), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [43829] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(5380), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3320), 2,
      sym_xml_doc,
      sym_block_comment,
  [43889] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5485), 1,
      anon_sym_DASH_GT,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    ACTIONS(5489), 1,
      anon_sym_LT2,
    ACTIONS(5491), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3433), 1,
      aux_sym__compound_type_repeat1,
    STATE(3539), 1,
      sym_type_arguments,
    STATE(3561), 1,
      sym_long_identifier,
    STATE(3321), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4618), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
    ACTIONS(4616), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [43939] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2316), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3322), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2318), 14,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_LT2,
  [43973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2424), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3323), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2426), 14,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2438), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3324), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2440), 14,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44041] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5133), 1,
      anon_sym_EQ,
    ACTIONS(5137), 1,
      anon_sym_COLON,
    ACTIONS(5493), 1,
      anon_sym_of,
    STATE(3325), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5135), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [44079] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5477), 1,
      anon_sym_DASH_GT,
    ACTIONS(5479), 1,
      anon_sym_STAR,
    ACTIONS(5481), 1,
      anon_sym_LT2,
    ACTIONS(5483), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3461), 1,
      aux_sym__compound_type_repeat1,
    STATE(3493), 1,
      sym_type_arguments,
    STATE(3520), 1,
      sym_long_identifier,
    STATE(3326), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2148), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
    ACTIONS(2150), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [44129] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4872), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3327), 2,
      sym_xml_doc,
      sym_block_comment,
  [44189] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5477), 1,
      anon_sym_DASH_GT,
    ACTIONS(5479), 1,
      anon_sym_STAR,
    ACTIONS(5481), 1,
      anon_sym_LT2,
    ACTIONS(5483), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3461), 1,
      aux_sym__compound_type_repeat1,
    STATE(3493), 1,
      sym_type_arguments,
    STATE(3520), 1,
      sym_long_identifier,
    STATE(3328), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2226), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
    ACTIONS(2228), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [44239] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5477), 1,
      anon_sym_DASH_GT,
    ACTIONS(5479), 1,
      anon_sym_STAR,
    ACTIONS(5481), 1,
      anon_sym_LT2,
    ACTIONS(5483), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3461), 1,
      aux_sym__compound_type_repeat1,
    STATE(3493), 1,
      sym_type_arguments,
    STATE(3520), 1,
      sym_long_identifier,
    STATE(3329), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2230), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
    ACTIONS(2232), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [44289] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5479), 1,
      anon_sym_STAR,
    ACTIONS(5481), 1,
      anon_sym_LT2,
    ACTIONS(5483), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3461), 1,
      aux_sym__compound_type_repeat1,
    STATE(3493), 1,
      sym_type_arguments,
    STATE(3520), 1,
      sym_long_identifier,
    STATE(3330), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4604), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
    ACTIONS(4602), 6,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [44337] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5485), 1,
      anon_sym_DASH_GT,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    ACTIONS(5489), 1,
      anon_sym_LT2,
    ACTIONS(5491), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3433), 1,
      aux_sym__compound_type_repeat1,
    STATE(3539), 1,
      sym_type_arguments,
    STATE(3561), 1,
      sym_long_identifier,
    STATE(3331), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2148), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
    ACTIONS(2150), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [44387] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(5207), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3332), 2,
      sym_xml_doc,
      sym_block_comment,
  [44447] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5477), 1,
      anon_sym_DASH_GT,
    ACTIONS(5479), 1,
      anon_sym_STAR,
    ACTIONS(5481), 1,
      anon_sym_LT2,
    ACTIONS(5483), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3461), 1,
      aux_sym__compound_type_repeat1,
    STATE(3493), 1,
      sym_type_arguments,
    STATE(3520), 1,
      sym_long_identifier,
    STATE(3333), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4618), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
    ACTIONS(4616), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [44497] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5485), 1,
      anon_sym_DASH_GT,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    ACTIONS(5489), 1,
      anon_sym_LT2,
    ACTIONS(5491), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3433), 1,
      aux_sym__compound_type_repeat1,
    STATE(3539), 1,
      sym_type_arguments,
    STATE(3561), 1,
      sym_long_identifier,
    STATE(3334), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2192), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
    ACTIONS(2194), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [44547] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(5111), 1,
      anon_sym_static,
    ACTIONS(5113), 1,
      anon_sym_member,
    ACTIONS(5117), 1,
      anon_sym_abstract,
    ACTIONS(5121), 1,
      anon_sym_val,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3314), 1,
      sym_member_defn,
    STATE(3648), 1,
      sym_additional_constr_defn,
    STATE(3718), 1,
      sym_attributes,
    STATE(4642), 1,
      sym_access_modifier,
    STATE(4942), 1,
      sym__member_defns,
    ACTIONS(5119), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3335), 2,
      sym_xml_doc,
      sym_block_comment,
  [44607] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5485), 1,
      anon_sym_DASH_GT,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    ACTIONS(5489), 1,
      anon_sym_LT2,
    ACTIONS(5491), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3433), 1,
      aux_sym__compound_type_repeat1,
    STATE(3539), 1,
      sym_type_arguments,
    STATE(3561), 1,
      sym_long_identifier,
    STATE(3336), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4604), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
    ACTIONS(4602), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [44657] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4479), 1,
      anon_sym_DOT2,
    ACTIONS(4937), 1,
      aux_sym_float_token1,
    ACTIONS(5495), 1,
      anon_sym_y,
    ACTIONS(5497), 1,
      anon_sym_uy,
    ACTIONS(5499), 1,
      anon_sym_s,
    ACTIONS(5501), 1,
      anon_sym_us,
    ACTIONS(5503), 1,
      anon_sym_l,
    ACTIONS(5505), 1,
      aux_sym_uint32_token1,
    ACTIONS(5507), 1,
      anon_sym_n,
    ACTIONS(5509), 1,
      anon_sym_un,
    ACTIONS(5511), 1,
      anon_sym_L,
    ACTIONS(5513), 1,
      aux_sym_uint64_token1,
    ACTIONS(5515), 1,
      aux_sym_bignum_token1,
    ACTIONS(5517), 1,
      aux_sym_decimal_token1,
    ACTIONS(2036), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(3337), 2,
      sym_xml_doc,
      sym_block_comment,
  [44717] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5485), 1,
      anon_sym_DASH_GT,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    ACTIONS(5489), 1,
      anon_sym_LT2,
    ACTIONS(5491), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3433), 1,
      aux_sym__compound_type_repeat1,
    STATE(3539), 1,
      sym_type_arguments,
    STATE(3561), 1,
      sym_long_identifier,
    STATE(3338), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2226), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
    ACTIONS(2228), 5,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
  [44767] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2888), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3339), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2890), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4765), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3340), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4767), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4828), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3341), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4830), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4839), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3342), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4841), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44899] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2641), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3343), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2643), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2637), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3344), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2639), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44965] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2716), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3345), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2718), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [44998] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5519), 1,
      anon_sym_LBRACK_LT,
    STATE(3512), 1,
      sym_attribute_set,
    ACTIONS(5019), 2,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
    STATE(3346), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_attributes_repeat1,
    ACTIONS(5014), 10,
      anon_sym_do,
      anon_sym_let,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [45035] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5524), 1,
      anon_sym_STAR,
    STATE(3356), 1,
      aux_sym_union_type_fields_repeat1,
    STATE(3347), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5522), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [45070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4851), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3348), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4853), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4859), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3349), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4861), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45136] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(4333), 1,
      anon_sym_new,
    ACTIONS(5526), 1,
      sym_identifier,
    ACTIONS(5528), 1,
      anon_sym_do,
    ACTIONS(5530), 1,
      anon_sym_static,
    ACTIONS(5532), 1,
      anon_sym_member,
    ACTIONS(5534), 1,
      anon_sym_abstract,
    ACTIONS(5538), 1,
      anon_sym_val,
    STATE(3612), 1,
      sym_additional_constr_defn,
    STATE(4456), 1,
      sym_access_modifier,
    STATE(4528), 1,
      sym_function_or_value_defn,
    ACTIONS(5536), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3350), 2,
      sym_xml_doc,
      sym_block_comment,
  [45193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2734), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3351), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2736), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45226] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5540), 1,
      anon_sym_DOT,
    STATE(3377), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3352), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2382), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [45263] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5137), 1,
      anon_sym_COLON,
    ACTIONS(5493), 1,
      anon_sym_of,
    STATE(3353), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5135), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [45298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2785), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3354), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2787), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2841), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3355), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2843), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5544), 1,
      anon_sym_STAR,
    STATE(3356), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_union_type_fields_repeat1,
    ACTIONS(5542), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [45397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2868), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3357), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2870), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4855), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3358), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4857), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45463] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2912), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3359), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2914), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45496] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5549), 1,
      anon_sym_LPAREN,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    STATE(3480), 1,
      sym_type_arguments,
    STATE(3360), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5547), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [45533] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2845), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3361), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2847), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2896), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3362), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2898), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45599] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2773), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3363), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2775), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4843), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3364), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4845), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2769), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3365), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2771), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4863), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3366), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4865), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45731] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4847), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3367), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4849), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2692), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3368), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2694), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45797] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5553), 1,
      anon_sym_DOT,
    STATE(3369), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2318), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [45832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4810), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3370), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4812), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45865] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    STATE(3509), 1,
      sym_type_arguments,
    STATE(3371), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5556), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [45902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2864), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3372), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2866), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [45935] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5562), 1,
      anon_sym_LPAREN,
    STATE(3542), 1,
      sym_type_arguments,
    STATE(3373), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5560), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [45972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2797), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3374), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2799), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46005] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2805), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3375), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2807), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2038), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3376), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2036), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46071] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5540), 1,
      anon_sym_DOT,
    STATE(3369), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3377), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2339), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [46108] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5564), 1,
      anon_sym_as,
    ACTIONS(4814), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3378), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4816), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2728), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3379), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2730), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4759), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3380), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4761), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46209] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5566), 1,
      anon_sym_LT2,
    ACTIONS(4759), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3381), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4761), 12,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
  [46244] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2809), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3382), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2811), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4824), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3383), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4826), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2813), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3384), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2815), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46343] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4871), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3385), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4873), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2817), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3386), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2819), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46409] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2821), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3387), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2823), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4802), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3388), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4804), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2617), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3389), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2619), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4820), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3390), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4822), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46541] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2837), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3391), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2839), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46574] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5570), 1,
      anon_sym_COLON,
    ACTIONS(5572), 1,
      anon_sym_of,
    STATE(3392), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5568), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [46609] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4832), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3393), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4834), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2825), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3394), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2827), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46675] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2892), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3395), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2894), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46708] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5524), 1,
      anon_sym_STAR,
    STATE(3347), 1,
      aux_sym_union_type_fields_repeat1,
    STATE(3396), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5574), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [46743] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4806), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3397), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4808), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2829), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3398), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2831), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46809] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2833), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3399), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2835), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46842] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5576), 1,
      anon_sym_DOT,
    STATE(3400), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2316), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2318), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [46877] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4317), 1,
      anon_sym_LBRACK_LT,
    STATE(3346), 1,
      aux_sym_attributes_repeat1,
    STATE(3512), 1,
      sym_attribute_set,
    ACTIONS(5098), 2,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
    STATE(3401), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5096), 10,
      anon_sym_do,
      anon_sym_let,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [46916] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5579), 1,
      anon_sym_DOT,
    STATE(3400), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3402), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2337), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2339), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [46953] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2738), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3403), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2740), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [46986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2742), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3404), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2744), 13,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_when,
      anon_sym_LT2,
  [47019] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5579), 1,
      anon_sym_DOT,
    STATE(3402), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3405), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2376), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2382), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [47056] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5581), 1,
      anon_sym_COLON_GT,
    STATE(3406), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2452), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [47090] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5595), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3407), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47138] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3408), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47186] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5599), 1,
      anon_sym_COLON_GT,
    STATE(3409), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2452), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [47220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3410), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2318), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [47252] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5601), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3411), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3412), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2316), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2318), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [47332] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5603), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3413), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47380] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5605), 1,
      sym__bitdigit_imm,
    ACTIONS(5610), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    STATE(3414), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_xint_repeat3,
    ACTIONS(5608), 9,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [47414] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5612), 1,
      anon_sym_DQUOTE,
    STATE(3425), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3415), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47462] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5614), 1,
      anon_sym_DQUOTE,
    STATE(3449), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3416), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47510] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5616), 1,
      anon_sym_DQUOTE,
    STATE(3411), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3417), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47558] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5618), 1,
      anon_sym_DQUOTE,
    STATE(3466), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3418), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47606] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5620), 1,
      anon_sym_DQUOTE,
    STATE(3407), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3419), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47654] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5622), 1,
      sym__octaldigit_imm,
    ACTIONS(5627), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    STATE(3420), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_xint_repeat2,
    ACTIONS(5625), 9,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [47688] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5629), 1,
      anon_sym_DQUOTE,
    STATE(3473), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3421), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47736] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5633), 1,
      anon_sym_PIPE,
    STATE(3472), 1,
      aux_sym_union_type_cases_repeat1,
    STATE(3422), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5631), 12,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [47770] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5635), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3423), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47818] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2226), 1,
      anon_sym_and,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3424), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2228), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [47866] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5643), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3425), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47914] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5645), 1,
      anon_sym_DQUOTE,
    STATE(3454), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3426), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [47962] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5633), 1,
      anon_sym_PIPE,
    STATE(3422), 1,
      aux_sym_union_type_cases_repeat1,
    STATE(3427), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5647), 12,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [47996] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2230), 1,
      anon_sym_and,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3428), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2232), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [48044] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5649), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3429), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48092] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5651), 1,
      anon_sym_DQUOTE,
    STATE(3413), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3430), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48140] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2192), 1,
      anon_sym_and,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3431), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2194), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [48188] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5656), 1,
      anon_sym_BSLASHu,
    ACTIONS(5659), 1,
      anon_sym_BSLASHU,
    ACTIONS(5662), 1,
      anon_sym_BSLASH,
    ACTIONS(5665), 1,
      sym__simple_string_char,
    ACTIONS(5668), 1,
      anon_sym_LBRACE2,
    ACTIONS(5671), 1,
      anon_sym_DQUOTE,
    ACTIONS(5653), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3432), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_format_string_repeat1,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48234] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    STATE(3435), 1,
      aux_sym__compound_type_repeat1,
    STATE(3433), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2333), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2335), 8,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [48270] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5633), 1,
      anon_sym_PIPE,
    STATE(3443), 1,
      aux_sym_union_type_cases_repeat1,
    STATE(3434), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5631), 12,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [48304] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5673), 1,
      anon_sym_STAR,
    STATE(3435), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__compound_type_repeat1,
    ACTIONS(2230), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2232), 8,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [48338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3436), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5542), 14,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_STAR,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [48368] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5676), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3437), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48416] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3438), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2150), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [48464] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5678), 1,
      sym__hex_digit_imm,
    ACTIONS(5683), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    STATE(3439), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_xint_repeat1,
    ACTIONS(5681), 9,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [48498] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5685), 1,
      anon_sym_DQUOTE,
    STATE(3463), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3440), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3441), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2438), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2440), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [48578] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5687), 1,
      anon_sym_DQUOTE,
    STATE(3437), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3442), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5633), 1,
      anon_sym_PIPE,
    STATE(3472), 1,
      aux_sym_union_type_cases_repeat1,
    STATE(3443), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5689), 12,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [48660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3444), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2424), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2426), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [48692] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5691), 1,
      anon_sym_DQUOTE,
    STATE(3429), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3445), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48740] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5693), 1,
      sym__bitdigit_imm,
    STATE(3414), 1,
      aux_sym_xint_repeat3,
    STATE(3446), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5697), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    ACTIONS(5695), 9,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [48776] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5699), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3447), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48824] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5701), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3448), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48872] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5703), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3449), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [48920] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(4941), 1,
      anon_sym_new,
    ACTIONS(5705), 1,
      anon_sym_do,
    ACTIONS(5707), 1,
      anon_sym_static,
    ACTIONS(5709), 1,
      anon_sym_member,
    ACTIONS(5711), 1,
      anon_sym_abstract,
    ACTIONS(5715), 1,
      anon_sym_val,
    STATE(3612), 1,
      sym_additional_constr_defn,
    STATE(4456), 1,
      sym_access_modifier,
    STATE(4528), 1,
      sym_function_or_value_defn,
    ACTIONS(5713), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3450), 2,
      sym_xml_doc,
      sym_block_comment,
  [48974] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5717), 1,
      anon_sym_DQUOTE,
    STATE(3452), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3451), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49022] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5719), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3452), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49070] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5721), 1,
      anon_sym_DQUOTE,
    STATE(3448), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3453), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49118] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5723), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3454), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49166] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5725), 1,
      sym__octaldigit_imm,
    STATE(3420), 1,
      aux_sym_xint_repeat2,
    STATE(3455), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5697), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    ACTIONS(5695), 9,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [49202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3456), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2424), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2426), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [49234] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5727), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3457), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3458), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2438), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2440), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [49314] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5729), 1,
      anon_sym_DQUOTE,
    STATE(3457), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3459), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49362] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5731), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3460), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49410] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5479), 1,
      anon_sym_STAR,
    STATE(3465), 1,
      aux_sym__compound_type_repeat1,
    STATE(3461), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2333), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2335), 8,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [49446] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5733), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3462), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49494] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5735), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3463), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49542] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5737), 1,
      anon_sym_DQUOTE,
    STATE(3408), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3464), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49590] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5739), 1,
      anon_sym_STAR,
    STATE(3465), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__compound_type_repeat1,
    ACTIONS(2230), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2232), 8,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [49624] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3466), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49672] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5744), 1,
      sym__hex_digit_imm,
    STATE(3439), 1,
      aux_sym_xint_repeat1,
    STATE(3467), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5697), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    ACTIONS(5695), 9,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [49708] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5746), 1,
      anon_sym_DQUOTE,
    STATE(3460), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3468), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49756] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5748), 1,
      anon_sym_DQUOTE,
    STATE(3447), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3469), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49804] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5750), 1,
      anon_sym_DQUOTE,
    STATE(3462), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3470), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49852] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5752), 1,
      anon_sym_DQUOTE,
    STATE(3423), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3471), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5756), 1,
      anon_sym_PIPE,
    STATE(3472), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_union_type_cases_repeat1,
    ACTIONS(5754), 12,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [49932] = 14,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5585), 1,
      anon_sym_BSLASHu,
    ACTIONS(5587), 1,
      anon_sym_BSLASHU,
    ACTIONS(5589), 1,
      anon_sym_BSLASH,
    ACTIONS(5591), 1,
      sym__simple_string_char,
    ACTIONS(5593), 1,
      anon_sym_LBRACE2,
    ACTIONS(5759), 1,
      anon_sym_DQUOTE,
    STATE(3432), 1,
      aux_sym_format_string_repeat1,
    ACTIONS(5583), 2,
      sym__escape_char,
      sym__non_escape_char,
    STATE(3473), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(3837), 2,
      sym__string_char,
      sym_format_string_eval,
    STATE(3872), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [49980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5562), 1,
      anon_sym_LPAREN,
    STATE(3474), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5560), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [50011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3475), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2452), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [50042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3476), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5763), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    ACTIONS(5761), 10,
      sym__octaldigit_imm,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [50073] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3477), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2428), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2430), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [50104] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5773), 1,
      anon_sym_DQUOTE,
    ACTIONS(5775), 1,
      anon_sym_DQUOTEB,
    STATE(3496), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3478), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3479), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5779), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    ACTIONS(5777), 10,
      sym__hex_digit_imm,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [50180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5783), 1,
      anon_sym_LPAREN,
    STATE(3480), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5781), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [50211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3481), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5243), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [50240] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5785), 1,
      anon_sym_DQUOTE,
    ACTIONS(5787), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3482), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50285] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5789), 1,
      anon_sym_DOT,
    ACTIONS(2316), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3483), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2318), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [50318] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5792), 1,
      anon_sym_DQUOTE,
    ACTIONS(5794), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3484), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50363] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3693), 1,
      anon_sym_interface,
    ACTIONS(5225), 1,
      sym_identifier,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5796), 1,
      anon_sym_with,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    STATE(4307), 1,
      sym__object_members,
    ACTIONS(3691), 2,
      sym__newline,
      sym__dedent,
    STATE(3485), 2,
      sym_xml_doc,
      sym_block_comment,
  [50414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    STATE(3486), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5556), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [50445] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5798), 1,
      anon_sym_DQUOTE,
    ACTIONS(5800), 1,
      anon_sym_DQUOTEB,
    STATE(3508), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3487), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50490] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5802), 1,
      anon_sym_DQUOTE,
    ACTIONS(5804), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3488), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50535] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5806), 1,
      anon_sym_DQUOTE,
    ACTIONS(5808), 1,
      anon_sym_DQUOTEB,
    STATE(3501), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3489), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3490), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2442), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2444), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [50611] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3491), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2434), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2436), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [50642] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5810), 1,
      anon_sym_DQUOTE,
    ACTIONS(5812), 1,
      anon_sym_DQUOTEB,
    STATE(3495), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3492), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3493), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2468), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2470), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [50718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3494), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2476), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2478), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [50749] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5814), 1,
      anon_sym_DQUOTE,
    ACTIONS(5816), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3495), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50794] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5818), 1,
      anon_sym_DQUOTE,
    ACTIONS(5820), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3496), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50839] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5822), 1,
      anon_sym_DQUOTE,
    ACTIONS(5824), 1,
      anon_sym_DQUOTEB,
    STATE(3502), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3497), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50884] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5826), 1,
      anon_sym_DQUOTE,
    ACTIONS(5828), 1,
      anon_sym_DQUOTEB,
    STATE(3546), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3498), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [50929] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4705), 1,
      anon_sym_PIPE,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3499), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4707), 10,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [50964] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3500), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4792), 6,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [51007] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5840), 1,
      anon_sym_DQUOTE,
    ACTIONS(5842), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3501), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51052] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5844), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3502), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51097] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5848), 1,
      anon_sym_DQUOTE,
    ACTIONS(5850), 1,
      anon_sym_DQUOTEB,
    STATE(3484), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3503), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51142] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5852), 1,
      anon_sym_DQUOTE,
    ACTIONS(5854), 1,
      anon_sym_DQUOTEB,
    STATE(3513), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3504), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51187] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5856), 1,
      anon_sym_DQUOTE,
    ACTIONS(5858), 1,
      anon_sym_DQUOTEB,
    STATE(3564), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3505), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51232] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5860), 1,
      anon_sym_DQUOTE,
    ACTIONS(5862), 1,
      anon_sym_DQUOTEB,
    STATE(3507), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3506), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51277] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5864), 1,
      anon_sym_DQUOTE,
    ACTIONS(5866), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3507), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51322] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5868), 1,
      anon_sym_DQUOTE,
    ACTIONS(5870), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3508), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5874), 1,
      anon_sym_LPAREN,
    STATE(3509), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5872), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [51398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5878), 1,
      anon_sym_LPAREN,
    STATE(3510), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5876), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [51429] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3511), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5882), 3,
      anon_sym_l,
      aux_sym_uint32_token1,
      anon_sym_L,
    ACTIONS(5880), 10,
      sym__bitdigit_imm,
      anon_sym_y,
      anon_sym_uy,
      anon_sym_s,
      anon_sym_us,
      anon_sym_n,
      anon_sym_un,
      aux_sym_uint64_token1,
      anon_sym_lf,
      anon_sym_LF,
  [51460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3512), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5043), 3,
      anon_sym_LBRACK_LT,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
    ACTIONS(5041), 10,
      anon_sym_do,
      anon_sym_let,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [51491] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5884), 1,
      anon_sym_DQUOTE,
    ACTIONS(5886), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3513), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3514), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5257), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [51565] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5888), 1,
      anon_sym_LT2,
    STATE(3515), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2454), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2456), 8,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_RBRACK,
  [51598] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3516), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4774), 10,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [51633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3517), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5754), 13,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_PIPE,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [51662] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5890), 1,
      anon_sym_DQUOTE,
    ACTIONS(5892), 1,
      anon_sym_DQUOTEB,
    STATE(3531), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3518), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51707] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5894), 1,
      anon_sym_DQUOTE,
    ACTIONS(5896), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3519), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3520), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2408), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2414), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [51783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3521), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2452), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [51814] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5898), 1,
      anon_sym_DQUOTE,
    ACTIONS(5900), 1,
      anon_sym_DQUOTEB,
    STATE(3482), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3522), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51859] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5902), 1,
      anon_sym_DQUOTE,
    ACTIONS(5904), 1,
      anon_sym_DQUOTEB,
    STATE(3560), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3523), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [51904] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3524), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4728), 6,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [51947] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3525), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2460), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2462), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [51978] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5906), 1,
      anon_sym_COMMA,
    ACTIONS(4719), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3526), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4721), 9,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [52011] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4715), 1,
      anon_sym_PIPE,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3527), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4717), 10,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [52046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3528), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5085), 3,
      anon_sym_LBRACK_LT,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
    ACTIONS(5083), 10,
      anon_sym_do,
      anon_sym_let,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [52077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3529), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2464), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2466), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3530), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2434), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2436), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52139] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5909), 1,
      anon_sym_DQUOTE,
    ACTIONS(5911), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3531), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [52184] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4711), 1,
      anon_sym_PIPE,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3532), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4713), 10,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [52219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3533), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2472), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2474), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3534), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2442), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2444), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52281] = 12,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5916), 1,
      anon_sym_BSLASHu,
    ACTIONS(5919), 1,
      anon_sym_BSLASHU,
    ACTIONS(5922), 1,
      anon_sym_BSLASH,
    ACTIONS(5925), 1,
      anon_sym_DQUOTE,
    ACTIONS(5927), 1,
      anon_sym_DQUOTEB,
    STATE(3854), 1,
      sym__string_char,
    ACTIONS(5913), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3535), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_string_repeat1,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [52324] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3555), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4742), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3536), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4744), 10,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [52357] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3537), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2428), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2430), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52388] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4776), 1,
      anon_sym_PIPE,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3538), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4778), 10,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [52423] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3539), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2468), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2470), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3540), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5039), 3,
      anon_sym_LBRACK_LT,
      anon_sym_let_BANG,
      aux_sym_access_modifier_token1,
    ACTIONS(5037), 10,
      anon_sym_do,
      anon_sym_let,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
      sym_identifier,
  [52485] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3541), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4721), 6,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [52528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5931), 1,
      anon_sym_LPAREN,
    STATE(3542), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5929), 12,
      anon_sym_EQ,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_interface,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [52559] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5933), 1,
      anon_sym_DQUOTE,
    ACTIONS(5935), 1,
      anon_sym_DQUOTEB,
    STATE(3488), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3543), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [52604] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5937), 1,
      anon_sym_DOT,
    STATE(3483), 1,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2337), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3544), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2339), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52639] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5939), 1,
      anon_sym_DQUOTE,
    ACTIONS(5941), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3545), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [52684] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5943), 1,
      anon_sym_DQUOTE,
    ACTIONS(5945), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3546), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [52729] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5947), 1,
      anon_sym_DQUOTE,
    ACTIONS(5949), 1,
      anon_sym_DQUOTEB,
    STATE(3558), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3547), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [52774] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    STATE(3526), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4786), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3548), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4788), 9,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [52809] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3549), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3490), 6,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [52852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3550), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2460), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2462), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52883] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3551), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2464), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2466), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52914] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5953), 1,
      anon_sym_DQUOTEB,
    STATE(3519), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3552), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [52959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3553), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2472), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_when,
      sym_identifier,
    ACTIONS(2474), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [52990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3554), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2476), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2478), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [53021] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3559), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4780), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3555), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4782), 10,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [53054] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5957), 1,
      anon_sym_DQUOTEB,
    STATE(3545), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3556), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [53099] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5959), 1,
      anon_sym_LT2,
    STATE(3557), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2454), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2456), 8,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_RBRACK,
  [53132] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5961), 1,
      anon_sym_DQUOTE,
    ACTIONS(5963), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3558), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [53177] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5965), 1,
      anon_sym_SEMI,
    ACTIONS(4765), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(3559), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4767), 9,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_PIPE_RBRACK,
      anon_sym_LT2,
  [53210] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5968), 1,
      anon_sym_DQUOTE,
    ACTIONS(5970), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3560), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [53255] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3561), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2408), 4,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_in,
      sym_identifier,
    ACTIONS(2414), 9,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [53286] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5937), 1,
      anon_sym_DOT,
    STATE(3544), 1,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2376), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3562), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [53321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3563), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2535), 13,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      anon_sym_and,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [53350] = 13,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5767), 1,
      anon_sym_BSLASHu,
    ACTIONS(5769), 1,
      anon_sym_BSLASHU,
    ACTIONS(5771), 1,
      anon_sym_BSLASH,
    ACTIONS(5972), 1,
      anon_sym_DQUOTE,
    ACTIONS(5974), 1,
      anon_sym_DQUOTEB,
    STATE(3535), 1,
      aux_sym_string_repeat1,
    STATE(3854), 1,
      sym__string_char,
    STATE(3564), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5765), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3842), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [53395] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4463), 1,
      anon_sym_l,
    ACTIONS(4465), 1,
      aux_sym_uint32_token1,
    ACTIONS(4471), 1,
      anon_sym_L,
    ACTIONS(5976), 1,
      anon_sym_y,
    ACTIONS(5978), 1,
      anon_sym_uy,
    ACTIONS(5980), 1,
      anon_sym_s,
    ACTIONS(5982), 1,
      anon_sym_us,
    ACTIONS(5984), 1,
      anon_sym_n,
    ACTIONS(5986), 1,
      anon_sym_un,
    ACTIONS(5988), 1,
      aux_sym_uint64_token1,
    ACTIONS(5990), 1,
      anon_sym_lf,
    ACTIONS(5992), 1,
      anon_sym_LF,
    STATE(3565), 2,
      sym_xml_doc,
      sym_block_comment,
  [53445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5994), 1,
      anon_sym_COMMA,
    STATE(3566), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3723), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [53475] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2392), 1,
      anon_sym_l,
    ACTIONS(2394), 1,
      aux_sym_uint32_token1,
    ACTIONS(2400), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5996), 1,
      anon_sym_y,
    ACTIONS(5998), 1,
      anon_sym_uy,
    ACTIONS(6000), 1,
      anon_sym_s,
    ACTIONS(6002), 1,
      anon_sym_us,
    ACTIONS(6004), 1,
      anon_sym_n,
    ACTIONS(6006), 1,
      anon_sym_un,
    ACTIONS(6008), 1,
      aux_sym_uint64_token1,
    ACTIONS(6010), 1,
      anon_sym_lf,
    ACTIONS(6012), 1,
      anon_sym_LF,
    STATE(3567), 2,
      sym_xml_doc,
      sym_block_comment,
  [53525] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6014), 1,
      anon_sym_COLON_GT,
    STATE(3568), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2450), 3,
      anon_sym_COLON,
      anon_sym_and,
      sym_identifier,
    ACTIONS(2452), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [53557] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3691), 1,
      sym__dedent,
    ACTIONS(3693), 1,
      anon_sym_interface,
    ACTIONS(5211), 1,
      sym_identifier,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6016), 1,
      anon_sym_with,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(4607), 1,
      sym__object_members,
    STATE(3569), 2,
      sym_xml_doc,
      sym_block_comment,
  [53607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6018), 1,
      anon_sym_COMMA,
    STATE(3570), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3699), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [53637] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6020), 1,
      anon_sym_COMMA,
    STATE(3571), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3723), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [53667] = 12,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6024), 1,
      anon_sym_BSLASHu,
    ACTIONS(6026), 1,
      anon_sym_BSLASHU,
    ACTIONS(6028), 1,
      anon_sym_BSLASH,
    ACTIONS(6030), 1,
      anon_sym_DQUOTE,
    STATE(3577), 1,
      aux_sym_string_repeat1,
    STATE(3947), 1,
      sym__string_char,
    STATE(3572), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6022), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3906), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [53709] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6032), 1,
      sym_identifier,
    ACTIONS(6034), 1,
      anon_sym_DASH_GT,
    ACTIONS(6036), 1,
      anon_sym_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT2,
    ACTIONS(6040), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(3729), 1,
      aux_sym__compound_type_repeat1,
    STATE(3891), 1,
      sym_long_identifier,
    STATE(3898), 1,
      sym_type_arguments,
    STATE(4422), 1,
      sym__expression_block,
    ACTIONS(6042), 2,
      sym__newline,
      sym__dedent,
    STATE(3573), 2,
      sym_xml_doc,
      sym_block_comment,
  [53757] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6046), 1,
      anon_sym_STAR,
    ACTIONS(2230), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3574), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__compound_type_repeat1,
    ACTIONS(2232), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [53789] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    STATE(3574), 1,
      aux_sym__compound_type_repeat1,
    ACTIONS(2333), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3575), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2335), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [53823] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2276), 1,
      anon_sym_l,
    ACTIONS(2278), 1,
      aux_sym_uint32_token1,
    ACTIONS(2284), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6049), 1,
      anon_sym_y,
    ACTIONS(6051), 1,
      anon_sym_uy,
    ACTIONS(6053), 1,
      anon_sym_s,
    ACTIONS(6055), 1,
      anon_sym_us,
    ACTIONS(6057), 1,
      anon_sym_n,
    ACTIONS(6059), 1,
      anon_sym_un,
    ACTIONS(6061), 1,
      aux_sym_uint64_token1,
    ACTIONS(6063), 1,
      anon_sym_lf,
    ACTIONS(6065), 1,
      anon_sym_LF,
    STATE(3576), 2,
      sym_xml_doc,
      sym_block_comment,
  [53873] = 12,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6024), 1,
      anon_sym_BSLASHu,
    ACTIONS(6026), 1,
      anon_sym_BSLASHU,
    ACTIONS(6028), 1,
      anon_sym_BSLASH,
    ACTIONS(6067), 1,
      anon_sym_DQUOTE,
    STATE(3578), 1,
      aux_sym_string_repeat1,
    STATE(3947), 1,
      sym__string_char,
    STATE(3577), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6022), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3906), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [53915] = 11,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(5925), 1,
      anon_sym_DQUOTE,
    ACTIONS(6072), 1,
      anon_sym_BSLASHu,
    ACTIONS(6075), 1,
      anon_sym_BSLASHU,
    ACTIONS(6078), 1,
      anon_sym_BSLASH,
    STATE(3947), 1,
      sym__string_char,
    ACTIONS(6069), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3578), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_string_repeat1,
    STATE(3906), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [53955] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4499), 1,
      anon_sym_l,
    ACTIONS(4501), 1,
      aux_sym_uint32_token1,
    ACTIONS(4507), 1,
      anon_sym_L,
    ACTIONS(6081), 1,
      anon_sym_y,
    ACTIONS(6083), 1,
      anon_sym_uy,
    ACTIONS(6085), 1,
      anon_sym_s,
    ACTIONS(6087), 1,
      anon_sym_us,
    ACTIONS(6089), 1,
      anon_sym_n,
    ACTIONS(6091), 1,
      anon_sym_un,
    ACTIONS(6093), 1,
      aux_sym_uint64_token1,
    ACTIONS(6095), 1,
      anon_sym_lf,
    ACTIONS(6097), 1,
      anon_sym_LF,
    STATE(3579), 2,
      sym_xml_doc,
      sym_block_comment,
  [54005] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4633), 1,
      anon_sym_l,
    ACTIONS(4635), 1,
      aux_sym_uint32_token1,
    ACTIONS(4641), 1,
      anon_sym_L,
    ACTIONS(6099), 1,
      anon_sym_y,
    ACTIONS(6101), 1,
      anon_sym_uy,
    ACTIONS(6103), 1,
      anon_sym_s,
    ACTIONS(6105), 1,
      anon_sym_us,
    ACTIONS(6107), 1,
      anon_sym_n,
    ACTIONS(6109), 1,
      anon_sym_un,
    ACTIONS(6111), 1,
      aux_sym_uint64_token1,
    ACTIONS(6113), 1,
      anon_sym_lf,
    ACTIONS(6115), 1,
      anon_sym_LF,
    STATE(3580), 2,
      sym_xml_doc,
      sym_block_comment,
  [54055] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6117), 1,
      anon_sym_COMMA,
    STATE(3581), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3699), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [54085] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6119), 1,
      anon_sym_COMMA,
    STATE(3582), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3705), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [54115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6121), 1,
      anon_sym_COMMA,
    STATE(3583), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3705), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [54145] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2048), 1,
      anon_sym_l,
    ACTIONS(2050), 1,
      aux_sym_uint32_token1,
    ACTIONS(2056), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6123), 1,
      anon_sym_y,
    ACTIONS(6125), 1,
      anon_sym_uy,
    ACTIONS(6127), 1,
      anon_sym_s,
    ACTIONS(6129), 1,
      anon_sym_us,
    ACTIONS(6131), 1,
      anon_sym_n,
    ACTIONS(6133), 1,
      anon_sym_un,
    ACTIONS(6135), 1,
      aux_sym_uint64_token1,
    ACTIONS(6137), 1,
      anon_sym_lf,
    ACTIONS(6139), 1,
      anon_sym_LF,
    STATE(3584), 2,
      sym_xml_doc,
      sym_block_comment,
  [54195] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5495), 1,
      anon_sym_y,
    ACTIONS(5497), 1,
      anon_sym_uy,
    ACTIONS(5499), 1,
      anon_sym_s,
    ACTIONS(5501), 1,
      anon_sym_us,
    ACTIONS(5505), 1,
      aux_sym_uint32_token1,
    ACTIONS(5507), 1,
      anon_sym_n,
    ACTIONS(5509), 1,
      anon_sym_un,
    ACTIONS(5513), 1,
      aux_sym_uint64_token1,
    ACTIONS(6141), 1,
      anon_sym_l,
    ACTIONS(6143), 1,
      anon_sym_L,
    ACTIONS(6145), 1,
      anon_sym_lf,
    ACTIONS(6147), 1,
      anon_sym_LF,
    STATE(3585), 2,
      sym_xml_doc,
      sym_block_comment,
  [54245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6149), 1,
      anon_sym_with,
    STATE(3586), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3711), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [54275] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6151), 1,
      anon_sym_with,
    STATE(3587), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3729), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [54305] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2076), 1,
      anon_sym_l,
    ACTIONS(2078), 1,
      aux_sym_uint32_token1,
    ACTIONS(2084), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6153), 1,
      anon_sym_y,
    ACTIONS(6155), 1,
      anon_sym_uy,
    ACTIONS(6157), 1,
      anon_sym_s,
    ACTIONS(6159), 1,
      anon_sym_us,
    ACTIONS(6161), 1,
      anon_sym_n,
    ACTIONS(6163), 1,
      anon_sym_un,
    ACTIONS(6165), 1,
      aux_sym_uint64_token1,
    ACTIONS(6167), 1,
      anon_sym_lf,
    ACTIONS(6169), 1,
      anon_sym_LF,
    STATE(3588), 2,
      sym_xml_doc,
      sym_block_comment,
  [54355] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2316), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3589), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2318), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [54385] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6171), 1,
      anon_sym_with,
    STATE(3590), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3717), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [54415] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3591), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2438), 3,
      anon_sym_COLON,
      anon_sym_and,
      sym_identifier,
    ACTIONS(2440), 9,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [54445] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4913), 1,
      anon_sym_y,
    ACTIONS(4915), 1,
      anon_sym_uy,
    ACTIONS(4917), 1,
      anon_sym_s,
    ACTIONS(4919), 1,
      anon_sym_us,
    ACTIONS(4923), 1,
      aux_sym_uint32_token1,
    ACTIONS(4925), 1,
      anon_sym_n,
    ACTIONS(4927), 1,
      anon_sym_un,
    ACTIONS(4931), 1,
      aux_sym_uint64_token1,
    ACTIONS(6173), 1,
      anon_sym_l,
    ACTIONS(6175), 1,
      anon_sym_L,
    ACTIONS(6177), 1,
      anon_sym_lf,
    ACTIONS(6179), 1,
      anon_sym_LF,
    STATE(3592), 2,
      sym_xml_doc,
      sym_block_comment,
  [54495] = 12,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6024), 1,
      anon_sym_BSLASHu,
    ACTIONS(6026), 1,
      anon_sym_BSLASHU,
    ACTIONS(6028), 1,
      anon_sym_BSLASH,
    ACTIONS(6181), 1,
      anon_sym_DQUOTE,
    STATE(3595), 1,
      aux_sym_string_repeat1,
    STATE(3947), 1,
      sym__string_char,
    STATE(3593), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6022), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3906), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [54537] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2354), 1,
      anon_sym_l,
    ACTIONS(2356), 1,
      aux_sym_uint32_token1,
    ACTIONS(2362), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6183), 1,
      anon_sym_y,
    ACTIONS(6185), 1,
      anon_sym_uy,
    ACTIONS(6187), 1,
      anon_sym_s,
    ACTIONS(6189), 1,
      anon_sym_us,
    ACTIONS(6191), 1,
      anon_sym_n,
    ACTIONS(6193), 1,
      anon_sym_un,
    ACTIONS(6195), 1,
      aux_sym_uint64_token1,
    ACTIONS(6197), 1,
      anon_sym_lf,
    ACTIONS(6199), 1,
      anon_sym_LF,
    STATE(3594), 2,
      sym_xml_doc,
      sym_block_comment,
  [54587] = 12,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6024), 1,
      anon_sym_BSLASHu,
    ACTIONS(6026), 1,
      anon_sym_BSLASHU,
    ACTIONS(6028), 1,
      anon_sym_BSLASH,
    ACTIONS(6201), 1,
      anon_sym_DQUOTE,
    STATE(3578), 1,
      aux_sym_string_repeat1,
    STATE(3947), 1,
      sym__string_char,
    STATE(3595), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6022), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    STATE(3906), 3,
      sym__unicodegraph_short,
      sym__unicodegraph_long,
      sym__trigraph,
  [54629] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2207), 1,
      anon_sym_l,
    ACTIONS(2209), 1,
      aux_sym_uint32_token1,
    ACTIONS(2215), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6203), 1,
      anon_sym_y,
    ACTIONS(6205), 1,
      anon_sym_uy,
    ACTIONS(6207), 1,
      anon_sym_s,
    ACTIONS(6209), 1,
      anon_sym_us,
    ACTIONS(6211), 1,
      anon_sym_n,
    ACTIONS(6213), 1,
      anon_sym_un,
    ACTIONS(6215), 1,
      aux_sym_uint64_token1,
    ACTIONS(6217), 1,
      anon_sym_lf,
    ACTIONS(6219), 1,
      anon_sym_LF,
    STATE(3596), 2,
      sym_xml_doc,
      sym_block_comment,
  [54679] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3597), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2424), 3,
      anon_sym_COLON,
      anon_sym_and,
      sym_identifier,
    ACTIONS(2426), 9,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [54709] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2300), 1,
      anon_sym_l,
    ACTIONS(2302), 1,
      aux_sym_uint32_token1,
    ACTIONS(2308), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6221), 1,
      anon_sym_y,
    ACTIONS(6223), 1,
      anon_sym_uy,
    ACTIONS(6225), 1,
      anon_sym_s,
    ACTIONS(6227), 1,
      anon_sym_us,
    ACTIONS(6229), 1,
      anon_sym_n,
    ACTIONS(6231), 1,
      anon_sym_un,
    ACTIONS(6233), 1,
      aux_sym_uint64_token1,
    ACTIONS(6235), 1,
      anon_sym_lf,
    ACTIONS(6237), 1,
      anon_sym_LF,
    STATE(3598), 2,
      sym_xml_doc,
      sym_block_comment,
  [54759] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4525), 1,
      anon_sym_l,
    ACTIONS(4527), 1,
      aux_sym_uint32_token1,
    ACTIONS(4533), 1,
      anon_sym_L,
    ACTIONS(6239), 1,
      anon_sym_y,
    ACTIONS(6241), 1,
      anon_sym_uy,
    ACTIONS(6243), 1,
      anon_sym_s,
    ACTIONS(6245), 1,
      anon_sym_us,
    ACTIONS(6247), 1,
      anon_sym_n,
    ACTIONS(6249), 1,
      anon_sym_un,
    ACTIONS(6251), 1,
      aux_sym_uint64_token1,
    ACTIONS(6253), 1,
      anon_sym_lf,
    ACTIONS(6255), 1,
      anon_sym_LF,
    STATE(3599), 2,
      sym_xml_doc,
      sym_block_comment,
  [54809] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2100), 1,
      anon_sym_l,
    ACTIONS(2102), 1,
      aux_sym_uint32_token1,
    ACTIONS(2108), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6257), 1,
      anon_sym_y,
    ACTIONS(6259), 1,
      anon_sym_uy,
    ACTIONS(6261), 1,
      anon_sym_s,
    ACTIONS(6263), 1,
      anon_sym_us,
    ACTIONS(6265), 1,
      anon_sym_n,
    ACTIONS(6267), 1,
      anon_sym_un,
    ACTIONS(6269), 1,
      aux_sym_uint64_token1,
    ACTIONS(6271), 1,
      anon_sym_lf,
    ACTIONS(6273), 1,
      anon_sym_LF,
    STATE(3600), 2,
      sym_xml_doc,
      sym_block_comment,
  [54859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3601), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2535), 12,
      sym__dedent,
      anon_sym_LBRACK_LT,
      anon_sym_and,
      aux_sym_access_modifier_token1,
      anon_sym_with,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [54887] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2170), 1,
      anon_sym_l,
    ACTIONS(2172), 1,
      aux_sym_uint32_token1,
    ACTIONS(2178), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6275), 1,
      anon_sym_y,
    ACTIONS(6277), 1,
      anon_sym_uy,
    ACTIONS(6279), 1,
      anon_sym_s,
    ACTIONS(6281), 1,
      anon_sym_us,
    ACTIONS(6283), 1,
      anon_sym_n,
    ACTIONS(6285), 1,
      anon_sym_un,
    ACTIONS(6287), 1,
      aux_sym_uint64_token1,
    ACTIONS(6289), 1,
      anon_sym_lf,
    ACTIONS(6291), 1,
      anon_sym_LF,
    STATE(3602), 2,
      sym_xml_doc,
      sym_block_comment,
  [54937] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4552), 1,
      anon_sym_l,
    ACTIONS(4554), 1,
      aux_sym_uint32_token1,
    ACTIONS(4560), 1,
      anon_sym_L,
    ACTIONS(6293), 1,
      anon_sym_y,
    ACTIONS(6295), 1,
      anon_sym_uy,
    ACTIONS(6297), 1,
      anon_sym_s,
    ACTIONS(6299), 1,
      anon_sym_us,
    ACTIONS(6301), 1,
      anon_sym_n,
    ACTIONS(6303), 1,
      anon_sym_un,
    ACTIONS(6305), 1,
      aux_sym_uint64_token1,
    ACTIONS(6307), 1,
      anon_sym_lf,
    ACTIONS(6309), 1,
      anon_sym_LF,
    STATE(3603), 2,
      sym_xml_doc,
      sym_block_comment,
  [54987] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2250), 1,
      anon_sym_l,
    ACTIONS(2252), 1,
      aux_sym_uint32_token1,
    ACTIONS(2258), 1,
      anon_sym_L,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6311), 1,
      anon_sym_y,
    ACTIONS(6313), 1,
      anon_sym_uy,
    ACTIONS(6315), 1,
      anon_sym_s,
    ACTIONS(6317), 1,
      anon_sym_us,
    ACTIONS(6319), 1,
      anon_sym_n,
    ACTIONS(6321), 1,
      anon_sym_un,
    ACTIONS(6323), 1,
      aux_sym_uint64_token1,
    ACTIONS(6325), 1,
      anon_sym_lf,
    ACTIONS(6327), 1,
      anon_sym_LF,
    STATE(3604), 2,
      sym_xml_doc,
      sym_block_comment,
  [55037] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6329), 1,
      anon_sym_COMMA,
    STATE(3605), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3705), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3606), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3805), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55093] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2408), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3607), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2414), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [55122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3608), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3823), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55149] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6032), 1,
      sym_identifier,
    ACTIONS(6034), 1,
      anon_sym_DASH_GT,
    ACTIONS(6036), 1,
      anon_sym_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT2,
    ACTIONS(6040), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3729), 1,
      aux_sym__compound_type_repeat1,
    STATE(3891), 1,
      sym_long_identifier,
    STATE(3898), 1,
      sym_type_arguments,
    STATE(3609), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2194), 3,
      sym__newline,
      sym__indent,
      sym__dedent,
  [55192] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6032), 1,
      sym_identifier,
    ACTIONS(6034), 1,
      anon_sym_DASH_GT,
    ACTIONS(6036), 1,
      anon_sym_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT2,
    ACTIONS(6040), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3729), 1,
      aux_sym__compound_type_repeat1,
    STATE(3891), 1,
      sym_long_identifier,
    STATE(3898), 1,
      sym_type_arguments,
    STATE(3610), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2232), 3,
      sym__newline,
      sym__indent,
      sym__dedent,
  [55235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3611), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3833), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3612), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3837), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3613), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3763), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55316] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3614), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6333), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [55359] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5051), 1,
      anon_sym_new,
    ACTIONS(6335), 1,
      anon_sym_LPAREN,
    ACTIONS(6337), 1,
      anon_sym_static,
    ACTIONS(6339), 1,
      anon_sym_member,
    ACTIONS(6341), 1,
      anon_sym_abstract,
    ACTIONS(6345), 1,
      anon_sym_val,
    STATE(2116), 1,
      sym_additional_constr_defn,
    STATE(4221), 1,
      sym_access_modifier,
    ACTIONS(6343), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3615), 2,
      sym_xml_doc,
      sym_block_comment,
  [55404] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6032), 1,
      sym_identifier,
    ACTIONS(6034), 1,
      anon_sym_DASH_GT,
    ACTIONS(6036), 1,
      anon_sym_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT2,
    ACTIONS(6040), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3729), 1,
      aux_sym__compound_type_repeat1,
    STATE(3891), 1,
      sym_long_identifier,
    STATE(3898), 1,
      sym_type_arguments,
    STATE(3616), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2228), 3,
      sym__newline,
      sym__indent,
      sym__dedent,
  [55447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3617), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3781), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55474] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(6347), 1,
      anon_sym_SEMI,
    STATE(3559), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3618), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4782), 8,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT2,
  [55507] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4742), 1,
      anon_sym_COLON,
    ACTIONS(6347), 1,
      anon_sym_SEMI,
    STATE(3618), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3619), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4744), 8,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT2,
  [55540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3620), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3815), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55567] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5069), 1,
      anon_sym_new,
    ACTIONS(6335), 1,
      anon_sym_LPAREN,
    ACTIONS(6349), 1,
      anon_sym_static,
    ACTIONS(6351), 1,
      anon_sym_member,
    ACTIONS(6353), 1,
      anon_sym_abstract,
    ACTIONS(6357), 1,
      anon_sym_val,
    STATE(2107), 1,
      sym_additional_constr_defn,
    STATE(4247), 1,
      sym_access_modifier,
    ACTIONS(6355), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3621), 2,
      sym_xml_doc,
      sym_block_comment,
  [55612] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6032), 1,
      sym_identifier,
    ACTIONS(6034), 1,
      anon_sym_DASH_GT,
    ACTIONS(6036), 1,
      anon_sym_STAR,
    ACTIONS(6038), 1,
      anon_sym_LT2,
    ACTIONS(6040), 1,
      anon_sym_LBRACK_RBRACK,
    STATE(3729), 1,
      aux_sym__compound_type_repeat1,
    STATE(3891), 1,
      sym_long_identifier,
    STATE(3898), 1,
      sym_type_arguments,
    STATE(3622), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2150), 3,
      sym__newline,
      sym__indent,
      sym__dedent,
  [55655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3623), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3793), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3624), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3514), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3625), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3785), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3626), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3461), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3627), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3797), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3628), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3801), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3629), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3819), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6359), 1,
      anon_sym_COMMA,
    STATE(3630), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3723), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55873] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6361), 1,
      anon_sym_COMMA,
    STATE(3631), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3723), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6363), 1,
      anon_sym_COMMA,
    STATE(3632), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3699), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3633), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3773), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6365), 1,
      anon_sym_COMMA,
    STATE(3634), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3699), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [55987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3635), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3777), 11,
      sym__newline,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2450), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3636), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2452), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [56043] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6367), 1,
      anon_sym_LT2,
    ACTIONS(2454), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3637), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2456), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_RBRACK,
  [56074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6369), 1,
      anon_sym_COMMA,
    STATE(3638), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3705), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2476), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3639), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2478), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [56132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6371), 1,
      anon_sym_with,
    STATE(3640), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3711), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56161] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2468), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3641), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2470), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [56190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2428), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3642), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2430), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [56219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6373), 1,
      anon_sym_with,
    STATE(3643), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3729), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6375), 1,
      anon_sym_with,
    STATE(3644), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3717), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56277] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6377), 1,
      anon_sym_COMMA,
    ACTIONS(6379), 1,
      anon_sym_GT,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(4192), 1,
      aux_sym_types_repeat1,
    STATE(3645), 2,
      sym_xml_doc,
      sym_block_comment,
  [56324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2434), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3646), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2436), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [56353] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2442), 2,
      anon_sym_and,
      sym_identifier,
    STATE(3647), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2444), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
  [56382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3648), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3815), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56408] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6381), 1,
      anon_sym_EQ,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4533), 1,
      sym_type_arguments,
    STATE(3649), 2,
      sym_xml_doc,
      sym_block_comment,
  [56452] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    STATE(3670), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3650), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [56482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3651), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3781), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56508] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(6393), 1,
      anon_sym_SEMI,
    STATE(3660), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3652), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4782), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [56540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3653), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3763), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56566] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(6397), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4190), 1,
      aux_sym_list_pattern_repeat1,
    STATE(3654), 2,
      sym_xml_doc,
      sym_block_comment,
  [56610] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(6399), 1,
      anon_sym_PIPE,
    ACTIONS(6401), 1,
      anon_sym_RBRACK,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4236), 1,
      aux_sym_list_pattern_repeat1,
    STATE(3655), 2,
      sym_xml_doc,
      sym_block_comment,
  [56654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3656), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3837), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56680] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6403), 1,
      sym_identifier,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    ACTIONS(6405), 2,
      sym__newline,
      sym__dedent,
    STATE(3657), 2,
      sym_xml_doc,
      sym_block_comment,
  [56722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3658), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3833), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3659), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3823), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56774] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4765), 1,
      anon_sym_COLON,
    ACTIONS(6407), 1,
      anon_sym_SEMI,
    STATE(3660), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4767), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [56804] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    STATE(3660), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3661), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4782), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [56834] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6410), 1,
      sym_identifier,
    ACTIONS(6412), 1,
      anon_sym_mutable,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(4107), 1,
      sym_attributes,
    STATE(4294), 1,
      sym_record_field,
    STATE(5324), 1,
      sym_access_modifier,
    STATE(5335), 1,
      sym_record_fields,
    STATE(3662), 2,
      sym_xml_doc,
      sym_block_comment,
  [56878] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6403), 1,
      sym_identifier,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    ACTIONS(6414), 2,
      sym__newline,
      sym__dedent,
    STATE(3663), 2,
      sym_xml_doc,
      sym_block_comment,
  [56920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3664), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3514), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [56946] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6403), 1,
      sym_identifier,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    ACTIONS(6416), 2,
      sym__newline,
      sym__dedent,
    STATE(3665), 2,
      sym_xml_doc,
      sym_block_comment,
  [56988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3666), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3785), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3667), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3461), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3668), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3801), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57066] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3669), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4728), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LT2,
  [57106] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3670), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2339), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [57136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6418), 1,
      anon_sym_DOT,
    STATE(3671), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_long_identifier_repeat1,
    ACTIONS(2318), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [57164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3672), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3819), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57190] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4941), 1,
      anon_sym_new,
    ACTIONS(5709), 1,
      anon_sym_member,
    ACTIONS(5711), 1,
      anon_sym_abstract,
    ACTIONS(5715), 1,
      anon_sym_val,
    ACTIONS(6421), 1,
      anon_sym_static,
    STATE(3612), 1,
      sym_additional_constr_defn,
    STATE(4456), 1,
      sym_access_modifier,
    ACTIONS(5713), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3673), 2,
      sym_xml_doc,
      sym_block_comment,
  [57232] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3674), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6423), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [57272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3675), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3773), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3676), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3777), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3677), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3805), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57350] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6410), 1,
      sym_identifier,
    ACTIONS(6412), 1,
      anon_sym_mutable,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(4107), 1,
      sym_attributes,
    STATE(4294), 1,
      sym_record_field,
    STATE(5090), 1,
      sym_record_fields,
    STATE(5324), 1,
      sym_access_modifier,
    STATE(3678), 2,
      sym_xml_doc,
      sym_block_comment,
  [57394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3679), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3797), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57420] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5227), 1,
      anon_sym_DASH_GT,
    ACTIONS(5229), 1,
      anon_sym_STAR,
    ACTIONS(5231), 1,
      anon_sym_LT2,
    ACTIONS(5233), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6403), 1,
      sym_identifier,
    STATE(3078), 1,
      aux_sym__compound_type_repeat1,
    STATE(3286), 1,
      sym_type_arguments,
    STATE(3306), 1,
      sym_long_identifier,
    ACTIONS(6425), 2,
      sym__newline,
      sym__dedent,
    STATE(3680), 2,
      sym_xml_doc,
      sym_block_comment,
  [57462] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6427), 1,
      anon_sym_LBRACK_LT,
    STATE(3847), 1,
      sym_attribute_set,
    ACTIONS(5014), 3,
      anon_sym__,
      anon_sym_LPAREN,
      sym_identifier,
    STATE(3681), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_attributes_repeat1,
    ACTIONS(5019), 4,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [57494] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5145), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6430), 1,
      anon_sym_and,
    ACTIONS(6432), 1,
      anon_sym_GT,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3682), 2,
      sym_xml_doc,
      sym_block_comment,
  [57538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3683), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3793), 10,
      sym__dedent,
      anon_sym_LBRACK_LT,
      aux_sym_access_modifier_token1,
      anon_sym_new,
      anon_sym_static,
      anon_sym_member,
      anon_sym_abstract,
      anon_sym_override,
      anon_sym_default,
      anon_sym_val,
  [57564] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3684), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4792), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LT2,
  [57604] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4719), 1,
      anon_sym_COLON,
    ACTIONS(6434), 1,
      anon_sym_COMMA,
    STATE(3685), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4721), 7,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT2,
  [57634] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4742), 1,
      anon_sym_COLON,
    STATE(3661), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3686), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4744), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [57664] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3687), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4717), 8,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT2,
  [57694] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6437), 1,
      anon_sym_COMMA,
    STATE(3713), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3688), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4788), 7,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [57726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3689), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4713), 8,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT2,
  [57756] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(6399), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_RBRACK,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4242), 1,
      aux_sym_list_pattern_repeat1,
    STATE(3690), 2,
      sym_xml_doc,
      sym_block_comment,
  [57800] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3691), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4778), 8,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT2,
  [57830] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4877), 1,
      anon_sym_LBRACK_LT,
    STATE(3681), 1,
      aux_sym_attributes_repeat1,
    STATE(3847), 1,
      sym_attribute_set,
    STATE(3692), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5096), 3,
      anon_sym__,
      anon_sym_LPAREN,
      sym_identifier,
    ACTIONS(5098), 4,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [57864] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(6441), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4239), 1,
      aux_sym_list_pattern_repeat1,
    STATE(3693), 2,
      sym_xml_doc,
      sym_block_comment,
  [57908] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6437), 1,
      anon_sym_COMMA,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6447), 1,
      anon_sym_PIPE,
    ACTIONS(6449), 1,
      anon_sym_AMP,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3694), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4792), 3,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [57948] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(6399), 1,
      anon_sym_PIPE,
    ACTIONS(6451), 1,
      anon_sym_RBRACK,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4310), 1,
      aux_sym_list_pattern_repeat1,
    STATE(3695), 2,
      sym_xml_doc,
      sym_block_comment,
  [57992] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(6453), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4305), 1,
      aux_sym_list_pattern_repeat1,
    STATE(3696), 2,
      sym_xml_doc,
      sym_block_comment,
  [58036] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3697), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4707), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58066] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3698), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4721), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LT2,
  [58106] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6437), 1,
      anon_sym_COMMA,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6447), 1,
      anon_sym_PIPE,
    ACTIONS(6449), 1,
      anon_sym_AMP,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3699), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3490), 3,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58146] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6437), 1,
      anon_sym_COMMA,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6447), 1,
      anon_sym_PIPE,
    ACTIONS(6449), 1,
      anon_sym_AMP,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3700), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4721), 3,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58186] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4742), 1,
      anon_sym_COLON,
    ACTIONS(6393), 1,
      anon_sym_SEMI,
    STATE(3652), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3701), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4744), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3702), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4778), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58248] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3703), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4707), 8,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT2,
  [58278] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    STATE(3685), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3704), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4788), 7,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT2,
  [58310] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6455), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4639), 1,
      sym_type_arguments,
    STATE(3705), 2,
      sym_xml_doc,
      sym_block_comment,
  [58354] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5069), 1,
      anon_sym_new,
    ACTIONS(6349), 1,
      anon_sym_static,
    ACTIONS(6351), 1,
      anon_sym_member,
    ACTIONS(6353), 1,
      anon_sym_abstract,
    ACTIONS(6357), 1,
      anon_sym_val,
    STATE(2107), 1,
      sym_additional_constr_defn,
    STATE(4641), 1,
      sym_access_modifier,
    ACTIONS(6355), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3706), 2,
      sym_xml_doc,
      sym_block_comment,
  [58396] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3707), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4713), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58426] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3708), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4717), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58456] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3709), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(3490), 3,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LT2,
  [58496] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(6399), 1,
      anon_sym_PIPE,
    ACTIONS(6457), 1,
      anon_sym_RBRACK,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4290), 1,
      aux_sym_list_pattern_repeat1,
    STATE(3710), 2,
      sym_xml_doc,
      sym_block_comment,
  [58540] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    ACTIONS(5834), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5836), 1,
      anon_sym_PIPE,
    ACTIONS(5838), 1,
      anon_sym_AMP,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(6459), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3548), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4288), 1,
      aux_sym_list_pattern_repeat1,
    STATE(3711), 2,
      sym_xml_doc,
      sym_block_comment,
  [58584] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    ACTIONS(6461), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(3712), 2,
      sym_xml_doc,
      sym_block_comment,
  [58626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4719), 1,
      anon_sym_COLON,
    ACTIONS(6463), 1,
      anon_sym_COMMA,
    STATE(3713), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4721), 7,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58656] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    ACTIONS(6466), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(3714), 2,
      sym_xml_doc,
      sym_block_comment,
  [58698] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6437), 1,
      anon_sym_COMMA,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6447), 1,
      anon_sym_PIPE,
    ACTIONS(6449), 1,
      anon_sym_AMP,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3715), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4728), 3,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58738] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3688), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3716), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4774), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_when,
  [58768] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(4337), 1,
      sym_type_arguments,
    STATE(3717), 2,
      sym_xml_doc,
      sym_block_comment,
  [58812] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5109), 1,
      anon_sym_new,
    ACTIONS(6470), 1,
      anon_sym_static,
    ACTIONS(6472), 1,
      anon_sym_member,
    ACTIONS(6474), 1,
      anon_sym_abstract,
    ACTIONS(6478), 1,
      anon_sym_val,
    STATE(3656), 1,
      sym_additional_constr_defn,
    STATE(4563), 1,
      sym_access_modifier,
    ACTIONS(6476), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3718), 2,
      sym_xml_doc,
      sym_block_comment,
  [58854] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5051), 1,
      anon_sym_new,
    ACTIONS(6337), 1,
      anon_sym_static,
    ACTIONS(6339), 1,
      anon_sym_member,
    ACTIONS(6341), 1,
      anon_sym_abstract,
    ACTIONS(6345), 1,
      anon_sym_val,
    STATE(2116), 1,
      sym_additional_constr_defn,
    STATE(4463), 1,
      sym_access_modifier,
    ACTIONS(6343), 2,
      anon_sym_override,
      anon_sym_default,
    STATE(3719), 2,
      sym_xml_doc,
      sym_block_comment,
  [58896] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6480), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3720), 2,
      sym_xml_doc,
      sym_block_comment,
  [58937] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3383), 1,
      sym_identifier,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LPAREN,
    ACTIONS(6486), 1,
      anon_sym_POUND2,
    STATE(2711), 1,
      sym_long_identifier,
    STATE(2778), 1,
      sym_type_argument,
    STATE(2779), 1,
      sym_atomic_type,
    ACTIONS(6488), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3721), 2,
      sym_xml_doc,
      sym_block_comment,
  [58976] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4059), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3722), 2,
      sym_xml_doc,
      sym_block_comment,
  [59015] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6494), 1,
      sym_identifier,
    ACTIONS(6496), 1,
      sym__dedent,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3723), 2,
      sym_xml_doc,
      sym_block_comment,
  [59056] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4051), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3724), 2,
      sym_xml_doc,
      sym_block_comment,
  [59095] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6498), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3725), 2,
      sym_xml_doc,
      sym_block_comment,
  [59136] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4038), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3726), 2,
      sym_xml_doc,
      sym_block_comment,
  [59175] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3999), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3727), 2,
      sym_xml_doc,
      sym_block_comment,
  [59214] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6500), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3728), 2,
      sym_xml_doc,
      sym_block_comment,
  [59255] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6036), 1,
      anon_sym_STAR,
    STATE(3734), 1,
      aux_sym__compound_type_repeat1,
    STATE(3729), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2335), 7,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [59284] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6502), 1,
      sym_identifier,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6508), 1,
      anon_sym_POUND2,
    STATE(3378), 1,
      sym_atomic_type,
    STATE(3380), 1,
      sym_type_argument,
    STATE(3381), 1,
      sym_long_identifier,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3730), 2,
      sym_xml_doc,
      sym_block_comment,
  [59323] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6494), 1,
      sym_identifier,
    ACTIONS(6510), 1,
      sym__dedent,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3731), 2,
      sym_xml_doc,
      sym_block_comment,
  [59364] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6512), 1,
      anon_sym_COMMA,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3732), 2,
      sym_xml_doc,
      sym_block_comment,
  [59405] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6502), 1,
      sym_identifier,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      anon_sym_POUND2,
    STATE(3378), 1,
      sym_atomic_type,
    STATE(3380), 1,
      sym_type_argument,
    STATE(3381), 1,
      sym_long_identifier,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3733), 2,
      sym_xml_doc,
      sym_block_comment,
  [59444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6516), 1,
      anon_sym_STAR,
    STATE(3734), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__compound_type_repeat1,
    ACTIONS(2232), 7,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [59471] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4012), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3735), 2,
      sym_xml_doc,
      sym_block_comment,
  [59510] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6519), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3736), 2,
      sym_xml_doc,
      sym_block_comment,
  [59551] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6529), 1,
      anon_sym_DASH_GT,
    ACTIONS(6531), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3737), 2,
      sym_xml_doc,
      sym_block_comment,
  [59592] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4004), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3738), 2,
      sym_xml_doc,
      sym_block_comment,
  [59631] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3997), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3739), 2,
      sym_xml_doc,
      sym_block_comment,
  [59670] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3994), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3740), 2,
      sym_xml_doc,
      sym_block_comment,
  [59709] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4042), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3741), 2,
      sym_xml_doc,
      sym_block_comment,
  [59748] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4075), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3742), 2,
      sym_xml_doc,
      sym_block_comment,
  [59787] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6533), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3743), 2,
      sym_xml_doc,
      sym_block_comment,
  [59828] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4052), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3744), 2,
      sym_xml_doc,
      sym_block_comment,
  [59867] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4078), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3745), 2,
      sym_xml_doc,
      sym_block_comment,
  [59906] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6535), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3746), 2,
      sym_xml_doc,
      sym_block_comment,
  [59947] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6537), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3747), 2,
      sym_xml_doc,
      sym_block_comment,
  [59988] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4005), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3748), 2,
      sym_xml_doc,
      sym_block_comment,
  [60027] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6539), 1,
      anon_sym_DASH_GT,
    ACTIONS(6541), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3749), 2,
      sym_xml_doc,
      sym_block_comment,
  [60068] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6543), 1,
      anon_sym_DASH_GT,
    ACTIONS(6545), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3750), 2,
      sym_xml_doc,
      sym_block_comment,
  [60109] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4742), 1,
      anon_sym_COLON,
    ACTIONS(6547), 1,
      anon_sym_SEMI,
    STATE(3758), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3751), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4744), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [60140] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4034), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3752), 2,
      sym_xml_doc,
      sym_block_comment,
  [60179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6549), 1,
      anon_sym_COLON_GT,
    STATE(3753), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2452), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [60206] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4742), 1,
      anon_sym_COLON,
    STATE(3822), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3754), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4744), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [60235] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6551), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3755), 2,
      sym_xml_doc,
      sym_block_comment,
  [60276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3756), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4774), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [60305] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(3993), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3757), 2,
      sym_xml_doc,
      sym_block_comment,
  [60344] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(6547), 1,
      anon_sym_SEMI,
    STATE(3775), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3758), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4782), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [60375] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6555), 1,
      anon_sym_DASH_GT,
    ACTIONS(6557), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3759), 2,
      sym_xml_doc,
      sym_block_comment,
  [60416] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6559), 1,
      anon_sym_EQ,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3760), 2,
      sym_xml_doc,
      sym_block_comment,
  [60457] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4062), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3761), 2,
      sym_xml_doc,
      sym_block_comment,
  [60496] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6561), 1,
      anon_sym_DASH_GT,
    ACTIONS(6563), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3762), 2,
      sym_xml_doc,
      sym_block_comment,
  [60537] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4069), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3763), 2,
      sym_xml_doc,
      sym_block_comment,
  [60576] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6565), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3764), 2,
      sym_xml_doc,
      sym_block_comment,
  [60617] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6567), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3765), 2,
      sym_xml_doc,
      sym_block_comment,
  [60658] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3766), 2,
      sym_xml_doc,
      sym_block_comment,
  [60699] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6571), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3767), 2,
      sym_xml_doc,
      sym_block_comment,
  [60740] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6573), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3768), 2,
      sym_xml_doc,
      sym_block_comment,
  [60781] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6575), 1,
      anon_sym_EQ,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3769), 2,
      sym_xml_doc,
      sym_block_comment,
  [60822] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4020), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3770), 2,
      sym_xml_doc,
      sym_block_comment,
  [60861] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6577), 1,
      anon_sym_DASH_GT,
    ACTIONS(6579), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3771), 2,
      sym_xml_doc,
      sym_block_comment,
  [60902] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6581), 1,
      anon_sym_DASH_GT,
    ACTIONS(6583), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3772), 2,
      sym_xml_doc,
      sym_block_comment,
  [60943] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    ACTIONS(6587), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6589), 1,
      anon_sym_PIPE,
    ACTIONS(6591), 1,
      anon_sym_AMP,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4728), 2,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(3773), 2,
      sym_xml_doc,
      sym_block_comment,
  [60982] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4719), 1,
      anon_sym_COLON,
    ACTIONS(6593), 1,
      anon_sym_COMMA,
    STATE(3774), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4721), 6,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [61011] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4765), 1,
      anon_sym_COLON,
    ACTIONS(6596), 1,
      anon_sym_SEMI,
    STATE(3775), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_pattern_repeat1,
    ACTIONS(4767), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [61040] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6599), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3776), 2,
      sym_xml_doc,
      sym_block_comment,
  [61081] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3777), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4717), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [61110] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6601), 1,
      anon_sym_EQ,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3778), 2,
      sym_xml_doc,
      sym_block_comment,
  [61151] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3779), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4707), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [61180] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    ACTIONS(6587), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6589), 1,
      anon_sym_PIPE,
    ACTIONS(6591), 1,
      anon_sym_AMP,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4792), 2,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(3780), 2,
      sym_xml_doc,
      sym_block_comment,
  [61219] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4036), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3781), 2,
      sym_xml_doc,
      sym_block_comment,
  [61258] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6603), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3782), 2,
      sym_xml_doc,
      sym_block_comment,
  [61299] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    STATE(2914), 1,
      aux_sym_attributes_repeat1,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(3783), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5096), 3,
      anon_sym_mutable,
      anon_sym__,
      sym_identifier,
    ACTIONS(5098), 3,
      aux_sym_access_modifier_token1,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [61332] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4025), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3784), 2,
      sym_xml_doc,
      sym_block_comment,
  [61371] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3785), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4713), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [61400] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3786), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4778), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [61429] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6605), 1,
      anon_sym_GT,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3787), 2,
      sym_xml_doc,
      sym_block_comment,
  [61470] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6607), 1,
      anon_sym_EQ,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3788), 2,
      sym_xml_doc,
      sym_block_comment,
  [61511] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6609), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3789), 2,
      sym_xml_doc,
      sym_block_comment,
  [61552] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    ACTIONS(6587), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6589), 1,
      anon_sym_PIPE,
    ACTIONS(6591), 1,
      anon_sym_AMP,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4721), 2,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(3790), 2,
      sym_xml_doc,
      sym_block_comment,
  [61591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3791), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2440), 9,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [61616] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6508), 1,
      anon_sym_POUND2,
    ACTIONS(6611), 1,
      sym_identifier,
    ACTIONS(6613), 1,
      anon_sym__,
    ACTIONS(6615), 1,
      anon_sym_LPAREN,
    STATE(2817), 1,
      sym_long_identifier,
    STATE(2860), 1,
      sym_type_argument,
    STATE(2861), 1,
      sym_atomic_type,
    ACTIONS(6617), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3792), 2,
      sym_xml_doc,
      sym_block_comment,
  [61655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3793), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2318), 9,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [61680] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6619), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3794), 2,
      sym_xml_doc,
      sym_block_comment,
  [61721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3795), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2426), 9,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_COLON_GT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [61746] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4064), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3796), 2,
      sym_xml_doc,
      sym_block_comment,
  [61785] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4147), 1,
      sym_attributes,
    STATE(4235), 1,
      sym_type_argument_defn,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3797), 2,
      sym_xml_doc,
      sym_block_comment,
  [61824] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6621), 1,
      anon_sym_DASH_GT,
    ACTIONS(6623), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3798), 2,
      sym_xml_doc,
      sym_block_comment,
  [61865] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6625), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3799), 2,
      sym_xml_doc,
      sym_block_comment,
  [61906] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6627), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3800), 2,
      sym_xml_doc,
      sym_block_comment,
  [61947] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6629), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3801), 2,
      sym_xml_doc,
      sym_block_comment,
  [61988] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_GT,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3802), 2,
      sym_xml_doc,
      sym_block_comment,
  [62029] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6633), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3803), 2,
      sym_xml_doc,
      sym_block_comment,
  [62070] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6410), 1,
      sym_identifier,
    ACTIONS(6412), 1,
      anon_sym_mutable,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(4107), 1,
      sym_attributes,
    STATE(4423), 1,
      sym_record_field,
    STATE(5324), 1,
      sym_access_modifier,
    STATE(3804), 2,
      sym_xml_doc,
      sym_block_comment,
  [62111] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6635), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3805), 2,
      sym_xml_doc,
      sym_block_comment,
  [62152] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    ACTIONS(6587), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6589), 1,
      anon_sym_PIPE,
    ACTIONS(6591), 1,
      anon_sym_AMP,
    STATE(3807), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(3490), 2,
      anon_sym_SEMI,
      anon_sym_in,
    STATE(3806), 2,
      sym_xml_doc,
      sym_block_comment,
  [62191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6585), 1,
      anon_sym_COMMA,
    STATE(3774), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3807), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4788), 6,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [62222] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6637), 1,
      anon_sym_EQ,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3808), 2,
      sym_xml_doc,
      sym_block_comment,
  [62263] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5213), 1,
      anon_sym_DASH_GT,
    ACTIONS(5215), 1,
      anon_sym_STAR,
    ACTIONS(5217), 1,
      anon_sym_LT2,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6494), 1,
      sym_identifier,
    ACTIONS(6639), 1,
      sym__dedent,
    STATE(3254), 1,
      aux_sym__compound_type_repeat1,
    STATE(3297), 1,
      sym_type_arguments,
    STATE(3298), 1,
      sym_long_identifier,
    STATE(3809), 2,
      sym_xml_doc,
      sym_block_comment,
  [62304] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    STATE(3830), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3810), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4788), 6,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [62335] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4071), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3811), 2,
      sym_xml_doc,
      sym_block_comment,
  [62374] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(3490), 2,
      anon_sym_DASH_GT,
      anon_sym_when,
    STATE(3812), 2,
      sym_xml_doc,
      sym_block_comment,
  [62413] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6641), 1,
      anon_sym_DASH_GT,
    ACTIONS(6643), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3813), 2,
      sym_xml_doc,
      sym_block_comment,
  [62454] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6645), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3814), 2,
      sym_xml_doc,
      sym_block_comment,
  [62495] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6649), 1,
      anon_sym_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_not,
    ACTIONS(6653), 1,
      anon_sym_enum,
    ACTIONS(6655), 1,
      anon_sym_delegate,
    STATE(3815), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6647), 5,
      anon_sym_null,
      anon_sym_struct,
      anon_sym_unmanaged,
      anon_sym_equality,
      anon_sym_comparison,
  [62528] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3816), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4707), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [62557] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6657), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3817), 2,
      sym_xml_doc,
      sym_block_comment,
  [62598] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4792), 2,
      anon_sym_DASH_GT,
      anon_sym_when,
    STATE(3818), 2,
      sym_xml_doc,
      sym_block_comment,
  [62637] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(3032), 1,
      aux_sym_attributes_repeat1,
    STATE(3115), 1,
      sym_attribute_set,
    STATE(4046), 1,
      sym_type_argument_defn,
    STATE(4147), 1,
      sym_attributes,
    STATE(4266), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3819), 2,
      sym_xml_doc,
      sym_block_comment,
  [62676] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    ACTIONS(6659), 1,
      anon_sym_DASH_GT,
    ACTIONS(6661), 1,
      anon_sym_when,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3820), 2,
      sym_xml_doc,
      sym_block_comment,
  [62717] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6502), 1,
      sym_identifier,
    ACTIONS(6504), 1,
      anon_sym__,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6663), 1,
      anon_sym_POUND2,
    STATE(3378), 1,
      sym_atomic_type,
    STATE(3380), 1,
      sym_type_argument,
    STATE(3381), 1,
      sym_long_identifier,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3821), 2,
      sym_xml_doc,
      sym_block_comment,
  [62756] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    STATE(3775), 1,
      aux_sym_record_pattern_repeat1,
    STATE(3822), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4782), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_in,
  [62785] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6665), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3823), 2,
      sym_xml_doc,
      sym_block_comment,
  [62826] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4721), 2,
      anon_sym_DASH_GT,
      anon_sym_when,
    STATE(3824), 2,
      sym_xml_doc,
      sym_block_comment,
  [62865] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6667), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3825), 2,
      sym_xml_doc,
      sym_block_comment,
  [62906] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3826), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4778), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [62935] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3827), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4713), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [62964] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5637), 1,
      anon_sym_DASH_GT,
    ACTIONS(5639), 1,
      anon_sym_STAR,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    ACTIONS(6669), 1,
      anon_sym_RPAREN,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    STATE(3828), 2,
      sym_xml_doc,
      sym_block_comment,
  [63005] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3829), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4717), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [63034] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4719), 1,
      anon_sym_COLON,
    ACTIONS(6671), 1,
      anon_sym_COMMA,
    STATE(3830), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4721), 6,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_when,
  [63063] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6443), 1,
      anon_sym_COLON,
    ACTIONS(6521), 1,
      anon_sym_COMMA,
    ACTIONS(6523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6525), 1,
      anon_sym_PIPE,
    ACTIONS(6527), 1,
      anon_sym_AMP,
    STATE(3810), 1,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4728), 2,
      anon_sym_DASH_GT,
      anon_sym_when,
    STATE(3831), 2,
      sym_xml_doc,
      sym_block_comment,
  [63102] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6682), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3832), 2,
      sym_xml_doc,
      sym_block_comment,
  [63140] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6684), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3833), 2,
      sym_xml_doc,
      sym_block_comment,
  [63178] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6686), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3834), 2,
      sym_xml_doc,
      sym_block_comment,
  [63216] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    ACTIONS(6688), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    STATE(3835), 2,
      sym_xml_doc,
      sym_block_comment,
  [63252] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3836), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6690), 4,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
      anon_sym_DQUOTEB,
    ACTIONS(6692), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [63278] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3837), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6694), 3,
      sym__escape_char,
      sym__non_escape_char,
      anon_sym_LBRACE2,
    ACTIONS(6696), 5,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      sym__simple_string_char,
      anon_sym_DQUOTE,
  [63304] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3838), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6698), 4,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
      anon_sym_DQUOTEB,
    ACTIONS(6700), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [63330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3839), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5083), 3,
      anon_sym__,
      anon_sym_LPAREN,
      sym_identifier,
    ACTIONS(5085), 5,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [63356] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6702), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3840), 2,
      sym_xml_doc,
      sym_block_comment,
  [63394] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3841), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6704), 3,
      sym__escape_char,
      sym__non_escape_char,
      anon_sym_LBRACE2,
    ACTIONS(6706), 5,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      sym__simple_string_char,
      anon_sym_DQUOTE,
  [63420] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3842), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6708), 4,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
      anon_sym_DQUOTEB,
    ACTIONS(6710), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [63446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3843), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5037), 3,
      anon_sym__,
      anon_sym_LPAREN,
      sym_identifier,
    ACTIONS(5039), 5,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [63472] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6712), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3844), 2,
      sym_xml_doc,
      sym_block_comment,
  [63510] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6714), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3845), 2,
      sym_xml_doc,
      sym_block_comment,
  [63548] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6716), 1,
      anon_sym_RPAREN,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3846), 2,
      sym_xml_doc,
      sym_block_comment,
  [63586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3847), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5041), 3,
      anon_sym__,
      anon_sym_LPAREN,
      sym_identifier,
    ACTIONS(5043), 5,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [63612] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6718), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3848), 2,
      sym_xml_doc,
      sym_block_comment,
  [63650] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(5705), 1,
      anon_sym_do,
    ACTIONS(5709), 1,
      anon_sym_member,
    ACTIONS(5715), 1,
      anon_sym_val,
    STATE(4528), 1,
      sym_function_or_value_defn,
    STATE(4813), 1,
      sym_access_modifier,
    STATE(3849), 2,
      sym_xml_doc,
      sym_block_comment,
  [63688] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6720), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3850), 2,
      sym_xml_doc,
      sym_block_comment,
  [63726] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6722), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3851), 2,
      sym_xml_doc,
      sym_block_comment,
  [63764] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6724), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3852), 2,
      sym_xml_doc,
      sym_block_comment,
  [63802] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6726), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3853), 2,
      sym_xml_doc,
      sym_block_comment,
  [63840] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3854), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6728), 4,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
      anon_sym_DQUOTEB,
    ACTIONS(6730), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [63866] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6732), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3855), 2,
      sym_xml_doc,
      sym_block_comment,
  [63904] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6734), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3856), 2,
      sym_xml_doc,
      sym_block_comment,
  [63942] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6736), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3857), 2,
      sym_xml_doc,
      sym_block_comment,
  [63980] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6738), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3858), 2,
      sym_xml_doc,
      sym_block_comment,
  [64018] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6740), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3859), 2,
      sym_xml_doc,
      sym_block_comment,
  [64056] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6742), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3860), 2,
      sym_xml_doc,
      sym_block_comment,
  [64094] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6744), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3861), 2,
      sym_xml_doc,
      sym_block_comment,
  [64132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3862), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2474), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [64156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3863), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2466), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [64180] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3436), 1,
      anon_sym_COLON,
    ACTIONS(5937), 1,
      anon_sym_DOT,
    STATE(3544), 1,
      aux_sym_long_identifier_repeat1,
    STATE(3864), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2382), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [64210] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3865), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6704), 4,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
      anon_sym_DQUOTEB,
    ACTIONS(6706), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [64236] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3866), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6746), 3,
      sym__escape_char,
      sym__non_escape_char,
      anon_sym_LBRACE2,
    ACTIONS(6748), 5,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      sym__simple_string_char,
      anon_sym_DQUOTE,
  [64262] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6750), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3867), 2,
      sym_xml_doc,
      sym_block_comment,
  [64300] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6752), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3868), 2,
      sym_xml_doc,
      sym_block_comment,
  [64338] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3869), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6690), 3,
      sym__escape_char,
      sym__non_escape_char,
      anon_sym_LBRACE2,
    ACTIONS(6692), 5,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      sym__simple_string_char,
      anon_sym_DQUOTE,
  [64364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3870), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2462), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [64388] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    ACTIONS(6754), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    STATE(3871), 2,
      sym_xml_doc,
      sym_block_comment,
  [64424] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3872), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6708), 3,
      sym__escape_char,
      sym__non_escape_char,
      anon_sym_LBRACE2,
    ACTIONS(6710), 5,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      sym__simple_string_char,
      anon_sym_DQUOTE,
  [64450] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3873), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6698), 3,
      sym__escape_char,
      sym__non_escape_char,
      anon_sym_LBRACE2,
    ACTIONS(6700), 5,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      sym__simple_string_char,
      anon_sym_DQUOTE,
  [64476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3874), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2452), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [64500] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6756), 1,
      anon_sym_RPAREN,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3875), 2,
      sym_xml_doc,
      sym_block_comment,
  [64538] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6758), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3876), 2,
      sym_xml_doc,
      sym_block_comment,
  [64576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3877), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2436), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [64600] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6760), 1,
      anon_sym_EQ,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3878), 2,
      sym_xml_doc,
      sym_block_comment,
  [64638] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6762), 1,
      anon_sym_RPAREN,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3879), 2,
      sym_xml_doc,
      sym_block_comment,
  [64676] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(4321), 1,
      anon_sym_let,
    ACTIONS(4323), 1,
      anon_sym_let_BANG,
    ACTIONS(6764), 1,
      anon_sym_do,
    ACTIONS(6766), 1,
      anon_sym_member,
    ACTIONS(6768), 1,
      anon_sym_val,
    STATE(4362), 1,
      sym_function_or_value_defn,
    STATE(4802), 1,
      sym_access_modifier,
    STATE(3880), 2,
      sym_xml_doc,
      sym_block_comment,
  [64714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3881), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6770), 3,
      anon_sym__,
      anon_sym_LPAREN,
      sym_identifier,
    ACTIONS(6772), 5,
      anon_sym_LBRACK_LT,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [64740] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3882), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4707), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [64768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3883), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2444), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [64792] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4792), 1,
      anon_sym_in,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3884), 2,
      sym_xml_doc,
      sym_block_comment,
  [64830] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    STATE(3897), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3885), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4788), 5,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [64860] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3490), 1,
      anon_sym_in,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3886), 2,
      sym_xml_doc,
      sym_block_comment,
  [64898] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6383), 1,
      anon_sym_COMMA,
    ACTIONS(6385), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6387), 1,
      anon_sym_PIPE,
    ACTIONS(6389), 1,
      anon_sym_AMP,
    ACTIONS(6774), 1,
      anon_sym_RPAREN,
    STATE(3704), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3887), 2,
      sym_xml_doc,
      sym_block_comment,
  [64936] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6331), 1,
      sym_identifier,
    STATE(3575), 1,
      aux_sym__compound_type_repeat1,
    STATE(3607), 1,
      sym_long_identifier,
    STATE(3641), 1,
      sym_type_arguments,
    ACTIONS(3445), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    STATE(3888), 2,
      sym_xml_doc,
      sym_block_comment,
  [64972] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4721), 1,
      anon_sym_in,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3889), 2,
      sym_xml_doc,
      sym_block_comment,
  [65010] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3890), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [65038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3891), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2414), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [65062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3892), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2430), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [65086] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6776), 1,
      anon_sym_in,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3893), 2,
      sym_xml_doc,
      sym_block_comment,
  [65124] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3894), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4713), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [65152] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3895), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4717), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [65180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6778), 1,
      anon_sym_LT2,
    STATE(3896), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2456), 7,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [65206] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4719), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_COMMA,
    STATE(3897), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_repeat_pattern_repeat1,
    ACTIONS(4721), 5,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_in,
  [65234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3898), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2470), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [65258] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4728), 1,
      anon_sym_in,
    ACTIONS(5830), 1,
      anon_sym_as,
    ACTIONS(6553), 1,
      anon_sym_COLON,
    ACTIONS(6674), 1,
      anon_sym_COMMA,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6678), 1,
      anon_sym_PIPE,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    STATE(3885), 1,
      aux_sym_repeat_pattern_repeat1,
    STATE(3899), 2,
      sym_xml_doc,
      sym_block_comment,
  [65296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3900), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2478), 8,
      sym__newline,
      sym__indent,
      sym__dedent,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LT2,
      anon_sym_LBRACK_RBRACK,
      sym_identifier,
  [65320] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(617), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1854), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6783), 1,
      sym_identifier,
    ACTIONS(6785), 1,
      anon_sym_LPAREN,
    STATE(1392), 1,
      sym__identifier_or_op,
    STATE(1393), 1,
      sym_long_identifier,
    STATE(1568), 1,
      sym_long_identifier_or_op,
    STATE(3901), 2,
      sym_xml_doc,
      sym_block_comment,
  [65355] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_property_or_ident,
    STATE(3608), 1,
      sym__method_defn,
    STATE(3611), 1,
      sym__property_defn,
    STATE(3617), 1,
      sym_method_or_prop_defn,
    STATE(4014), 1,
      sym_access_modifier,
    STATE(3902), 2,
      sym_xml_doc,
      sym_block_comment,
  [65390] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(6789), 1,
      sym_identifier,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(3434), 1,
      sym_union_type_case,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(4296), 1,
      sym_enum_type_case,
    STATE(4891), 1,
      sym_attributes,
    STATE(3903), 2,
      sym_xml_doc,
      sym_block_comment,
  [65425] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1179), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1928), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6791), 1,
      sym_identifier,
    ACTIONS(6793), 1,
      anon_sym_LPAREN,
    STATE(1866), 1,
      sym_long_identifier,
    STATE(1867), 1,
      sym__identifier_or_op,
    STATE(1922), 1,
      sym_long_identifier_or_op,
    STATE(3904), 2,
      sym_xml_doc,
      sym_block_comment,
  [65460] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6799), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6801), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3905), 2,
      sym_xml_doc,
      sym_block_comment,
  [65493] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3906), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6708), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    ACTIONS(6710), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [65518] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6803), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6805), 1,
      anon_sym_DQUOTEB,
    STATE(3933), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3907), 2,
      sym_xml_doc,
      sym_block_comment,
  [65551] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(99), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6807), 1,
      sym_identifier,
    ACTIONS(6809), 1,
      anon_sym_LPAREN,
    STATE(1010), 1,
      sym__identifier_or_op,
    STATE(1059), 1,
      sym_long_identifier,
    STATE(1061), 1,
      sym_long_identifier_or_op,
    STATE(3908), 2,
      sym_xml_doc,
      sym_block_comment,
  [65586] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(2084), 1,
      sym_property_or_ident,
    STATE(3656), 1,
      sym_method_or_prop_defn,
    STATE(3658), 1,
      sym__property_defn,
    STATE(3659), 1,
      sym__method_defn,
    STATE(4072), 1,
      sym_access_modifier,
    STATE(3909), 2,
      sym_xml_doc,
      sym_block_comment,
  [65621] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6811), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6813), 1,
      anon_sym_DQUOTEB,
    STATE(3905), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3910), 2,
      sym_xml_doc,
      sym_block_comment,
  [65654] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1910), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6815), 1,
      sym_identifier,
    ACTIONS(6817), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_long_identifier_or_op,
    STATE(1787), 1,
      sym__identifier_or_op,
    STATE(1788), 1,
      sym_long_identifier,
    STATE(3911), 2,
      sym_xml_doc,
      sym_block_comment,
  [65689] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6821), 1,
      anon_sym_DQUOTEB,
    STATE(3916), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3912), 2,
      sym_xml_doc,
      sym_block_comment,
  [65722] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6823), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6825), 1,
      anon_sym_DQUOTEB,
    STATE(3928), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3913), 2,
      sym_xml_doc,
      sym_block_comment,
  [65755] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4655), 1,
      sym__char_char,
    STATE(3914), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [65788] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1639), 1,
      anon_sym_let,
    ACTIONS(1641), 1,
      anon_sym_let_BANG,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6835), 1,
      anon_sym_module,
    ACTIONS(6837), 1,
      anon_sym_type,
    ACTIONS(6839), 1,
      anon_sym_do,
    STATE(2441), 1,
      sym_function_or_value_defn,
    STATE(2444), 1,
      sym_do,
    STATE(3915), 2,
      sym_xml_doc,
      sym_block_comment,
  [65823] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6841), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6843), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3916), 2,
      sym_xml_doc,
      sym_block_comment,
  [65856] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3917), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6704), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    ACTIONS(6706), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [65881] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_property_or_ident,
    STATE(2103), 1,
      sym__method_defn,
    STATE(2106), 1,
      sym__property_defn,
    STATE(2107), 1,
      sym_method_or_prop_defn,
    STATE(3990), 1,
      sym_access_modifier,
    STATE(3918), 2,
      sym_xml_doc,
      sym_block_comment,
  [65916] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4400), 1,
      sym__char_char,
    STATE(3919), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [65949] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(2091), 1,
      sym_property_or_ident,
    STATE(2112), 1,
      sym__method_defn,
    STATE(2119), 1,
      sym__property_defn,
    STATE(2121), 1,
      sym_method_or_prop_defn,
    STATE(4080), 1,
      sym_access_modifier,
    STATE(3920), 2,
      sym_xml_doc,
      sym_block_comment,
  [65984] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6845), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6847), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3921), 2,
      sym_xml_doc,
      sym_block_comment,
  [66017] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(819), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1952), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6849), 1,
      sym_identifier,
    ACTIONS(6851), 1,
      anon_sym_LPAREN,
    STATE(1751), 1,
      sym_long_identifier,
    STATE(1752), 1,
      sym__identifier_or_op,
    STATE(1809), 1,
      sym_long_identifier_or_op,
    STATE(3922), 2,
      sym_xml_doc,
      sym_block_comment,
  [66052] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3923), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6690), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    ACTIONS(6692), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [66077] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3924), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6698), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    ACTIONS(6700), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [66102] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6853), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6855), 1,
      anon_sym_DQUOTEB,
    STATE(3926), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3925), 2,
      sym_xml_doc,
      sym_block_comment,
  [66135] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6857), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6859), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3926), 2,
      sym_xml_doc,
      sym_block_comment,
  [66168] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6861), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6863), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3927), 2,
      sym_xml_doc,
      sym_block_comment,
  [66201] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6865), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6867), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3928), 2,
      sym_xml_doc,
      sym_block_comment,
  [66234] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6869), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6871), 1,
      anon_sym_DQUOTEB,
    STATE(3941), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3929), 2,
      sym_xml_doc,
      sym_block_comment,
  [66267] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6873), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6875), 1,
      anon_sym_DQUOTEB,
    STATE(3931), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3930), 2,
      sym_xml_doc,
      sym_block_comment,
  [66300] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6877), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6879), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3931), 2,
      sym_xml_doc,
      sym_block_comment,
  [66333] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6881), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6883), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3932), 2,
      sym_xml_doc,
      sym_block_comment,
  [66366] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6885), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6887), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3933), 2,
      sym_xml_doc,
      sym_block_comment,
  [66399] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6889), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6891), 1,
      anon_sym_DQUOTEB,
    STATE(3937), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3934), 2,
      sym_xml_doc,
      sym_block_comment,
  [66432] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(2084), 1,
      sym_property_or_ident,
    STATE(3651), 1,
      sym_method_or_prop_defn,
    STATE(3658), 1,
      sym__property_defn,
    STATE(3659), 1,
      sym__method_defn,
    STATE(4035), 1,
      sym_access_modifier,
    STATE(3935), 2,
      sym_xml_doc,
      sym_block_comment,
  [66467] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(377), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1876), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LPAREN,
    STATE(1105), 1,
      sym__identifier_or_op,
    STATE(1107), 1,
      sym_long_identifier,
    STATE(1135), 1,
      sym_long_identifier_or_op,
    STATE(3936), 2,
      sym_xml_doc,
      sym_block_comment,
  [66502] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6897), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6899), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3937), 2,
      sym_xml_doc,
      sym_block_comment,
  [66535] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_property_or_ident,
    STATE(3608), 1,
      sym__method_defn,
    STATE(3611), 1,
      sym__property_defn,
    STATE(3612), 1,
      sym_method_or_prop_defn,
    STATE(4033), 1,
      sym_access_modifier,
    STATE(3938), 2,
      sym_xml_doc,
      sym_block_comment,
  [66570] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6901), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6903), 1,
      anon_sym_DQUOTEB,
    STATE(3932), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3939), 2,
      sym_xml_doc,
      sym_block_comment,
  [66603] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6905), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6907), 1,
      anon_sym_DQUOTEB,
    STATE(3921), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3940), 2,
      sym_xml_doc,
      sym_block_comment,
  [66636] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6909), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6911), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3941), 2,
      sym_xml_doc,
      sym_block_comment,
  [66669] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4383), 1,
      sym__char_char,
    STATE(3942), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [66702] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6915), 1,
      anon_sym_DQUOTEB,
    STATE(3944), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3943), 2,
      sym_xml_doc,
      sym_block_comment,
  [66735] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6917), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6919), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3944), 2,
      sym_xml_doc,
      sym_block_comment,
  [66768] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(463), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1964), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6921), 1,
      sym_identifier,
    ACTIONS(6923), 1,
      anon_sym_LPAREN,
    STATE(1412), 1,
      sym_long_identifier,
    STATE(1519), 1,
      sym_long_identifier_or_op,
    STATE(1532), 1,
      sym__identifier_or_op,
    STATE(3945), 2,
      sym_xml_doc,
      sym_block_comment,
  [66803] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(2091), 1,
      sym_property_or_ident,
    STATE(2112), 1,
      sym__method_defn,
    STATE(2116), 1,
      sym_method_or_prop_defn,
    STATE(2119), 1,
      sym__property_defn,
    STATE(4066), 1,
      sym_access_modifier,
    STATE(3946), 2,
      sym_xml_doc,
      sym_block_comment,
  [66838] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    STATE(3947), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(6728), 3,
      sym__escape_char,
      sym__non_escape_char,
      sym__simple_string_char,
    ACTIONS(6730), 4,
      anon_sym_BSLASHu,
      anon_sym_BSLASHU,
      anon_sym_BSLASH,
      anon_sym_DQUOTE,
  [66863] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6925), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6927), 1,
      anon_sym_DQUOTEB,
    STATE(3950), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3948), 2,
      sym_xml_doc,
      sym_block_comment,
  [66896] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4334), 1,
      sym__char_char,
    STATE(3949), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [66929] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6929), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6931), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3950), 2,
      sym_xml_doc,
      sym_block_comment,
  [66962] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6933), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6935), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3951), 2,
      sym_xml_doc,
      sym_block_comment,
  [66995] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6937), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6939), 1,
      anon_sym_DQUOTEB,
    STATE(3954), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3952), 2,
      sym_xml_doc,
      sym_block_comment,
  [67028] = 9,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6944), 1,
      sym__simple_string_char,
    ACTIONS(6947), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6949), 1,
      anon_sym_DQUOTEB,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6941), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3953), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_verbatim_string_repeat1,
  [67059] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6951), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6953), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3954), 2,
      sym_xml_doc,
      sym_block_comment,
  [67092] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4621), 1,
      sym__char_char,
    STATE(3955), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67125] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4432), 1,
      sym__char_char,
    STATE(3956), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67158] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4414), 1,
      sym__char_char,
    STATE(3957), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67191] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4408), 1,
      sym__char_char,
    STATE(3958), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67224] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6957), 1,
      anon_sym_DQUOTEB,
    STATE(3927), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3959), 2,
      sym_xml_doc,
      sym_block_comment,
  [67257] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4382), 1,
      sym__char_char,
    STATE(3960), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67290] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1089), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1940), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6959), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LPAREN,
    STATE(1848), 1,
      sym__identifier_or_op,
    STATE(1849), 1,
      sym_long_identifier,
    STATE(1855), 1,
      sym_long_identifier_or_op,
    STATE(3961), 2,
      sym_xml_doc,
      sym_block_comment,
  [67325] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6963), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6965), 1,
      anon_sym_DQUOTEB,
    STATE(3968), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3962), 2,
      sym_xml_doc,
      sym_block_comment,
  [67358] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3572), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6967), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6969), 1,
      anon_sym_LPAREN,
    STATE(2534), 1,
      sym__identifier_or_op,
    STATE(4054), 1,
      sym_access_modifier,
    ACTIONS(3574), 2,
      anon_sym_LPAREN_STAR_RPAREN,
      sym_identifier,
    STATE(3963), 2,
      sym_xml_doc,
      sym_block_comment,
  [67391] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4466), 1,
      sym__char_char,
    STATE(3964), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67424] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(31), 1,
      anon_sym_let,
    ACTIONS(33), 1,
      anon_sym_let_BANG,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6971), 1,
      anon_sym_module,
    ACTIONS(6973), 1,
      anon_sym_type,
    ACTIONS(6975), 1,
      anon_sym_do,
    STATE(2426), 1,
      sym_do,
    STATE(2431), 1,
      sym_function_or_value_defn,
    STATE(3965), 2,
      sym_xml_doc,
      sym_block_comment,
  [67459] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6977), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6979), 1,
      anon_sym_DQUOTEB,
    STATE(3951), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3966), 2,
      sym_xml_doc,
      sym_block_comment,
  [67492] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4357), 1,
      sym__char_char,
    STATE(3967), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67525] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6981), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6983), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3968), 2,
      sym_xml_doc,
      sym_block_comment,
  [67558] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4331), 1,
      sym__char_char,
    STATE(3969), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67591] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_property_or_ident,
    STATE(2088), 1,
      sym_method_or_prop_defn,
    STATE(2103), 1,
      sym__method_defn,
    STATE(2106), 1,
      sym__property_defn,
    STATE(4081), 1,
      sym_access_modifier,
    STATE(3970), 2,
      sym_xml_doc,
      sym_block_comment,
  [67626] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4370), 1,
      sym__char_char,
    STATE(3971), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67659] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4361), 1,
      sym__char_char,
    STATE(3972), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67692] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4451), 1,
      sym__char_char,
    STATE(3973), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67725] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(6985), 1,
      sym_identifier,
    STATE(4027), 1,
      sym_access_modifier,
    STATE(5199), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3974), 2,
      sym_xml_doc,
      sym_block_comment,
  [67758] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(283), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1651), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_LPAREN,
    STATE(917), 1,
      sym_long_identifier_or_op,
    STATE(960), 1,
      sym_long_identifier,
    STATE(963), 1,
      sym__identifier_or_op,
    STATE(3975), 2,
      sym_xml_doc,
      sym_block_comment,
  [67793] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6991), 1,
      anon_sym_DQUOTE2,
    ACTIONS(6993), 1,
      anon_sym_DQUOTEB,
    STATE(3953), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3976), 2,
      sym_xml_doc,
      sym_block_comment,
  [67826] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4599), 1,
      sym__char_char,
    STATE(3977), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67859] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(927), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(1888), 1,
      aux_sym__identifier_or_op_token1,
    ACTIONS(6995), 1,
      sym_identifier,
    ACTIONS(6997), 1,
      anon_sym_LPAREN,
    STATE(1604), 1,
      sym_long_identifier,
    STATE(1682), 1,
      sym_long_identifier_or_op,
    STATE(1744), 1,
      sym__identifier_or_op,
    STATE(3978), 2,
      sym_xml_doc,
      sym_block_comment,
  [67894] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6827), 1,
      sym__escape_char,
    ACTIONS(6829), 1,
      sym__simple_char_char,
    ACTIONS(6831), 1,
      anon_sym_BSLASHu,
    ACTIONS(6833), 1,
      anon_sym_BSLASH,
    STATE(4652), 1,
      sym__char_char,
    STATE(3979), 2,
      sym_xml_doc,
      sym_block_comment,
    STATE(4349), 2,
      sym__unicodegraph_short,
      sym__trigraph,
  [67927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5102), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3980), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(5100), 5,
      anon_sym__,
      anon_sym_LPAREN,
      anon_sym_new,
      anon_sym_member,
      sym_identifier,
  [67952] = 10,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(6797), 1,
      sym__simple_string_char,
    ACTIONS(6999), 1,
      anon_sym_DQUOTE2,
    ACTIONS(7001), 1,
      anon_sym_DQUOTEB,
    STATE(3976), 1,
      aux_sym_verbatim_string_repeat1,
    STATE(4077), 1,
      sym__verbatim_string_char,
    ACTIONS(6795), 2,
      sym__non_escape_char,
      anon_sym_BSLASH2,
    STATE(3981), 2,
      sym_xml_doc,
      sym_block_comment,
  [67985] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3982), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(7003), 3,
      anon_sym__,
      anon_sym_LPAREN,
      sym_identifier,
    ACTIONS(7005), 3,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [68009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(3983), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(7007), 3,
      anon_sym__,
      anon_sym_LPAREN,
      sym_identifier,
    ACTIONS(7009), 3,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      anon_sym_CARET,
  [68033] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7011), 1,
      anon_sym__,
    STATE(4462), 1,
      sym_constraint,
    STATE(4551), 1,
      sym_type_argument,
    STATE(4844), 1,
      sym_static_type_argument,
    ACTIONS(7013), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3984), 2,
      sym_xml_doc,
      sym_block_comment,
  [68063] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7011), 1,
      anon_sym__,
    STATE(4237), 1,
      sym_constraint,
    STATE(4551), 1,
      sym_type_argument,
    STATE(4844), 1,
      sym_static_type_argument,
    ACTIONS(7013), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(3985), 2,
      sym_xml_doc,
      sym_block_comment,
  [68093] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3387), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(7015), 1,
      sym_identifier,
    STATE(2918), 1,
      sym_attribute_set,
    STATE(3517), 1,
      sym_union_type_case,
    STATE(3783), 1,
      aux_sym_attributes_repeat1,
    STATE(4891), 1,
      sym_attributes,
    STATE(3986), 2,
      sym_xml_doc,
      sym_block_comment,
  [68125] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2091), 1,
      sym_property_or_ident,
    STATE(2112), 1,
      sym__method_defn,
    STATE(2116), 1,
      sym_method_or_prop_defn,
    STATE(2119), 1,
      sym__property_defn,
    STATE(3987), 2,
      sym_xml_doc,
      sym_block_comment,
  [68154] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7021), 1,
      anon_sym_GT,
    ACTIONS(7023), 1,
      anon_sym_when,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5328), 1,
      sym_type_argument_constraints,
    STATE(3988), 2,
      sym_xml_doc,
      sym_block_comment,
  [68183] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2084), 1,
      sym_property_or_ident,
    STATE(3656), 1,
      sym_method_or_prop_defn,
    STATE(3658), 1,
      sym__property_defn,
    STATE(3659), 1,
      sym__method_defn,
    STATE(3989), 2,
      sym_xml_doc,
      sym_block_comment,
  [68212] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_property_or_ident,
    STATE(2088), 1,
      sym_method_or_prop_defn,
    STATE(2103), 1,
      sym__method_defn,
    STATE(2106), 1,
      sym__property_defn,
    STATE(3990), 2,
      sym_xml_doc,
      sym_block_comment,
  [68241] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(927), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6997), 1,
      anon_sym_LPAREN,
    STATE(1675), 1,
      sym__identifier_or_op,
    ACTIONS(1888), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(3991), 2,
      sym_xml_doc,
      sym_block_comment,
  [68268] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7025), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4928), 1,
      sym_type_argument_constraints,
    STATE(3992), 2,
      sym_xml_doc,
      sym_block_comment,
  [68297] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7027), 1,
      anon_sym_GT,
    STATE(4016), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5218), 1,
      sym_type_argument_constraints,
    STATE(3993), 2,
      sym_xml_doc,
      sym_block_comment,
  [68326] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7029), 1,
      anon_sym_GT,
    STATE(3992), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4930), 1,
      sym_type_argument_constraints,
    STATE(3994), 2,
      sym_xml_doc,
      sym_block_comment,
  [68355] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(497), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1911), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(3995), 2,
      sym_xml_doc,
      sym_block_comment,
  [68384] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7031), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4945), 1,
      sym_type_argument_constraints,
    STATE(3996), 2,
      sym_xml_doc,
      sym_block_comment,
  [68413] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7033), 1,
      anon_sym_GT,
    STATE(3996), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4946), 1,
      sym_type_argument_constraints,
    STATE(3997), 2,
      sym_xml_doc,
      sym_block_comment,
  [68442] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_property_or_ident,
    STATE(3608), 1,
      sym__method_defn,
    STATE(3611), 1,
      sym__property_defn,
    STATE(3612), 1,
      sym_method_or_prop_defn,
    STATE(3998), 2,
      sym_xml_doc,
      sym_block_comment,
  [68471] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7035), 1,
      anon_sym_GT,
    STATE(4083), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4750), 1,
      sym_type_argument_constraints,
    STATE(3999), 2,
      sym_xml_doc,
      sym_block_comment,
  [68500] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7037), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4906), 1,
      sym_type_argument_constraints,
    STATE(4000), 2,
      sym_xml_doc,
      sym_block_comment,
  [68529] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(99), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6809), 1,
      anon_sym_LPAREN,
    STATE(1015), 1,
      sym__identifier_or_op,
    ACTIONS(97), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4001), 2,
      sym_xml_doc,
      sym_block_comment,
  [68556] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7039), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4961), 1,
      sym_type_argument_constraints,
    STATE(4002), 2,
      sym_xml_doc,
      sym_block_comment,
  [68585] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(509), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1764), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4003), 2,
      sym_xml_doc,
      sym_block_comment,
  [68614] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7041), 1,
      anon_sym_GT,
    STATE(4002), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4964), 1,
      sym_type_argument_constraints,
    STATE(4004), 2,
      sym_xml_doc,
      sym_block_comment,
  [68643] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7043), 1,
      anon_sym_GT,
    STATE(4010), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4900), 1,
      sym_type_argument_constraints,
    STATE(4005), 2,
      sym_xml_doc,
      sym_block_comment,
  [68672] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7045), 1,
      sym_identifier,
    ACTIONS(7047), 1,
      anon_sym_member,
    STATE(3656), 1,
      sym_member_signature,
    STATE(4181), 1,
      sym_access_modifier,
    STATE(4006), 2,
      sym_xml_doc,
      sym_block_comment,
  [68701] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(6985), 1,
      sym_identifier,
    STATE(5199), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(4007), 2,
      sym_xml_doc,
      sym_block_comment,
  [68728] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_property_or_ident,
    STATE(2090), 1,
      sym_method_or_prop_defn,
    STATE(2103), 1,
      sym__method_defn,
    STATE(2106), 1,
      sym__property_defn,
    STATE(4008), 2,
      sym_xml_doc,
      sym_block_comment,
  [68757] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(283), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6989), 1,
      anon_sym_LPAREN,
    STATE(941), 1,
      sym__identifier_or_op,
    ACTIONS(1651), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4009), 2,
      sym_xml_doc,
      sym_block_comment,
  [68784] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7049), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4859), 1,
      sym_type_argument_constraints,
    STATE(4010), 2,
      sym_xml_doc,
      sym_block_comment,
  [68813] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7051), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4985), 1,
      sym_type_argument_constraints,
    STATE(4011), 2,
      sym_xml_doc,
      sym_block_comment,
  [68842] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7053), 1,
      anon_sym_GT,
    STATE(4011), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4986), 1,
      sym_type_argument_constraints,
    STATE(4012), 2,
      sym_xml_doc,
      sym_block_comment,
  [68871] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7055), 1,
      sym_identifier,
    ACTIONS(7057), 1,
      anon_sym_member,
    STATE(2088), 1,
      sym_member_signature,
    STATE(4183), 1,
      sym_access_modifier,
    STATE(4013), 2,
      sym_xml_doc,
      sym_block_comment,
  [68900] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_property_or_ident,
    STATE(3608), 1,
      sym__method_defn,
    STATE(3611), 1,
      sym__property_defn,
    STATE(3624), 1,
      sym_method_or_prop_defn,
    STATE(4014), 2,
      sym_xml_doc,
      sym_block_comment,
  [68929] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7059), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5365), 1,
      sym_type_argument_constraints,
    STATE(4015), 2,
      sym_xml_doc,
      sym_block_comment,
  [68958] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7061), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5214), 1,
      sym_type_argument_constraints,
    STATE(4016), 2,
      sym_xml_doc,
      sym_block_comment,
  [68987] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(493), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1141), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4017), 2,
      sym_xml_doc,
      sym_block_comment,
  [69016] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(485), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1380), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4018), 2,
      sym_xml_doc,
      sym_block_comment,
  [69045] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7063), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5401), 1,
      sym_type_argument_constraints,
    STATE(4019), 2,
      sym_xml_doc,
      sym_block_comment,
  [69074] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7065), 1,
      anon_sym_GT,
    STATE(4015), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5367), 1,
      sym_type_argument_constraints,
    STATE(4020), 2,
      sym_xml_doc,
      sym_block_comment,
  [69103] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6817), 1,
      anon_sym_LPAREN,
    STATE(1710), 1,
      sym__identifier_or_op,
    ACTIONS(1910), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4021), 2,
      sym_xml_doc,
      sym_block_comment,
  [69130] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7067), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4927), 1,
      sym_type_argument_constraints,
    STATE(4022), 2,
      sym_xml_doc,
      sym_block_comment,
  [69159] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7069), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5015), 1,
      sym_type_argument_constraints,
    STATE(4023), 2,
      sym_xml_doc,
      sym_block_comment,
  [69188] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1089), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6961), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym__identifier_or_op,
    ACTIONS(1940), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4024), 2,
      sym_xml_doc,
      sym_block_comment,
  [69215] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7071), 1,
      anon_sym_GT,
    STATE(4023), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5019), 1,
      sym_type_argument_constraints,
    STATE(4025), 2,
      sym_xml_doc,
      sym_block_comment,
  [69244] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4947), 1,
      anon_sym_interface,
    STATE(4055), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4155), 1,
      sym_interface_implementation,
    ACTIONS(3989), 2,
      sym__newline,
      sym__dedent,
    STATE(4026), 2,
      sym_xml_doc,
      sym_block_comment,
  [69271] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5029), 1,
      anon_sym__,
    ACTIONS(7073), 1,
      sym_identifier,
    STATE(4943), 1,
      sym_type_argument,
    ACTIONS(5035), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(4027), 2,
      sym_xml_doc,
      sym_block_comment,
  [69298] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(501), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(900), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4028), 2,
      sym_xml_doc,
      sym_block_comment,
  [69327] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1179), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6793), 1,
      anon_sym_LPAREN,
    STATE(1926), 1,
      sym__identifier_or_op,
    ACTIONS(1928), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4029), 2,
      sym_xml_doc,
      sym_block_comment,
  [69354] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(617), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6785), 1,
      anon_sym_LPAREN,
    STATE(1567), 1,
      sym__identifier_or_op,
    ACTIONS(1854), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4030), 2,
      sym_xml_doc,
      sym_block_comment,
  [69381] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7075), 1,
      sym_identifier,
    ACTIONS(7077), 1,
      anon_sym_member,
    STATE(3617), 1,
      sym_member_signature,
    STATE(4274), 1,
      sym_access_modifier,
    STATE(4031), 2,
      sym_xml_doc,
      sym_block_comment,
  [69410] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_property_or_ident,
    STATE(2103), 1,
      sym__method_defn,
    STATE(2106), 1,
      sym__property_defn,
    STATE(2107), 1,
      sym_method_or_prop_defn,
    STATE(4032), 2,
      sym_xml_doc,
      sym_block_comment,
  [69439] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_property_or_ident,
    STATE(3608), 1,
      sym__method_defn,
    STATE(3611), 1,
      sym__property_defn,
    STATE(3617), 1,
      sym_method_or_prop_defn,
    STATE(4033), 2,
      sym_xml_doc,
      sym_block_comment,
  [69468] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7079), 1,
      anon_sym_GT,
    STATE(4022), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5014), 1,
      sym_type_argument_constraints,
    STATE(4034), 2,
      sym_xml_doc,
      sym_block_comment,
  [69497] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2084), 1,
      sym_property_or_ident,
    STATE(3658), 1,
      sym__property_defn,
    STATE(3659), 1,
      sym__method_defn,
    STATE(3664), 1,
      sym_method_or_prop_defn,
    STATE(4035), 2,
      sym_xml_doc,
      sym_block_comment,
  [69526] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7081), 1,
      anon_sym_GT,
    STATE(4019), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5404), 1,
      sym_type_argument_constraints,
    STATE(4036), 2,
      sym_xml_doc,
      sym_block_comment,
  [69555] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7083), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5047), 1,
      sym_type_argument_constraints,
    STATE(4037), 2,
      sym_xml_doc,
      sym_block_comment,
  [69584] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7085), 1,
      anon_sym_GT,
    STATE(4037), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5048), 1,
      sym_type_argument_constraints,
    STATE(4038), 2,
      sym_xml_doc,
      sym_block_comment,
  [69613] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(477), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1423), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4039), 2,
      sym_xml_doc,
      sym_block_comment,
  [69642] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(377), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6895), 1,
      anon_sym_LPAREN,
    STATE(1140), 1,
      sym__identifier_or_op,
    ACTIONS(1876), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4040), 2,
      sym_xml_doc,
      sym_block_comment,
  [69669] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7087), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5117), 1,
      sym_type_argument_constraints,
    STATE(4041), 2,
      sym_xml_doc,
      sym_block_comment,
  [69698] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7089), 1,
      anon_sym_GT,
    STATE(4082), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4919), 1,
      sym_type_argument_constraints,
    STATE(4042), 2,
      sym_xml_doc,
      sym_block_comment,
  [69727] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2091), 1,
      sym_property_or_ident,
    STATE(2112), 1,
      sym__method_defn,
    STATE(2114), 1,
      sym_method_or_prop_defn,
    STATE(2119), 1,
      sym__property_defn,
    STATE(4043), 2,
      sym_xml_doc,
      sym_block_comment,
  [69756] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(489), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1616), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4044), 2,
      sym_xml_doc,
      sym_block_comment,
  [69785] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7091), 1,
      sym_identifier,
    ACTIONS(7093), 1,
      anon_sym_member,
    STATE(2116), 1,
      sym_member_signature,
    STATE(4323), 1,
      sym_access_modifier,
    STATE(4045), 2,
      sym_xml_doc,
      sym_block_comment,
  [69814] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7095), 1,
      anon_sym_GT,
    STATE(4047), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4811), 1,
      sym_type_argument_constraints,
    STATE(4046), 2,
      sym_xml_doc,
      sym_block_comment,
  [69843] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7097), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4921), 1,
      sym_type_argument_constraints,
    STATE(4047), 2,
      sym_xml_doc,
      sym_block_comment,
  [69872] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(463), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6923), 1,
      anon_sym_LPAREN,
    STATE(1513), 1,
      sym__identifier_or_op,
    ACTIONS(1964), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4048), 2,
      sym_xml_doc,
      sym_block_comment,
  [69899] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7099), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5068), 1,
      sym_type_argument_constraints,
    STATE(4049), 2,
      sym_xml_doc,
      sym_block_comment,
  [69928] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7055), 1,
      sym_identifier,
    ACTIONS(7101), 1,
      anon_sym_member,
    STATE(2107), 1,
      sym_member_signature,
    STATE(4254), 1,
      sym_access_modifier,
    STATE(4050), 2,
      sym_xml_doc,
      sym_block_comment,
  [69957] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7103), 1,
      anon_sym_GT,
    STATE(4049), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5074), 1,
      sym_type_argument_constraints,
    STATE(4051), 2,
      sym_xml_doc,
      sym_block_comment,
  [69986] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7105), 1,
      anon_sym_GT,
    STATE(4057), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5167), 1,
      sym_type_argument_constraints,
    STATE(4052), 2,
      sym_xml_doc,
      sym_block_comment,
  [70015] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7107), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5268), 1,
      sym_type_argument_constraints,
    STATE(4053), 2,
      sym_xml_doc,
      sym_block_comment,
  [70044] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3574), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6969), 1,
      anon_sym_LPAREN,
    STATE(2535), 1,
      sym__identifier_or_op,
    ACTIONS(3572), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4054), 2,
      sym_xml_doc,
      sym_block_comment,
  [70071] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7109), 1,
      anon_sym_interface,
    STATE(4155), 1,
      sym_interface_implementation,
    ACTIONS(3995), 2,
      sym__newline,
      sym__dedent,
    STATE(4055), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__object_expression_inner_repeat1,
  [70096] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(471), 1,
      sym__else,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1045), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4056), 2,
      sym_xml_doc,
      sym_block_comment,
  [70125] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7112), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5161), 1,
      sym_type_argument_constraints,
    STATE(4057), 2,
      sym_xml_doc,
      sym_block_comment,
  [70154] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7114), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5099), 1,
      sym_type_argument_constraints,
    STATE(4058), 2,
      sym_xml_doc,
      sym_block_comment,
  [70183] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7116), 1,
      anon_sym_GT,
    STATE(4058), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5100), 1,
      sym_type_argument_constraints,
    STATE(4059), 2,
      sym_xml_doc,
      sym_block_comment,
  [70212] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(505), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1978), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4060), 2,
      sym_xml_doc,
      sym_block_comment,
  [70241] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(473), 1,
      sym__elif,
    ACTIONS(481), 1,
      sym__else,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(1741), 1,
      sym__else_expression,
    STATE(4136), 1,
      aux_sym__if_then_else_expression_repeat1,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4061), 2,
      sym_xml_doc,
      sym_block_comment,
  [70270] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7118), 1,
      anon_sym_GT,
    STATE(4053), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5271), 1,
      sym_type_argument_constraints,
    STATE(4062), 2,
      sym_xml_doc,
      sym_block_comment,
  [70299] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7075), 1,
      sym_identifier,
    ACTIONS(7120), 1,
      anon_sym_member,
    STATE(3612), 1,
      sym_member_signature,
    STATE(4293), 1,
      sym_access_modifier,
    STATE(4063), 2,
      sym_xml_doc,
      sym_block_comment,
  [70328] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7122), 1,
      anon_sym_GT,
    STATE(4079), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5141), 1,
      sym_type_argument_constraints,
    STATE(4064), 2,
      sym_xml_doc,
      sym_block_comment,
  [70357] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7045), 1,
      sym_identifier,
    ACTIONS(7124), 1,
      anon_sym_member,
    STATE(3651), 1,
      sym_member_signature,
    STATE(4229), 1,
      sym_access_modifier,
    STATE(4065), 2,
      sym_xml_doc,
      sym_block_comment,
  [70386] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2091), 1,
      sym_property_or_ident,
    STATE(2112), 1,
      sym__method_defn,
    STATE(2119), 1,
      sym__property_defn,
    STATE(2121), 1,
      sym_method_or_prop_defn,
    STATE(4066), 2,
      sym_xml_doc,
      sym_block_comment,
  [70415] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7091), 1,
      sym_identifier,
    ACTIONS(7126), 1,
      anon_sym_member,
    STATE(2121), 1,
      sym_member_signature,
    STATE(4267), 1,
      sym_access_modifier,
    STATE(4067), 2,
      sym_xml_doc,
      sym_block_comment,
  [70444] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_property_or_ident,
    STATE(3608), 1,
      sym__method_defn,
    STATE(3611), 1,
      sym__property_defn,
    STATE(3626), 1,
      sym_method_or_prop_defn,
    STATE(4068), 2,
      sym_xml_doc,
      sym_block_comment,
  [70473] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7128), 1,
      anon_sym_GT,
    STATE(3988), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5336), 1,
      sym_type_argument_constraints,
    STATE(4069), 2,
      sym_xml_doc,
      sym_block_comment,
  [70502] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(819), 1,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(6851), 1,
      anon_sym_LPAREN,
    STATE(1814), 1,
      sym__identifier_or_op,
    ACTIONS(1952), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4070), 2,
      sym_xml_doc,
      sym_block_comment,
  [70529] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7130), 1,
      anon_sym_GT,
    STATE(4041), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5118), 1,
      sym_type_argument_constraints,
    STATE(4071), 2,
      sym_xml_doc,
      sym_block_comment,
  [70558] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2084), 1,
      sym_property_or_ident,
    STATE(3651), 1,
      sym_method_or_prop_defn,
    STATE(3658), 1,
      sym__property_defn,
    STATE(3659), 1,
      sym__method_defn,
    STATE(4072), 2,
      sym_xml_doc,
      sym_block_comment,
  [70587] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(7134), 2,
      sym__simple_string_char,
      anon_sym_DQUOTEB,
    STATE(4073), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(7132), 3,
      sym__non_escape_char,
      anon_sym_BSLASH2,
      anon_sym_DQUOTE2,
  [70610] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7136), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5025), 1,
      sym_type_argument_constraints,
    STATE(4074), 2,
      sym_xml_doc,
      sym_block_comment,
  [70639] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7138), 1,
      anon_sym_GT,
    STATE(4074), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5143), 1,
      sym_type_argument_constraints,
    STATE(4075), 2,
      sym_xml_doc,
      sym_block_comment,
  [70668] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2084), 1,
      sym_property_or_ident,
    STATE(3658), 1,
      sym__property_defn,
    STATE(3659), 1,
      sym__method_defn,
    STATE(3667), 1,
      sym_method_or_prop_defn,
    STATE(4076), 2,
      sym_xml_doc,
      sym_block_comment,
  [70697] = 6,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(7142), 2,
      sym__simple_string_char,
      anon_sym_DQUOTEB,
    STATE(4077), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(7140), 3,
      sym__non_escape_char,
      anon_sym_BSLASH2,
      anon_sym_DQUOTE2,
  [70720] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7144), 1,
      anon_sym_GT,
    STATE(4000), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4909), 1,
      sym_type_argument_constraints,
    STATE(4078), 2,
      sym_xml_doc,
      sym_block_comment,
  [70749] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7146), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(5185), 1,
      sym_type_argument_constraints,
    STATE(4079), 2,
      sym_xml_doc,
      sym_block_comment,
  [70778] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2091), 1,
      sym_property_or_ident,
    STATE(2112), 1,
      sym__method_defn,
    STATE(2119), 1,
      sym__property_defn,
    STATE(2120), 1,
      sym_method_or_prop_defn,
    STATE(4080), 2,
      sym_xml_doc,
      sym_block_comment,
  [70807] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7017), 1,
      sym_identifier,
    STATE(2082), 1,
      sym_property_or_ident,
    STATE(2096), 1,
      sym_method_or_prop_defn,
    STATE(2103), 1,
      sym__method_defn,
    STATE(2106), 1,
      sym__property_defn,
    STATE(4081), 2,
      sym_xml_doc,
      sym_block_comment,
  [70836] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7148), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4916), 1,
      sym_type_argument_constraints,
    STATE(4082), 2,
      sym_xml_doc,
      sym_block_comment,
  [70865] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    ACTIONS(7023), 1,
      anon_sym_when,
    ACTIONS(7150), 1,
      anon_sym_GT,
    STATE(4139), 1,
      aux_sym_type_arguments_repeat1,
    STATE(4879), 1,
      sym_type_argument_constraints,
    STATE(4083), 2,
      sym_xml_doc,
      sym_block_comment,
  [70894] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4824), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4084), 2,
      sym_xml_doc,
      sym_block_comment,
  [70920] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7154), 1,
      sym_identifier,
    ACTIONS(7156), 1,
      anon_sym_mutable,
    STATE(5130), 1,
      sym_access_modifier,
    STATE(4085), 2,
      sym_xml_doc,
      sym_block_comment,
  [70946] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7158), 1,
      sym_identifier,
    ACTIONS(7160), 1,
      anon_sym_mutable,
    STATE(5127), 1,
      sym_access_modifier,
    STATE(4086), 2,
      sym_xml_doc,
      sym_block_comment,
  [70972] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7162), 1,
      sym_identifier,
    ACTIONS(7164), 1,
      anon_sym_mutable,
    STATE(5136), 1,
      sym_access_modifier,
    STATE(4087), 2,
      sym_xml_doc,
      sym_block_comment,
  [70998] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6339), 1,
      anon_sym_member,
    ACTIONS(6345), 1,
      anon_sym_val,
    STATE(4770), 1,
      sym_access_modifier,
    STATE(4088), 2,
      sym_xml_doc,
      sym_block_comment,
  [71024] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4763), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4089), 2,
      sym_xml_doc,
      sym_block_comment,
  [71050] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7166), 1,
      sym_identifier,
    ACTIONS(7168), 1,
      anon_sym_mutable,
    STATE(5159), 1,
      sym_access_modifier,
    STATE(4090), 2,
      sym_xml_doc,
      sym_block_comment,
  [71076] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4968), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4091), 2,
      sym_xml_doc,
      sym_block_comment,
  [71102] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7170), 1,
      sym_identifier,
    ACTIONS(7172), 1,
      anon_sym_mutable,
    STATE(5162), 1,
      sym_access_modifier,
    STATE(4092), 2,
      sym_xml_doc,
      sym_block_comment,
  [71128] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7174), 1,
      sym_identifier,
    ACTIONS(7176), 1,
      anon_sym_mutable,
    STATE(5183), 1,
      sym_access_modifier,
    STATE(4093), 2,
      sym_xml_doc,
      sym_block_comment,
  [71154] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    ACTIONS(7180), 1,
      anon_sym_RPAREN,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    STATE(4195), 1,
      aux_sym_primary_constr_args_repeat1,
    STATE(4094), 2,
      sym_xml_doc,
      sym_block_comment,
  [71180] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2426), 1,
      anon_sym_COLON_GT,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7184), 1,
      anon_sym_COLON,
    ACTIONS(7187), 1,
      anon_sym_or,
    STATE(4264), 1,
      aux_sym_static_type_argument_repeat1,
    STATE(4095), 2,
      sym_xml_doc,
      sym_block_comment,
  [71206] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(7189), 1,
      sym__dedent,
    STATE(4106), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4096), 2,
      sym_xml_doc,
      sym_block_comment,
  [71232] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(5282), 1,
      sym__expression_block,
    STATE(5332), 1,
      sym_active_pattern_op_name,
    STATE(4097), 2,
      sym_xml_doc,
      sym_block_comment,
  [71258] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      anon_sym_mutable,
    STATE(4749), 1,
      sym_access_modifier,
    STATE(4098), 2,
      sym_xml_doc,
      sym_block_comment,
  [71284] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(5202), 1,
      sym_active_pattern_op_name,
    STATE(5252), 1,
      sym__expression_block,
    STATE(4099), 2,
      sym_xml_doc,
      sym_block_comment,
  [71310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7197), 1,
      anon_sym_and,
    ACTIONS(4096), 2,
      sym__newline,
      sym__dedent,
    STATE(4100), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__function_or_value_defns_repeat1,
  [71332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7200), 1,
      anon_sym_SEMI,
    ACTIONS(6423), 2,
      anon_sym_RBRACK,
      anon_sym_PIPE_RBRACK,
    STATE(4101), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_list_pattern_repeat1,
  [71354] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7203), 1,
      anon_sym_member,
    ACTIONS(7205), 1,
      anon_sym_val,
    STATE(4784), 1,
      sym_access_modifier,
    STATE(4102), 2,
      sym_xml_doc,
      sym_block_comment,
  [71380] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7207), 1,
      anon_sym_and,
    STATE(4118), 1,
      aux_sym__function_or_value_defns_repeat1,
    ACTIONS(4090), 2,
      sym__newline,
      sym__dedent,
    STATE(4103), 2,
      sym_xml_doc,
      sym_block_comment,
  [71404] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(5347), 1,
      sym__expression_block,
    STATE(5396), 1,
      sym_active_pattern_op_name,
    STATE(4104), 2,
      sym_xml_doc,
      sym_block_comment,
  [71430] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7209), 1,
      sym_identifier,
    ACTIONS(7211), 1,
      anon_sym_mutable,
    STATE(5168), 1,
      sym_access_modifier,
    STATE(4105), 2,
      sym_xml_doc,
      sym_block_comment,
  [71456] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(7213), 1,
      sym__dedent,
    STATE(4135), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4106), 2,
      sym_xml_doc,
      sym_block_comment,
  [71482] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7215), 1,
      sym_identifier,
    ACTIONS(7217), 1,
      anon_sym_mutable,
    STATE(5296), 1,
      sym_access_modifier,
    STATE(4107), 2,
      sym_xml_doc,
      sym_block_comment,
  [71508] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(7219), 1,
      sym__dedent,
    STATE(4141), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4108), 2,
      sym_xml_doc,
      sym_block_comment,
  [71534] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7221), 1,
      sym_identifier,
    ACTIONS(7223), 1,
      anon_sym_mutable,
    STATE(5088), 1,
      sym_access_modifier,
    STATE(4109), 2,
      sym_xml_doc,
      sym_block_comment,
  [71560] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4815), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4110), 2,
      sym_xml_doc,
      sym_block_comment,
  [71586] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7225), 1,
      sym_identifier,
    ACTIONS(7227), 1,
      anon_sym_mutable,
    STATE(4901), 1,
      sym_access_modifier,
    STATE(4111), 2,
      sym_xml_doc,
      sym_block_comment,
  [71612] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(5026), 1,
      sym__expression_block,
    STATE(5264), 1,
      sym_active_pattern_op_name,
    STATE(4112), 2,
      sym_xml_doc,
      sym_block_comment,
  [71638] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(5258), 1,
      sym_field_initializers,
    STATE(4113), 2,
      sym_xml_doc,
      sym_block_comment,
  [71664] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7229), 1,
      sym_identifier,
    ACTIONS(7231), 1,
      anon_sym_mutable,
    STATE(5080), 1,
      sym_access_modifier,
    STATE(4114), 2,
      sym_xml_doc,
      sym_block_comment,
  [71690] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7233), 1,
      anon_sym_member,
    ACTIONS(7235), 1,
      anon_sym_val,
    STATE(4726), 1,
      sym_access_modifier,
    STATE(4115), 2,
      sym_xml_doc,
      sym_block_comment,
  [71716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7237), 1,
      sym_identifier,
    ACTIONS(7239), 1,
      anon_sym_mutable,
    STATE(5076), 1,
      sym_access_modifier,
    STATE(4116), 2,
      sym_xml_doc,
      sym_block_comment,
  [71742] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(5064), 1,
      sym_field_initializers,
    STATE(4117), 2,
      sym_xml_doc,
      sym_block_comment,
  [71768] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7207), 1,
      anon_sym_and,
    STATE(4100), 1,
      aux_sym__function_or_value_defns_repeat1,
    ACTIONS(4103), 2,
      sym__newline,
      sym__dedent,
    STATE(4118), 2,
      sym_xml_doc,
      sym_block_comment,
  [71792] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6351), 1,
      anon_sym_member,
    ACTIONS(6357), 1,
      anon_sym_val,
    STATE(4918), 1,
      sym_access_modifier,
    STATE(4119), 2,
      sym_xml_doc,
      sym_block_comment,
  [71818] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(5357), 1,
      sym_active_pattern_op_name,
    STATE(5398), 1,
      sym__expression_block,
    STATE(4120), 2,
      sym_xml_doc,
      sym_block_comment,
  [71844] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4848), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4121), 2,
      sym_xml_doc,
      sym_block_comment,
  [71870] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(4771), 1,
      sym__expression_block,
    STATE(5031), 1,
      sym_active_pattern_op_name,
    STATE(4122), 2,
      sym_xml_doc,
      sym_block_comment,
  [71896] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6472), 1,
      anon_sym_member,
    ACTIONS(6478), 1,
      anon_sym_val,
    STATE(4709), 1,
      sym_access_modifier,
    STATE(4123), 2,
      sym_xml_doc,
      sym_block_comment,
  [71922] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7241), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(7243), 1,
      anon_sym_DQUOTE,
    STATE(2403), 1,
      sym_string,
    STATE(2415), 1,
      sym_format_string,
    STATE(4124), 2,
      sym_xml_doc,
      sym_block_comment,
  [71948] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(5709), 1,
      anon_sym_member,
    ACTIONS(5715), 1,
      anon_sym_val,
    STATE(4813), 1,
      sym_access_modifier,
    STATE(4125), 2,
      sym_xml_doc,
      sym_block_comment,
  [71974] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7245), 1,
      anon_sym_member,
    ACTIONS(7247), 1,
      anon_sym_val,
    STATE(4761), 1,
      sym_access_modifier,
    STATE(4126), 2,
      sym_xml_doc,
      sym_block_comment,
  [72000] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4878), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4127), 2,
      sym_xml_doc,
      sym_block_comment,
  [72026] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(6766), 1,
      anon_sym_member,
    ACTIONS(6768), 1,
      anon_sym_val,
    STATE(4802), 1,
      sym_access_modifier,
    STATE(4128), 2,
      sym_xml_doc,
      sym_block_comment,
  [72052] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4738), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4129), 2,
      sym_xml_doc,
      sym_block_comment,
  [72078] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(4760), 1,
      sym_active_pattern_op_name,
    STATE(5152), 1,
      sym__expression_block,
    STATE(4130), 2,
      sym_xml_doc,
      sym_block_comment,
  [72104] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7241), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(7243), 1,
      anon_sym_DQUOTE,
    STATE(2407), 1,
      sym_string,
    STATE(2415), 1,
      sym_format_string,
    STATE(4131), 2,
      sym_xml_doc,
      sym_block_comment,
  [72130] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7249), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(7251), 1,
      anon_sym_DQUOTE,
    STATE(2454), 1,
      sym_string,
    STATE(2455), 1,
      sym_format_string,
    STATE(4132), 2,
      sym_xml_doc,
      sym_block_comment,
  [72156] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(5312), 1,
      sym_active_pattern_op_name,
    STATE(5358), 1,
      sym__expression_block,
    STATE(4133), 2,
      sym_xml_doc,
      sym_block_comment,
  [72182] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7249), 1,
      anon_sym_DOLLAR_DQUOTE,
    ACTIONS(7251), 1,
      anon_sym_DQUOTE,
    STATE(2452), 1,
      sym_string,
    STATE(2455), 1,
      sym_format_string,
    STATE(4134), 2,
      sym_xml_doc,
      sym_block_comment,
  [72208] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3995), 1,
      sym__dedent,
    ACTIONS(7253), 1,
      anon_sym_interface,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4135), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__object_expression_inner_repeat1,
  [72232] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7256), 1,
      sym__else,
    ACTIONS(7258), 1,
      sym__elif,
    STATE(4545), 1,
      sym_elif_expression,
    STATE(4136), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__if_then_else_expression_repeat1,
  [72256] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3989), 1,
      sym__dedent,
    ACTIONS(5115), 1,
      anon_sym_interface,
    STATE(4135), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4137), 2,
      sym_xml_doc,
      sym_block_comment,
  [72282] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4908), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4138), 2,
      sym_xml_doc,
      sym_block_comment,
  [72308] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7261), 1,
      anon_sym_COMMA,
    ACTIONS(7264), 2,
      anon_sym_GT,
      anon_sym_when,
    STATE(4139), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_type_arguments_repeat1,
  [72330] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(5249), 1,
      sym_active_pattern_op_name,
    STATE(5313), 1,
      sym__expression_block,
    STATE(4140), 2,
      sym_xml_doc,
      sym_block_comment,
  [72356] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5115), 1,
      anon_sym_interface,
    ACTIONS(7266), 1,
      sym__dedent,
    STATE(4135), 1,
      aux_sym__object_expression_inner_repeat1,
    STATE(4666), 1,
      sym_interface_implementation,
    STATE(4141), 2,
      sym_xml_doc,
      sym_block_comment,
  [72382] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1393), 1,
      ts_builtin_sym_end,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7268), 1,
      anon_sym_namespace,
    STATE(4151), 1,
      aux_sym_file_repeat2,
    STATE(4544), 1,
      sym_namespace,
    STATE(4142), 2,
      sym_xml_doc,
      sym_block_comment,
  [72408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    ACTIONS(7270), 1,
      anon_sym_RPAREN,
    STATE(4179), 1,
      aux_sym_primary_constr_args_repeat1,
    STATE(4143), 2,
      sym_xml_doc,
      sym_block_comment,
  [72434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(5100), 2,
      anon_sym_LPAREN,
      anon_sym_LPAREN_STAR_RPAREN,
    ACTIONS(5102), 2,
      aux_sym__identifier_or_op_token1,
      sym_identifier,
    STATE(4144), 2,
      sym_xml_doc,
      sym_block_comment,
  [72456] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7272), 1,
      sym_identifier,
    STATE(335), 1,
      sym_long_identifier,
    STATE(4496), 1,
      sym_access_modifier,
    STATE(4145), 2,
      sym_xml_doc,
      sym_block_comment,
  [72482] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7274), 1,
      sym_identifier,
    ACTIONS(7276), 1,
      anon_sym_global,
    ACTIONS(7278), 1,
      anon_sym_rec,
    STATE(321), 1,
      sym_long_identifier,
    STATE(4146), 2,
      sym_xml_doc,
      sym_block_comment,
  [72508] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6490), 1,
      anon_sym__,
    STATE(4188), 1,
      sym_type_argument,
    ACTIONS(6492), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(4147), 2,
      sym_xml_doc,
      sym_block_comment,
  [72532] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7280), 1,
      aux_sym_int_token1,
    STATE(4277), 1,
      sym_int,
    ACTIONS(7282), 2,
      anon_sym_f,
      aux_sym_decimal_token1,
    STATE(4148), 2,
      sym_xml_doc,
      sym_block_comment,
  [72556] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    ACTIONS(7191), 1,
      sym__indent,
    STATE(5157), 1,
      sym_active_pattern_op_name,
    STATE(5204), 1,
      sym__expression_block,
    STATE(4149), 2,
      sym_xml_doc,
      sym_block_comment,
  [72582] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4306), 1,
      sym_field_initializer,
    STATE(4938), 1,
      sym_field_initializers,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4150), 2,
      sym_xml_doc,
      sym_block_comment,
  [72608] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7284), 1,
      ts_builtin_sym_end,
    ACTIONS(7286), 1,
      anon_sym_namespace,
    STATE(4544), 1,
      sym_namespace,
    STATE(4151), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_file_repeat2,
  [72632] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7268), 1,
      anon_sym_namespace,
    STATE(4151), 1,
      aux_sym_file_repeat2,
    STATE(4544), 1,
      sym_namespace,
    STATE(4152), 2,
      sym_xml_doc,
      sym_block_comment,
  [72658] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    ACTIONS(7289), 1,
      anon_sym_RPAREN,
    STATE(4169), 1,
      aux_sym_primary_constr_args_repeat1,
    STATE(4153), 2,
      sym_xml_doc,
      sym_block_comment,
  [72684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4154), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4143), 3,
      sym__newline,
      sym__dedent,
      anon_sym_and,
  [72703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4155), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4080), 3,
      sym__newline,
      sym__dedent,
      anon_sym_interface,
  [72722] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7291), 1,
      anon_sym_RPAREN,
    STATE(5222), 1,
      sym__expression_block,
    STATE(4156), 2,
      sym_xml_doc,
      sym_block_comment,
  [72745] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7293), 1,
      anon_sym_RPAREN,
    STATE(4707), 1,
      sym__expression_block,
    STATE(4157), 2,
      sym_xml_doc,
      sym_block_comment,
  [72768] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2835), 1,
      sym_field_pattern,
    STATE(5325), 1,
      sym_long_identifier,
    STATE(4158), 2,
      sym_xml_doc,
      sym_block_comment,
  [72791] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7297), 1,
      anon_sym_GT_RBRACK,
    ACTIONS(7299), 1,
      sym__newline,
    STATE(4271), 1,
      aux_sym_attribute_set_repeat1,
    STATE(4159), 2,
      sym_xml_doc,
      sym_block_comment,
  [72814] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3340), 1,
      sym_field_pattern,
    STATE(4731), 1,
      sym_long_identifier,
    STATE(4160), 2,
      sym_xml_doc,
      sym_block_comment,
  [72837] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(7301), 1,
      anon_sym_COLON,
    STATE(4829), 1,
      sym_type_arguments,
    STATE(4161), 2,
      sym_xml_doc,
      sym_block_comment,
  [72860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4162), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(2535), 3,
      sym__newline,
      anon_sym_with,
      anon_sym_finally,
  [72879] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7303), 1,
      sym__newline,
    ACTIONS(7305), 1,
      sym__dedent,
    STATE(4312), 1,
      aux_sym__class_type_body_repeat1,
    STATE(4163), 2,
      sym_xml_doc,
      sym_block_comment,
  [72902] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7307), 1,
      sym_identifier,
    STATE(4976), 1,
      sym_access_modifier,
    STATE(4164), 2,
      sym_xml_doc,
      sym_block_comment,
  [72925] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7309), 1,
      anon_sym_with,
    ACTIONS(7311), 1,
      anon_sym_finally,
    ACTIONS(7313), 1,
      sym__newline,
    STATE(4165), 2,
      sym_xml_doc,
      sym_block_comment,
  [72948] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3754), 1,
      sym_field_pattern,
    STATE(4827), 1,
      sym_long_identifier,
    STATE(4166), 2,
      sym_xml_doc,
      sym_block_comment,
  [72971] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2931), 1,
      sym_field_pattern,
    STATE(4744), 1,
      sym_long_identifier,
    STATE(4167), 2,
      sym_xml_doc,
      sym_block_comment,
  [72994] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7315), 1,
      anon_sym_COMMA,
    ACTIONS(7317), 1,
      anon_sym_GT,
    STATE(4244), 1,
      aux_sym_type_attributes_repeat1,
    STATE(4168), 2,
      sym_xml_doc,
      sym_block_comment,
  [73017] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7180), 1,
      anon_sym_RPAREN,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    STATE(4246), 1,
      aux_sym_primary_constr_args_repeat1,
    STATE(4169), 2,
      sym_xml_doc,
      sym_block_comment,
  [73040] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7319), 1,
      anon_sym_RBRACK,
    ACTIONS(7321), 1,
      sym__indent,
    STATE(5292), 1,
      sym__list_element,
    STATE(4170), 2,
      sym_xml_doc,
      sym_block_comment,
  [73063] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7174), 1,
      sym_identifier,
    STATE(5183), 1,
      sym_access_modifier,
    STATE(4171), 2,
      sym_xml_doc,
      sym_block_comment,
  [73086] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7323), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5293), 1,
      sym__list_element,
    STATE(4172), 2,
      sym_xml_doc,
      sym_block_comment,
  [73109] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7299), 1,
      sym__newline,
    ACTIONS(7325), 1,
      anon_sym_GT_RBRACK,
    STATE(4271), 1,
      aux_sym_attribute_set_repeat1,
    STATE(4173), 2,
      sym_xml_doc,
      sym_block_comment,
  [73132] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7327), 1,
      anon_sym_RBRACK,
    STATE(5391), 1,
      sym__list_element,
    STATE(4174), 2,
      sym_xml_doc,
      sym_block_comment,
  [73155] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7329), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5390), 1,
      sym__list_element,
    STATE(4175), 2,
      sym_xml_doc,
      sym_block_comment,
  [73178] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7331), 1,
      anon_sym_with,
    ACTIONS(7333), 1,
      anon_sym_finally,
    ACTIONS(7335), 1,
      sym__newline,
    STATE(4176), 2,
      sym_xml_doc,
      sym_block_comment,
  [73201] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2881), 1,
      sym_field_pattern,
    STATE(5325), 1,
      sym_long_identifier,
    STATE(4177), 2,
      sym_xml_doc,
      sym_block_comment,
  [73224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4178), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4076), 3,
      sym__newline,
      sym__dedent,
      anon_sym_interface,
  [73243] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    ACTIONS(7337), 1,
      anon_sym_RPAREN,
    STATE(4246), 1,
      aux_sym_primary_constr_args_repeat1,
    STATE(4179), 2,
      sym_xml_doc,
      sym_block_comment,
  [73266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7339), 1,
      anon_sym_RBRACK,
    STATE(5331), 1,
      sym__list_element,
    STATE(4180), 2,
      sym_xml_doc,
      sym_block_comment,
  [73289] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7045), 1,
      sym_identifier,
    ACTIONS(7124), 1,
      anon_sym_member,
    STATE(3651), 1,
      sym_member_signature,
    STATE(4181), 2,
      sym_xml_doc,
      sym_block_comment,
  [73312] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7341), 1,
      sym_identifier,
    STATE(5389), 1,
      sym_access_modifier,
    STATE(4182), 2,
      sym_xml_doc,
      sym_block_comment,
  [73335] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7055), 1,
      sym_identifier,
    ACTIONS(7343), 1,
      anon_sym_member,
    STATE(2096), 1,
      sym_member_signature,
    STATE(4183), 2,
      sym_xml_doc,
      sym_block_comment,
  [73358] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7180), 1,
      anon_sym_RPAREN,
    ACTIONS(7345), 1,
      sym_identifier,
    STATE(4143), 1,
      sym_simple_pattern,
    STATE(4184), 2,
      sym_xml_doc,
      sym_block_comment,
  [73381] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7347), 1,
      anon_sym_RPAREN,
    STATE(4991), 1,
      sym__expression_block,
    STATE(4185), 2,
      sym_xml_doc,
      sym_block_comment,
  [73404] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7349), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5330), 1,
      sym__list_element,
    STATE(4186), 2,
      sym_xml_doc,
      sym_block_comment,
  [73427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4096), 1,
      sym__dedent,
    ACTIONS(7351), 1,
      anon_sym_and,
    STATE(4187), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__function_or_value_defns_repeat1,
  [73448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4188), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(7354), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_when,
  [73467] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3536), 1,
      sym_field_pattern,
    STATE(5121), 1,
      sym_long_identifier,
    STATE(4189), 2,
      sym_xml_doc,
      sym_block_comment,
  [73490] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(7356), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4101), 1,
      aux_sym_list_pattern_repeat1,
    STATE(4190), 2,
      sym_xml_doc,
      sym_block_comment,
  [73513] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2793), 1,
      sym_field_pattern,
    STATE(4718), 1,
      sym_long_identifier,
    STATE(4191), 2,
      sym_xml_doc,
      sym_block_comment,
  [73536] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6377), 1,
      anon_sym_COMMA,
    ACTIONS(7358), 1,
      anon_sym_GT,
    STATE(4233), 1,
      aux_sym_types_repeat1,
    STATE(4192), 2,
      sym_xml_doc,
      sym_block_comment,
  [73559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(7360), 1,
      anon_sym_COLON,
    STATE(5160), 1,
      sym_type_arguments,
    STATE(4193), 2,
      sym_xml_doc,
      sym_block_comment,
  [73582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7362), 1,
      sym_identifier,
    ACTIONS(7364), 1,
      anon_sym__,
    ACTIONS(7366), 1,
      anon_sym_RPAREN,
    STATE(4194), 2,
      sym_xml_doc,
      sym_block_comment,
  [73605] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    ACTIONS(7270), 1,
      anon_sym_RPAREN,
    STATE(4246), 1,
      aux_sym_primary_constr_args_repeat1,
    STATE(4195), 2,
      sym_xml_doc,
      sym_block_comment,
  [73628] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7368), 1,
      anon_sym_RBRACK,
    STATE(5201), 1,
      sym__list_element,
    STATE(4196), 2,
      sym_xml_doc,
      sym_block_comment,
  [73651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7370), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5198), 1,
      sym__list_element,
    STATE(4197), 2,
      sym_xml_doc,
      sym_block_comment,
  [73674] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7372), 1,
      anon_sym_RBRACK,
    STATE(5028), 1,
      sym__list_element,
    STATE(4198), 2,
      sym_xml_doc,
      sym_block_comment,
  [73697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7299), 1,
      sym__newline,
    ACTIONS(7374), 1,
      anon_sym_GT_RBRACK,
    STATE(4159), 1,
      aux_sym_attribute_set_repeat1,
    STATE(4199), 2,
      sym_xml_doc,
      sym_block_comment,
  [73720] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7376), 1,
      sym__newline,
    ACTIONS(7378), 1,
      sym__dedent,
    STATE(4201), 1,
      aux_sym__list_elements_repeat1,
    STATE(4200), 2,
      sym_xml_doc,
      sym_block_comment,
  [73743] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7380), 1,
      sym__newline,
    ACTIONS(7383), 1,
      sym__dedent,
    STATE(4201), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__list_elements_repeat1,
  [73764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7385), 1,
      anon_sym_COMMA,
    ACTIONS(7388), 1,
      sym__dedent,
    STATE(4202), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_slice_ranges_repeat1,
  [73785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7390), 1,
      anon_sym_DASH_GT,
    ACTIONS(7392), 1,
      anon_sym_STAR,
    STATE(4297), 1,
      aux_sym_arguments_spec_repeat1,
    STATE(4203), 2,
      sym_xml_doc,
      sym_block_comment,
  [73808] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7394), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5144), 1,
      sym__list_element,
    STATE(4204), 2,
      sym_xml_doc,
      sym_block_comment,
  [73831] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7396), 1,
      sym__newline,
    ACTIONS(7398), 1,
      sym__dedent,
    STATE(4207), 1,
      aux_sym_field_initializers_repeat1,
    STATE(4205), 2,
      sym_xml_doc,
      sym_block_comment,
  [73854] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7400), 1,
      anon_sym_with,
    ACTIONS(7402), 1,
      anon_sym_finally,
    ACTIONS(7404), 1,
      sym__newline,
    STATE(4206), 2,
      sym_xml_doc,
      sym_block_comment,
  [73877] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7406), 1,
      sym__newline,
    ACTIONS(7409), 1,
      sym__dedent,
    STATE(4207), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_field_initializers_repeat1,
  [73898] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7411), 1,
      sym_identifier,
    STATE(5260), 1,
      sym_access_modifier,
    STATE(4208), 2,
      sym_xml_doc,
      sym_block_comment,
  [73921] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7152), 1,
      sym_identifier,
    STATE(4604), 1,
      sym_field_initializer,
    STATE(5057), 1,
      sym_long_identifier,
    STATE(4209), 2,
      sym_xml_doc,
      sym_block_comment,
  [73944] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2843), 1,
      sym_field_pattern,
    STATE(5067), 1,
      sym_long_identifier,
    STATE(4210), 2,
      sym_xml_doc,
      sym_block_comment,
  [73967] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7413), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4756), 1,
      sym__list_element,
    STATE(4211), 2,
      sym_xml_doc,
      sym_block_comment,
  [73990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7415), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5243), 1,
      sym__list_element,
    STATE(4212), 2,
      sym_xml_doc,
      sym_block_comment,
  [74013] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7392), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_DASH_GT,
    STATE(4203), 1,
      aux_sym_arguments_spec_repeat1,
    STATE(4213), 2,
      sym_xml_doc,
      sym_block_comment,
  [74036] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7345), 1,
      sym_identifier,
    ACTIONS(7419), 1,
      anon_sym_RPAREN,
    STATE(4153), 1,
      sym_simple_pattern,
    STATE(4214), 2,
      sym_xml_doc,
      sym_block_comment,
  [74059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7421), 1,
      anon_sym_RBRACK,
    STATE(4757), 1,
      sym__list_element,
    STATE(4215), 2,
      sym_xml_doc,
      sym_block_comment,
  [74082] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3340), 1,
      sym_field_pattern,
    STATE(4827), 1,
      sym_long_identifier,
    STATE(4216), 2,
      sym_xml_doc,
      sym_block_comment,
  [74105] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7423), 1,
      anon_sym_RBRACK,
    STATE(5245), 1,
      sym__list_element,
    STATE(4217), 2,
      sym_xml_doc,
      sym_block_comment,
  [74128] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7425), 1,
      anon_sym_RPAREN,
    STATE(5374), 1,
      sym__expression_block,
    STATE(4218), 2,
      sym_xml_doc,
      sym_block_comment,
  [74151] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7427), 1,
      sym_identifier,
    STATE(4898), 1,
      sym_access_modifier,
    STATE(4219), 2,
      sym_xml_doc,
      sym_block_comment,
  [74174] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7429), 1,
      sym_identifier,
    STATE(5007), 1,
      sym_access_modifier,
    STATE(4220), 2,
      sym_xml_doc,
      sym_block_comment,
  [74197] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7203), 1,
      anon_sym_member,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7433), 1,
      anon_sym_new,
    STATE(4221), 2,
      sym_xml_doc,
      sym_block_comment,
  [74220] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    STATE(4982), 1,
      sym_type_arguments,
    STATE(4222), 2,
      sym_xml_doc,
      sym_block_comment,
  [74243] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7437), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_with,
    STATE(4108), 1,
      sym__object_members,
    STATE(4223), 2,
      sym_xml_doc,
      sym_block_comment,
  [74266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7441), 1,
      anon_sym_COMMA,
    ACTIONS(7443), 1,
      sym__dedent,
    STATE(4202), 1,
      aux_sym_slice_ranges_repeat1,
    STATE(4224), 2,
      sym_xml_doc,
      sym_block_comment,
  [74289] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(963), 1,
      sym__dedent,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7376), 1,
      sym__newline,
    STATE(4201), 1,
      aux_sym__list_elements_repeat1,
    STATE(4225), 2,
      sym_xml_doc,
      sym_block_comment,
  [74312] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7445), 1,
      anon_sym_RPAREN,
    STATE(5176), 1,
      sym__expression_block,
    STATE(4226), 2,
      sym_xml_doc,
      sym_block_comment,
  [74335] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ2,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4675), 1,
      anon_sym_DOT,
    STATE(2671), 1,
      aux_sym_long_identifier_repeat1,
    STATE(4227), 2,
      sym_xml_doc,
      sym_block_comment,
  [74358] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6335), 1,
      anon_sym_LPAREN,
    ACTIONS(6339), 1,
      anon_sym_member,
    ACTIONS(7433), 1,
      anon_sym_new,
    STATE(4228), 2,
      sym_xml_doc,
      sym_block_comment,
  [74381] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7045), 1,
      sym_identifier,
    ACTIONS(7447), 1,
      anon_sym_member,
    STATE(3664), 1,
      sym_member_signature,
    STATE(4229), 2,
      sym_xml_doc,
      sym_block_comment,
  [74404] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2382), 1,
      anon_sym_EQ,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4620), 1,
      anon_sym_DOT,
    STATE(2585), 1,
      aux_sym_long_identifier_repeat1,
    STATE(4230), 2,
      sym_xml_doc,
      sym_block_comment,
  [74427] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7449), 1,
      anon_sym_with,
    ACTIONS(7451), 1,
      anon_sym_finally,
    ACTIONS(7453), 1,
      sym__newline,
    STATE(4231), 2,
      sym_xml_doc,
      sym_block_comment,
  [74450] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7455), 1,
      sym__newline,
    ACTIONS(7457), 1,
      sym__dedent,
    STATE(4283), 1,
      aux_sym_record_fields_repeat1,
    STATE(4232), 2,
      sym_xml_doc,
      sym_block_comment,
  [74473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6466), 1,
      anon_sym_GT,
    ACTIONS(7459), 1,
      anon_sym_COMMA,
    STATE(4233), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_types_repeat1,
  [74494] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7462), 1,
      anon_sym_with,
    ACTIONS(7464), 1,
      anon_sym_finally,
    ACTIONS(7466), 1,
      sym__newline,
    STATE(4234), 2,
      sym_xml_doc,
      sym_block_comment,
  [74517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4235), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(7264), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_when,
  [74536] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(7468), 1,
      anon_sym_RBRACK,
    STATE(4101), 1,
      aux_sym_list_pattern_repeat1,
    STATE(4236), 2,
      sym_xml_doc,
      sym_block_comment,
  [74559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7470), 1,
      anon_sym_and,
    ACTIONS(7472), 1,
      anon_sym_GT,
    STATE(4278), 1,
      aux_sym_type_argument_constraints_repeat1,
    STATE(4237), 2,
      sym_xml_doc,
      sym_block_comment,
  [74582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3340), 1,
      sym_field_pattern,
    STATE(5121), 1,
      sym_long_identifier,
    STATE(4238), 2,
      sym_xml_doc,
      sym_block_comment,
  [74605] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(7474), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4101), 1,
      aux_sym_list_pattern_repeat1,
    STATE(4239), 2,
      sym_xml_doc,
      sym_block_comment,
  [74628] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7299), 1,
      sym__newline,
    ACTIONS(7476), 1,
      anon_sym_GT_RBRACK,
    STATE(4309), 1,
      aux_sym_attribute_set_repeat1,
    STATE(4240), 2,
      sym_xml_doc,
      sym_block_comment,
  [74651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6335), 1,
      anon_sym_LPAREN,
    ACTIONS(6351), 1,
      anon_sym_member,
    ACTIONS(7478), 1,
      anon_sym_new,
    STATE(4241), 2,
      sym_xml_doc,
      sym_block_comment,
  [74674] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(7480), 1,
      anon_sym_RBRACK,
    STATE(4101), 1,
      aux_sym_list_pattern_repeat1,
    STATE(4242), 2,
      sym_xml_doc,
      sym_block_comment,
  [74697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7482), 1,
      anon_sym_with,
    ACTIONS(7484), 1,
      anon_sym_finally,
    ACTIONS(7486), 1,
      sym__newline,
    STATE(4243), 2,
      sym_xml_doc,
      sym_block_comment,
  [74720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7488), 1,
      anon_sym_COMMA,
    ACTIONS(7491), 1,
      anon_sym_GT,
    STATE(4244), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_type_attributes_repeat1,
  [74741] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7493), 1,
      sym_identifier,
    STATE(5170), 1,
      sym_access_modifier,
    STATE(4245), 2,
      sym_xml_doc,
      sym_block_comment,
  [74764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7495), 1,
      anon_sym_RPAREN,
    ACTIONS(7497), 1,
      anon_sym_COMMA,
    STATE(4246), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_primary_constr_args_repeat1,
  [74785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7245), 1,
      anon_sym_member,
    ACTIONS(7431), 1,
      anon_sym_LPAREN,
    ACTIONS(7478), 1,
      anon_sym_new,
    STATE(4247), 2,
      sym_xml_doc,
      sym_block_comment,
  [74808] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7289), 1,
      anon_sym_RPAREN,
    ACTIONS(7345), 1,
      sym_identifier,
    STATE(4094), 1,
      sym_simple_pattern,
    STATE(4248), 2,
      sym_xml_doc,
      sym_block_comment,
  [74831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    ACTIONS(7495), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(4249), 2,
      sym_xml_doc,
      sym_block_comment,
  [74852] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7500), 1,
      anon_sym_with,
    ACTIONS(7502), 1,
      anon_sym_finally,
    ACTIONS(7504), 1,
      sym__newline,
    STATE(4250), 2,
      sym_xml_doc,
      sym_block_comment,
  [74875] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7506), 1,
      anon_sym_RBRACK,
    STATE(5355), 1,
      sym__list_element,
    STATE(4251), 2,
      sym_xml_doc,
      sym_block_comment,
  [74898] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7508), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5354), 1,
      sym__list_element,
    STATE(4252), 2,
      sym_xml_doc,
      sym_block_comment,
  [74921] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7193), 1,
      sym_identifier,
    STATE(4749), 1,
      sym_access_modifier,
    STATE(4253), 2,
      sym_xml_doc,
      sym_block_comment,
  [74944] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7055), 1,
      sym_identifier,
    ACTIONS(7057), 1,
      anon_sym_member,
    STATE(2088), 1,
      sym_member_signature,
    STATE(4254), 2,
      sym_xml_doc,
      sym_block_comment,
  [74967] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5551), 1,
      anon_sym_LT2,
    ACTIONS(7510), 1,
      anon_sym_COLON,
    STATE(4758), 1,
      sym_type_arguments,
    STATE(4255), 2,
      sym_xml_doc,
      sym_block_comment,
  [74990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7209), 1,
      sym_identifier,
    STATE(5168), 1,
      sym_access_modifier,
    STATE(4256), 2,
      sym_xml_doc,
      sym_block_comment,
  [75013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7388), 1,
      anon_sym_RBRACK,
    ACTIONS(7512), 1,
      anon_sym_COMMA,
    STATE(4257), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_slice_ranges_repeat1,
  [75034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7515), 1,
      sym__newline,
    ACTIONS(7518), 1,
      sym__dedent,
    STATE(4258), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym__class_type_body_repeat1,
  [75055] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2702), 1,
      sym_field_pattern,
    STATE(4718), 1,
      sym_long_identifier,
    STATE(4259), 2,
      sym_xml_doc,
      sym_block_comment,
  [75078] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7520), 1,
      anon_sym_with,
    ACTIONS(7522), 1,
      anon_sym_finally,
    ACTIONS(7524), 1,
      sym__newline,
    STATE(4260), 2,
      sym_xml_doc,
      sym_block_comment,
  [75101] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7299), 1,
      sym__newline,
    ACTIONS(7526), 1,
      anon_sym_GT_RBRACK,
    STATE(4173), 1,
      aux_sym_attribute_set_repeat1,
    STATE(4261), 2,
      sym_xml_doc,
      sym_block_comment,
  [75124] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3686), 1,
      sym_field_pattern,
    STATE(4731), 1,
      sym_long_identifier,
    STATE(4262), 2,
      sym_xml_doc,
      sym_block_comment,
  [75147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4263), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(7528), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [75166] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7187), 1,
      anon_sym_or,
    ACTIONS(7530), 1,
      anon_sym_COLON,
    STATE(4314), 1,
      aux_sym_static_type_argument_repeat1,
    STATE(4264), 2,
      sym_xml_doc,
      sym_block_comment,
  [75189] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7315), 1,
      anon_sym_COMMA,
    ACTIONS(7532), 1,
      anon_sym_GT,
    STATE(4168), 1,
      aux_sym_type_attributes_repeat1,
    STATE(4265), 2,
      sym_xml_doc,
      sym_block_comment,
  [75212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4266), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(7534), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_when,
  [75231] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7091), 1,
      sym_identifier,
    ACTIONS(7536), 1,
      anon_sym_member,
    STATE(2120), 1,
      sym_member_signature,
    STATE(4267), 2,
      sym_xml_doc,
      sym_block_comment,
  [75254] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7538), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_finally,
    ACTIONS(7542), 1,
      sym__newline,
    STATE(4268), 2,
      sym_xml_doc,
      sym_block_comment,
  [75277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4269), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4147), 3,
      sym__newline,
      sym__dedent,
      anon_sym_and,
  [75296] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7170), 1,
      sym_identifier,
    STATE(5162), 1,
      sym_access_modifier,
    STATE(4270), 2,
      sym_xml_doc,
      sym_block_comment,
  [75319] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7544), 1,
      anon_sym_GT_RBRACK,
    ACTIONS(7546), 1,
      sym__newline,
    STATE(4271), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_attribute_set_repeat1,
  [75340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7549), 1,
      anon_sym_and,
    ACTIONS(7552), 1,
      anon_sym_GT,
    STATE(4272), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_type_argument_constraints_repeat1,
  [75361] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3001), 1,
      sym_field_pattern,
    STATE(5101), 1,
      sym_long_identifier,
    STATE(4273), 2,
      sym_xml_doc,
      sym_block_comment,
  [75384] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7075), 1,
      sym_identifier,
    ACTIONS(7554), 1,
      anon_sym_member,
    STATE(3624), 1,
      sym_member_signature,
    STATE(4274), 2,
      sym_xml_doc,
      sym_block_comment,
  [75407] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7556), 1,
      anon_sym_RPAREN,
    STATE(5341), 1,
      sym__expression_block,
    STATE(4275), 2,
      sym_xml_doc,
      sym_block_comment,
  [75430] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7558), 1,
      anon_sym_COMMA,
    ACTIONS(7560), 1,
      anon_sym_RBRACK,
    STATE(4325), 1,
      aux_sym_slice_ranges_repeat1,
    STATE(4276), 2,
      sym_xml_doc,
      sym_block_comment,
  [75453] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7564), 1,
      aux_sym_float_token1,
    ACTIONS(7562), 2,
      anon_sym_f,
      aux_sym_decimal_token1,
    STATE(4277), 2,
      sym_xml_doc,
      sym_block_comment,
  [75474] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7470), 1,
      anon_sym_and,
    ACTIONS(7566), 1,
      anon_sym_GT,
    STATE(4272), 1,
      aux_sym_type_argument_constraints_repeat1,
    STATE(4278), 2,
      sym_xml_doc,
      sym_block_comment,
  [75497] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7568), 1,
      anon_sym_RBRACK,
    STATE(5032), 1,
      sym__list_element,
    STATE(4279), 2,
      sym_xml_doc,
      sym_block_comment,
  [75520] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7570), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5034), 1,
      sym__list_element,
    STATE(4280), 2,
      sym_xml_doc,
      sym_block_comment,
  [75543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4281), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4184), 3,
      sym__newline,
      sym__dedent,
      anon_sym_and,
  [75562] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7299), 1,
      sym__newline,
    ACTIONS(7572), 1,
      anon_sym_GT_RBRACK,
    STATE(4301), 1,
      aux_sym_attribute_set_repeat1,
    STATE(4282), 2,
      sym_xml_doc,
      sym_block_comment,
  [75585] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7574), 1,
      sym__newline,
    ACTIONS(7577), 1,
      sym__dedent,
    STATE(4283), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_record_fields_repeat1,
  [75606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3619), 1,
      sym_field_pattern,
    STATE(5121), 1,
      sym_long_identifier,
    STATE(4284), 2,
      sym_xml_doc,
      sym_block_comment,
  [75629] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2744), 1,
      sym_field_pattern,
    STATE(4718), 1,
      sym_long_identifier,
    STATE(4285), 2,
      sym_xml_doc,
      sym_block_comment,
  [75652] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4090), 1,
      sym__dedent,
    ACTIONS(7579), 1,
      anon_sym_and,
    STATE(4302), 1,
      aux_sym__function_or_value_defns_repeat1,
    STATE(4286), 2,
      sym_xml_doc,
      sym_block_comment,
  [75675] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2931), 1,
      sym_field_pattern,
    STATE(5101), 1,
      sym_long_identifier,
    STATE(4287), 2,
      sym_xml_doc,
      sym_block_comment,
  [75698] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(7581), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4101), 1,
      aux_sym_list_pattern_repeat1,
    STATE(4288), 2,
      sym_xml_doc,
      sym_block_comment,
  [75721] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7583), 1,
      anon_sym_RPAREN,
    STATE(5283), 1,
      sym__expression_block,
    STATE(4289), 2,
      sym_xml_doc,
      sym_block_comment,
  [75744] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(7585), 1,
      anon_sym_RBRACK,
    STATE(4101), 1,
      aux_sym_list_pattern_repeat1,
    STATE(4290), 2,
      sym_xml_doc,
      sym_block_comment,
  [75767] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7587), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      sym__dedent,
    STATE(4291), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_enum_type_cases_repeat1,
  [75788] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7592), 1,
      sym_identifier,
    STATE(5138), 1,
      sym_access_modifier,
    STATE(4292), 2,
      sym_xml_doc,
      sym_block_comment,
  [75811] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7075), 1,
      sym_identifier,
    ACTIONS(7077), 1,
      anon_sym_member,
    STATE(3617), 1,
      sym_member_signature,
    STATE(4293), 2,
      sym_xml_doc,
      sym_block_comment,
  [75834] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7455), 1,
      sym__newline,
    ACTIONS(7594), 1,
      sym__dedent,
    STATE(4232), 1,
      aux_sym_record_fields_repeat1,
    STATE(4294), 2,
      sym_xml_doc,
      sym_block_comment,
  [75857] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7162), 1,
      sym_identifier,
    STATE(5136), 1,
      sym_access_modifier,
    STATE(4295), 2,
      sym_xml_doc,
      sym_block_comment,
  [75880] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      sym__dedent,
    STATE(4317), 1,
      aux_sym_enum_type_cases_repeat1,
    STATE(4296), 2,
      sym_xml_doc,
      sym_block_comment,
  [75903] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7600), 1,
      anon_sym_DASH_GT,
    ACTIONS(7602), 1,
      anon_sym_STAR,
    STATE(4297), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_arguments_spec_repeat1,
  [75924] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3751), 1,
      sym_field_pattern,
    STATE(4827), 1,
      sym_long_identifier,
    STATE(4298), 2,
      sym_xml_doc,
      sym_block_comment,
  [75947] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7605), 1,
      anon_sym_RPAREN,
    STATE(5111), 1,
      sym__expression_block,
    STATE(4299), 2,
      sym_xml_doc,
      sym_block_comment,
  [75970] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7154), 1,
      sym_identifier,
    STATE(5130), 1,
      sym_access_modifier,
    STATE(4300), 2,
      sym_xml_doc,
      sym_block_comment,
  [75993] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7299), 1,
      sym__newline,
    ACTIONS(7607), 1,
      anon_sym_GT_RBRACK,
    STATE(4271), 1,
      aux_sym_attribute_set_repeat1,
    STATE(4301), 2,
      sym_xml_doc,
      sym_block_comment,
  [76016] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4103), 1,
      sym__dedent,
    ACTIONS(7579), 1,
      anon_sym_and,
    STATE(4187), 1,
      aux_sym__function_or_value_defns_repeat1,
    STATE(4302), 2,
      sym_xml_doc,
      sym_block_comment,
  [76039] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7609), 1,
      anon_sym_with,
    ACTIONS(7611), 1,
      anon_sym_finally,
    ACTIONS(7613), 1,
      sym__newline,
    STATE(4303), 2,
      sym_xml_doc,
      sym_block_comment,
  [76062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2835), 1,
      sym_field_pattern,
    STATE(5067), 1,
      sym_long_identifier,
    STATE(4304), 2,
      sym_xml_doc,
      sym_block_comment,
  [76085] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(7615), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4101), 1,
      aux_sym_list_pattern_repeat1,
    STATE(4305), 2,
      sym_xml_doc,
      sym_block_comment,
  [76108] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7396), 1,
      sym__newline,
    ACTIONS(7617), 1,
      sym__dedent,
    STATE(4205), 1,
      aux_sym_field_initializers_repeat1,
    STATE(4306), 2,
      sym_xml_doc,
      sym_block_comment,
  [76131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(4307), 2,
      sym_xml_doc,
      sym_block_comment,
    ACTIONS(4084), 3,
      sym__newline,
      sym__dedent,
      anon_sym_interface,
  [76150] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7619), 1,
      anon_sym_RPAREN,
    STATE(5038), 1,
      sym__expression_block,
    STATE(4308), 2,
      sym_xml_doc,
      sym_block_comment,
  [76173] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7299), 1,
      sym__newline,
    ACTIONS(7621), 1,
      anon_sym_GT_RBRACK,
    STATE(4271), 1,
      aux_sym_attribute_set_repeat1,
    STATE(4309), 2,
      sym_xml_doc,
      sym_block_comment,
  [76196] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6395), 1,
      anon_sym_SEMI,
    ACTIONS(7623), 1,
      anon_sym_RBRACK,
    STATE(4101), 1,
      aux_sym_list_pattern_repeat1,
    STATE(4310), 2,
      sym_xml_doc,
      sym_block_comment,
  [76219] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7625), 1,
      anon_sym_static,
    ACTIONS(7627), 1,
      anon_sym_member,
    STATE(5037), 1,
      sym_trait_member_constraint,
    STATE(4311), 2,
      sym_xml_doc,
      sym_block_comment,
  [76242] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7303), 1,
      sym__newline,
    ACTIONS(7629), 1,
      sym__dedent,
    STATE(4258), 1,
      aux_sym__class_type_body_repeat1,
    STATE(4312), 2,
      sym_xml_doc,
      sym_block_comment,
  [76265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7229), 1,
      sym_identifier,
    STATE(5080), 1,
      sym_access_modifier,
    STATE(4313), 2,
      sym_xml_doc,
      sym_block_comment,
  [76288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7631), 1,
      anon_sym_COLON,
    ACTIONS(7633), 1,
      anon_sym_or,
    STATE(4314), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_static_type_argument_repeat1,
  [76309] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7221), 1,
      sym_identifier,
    STATE(5088), 1,
      sym_access_modifier,
    STATE(4315), 2,
      sym_xml_doc,
      sym_block_comment,
  [76332] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7441), 1,
      anon_sym_COMMA,
    ACTIONS(7560), 1,
      sym__dedent,
    STATE(4224), 1,
      aux_sym_slice_ranges_repeat1,
    STATE(4316), 2,
      sym_xml_doc,
      sym_block_comment,
  [76355] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7636), 1,
      sym__dedent,
    STATE(4291), 1,
      aux_sym_enum_type_cases_repeat1,
    STATE(4317), 2,
      sym_xml_doc,
      sym_block_comment,
  [76378] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7638), 1,
      anon_sym_RBRACK,
    STATE(5311), 1,
      sym__list_element,
    STATE(4318), 2,
      sym_xml_doc,
      sym_block_comment,
  [76401] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7321), 1,
      sym__indent,
    ACTIONS(7640), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5310), 1,
      sym__list_element,
    STATE(4319), 2,
      sym_xml_doc,
      sym_block_comment,
  [76424] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7642), 1,
      sym_identifier,
    STATE(5091), 1,
      sym_access_modifier,
    STATE(4320), 2,
      sym_xml_doc,
      sym_block_comment,
  [76447] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7215), 1,
      sym_identifier,
    STATE(5296), 1,
      sym_access_modifier,
    STATE(4321), 2,
      sym_xml_doc,
      sym_block_comment,
  [76470] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7191), 1,
      sym__indent,
    ACTIONS(7644), 1,
      anon_sym_RPAREN,
    STATE(5363), 1,
      sym__expression_block,
    STATE(4322), 2,
      sym_xml_doc,
      sym_block_comment,
  [76493] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7091), 1,
      sym_identifier,
    ACTIONS(7126), 1,
      anon_sym_member,
    STATE(2121), 1,
      sym_member_signature,
    STATE(4323), 2,
      sym_xml_doc,
      sym_block_comment,
  [76516] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3472), 1,
      aux_sym_access_modifier_token1,
    ACTIONS(7646), 1,
      sym_identifier,
    STATE(5317), 1,
      sym_access_modifier,
    STATE(4324), 2,
      sym_xml_doc,
      sym_block_comment,
  [76539] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7443), 1,
      anon_sym_RBRACK,
    ACTIONS(7558), 1,
      anon_sym_COMMA,
    STATE(4257), 1,
      aux_sym_slice_ranges_repeat1,
    STATE(4325), 2,
      sym_xml_doc,
      sym_block_comment,
  [76562] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(2936), 1,
      sym_field_pattern,
    STATE(4744), 1,
      sym_long_identifier,
    STATE(4326), 2,
      sym_xml_doc,
      sym_block_comment,
  [76585] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3701), 1,
      sym_field_pattern,
    STATE(4731), 1,
      sym_long_identifier,
    STATE(4327), 2,
      sym_xml_doc,
      sym_block_comment,
  [76608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(3627), 1,
      sym__expression_block,
    STATE(4328), 2,
      sym_xml_doc,
      sym_block_comment,
  [76628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1634), 1,
      sym__expression_block,
    STATE(4329), 2,
      sym_xml_doc,
      sym_block_comment,
  [76648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2639), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4330), 2,
      sym_xml_doc,
      sym_block_comment,
  [76666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7650), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7652), 1,
      anon_sym_SQUOTEB,
    STATE(4331), 2,
      sym_xml_doc,
      sym_block_comment,
  [76686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2866), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4332), 2,
      sym_xml_doc,
      sym_block_comment,
  [76704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4165), 1,
      sym__expression_block,
    STATE(4333), 2,
      sym_xml_doc,
      sym_block_comment,
  [76724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7656), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7658), 1,
      anon_sym_SQUOTEB,
    STATE(4334), 2,
      sym_xml_doc,
      sym_block_comment,
  [76744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6253), 1,
      anon_sym_f,
    ACTIONS(7660), 1,
      aux_sym_decimal_token1,
    STATE(4335), 2,
      sym_xml_doc,
      sym_block_comment,
  [76764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7662), 1,
      sym__indent,
    STATE(2367), 1,
      sym__expression_block,
    STATE(4336), 2,
      sym_xml_doc,
      sym_block_comment,
  [76784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6381), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    STATE(4337), 2,
      sym_xml_doc,
      sym_block_comment,
  [76802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2799), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4338), 2,
      sym_xml_doc,
      sym_block_comment,
  [76820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5332), 1,
      sym_active_pattern_op_name,
    STATE(4339), 2,
      sym_xml_doc,
      sym_block_comment,
  [76840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(683), 1,
      sym__expression_block,
    STATE(4340), 2,
      sym_xml_doc,
      sym_block_comment,
  [76860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7666), 1,
      sym_identifier,
    STATE(2121), 1,
      sym_member_signature,
    STATE(4341), 2,
      sym_xml_doc,
      sym_block_comment,
  [76880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7668), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    STATE(4342), 2,
      sym_xml_doc,
      sym_block_comment,
  [76898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7670), 1,
      anon_sym_PIPE,
    STATE(4575), 1,
      aux_sym_active_pattern_op_name_repeat1,
    STATE(4343), 2,
      sym_xml_doc,
      sym_block_comment,
  [76918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7590), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4344), 2,
      sym_xml_doc,
      sym_block_comment,
  [76936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1561), 1,
      sym__expression_block,
    STATE(4345), 2,
      sym_xml_doc,
      sym_block_comment,
  [76956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(2520), 1,
      sym__expression_block,
    STATE(4346), 2,
      sym_xml_doc,
      sym_block_comment,
  [76976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(629), 2,
      sym__dedent,
      anon_sym_COMMA,
    STATE(4347), 2,
      sym_xml_doc,
      sym_block_comment,
  [76994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7674), 1,
      sym__indent,
    STATE(848), 1,
      sym__expression_block,
    STATE(4348), 2,
      sym_xml_doc,
      sym_block_comment,
  [77014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7676), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7678), 1,
      anon_sym_SQUOTEB,
    STATE(4349), 2,
      sym_xml_doc,
      sym_block_comment,
  [77034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(955), 1,
      sym__expression_block,
    STATE(4350), 2,
      sym_xml_doc,
      sym_block_comment,
  [77054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1551), 1,
      sym__expression_block,
    STATE(4351), 2,
      sym_xml_doc,
      sym_block_comment,
  [77074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(956), 1,
      sym__expression_block,
    STATE(4352), 2,
      sym_xml_doc,
      sym_block_comment,
  [77094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2898), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4353), 2,
      sym_xml_doc,
      sym_block_comment,
  [77112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(851), 1,
      sym__expression_block,
    STATE(4354), 2,
      sym_xml_doc,
      sym_block_comment,
  [77132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6307), 1,
      anon_sym_f,
    ACTIONS(7684), 1,
      aux_sym_decimal_token1,
    STATE(4355), 2,
      sym_xml_doc,
      sym_block_comment,
  [77152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6339), 1,
      anon_sym_member,
    ACTIONS(7433), 1,
      anon_sym_new,
    STATE(4356), 2,
      sym_xml_doc,
      sym_block_comment,
  [77172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7688), 1,
      anon_sym_SQUOTEB,
    STATE(4357), 2,
      sym_xml_doc,
      sym_block_comment,
  [77192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7690), 2,
      sym__dedent,
      anon_sym_COMMA,
    STATE(4358), 2,
      sym_xml_doc,
      sym_block_comment,
  [77210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4147), 2,
      sym__dedent,
      anon_sym_and,
    STATE(4359), 2,
      sym_xml_doc,
      sym_block_comment,
  [77228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1297), 1,
      sym__expression_block,
    STATE(4360), 2,
      sym_xml_doc,
      sym_block_comment,
  [77248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7692), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7694), 1,
      anon_sym_SQUOTEB,
    STATE(4361), 2,
      sym_xml_doc,
      sym_block_comment,
  [77268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7696), 2,
      sym__newline,
      sym__dedent,
    STATE(4362), 2,
      sym_xml_doc,
      sym_block_comment,
  [77286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(1030), 1,
      sym__expression_block,
    STATE(4363), 2,
      sym_xml_doc,
      sym_block_comment,
  [77306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4184), 2,
      sym__dedent,
      anon_sym_and,
    STATE(4364), 2,
      sym_xml_doc,
      sym_block_comment,
  [77324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(503), 1,
      sym__expression_block,
    STATE(4365), 2,
      sym_xml_doc,
      sym_block_comment,
  [77344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7700), 2,
      anon_sym_and,
      anon_sym_GT,
    STATE(4366), 2,
      sym_xml_doc,
      sym_block_comment,
  [77362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2036), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4367), 2,
      sym_xml_doc,
      sym_block_comment,
  [77380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7702), 1,
      anon_sym_get,
    ACTIONS(7704), 1,
      anon_sym_set,
    STATE(4368), 2,
      sym_xml_doc,
      sym_block_comment,
  [77400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4143), 2,
      sym__dedent,
      anon_sym_and,
    STATE(4369), 2,
      sym_xml_doc,
      sym_block_comment,
  [77418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7706), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7708), 1,
      anon_sym_SQUOTEB,
    STATE(4370), 2,
      sym_xml_doc,
      sym_block_comment,
  [77438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1289), 1,
      sym__expression_block,
    STATE(4371), 2,
      sym_xml_doc,
      sym_block_comment,
  [77458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(1161), 1,
      sym__expression_block,
    STATE(4372), 2,
      sym_xml_doc,
      sym_block_comment,
  [77478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(4154), 1,
      sym__expression_block,
    STATE(4373), 2,
      sym_xml_doc,
      sym_block_comment,
  [77498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(1160), 1,
      sym__expression_block,
    STATE(4374), 2,
      sym_xml_doc,
      sym_block_comment,
  [77518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7712), 1,
      sym__indent,
    STATE(4369), 1,
      sym__expression_block,
    STATE(4375), 2,
      sym_xml_doc,
      sym_block_comment,
  [77538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2694), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4376), 2,
      sym_xml_doc,
      sym_block_comment,
  [77556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1524), 1,
      sym__expression_block,
    STATE(4377), 2,
      sym_xml_doc,
      sym_block_comment,
  [77576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1617), 1,
      sym__expression_block,
    STATE(4378), 2,
      sym_xml_doc,
      sym_block_comment,
  [77596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6325), 1,
      anon_sym_f,
    ACTIONS(7714), 1,
      aux_sym_decimal_token1,
    STATE(4379), 2,
      sym_xml_doc,
      sym_block_comment,
  [77616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6289), 1,
      anon_sym_f,
    ACTIONS(7716), 1,
      aux_sym_decimal_token1,
    STATE(4380), 2,
      sym_xml_doc,
      sym_block_comment,
  [77636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2730), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4381), 2,
      sym_xml_doc,
      sym_block_comment,
  [77654] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7718), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7720), 1,
      anon_sym_SQUOTEB,
    STATE(4382), 2,
      sym_xml_doc,
      sym_block_comment,
  [77674] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7722), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7724), 1,
      anon_sym_SQUOTEB,
    STATE(4383), 2,
      sym_xml_doc,
      sym_block_comment,
  [77694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7726), 1,
      sym__indent,
    STATE(2448), 1,
      sym__expression_block,
    STATE(4384), 2,
      sym_xml_doc,
      sym_block_comment,
  [77714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2740), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4385), 2,
      sym_xml_doc,
      sym_block_comment,
  [77732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(882), 1,
      sym__expression_block,
    STATE(4386), 2,
      sym_xml_doc,
      sym_block_comment,
  [77752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4231), 1,
      sym__expression_block,
    STATE(4387), 2,
      sym_xml_doc,
      sym_block_comment,
  [77772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7730), 1,
      sym__indent,
    STATE(1029), 1,
      sym__expression_block,
    STATE(4388), 2,
      sym_xml_doc,
      sym_block_comment,
  [77792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(1034), 1,
      sym__expression_block,
    STATE(4389), 2,
      sym_xml_doc,
      sym_block_comment,
  [77812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7732), 1,
      anon_sym_with,
    ACTIONS(7734), 1,
      anon_sym_finally,
    STATE(4390), 2,
      sym_xml_doc,
      sym_block_comment,
  [77832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(915), 1,
      sym__expression_block,
    STATE(4391), 2,
      sym_xml_doc,
      sym_block_comment,
  [77852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7736), 1,
      sym__indent,
    STATE(1521), 1,
      sym__expression_block,
    STATE(4392), 2,
      sym_xml_doc,
      sym_block_comment,
  [77872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(1033), 1,
      sym__expression_block,
    STATE(4393), 2,
      sym_xml_doc,
      sym_block_comment,
  [77892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7738), 1,
      sym__indent,
    STATE(883), 1,
      sym__expression_block,
    STATE(4394), 2,
      sym_xml_doc,
      sym_block_comment,
  [77912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1518), 1,
      sym__expression_block,
    STATE(4395), 2,
      sym_xml_doc,
      sym_block_comment,
  [77932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1336), 1,
      sym__expression_block,
    STATE(4396), 2,
      sym_xml_doc,
      sym_block_comment,
  [77952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(552), 1,
      sym__expression_block,
    STATE(4397), 2,
      sym_xml_doc,
      sym_block_comment,
  [77972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(535), 1,
      sym__expression_block,
    STATE(4398), 2,
      sym_xml_doc,
      sym_block_comment,
  [77992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(1343), 1,
      sym__expression_block,
    STATE(4399), 2,
      sym_xml_doc,
      sym_block_comment,
  [78012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7742), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7744), 1,
      anon_sym_SQUOTEB,
    STATE(4400), 2,
      sym_xml_doc,
      sym_block_comment,
  [78032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2744), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4401), 2,
      sym_xml_doc,
      sym_block_comment,
  [78050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7600), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    STATE(4402), 2,
      sym_xml_doc,
      sym_block_comment,
  [78068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7746), 1,
      sym_identifier,
    STATE(3617), 1,
      sym_member_signature,
    STATE(4403), 2,
      sym_xml_doc,
      sym_block_comment,
  [78088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2718), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4404), 2,
      sym_xml_doc,
      sym_block_comment,
  [78106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7748), 1,
      sym_identifier,
    STATE(4344), 1,
      sym_enum_type_case,
    STATE(4405), 2,
      sym_xml_doc,
      sym_block_comment,
  [78126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5517), 1,
      aux_sym_decimal_token1,
    ACTIONS(6145), 1,
      anon_sym_f,
    STATE(4406), 2,
      sym_xml_doc,
      sym_block_comment,
  [78146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4231), 2,
      sym__newline,
      sym__dedent,
    STATE(4407), 2,
      sym_xml_doc,
      sym_block_comment,
  [78164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7750), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7752), 1,
      anon_sym_SQUOTEB,
    STATE(4408), 2,
      sym_xml_doc,
      sym_block_comment,
  [78184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6432), 2,
      anon_sym_and,
      anon_sym_GT,
    STATE(4409), 2,
      sym_xml_doc,
      sym_block_comment,
  [78202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2736), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4410), 2,
      sym_xml_doc,
      sym_block_comment,
  [78220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7754), 1,
      anon_sym_EQ,
    ACTIONS(7756), 1,
      anon_sym_COLON,
    STATE(4411), 2,
      sym_xml_doc,
      sym_block_comment,
  [78240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5709), 1,
      anon_sym_member,
    ACTIONS(7758), 1,
      anon_sym_new,
    STATE(4412), 2,
      sym_xml_doc,
      sym_block_comment,
  [78260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1316), 1,
      sym__expression_block,
    STATE(4413), 2,
      sym_xml_doc,
      sym_block_comment,
  [78280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7760), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7762), 1,
      anon_sym_SQUOTEB,
    STATE(4414), 2,
      sym_xml_doc,
      sym_block_comment,
  [78300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4176), 1,
      sym__expression_block,
    STATE(4415), 2,
      sym_xml_doc,
      sym_block_comment,
  [78320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(649), 1,
      sym__expression_block,
    STATE(4416), 2,
      sym_xml_doc,
      sym_block_comment,
  [78340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1345), 1,
      sym__expression_block,
    STATE(4417), 2,
      sym_xml_doc,
      sym_block_comment,
  [78360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2787), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4418), 2,
      sym_xml_doc,
      sym_block_comment,
  [78378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(1150), 1,
      sym__expression_block,
    STATE(4419), 2,
      sym_xml_doc,
      sym_block_comment,
  [78398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2843), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4420), 2,
      sym_xml_doc,
      sym_block_comment,
  [78416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2870), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4421), 2,
      sym_xml_doc,
      sym_block_comment,
  [78434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7764), 2,
      sym__newline,
      sym__dedent,
    STATE(4422), 2,
      sym_xml_doc,
      sym_block_comment,
  [78452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7577), 2,
      sym__newline,
      sym__dedent,
    STATE(4423), 2,
      sym_xml_doc,
      sym_block_comment,
  [78470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1482), 1,
      sym__expression_block,
    STATE(4424), 2,
      sym_xml_doc,
      sym_block_comment,
  [78490] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7726), 1,
      sym__indent,
    STATE(2125), 1,
      sym__expression_block,
    STATE(4425), 2,
      sym_xml_doc,
      sym_block_comment,
  [78510] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(661), 1,
      sym__expression_block,
    STATE(4426), 2,
      sym_xml_doc,
      sym_block_comment,
  [78530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6010), 1,
      anon_sym_f,
    ACTIONS(7766), 1,
      aux_sym_decimal_token1,
    STATE(4427), 2,
      sym_xml_doc,
      sym_block_comment,
  [78550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7768), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4428), 2,
      sym_xml_doc,
      sym_block_comment,
  [78568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7736), 1,
      sym__indent,
    STATE(1503), 1,
      sym__expression_block,
    STATE(4429), 2,
      sym_xml_doc,
      sym_block_comment,
  [78588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6063), 1,
      anon_sym_f,
    ACTIONS(7770), 1,
      aux_sym_decimal_token1,
    STATE(4430), 2,
      sym_xml_doc,
      sym_block_comment,
  [78608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1655), 1,
      sym__expression_block,
    STATE(4431), 2,
      sym_xml_doc,
      sym_block_comment,
  [78628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7772), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7774), 1,
      anon_sym_SQUOTEB,
    STATE(4432), 2,
      sym_xml_doc,
      sym_block_comment,
  [78648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(881), 1,
      sym__expression_block,
    STATE(4433), 2,
      sym_xml_doc,
      sym_block_comment,
  [78668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4076), 2,
      sym__dedent,
      anon_sym_interface,
    STATE(4434), 2,
      sym_xml_doc,
      sym_block_comment,
  [78686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2771), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4435), 2,
      sym_xml_doc,
      sym_block_comment,
  [78704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(3623), 1,
      sym__expression_block,
    STATE(4436), 2,
      sym_xml_doc,
      sym_block_comment,
  [78724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1656), 1,
      sym__expression_block,
    STATE(4437), 2,
      sym_xml_doc,
      sym_block_comment,
  [78744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1500), 1,
      sym__expression_block,
    STATE(4438), 2,
      sym_xml_doc,
      sym_block_comment,
  [78764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1481), 1,
      sym__expression_block,
    STATE(4439), 2,
      sym_xml_doc,
      sym_block_comment,
  [78784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(3590), 1,
      sym__expression_block,
    STATE(4440), 2,
      sym_xml_doc,
      sym_block_comment,
  [78804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1588), 1,
      sym__expression_block,
    STATE(4441), 2,
      sym_xml_doc,
      sym_block_comment,
  [78824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1928), 1,
      sym__expression_block,
    STATE(4442), 2,
      sym_xml_doc,
      sym_block_comment,
  [78844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7778), 1,
      sym__indent,
    STATE(1328), 1,
      sym__expression_block,
    STATE(4443), 2,
      sym_xml_doc,
      sym_block_comment,
  [78864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7726), 1,
      sym__indent,
    STATE(2097), 1,
      sym__expression_block,
    STATE(4444), 2,
      sym_xml_doc,
      sym_block_comment,
  [78884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7662), 1,
      sym__indent,
    STATE(2102), 1,
      sym__expression_block,
    STATE(4445), 2,
      sym_xml_doc,
      sym_block_comment,
  [78904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7562), 2,
      anon_sym_f,
      aux_sym_decimal_token1,
    STATE(4446), 2,
      sym_xml_doc,
      sym_block_comment,
  [78922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2643), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4447), 2,
      sym_xml_doc,
      sym_block_comment,
  [78940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7746), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_member_signature,
    STATE(4448), 2,
      sym_xml_doc,
      sym_block_comment,
  [78960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7544), 2,
      sym__newline,
      anon_sym_GT_RBRACK,
    STATE(4449), 2,
      sym_xml_doc,
      sym_block_comment,
  [78978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7780), 2,
      anon_sym_COLON,
      anon_sym_or,
    STATE(4450), 2,
      sym_xml_doc,
      sym_block_comment,
  [78996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7782), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7784), 1,
      anon_sym_SQUOTEB,
    STATE(4451), 2,
      sym_xml_doc,
      sym_block_comment,
  [79016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7786), 1,
      anon_sym_with,
    ACTIONS(7788), 1,
      anon_sym_finally,
    STATE(4452), 2,
      sym_xml_doc,
      sym_block_comment,
  [79036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5157), 1,
      sym_active_pattern_op_name,
    STATE(4453), 2,
      sym_xml_doc,
      sym_block_comment,
  [79056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1929), 1,
      sym__expression_block,
    STATE(4454), 2,
      sym_xml_doc,
      sym_block_comment,
  [79076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(505), 1,
      sym__expression_block,
    STATE(4455), 2,
      sym_xml_doc,
      sym_block_comment,
  [79096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6766), 1,
      anon_sym_member,
    ACTIONS(7758), 1,
      anon_sym_new,
    STATE(4456), 2,
      sym_xml_doc,
      sym_block_comment,
  [79116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2894), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4457), 2,
      sym_xml_doc,
      sym_block_comment,
  [79134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6235), 1,
      anon_sym_f,
    ACTIONS(7790), 1,
      aux_sym_decimal_token1,
    STATE(4458), 2,
      sym_xml_doc,
      sym_block_comment,
  [79154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7792), 2,
      sym__newline,
      anon_sym_GT_RBRACK,
    STATE(4459), 2,
      sym_xml_doc,
      sym_block_comment,
  [79172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7794), 2,
      sym__newline,
      anon_sym_GT_RBRACK,
    STATE(4460), 2,
      sym_xml_doc,
      sym_block_comment,
  [79190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7666), 1,
      sym_identifier,
    STATE(2120), 1,
      sym_member_signature,
    STATE(4461), 2,
      sym_xml_doc,
      sym_block_comment,
  [79210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7552), 2,
      anon_sym_and,
      anon_sym_GT,
    STATE(4462), 2,
      sym_xml_doc,
      sym_block_comment,
  [79228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7203), 1,
      anon_sym_member,
    ACTIONS(7433), 1,
      anon_sym_new,
    STATE(4463), 2,
      sym_xml_doc,
      sym_block_comment,
  [79248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(2522), 1,
      sym__expression_block,
    STATE(4464), 2,
      sym_xml_doc,
      sym_block_comment,
  [79268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(547), 1,
      sym__expression_block,
    STATE(4465), 2,
      sym_xml_doc,
      sym_block_comment,
  [79288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7796), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7798), 1,
      anon_sym_SQUOTEB,
    STATE(4466), 2,
      sym_xml_doc,
      sym_block_comment,
  [79308] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(980), 1,
      sym__expression_block,
    STATE(4467), 2,
      sym_xml_doc,
      sym_block_comment,
  [79328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(4269), 1,
      sym__expression_block,
    STATE(4468), 2,
      sym_xml_doc,
      sym_block_comment,
  [79348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(4699), 1,
      sym__expression_block,
    STATE(4469), 2,
      sym_xml_doc,
      sym_block_comment,
  [79368] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7800), 1,
      anon_sym_get,
    ACTIONS(7802), 1,
      anon_sym_set,
    STATE(4470), 2,
      sym_xml_doc,
      sym_block_comment,
  [79388] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1622), 1,
      sym__expression_block,
    STATE(4471), 2,
      sym_xml_doc,
      sym_block_comment,
  [79408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(4362), 1,
      sym__expression_block,
    STATE(4472), 2,
      sym_xml_doc,
      sym_block_comment,
  [79428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7806), 1,
      sym__indent,
    STATE(858), 1,
      sym__expression_block,
    STATE(4473), 2,
      sym_xml_doc,
      sym_block_comment,
  [79448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7690), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4474), 2,
      sym_xml_doc,
      sym_block_comment,
  [79466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(977), 1,
      sym__expression_block,
    STATE(4475), 2,
      sym_xml_doc,
      sym_block_comment,
  [79486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7808), 1,
      sym__indent,
    STATE(1582), 1,
      sym__expression_block,
    STATE(4476), 2,
      sym_xml_doc,
      sym_block_comment,
  [79506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(629), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4477), 2,
      sym_xml_doc,
      sym_block_comment,
  [79524] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7810), 1,
      anon_sym_get,
    ACTIONS(7812), 1,
      anon_sym_set,
    STATE(4478), 2,
      sym_xml_doc,
      sym_block_comment,
  [79544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7730), 1,
      sym__indent,
    STATE(976), 1,
      sym__expression_block,
    STATE(4479), 2,
      sym_xml_doc,
      sym_block_comment,
  [79564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7712), 1,
      sym__indent,
    STATE(3672), 1,
      sym__expression_block,
    STATE(4480), 2,
      sym_xml_doc,
      sym_block_comment,
  [79584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7814), 1,
      anon_sym_with,
    ACTIONS(7816), 1,
      anon_sym_finally,
    STATE(4481), 2,
      sym_xml_doc,
      sym_block_comment,
  [79604] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5202), 1,
      sym_active_pattern_op_name,
    STATE(4482), 2,
      sym_xml_doc,
      sym_block_comment,
  [79624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(859), 1,
      sym__expression_block,
    STATE(4483), 2,
      sym_xml_doc,
      sym_block_comment,
  [79644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7818), 1,
      anon_sym_get,
    ACTIONS(7820), 1,
      anon_sym_set,
    STATE(4484), 2,
      sym_xml_doc,
      sym_block_comment,
  [79664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7518), 2,
      sym__newline,
      sym__dedent,
    STATE(4485), 2,
      sym_xml_doc,
      sym_block_comment,
  [79682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7674), 1,
      sym__indent,
    STATE(860), 1,
      sym__expression_block,
    STATE(4486), 2,
      sym_xml_doc,
      sym_block_comment,
  [79702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1418), 1,
      sym__expression_block,
    STATE(4487), 2,
      sym_xml_doc,
      sym_block_comment,
  [79722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2914), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4488), 2,
      sym_xml_doc,
      sym_block_comment,
  [79740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2847), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4489), 2,
      sym_xml_doc,
      sym_block_comment,
  [79758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2619), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4490), 2,
      sym_xml_doc,
      sym_block_comment,
  [79776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1910), 1,
      sym__expression_block,
    STATE(4491), 2,
      sym_xml_doc,
      sym_block_comment,
  [79796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7712), 1,
      sym__indent,
    STATE(3679), 1,
      sym__expression_block,
    STATE(4492), 2,
      sym_xml_doc,
      sym_block_comment,
  [79816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7822), 1,
      sym_identifier,
    STATE(3667), 1,
      sym_member_signature,
    STATE(4493), 2,
      sym_xml_doc,
      sym_block_comment,
  [79836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(3625), 1,
      sym__expression_block,
    STATE(4494), 2,
      sym_xml_doc,
      sym_block_comment,
  [79856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2890), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4495), 2,
      sym_xml_doc,
      sym_block_comment,
  [79874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7824), 1,
      sym_identifier,
    STATE(339), 1,
      sym_long_identifier,
    STATE(4496), 2,
      sym_xml_doc,
      sym_block_comment,
  [79894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7712), 1,
      sym__indent,
    STATE(3666), 1,
      sym__expression_block,
    STATE(4497), 2,
      sym_xml_doc,
      sym_block_comment,
  [79914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5990), 1,
      anon_sym_f,
    ACTIONS(7826), 1,
      aux_sym_decimal_token1,
    STATE(4498), 2,
      sym_xml_doc,
      sym_block_comment,
  [79934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7828), 1,
      sym_identifier,
    STATE(324), 1,
      sym_long_identifier,
    STATE(4499), 2,
      sym_xml_doc,
      sym_block_comment,
  [79954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7648), 1,
      sym__indent,
    STATE(1732), 1,
      sym__expression_block,
    STATE(4500), 2,
      sym_xml_doc,
      sym_block_comment,
  [79974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1760), 1,
      sym__expression_block,
    STATE(4501), 2,
      sym_xml_doc,
      sym_block_comment,
  [79994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2839), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4502), 2,
      sym_xml_doc,
      sym_block_comment,
  [80012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7830), 1,
      sym_identifier,
    STATE(2088), 1,
      sym_member_signature,
    STATE(4503), 2,
      sym_xml_doc,
      sym_block_comment,
  [80032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7832), 1,
      sym__indent,
    STATE(1394), 1,
      sym__expression_block,
    STATE(4504), 2,
      sym_xml_doc,
      sym_block_comment,
  [80052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1454), 1,
      sym__expression_block,
    STATE(4505), 2,
      sym_xml_doc,
      sym_block_comment,
  [80072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7726), 1,
      sym__indent,
    STATE(2413), 1,
      sym__expression_block,
    STATE(4506), 2,
      sym_xml_doc,
      sym_block_comment,
  [80092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1386), 1,
      sym__expression_block,
    STATE(4507), 2,
      sym_xml_doc,
      sym_block_comment,
  [80112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7834), 1,
      sym__indent,
    STATE(1661), 1,
      sym__expression_block,
    STATE(4508), 2,
      sym_xml_doc,
      sym_block_comment,
  [80132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7836), 1,
      sym__indent,
    STATE(1282), 1,
      sym__expression_block,
    STATE(4509), 2,
      sym_xml_doc,
      sym_block_comment,
  [80152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7838), 1,
      anon_sym_with,
    ACTIONS(7840), 1,
      anon_sym_finally,
    STATE(4510), 2,
      sym_xml_doc,
      sym_block_comment,
  [80172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5249), 1,
      sym_active_pattern_op_name,
    STATE(4511), 2,
      sym_xml_doc,
      sym_block_comment,
  [80192] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6698), 1,
      anon_sym_SQUOTEB,
    ACTIONS(6700), 1,
      anon_sym_SQUOTE2,
    STATE(4512), 2,
      sym_xml_doc,
      sym_block_comment,
  [80212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7746), 1,
      sym_identifier,
    STATE(3626), 1,
      sym_member_signature,
    STATE(4513), 2,
      sym_xml_doc,
      sym_block_comment,
  [80232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7388), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4514), 2,
      sym_xml_doc,
      sym_block_comment,
  [80250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6217), 1,
      anon_sym_f,
    ACTIONS(7842), 1,
      aux_sym_decimal_token1,
    STATE(4515), 2,
      sym_xml_doc,
      sym_block_comment,
  [80270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6351), 1,
      anon_sym_member,
    ACTIONS(7478), 1,
      anon_sym_new,
    STATE(4516), 2,
      sym_xml_doc,
      sym_block_comment,
  [80290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1408), 1,
      sym__expression_block,
    STATE(4517), 2,
      sym_xml_doc,
      sym_block_comment,
  [80310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1709), 1,
      sym__expression_block,
    STATE(4518), 2,
      sym_xml_doc,
      sym_block_comment,
  [80330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1765), 1,
      sym__expression_block,
    STATE(4519), 2,
      sym_xml_doc,
      sym_block_comment,
  [80350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6137), 1,
      anon_sym_f,
    ACTIONS(7844), 1,
      aux_sym_decimal_token1,
    STATE(4520), 2,
      sym_xml_doc,
      sym_block_comment,
  [80370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7846), 1,
      sym__indent,
    STATE(1399), 1,
      sym__expression_block,
    STATE(4521), 2,
      sym_xml_doc,
      sym_block_comment,
  [80390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1398), 1,
      sym__expression_block,
    STATE(4522), 2,
      sym_xml_doc,
      sym_block_comment,
  [80410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1822), 1,
      sym__expression_block,
    STATE(4523), 2,
      sym_xml_doc,
      sym_block_comment,
  [80430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(1320), 1,
      sym__expression_block,
    STATE(4524), 2,
      sym_xml_doc,
      sym_block_comment,
  [80450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2835), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4525), 2,
      sym_xml_doc,
      sym_block_comment,
  [80468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1499), 1,
      sym__expression_block,
    STATE(4526), 2,
      sym_xml_doc,
      sym_block_comment,
  [80488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1663), 1,
      sym__expression_block,
    STATE(4527), 2,
      sym_xml_doc,
      sym_block_comment,
  [80508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7848), 2,
      sym__newline,
      sym__dedent,
    STATE(4528), 2,
      sym_xml_doc,
      sym_block_comment,
  [80526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7850), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    STATE(4529), 2,
      sym_xml_doc,
      sym_block_comment,
  [80544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5150), 1,
      sym_active_pattern_op_name,
    STATE(4530), 2,
      sym_xml_doc,
      sym_block_comment,
  [80564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7852), 1,
      anon_sym_get,
    ACTIONS(7854), 1,
      anon_sym_set,
    STATE(4531), 2,
      sym_xml_doc,
      sym_block_comment,
  [80584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7491), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(4532), 2,
      sym_xml_doc,
      sym_block_comment,
  [80602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6455), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    STATE(4533), 2,
      sym_xml_doc,
      sym_block_comment,
  [80620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1780), 1,
      sym__expression_block,
    STATE(4534), 2,
      sym_xml_doc,
      sym_block_comment,
  [80640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7856), 1,
      anon_sym_with,
    ACTIONS(7858), 1,
      anon_sym_finally,
    STATE(4535), 2,
      sym_xml_doc,
      sym_block_comment,
  [80660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5312), 1,
      sym_active_pattern_op_name,
    STATE(4536), 2,
      sym_xml_doc,
      sym_block_comment,
  [80680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(3629), 1,
      sym__expression_block,
    STATE(4537), 2,
      sym_xml_doc,
      sym_block_comment,
  [80700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4206), 1,
      sym__expression_block,
    STATE(4538), 2,
      sym_xml_doc,
      sym_block_comment,
  [80720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7860), 1,
      anon_sym_get,
    ACTIONS(7862), 1,
      anon_sym_set,
    STATE(4539), 2,
      sym_xml_doc,
      sym_block_comment,
  [80740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(979), 1,
      sym__expression_block,
    STATE(4540), 2,
      sym_xml_doc,
      sym_block_comment,
  [80760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7864), 1,
      anon_sym_get,
    ACTIONS(7866), 1,
      anon_sym_set,
    STATE(4541), 2,
      sym_xml_doc,
      sym_block_comment,
  [80780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2831), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4542), 2,
      sym_xml_doc,
      sym_block_comment,
  [80798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1339), 1,
      sym__expression_block,
    STATE(4543), 2,
      sym_xml_doc,
      sym_block_comment,
  [80818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7868), 2,
      ts_builtin_sym_end,
      anon_sym_namespace,
    STATE(4544), 2,
      sym_xml_doc,
      sym_block_comment,
  [80836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7870), 2,
      sym__else,
      sym__elif,
    STATE(4545), 2,
      sym_xml_doc,
      sym_block_comment,
  [80854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7778), 1,
      sym__indent,
    STATE(1327), 1,
      sym__expression_block,
    STATE(4546), 2,
      sym_xml_doc,
      sym_block_comment,
  [80874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7872), 1,
      anon_sym_with,
    ACTIONS(7874), 1,
      anon_sym_finally,
    STATE(4547), 2,
      sym_xml_doc,
      sym_block_comment,
  [80894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5357), 1,
      sym_active_pattern_op_name,
    STATE(4548), 2,
      sym_xml_doc,
      sym_block_comment,
  [80914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5693), 1,
      sym__bitdigit_imm,
    STATE(3446), 1,
      aux_sym_xint_repeat3,
    STATE(4549), 2,
      sym_xml_doc,
      sym_block_comment,
  [80934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5725), 1,
      sym__octaldigit_imm,
    STATE(3455), 1,
      aux_sym_xint_repeat2,
    STATE(4550), 2,
      sym_xml_doc,
      sym_block_comment,
  [80954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7876), 1,
      anon_sym_COLON,
    ACTIONS(7878), 1,
      anon_sym_COLON_GT,
    STATE(4551), 2,
      sym_xml_doc,
      sym_block_comment,
  [80974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(640), 1,
      sym__expression_block,
    STATE(4552), 2,
      sym_xml_doc,
      sym_block_comment,
  [80994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5744), 1,
      sym__hex_digit_imm,
    STATE(3467), 1,
      aux_sym_xint_repeat1,
    STATE(4553), 2,
      sym_xml_doc,
      sym_block_comment,
  [81014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7880), 1,
      anon_sym_get,
    ACTIONS(7882), 1,
      anon_sym_set,
    STATE(4554), 2,
      sym_xml_doc,
      sym_block_comment,
  [81034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(602), 1,
      sym__expression_block,
    STATE(4555), 2,
      sym_xml_doc,
      sym_block_comment,
  [81054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3989), 2,
      sym__newline,
      sym__dedent,
    STATE(4556), 2,
      sym_xml_doc,
      sym_block_comment,
  [81072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4219), 2,
      sym__newline,
      sym__dedent,
    STATE(4557), 2,
      sym_xml_doc,
      sym_block_comment,
  [81090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7832), 1,
      sym__indent,
    STATE(1409), 1,
      sym__expression_block,
    STATE(4558), 2,
      sym_xml_doc,
      sym_block_comment,
  [81110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7884), 2,
      anon_sym_f,
      aux_sym_decimal_token1,
    STATE(4559), 2,
      sym_xml_doc,
      sym_block_comment,
  [81128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1432), 1,
      sym__expression_block,
    STATE(4560), 2,
      sym_xml_doc,
      sym_block_comment,
  [81148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7886), 1,
      anon_sym_EQ,
    ACTIONS(7888), 1,
      anon_sym_COLON,
    STATE(4561), 2,
      sym_xml_doc,
      sym_block_comment,
  [81168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1736), 1,
      sym__expression_block,
    STATE(4562), 2,
      sym_xml_doc,
      sym_block_comment,
  [81188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7233), 1,
      anon_sym_member,
    ACTIONS(7890), 1,
      anon_sym_new,
    STATE(4563), 2,
      sym_xml_doc,
      sym_block_comment,
  [81208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4935), 1,
      aux_sym_decimal_token1,
    ACTIONS(6177), 1,
      anon_sym_f,
    STATE(4564), 2,
      sym_xml_doc,
      sym_block_comment,
  [81228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1727), 1,
      sym__expression_block,
    STATE(4565), 2,
      sym_xml_doc,
      sym_block_comment,
  [81248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1437), 1,
      sym__expression_block,
    STATE(4566), 2,
      sym_xml_doc,
      sym_block_comment,
  [81268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7662), 1,
      sym__indent,
    STATE(2089), 1,
      sym__expression_block,
    STATE(4567), 2,
      sym_xml_doc,
      sym_block_comment,
  [81288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2827), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4568), 2,
      sym_xml_doc,
      sym_block_comment,
  [81306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7846), 1,
      sym__indent,
    STATE(1477), 1,
      sym__expression_block,
    STATE(4569), 2,
      sym_xml_doc,
      sym_block_comment,
  [81326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7822), 1,
      sym_identifier,
    STATE(3664), 1,
      sym_member_signature,
    STATE(4570), 2,
      sym_xml_doc,
      sym_block_comment,
  [81346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7362), 1,
      sym_identifier,
    ACTIONS(7892), 1,
      anon_sym__,
    STATE(4571), 2,
      sym_xml_doc,
      sym_block_comment,
  [81366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7894), 2,
      anon_sym_SQUOTE,
      anon_sym_CARET,
    STATE(4572), 2,
      sym_xml_doc,
      sym_block_comment,
  [81384] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7726), 1,
      sym__indent,
    STATE(2124), 1,
      sym__expression_block,
    STATE(4573), 2,
      sym_xml_doc,
      sym_block_comment,
  [81404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(4760), 1,
      sym_active_pattern_op_name,
    STATE(4574), 2,
      sym_xml_doc,
      sym_block_comment,
  [81424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7896), 1,
      anon_sym_PIPE,
    STATE(4620), 1,
      aux_sym_active_pattern_op_name_repeat1,
    STATE(4575), 2,
      sym_xml_doc,
      sym_block_comment,
  [81444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1825), 1,
      sym__expression_block,
    STATE(4576), 2,
      sym_xml_doc,
      sym_block_comment,
  [81464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7682), 1,
      sym__indent,
    STATE(1321), 1,
      sym__expression_block,
    STATE(4577), 2,
      sym_xml_doc,
      sym_block_comment,
  [81484] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7712), 1,
      sym__indent,
    STATE(3644), 1,
      sym__expression_block,
    STATE(4578), 2,
      sym_xml_doc,
      sym_block_comment,
  [81504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2823), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4579), 2,
      sym_xml_doc,
      sym_block_comment,
  [81522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7666), 1,
      sym_identifier,
    STATE(2114), 1,
      sym_member_signature,
    STATE(4580), 2,
      sym_xml_doc,
      sym_block_comment,
  [81542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7898), 2,
      anon_sym_RBRACK,
      anon_sym_PIPE_RBRACK,
    STATE(4581), 2,
      sym_xml_doc,
      sym_block_comment,
  [81560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7900), 1,
      anon_sym_with,
    ACTIONS(7902), 1,
      anon_sym_finally,
    STATE(4582), 2,
      sym_xml_doc,
      sym_block_comment,
  [81580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7726), 1,
      sym__indent,
    STATE(2118), 1,
      sym__expression_block,
    STATE(4583), 2,
      sym_xml_doc,
      sym_block_comment,
  [81600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1824), 1,
      sym__expression_block,
    STATE(4584), 2,
      sym_xml_doc,
      sym_block_comment,
  [81620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2775), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4585), 2,
      sym_xml_doc,
      sym_block_comment,
  [81638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6690), 1,
      anon_sym_SQUOTEB,
    ACTIONS(6692), 1,
      anon_sym_SQUOTE2,
    STATE(4586), 2,
      sym_xml_doc,
      sym_block_comment,
  [81658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7904), 1,
      anon_sym_with,
    ACTIONS(7906), 1,
      anon_sym_finally,
    STATE(4587), 2,
      sym_xml_doc,
      sym_block_comment,
  [81678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7738), 1,
      sym__indent,
    STATE(891), 1,
      sym__expression_block,
    STATE(4588), 2,
      sym_xml_doc,
      sym_block_comment,
  [81698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7712), 1,
      sym__indent,
    STATE(3683), 1,
      sym__expression_block,
    STATE(4589), 2,
      sym_xml_doc,
      sym_block_comment,
  [81718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(1143), 1,
      sym__expression_block,
    STATE(4590), 2,
      sym_xml_doc,
      sym_block_comment,
  [81738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1364), 1,
      sym__expression_block,
    STATE(4591), 2,
      sym_xml_doc,
      sym_block_comment,
  [81758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(899), 1,
      sym__expression_block,
    STATE(4592), 2,
      sym_xml_doc,
      sym_block_comment,
  [81778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(901), 1,
      sym__expression_block,
    STATE(4593), 2,
      sym_xml_doc,
      sym_block_comment,
  [81798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5396), 1,
      sym_active_pattern_op_name,
    STATE(4594), 2,
      sym_xml_doc,
      sym_block_comment,
  [81818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7908), 1,
      anon_sym_get,
    ACTIONS(7910), 1,
      anon_sym_set,
    STATE(4595), 2,
      sym_xml_doc,
      sym_block_comment,
  [81838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4234), 1,
      sym__expression_block,
    STATE(4596), 2,
      sym_xml_doc,
      sym_block_comment,
  [81858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(1052), 1,
      sym__expression_block,
    STATE(4597), 2,
      sym_xml_doc,
      sym_block_comment,
  [81878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7912), 1,
      anon_sym_get,
    ACTIONS(7914), 1,
      anon_sym_set,
    STATE(4598), 2,
      sym_xml_doc,
      sym_block_comment,
  [81898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7916), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7918), 1,
      anon_sym_SQUOTEB,
    STATE(4599), 2,
      sym_xml_doc,
      sym_block_comment,
  [81918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7726), 1,
      sym__indent,
    STATE(2117), 1,
      sym__expression_block,
    STATE(4600), 2,
      sym_xml_doc,
      sym_block_comment,
  [81938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(863), 1,
      sym__expression_block,
    STATE(4601), 2,
      sym_xml_doc,
      sym_block_comment,
  [81958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4243), 1,
      sym__expression_block,
    STATE(4602), 2,
      sym_xml_doc,
      sym_block_comment,
  [81978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1387), 1,
      sym__expression_block,
    STATE(4603), 2,
      sym_xml_doc,
      sym_block_comment,
  [81998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7409), 2,
      sym__newline,
      sym__dedent,
    STATE(4604), 2,
      sym_xml_doc,
      sym_block_comment,
  [82016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7698), 1,
      sym__indent,
    STATE(1075), 1,
      sym__expression_block,
    STATE(4605), 2,
      sym_xml_doc,
      sym_block_comment,
  [82036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6197), 1,
      anon_sym_f,
    ACTIONS(7920), 1,
      aux_sym_decimal_token1,
    STATE(4606), 2,
      sym_xml_doc,
      sym_block_comment,
  [82056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4084), 2,
      sym__dedent,
      anon_sym_interface,
    STATE(4607), 2,
      sym_xml_doc,
      sym_block_comment,
  [82074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7922), 1,
      anon_sym_EQ,
    ACTIONS(7924), 1,
      anon_sym_COLON,
    STATE(4608), 2,
      sym_xml_doc,
      sym_block_comment,
  [82094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(992), 1,
      sym__expression_block,
    STATE(4609), 2,
      sym_xml_doc,
      sym_block_comment,
  [82114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1829), 1,
      sym__expression_block,
    STATE(4610), 2,
      sym_xml_doc,
      sym_block_comment,
  [82134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4303), 1,
      sym__expression_block,
    STATE(4611), 2,
      sym_xml_doc,
      sym_block_comment,
  [82154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2819), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4612), 2,
      sym_xml_doc,
      sym_block_comment,
  [82172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7926), 2,
      anon_sym_and,
      anon_sym_GT,
    STATE(4613), 2,
      sym_xml_doc,
      sym_block_comment,
  [82190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(968), 1,
      sym__expression_block,
    STATE(4614), 2,
      sym_xml_doc,
      sym_block_comment,
  [82210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7928), 1,
      anon_sym_get,
    ACTIONS(7930), 1,
      anon_sym_set,
    STATE(4615), 2,
      sym_xml_doc,
      sym_block_comment,
  [82230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7388), 2,
      sym__dedent,
      anon_sym_COMMA,
    STATE(4616), 2,
      sym_xml_doc,
      sym_block_comment,
  [82248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1900), 1,
      sym__expression_block,
    STATE(4617), 2,
      sym_xml_doc,
      sym_block_comment,
  [82268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(862), 1,
      sym__expression_block,
    STATE(4618), 2,
      sym_xml_doc,
      sym_block_comment,
  [82288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7740), 1,
      sym__indent,
    STATE(1713), 1,
      sym__expression_block,
    STATE(4619), 2,
      sym_xml_doc,
      sym_block_comment,
  [82308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7932), 1,
      anon_sym_PIPE,
    STATE(4620), 3,
      sym_xml_doc,
      sym_block_comment,
      aux_sym_active_pattern_op_name_repeat1,
  [82326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7935), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7937), 1,
      anon_sym_SQUOTEB,
    STATE(4621), 2,
      sym_xml_doc,
      sym_block_comment,
  [82346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6167), 1,
      anon_sym_f,
    ACTIONS(7939), 1,
      aux_sym_decimal_token1,
    STATE(4622), 2,
      sym_xml_doc,
      sym_block_comment,
  [82366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7941), 1,
      anon_sym_get,
    ACTIONS(7943), 1,
      anon_sym_set,
    STATE(4623), 2,
      sym_xml_doc,
      sym_block_comment,
  [82386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7945), 2,
      anon_sym_and,
      anon_sym_GT,
    STATE(4624), 2,
      sym_xml_doc,
      sym_block_comment,
  [82404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7680), 1,
      sym__indent,
    STATE(1070), 1,
      sym__expression_block,
    STATE(4625), 2,
      sym_xml_doc,
      sym_block_comment,
  [82424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7947), 2,
      anon_sym_and,
      anon_sym_GT,
    STATE(4626), 2,
      sym_xml_doc,
      sym_block_comment,
  [82442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2815), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4627), 2,
      sym_xml_doc,
      sym_block_comment,
  [82460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7662), 1,
      sym__indent,
    STATE(2368), 1,
      sym__expression_block,
    STATE(4628), 2,
      sym_xml_doc,
      sym_block_comment,
  [82480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7949), 1,
      sym_identifier,
    STATE(2456), 1,
      sym_long_identifier,
    STATE(4629), 2,
      sym_xml_doc,
      sym_block_comment,
  [82500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4250), 1,
      sym__expression_block,
    STATE(4630), 2,
      sym_xml_doc,
      sym_block_comment,
  [82520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7662), 1,
      sym__indent,
    STATE(2397), 1,
      sym__expression_block,
    STATE(4631), 2,
      sym_xml_doc,
      sym_block_comment,
  [82540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6113), 1,
      anon_sym_f,
    ACTIONS(7951), 1,
      aux_sym_decimal_token1,
    STATE(4632), 2,
      sym_xml_doc,
      sym_block_comment,
  [82560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(442), 1,
      sym__expression_block,
    STATE(4633), 2,
      sym_xml_doc,
      sym_block_comment,
  [82580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7953), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    STATE(4634), 2,
      sym_xml_doc,
      sym_block_comment,
  [82598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6095), 1,
      anon_sym_f,
    ACTIONS(7955), 1,
      aux_sym_decimal_token1,
    STATE(4635), 2,
      sym_xml_doc,
      sym_block_comment,
  [82618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1323), 1,
      sym__expression_block,
    STATE(4636), 2,
      sym_xml_doc,
      sym_block_comment,
  [82638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7957), 1,
      anon_sym_with,
    ACTIONS(7959), 1,
      anon_sym_finally,
    STATE(4637), 2,
      sym_xml_doc,
      sym_block_comment,
  [82658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1370), 1,
      sym__expression_block,
    STATE(4638), 2,
      sym_xml_doc,
      sym_block_comment,
  [82678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7961), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    STATE(4639), 2,
      sym_xml_doc,
      sym_block_comment,
  [82696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7280), 1,
      aux_sym_int_token1,
    STATE(4559), 1,
      sym_int,
    STATE(4640), 2,
      sym_xml_doc,
      sym_block_comment,
  [82716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7245), 1,
      anon_sym_member,
    ACTIONS(7478), 1,
      anon_sym_new,
    STATE(4641), 2,
      sym_xml_doc,
      sym_block_comment,
  [82736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6472), 1,
      anon_sym_member,
    ACTIONS(7890), 1,
      anon_sym_new,
    STATE(4642), 2,
      sym_xml_doc,
      sym_block_comment,
  [82756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7963), 1,
      anon_sym_do,
    ACTIONS(7965), 1,
      anon_sym_DASH_GT,
    STATE(4643), 2,
      sym_xml_doc,
      sym_block_comment,
  [82776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7967), 1,
      sym__indent,
    STATE(1334), 1,
      sym__expression_block,
    STATE(4644), 2,
      sym_xml_doc,
      sym_block_comment,
  [82796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5264), 1,
      sym_active_pattern_op_name,
    STATE(4645), 2,
      sym_xml_doc,
      sym_block_comment,
  [82816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2811), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4646), 2,
      sym_xml_doc,
      sym_block_comment,
  [82834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(545), 1,
      sym__expression_block,
    STATE(4647), 2,
      sym_xml_doc,
      sym_block_comment,
  [82854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1351), 1,
      sym__expression_block,
    STATE(4648), 2,
      sym_xml_doc,
      sym_block_comment,
  [82874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1374), 1,
      sym__expression_block,
    STATE(4649), 2,
      sym_xml_doc,
      sym_block_comment,
  [82894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7439), 1,
      anon_sym_with,
    STATE(4096), 1,
      sym__object_members,
    STATE(4650), 2,
      sym_xml_doc,
      sym_block_comment,
  [82914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7822), 1,
      sym_identifier,
    STATE(3651), 1,
      sym_member_signature,
    STATE(4651), 2,
      sym_xml_doc,
      sym_block_comment,
  [82934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7969), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7971), 1,
      anon_sym_SQUOTEB,
    STATE(4652), 2,
      sym_xml_doc,
      sym_block_comment,
  [82954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6271), 1,
      anon_sym_f,
    ACTIONS(7973), 1,
      aux_sym_decimal_token1,
    STATE(4653), 2,
      sym_xml_doc,
      sym_block_comment,
  [82974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7830), 1,
      sym_identifier,
    STATE(2096), 1,
      sym_member_signature,
    STATE(4654), 2,
      sym_xml_doc,
      sym_block_comment,
  [82994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7975), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7977), 1,
      anon_sym_SQUOTEB,
    STATE(4655), 2,
      sym_xml_doc,
      sym_block_comment,
  [83014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7672), 1,
      sym__indent,
    STATE(1767), 1,
      sym__expression_block,
    STATE(4656), 2,
      sym_xml_doc,
      sym_block_comment,
  [83034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7830), 1,
      sym_identifier,
    STATE(2090), 1,
      sym_member_signature,
    STATE(4657), 2,
      sym_xml_doc,
      sym_block_comment,
  [83054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7662), 1,
      sym__indent,
    STATE(2075), 1,
      sym__expression_block,
    STATE(4658), 2,
      sym_xml_doc,
      sym_block_comment,
  [83074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7979), 1,
      anon_sym_EQ,
    ACTIONS(7981), 1,
      anon_sym_COLON,
    STATE(4659), 2,
      sym_xml_doc,
      sym_block_comment,
  [83094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(1038), 1,
      sym__expression_block,
    STATE(4660), 2,
      sym_xml_doc,
      sym_block_comment,
  [83114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1490), 1,
      sym__expression_block,
    STATE(4661), 2,
      sym_xml_doc,
      sym_block_comment,
  [83134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1895), 1,
      sym__expression_block,
    STATE(4662), 2,
      sym_xml_doc,
      sym_block_comment,
  [83154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7280), 1,
      aux_sym_int_token1,
    STATE(4446), 1,
      sym_int,
    STATE(4663), 2,
      sym_xml_doc,
      sym_block_comment,
  [83174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7662), 1,
      sym__indent,
    STATE(2092), 1,
      sym__expression_block,
    STATE(4664), 2,
      sym_xml_doc,
      sym_block_comment,
  [83194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1618), 1,
      sym__expression_block,
    STATE(4665), 2,
      sym_xml_doc,
      sym_block_comment,
  [83214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4080), 2,
      sym__dedent,
      anon_sym_interface,
    STATE(4666), 2,
      sym_xml_doc,
      sym_block_comment,
  [83232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4260), 1,
      sym__expression_block,
    STATE(4667), 2,
      sym_xml_doc,
      sym_block_comment,
  [83252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7654), 1,
      sym__indent,
    STATE(4268), 1,
      sym__expression_block,
    STATE(4668), 2,
      sym_xml_doc,
      sym_block_comment,
  [83272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7662), 1,
      sym__indent,
    STATE(2093), 1,
      sym__expression_block,
    STATE(4669), 2,
      sym_xml_doc,
      sym_block_comment,
  [83292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7345), 1,
      sym_identifier,
    STATE(4249), 1,
      sym_simple_pattern,
    STATE(4670), 2,
      sym_xml_doc,
      sym_block_comment,
  [83312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1979), 1,
      sym__expression_block,
    STATE(4671), 2,
      sym_xml_doc,
      sym_block_comment,
  [83332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(605), 1,
      sym__expression_block,
    STATE(4672), 2,
      sym_xml_doc,
      sym_block_comment,
  [83352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(2807), 2,
      sym__dedent,
      anon_sym_PIPE,
    STATE(4673), 2,
      sym_xml_doc,
      sym_block_comment,
  [83370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7828), 1,
      sym_identifier,
    STATE(2384), 1,
      sym_long_identifier,
    STATE(4674), 2,
      sym_xml_doc,
      sym_block_comment,
  [83390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7983), 2,
      sym__newline,
      sym__dedent,
    STATE(4675), 2,
      sym_xml_doc,
      sym_block_comment,
  [83408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7808), 1,
      sym__indent,
    STATE(1609), 1,
      sym__expression_block,
    STATE(4676), 2,
      sym_xml_doc,
      sym_block_comment,
  [83428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7985), 1,
      anon_sym_EQ,
    ACTIONS(7987), 1,
      anon_sym_COLON,
    STATE(4677), 2,
      sym_xml_doc,
      sym_block_comment,
  [83448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(583), 1,
      sym__expression_block,
    STATE(4678), 2,
      sym_xml_doc,
      sym_block_comment,
  [83468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7967), 1,
      sym__indent,
    STATE(1325), 1,
      sym__expression_block,
    STATE(4679), 2,
      sym_xml_doc,
      sym_block_comment,
  [83488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7664), 1,
      sym__indent,
    STATE(678), 1,
      sym__expression_block,
    STATE(4680), 2,
      sym_xml_doc,
      sym_block_comment,
  [83508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1600), 1,
      sym__expression_block,
    STATE(4681), 2,
      sym_xml_doc,
      sym_block_comment,
  [83528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3953), 1,
      anon_sym_PIPE,
    STATE(5031), 1,
      sym_active_pattern_op_name,
    STATE(4682), 2,
      sym_xml_doc,
      sym_block_comment,
  [83548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7834), 1,
      sym__indent,
    STATE(1719), 1,
      sym__expression_block,
    STATE(4683), 2,
      sym_xml_doc,
      sym_block_comment,
  [83568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1875), 1,
      sym__expression_block,
    STATE(4684), 2,
      sym_xml_doc,
      sym_block_comment,
  [83588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7989), 1,
      anon_sym_with,
    ACTIONS(7991), 1,
      anon_sym_finally,
    STATE(4685), 2,
      sym_xml_doc,
      sym_block_comment,
  [83608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1873), 1,
      sym__expression_block,
    STATE(4686), 2,
      sym_xml_doc,
      sym_block_comment,
  [83628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7993), 2,
      sym__newline,
      sym__dedent,
    STATE(4687), 2,
      sym_xml_doc,
      sym_block_comment,
  [83646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7804), 1,
      sym__indent,
    STATE(1720), 1,
      sym__expression_block,
    STATE(4688), 2,
      sym_xml_doc,
      sym_block_comment,
  [83666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7995), 2,
      anon_sym_and,
      anon_sym_GT,
    STATE(4689), 2,
      sym_xml_doc,
      sym_block_comment,
  [83684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1552), 1,
      sym__expression_block,
    STATE(4690), 2,
      sym_xml_doc,
      sym_block_comment,
  [83704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7997), 1,
      sym__indent,
    STATE(1286), 1,
      sym__expression_block,
    STATE(4691), 2,
      sym_xml_doc,
      sym_block_comment,
  [83724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7999), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    STATE(4692), 2,
      sym_xml_doc,
      sym_block_comment,
  [83742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7726), 1,
      sym__indent,
    STATE(2390), 1,
      sym__expression_block,
    STATE(4693), 2,
      sym_xml_doc,
      sym_block_comment,
  [83762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7712), 1,
      sym__indent,
    STATE(4359), 1,
      sym__expression_block,
    STATE(4694), 2,
      sym_xml_doc,
      sym_block_comment,
  [83782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7728), 1,
      sym__indent,
    STATE(909), 1,
      sym__expression_block,
    STATE(4695), 2,
      sym_xml_doc,
      sym_block_comment,
  [83802] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7776), 1,
      sym__indent,
    STATE(1986), 1,
      sym__expression_block,
    STATE(4696), 2,
      sym_xml_doc,
      sym_block_comment,
  [83822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1555), 1,
      sym__expression_block,
    STATE(4697), 2,
      sym_xml_doc,
      sym_block_comment,
  [83842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7710), 1,
      sym__indent,
    STATE(1350), 1,
      sym__expression_block,
    STATE(4698), 2,
      sym_xml_doc,
      sym_block_comment,
  [83862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8001), 2,
      sym__newline,
      sym__dedent,
    STATE(4699), 2,
      sym_xml_doc,
      sym_block_comment,
  [83880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6044), 1,
      sym__indent,
    STATE(4528), 1,
      sym__expression_block,
    STATE(4700), 2,
      sym_xml_doc,
      sym_block_comment,
  [83900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8003), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(4701), 2,
      sym_xml_doc,
      sym_block_comment,
  [83917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8005), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(4702), 2,
      sym_xml_doc,
      sym_block_comment,
  [83934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8007), 1,
      sym__dedent,
    STATE(4703), 2,
      sym_xml_doc,
      sym_block_comment,
  [83951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8009), 1,
      anon_sym_PIPE,
    STATE(4704), 2,
      sym_xml_doc,
      sym_block_comment,
  [83968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8011), 1,
      sym__digit_char_imm,
    STATE(4705), 2,
      sym_xml_doc,
      sym_block_comment,
  [83985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8013), 1,
      anon_sym_DASH_GT,
    STATE(4706), 2,
      sym_xml_doc,
      sym_block_comment,
  [84002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8015), 1,
      anon_sym_RPAREN,
    STATE(4707), 2,
      sym_xml_doc,
      sym_block_comment,
  [84019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8017), 1,
      anon_sym_DASH_GT,
    STATE(4708), 2,
      sym_xml_doc,
      sym_block_comment,
  [84036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7233), 1,
      anon_sym_member,
    STATE(4709), 2,
      sym_xml_doc,
      sym_block_comment,
  [84053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8019), 1,
      sym__triple_quoted_content,
    STATE(4710), 2,
      sym_xml_doc,
      sym_block_comment,
  [84070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8021), 1,
      sym__triple_quoted_content,
    STATE(4711), 2,
      sym_xml_doc,
      sym_block_comment,
  [84087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8023), 1,
      anon_sym_COLON,
    STATE(4712), 2,
      sym_xml_doc,
      sym_block_comment,
  [84104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8025), 1,
      anon_sym_EQ,
    STATE(4713), 2,
      sym_xml_doc,
      sym_block_comment,
  [84121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8027), 1,
      anon_sym_COLON,
    STATE(4714), 2,
      sym_xml_doc,
      sym_block_comment,
  [84138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8029), 1,
      sym__dedent,
    STATE(4715), 2,
      sym_xml_doc,
      sym_block_comment,
  [84155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8031), 1,
      sym_identifier,
    STATE(4716), 2,
      sym_xml_doc,
      sym_block_comment,
  [84172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8033), 1,
      anon_sym_set,
    STATE(4717), 2,
      sym_xml_doc,
      sym_block_comment,
  [84189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8035), 1,
      anon_sym_EQ,
    STATE(4718), 2,
      sym_xml_doc,
      sym_block_comment,
  [84206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8037), 1,
      anon_sym_do,
    STATE(4719), 2,
      sym_xml_doc,
      sym_block_comment,
  [84223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8039), 1,
      anon_sym_RBRACK,
    STATE(4720), 2,
      sym_xml_doc,
      sym_block_comment,
  [84240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8041), 1,
      sym__dedent,
    STATE(4721), 2,
      sym_xml_doc,
      sym_block_comment,
  [84257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8043), 1,
      sym__hex_digit_imm,
    STATE(4722), 2,
      sym_xml_doc,
      sym_block_comment,
  [84274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8045), 1,
      sym__dedent,
    STATE(4723), 2,
      sym_xml_doc,
      sym_block_comment,
  [84291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    STATE(4724), 2,
      sym_xml_doc,
      sym_block_comment,
  [84308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8049), 1,
      anon_sym_of,
    STATE(4725), 2,
      sym_xml_doc,
      sym_block_comment,
  [84325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8051), 1,
      anon_sym_member,
    STATE(4726), 2,
      sym_xml_doc,
      sym_block_comment,
  [84342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8053), 1,
      sym__dedent,
    STATE(4727), 2,
      sym_xml_doc,
      sym_block_comment,
  [84359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8033), 1,
      anon_sym_get,
    STATE(4728), 2,
      sym_xml_doc,
      sym_block_comment,
  [84376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8055), 1,
      anon_sym_COLON,
    STATE(4729), 2,
      sym_xml_doc,
      sym_block_comment,
  [84393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8057), 1,
      sym__indent,
    STATE(4730), 2,
      sym_xml_doc,
      sym_block_comment,
  [84410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8059), 1,
      anon_sym_EQ,
    STATE(4731), 2,
      sym_xml_doc,
      sym_block_comment,
  [84427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8061), 1,
      anon_sym_GT,
    STATE(4732), 2,
      sym_xml_doc,
      sym_block_comment,
  [84444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8063), 1,
      sym__dedent,
    STATE(4733), 2,
      sym_xml_doc,
      sym_block_comment,
  [84461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8065), 1,
      anon_sym_COLON,
    STATE(4734), 2,
      sym_xml_doc,
      sym_block_comment,
  [84478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8067), 1,
      anon_sym_COLON,
    STATE(4735), 2,
      sym_xml_doc,
      sym_block_comment,
  [84495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8069), 1,
      sym__hex_digit_imm,
    STATE(4736), 2,
      sym_xml_doc,
      sym_block_comment,
  [84512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8071), 1,
      anon_sym_SQUOTET,
    STATE(4737), 2,
      sym_xml_doc,
      sym_block_comment,
  [84529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8073), 1,
      sym__dedent,
    STATE(4738), 2,
      sym_xml_doc,
      sym_block_comment,
  [84546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8075), 1,
      sym_identifier,
    STATE(4739), 2,
      sym_xml_doc,
      sym_block_comment,
  [84563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8077), 1,
      anon_sym_GT,
    STATE(4740), 2,
      sym_xml_doc,
      sym_block_comment,
  [84580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8079), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(4741), 2,
      sym_xml_doc,
      sym_block_comment,
  [84597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8081), 1,
      anon_sym_EQ,
    STATE(4742), 2,
      sym_xml_doc,
      sym_block_comment,
  [84614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8083), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(4743), 2,
      sym_xml_doc,
      sym_block_comment,
  [84631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8085), 1,
      anon_sym_EQ,
    STATE(4744), 2,
      sym_xml_doc,
      sym_block_comment,
  [84648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8087), 1,
      sym__triple_quoted_content,
    STATE(4745), 2,
      sym_xml_doc,
      sym_block_comment,
  [84665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8089), 1,
      sym__triple_quoted_content,
    STATE(4746), 2,
      sym_xml_doc,
      sym_block_comment,
  [84682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8091), 1,
      sym__dedent,
    STATE(4747), 2,
      sym_xml_doc,
      sym_block_comment,
  [84699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8093), 1,
      anon_sym_COLON,
    STATE(4748), 2,
      sym_xml_doc,
      sym_block_comment,
  [84716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8095), 1,
      sym_identifier,
    STATE(4749), 2,
      sym_xml_doc,
      sym_block_comment,
  [84733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7150), 1,
      anon_sym_GT,
    STATE(4750), 2,
      sym_xml_doc,
      sym_block_comment,
  [84750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8097), 1,
      anon_sym_DASH_GT,
    STATE(4751), 2,
      sym_xml_doc,
      sym_block_comment,
  [84767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8099), 1,
      sym_identifier,
    STATE(4752), 2,
      sym_xml_doc,
      sym_block_comment,
  [84784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8101), 1,
      sym__indent,
    STATE(4753), 2,
      sym_xml_doc,
      sym_block_comment,
  [84801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8103), 1,
      sym__indent,
    STATE(4754), 2,
      sym_xml_doc,
      sym_block_comment,
  [84818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8105), 1,
      anon_sym_EQ,
    STATE(4755), 2,
      sym_xml_doc,
      sym_block_comment,
  [84835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8107), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4756), 2,
      sym_xml_doc,
      sym_block_comment,
  [84852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8109), 1,
      anon_sym_RBRACK,
    STATE(4757), 2,
      sym_xml_doc,
      sym_block_comment,
  [84869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8111), 1,
      anon_sym_COLON,
    STATE(4758), 2,
      sym_xml_doc,
      sym_block_comment,
  [84886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8113), 1,
      anon_sym_GT,
    STATE(4759), 2,
      sym_xml_doc,
      sym_block_comment,
  [84903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8115), 1,
      anon_sym_RPAREN,
    STATE(4760), 2,
      sym_xml_doc,
      sym_block_comment,
  [84920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8117), 1,
      anon_sym_member,
    STATE(4761), 2,
      sym_xml_doc,
      sym_block_comment,
  [84937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8119), 1,
      sym__dedent,
    STATE(4762), 2,
      sym_xml_doc,
      sym_block_comment,
  [84954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8121), 1,
      sym__dedent,
    STATE(4763), 2,
      sym_xml_doc,
      sym_block_comment,
  [84971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8123), 1,
      anon_sym_COLON,
    STATE(4764), 2,
      sym_xml_doc,
      sym_block_comment,
  [84988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8125), 1,
      sym_identifier,
    STATE(4765), 2,
      sym_xml_doc,
      sym_block_comment,
  [85005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8127), 1,
      anon_sym_PIPE,
    STATE(4766), 2,
      sym_xml_doc,
      sym_block_comment,
  [85022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8129), 1,
      sym__digit_char_imm,
    STATE(4767), 2,
      sym_xml_doc,
      sym_block_comment,
  [85039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8131), 1,
      anon_sym_RPAREN,
    STATE(4768), 2,
      sym_xml_doc,
      sym_block_comment,
  [85056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8133), 1,
      sym_identifier,
    STATE(4769), 2,
      sym_xml_doc,
      sym_block_comment,
  [85073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7203), 1,
      anon_sym_member,
    STATE(4770), 2,
      sym_xml_doc,
      sym_block_comment,
  [85090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8135), 1,
      anon_sym_RPAREN,
    STATE(4771), 2,
      sym_xml_doc,
      sym_block_comment,
  [85107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8137), 1,
      anon_sym_RBRACE,
    STATE(4772), 2,
      sym_xml_doc,
      sym_block_comment,
  [85124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8139), 1,
      anon_sym_COLON,
    STATE(4773), 2,
      sym_xml_doc,
      sym_block_comment,
  [85141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8141), 1,
      anon_sym_PIPE_RBRACE,
    STATE(4774), 2,
      sym_xml_doc,
      sym_block_comment,
  [85158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8143), 1,
      anon_sym_PIPE,
    STATE(4775), 2,
      sym_xml_doc,
      sym_block_comment,
  [85175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8145), 1,
      anon_sym_PIPE,
    STATE(4776), 2,
      sym_xml_doc,
      sym_block_comment,
  [85192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7963), 1,
      anon_sym_do,
    STATE(4777), 2,
      sym_xml_doc,
      sym_block_comment,
  [85209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8147), 1,
      sym__dedent,
    STATE(4778), 2,
      sym_xml_doc,
      sym_block_comment,
  [85226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8149), 1,
      anon_sym_EQ,
    STATE(4779), 2,
      sym_xml_doc,
      sym_block_comment,
  [85243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8151), 1,
      sym__hex_digit_imm,
    STATE(4780), 2,
      sym_xml_doc,
      sym_block_comment,
  [85260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8153), 1,
      sym__dedent,
    STATE(4781), 2,
      sym_xml_doc,
      sym_block_comment,
  [85277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8155), 1,
      anon_sym_COLON,
    STATE(4782), 2,
      sym_xml_doc,
      sym_block_comment,
  [85294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8157), 1,
      sym__hex_digit_imm,
    STATE(4783), 2,
      sym_xml_doc,
      sym_block_comment,
  [85311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8159), 1,
      anon_sym_member,
    STATE(4784), 2,
      sym_xml_doc,
      sym_block_comment,
  [85328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8161), 1,
      sym_identifier,
    STATE(4785), 2,
      sym_xml_doc,
      sym_block_comment,
  [85345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8163), 1,
      anon_sym_COLON,
    STATE(4786), 2,
      sym_xml_doc,
      sym_block_comment,
  [85362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8165), 1,
      sym__hex_digit_imm,
    STATE(4787), 2,
      sym_xml_doc,
      sym_block_comment,
  [85379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8167), 1,
      sym__digit_char_imm,
    STATE(4788), 2,
      sym_xml_doc,
      sym_block_comment,
  [85396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8169), 1,
      anon_sym_COLON,
    STATE(4789), 2,
      sym_xml_doc,
      sym_block_comment,
  [85413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8171), 1,
      sym__hex_digit_imm,
    STATE(4790), 2,
      sym_xml_doc,
      sym_block_comment,
  [85430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8173), 1,
      anon_sym_COLON,
    STATE(4791), 2,
      sym_xml_doc,
      sym_block_comment,
  [85447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8175), 1,
      anon_sym_COLON,
    STATE(4792), 2,
      sym_xml_doc,
      sym_block_comment,
  [85464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8177), 1,
      anon_sym_RBRACE,
    STATE(4793), 2,
      sym_xml_doc,
      sym_block_comment,
  [85481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8179), 1,
      anon_sym_COLON,
    STATE(4794), 2,
      sym_xml_doc,
      sym_block_comment,
  [85498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8181), 1,
      anon_sym_COLON,
    STATE(4795), 2,
      sym_xml_doc,
      sym_block_comment,
  [85515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8183), 1,
      anon_sym_do,
    STATE(4796), 2,
      sym_xml_doc,
      sym_block_comment,
  [85532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8185), 1,
      sym_identifier,
    STATE(4797), 2,
      sym_xml_doc,
      sym_block_comment,
  [85549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8187), 1,
      sym__triple_quoted_content,
    STATE(4798), 2,
      sym_xml_doc,
      sym_block_comment,
  [85566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8189), 1,
      sym__triple_quoted_content,
    STATE(4799), 2,
      sym_xml_doc,
      sym_block_comment,
  [85583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8191), 1,
      anon_sym_COLON,
    STATE(4800), 2,
      sym_xml_doc,
      sym_block_comment,
  [85600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8193), 1,
      anon_sym_PIPE_RBRACE,
    STATE(4801), 2,
      sym_xml_doc,
      sym_block_comment,
  [85617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8195), 1,
      anon_sym_member,
    STATE(4802), 2,
      sym_xml_doc,
      sym_block_comment,
  [85634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8197), 1,
      anon_sym_COLON,
    STATE(4803), 2,
      sym_xml_doc,
      sym_block_comment,
  [85651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8199), 1,
      anon_sym_DASH_GT,
    STATE(4804), 2,
      sym_xml_doc,
      sym_block_comment,
  [85668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8201), 1,
      sym__dedent,
    STATE(4805), 2,
      sym_xml_doc,
      sym_block_comment,
  [85685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8203), 1,
      sym__hex_digit_imm,
    STATE(4806), 2,
      sym_xml_doc,
      sym_block_comment,
  [85702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8205), 1,
      anon_sym_do,
    STATE(4807), 2,
      sym_xml_doc,
      sym_block_comment,
  [85719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8207), 1,
      anon_sym_EQ,
    STATE(4808), 2,
      sym_xml_doc,
      sym_block_comment,
  [85736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8209), 1,
      anon_sym_RBRACE,
    STATE(4809), 2,
      sym_xml_doc,
      sym_block_comment,
  [85753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8211), 1,
      sym__digit_char_imm,
    STATE(4810), 2,
      sym_xml_doc,
      sym_block_comment,
  [85770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7097), 1,
      anon_sym_GT,
    STATE(4811), 2,
      sym_xml_doc,
      sym_block_comment,
  [85787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8213), 1,
      anon_sym_COLON,
    STATE(4812), 2,
      sym_xml_doc,
      sym_block_comment,
  [85804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(6766), 1,
      anon_sym_member,
    STATE(4813), 2,
      sym_xml_doc,
      sym_block_comment,
  [85821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8215), 1,
      sym__dedent,
    STATE(4814), 2,
      sym_xml_doc,
      sym_block_comment,
  [85838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8217), 1,
      sym__dedent,
    STATE(4815), 2,
      sym_xml_doc,
      sym_block_comment,
  [85855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8219), 1,
      sym__dedent,
    STATE(4816), 2,
      sym_xml_doc,
      sym_block_comment,
  [85872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8221), 1,
      sym__indent,
    STATE(4817), 2,
      sym_xml_doc,
      sym_block_comment,
  [85889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8223), 1,
      anon_sym_PIPE,
    STATE(4818), 2,
      sym_xml_doc,
      sym_block_comment,
  [85906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8225), 1,
      sym__hex_digit_imm,
    STATE(4819), 2,
      sym_xml_doc,
      sym_block_comment,
  [85923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8227), 1,
      sym__digit_char_imm,
    STATE(4820), 2,
      sym_xml_doc,
      sym_block_comment,
  [85940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8229), 1,
      anon_sym_PIPE,
    STATE(4821), 2,
      sym_xml_doc,
      sym_block_comment,
  [85957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8231), 1,
      anon_sym_do,
    STATE(4822), 2,
      sym_xml_doc,
      sym_block_comment,
  [85974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8233), 1,
      sym__hex_digit_imm,
    STATE(4823), 2,
      sym_xml_doc,
      sym_block_comment,
  [85991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8235), 1,
      sym__dedent,
    STATE(4824), 2,
      sym_xml_doc,
      sym_block_comment,
  [86008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8237), 1,
      sym__dedent,
    STATE(4825), 2,
      sym_xml_doc,
      sym_block_comment,
  [86025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8239), 1,
      sym__dedent,
    STATE(4826), 2,
      sym_xml_doc,
      sym_block_comment,
  [86042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8241), 1,
      anon_sym_EQ,
    STATE(4827), 2,
      sym_xml_doc,
      sym_block_comment,
  [86059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8243), 1,
      sym_identifier,
    STATE(4828), 2,
      sym_xml_doc,
      sym_block_comment,
  [86076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8245), 1,
      anon_sym_COLON,
    STATE(4829), 2,
      sym_xml_doc,
      sym_block_comment,
  [86093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8247), 1,
      anon_sym_and,
    STATE(4830), 2,
      sym_xml_doc,
      sym_block_comment,
  [86110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8249), 1,
      sym__indent,
    STATE(4831), 2,
      sym_xml_doc,
      sym_block_comment,
  [86127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8251), 1,
      sym__triple_quoted_content,
    STATE(4832), 2,
      sym_xml_doc,
      sym_block_comment,
  [86144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8253), 1,
      sym__triple_quoted_content,
    STATE(4833), 2,
      sym_xml_doc,
      sym_block_comment,
  [86161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8255), 1,
      anon_sym_EQ,
    STATE(4834), 2,
      sym_xml_doc,
      sym_block_comment,
  [86178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4155), 1,
      sym__dedent,
    STATE(4835), 2,
      sym_xml_doc,
      sym_block_comment,
  [86195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8257), 1,
      anon_sym_RBRACE,
    STATE(4836), 2,
      sym_xml_doc,
      sym_block_comment,
  [86212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8259), 1,
      anon_sym_DASH_GT,
    STATE(4837), 2,
      sym_xml_doc,
      sym_block_comment,
  [86229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8261), 1,
      anon_sym_DASH_GT,
    STATE(4838), 2,
      sym_xml_doc,
      sym_block_comment,
  [86246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8263), 1,
      anon_sym_GT,
    STATE(4839), 2,
      sym_xml_doc,
      sym_block_comment,
  [86263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8265), 1,
      sym__triple_quoted_content,
    STATE(4840), 2,
      sym_xml_doc,
      sym_block_comment,
  [86280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8267), 1,
      anon_sym_EQ,
    STATE(4841), 2,
      sym_xml_doc,
      sym_block_comment,
  [86297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8269), 1,
      sym__triple_quoted_content,
    STATE(4842), 2,
      sym_xml_doc,
      sym_block_comment,
  [86314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8271), 1,
      sym_identifier,
    STATE(4843), 2,
      sym_xml_doc,
      sym_block_comment,
  [86331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8273), 1,
      anon_sym_COLON,
    STATE(4844), 2,
      sym_xml_doc,
      sym_block_comment,
  [86348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8275), 1,
      anon_sym_get,
    STATE(4845), 2,
      sym_xml_doc,
      sym_block_comment,
  [86365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8275), 1,
      anon_sym_set,
    STATE(4846), 2,
      sym_xml_doc,
      sym_block_comment,
  [86382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8277), 1,
      sym__dedent,
    STATE(4847), 2,
      sym_xml_doc,
      sym_block_comment,
  [86399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8279), 1,
      sym__dedent,
    STATE(4848), 2,
      sym_xml_doc,
      sym_block_comment,
  [86416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8281), 1,
      sym_identifier,
    STATE(4849), 2,
      sym_xml_doc,
      sym_block_comment,
  [86433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8283), 1,
      sym__dedent,
    STATE(4850), 2,
      sym_xml_doc,
      sym_block_comment,
  [86450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8285), 1,
      anon_sym_PIPE,
    STATE(4851), 2,
      sym_xml_doc,
      sym_block_comment,
  [86467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8287), 1,
      sym__hex_digit_imm,
    STATE(4852), 2,
      sym_xml_doc,
      sym_block_comment,
  [86484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8289), 1,
      anon_sym_get,
    STATE(4853), 2,
      sym_xml_doc,
      sym_block_comment,
  [86501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8291), 1,
      anon_sym_do,
    STATE(4854), 2,
      sym_xml_doc,
      sym_block_comment,
  [86518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8289), 1,
      anon_sym_set,
    STATE(4855), 2,
      sym_xml_doc,
      sym_block_comment,
  [86535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8293), 1,
      sym_identifier,
    STATE(4856), 2,
      sym_xml_doc,
      sym_block_comment,
  [86552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8295), 1,
      sym__dedent,
    STATE(4857), 2,
      sym_xml_doc,
      sym_block_comment,
  [86569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8297), 1,
      sym_identifier,
    STATE(4858), 2,
      sym_xml_doc,
      sym_block_comment,
  [86586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8299), 1,
      anon_sym_GT,
    STATE(4859), 2,
      sym_xml_doc,
      sym_block_comment,
  [86603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8301), 1,
      anon_sym_get,
    STATE(4860), 2,
      sym_xml_doc,
      sym_block_comment,
  [86620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8303), 1,
      sym_identifier,
    STATE(4861), 2,
      sym_xml_doc,
      sym_block_comment,
  [86637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8301), 1,
      anon_sym_set,
    STATE(4862), 2,
      sym_xml_doc,
      sym_block_comment,
  [86654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8305), 1,
      sym_identifier,
    STATE(4863), 2,
      sym_xml_doc,
      sym_block_comment,
  [86671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8307), 1,
      sym__triple_quoted_content,
    STATE(4864), 2,
      sym_xml_doc,
      sym_block_comment,
  [86688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8309), 1,
      sym__triple_quoted_content,
    STATE(4865), 2,
      sym_xml_doc,
      sym_block_comment,
  [86705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8311), 1,
      sym_identifier,
    STATE(4866), 2,
      sym_xml_doc,
      sym_block_comment,
  [86722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8313), 1,
      sym_identifier,
    STATE(4867), 2,
      sym_xml_doc,
      sym_block_comment,
  [86739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8315), 1,
      sym_identifier,
    STATE(4868), 2,
      sym_xml_doc,
      sym_block_comment,
  [86756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8317), 1,
      anon_sym_DASH_GT,
    STATE(4869), 2,
      sym_xml_doc,
      sym_block_comment,
  [86773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8319), 1,
      sym_identifier,
    STATE(4870), 2,
      sym_xml_doc,
      sym_block_comment,
  [86790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8321), 1,
      sym_identifier,
    STATE(4871), 2,
      sym_xml_doc,
      sym_block_comment,
  [86807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8323), 1,
      sym__dedent,
    STATE(4872), 2,
      sym_xml_doc,
      sym_block_comment,
  [86824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8325), 1,
      anon_sym_EQ,
    STATE(4873), 2,
      sym_xml_doc,
      sym_block_comment,
  [86841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8327), 1,
      sym_identifier,
    STATE(4874), 2,
      sym_xml_doc,
      sym_block_comment,
  [86858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8329), 1,
      sym__dedent,
    STATE(4875), 2,
      sym_xml_doc,
      sym_block_comment,
  [86875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8331), 1,
      sym_identifier,
    STATE(4876), 2,
      sym_xml_doc,
      sym_block_comment,
  [86892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8333), 1,
      sym__dedent,
    STATE(4877), 2,
      sym_xml_doc,
      sym_block_comment,
  [86909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8335), 1,
      sym__dedent,
    STATE(4878), 2,
      sym_xml_doc,
      sym_block_comment,
  [86926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8337), 1,
      anon_sym_GT,
    STATE(4879), 2,
      sym_xml_doc,
      sym_block_comment,
  [86943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8339), 1,
      sym_identifier,
    STATE(4880), 2,
      sym_xml_doc,
      sym_block_comment,
  [86960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8341), 1,
      anon_sym_PIPE,
    STATE(4881), 2,
      sym_xml_doc,
      sym_block_comment,
  [86977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8343), 1,
      sym_identifier,
    STATE(4882), 2,
      sym_xml_doc,
      sym_block_comment,
  [86994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8345), 1,
      sym_identifier,
    STATE(4883), 2,
      sym_xml_doc,
      sym_block_comment,
  [87011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8347), 1,
      anon_sym_do,
    STATE(4884), 2,
      sym_xml_doc,
      sym_block_comment,
  [87028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8349), 1,
      sym_identifier,
    STATE(4885), 2,
      sym_xml_doc,
      sym_block_comment,
  [87045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8351), 1,
      sym_identifier,
    STATE(4886), 2,
      sym_xml_doc,
      sym_block_comment,
  [87062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8353), 1,
      sym__dedent,
    STATE(4887), 2,
      sym_xml_doc,
      sym_block_comment,
  [87079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8355), 1,
      sym__indent,
    STATE(4888), 2,
      sym_xml_doc,
      sym_block_comment,
  [87096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8357), 1,
      sym_identifier,
    STATE(4889), 2,
      sym_xml_doc,
      sym_block_comment,
  [87113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8359), 1,
      sym_identifier,
    STATE(4890), 2,
      sym_xml_doc,
      sym_block_comment,
  [87130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8361), 1,
      sym_identifier,
    STATE(4891), 2,
      sym_xml_doc,
      sym_block_comment,
  [87147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8363), 1,
      sym_identifier,
    STATE(4892), 2,
      sym_xml_doc,
      sym_block_comment,
  [87164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8365), 1,
      sym_identifier,
    STATE(4893), 2,
      sym_xml_doc,
      sym_block_comment,
  [87181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8367), 1,
      sym__triple_quoted_content,
    STATE(4894), 2,
      sym_xml_doc,
      sym_block_comment,
  [87198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8369), 1,
      sym__triple_quoted_content,
    STATE(4895), 2,
      sym_xml_doc,
      sym_block_comment,
  [87215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8371), 1,
      sym__digit_char_imm,
    STATE(4896), 2,
      sym_xml_doc,
      sym_block_comment,
  [87232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8373), 1,
      sym__dedent,
    STATE(4897), 2,
      sym_xml_doc,
      sym_block_comment,
  [87249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8375), 1,
      sym_identifier,
    STATE(4898), 2,
      sym_xml_doc,
      sym_block_comment,
  [87266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8377), 1,
      anon_sym_DASH_GT,
    STATE(4899), 2,
      sym_xml_doc,
      sym_block_comment,
  [87283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7049), 1,
      anon_sym_GT,
    STATE(4900), 2,
      sym_xml_doc,
      sym_block_comment,
  [87300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8379), 1,
      sym_identifier,
    STATE(4901), 2,
      sym_xml_doc,
      sym_block_comment,
  [87317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8381), 1,
      sym_identifier,
    STATE(4902), 2,
      sym_xml_doc,
      sym_block_comment,
  [87334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8383), 1,
      anon_sym_EQ,
    STATE(4903), 2,
      sym_xml_doc,
      sym_block_comment,
  [87351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8385), 1,
      anon_sym_COLON,
    STATE(4904), 2,
      sym_xml_doc,
      sym_block_comment,
  [87368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8387), 1,
      sym_identifier,
    STATE(4905), 2,
      sym_xml_doc,
      sym_block_comment,
  [87385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8389), 1,
      anon_sym_GT,
    STATE(4906), 2,
      sym_xml_doc,
      sym_block_comment,
  [87402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8391), 1,
      sym__dedent,
    STATE(4907), 2,
      sym_xml_doc,
      sym_block_comment,
  [87419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8393), 1,
      sym__dedent,
    STATE(4908), 2,
      sym_xml_doc,
      sym_block_comment,
  [87436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7037), 1,
      anon_sym_GT,
    STATE(4909), 2,
      sym_xml_doc,
      sym_block_comment,
  [87453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8395), 1,
      anon_sym_GT,
    STATE(4910), 2,
      sym_xml_doc,
      sym_block_comment,
  [87470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8397), 1,
      anon_sym_PIPE,
    STATE(4911), 2,
      sym_xml_doc,
      sym_block_comment,
  [87487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8399), 1,
      sym__hex_digit_imm,
    STATE(4912), 2,
      sym_xml_doc,
      sym_block_comment,
  [87504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8401), 1,
      sym_identifier,
    STATE(4913), 2,
      sym_xml_doc,
      sym_block_comment,
  [87521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8403), 1,
      anon_sym_do,
    STATE(4914), 2,
      sym_xml_doc,
      sym_block_comment,
  [87538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8405), 1,
      sym_identifier,
    STATE(4915), 2,
      sym_xml_doc,
      sym_block_comment,
  [87555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8407), 1,
      anon_sym_GT,
    STATE(4916), 2,
      sym_xml_doc,
      sym_block_comment,
  [87572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8409), 1,
      sym__dedent,
    STATE(4917), 2,
      sym_xml_doc,
      sym_block_comment,
  [87589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7245), 1,
      anon_sym_member,
    STATE(4918), 2,
      sym_xml_doc,
      sym_block_comment,
  [87606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7148), 1,
      anon_sym_GT,
    STATE(4919), 2,
      sym_xml_doc,
      sym_block_comment,
  [87623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8411), 1,
      anon_sym_GT,
    STATE(4920), 2,
      sym_xml_doc,
      sym_block_comment,
  [87640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8413), 1,
      anon_sym_GT,
    STATE(4921), 2,
      sym_xml_doc,
      sym_block_comment,
  [87657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8415), 1,
      sym_identifier,
    STATE(4922), 2,
      sym_xml_doc,
      sym_block_comment,
  [87674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8417), 1,
      sym_identifier,
    STATE(4923), 2,
      sym_xml_doc,
      sym_block_comment,
  [87691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8419), 1,
      sym__triple_quoted_content,
    STATE(4924), 2,
      sym_xml_doc,
      sym_block_comment,
  [87708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8421), 1,
      sym__triple_quoted_content,
    STATE(4925), 2,
      sym_xml_doc,
      sym_block_comment,
  [87725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8423), 1,
      sym__dedent,
    STATE(4926), 2,
      sym_xml_doc,
      sym_block_comment,
  [87742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8425), 1,
      anon_sym_GT,
    STATE(4927), 2,
      sym_xml_doc,
      sym_block_comment,
  [87759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8427), 1,
      anon_sym_GT,
    STATE(4928), 2,
      sym_xml_doc,
      sym_block_comment,
  [87776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8429), 1,
      anon_sym_DASH_GT,
    STATE(4929), 2,
      sym_xml_doc,
      sym_block_comment,
  [87793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7025), 1,
      anon_sym_GT,
    STATE(4930), 2,
      sym_xml_doc,
      sym_block_comment,
  [87810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8431), 1,
      anon_sym_GT,
    STATE(4931), 2,
      sym_xml_doc,
      sym_block_comment,
  [87827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8433), 1,
      anon_sym_RBRACE,
    STATE(4932), 2,
      sym_xml_doc,
      sym_block_comment,
  [87844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8435), 1,
      anon_sym_EQ,
    STATE(4933), 2,
      sym_xml_doc,
      sym_block_comment,
  [87861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8437), 1,
      anon_sym_EQ,
    STATE(4934), 2,
      sym_xml_doc,
      sym_block_comment,
  [87878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8439), 1,
      sym__hex_digit_imm,
    STATE(4935), 2,
      sym_xml_doc,
      sym_block_comment,
  [87895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8441), 1,
      sym__dedent,
    STATE(4936), 2,
      sym_xml_doc,
      sym_block_comment,
  [87912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8443), 1,
      sym__dedent,
    STATE(4937), 2,
      sym_xml_doc,
      sym_block_comment,
  [87929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8445), 1,
      sym__dedent,
    STATE(4938), 2,
      sym_xml_doc,
      sym_block_comment,
  [87946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8447), 1,
      sym_identifier,
    STATE(4939), 2,
      sym_xml_doc,
      sym_block_comment,
  [87963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8449), 1,
      sym_identifier,
    STATE(4940), 2,
      sym_xml_doc,
      sym_block_comment,
  [87980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8451), 1,
      anon_sym_PIPE,
    STATE(4941), 2,
      sym_xml_doc,
      sym_block_comment,
  [87997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8453), 1,
      sym__dedent,
    STATE(4942), 2,
      sym_xml_doc,
      sym_block_comment,
  [88014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8455), 1,
      sym_identifier,
    STATE(4943), 2,
      sym_xml_doc,
      sym_block_comment,
  [88031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8457), 1,
      anon_sym_do,
    STATE(4944), 2,
      sym_xml_doc,
      sym_block_comment,
  [88048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8459), 1,
      anon_sym_GT,
    STATE(4945), 2,
      sym_xml_doc,
      sym_block_comment,
  [88065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7031), 1,
      anon_sym_GT,
    STATE(4946), 2,
      sym_xml_doc,
      sym_block_comment,
  [88082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8461), 1,
      sym__dedent,
    STATE(4947), 2,
      sym_xml_doc,
      sym_block_comment,
  [88099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8463), 1,
      anon_sym_GT,
    STATE(4948), 2,
      sym_xml_doc,
      sym_block_comment,
  [88116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8465), 1,
      anon_sym_GT,
    STATE(4949), 2,
      sym_xml_doc,
      sym_block_comment,
  [88133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8467), 1,
      sym_identifier,
    STATE(4950), 2,
      sym_xml_doc,
      sym_block_comment,
  [88150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8469), 1,
      anon_sym_set,
    STATE(4951), 2,
      sym_xml_doc,
      sym_block_comment,
  [88167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8471), 1,
      sym_identifier,
    STATE(4952), 2,
      sym_xml_doc,
      sym_block_comment,
  [88184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8469), 1,
      anon_sym_get,
    STATE(4953), 2,
      sym_xml_doc,
      sym_block_comment,
  [88201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8473), 1,
      sym__triple_quoted_content,
    STATE(4954), 2,
      sym_xml_doc,
      sym_block_comment,
  [88218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8475), 1,
      sym__triple_quoted_content,
    STATE(4955), 2,
      sym_xml_doc,
      sym_block_comment,
  [88235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8477), 1,
      anon_sym_set,
    STATE(4956), 2,
      sym_xml_doc,
      sym_block_comment,
  [88252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8477), 1,
      anon_sym_get,
    STATE(4957), 2,
      sym_xml_doc,
      sym_block_comment,
  [88269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8479), 1,
      sym__hex_digit_imm,
    STATE(4958), 2,
      sym_xml_doc,
      sym_block_comment,
  [88286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8481), 1,
      anon_sym_DASH_GT,
    STATE(4959), 2,
      sym_xml_doc,
      sym_block_comment,
  [88303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8483), 1,
      anon_sym_set,
    STATE(4960), 2,
      sym_xml_doc,
      sym_block_comment,
  [88320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8485), 1,
      anon_sym_GT,
    STATE(4961), 2,
      sym_xml_doc,
      sym_block_comment,
  [88337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8487), 1,
      anon_sym_GT,
    STATE(4962), 2,
      sym_xml_doc,
      sym_block_comment,
  [88354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8489), 1,
      anon_sym_EQ,
    STATE(4963), 2,
      sym_xml_doc,
      sym_block_comment,
  [88371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7039), 1,
      anon_sym_GT,
    STATE(4964), 2,
      sym_xml_doc,
      sym_block_comment,
  [88388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8491), 1,
      anon_sym_GT,
    STATE(4965), 2,
      sym_xml_doc,
      sym_block_comment,
  [88405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8483), 1,
      anon_sym_get,
    STATE(4966), 2,
      sym_xml_doc,
      sym_block_comment,
  [88422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8493), 1,
      sym__dedent,
    STATE(4967), 2,
      sym_xml_doc,
      sym_block_comment,
  [88439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8495), 1,
      sym__dedent,
    STATE(4968), 2,
      sym_xml_doc,
      sym_block_comment,
  [88456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8497), 1,
      sym_identifier,
    STATE(4969), 2,
      sym_xml_doc,
      sym_block_comment,
  [88473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8499), 1,
      anon_sym_unit,
    STATE(4970), 2,
      sym_xml_doc,
      sym_block_comment,
  [88490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    STATE(4971), 2,
      sym_xml_doc,
      sym_block_comment,
  [88507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8503), 1,
      sym_identifier,
    STATE(4972), 2,
      sym_xml_doc,
      sym_block_comment,
  [88524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8505), 1,
      sym__hex_digit_imm,
    STATE(4973), 2,
      sym_xml_doc,
      sym_block_comment,
  [88541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8507), 1,
      anon_sym_do,
    STATE(4974), 2,
      sym_xml_doc,
      sym_block_comment,
  [88558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8509), 1,
      sym__indent,
    STATE(4975), 2,
      sym_xml_doc,
      sym_block_comment,
  [88575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8511), 1,
      sym_identifier,
    STATE(4976), 2,
      sym_xml_doc,
      sym_block_comment,
  [88592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8513), 1,
      sym__dedent,
    STATE(4977), 2,
      sym_xml_doc,
      sym_block_comment,
  [88609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4119), 1,
      anon_sym_EQ,
    STATE(4978), 2,
      sym_xml_doc,
      sym_block_comment,
  [88626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8515), 1,
      anon_sym_get,
    STATE(4979), 2,
      sym_xml_doc,
      sym_block_comment,
  [88643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8517), 1,
      sym__triple_quoted_content,
    STATE(4980), 2,
      sym_xml_doc,
      sym_block_comment,
  [88660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8519), 1,
      sym__triple_quoted_content,
    STATE(4981), 2,
      sym_xml_doc,
      sym_block_comment,
  [88677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8521), 1,
      anon_sym_COLON,
    STATE(4982), 2,
      sym_xml_doc,
      sym_block_comment,
  [88694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8515), 1,
      anon_sym_set,
    STATE(4983), 2,
      sym_xml_doc,
      sym_block_comment,
  [88711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8523), 1,
      anon_sym_EQ,
    STATE(4984), 2,
      sym_xml_doc,
      sym_block_comment,
  [88728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8525), 1,
      anon_sym_GT,
    STATE(4985), 2,
      sym_xml_doc,
      sym_block_comment,
  [88745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7051), 1,
      anon_sym_GT,
    STATE(4986), 2,
      sym_xml_doc,
      sym_block_comment,
  [88762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8527), 1,
      anon_sym_GT,
    STATE(4987), 2,
      sym_xml_doc,
      sym_block_comment,
  [88779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8529), 1,
      sym__triple_quoted_content,
    STATE(4988), 2,
      sym_xml_doc,
      sym_block_comment,
  [88796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8531), 1,
      sym__triple_quoted_content,
    STATE(4989), 2,
      sym_xml_doc,
      sym_block_comment,
  [88813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8533), 1,
      anon_sym_get,
    STATE(4990), 2,
      sym_xml_doc,
      sym_block_comment,
  [88830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8535), 1,
      anon_sym_RPAREN,
    STATE(4991), 2,
      sym_xml_doc,
      sym_block_comment,
  [88847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8537), 1,
      anon_sym_EQ,
    STATE(4992), 2,
      sym_xml_doc,
      sym_block_comment,
  [88864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8533), 1,
      anon_sym_set,
    STATE(4993), 2,
      sym_xml_doc,
      sym_block_comment,
  [88881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8539), 1,
      anon_sym_GT,
    STATE(4994), 2,
      sym_xml_doc,
      sym_block_comment,
  [88898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8541), 1,
      sym_identifier,
    STATE(4995), 2,
      sym_xml_doc,
      sym_block_comment,
  [88915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8543), 1,
      sym__triple_quoted_content,
    STATE(4996), 2,
      sym_xml_doc,
      sym_block_comment,
  [88932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8545), 1,
      sym__triple_quoted_content,
    STATE(4997), 2,
      sym_xml_doc,
      sym_block_comment,
  [88949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8547), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(4998), 2,
      sym_xml_doc,
      sym_block_comment,
  [88966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8549), 1,
      sym__dedent,
    STATE(4999), 2,
      sym_xml_doc,
      sym_block_comment,
  [88983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8551), 1,
      anon_sym_EQ,
    STATE(5000), 2,
      sym_xml_doc,
      sym_block_comment,
  [89000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8553), 1,
      sym__dedent,
    STATE(5001), 2,
      sym_xml_doc,
      sym_block_comment,
  [89017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8555), 1,
      anon_sym_RBRACK,
    STATE(5002), 2,
      sym_xml_doc,
      sym_block_comment,
  [89034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8557), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5003), 2,
      sym_xml_doc,
      sym_block_comment,
  [89051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8559), 1,
      sym__triple_quoted_content,
    STATE(5004), 2,
      sym_xml_doc,
      sym_block_comment,
  [89068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8561), 1,
      sym__triple_quoted_content,
    STATE(5005), 2,
      sym_xml_doc,
      sym_block_comment,
  [89085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8563), 1,
      sym__dedent,
    STATE(5006), 2,
      sym_xml_doc,
      sym_block_comment,
  [89102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8565), 1,
      sym_identifier,
    STATE(5007), 2,
      sym_xml_doc,
      sym_block_comment,
  [89119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8567), 1,
      sym__dedent,
    STATE(5008), 2,
      sym_xml_doc,
      sym_block_comment,
  [89136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8569), 1,
      sym_identifier,
    STATE(5009), 2,
      sym_xml_doc,
      sym_block_comment,
  [89153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8571), 1,
      sym__triple_quoted_content,
    STATE(5010), 2,
      sym_xml_doc,
      sym_block_comment,
  [89170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8573), 1,
      sym__triple_quoted_content,
    STATE(5011), 2,
      sym_xml_doc,
      sym_block_comment,
  [89187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8575), 1,
      sym_identifier,
    STATE(5012), 2,
      sym_xml_doc,
      sym_block_comment,
  [89204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4117), 1,
      anon_sym_EQ,
    STATE(5013), 2,
      sym_xml_doc,
      sym_block_comment,
  [89221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7067), 1,
      anon_sym_GT,
    STATE(5014), 2,
      sym_xml_doc,
      sym_block_comment,
  [89238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8577), 1,
      anon_sym_GT,
    STATE(5015), 2,
      sym_xml_doc,
      sym_block_comment,
  [89255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8579), 1,
      sym__triple_quoted_content,
    STATE(5016), 2,
      sym_xml_doc,
      sym_block_comment,
  [89272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8581), 1,
      sym__triple_quoted_content,
    STATE(5017), 2,
      sym_xml_doc,
      sym_block_comment,
  [89289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8583), 1,
      sym_identifier,
    STATE(5018), 2,
      sym_xml_doc,
      sym_block_comment,
  [89306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7069), 1,
      anon_sym_GT,
    STATE(5019), 2,
      sym_xml_doc,
      sym_block_comment,
  [89323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8585), 1,
      anon_sym_PIPE_RBRACE,
    STATE(5020), 2,
      sym_xml_doc,
      sym_block_comment,
  [89340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8587), 1,
      anon_sym_GT,
    STATE(5021), 2,
      sym_xml_doc,
      sym_block_comment,
  [89357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8589), 1,
      sym__triple_quoted_content,
    STATE(5022), 2,
      sym_xml_doc,
      sym_block_comment,
  [89374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8591), 1,
      sym__triple_quoted_content,
    STATE(5023), 2,
      sym_xml_doc,
      sym_block_comment,
  [89391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8593), 1,
      anon_sym_RBRACE,
    STATE(5024), 2,
      sym_xml_doc,
      sym_block_comment,
  [89408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8595), 1,
      anon_sym_GT,
    STATE(5025), 2,
      sym_xml_doc,
      sym_block_comment,
  [89425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8597), 1,
      anon_sym_RPAREN,
    STATE(5026), 2,
      sym_xml_doc,
      sym_block_comment,
  [89442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8599), 1,
      sym_identifier,
    STATE(5027), 2,
      sym_xml_doc,
      sym_block_comment,
  [89459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8601), 1,
      anon_sym_RBRACK,
    STATE(5028), 2,
      sym_xml_doc,
      sym_block_comment,
  [89476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8603), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5029), 2,
      sym_xml_doc,
      sym_block_comment,
  [89493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8605), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5030), 2,
      sym_xml_doc,
      sym_block_comment,
  [89510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8607), 1,
      anon_sym_RPAREN,
    STATE(5031), 2,
      sym_xml_doc,
      sym_block_comment,
  [89527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8609), 1,
      anon_sym_RBRACK,
    STATE(5032), 2,
      sym_xml_doc,
      sym_block_comment,
  [89544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8611), 1,
      sym_identifier,
    STATE(5033), 2,
      sym_xml_doc,
      sym_block_comment,
  [89561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8613), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5034), 2,
      sym_xml_doc,
      sym_block_comment,
  [89578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8615), 1,
      anon_sym_COLON,
    STATE(5035), 2,
      sym_xml_doc,
      sym_block_comment,
  [89595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8617), 1,
      anon_sym_GT,
    STATE(5036), 2,
      sym_xml_doc,
      sym_block_comment,
  [89612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8619), 1,
      anon_sym_RPAREN,
    STATE(5037), 2,
      sym_xml_doc,
      sym_block_comment,
  [89629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8621), 1,
      anon_sym_RPAREN,
    STATE(5038), 2,
      sym_xml_doc,
      sym_block_comment,
  [89646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8623), 1,
      anon_sym_GT,
    STATE(5039), 2,
      sym_xml_doc,
      sym_block_comment,
  [89663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8625), 1,
      sym__hex_digit_imm,
    STATE(5040), 2,
      sym_xml_doc,
      sym_block_comment,
  [89680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8627), 1,
      anon_sym_RBRACK,
    STATE(5041), 2,
      sym_xml_doc,
      sym_block_comment,
  [89697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8629), 1,
      sym__digit_char_imm,
    STATE(5042), 2,
      sym_xml_doc,
      sym_block_comment,
  [89714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8631), 1,
      sym_identifier,
    STATE(5043), 2,
      sym_xml_doc,
      sym_block_comment,
  [89731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8633), 1,
      sym__hex_digit_imm,
    STATE(5044), 2,
      sym_xml_doc,
      sym_block_comment,
  [89748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8635), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5045), 2,
      sym_xml_doc,
      sym_block_comment,
  [89765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8637), 1,
      anon_sym_PIPE,
    STATE(5046), 2,
      sym_xml_doc,
      sym_block_comment,
  [89782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8639), 1,
      anon_sym_GT,
    STATE(5047), 2,
      sym_xml_doc,
      sym_block_comment,
  [89799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7083), 1,
      anon_sym_GT,
    STATE(5048), 2,
      sym_xml_doc,
      sym_block_comment,
  [89816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8641), 1,
      anon_sym_GT,
    STATE(5049), 2,
      sym_xml_doc,
      sym_block_comment,
  [89833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8643), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5050), 2,
      sym_xml_doc,
      sym_block_comment,
  [89850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8645), 1,
      sym_identifier,
    STATE(5051), 2,
      sym_xml_doc,
      sym_block_comment,
  [89867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8647), 1,
      sym__indent,
    STATE(5052), 2,
      sym_xml_doc,
      sym_block_comment,
  [89884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(5053), 2,
      sym_xml_doc,
      sym_block_comment,
  [89901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8651), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5054), 2,
      sym_xml_doc,
      sym_block_comment,
  [89918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8653), 1,
      sym_identifier,
    STATE(5055), 2,
      sym_xml_doc,
      sym_block_comment,
  [89935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8655), 1,
      sym__dedent,
    STATE(5056), 2,
      sym_xml_doc,
      sym_block_comment,
  [89952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3330), 1,
      anon_sym_EQ2,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(5057), 2,
      sym_xml_doc,
      sym_block_comment,
  [89969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8657), 1,
      anon_sym_member,
    STATE(5058), 2,
      sym_xml_doc,
      sym_block_comment,
  [89986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8659), 1,
      sym__digit_char_imm,
    STATE(5059), 2,
      sym_xml_doc,
      sym_block_comment,
  [90003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8661), 1,
      sym__indent,
    STATE(5060), 2,
      sym_xml_doc,
      sym_block_comment,
  [90020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8663), 1,
      sym__indent,
    STATE(5061), 2,
      sym_xml_doc,
      sym_block_comment,
  [90037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8665), 1,
      sym__indent,
    STATE(5062), 2,
      sym_xml_doc,
      sym_block_comment,
  [90054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8667), 1,
      sym__indent,
    STATE(5063), 2,
      sym_xml_doc,
      sym_block_comment,
  [90071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8669), 1,
      sym__dedent,
    STATE(5064), 2,
      sym_xml_doc,
      sym_block_comment,
  [90088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8671), 1,
      sym_identifier,
    STATE(5065), 2,
      sym_xml_doc,
      sym_block_comment,
  [90105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8673), 1,
      anon_sym_RBRACE,
    STATE(5066), 2,
      sym_xml_doc,
      sym_block_comment,
  [90122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8675), 1,
      anon_sym_EQ,
    STATE(5067), 2,
      sym_xml_doc,
      sym_block_comment,
  [90139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8677), 1,
      anon_sym_GT,
    STATE(5068), 2,
      sym_xml_doc,
      sym_block_comment,
  [90156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8679), 1,
      sym__indent,
    STATE(5069), 2,
      sym_xml_doc,
      sym_block_comment,
  [90173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8681), 1,
      sym__dedent,
    STATE(5070), 2,
      sym_xml_doc,
      sym_block_comment,
  [90190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8683), 1,
      sym__hex_digit_imm,
    STATE(5071), 2,
      sym_xml_doc,
      sym_block_comment,
  [90207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8685), 1,
      anon_sym_EQ,
    STATE(5072), 2,
      sym_xml_doc,
      sym_block_comment,
  [90224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8687), 1,
      sym__indent,
    STATE(5073), 2,
      sym_xml_doc,
      sym_block_comment,
  [90241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7099), 1,
      anon_sym_GT,
    STATE(5074), 2,
      sym_xml_doc,
      sym_block_comment,
  [90258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8689), 1,
      anon_sym_GT,
    STATE(5075), 2,
      sym_xml_doc,
      sym_block_comment,
  [90275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(5076), 2,
      sym_xml_doc,
      sym_block_comment,
  [90292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8693), 1,
      anon_sym_COLON,
    STATE(5077), 2,
      sym_xml_doc,
      sym_block_comment,
  [90309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8695), 1,
      sym__indent,
    STATE(5078), 2,
      sym_xml_doc,
      sym_block_comment,
  [90326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(5079), 2,
      sym_xml_doc,
      sym_block_comment,
  [90343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(5080), 2,
      sym_xml_doc,
      sym_block_comment,
  [90360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8701), 1,
      sym__indent,
    STATE(5081), 2,
      sym_xml_doc,
      sym_block_comment,
  [90377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8703), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5082), 2,
      sym_xml_doc,
      sym_block_comment,
  [90394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8705), 1,
      sym__indent,
    STATE(5083), 2,
      sym_xml_doc,
      sym_block_comment,
  [90411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8707), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5084), 2,
      sym_xml_doc,
      sym_block_comment,
  [90428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(5085), 2,
      sym_xml_doc,
      sym_block_comment,
  [90445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(957), 1,
      sym__dedent,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(5086), 2,
      sym_xml_doc,
      sym_block_comment,
  [90462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8711), 1,
      sym__indent,
    STATE(5087), 2,
      sym_xml_doc,
      sym_block_comment,
  [90479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8713), 1,
      sym_identifier,
    STATE(5088), 2,
      sym_xml_doc,
      sym_block_comment,
  [90496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8715), 1,
      sym__hex_digit_imm,
    STATE(5089), 2,
      sym_xml_doc,
      sym_block_comment,
  [90513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8717), 1,
      sym__dedent,
    STATE(5090), 2,
      sym_xml_doc,
      sym_block_comment,
  [90530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8719), 1,
      sym_identifier,
    STATE(5091), 2,
      sym_xml_doc,
      sym_block_comment,
  [90547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8721), 1,
      sym__hex_digit_imm,
    STATE(5092), 2,
      sym_xml_doc,
      sym_block_comment,
  [90564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8723), 1,
      sym__dedent,
    STATE(5093), 2,
      sym_xml_doc,
      sym_block_comment,
  [90581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8725), 1,
      sym_identifier,
    STATE(5094), 2,
      sym_xml_doc,
      sym_block_comment,
  [90598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8727), 1,
      sym__indent,
    STATE(5095), 2,
      sym_xml_doc,
      sym_block_comment,
  [90615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(2535), 1,
      anon_sym_RPAREN,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(5096), 2,
      sym_xml_doc,
      sym_block_comment,
  [90632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8729), 1,
      sym_identifier,
    STATE(5097), 2,
      sym_xml_doc,
      sym_block_comment,
  [90649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8731), 1,
      anon_sym_EQ,
    STATE(5098), 2,
      sym_xml_doc,
      sym_block_comment,
  [90666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8733), 1,
      anon_sym_GT,
    STATE(5099), 2,
      sym_xml_doc,
      sym_block_comment,
  [90683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7114), 1,
      anon_sym_GT,
    STATE(5100), 2,
      sym_xml_doc,
      sym_block_comment,
  [90700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8735), 1,
      anon_sym_EQ,
    STATE(5101), 2,
      sym_xml_doc,
      sym_block_comment,
  [90717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8737), 1,
      anon_sym_GT,
    STATE(5102), 2,
      sym_xml_doc,
      sym_block_comment,
  [90734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8739), 1,
      anon_sym_COLON,
    STATE(5103), 2,
      sym_xml_doc,
      sym_block_comment,
  [90751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8741), 1,
      anon_sym_RBRACK,
    STATE(5104), 2,
      sym_xml_doc,
      sym_block_comment,
  [90768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8743), 1,
      sym_identifier,
    STATE(5105), 2,
      sym_xml_doc,
      sym_block_comment,
  [90785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8745), 1,
      sym_identifier,
    STATE(5106), 2,
      sym_xml_doc,
      sym_block_comment,
  [90802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8747), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5107), 2,
      sym_xml_doc,
      sym_block_comment,
  [90819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8749), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5108), 2,
      sym_xml_doc,
      sym_block_comment,
  [90836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8751), 1,
      anon_sym_GT,
    STATE(5109), 2,
      sym_xml_doc,
      sym_block_comment,
  [90853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8753), 1,
      sym_identifier,
    STATE(5110), 2,
      sym_xml_doc,
      sym_block_comment,
  [90870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8755), 1,
      anon_sym_RPAREN,
    STATE(5111), 2,
      sym_xml_doc,
      sym_block_comment,
  [90887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8757), 1,
      sym_identifier,
    STATE(5112), 2,
      sym_xml_doc,
      sym_block_comment,
  [90904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8759), 1,
      anon_sym_GT,
    STATE(5113), 2,
      sym_xml_doc,
      sym_block_comment,
  [90921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8761), 1,
      sym__digit_char_imm,
    STATE(5114), 2,
      sym_xml_doc,
      sym_block_comment,
  [90938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8763), 1,
      sym__indent,
    STATE(5115), 2,
      sym_xml_doc,
      sym_block_comment,
  [90955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8765), 1,
      sym__indent,
    STATE(5116), 2,
      sym_xml_doc,
      sym_block_comment,
  [90972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8767), 1,
      anon_sym_GT,
    STATE(5117), 2,
      sym_xml_doc,
      sym_block_comment,
  [90989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7087), 1,
      anon_sym_GT,
    STATE(5118), 2,
      sym_xml_doc,
      sym_block_comment,
  [91006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8769), 1,
      anon_sym_GT,
    STATE(5119), 2,
      sym_xml_doc,
      sym_block_comment,
  [91023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8771), 1,
      sym_identifier,
    STATE(5120), 2,
      sym_xml_doc,
      sym_block_comment,
  [91040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8773), 1,
      anon_sym_EQ,
    STATE(5121), 2,
      sym_xml_doc,
      sym_block_comment,
  [91057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8775), 1,
      sym__indent,
    STATE(5122), 2,
      sym_xml_doc,
      sym_block_comment,
  [91074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8777), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5123), 2,
      sym_xml_doc,
      sym_block_comment,
  [91091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8779), 1,
      sym__hex_digit_imm,
    STATE(5124), 2,
      sym_xml_doc,
      sym_block_comment,
  [91108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8781), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5125), 2,
      sym_xml_doc,
      sym_block_comment,
  [91125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8783), 1,
      sym_identifier,
    STATE(5126), 2,
      sym_xml_doc,
      sym_block_comment,
  [91142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8785), 1,
      sym_identifier,
    STATE(5127), 2,
      sym_xml_doc,
      sym_block_comment,
  [91159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8787), 1,
      anon_sym_RBRACE,
    STATE(5128), 2,
      sym_xml_doc,
      sym_block_comment,
  [91176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8789), 1,
      anon_sym_PIPE_RBRACE,
    STATE(5129), 2,
      sym_xml_doc,
      sym_block_comment,
  [91193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8791), 1,
      sym_identifier,
    STATE(5130), 2,
      sym_xml_doc,
      sym_block_comment,
  [91210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8793), 1,
      sym__indent,
    STATE(5131), 2,
      sym_xml_doc,
      sym_block_comment,
  [91227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8795), 1,
      sym_identifier,
    STATE(5132), 2,
      sym_xml_doc,
      sym_block_comment,
  [91244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8797), 1,
      sym__indent,
    STATE(5133), 2,
      sym_xml_doc,
      sym_block_comment,
  [91261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8799), 1,
      sym__dedent,
    STATE(5134), 2,
      sym_xml_doc,
      sym_block_comment,
  [91278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8801), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5135), 2,
      sym_xml_doc,
      sym_block_comment,
  [91295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8803), 1,
      sym_identifier,
    STATE(5136), 2,
      sym_xml_doc,
      sym_block_comment,
  [91312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8805), 1,
      sym__digit_char_imm,
    STATE(5137), 2,
      sym_xml_doc,
      sym_block_comment,
  [91329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8807), 1,
      sym_identifier,
    STATE(5138), 2,
      sym_xml_doc,
      sym_block_comment,
  [91346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8809), 1,
      sym__hex_digit_imm,
    STATE(5139), 2,
      sym_xml_doc,
      sym_block_comment,
  [91363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8811), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5140), 2,
      sym_xml_doc,
      sym_block_comment,
  [91380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7146), 1,
      anon_sym_GT,
    STATE(5141), 2,
      sym_xml_doc,
      sym_block_comment,
  [91397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8813), 1,
      anon_sym_GT,
    STATE(5142), 2,
      sym_xml_doc,
      sym_block_comment,
  [91414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7136), 1,
      anon_sym_GT,
    STATE(5143), 2,
      sym_xml_doc,
      sym_block_comment,
  [91431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8815), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5144), 2,
      sym_xml_doc,
      sym_block_comment,
  [91448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8817), 1,
      sym_identifier,
    STATE(5145), 2,
      sym_xml_doc,
      sym_block_comment,
  [91465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8819), 1,
      anon_sym_GT,
    STATE(5146), 2,
      sym_xml_doc,
      sym_block_comment,
  [91482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8821), 1,
      sym_identifier,
    STATE(5147), 2,
      sym_xml_doc,
      sym_block_comment,
  [91499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8823), 1,
      sym__digit_char_imm,
    STATE(5148), 2,
      sym_xml_doc,
      sym_block_comment,
  [91516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8825), 1,
      sym__indent,
    STATE(5149), 2,
      sym_xml_doc,
      sym_block_comment,
  [91533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8827), 1,
      anon_sym_RPAREN,
    STATE(5150), 2,
      sym_xml_doc,
      sym_block_comment,
  [91550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8829), 1,
      sym__dedent,
    STATE(5151), 2,
      sym_xml_doc,
      sym_block_comment,
  [91567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8831), 1,
      anon_sym_RPAREN,
    STATE(5152), 2,
      sym_xml_doc,
      sym_block_comment,
  [91584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8833), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5153), 2,
      sym_xml_doc,
      sym_block_comment,
  [91601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8835), 1,
      sym__indent,
    STATE(5154), 2,
      sym_xml_doc,
      sym_block_comment,
  [91618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8837), 1,
      sym__hex_digit_imm,
    STATE(5155), 2,
      sym_xml_doc,
      sym_block_comment,
  [91635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8839), 1,
      sym__hex_digit_imm,
    STATE(5156), 2,
      sym_xml_doc,
      sym_block_comment,
  [91652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8841), 1,
      anon_sym_RPAREN,
    STATE(5157), 2,
      sym_xml_doc,
      sym_block_comment,
  [91669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8843), 1,
      sym_identifier,
    STATE(5158), 2,
      sym_xml_doc,
      sym_block_comment,
  [91686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8845), 1,
      sym_identifier,
    STATE(5159), 2,
      sym_xml_doc,
      sym_block_comment,
  [91703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8847), 1,
      anon_sym_COLON,
    STATE(5160), 2,
      sym_xml_doc,
      sym_block_comment,
  [91720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8849), 1,
      anon_sym_GT,
    STATE(5161), 2,
      sym_xml_doc,
      sym_block_comment,
  [91737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8851), 1,
      sym_identifier,
    STATE(5162), 2,
      sym_xml_doc,
      sym_block_comment,
  [91754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8853), 1,
      sym__indent,
    STATE(5163), 2,
      sym_xml_doc,
      sym_block_comment,
  [91771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(4151), 1,
      sym__dedent,
    STATE(5164), 2,
      sym_xml_doc,
      sym_block_comment,
  [91788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8855), 1,
      sym__indent,
    STATE(5165), 2,
      sym_xml_doc,
      sym_block_comment,
  [91805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8857), 1,
      anon_sym_RBRACE,
    STATE(5166), 2,
      sym_xml_doc,
      sym_block_comment,
  [91822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7112), 1,
      anon_sym_GT,
    STATE(5167), 2,
      sym_xml_doc,
      sym_block_comment,
  [91839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8859), 1,
      sym_identifier,
    STATE(5168), 2,
      sym_xml_doc,
      sym_block_comment,
  [91856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8861), 1,
      anon_sym_EQ,
    STATE(5169), 2,
      sym_xml_doc,
      sym_block_comment,
  [91873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8863), 1,
      sym_identifier,
    STATE(5170), 2,
      sym_xml_doc,
      sym_block_comment,
  [91890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8865), 1,
      anon_sym_PIPE_RBRACE,
    STATE(5171), 2,
      sym_xml_doc,
      sym_block_comment,
  [91907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8867), 1,
      anon_sym_EQ,
    STATE(5172), 2,
      sym_xml_doc,
      sym_block_comment,
  [91924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8869), 1,
      anon_sym_RBRACE,
    STATE(5173), 2,
      sym_xml_doc,
      sym_block_comment,
  [91941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8871), 1,
      anon_sym_GT,
    STATE(5174), 2,
      sym_xml_doc,
      sym_block_comment,
  [91958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8873), 1,
      sym_identifier,
    STATE(5175), 2,
      sym_xml_doc,
      sym_block_comment,
  [91975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8875), 1,
      anon_sym_RPAREN,
    STATE(5176), 2,
      sym_xml_doc,
      sym_block_comment,
  [91992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8877), 1,
      anon_sym_GT,
    STATE(5177), 2,
      sym_xml_doc,
      sym_block_comment,
  [92009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8879), 1,
      sym__indent,
    STATE(5178), 2,
      sym_xml_doc,
      sym_block_comment,
  [92026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8881), 1,
      sym_identifier,
    STATE(5179), 2,
      sym_xml_doc,
      sym_block_comment,
  [92043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8883), 1,
      anon_sym_RBRACK,
    STATE(5180), 2,
      sym_xml_doc,
      sym_block_comment,
  [92060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8885), 1,
      sym__indent,
    STATE(5181), 2,
      sym_xml_doc,
      sym_block_comment,
  [92077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8887), 1,
      anon_sym_COLON,
    STATE(5182), 2,
      sym_xml_doc,
      sym_block_comment,
  [92094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8889), 1,
      sym_identifier,
    STATE(5183), 2,
      sym_xml_doc,
      sym_block_comment,
  [92111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8891), 1,
      anon_sym_RBRACE,
    STATE(5184), 2,
      sym_xml_doc,
      sym_block_comment,
  [92128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8893), 1,
      anon_sym_GT,
    STATE(5185), 2,
      sym_xml_doc,
      sym_block_comment,
  [92145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8895), 1,
      sym_identifier,
    STATE(5186), 2,
      sym_xml_doc,
      sym_block_comment,
  [92162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8897), 1,
      sym_identifier,
    STATE(5187), 2,
      sym_xml_doc,
      sym_block_comment,
  [92179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8899), 1,
      sym_identifier,
    STATE(5188), 2,
      sym_xml_doc,
      sym_block_comment,
  [92196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8901), 1,
      sym__indent,
    STATE(5189), 2,
      sym_xml_doc,
      sym_block_comment,
  [92213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8903), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5190), 2,
      sym_xml_doc,
      sym_block_comment,
  [92230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8905), 1,
      sym__indent,
    STATE(5191), 2,
      sym_xml_doc,
      sym_block_comment,
  [92247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8907), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5192), 2,
      sym_xml_doc,
      sym_block_comment,
  [92264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8909), 1,
      sym__indent,
    STATE(5193), 2,
      sym_xml_doc,
      sym_block_comment,
  [92281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8911), 1,
      sym__indent,
    STATE(5194), 2,
      sym_xml_doc,
      sym_block_comment,
  [92298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8913), 1,
      anon_sym_and,
    STATE(5195), 2,
      sym_xml_doc,
      sym_block_comment,
  [92315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8915), 1,
      sym__dedent,
    STATE(5196), 2,
      sym_xml_doc,
      sym_block_comment,
  [92332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8917), 1,
      anon_sym_DASH_GT,
    STATE(5197), 2,
      sym_xml_doc,
      sym_block_comment,
  [92349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8919), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5198), 2,
      sym_xml_doc,
      sym_block_comment,
  [92366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8921), 1,
      sym_identifier,
    STATE(5199), 2,
      sym_xml_doc,
      sym_block_comment,
  [92383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8923), 1,
      sym_identifier,
    STATE(5200), 2,
      sym_xml_doc,
      sym_block_comment,
  [92400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8925), 1,
      anon_sym_RBRACK,
    STATE(5201), 2,
      sym_xml_doc,
      sym_block_comment,
  [92417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8927), 1,
      anon_sym_RPAREN,
    STATE(5202), 2,
      sym_xml_doc,
      sym_block_comment,
  [92434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8929), 1,
      sym__indent,
    STATE(5203), 2,
      sym_xml_doc,
      sym_block_comment,
  [92451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8931), 1,
      anon_sym_RPAREN,
    STATE(5204), 2,
      sym_xml_doc,
      sym_block_comment,
  [92468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8933), 1,
      sym__indent,
    STATE(5205), 2,
      sym_xml_doc,
      sym_block_comment,
  [92485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8935), 1,
      sym_identifier,
    STATE(5206), 2,
      sym_xml_doc,
      sym_block_comment,
  [92502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8937), 1,
      sym__dedent,
    STATE(5207), 2,
      sym_xml_doc,
      sym_block_comment,
  [92519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8939), 1,
      anon_sym_set,
    STATE(5208), 2,
      sym_xml_doc,
      sym_block_comment,
  [92536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8939), 1,
      anon_sym_get,
    STATE(5209), 2,
      sym_xml_doc,
      sym_block_comment,
  [92553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8941), 1,
      anon_sym_set,
    STATE(5210), 2,
      sym_xml_doc,
      sym_block_comment,
  [92570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8941), 1,
      anon_sym_get,
    STATE(5211), 2,
      sym_xml_doc,
      sym_block_comment,
  [92587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8943), 1,
      sym_identifier,
    STATE(5212), 2,
      sym_xml_doc,
      sym_block_comment,
  [92604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8945), 1,
      anon_sym_set,
    STATE(5213), 2,
      sym_xml_doc,
      sym_block_comment,
  [92621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8947), 1,
      anon_sym_GT,
    STATE(5214), 2,
      sym_xml_doc,
      sym_block_comment,
  [92638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8949), 1,
      sym__indent,
    STATE(5215), 2,
      sym_xml_doc,
      sym_block_comment,
  [92655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8951), 1,
      anon_sym_RBRACE,
    STATE(5216), 2,
      sym_xml_doc,
      sym_block_comment,
  [92672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8953), 1,
      sym__indent,
    STATE(5217), 2,
      sym_xml_doc,
      sym_block_comment,
  [92689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7061), 1,
      anon_sym_GT,
    STATE(5218), 2,
      sym_xml_doc,
      sym_block_comment,
  [92706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8955), 1,
      anon_sym_PIPE_RBRACE,
    STATE(5219), 2,
      sym_xml_doc,
      sym_block_comment,
  [92723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8957), 1,
      anon_sym_RBRACE,
    STATE(5220), 2,
      sym_xml_doc,
      sym_block_comment,
  [92740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8959), 1,
      anon_sym_GT,
    STATE(5221), 2,
      sym_xml_doc,
      sym_block_comment,
  [92757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8961), 1,
      anon_sym_RPAREN,
    STATE(5222), 2,
      sym_xml_doc,
      sym_block_comment,
  [92774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8963), 1,
      sym__indent,
    STATE(5223), 2,
      sym_xml_doc,
      sym_block_comment,
  [92791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8965), 1,
      sym_identifier,
    STATE(5224), 2,
      sym_xml_doc,
      sym_block_comment,
  [92808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8967), 1,
      anon_sym_GT,
    STATE(5225), 2,
      sym_xml_doc,
      sym_block_comment,
  [92825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8969), 1,
      sym__indent,
    STATE(5226), 2,
      sym_xml_doc,
      sym_block_comment,
  [92842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(3989), 1,
      sym__dedent,
    STATE(5227), 2,
      sym_xml_doc,
      sym_block_comment,
  [92859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8971), 1,
      sym__indent,
    STATE(5228), 2,
      sym_xml_doc,
      sym_block_comment,
  [92876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8973), 1,
      anon_sym_RBRACK,
    STATE(5229), 2,
      sym_xml_doc,
      sym_block_comment,
  [92893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8975), 1,
      sym__hex_digit_imm,
    STATE(5230), 2,
      sym_xml_doc,
      sym_block_comment,
  [92910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8945), 1,
      anon_sym_get,
    STATE(5231), 2,
      sym_xml_doc,
      sym_block_comment,
  [92927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8977), 1,
      anon_sym_GT,
    STATE(5232), 2,
      sym_xml_doc,
      sym_block_comment,
  [92944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(5233), 2,
      sym_xml_doc,
      sym_block_comment,
  [92961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8979), 1,
      anon_sym_RPAREN,
    STATE(5234), 2,
      sym_xml_doc,
      sym_block_comment,
  [92978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8981), 1,
      anon_sym_PIPE,
    STATE(5235), 2,
      sym_xml_doc,
      sym_block_comment,
  [92995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8983), 1,
      sym_identifier,
    STATE(5236), 2,
      sym_xml_doc,
      sym_block_comment,
  [93012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8985), 1,
      sym_identifier,
    STATE(5237), 2,
      sym_xml_doc,
      sym_block_comment,
  [93029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8987), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5238), 2,
      sym_xml_doc,
      sym_block_comment,
  [93046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8989), 1,
      sym__indent,
    STATE(5239), 2,
      sym_xml_doc,
      sym_block_comment,
  [93063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8991), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5240), 2,
      sym_xml_doc,
      sym_block_comment,
  [93080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8993), 1,
      sym__indent,
    STATE(5241), 2,
      sym_xml_doc,
      sym_block_comment,
  [93097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8995), 1,
      sym_identifier,
    STATE(5242), 2,
      sym_xml_doc,
      sym_block_comment,
  [93114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8997), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5243), 2,
      sym_xml_doc,
      sym_block_comment,
  [93131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(8999), 1,
      sym_identifier,
    STATE(5244), 2,
      sym_xml_doc,
      sym_block_comment,
  [93148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9001), 1,
      anon_sym_RBRACK,
    STATE(5245), 2,
      sym_xml_doc,
      sym_block_comment,
  [93165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9003), 1,
      sym_identifier,
    STATE(5246), 2,
      sym_xml_doc,
      sym_block_comment,
  [93182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9005), 1,
      sym__indent,
    STATE(5247), 2,
      sym_xml_doc,
      sym_block_comment,
  [93199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9007), 1,
      sym_identifier,
    STATE(5248), 2,
      sym_xml_doc,
      sym_block_comment,
  [93216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9009), 1,
      anon_sym_RPAREN,
    STATE(5249), 2,
      sym_xml_doc,
      sym_block_comment,
  [93233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9011), 1,
      sym__indent,
    STATE(5250), 2,
      sym_xml_doc,
      sym_block_comment,
  [93250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9013), 1,
      sym__indent,
    STATE(5251), 2,
      sym_xml_doc,
      sym_block_comment,
  [93267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9015), 1,
      anon_sym_RPAREN,
    STATE(5252), 2,
      sym_xml_doc,
      sym_block_comment,
  [93284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9017), 1,
      sym_identifier,
    STATE(5253), 2,
      sym_xml_doc,
      sym_block_comment,
  [93301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9019), 1,
      sym_identifier,
    STATE(5254), 2,
      sym_xml_doc,
      sym_block_comment,
  [93318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9021), 1,
      sym__hex_digit_imm,
    STATE(5255), 2,
      sym_xml_doc,
      sym_block_comment,
  [93335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9023), 1,
      anon_sym_RBRACE,
    STATE(5256), 2,
      sym_xml_doc,
      sym_block_comment,
  [93352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9025), 1,
      anon_sym_EQ,
    STATE(5257), 2,
      sym_xml_doc,
      sym_block_comment,
  [93369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9027), 1,
      sym__dedent,
    STATE(5258), 2,
      sym_xml_doc,
      sym_block_comment,
  [93386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9029), 1,
      anon_sym_EQ,
    STATE(5259), 2,
      sym_xml_doc,
      sym_block_comment,
  [93403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9031), 1,
      sym_identifier,
    STATE(5260), 2,
      sym_xml_doc,
      sym_block_comment,
  [93420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9033), 1,
      sym__hex_digit_imm,
    STATE(5261), 2,
      sym_xml_doc,
      sym_block_comment,
  [93437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9035), 1,
      sym_identifier,
    STATE(5262), 2,
      sym_xml_doc,
      sym_block_comment,
  [93454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9037), 1,
      anon_sym_EQ,
    STATE(5263), 2,
      sym_xml_doc,
      sym_block_comment,
  [93471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9039), 1,
      anon_sym_RPAREN,
    STATE(5264), 2,
      sym_xml_doc,
      sym_block_comment,
  [93488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9041), 1,
      sym__hex_digit_imm,
    STATE(5265), 2,
      sym_xml_doc,
      sym_block_comment,
  [93505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9043), 1,
      sym__indent,
    STATE(5266), 2,
      sym_xml_doc,
      sym_block_comment,
  [93522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9045), 1,
      sym__indent,
    STATE(5267), 2,
      sym_xml_doc,
      sym_block_comment,
  [93539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9047), 1,
      anon_sym_GT,
    STATE(5268), 2,
      sym_xml_doc,
      sym_block_comment,
  [93556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9049), 1,
      anon_sym_RBRACE,
    STATE(5269), 2,
      sym_xml_doc,
      sym_block_comment,
  [93573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9051), 1,
      sym__hex_digit_imm,
    STATE(5270), 2,
      sym_xml_doc,
      sym_block_comment,
  [93590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7107), 1,
      anon_sym_GT,
    STATE(5271), 2,
      sym_xml_doc,
      sym_block_comment,
  [93607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9053), 1,
      sym__hex_digit_imm,
    STATE(5272), 2,
      sym_xml_doc,
      sym_block_comment,
  [93624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9055), 1,
      sym__indent,
    STATE(5273), 2,
      sym_xml_doc,
      sym_block_comment,
  [93641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9057), 1,
      sym__indent,
    STATE(5274), 2,
      sym_xml_doc,
      sym_block_comment,
  [93658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9059), 1,
      sym__hex_digit_imm,
    STATE(5275), 2,
      sym_xml_doc,
      sym_block_comment,
  [93675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9061), 1,
      anon_sym_PIPE_RBRACE,
    STATE(5276), 2,
      sym_xml_doc,
      sym_block_comment,
  [93692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9063), 1,
      sym__hex_digit_imm,
    STATE(5277), 2,
      sym_xml_doc,
      sym_block_comment,
  [93709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9065), 1,
      anon_sym_RBRACE,
    STATE(5278), 2,
      sym_xml_doc,
      sym_block_comment,
  [93726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9067), 1,
      sym__indent,
    STATE(5279), 2,
      sym_xml_doc,
      sym_block_comment,
  [93743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9069), 1,
      sym__indent,
    STATE(5280), 2,
      sym_xml_doc,
      sym_block_comment,
  [93760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9071), 1,
      anon_sym_LT2,
    STATE(5281), 2,
      sym_xml_doc,
      sym_block_comment,
  [93777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9073), 1,
      anon_sym_RPAREN,
    STATE(5282), 2,
      sym_xml_doc,
      sym_block_comment,
  [93794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9075), 1,
      anon_sym_RPAREN,
    STATE(5283), 2,
      sym_xml_doc,
      sym_block_comment,
  [93811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9077), 1,
      sym__indent,
    STATE(5284), 2,
      sym_xml_doc,
      sym_block_comment,
  [93828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9079), 1,
      sym__indent,
    STATE(5285), 2,
      sym_xml_doc,
      sym_block_comment,
  [93845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9081), 1,
      anon_sym_GT,
    STATE(5286), 2,
      sym_xml_doc,
      sym_block_comment,
  [93862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9083), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5287), 2,
      sym_xml_doc,
      sym_block_comment,
  [93879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9085), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5288), 2,
      sym_xml_doc,
      sym_block_comment,
  [93896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9087), 1,
      sym__indent,
    STATE(5289), 2,
      sym_xml_doc,
      sym_block_comment,
  [93913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9089), 1,
      sym__indent,
    STATE(5290), 2,
      sym_xml_doc,
      sym_block_comment,
  [93930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9091), 1,
      anon_sym_RBRACK,
    STATE(5291), 2,
      sym_xml_doc,
      sym_block_comment,
  [93947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9093), 1,
      anon_sym_RBRACK,
    STATE(5292), 2,
      sym_xml_doc,
      sym_block_comment,
  [93964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9095), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5293), 2,
      sym_xml_doc,
      sym_block_comment,
  [93981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9097), 1,
      sym__indent,
    STATE(5294), 2,
      sym_xml_doc,
      sym_block_comment,
  [93998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9099), 1,
      sym__indent,
    STATE(5295), 2,
      sym_xml_doc,
      sym_block_comment,
  [94015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(5296), 2,
      sym_xml_doc,
      sym_block_comment,
  [94032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9103), 1,
      anon_sym_COLON,
    STATE(5297), 2,
      sym_xml_doc,
      sym_block_comment,
  [94049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9105), 1,
      anon_sym_LPAREN,
    STATE(5298), 2,
      sym_xml_doc,
      sym_block_comment,
  [94066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9107), 1,
      sym__indent,
    STATE(5299), 2,
      sym_xml_doc,
      sym_block_comment,
  [94083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9109), 1,
      sym__indent,
    STATE(5300), 2,
      sym_xml_doc,
      sym_block_comment,
  [94100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9111), 1,
      sym_identifier,
    STATE(5301), 2,
      sym_xml_doc,
      sym_block_comment,
  [94117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9113), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5302), 2,
      sym_xml_doc,
      sym_block_comment,
  [94134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9115), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5303), 2,
      sym_xml_doc,
      sym_block_comment,
  [94151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9117), 1,
      sym__indent,
    STATE(5304), 2,
      sym_xml_doc,
      sym_block_comment,
  [94168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9119), 1,
      sym__indent,
    STATE(5305), 2,
      sym_xml_doc,
      sym_block_comment,
  [94185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9121), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5306), 2,
      sym_xml_doc,
      sym_block_comment,
  [94202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9123), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5307), 2,
      sym_xml_doc,
      sym_block_comment,
  [94219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9125), 1,
      sym__hex_digit_imm,
    STATE(5308), 2,
      sym_xml_doc,
      sym_block_comment,
  [94236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9127), 1,
      anon_sym_COLON,
    STATE(5309), 2,
      sym_xml_doc,
      sym_block_comment,
  [94253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9129), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5310), 2,
      sym_xml_doc,
      sym_block_comment,
  [94270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9131), 1,
      anon_sym_RBRACK,
    STATE(5311), 2,
      sym_xml_doc,
      sym_block_comment,
  [94287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9133), 1,
      anon_sym_RPAREN,
    STATE(5312), 2,
      sym_xml_doc,
      sym_block_comment,
  [94304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9135), 1,
      anon_sym_RPAREN,
    STATE(5313), 2,
      sym_xml_doc,
      sym_block_comment,
  [94321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9137), 1,
      sym_identifier,
    STATE(5314), 2,
      sym_xml_doc,
      sym_block_comment,
  [94338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9139), 1,
      sym__digit_char_imm,
    STATE(5315), 2,
      sym_xml_doc,
      sym_block_comment,
  [94355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9141), 1,
      sym__hex_digit_imm,
    STATE(5316), 2,
      sym_xml_doc,
      sym_block_comment,
  [94372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9143), 1,
      sym_identifier,
    STATE(5317), 2,
      sym_xml_doc,
      sym_block_comment,
  [94389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9145), 1,
      sym__indent,
    STATE(5318), 2,
      sym_xml_doc,
      sym_block_comment,
  [94406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9147), 1,
      sym__hex_digit_imm,
    STATE(5319), 2,
      sym_xml_doc,
      sym_block_comment,
  [94423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9149), 1,
      sym_identifier,
    STATE(5320), 2,
      sym_xml_doc,
      sym_block_comment,
  [94440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9151), 1,
      anon_sym_EQ,
    STATE(5321), 2,
      sym_xml_doc,
      sym_block_comment,
  [94457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(5133), 1,
      anon_sym_EQ,
    STATE(5322), 2,
      sym_xml_doc,
      sym_block_comment,
  [94474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9153), 1,
      sym__hex_digit_imm,
    STATE(5323), 2,
      sym_xml_doc,
      sym_block_comment,
  [94491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9155), 1,
      sym_identifier,
    STATE(5324), 2,
      sym_xml_doc,
      sym_block_comment,
  [94508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9157), 1,
      anon_sym_EQ,
    STATE(5325), 2,
      sym_xml_doc,
      sym_block_comment,
  [94525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9159), 1,
      anon_sym_DASH_GT,
    STATE(5326), 2,
      sym_xml_doc,
      sym_block_comment,
  [94542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9161), 1,
      anon_sym_LT2,
    STATE(5327), 2,
      sym_xml_doc,
      sym_block_comment,
  [94559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9163), 1,
      anon_sym_GT,
    STATE(5328), 2,
      sym_xml_doc,
      sym_block_comment,
  [94576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9165), 1,
      anon_sym_RBRACE,
    STATE(5329), 2,
      sym_xml_doc,
      sym_block_comment,
  [94593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9167), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5330), 2,
      sym_xml_doc,
      sym_block_comment,
  [94610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9169), 1,
      anon_sym_RBRACK,
    STATE(5331), 2,
      sym_xml_doc,
      sym_block_comment,
  [94627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9171), 1,
      anon_sym_RPAREN,
    STATE(5332), 2,
      sym_xml_doc,
      sym_block_comment,
  [94644] = 5,
    ACTIONS(5), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(163), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(165), 1,
      sym_line_comment,
    ACTIONS(9173), 1,
      aux_sym_xml_doc_token1,
    STATE(5333), 2,
      sym_xml_doc,
      sym_block_comment,
  [94661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9175), 1,
      sym_identifier,
    STATE(5334), 2,
      sym_xml_doc,
      sym_block_comment,
  [94678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9177), 1,
      sym__dedent,
    STATE(5335), 2,
      sym_xml_doc,
      sym_block_comment,
  [94695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7021), 1,
      anon_sym_GT,
    STATE(5336), 2,
      sym_xml_doc,
      sym_block_comment,
  [94712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9179), 1,
      anon_sym_RBRACE,
    STATE(5337), 2,
      sym_xml_doc,
      sym_block_comment,
  [94729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9181), 1,
      anon_sym_PIPE_RBRACE,
    STATE(5338), 2,
      sym_xml_doc,
      sym_block_comment,
  [94746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9183), 1,
      anon_sym_RBRACE,
    STATE(5339), 2,
      sym_xml_doc,
      sym_block_comment,
  [94763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9185), 1,
      anon_sym_GT,
    STATE(5340), 2,
      sym_xml_doc,
      sym_block_comment,
  [94780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9187), 1,
      anon_sym_RPAREN,
    STATE(5341), 2,
      sym_xml_doc,
      sym_block_comment,
  [94797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9189), 1,
      anon_sym_GT,
    STATE(5342), 2,
      sym_xml_doc,
      sym_block_comment,
  [94814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9191), 1,
      anon_sym_RBRACK,
    STATE(5343), 2,
      sym_xml_doc,
      sym_block_comment,
  [94831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9193), 1,
      anon_sym_struct,
    STATE(5344), 2,
      sym_xml_doc,
      sym_block_comment,
  [94848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9195), 1,
      sym_identifier,
    STATE(5345), 2,
      sym_xml_doc,
      sym_block_comment,
  [94865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9197), 1,
      anon_sym_new,
    STATE(5346), 2,
      sym_xml_doc,
      sym_block_comment,
  [94882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9199), 1,
      anon_sym_RPAREN,
    STATE(5347), 2,
      sym_xml_doc,
      sym_block_comment,
  [94899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9201), 1,
      sym_identifier,
    STATE(5348), 2,
      sym_xml_doc,
      sym_block_comment,
  [94916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9203), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5349), 2,
      sym_xml_doc,
      sym_block_comment,
  [94933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9205), 1,
      sym__hex_digit_imm,
    STATE(5350), 2,
      sym_xml_doc,
      sym_block_comment,
  [94950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9207), 1,
      anon_sym_COLON,
    STATE(5351), 2,
      sym_xml_doc,
      sym_block_comment,
  [94967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9209), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5352), 2,
      sym_xml_doc,
      sym_block_comment,
  [94984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9211), 1,
      sym_identifier,
    STATE(5353), 2,
      sym_xml_doc,
      sym_block_comment,
  [95001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9213), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5354), 2,
      sym_xml_doc,
      sym_block_comment,
  [95018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9215), 1,
      anon_sym_RBRACK,
    STATE(5355), 2,
      sym_xml_doc,
      sym_block_comment,
  [95035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9217), 1,
      anon_sym_COLON,
    STATE(5356), 2,
      sym_xml_doc,
      sym_block_comment,
  [95052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9219), 1,
      anon_sym_RPAREN,
    STATE(5357), 2,
      sym_xml_doc,
      sym_block_comment,
  [95069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9221), 1,
      anon_sym_RPAREN,
    STATE(5358), 2,
      sym_xml_doc,
      sym_block_comment,
  [95086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9223), 1,
      sym_identifier,
    STATE(5359), 2,
      sym_xml_doc,
      sym_block_comment,
  [95103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9225), 1,
      anon_sym_GT,
    STATE(5360), 2,
      sym_xml_doc,
      sym_block_comment,
  [95120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9227), 1,
      anon_sym_STAR_RPAREN,
    STATE(5361), 2,
      sym_xml_doc,
      sym_block_comment,
  [95137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9229), 1,
      sym__hex_digit_imm,
    STATE(5362), 2,
      sym_xml_doc,
      sym_block_comment,
  [95154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9231), 1,
      anon_sym_RPAREN,
    STATE(5363), 2,
      sym_xml_doc,
      sym_block_comment,
  [95171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9233), 1,
      anon_sym_RBRACK,
    STATE(5364), 2,
      sym_xml_doc,
      sym_block_comment,
  [95188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9235), 1,
      anon_sym_GT,
    STATE(5365), 2,
      sym_xml_doc,
      sym_block_comment,
  [95205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9237), 1,
      anon_sym_RBRACE,
    STATE(5366), 2,
      sym_xml_doc,
      sym_block_comment,
  [95222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7059), 1,
      anon_sym_GT,
    STATE(5367), 2,
      sym_xml_doc,
      sym_block_comment,
  [95239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9239), 1,
      anon_sym_COLON,
    STATE(5368), 2,
      sym_xml_doc,
      sym_block_comment,
  [95256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(1393), 1,
      ts_builtin_sym_end,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    STATE(5369), 2,
      sym_xml_doc,
      sym_block_comment,
  [95273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9241), 1,
      anon_sym_PIPE_RBRACE,
    STATE(5370), 2,
      sym_xml_doc,
      sym_block_comment,
  [95290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9243), 1,
      ts_builtin_sym_end,
    STATE(5371), 2,
      sym_xml_doc,
      sym_block_comment,
  [95307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9245), 1,
      anon_sym_RBRACE,
    STATE(5372), 2,
      sym_xml_doc,
      sym_block_comment,
  [95324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9247), 1,
      anon_sym_GT,
    STATE(5373), 2,
      sym_xml_doc,
      sym_block_comment,
  [95341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9249), 1,
      anon_sym_RPAREN,
    STATE(5374), 2,
      sym_xml_doc,
      sym_block_comment,
  [95358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9251), 1,
      sym__triple_quoted_content,
    STATE(5375), 2,
      sym_xml_doc,
      sym_block_comment,
  [95375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9253), 1,
      sym__triple_quoted_content,
    STATE(5376), 2,
      sym_xml_doc,
      sym_block_comment,
  [95392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9255), 1,
      anon_sym_GT,
    STATE(5377), 2,
      sym_xml_doc,
      sym_block_comment,
  [95409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9257), 1,
      anon_sym_RBRACK,
    STATE(5378), 2,
      sym_xml_doc,
      sym_block_comment,
  [95426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9259), 1,
      sym__dedent,
    STATE(5379), 2,
      sym_xml_doc,
      sym_block_comment,
  [95443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9261), 1,
      sym__dedent,
    STATE(5380), 2,
      sym_xml_doc,
      sym_block_comment,
  [95460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9263), 1,
      anon_sym_COLON,
    STATE(5381), 2,
      sym_xml_doc,
      sym_block_comment,
  [95477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9265), 1,
      sym_identifier,
    STATE(5382), 2,
      sym_xml_doc,
      sym_block_comment,
  [95494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9267), 1,
      sym_identifier,
    STATE(5383), 2,
      sym_xml_doc,
      sym_block_comment,
  [95511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9269), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5384), 2,
      sym_xml_doc,
      sym_block_comment,
  [95528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9271), 1,
      sym__indent,
    STATE(5385), 2,
      sym_xml_doc,
      sym_block_comment,
  [95545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9273), 1,
      sym__indent,
    STATE(5386), 2,
      sym_xml_doc,
      sym_block_comment,
  [95562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9275), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5387), 2,
      sym_xml_doc,
      sym_block_comment,
  [95579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9277), 1,
      anon_sym_EQ,
    STATE(5388), 2,
      sym_xml_doc,
      sym_block_comment,
  [95596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9279), 1,
      sym_identifier,
    STATE(5389), 2,
      sym_xml_doc,
      sym_block_comment,
  [95613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9281), 1,
      anon_sym_PIPE_RBRACK,
    STATE(5390), 2,
      sym_xml_doc,
      sym_block_comment,
  [95630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9283), 1,
      anon_sym_RBRACK,
    STATE(5391), 2,
      sym_xml_doc,
      sym_block_comment,
  [95647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9285), 1,
      anon_sym_EQ,
    STATE(5392), 2,
      sym_xml_doc,
      sym_block_comment,
  [95664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9287), 1,
      anon_sym_EQ,
    STATE(5393), 2,
      sym_xml_doc,
      sym_block_comment,
  [95681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9289), 1,
      sym_identifier,
    STATE(5394), 2,
      sym_xml_doc,
      sym_block_comment,
  [95698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9291), 1,
      sym_identifier,
    STATE(5395), 2,
      sym_xml_doc,
      sym_block_comment,
  [95715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9293), 1,
      anon_sym_RPAREN,
    STATE(5396), 2,
      sym_xml_doc,
      sym_block_comment,
  [95732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9295), 1,
      sym__hex_digit_imm,
    STATE(5397), 2,
      sym_xml_doc,
      sym_block_comment,
  [95749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9297), 1,
      anon_sym_RPAREN,
    STATE(5398), 2,
      sym_xml_doc,
      sym_block_comment,
  [95766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9299), 1,
      sym_identifier,
    STATE(5399), 2,
      sym_xml_doc,
      sym_block_comment,
  [95783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9301), 1,
      anon_sym_RPAREN,
    STATE(5400), 2,
      sym_xml_doc,
      sym_block_comment,
  [95800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9303), 1,
      anon_sym_GT,
    STATE(5401), 2,
      sym_xml_doc,
      sym_block_comment,
  [95817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9305), 1,
      anon_sym_RBRACE,
    STATE(5402), 2,
      sym_xml_doc,
      sym_block_comment,
  [95834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9307), 1,
      sym__dedent,
    STATE(5403), 2,
      sym_xml_doc,
      sym_block_comment,
  [95851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(7063), 1,
      anon_sym_GT,
    STATE(5404), 2,
      sym_xml_doc,
      sym_block_comment,
  [95868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9309), 1,
      sym__hex_digit_imm,
    STATE(5405), 2,
      sym_xml_doc,
      sym_block_comment,
  [95885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9311), 1,
      anon_sym_PIPE_RBRACE,
    STATE(5406), 2,
      sym_xml_doc,
      sym_block_comment,
  [95902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9313), 1,
      sym_block_comment_content,
    STATE(5407), 2,
      sym_xml_doc,
      sym_block_comment,
  [95919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(7), 1,
      sym_line_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN_STAR,
    ACTIONS(9315), 1,
      sym__hex_digit_imm,
    STATE(5408), 2,
      sym_xml_doc,
      sym_block_comment,
  [95936] = 1,
    ACTIONS(9317), 1,
      ts_builtin_sym_end,
  [95940] = 1,
    ACTIONS(9319), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2516)] = 0,
  [SMALL_STATE(2517)] = 78,
  [SMALL_STATE(2518)] = 158,
  [SMALL_STATE(2519)] = 238,
  [SMALL_STATE(2520)] = 313,
  [SMALL_STATE(2521)] = 388,
  [SMALL_STATE(2522)] = 465,
  [SMALL_STATE(2523)] = 540,
  [SMALL_STATE(2524)] = 617,
  [SMALL_STATE(2525)] = 692,
  [SMALL_STATE(2526)] = 766,
  [SMALL_STATE(2527)] = 840,
  [SMALL_STATE(2528)] = 914,
  [SMALL_STATE(2529)] = 1070,
  [SMALL_STATE(2530)] = 1144,
  [SMALL_STATE(2531)] = 1300,
  [SMALL_STATE(2532)] = 1374,
  [SMALL_STATE(2533)] = 1448,
  [SMALL_STATE(2534)] = 1577,
  [SMALL_STATE(2535)] = 1706,
  [SMALL_STATE(2536)] = 1835,
  [SMALL_STATE(2537)] = 1957,
  [SMALL_STATE(2538)] = 2081,
  [SMALL_STATE(2539)] = 2204,
  [SMALL_STATE(2540)] = 2327,
  [SMALL_STATE(2541)] = 2450,
  [SMALL_STATE(2542)] = 2573,
  [SMALL_STATE(2543)] = 2696,
  [SMALL_STATE(2544)] = 2819,
  [SMALL_STATE(2545)] = 2942,
  [SMALL_STATE(2546)] = 3065,
  [SMALL_STATE(2547)] = 3188,
  [SMALL_STATE(2548)] = 3311,
  [SMALL_STATE(2549)] = 3434,
  [SMALL_STATE(2550)] = 3557,
  [SMALL_STATE(2551)] = 3680,
  [SMALL_STATE(2552)] = 3803,
  [SMALL_STATE(2553)] = 3924,
  [SMALL_STATE(2554)] = 3995,
  [SMALL_STATE(2555)] = 4068,
  [SMALL_STATE(2556)] = 4141,
  [SMALL_STATE(2557)] = 4209,
  [SMALL_STATE(2558)] = 4304,
  [SMALL_STATE(2559)] = 4371,
  [SMALL_STATE(2560)] = 4440,
  [SMALL_STATE(2561)] = 4509,
  [SMALL_STATE(2562)] = 4573,
  [SMALL_STATE(2563)] = 4639,
  [SMALL_STATE(2564)] = 4707,
  [SMALL_STATE(2565)] = 4775,
  [SMALL_STATE(2566)] = 4866,
  [SMALL_STATE(2567)] = 4929,
  [SMALL_STATE(2568)] = 4995,
  [SMALL_STATE(2569)] = 5085,
  [SMALL_STATE(2570)] = 5149,
  [SMALL_STATE(2571)] = 5215,
  [SMALL_STATE(2572)] = 5276,
  [SMALL_STATE(2573)] = 5364,
  [SMALL_STATE(2574)] = 5453,
  [SMALL_STATE(2575)] = 5511,
  [SMALL_STATE(2576)] = 5571,
  [SMALL_STATE(2577)] = 5631,
  [SMALL_STATE(2578)] = 5688,
  [SMALL_STATE(2579)] = 5759,
  [SMALL_STATE(2580)] = 5830,
  [SMALL_STATE(2581)] = 5901,
  [SMALL_STATE(2582)] = 5972,
  [SMALL_STATE(2583)] = 6043,
  [SMALL_STATE(2584)] = 6102,
  [SMALL_STATE(2585)] = 6173,
  [SMALL_STATE(2586)] = 6232,
  [SMALL_STATE(2587)] = 6303,
  [SMALL_STATE(2588)] = 6374,
  [SMALL_STATE(2589)] = 6445,
  [SMALL_STATE(2590)] = 6500,
  [SMALL_STATE(2591)] = 6571,
  [SMALL_STATE(2592)] = 6642,
  [SMALL_STATE(2593)] = 6713,
  [SMALL_STATE(2594)] = 6769,
  [SMALL_STATE(2595)] = 6823,
  [SMALL_STATE(2596)] = 6905,
  [SMALL_STATE(2597)] = 6961,
  [SMALL_STATE(2598)] = 7019,
  [SMALL_STATE(2599)] = 7077,
  [SMALL_STATE(2600)] = 7135,
  [SMALL_STATE(2601)] = 7193,
  [SMALL_STATE(2602)] = 7246,
  [SMALL_STATE(2603)] = 7299,
  [SMALL_STATE(2604)] = 7352,
  [SMALL_STATE(2605)] = 7405,
  [SMALL_STATE(2606)] = 7458,
  [SMALL_STATE(2607)] = 7511,
  [SMALL_STATE(2608)] = 7564,
  [SMALL_STATE(2609)] = 7617,
  [SMALL_STATE(2610)] = 7670,
  [SMALL_STATE(2611)] = 7723,
  [SMALL_STATE(2612)] = 7776,
  [SMALL_STATE(2613)] = 7829,
  [SMALL_STATE(2614)] = 7882,
  [SMALL_STATE(2615)] = 7935,
  [SMALL_STATE(2616)] = 7988,
  [SMALL_STATE(2617)] = 8041,
  [SMALL_STATE(2618)] = 8094,
  [SMALL_STATE(2619)] = 8147,
  [SMALL_STATE(2620)] = 8200,
  [SMALL_STATE(2621)] = 8253,
  [SMALL_STATE(2622)] = 8306,
  [SMALL_STATE(2623)] = 8361,
  [SMALL_STATE(2624)] = 8414,
  [SMALL_STATE(2625)] = 8467,
  [SMALL_STATE(2626)] = 8520,
  [SMALL_STATE(2627)] = 8573,
  [SMALL_STATE(2628)] = 8630,
  [SMALL_STATE(2629)] = 8683,
  [SMALL_STATE(2630)] = 8736,
  [SMALL_STATE(2631)] = 8789,
  [SMALL_STATE(2632)] = 8846,
  [SMALL_STATE(2633)] = 8899,
  [SMALL_STATE(2634)] = 8954,
  [SMALL_STATE(2635)] = 9007,
  [SMALL_STATE(2636)] = 9060,
  [SMALL_STATE(2637)] = 9113,
  [SMALL_STATE(2638)] = 9166,
  [SMALL_STATE(2639)] = 9221,
  [SMALL_STATE(2640)] = 9276,
  [SMALL_STATE(2641)] = 9329,
  [SMALL_STATE(2642)] = 9382,
  [SMALL_STATE(2643)] = 9435,
  [SMALL_STATE(2644)] = 9488,
  [SMALL_STATE(2645)] = 9541,
  [SMALL_STATE(2646)] = 9594,
  [SMALL_STATE(2647)] = 9646,
  [SMALL_STATE(2648)] = 9698,
  [SMALL_STATE(2649)] = 9750,
  [SMALL_STATE(2650)] = 9802,
  [SMALL_STATE(2651)] = 9854,
  [SMALL_STATE(2652)] = 9906,
  [SMALL_STATE(2653)] = 9958,
  [SMALL_STATE(2654)] = 10010,
  [SMALL_STATE(2655)] = 10062,
  [SMALL_STATE(2656)] = 10114,
  [SMALL_STATE(2657)] = 10166,
  [SMALL_STATE(2658)] = 10218,
  [SMALL_STATE(2659)] = 10272,
  [SMALL_STATE(2660)] = 10324,
  [SMALL_STATE(2661)] = 10376,
  [SMALL_STATE(2662)] = 10428,
  [SMALL_STATE(2663)] = 10480,
  [SMALL_STATE(2664)] = 10532,
  [SMALL_STATE(2665)] = 10584,
  [SMALL_STATE(2666)] = 10636,
  [SMALL_STATE(2667)] = 10688,
  [SMALL_STATE(2668)] = 10742,
  [SMALL_STATE(2669)] = 10795,
  [SMALL_STATE(2670)] = 10850,
  [SMALL_STATE(2671)] = 10905,
  [SMALL_STATE(2672)] = 10960,
  [SMALL_STATE(2673)] = 11025,
  [SMALL_STATE(2674)] = 11078,
  [SMALL_STATE(2675)] = 11134,
  [SMALL_STATE(2676)] = 11190,
  [SMALL_STATE(2677)] = 11242,
  [SMALL_STATE(2678)] = 11296,
  [SMALL_STATE(2679)] = 11352,
  [SMALL_STATE(2680)] = 11402,
  [SMALL_STATE(2681)] = 11458,
  [SMALL_STATE(2682)] = 11514,
  [SMALL_STATE(2683)] = 11570,
  [SMALL_STATE(2684)] = 11628,
  [SMALL_STATE(2685)] = 11684,
  [SMALL_STATE(2686)] = 11734,
  [SMALL_STATE(2687)] = 11790,
  [SMALL_STATE(2688)] = 11844,
  [SMALL_STATE(2689)] = 11900,
  [SMALL_STATE(2690)] = 11956,
  [SMALL_STATE(2691)] = 12010,
  [SMALL_STATE(2692)] = 12059,
  [SMALL_STATE(2693)] = 12112,
  [SMALL_STATE(2694)] = 12165,
  [SMALL_STATE(2695)] = 12218,
  [SMALL_STATE(2696)] = 12269,
  [SMALL_STATE(2697)] = 12318,
  [SMALL_STATE(2698)] = 12381,
  [SMALL_STATE(2699)] = 12434,
  [SMALL_STATE(2700)] = 12483,
  [SMALL_STATE(2701)] = 12532,
  [SMALL_STATE(2702)] = 12581,
  [SMALL_STATE(2703)] = 12632,
  [SMALL_STATE(2704)] = 12681,
  [SMALL_STATE(2705)] = 12730,
  [SMALL_STATE(2706)] = 12783,
  [SMALL_STATE(2707)] = 12854,
  [SMALL_STATE(2708)] = 12905,
  [SMALL_STATE(2709)] = 12954,
  [SMALL_STATE(2710)] = 13003,
  [SMALL_STATE(2711)] = 13052,
  [SMALL_STATE(2712)] = 13103,
  [SMALL_STATE(2713)] = 13152,
  [SMALL_STATE(2714)] = 13203,
  [SMALL_STATE(2715)] = 13252,
  [SMALL_STATE(2716)] = 13323,
  [SMALL_STATE(2717)] = 13372,
  [SMALL_STATE(2718)] = 13421,
  [SMALL_STATE(2719)] = 13470,
  [SMALL_STATE(2720)] = 13519,
  [SMALL_STATE(2721)] = 13568,
  [SMALL_STATE(2722)] = 13639,
  [SMALL_STATE(2723)] = 13688,
  [SMALL_STATE(2724)] = 13741,
  [SMALL_STATE(2725)] = 13794,
  [SMALL_STATE(2726)] = 13843,
  [SMALL_STATE(2727)] = 13892,
  [SMALL_STATE(2728)] = 13941,
  [SMALL_STATE(2729)] = 13990,
  [SMALL_STATE(2730)] = 14039,
  [SMALL_STATE(2731)] = 14110,
  [SMALL_STATE(2732)] = 14159,
  [SMALL_STATE(2733)] = 14208,
  [SMALL_STATE(2734)] = 14257,
  [SMALL_STATE(2735)] = 14306,
  [SMALL_STATE(2736)] = 14355,
  [SMALL_STATE(2737)] = 14426,
  [SMALL_STATE(2738)] = 14479,
  [SMALL_STATE(2739)] = 14528,
  [SMALL_STATE(2740)] = 14577,
  [SMALL_STATE(2741)] = 14626,
  [SMALL_STATE(2742)] = 14675,
  [SMALL_STATE(2743)] = 14728,
  [SMALL_STATE(2744)] = 14791,
  [SMALL_STATE(2745)] = 14844,
  [SMALL_STATE(2746)] = 14895,
  [SMALL_STATE(2747)] = 14944,
  [SMALL_STATE(2748)] = 15007,
  [SMALL_STATE(2749)] = 15070,
  [SMALL_STATE(2750)] = 15119,
  [SMALL_STATE(2751)] = 15167,
  [SMALL_STATE(2752)] = 15219,
  [SMALL_STATE(2753)] = 15267,
  [SMALL_STATE(2754)] = 15329,
  [SMALL_STATE(2755)] = 15377,
  [SMALL_STATE(2756)] = 15425,
  [SMALL_STATE(2757)] = 15473,
  [SMALL_STATE(2758)] = 15521,
  [SMALL_STATE(2759)] = 15569,
  [SMALL_STATE(2760)] = 15617,
  [SMALL_STATE(2761)] = 15665,
  [SMALL_STATE(2762)] = 15713,
  [SMALL_STATE(2763)] = 15761,
  [SMALL_STATE(2764)] = 15809,
  [SMALL_STATE(2765)] = 15857,
  [SMALL_STATE(2766)] = 15905,
  [SMALL_STATE(2767)] = 15953,
  [SMALL_STATE(2768)] = 16001,
  [SMALL_STATE(2769)] = 16049,
  [SMALL_STATE(2770)] = 16097,
  [SMALL_STATE(2771)] = 16145,
  [SMALL_STATE(2772)] = 16197,
  [SMALL_STATE(2773)] = 16245,
  [SMALL_STATE(2774)] = 16293,
  [SMALL_STATE(2775)] = 16341,
  [SMALL_STATE(2776)] = 16389,
  [SMALL_STATE(2777)] = 16437,
  [SMALL_STATE(2778)] = 16485,
  [SMALL_STATE(2779)] = 16533,
  [SMALL_STATE(2780)] = 16583,
  [SMALL_STATE(2781)] = 16645,
  [SMALL_STATE(2782)] = 16693,
  [SMALL_STATE(2783)] = 16741,
  [SMALL_STATE(2784)] = 16789,
  [SMALL_STATE(2785)] = 16837,
  [SMALL_STATE(2786)] = 16885,
  [SMALL_STATE(2787)] = 16933,
  [SMALL_STATE(2788)] = 16995,
  [SMALL_STATE(2789)] = 17047,
  [SMALL_STATE(2790)] = 17099,
  [SMALL_STATE(2791)] = 17151,
  [SMALL_STATE(2792)] = 17201,
  [SMALL_STATE(2793)] = 17263,
  [SMALL_STATE(2794)] = 17311,
  [SMALL_STATE(2795)] = 17359,
  [SMALL_STATE(2796)] = 17407,
  [SMALL_STATE(2797)] = 17455,
  [SMALL_STATE(2798)] = 17503,
  [SMALL_STATE(2799)] = 17551,
  [SMALL_STATE(2800)] = 17599,
  [SMALL_STATE(2801)] = 17647,
  [SMALL_STATE(2802)] = 17695,
  [SMALL_STATE(2803)] = 17743,
  [SMALL_STATE(2804)] = 17791,
  [SMALL_STATE(2805)] = 17839,
  [SMALL_STATE(2806)] = 17887,
  [SMALL_STATE(2807)] = 17935,
  [SMALL_STATE(2808)] = 17983,
  [SMALL_STATE(2809)] = 18031,
  [SMALL_STATE(2810)] = 18079,
  [SMALL_STATE(2811)] = 18141,
  [SMALL_STATE(2812)] = 18189,
  [SMALL_STATE(2813)] = 18237,
  [SMALL_STATE(2814)] = 18285,
  [SMALL_STATE(2815)] = 18333,
  [SMALL_STATE(2816)] = 18414,
  [SMALL_STATE(2817)] = 18495,
  [SMALL_STATE(2818)] = 18544,
  [SMALL_STATE(2819)] = 18625,
  [SMALL_STATE(2820)] = 18706,
  [SMALL_STATE(2821)] = 18787,
  [SMALL_STATE(2822)] = 18862,
  [SMALL_STATE(2823)] = 18957,
  [SMALL_STATE(2824)] = 19052,
  [SMALL_STATE(2825)] = 19133,
  [SMALL_STATE(2826)] = 19214,
  [SMALL_STATE(2827)] = 19295,
  [SMALL_STATE(2828)] = 19341,
  [SMALL_STATE(2829)] = 19401,
  [SMALL_STATE(2830)] = 19447,
  [SMALL_STATE(2831)] = 19493,
  [SMALL_STATE(2832)] = 19539,
  [SMALL_STATE(2833)] = 19585,
  [SMALL_STATE(2834)] = 19631,
  [SMALL_STATE(2835)] = 19677,
  [SMALL_STATE(2836)] = 19723,
  [SMALL_STATE(2837)] = 19771,
  [SMALL_STATE(2838)] = 19821,
  [SMALL_STATE(2839)] = 19871,
  [SMALL_STATE(2840)] = 19949,
  [SMALL_STATE(2841)] = 19997,
  [SMALL_STATE(2842)] = 20045,
  [SMALL_STATE(2843)] = 20093,
  [SMALL_STATE(2844)] = 20141,
  [SMALL_STATE(2845)] = 20187,
  [SMALL_STATE(2846)] = 20235,
  [SMALL_STATE(2847)] = 20281,
  [SMALL_STATE(2848)] = 20327,
  [SMALL_STATE(2849)] = 20373,
  [SMALL_STATE(2850)] = 20421,
  [SMALL_STATE(2851)] = 20471,
  [SMALL_STATE(2852)] = 20521,
  [SMALL_STATE(2853)] = 20567,
  [SMALL_STATE(2854)] = 20617,
  [SMALL_STATE(2855)] = 20677,
  [SMALL_STATE(2856)] = 20723,
  [SMALL_STATE(2857)] = 20769,
  [SMALL_STATE(2858)] = 20829,
  [SMALL_STATE(2859)] = 20879,
  [SMALL_STATE(2860)] = 20929,
  [SMALL_STATE(2861)] = 20975,
  [SMALL_STATE(2862)] = 21023,
  [SMALL_STATE(2863)] = 21083,
  [SMALL_STATE(2864)] = 21129,
  [SMALL_STATE(2865)] = 21205,
  [SMALL_STATE(2866)] = 21251,
  [SMALL_STATE(2867)] = 21297,
  [SMALL_STATE(2868)] = 21347,
  [SMALL_STATE(2869)] = 21393,
  [SMALL_STATE(2870)] = 21439,
  [SMALL_STATE(2871)] = 21499,
  [SMALL_STATE(2872)] = 21549,
  [SMALL_STATE(2873)] = 21599,
  [SMALL_STATE(2874)] = 21649,
  [SMALL_STATE(2875)] = 21709,
  [SMALL_STATE(2876)] = 21769,
  [SMALL_STATE(2877)] = 21847,
  [SMALL_STATE(2878)] = 21897,
  [SMALL_STATE(2879)] = 21957,
  [SMALL_STATE(2880)] = 22035,
  [SMALL_STATE(2881)] = 22095,
  [SMALL_STATE(2882)] = 22143,
  [SMALL_STATE(2883)] = 22189,
  [SMALL_STATE(2884)] = 22267,
  [SMALL_STATE(2885)] = 22327,
  [SMALL_STATE(2886)] = 22373,
  [SMALL_STATE(2887)] = 22419,
  [SMALL_STATE(2888)] = 22465,
  [SMALL_STATE(2889)] = 22511,
  [SMALL_STATE(2890)] = 22557,
  [SMALL_STATE(2891)] = 22603,
  [SMALL_STATE(2892)] = 22649,
  [SMALL_STATE(2893)] = 22695,
  [SMALL_STATE(2894)] = 22741,
  [SMALL_STATE(2895)] = 22787,
  [SMALL_STATE(2896)] = 22833,
  [SMALL_STATE(2897)] = 22879,
  [SMALL_STATE(2898)] = 22925,
  [SMALL_STATE(2899)] = 22971,
  [SMALL_STATE(2900)] = 23017,
  [SMALL_STATE(2901)] = 23063,
  [SMALL_STATE(2902)] = 23109,
  [SMALL_STATE(2903)] = 23155,
  [SMALL_STATE(2904)] = 23247,
  [SMALL_STATE(2905)] = 23293,
  [SMALL_STATE(2906)] = 23339,
  [SMALL_STATE(2907)] = 23385,
  [SMALL_STATE(2908)] = 23431,
  [SMALL_STATE(2909)] = 23477,
  [SMALL_STATE(2910)] = 23523,
  [SMALL_STATE(2911)] = 23569,
  [SMALL_STATE(2912)] = 23615,
  [SMALL_STATE(2913)] = 23661,
  [SMALL_STATE(2914)] = 23707,
  [SMALL_STATE(2915)] = 23756,
  [SMALL_STATE(2916)] = 23802,
  [SMALL_STATE(2917)] = 23874,
  [SMALL_STATE(2918)] = 23917,
  [SMALL_STATE(2919)] = 23960,
  [SMALL_STATE(2920)] = 24047,
  [SMALL_STATE(2921)] = 24134,
  [SMALL_STATE(2922)] = 24177,
  [SMALL_STATE(2923)] = 24220,
  [SMALL_STATE(2924)] = 24266,
  [SMALL_STATE(2925)] = 24312,
  [SMALL_STATE(2926)] = 24356,
  [SMALL_STATE(2927)] = 24402,
  [SMALL_STATE(2928)] = 24444,
  [SMALL_STATE(2929)] = 24485,
  [SMALL_STATE(2930)] = 24528,
  [SMALL_STATE(2931)] = 24609,
  [SMALL_STATE(2932)] = 24650,
  [SMALL_STATE(2933)] = 24691,
  [SMALL_STATE(2934)] = 24736,
  [SMALL_STATE(2935)] = 24817,
  [SMALL_STATE(2936)] = 24898,
  [SMALL_STATE(2937)] = 24943,
  [SMALL_STATE(2938)] = 25024,
  [SMALL_STATE(2939)] = 25065,
  [SMALL_STATE(2940)] = 25106,
  [SMALL_STATE(2941)] = 25161,
  [SMALL_STATE(2942)] = 25201,
  [SMALL_STATE(2943)] = 25241,
  [SMALL_STATE(2944)] = 25301,
  [SMALL_STATE(2945)] = 25341,
  [SMALL_STATE(2946)] = 25401,
  [SMALL_STATE(2947)] = 25461,
  [SMALL_STATE(2948)] = 25521,
  [SMALL_STATE(2949)] = 25581,
  [SMALL_STATE(2950)] = 25621,
  [SMALL_STATE(2951)] = 25661,
  [SMALL_STATE(2952)] = 25701,
  [SMALL_STATE(2953)] = 25745,
  [SMALL_STATE(2954)] = 25805,
  [SMALL_STATE(2955)] = 25865,
  [SMALL_STATE(2956)] = 25925,
  [SMALL_STATE(2957)] = 25985,
  [SMALL_STATE(2958)] = 26025,
  [SMALL_STATE(2959)] = 26085,
  [SMALL_STATE(2960)] = 26145,
  [SMALL_STATE(2961)] = 26185,
  [SMALL_STATE(2962)] = 26225,
  [SMALL_STATE(2963)] = 26265,
  [SMALL_STATE(2964)] = 26305,
  [SMALL_STATE(2965)] = 26345,
  [SMALL_STATE(2966)] = 26385,
  [SMALL_STATE(2967)] = 26427,
  [SMALL_STATE(2968)] = 26467,
  [SMALL_STATE(2969)] = 26507,
  [SMALL_STATE(2970)] = 26547,
  [SMALL_STATE(2971)] = 26587,
  [SMALL_STATE(2972)] = 26647,
  [SMALL_STATE(2973)] = 26687,
  [SMALL_STATE(2974)] = 26727,
  [SMALL_STATE(2975)] = 26787,
  [SMALL_STATE(2976)] = 26827,
  [SMALL_STATE(2977)] = 26887,
  [SMALL_STATE(2978)] = 26927,
  [SMALL_STATE(2979)] = 26967,
  [SMALL_STATE(2980)] = 27007,
  [SMALL_STATE(2981)] = 27047,
  [SMALL_STATE(2982)] = 27107,
  [SMALL_STATE(2983)] = 27167,
  [SMALL_STATE(2984)] = 27207,
  [SMALL_STATE(2985)] = 27247,
  [SMALL_STATE(2986)] = 27287,
  [SMALL_STATE(2987)] = 27327,
  [SMALL_STATE(2988)] = 27367,
  [SMALL_STATE(2989)] = 27407,
  [SMALL_STATE(2990)] = 27467,
  [SMALL_STATE(2991)] = 27527,
  [SMALL_STATE(2992)] = 27587,
  [SMALL_STATE(2993)] = 27627,
  [SMALL_STATE(2994)] = 27667,
  [SMALL_STATE(2995)] = 27707,
  [SMALL_STATE(2996)] = 27747,
  [SMALL_STATE(2997)] = 27787,
  [SMALL_STATE(2998)] = 27827,
  [SMALL_STATE(2999)] = 27887,
  [SMALL_STATE(3000)] = 27927,
  [SMALL_STATE(3001)] = 27987,
  [SMALL_STATE(3002)] = 28031,
  [SMALL_STATE(3003)] = 28091,
  [SMALL_STATE(3004)] = 28131,
  [SMALL_STATE(3005)] = 28171,
  [SMALL_STATE(3006)] = 28211,
  [SMALL_STATE(3007)] = 28251,
  [SMALL_STATE(3008)] = 28291,
  [SMALL_STATE(3009)] = 28331,
  [SMALL_STATE(3010)] = 28371,
  [SMALL_STATE(3011)] = 28414,
  [SMALL_STATE(3012)] = 28469,
  [SMALL_STATE(3013)] = 28526,
  [SMALL_STATE(3014)] = 28579,
  [SMALL_STATE(3015)] = 28634,
  [SMALL_STATE(3016)] = 28691,
  [SMALL_STATE(3017)] = 28746,
  [SMALL_STATE(3018)] = 28803,
  [SMALL_STATE(3019)] = 28858,
  [SMALL_STATE(3020)] = 28913,
  [SMALL_STATE(3021)] = 28970,
  [SMALL_STATE(3022)] = 29027,
  [SMALL_STATE(3023)] = 29082,
  [SMALL_STATE(3024)] = 29139,
  [SMALL_STATE(3025)] = 29196,
  [SMALL_STATE(3026)] = 29253,
  [SMALL_STATE(3027)] = 29310,
  [SMALL_STATE(3028)] = 29367,
  [SMALL_STATE(3029)] = 29412,
  [SMALL_STATE(3030)] = 29467,
  [SMALL_STATE(3031)] = 29524,
  [SMALL_STATE(3032)] = 29579,
  [SMALL_STATE(3033)] = 29624,
  [SMALL_STATE(3034)] = 29681,
  [SMALL_STATE(3035)] = 29734,
  [SMALL_STATE(3036)] = 29791,
  [SMALL_STATE(3037)] = 29846,
  [SMALL_STATE(3038)] = 29903,
  [SMALL_STATE(3039)] = 29960,
  [SMALL_STATE(3040)] = 30015,
  [SMALL_STATE(3041)] = 30072,
  [SMALL_STATE(3042)] = 30114,
  [SMALL_STATE(3043)] = 30174,
  [SMALL_STATE(3044)] = 30216,
  [SMALL_STATE(3045)] = 30276,
  [SMALL_STATE(3046)] = 30336,
  [SMALL_STATE(3047)] = 30396,
  [SMALL_STATE(3048)] = 30448,
  [SMALL_STATE(3049)] = 30500,
  [SMALL_STATE(3050)] = 30554,
  [SMALL_STATE(3051)] = 30596,
  [SMALL_STATE(3052)] = 30636,
  [SMALL_STATE(3053)] = 30678,
  [SMALL_STATE(3054)] = 30750,
  [SMALL_STATE(3055)] = 30804,
  [SMALL_STATE(3056)] = 30876,
  [SMALL_STATE(3057)] = 30936,
  [SMALL_STATE(3058)] = 30974,
  [SMALL_STATE(3059)] = 31014,
  [SMALL_STATE(3060)] = 31068,
  [SMALL_STATE(3061)] = 31106,
  [SMALL_STATE(3062)] = 31160,
  [SMALL_STATE(3063)] = 31220,
  [SMALL_STATE(3064)] = 31274,
  [SMALL_STATE(3065)] = 31334,
  [SMALL_STATE(3066)] = 31378,
  [SMALL_STATE(3067)] = 31450,
  [SMALL_STATE(3068)] = 31510,
  [SMALL_STATE(3069)] = 31561,
  [SMALL_STATE(3070)] = 31612,
  [SMALL_STATE(3071)] = 31663,
  [SMALL_STATE(3072)] = 31714,
  [SMALL_STATE(3073)] = 31765,
  [SMALL_STATE(3074)] = 31816,
  [SMALL_STATE(3075)] = 31867,
  [SMALL_STATE(3076)] = 31918,
  [SMALL_STATE(3077)] = 31969,
  [SMALL_STATE(3078)] = 32020,
  [SMALL_STATE(3079)] = 32061,
  [SMALL_STATE(3080)] = 32112,
  [SMALL_STATE(3081)] = 32163,
  [SMALL_STATE(3082)] = 32214,
  [SMALL_STATE(3083)] = 32265,
  [SMALL_STATE(3084)] = 32316,
  [SMALL_STATE(3085)] = 32367,
  [SMALL_STATE(3086)] = 32418,
  [SMALL_STATE(3087)] = 32469,
  [SMALL_STATE(3088)] = 32520,
  [SMALL_STATE(3089)] = 32571,
  [SMALL_STATE(3090)] = 32622,
  [SMALL_STATE(3091)] = 32673,
  [SMALL_STATE(3092)] = 32724,
  [SMALL_STATE(3093)] = 32775,
  [SMALL_STATE(3094)] = 32826,
  [SMALL_STATE(3095)] = 32877,
  [SMALL_STATE(3096)] = 32928,
  [SMALL_STATE(3097)] = 32979,
  [SMALL_STATE(3098)] = 33030,
  [SMALL_STATE(3099)] = 33081,
  [SMALL_STATE(3100)] = 33132,
  [SMALL_STATE(3101)] = 33183,
  [SMALL_STATE(3102)] = 33234,
  [SMALL_STATE(3103)] = 33285,
  [SMALL_STATE(3104)] = 33336,
  [SMALL_STATE(3105)] = 33379,
  [SMALL_STATE(3106)] = 33430,
  [SMALL_STATE(3107)] = 33481,
  [SMALL_STATE(3108)] = 33532,
  [SMALL_STATE(3109)] = 33583,
  [SMALL_STATE(3110)] = 33634,
  [SMALL_STATE(3111)] = 33685,
  [SMALL_STATE(3112)] = 33736,
  [SMALL_STATE(3113)] = 33787,
  [SMALL_STATE(3114)] = 33838,
  [SMALL_STATE(3115)] = 33877,
  [SMALL_STATE(3116)] = 33914,
  [SMALL_STATE(3117)] = 33965,
  [SMALL_STATE(3118)] = 34016,
  [SMALL_STATE(3119)] = 34067,
  [SMALL_STATE(3120)] = 34118,
  [SMALL_STATE(3121)] = 34169,
  [SMALL_STATE(3122)] = 34220,
  [SMALL_STATE(3123)] = 34271,
  [SMALL_STATE(3124)] = 34322,
  [SMALL_STATE(3125)] = 34373,
  [SMALL_STATE(3126)] = 34424,
  [SMALL_STATE(3127)] = 34475,
  [SMALL_STATE(3128)] = 34526,
  [SMALL_STATE(3129)] = 34577,
  [SMALL_STATE(3130)] = 34628,
  [SMALL_STATE(3131)] = 34679,
  [SMALL_STATE(3132)] = 34730,
  [SMALL_STATE(3133)] = 34781,
  [SMALL_STATE(3134)] = 34832,
  [SMALL_STATE(3135)] = 34883,
  [SMALL_STATE(3136)] = 34920,
  [SMALL_STATE(3137)] = 34971,
  [SMALL_STATE(3138)] = 35008,
  [SMALL_STATE(3139)] = 35059,
  [SMALL_STATE(3140)] = 35110,
  [SMALL_STATE(3141)] = 35161,
  [SMALL_STATE(3142)] = 35212,
  [SMALL_STATE(3143)] = 35263,
  [SMALL_STATE(3144)] = 35314,
  [SMALL_STATE(3145)] = 35365,
  [SMALL_STATE(3146)] = 35416,
  [SMALL_STATE(3147)] = 35453,
  [SMALL_STATE(3148)] = 35504,
  [SMALL_STATE(3149)] = 35555,
  [SMALL_STATE(3150)] = 35606,
  [SMALL_STATE(3151)] = 35657,
  [SMALL_STATE(3152)] = 35708,
  [SMALL_STATE(3153)] = 35759,
  [SMALL_STATE(3154)] = 35810,
  [SMALL_STATE(3155)] = 35861,
  [SMALL_STATE(3156)] = 35912,
  [SMALL_STATE(3157)] = 35963,
  [SMALL_STATE(3158)] = 36014,
  [SMALL_STATE(3159)] = 36065,
  [SMALL_STATE(3160)] = 36116,
  [SMALL_STATE(3161)] = 36167,
  [SMALL_STATE(3162)] = 36218,
  [SMALL_STATE(3163)] = 36269,
  [SMALL_STATE(3164)] = 36320,
  [SMALL_STATE(3165)] = 36371,
  [SMALL_STATE(3166)] = 36422,
  [SMALL_STATE(3167)] = 36473,
  [SMALL_STATE(3168)] = 36510,
  [SMALL_STATE(3169)] = 36561,
  [SMALL_STATE(3170)] = 36612,
  [SMALL_STATE(3171)] = 36663,
  [SMALL_STATE(3172)] = 36714,
  [SMALL_STATE(3173)] = 36765,
  [SMALL_STATE(3174)] = 36816,
  [SMALL_STATE(3175)] = 36867,
  [SMALL_STATE(3176)] = 36918,
  [SMALL_STATE(3177)] = 36969,
  [SMALL_STATE(3178)] = 37020,
  [SMALL_STATE(3179)] = 37071,
  [SMALL_STATE(3180)] = 37122,
  [SMALL_STATE(3181)] = 37173,
  [SMALL_STATE(3182)] = 37212,
  [SMALL_STATE(3183)] = 37263,
  [SMALL_STATE(3184)] = 37314,
  [SMALL_STATE(3185)] = 37351,
  [SMALL_STATE(3186)] = 37402,
  [SMALL_STATE(3187)] = 37453,
  [SMALL_STATE(3188)] = 37504,
  [SMALL_STATE(3189)] = 37555,
  [SMALL_STATE(3190)] = 37606,
  [SMALL_STATE(3191)] = 37657,
  [SMALL_STATE(3192)] = 37708,
  [SMALL_STATE(3193)] = 37745,
  [SMALL_STATE(3194)] = 37796,
  [SMALL_STATE(3195)] = 37847,
  [SMALL_STATE(3196)] = 37898,
  [SMALL_STATE(3197)] = 37949,
  [SMALL_STATE(3198)] = 38000,
  [SMALL_STATE(3199)] = 38051,
  [SMALL_STATE(3200)] = 38102,
  [SMALL_STATE(3201)] = 38153,
  [SMALL_STATE(3202)] = 38204,
  [SMALL_STATE(3203)] = 38255,
  [SMALL_STATE(3204)] = 38306,
  [SMALL_STATE(3205)] = 38357,
  [SMALL_STATE(3206)] = 38410,
  [SMALL_STATE(3207)] = 38461,
  [SMALL_STATE(3208)] = 38512,
  [SMALL_STATE(3209)] = 38563,
  [SMALL_STATE(3210)] = 38614,
  [SMALL_STATE(3211)] = 38667,
  [SMALL_STATE(3212)] = 38718,
  [SMALL_STATE(3213)] = 38769,
  [SMALL_STATE(3214)] = 38820,
  [SMALL_STATE(3215)] = 38871,
  [SMALL_STATE(3216)] = 38922,
  [SMALL_STATE(3217)] = 38973,
  [SMALL_STATE(3218)] = 39024,
  [SMALL_STATE(3219)] = 39077,
  [SMALL_STATE(3220)] = 39128,
  [SMALL_STATE(3221)] = 39179,
  [SMALL_STATE(3222)] = 39230,
  [SMALL_STATE(3223)] = 39281,
  [SMALL_STATE(3224)] = 39332,
  [SMALL_STATE(3225)] = 39385,
  [SMALL_STATE(3226)] = 39436,
  [SMALL_STATE(3227)] = 39487,
  [SMALL_STATE(3228)] = 39540,
  [SMALL_STATE(3229)] = 39591,
  [SMALL_STATE(3230)] = 39642,
  [SMALL_STATE(3231)] = 39693,
  [SMALL_STATE(3232)] = 39744,
  [SMALL_STATE(3233)] = 39795,
  [SMALL_STATE(3234)] = 39846,
  [SMALL_STATE(3235)] = 39897,
  [SMALL_STATE(3236)] = 39948,
  [SMALL_STATE(3237)] = 39999,
  [SMALL_STATE(3238)] = 40050,
  [SMALL_STATE(3239)] = 40101,
  [SMALL_STATE(3240)] = 40152,
  [SMALL_STATE(3241)] = 40203,
  [SMALL_STATE(3242)] = 40254,
  [SMALL_STATE(3243)] = 40305,
  [SMALL_STATE(3244)] = 40356,
  [SMALL_STATE(3245)] = 40407,
  [SMALL_STATE(3246)] = 40458,
  [SMALL_STATE(3247)] = 40509,
  [SMALL_STATE(3248)] = 40560,
  [SMALL_STATE(3249)] = 40611,
  [SMALL_STATE(3250)] = 40662,
  [SMALL_STATE(3251)] = 40713,
  [SMALL_STATE(3252)] = 40764,
  [SMALL_STATE(3253)] = 40803,
  [SMALL_STATE(3254)] = 40840,
  [SMALL_STATE(3255)] = 40881,
  [SMALL_STATE(3256)] = 40932,
  [SMALL_STATE(3257)] = 40983,
  [SMALL_STATE(3258)] = 41034,
  [SMALL_STATE(3259)] = 41085,
  [SMALL_STATE(3260)] = 41136,
  [SMALL_STATE(3261)] = 41187,
  [SMALL_STATE(3262)] = 41238,
  [SMALL_STATE(3263)] = 41289,
  [SMALL_STATE(3264)] = 41340,
  [SMALL_STATE(3265)] = 41391,
  [SMALL_STATE(3266)] = 41442,
  [SMALL_STATE(3267)] = 41493,
  [SMALL_STATE(3268)] = 41530,
  [SMALL_STATE(3269)] = 41581,
  [SMALL_STATE(3270)] = 41632,
  [SMALL_STATE(3271)] = 41683,
  [SMALL_STATE(3272)] = 41734,
  [SMALL_STATE(3273)] = 41785,
  [SMALL_STATE(3274)] = 41824,
  [SMALL_STATE(3275)] = 41875,
  [SMALL_STATE(3276)] = 41926,
  [SMALL_STATE(3277)] = 41977,
  [SMALL_STATE(3278)] = 42028,
  [SMALL_STATE(3279)] = 42064,
  [SMALL_STATE(3280)] = 42102,
  [SMALL_STATE(3281)] = 42164,
  [SMALL_STATE(3282)] = 42216,
  [SMALL_STATE(3283)] = 42268,
  [SMALL_STATE(3284)] = 42304,
  [SMALL_STATE(3285)] = 42356,
  [SMALL_STATE(3286)] = 42408,
  [SMALL_STATE(3287)] = 42444,
  [SMALL_STATE(3288)] = 42482,
  [SMALL_STATE(3289)] = 42546,
  [SMALL_STATE(3290)] = 42582,
  [SMALL_STATE(3291)] = 42618,
  [SMALL_STATE(3292)] = 42654,
  [SMALL_STATE(3293)] = 42692,
  [SMALL_STATE(3294)] = 42744,
  [SMALL_STATE(3295)] = 42780,
  [SMALL_STATE(3296)] = 42816,
  [SMALL_STATE(3297)] = 42852,
  [SMALL_STATE(3298)] = 42888,
  [SMALL_STATE(3299)] = 42924,
  [SMALL_STATE(3300)] = 42960,
  [SMALL_STATE(3301)] = 43000,
  [SMALL_STATE(3302)] = 43036,
  [SMALL_STATE(3303)] = 43072,
  [SMALL_STATE(3304)] = 43136,
  [SMALL_STATE(3305)] = 43172,
  [SMALL_STATE(3306)] = 43208,
  [SMALL_STATE(3307)] = 43244,
  [SMALL_STATE(3308)] = 43280,
  [SMALL_STATE(3309)] = 43316,
  [SMALL_STATE(3310)] = 43352,
  [SMALL_STATE(3311)] = 43392,
  [SMALL_STATE(3312)] = 43427,
  [SMALL_STATE(3313)] = 43464,
  [SMALL_STATE(3314)] = 43527,
  [SMALL_STATE(3315)] = 43590,
  [SMALL_STATE(3316)] = 43629,
  [SMALL_STATE(3317)] = 43668,
  [SMALL_STATE(3318)] = 43729,
  [SMALL_STATE(3319)] = 43779,
  [SMALL_STATE(3320)] = 43829,
  [SMALL_STATE(3321)] = 43889,
  [SMALL_STATE(3322)] = 43939,
  [SMALL_STATE(3323)] = 43973,
  [SMALL_STATE(3324)] = 44007,
  [SMALL_STATE(3325)] = 44041,
  [SMALL_STATE(3326)] = 44079,
  [SMALL_STATE(3327)] = 44129,
  [SMALL_STATE(3328)] = 44189,
  [SMALL_STATE(3329)] = 44239,
  [SMALL_STATE(3330)] = 44289,
  [SMALL_STATE(3331)] = 44337,
  [SMALL_STATE(3332)] = 44387,
  [SMALL_STATE(3333)] = 44447,
  [SMALL_STATE(3334)] = 44497,
  [SMALL_STATE(3335)] = 44547,
  [SMALL_STATE(3336)] = 44607,
  [SMALL_STATE(3337)] = 44657,
  [SMALL_STATE(3338)] = 44717,
  [SMALL_STATE(3339)] = 44767,
  [SMALL_STATE(3340)] = 44800,
  [SMALL_STATE(3341)] = 44833,
  [SMALL_STATE(3342)] = 44866,
  [SMALL_STATE(3343)] = 44899,
  [SMALL_STATE(3344)] = 44932,
  [SMALL_STATE(3345)] = 44965,
  [SMALL_STATE(3346)] = 44998,
  [SMALL_STATE(3347)] = 45035,
  [SMALL_STATE(3348)] = 45070,
  [SMALL_STATE(3349)] = 45103,
  [SMALL_STATE(3350)] = 45136,
  [SMALL_STATE(3351)] = 45193,
  [SMALL_STATE(3352)] = 45226,
  [SMALL_STATE(3353)] = 45263,
  [SMALL_STATE(3354)] = 45298,
  [SMALL_STATE(3355)] = 45331,
  [SMALL_STATE(3356)] = 45364,
  [SMALL_STATE(3357)] = 45397,
  [SMALL_STATE(3358)] = 45430,
  [SMALL_STATE(3359)] = 45463,
  [SMALL_STATE(3360)] = 45496,
  [SMALL_STATE(3361)] = 45533,
  [SMALL_STATE(3362)] = 45566,
  [SMALL_STATE(3363)] = 45599,
  [SMALL_STATE(3364)] = 45632,
  [SMALL_STATE(3365)] = 45665,
  [SMALL_STATE(3366)] = 45698,
  [SMALL_STATE(3367)] = 45731,
  [SMALL_STATE(3368)] = 45764,
  [SMALL_STATE(3369)] = 45797,
  [SMALL_STATE(3370)] = 45832,
  [SMALL_STATE(3371)] = 45865,
  [SMALL_STATE(3372)] = 45902,
  [SMALL_STATE(3373)] = 45935,
  [SMALL_STATE(3374)] = 45972,
  [SMALL_STATE(3375)] = 46005,
  [SMALL_STATE(3376)] = 46038,
  [SMALL_STATE(3377)] = 46071,
  [SMALL_STATE(3378)] = 46108,
  [SMALL_STATE(3379)] = 46143,
  [SMALL_STATE(3380)] = 46176,
  [SMALL_STATE(3381)] = 46209,
  [SMALL_STATE(3382)] = 46244,
  [SMALL_STATE(3383)] = 46277,
  [SMALL_STATE(3384)] = 46310,
  [SMALL_STATE(3385)] = 46343,
  [SMALL_STATE(3386)] = 46376,
  [SMALL_STATE(3387)] = 46409,
  [SMALL_STATE(3388)] = 46442,
  [SMALL_STATE(3389)] = 46475,
  [SMALL_STATE(3390)] = 46508,
  [SMALL_STATE(3391)] = 46541,
  [SMALL_STATE(3392)] = 46574,
  [SMALL_STATE(3393)] = 46609,
  [SMALL_STATE(3394)] = 46642,
  [SMALL_STATE(3395)] = 46675,
  [SMALL_STATE(3396)] = 46708,
  [SMALL_STATE(3397)] = 46743,
  [SMALL_STATE(3398)] = 46776,
  [SMALL_STATE(3399)] = 46809,
  [SMALL_STATE(3400)] = 46842,
  [SMALL_STATE(3401)] = 46877,
  [SMALL_STATE(3402)] = 46916,
  [SMALL_STATE(3403)] = 46953,
  [SMALL_STATE(3404)] = 46986,
  [SMALL_STATE(3405)] = 47019,
  [SMALL_STATE(3406)] = 47056,
  [SMALL_STATE(3407)] = 47090,
  [SMALL_STATE(3408)] = 47138,
  [SMALL_STATE(3409)] = 47186,
  [SMALL_STATE(3410)] = 47220,
  [SMALL_STATE(3411)] = 47252,
  [SMALL_STATE(3412)] = 47300,
  [SMALL_STATE(3413)] = 47332,
  [SMALL_STATE(3414)] = 47380,
  [SMALL_STATE(3415)] = 47414,
  [SMALL_STATE(3416)] = 47462,
  [SMALL_STATE(3417)] = 47510,
  [SMALL_STATE(3418)] = 47558,
  [SMALL_STATE(3419)] = 47606,
  [SMALL_STATE(3420)] = 47654,
  [SMALL_STATE(3421)] = 47688,
  [SMALL_STATE(3422)] = 47736,
  [SMALL_STATE(3423)] = 47770,
  [SMALL_STATE(3424)] = 47818,
  [SMALL_STATE(3425)] = 47866,
  [SMALL_STATE(3426)] = 47914,
  [SMALL_STATE(3427)] = 47962,
  [SMALL_STATE(3428)] = 47996,
  [SMALL_STATE(3429)] = 48044,
  [SMALL_STATE(3430)] = 48092,
  [SMALL_STATE(3431)] = 48140,
  [SMALL_STATE(3432)] = 48188,
  [SMALL_STATE(3433)] = 48234,
  [SMALL_STATE(3434)] = 48270,
  [SMALL_STATE(3435)] = 48304,
  [SMALL_STATE(3436)] = 48338,
  [SMALL_STATE(3437)] = 48368,
  [SMALL_STATE(3438)] = 48416,
  [SMALL_STATE(3439)] = 48464,
  [SMALL_STATE(3440)] = 48498,
  [SMALL_STATE(3441)] = 48546,
  [SMALL_STATE(3442)] = 48578,
  [SMALL_STATE(3443)] = 48626,
  [SMALL_STATE(3444)] = 48660,
  [SMALL_STATE(3445)] = 48692,
  [SMALL_STATE(3446)] = 48740,
  [SMALL_STATE(3447)] = 48776,
  [SMALL_STATE(3448)] = 48824,
  [SMALL_STATE(3449)] = 48872,
  [SMALL_STATE(3450)] = 48920,
  [SMALL_STATE(3451)] = 48974,
  [SMALL_STATE(3452)] = 49022,
  [SMALL_STATE(3453)] = 49070,
  [SMALL_STATE(3454)] = 49118,
  [SMALL_STATE(3455)] = 49166,
  [SMALL_STATE(3456)] = 49202,
  [SMALL_STATE(3457)] = 49234,
  [SMALL_STATE(3458)] = 49282,
  [SMALL_STATE(3459)] = 49314,
  [SMALL_STATE(3460)] = 49362,
  [SMALL_STATE(3461)] = 49410,
  [SMALL_STATE(3462)] = 49446,
  [SMALL_STATE(3463)] = 49494,
  [SMALL_STATE(3464)] = 49542,
  [SMALL_STATE(3465)] = 49590,
  [SMALL_STATE(3466)] = 49624,
  [SMALL_STATE(3467)] = 49672,
  [SMALL_STATE(3468)] = 49708,
  [SMALL_STATE(3469)] = 49756,
  [SMALL_STATE(3470)] = 49804,
  [SMALL_STATE(3471)] = 49852,
  [SMALL_STATE(3472)] = 49900,
  [SMALL_STATE(3473)] = 49932,
  [SMALL_STATE(3474)] = 49980,
  [SMALL_STATE(3475)] = 50011,
  [SMALL_STATE(3476)] = 50042,
  [SMALL_STATE(3477)] = 50073,
  [SMALL_STATE(3478)] = 50104,
  [SMALL_STATE(3479)] = 50149,
  [SMALL_STATE(3480)] = 50180,
  [SMALL_STATE(3481)] = 50211,
  [SMALL_STATE(3482)] = 50240,
  [SMALL_STATE(3483)] = 50285,
  [SMALL_STATE(3484)] = 50318,
  [SMALL_STATE(3485)] = 50363,
  [SMALL_STATE(3486)] = 50414,
  [SMALL_STATE(3487)] = 50445,
  [SMALL_STATE(3488)] = 50490,
  [SMALL_STATE(3489)] = 50535,
  [SMALL_STATE(3490)] = 50580,
  [SMALL_STATE(3491)] = 50611,
  [SMALL_STATE(3492)] = 50642,
  [SMALL_STATE(3493)] = 50687,
  [SMALL_STATE(3494)] = 50718,
  [SMALL_STATE(3495)] = 50749,
  [SMALL_STATE(3496)] = 50794,
  [SMALL_STATE(3497)] = 50839,
  [SMALL_STATE(3498)] = 50884,
  [SMALL_STATE(3499)] = 50929,
  [SMALL_STATE(3500)] = 50964,
  [SMALL_STATE(3501)] = 51007,
  [SMALL_STATE(3502)] = 51052,
  [SMALL_STATE(3503)] = 51097,
  [SMALL_STATE(3504)] = 51142,
  [SMALL_STATE(3505)] = 51187,
  [SMALL_STATE(3506)] = 51232,
  [SMALL_STATE(3507)] = 51277,
  [SMALL_STATE(3508)] = 51322,
  [SMALL_STATE(3509)] = 51367,
  [SMALL_STATE(3510)] = 51398,
  [SMALL_STATE(3511)] = 51429,
  [SMALL_STATE(3512)] = 51460,
  [SMALL_STATE(3513)] = 51491,
  [SMALL_STATE(3514)] = 51536,
  [SMALL_STATE(3515)] = 51565,
  [SMALL_STATE(3516)] = 51598,
  [SMALL_STATE(3517)] = 51633,
  [SMALL_STATE(3518)] = 51662,
  [SMALL_STATE(3519)] = 51707,
  [SMALL_STATE(3520)] = 51752,
  [SMALL_STATE(3521)] = 51783,
  [SMALL_STATE(3522)] = 51814,
  [SMALL_STATE(3523)] = 51859,
  [SMALL_STATE(3524)] = 51904,
  [SMALL_STATE(3525)] = 51947,
  [SMALL_STATE(3526)] = 51978,
  [SMALL_STATE(3527)] = 52011,
  [SMALL_STATE(3528)] = 52046,
  [SMALL_STATE(3529)] = 52077,
  [SMALL_STATE(3530)] = 52108,
  [SMALL_STATE(3531)] = 52139,
  [SMALL_STATE(3532)] = 52184,
  [SMALL_STATE(3533)] = 52219,
  [SMALL_STATE(3534)] = 52250,
  [SMALL_STATE(3535)] = 52281,
  [SMALL_STATE(3536)] = 52324,
  [SMALL_STATE(3537)] = 52357,
  [SMALL_STATE(3538)] = 52388,
  [SMALL_STATE(3539)] = 52423,
  [SMALL_STATE(3540)] = 52454,
  [SMALL_STATE(3541)] = 52485,
  [SMALL_STATE(3542)] = 52528,
  [SMALL_STATE(3543)] = 52559,
  [SMALL_STATE(3544)] = 52604,
  [SMALL_STATE(3545)] = 52639,
  [SMALL_STATE(3546)] = 52684,
  [SMALL_STATE(3547)] = 52729,
  [SMALL_STATE(3548)] = 52774,
  [SMALL_STATE(3549)] = 52809,
  [SMALL_STATE(3550)] = 52852,
  [SMALL_STATE(3551)] = 52883,
  [SMALL_STATE(3552)] = 52914,
  [SMALL_STATE(3553)] = 52959,
  [SMALL_STATE(3554)] = 52990,
  [SMALL_STATE(3555)] = 53021,
  [SMALL_STATE(3556)] = 53054,
  [SMALL_STATE(3557)] = 53099,
  [SMALL_STATE(3558)] = 53132,
  [SMALL_STATE(3559)] = 53177,
  [SMALL_STATE(3560)] = 53210,
  [SMALL_STATE(3561)] = 53255,
  [SMALL_STATE(3562)] = 53286,
  [SMALL_STATE(3563)] = 53321,
  [SMALL_STATE(3564)] = 53350,
  [SMALL_STATE(3565)] = 53395,
  [SMALL_STATE(3566)] = 53445,
  [SMALL_STATE(3567)] = 53475,
  [SMALL_STATE(3568)] = 53525,
  [SMALL_STATE(3569)] = 53557,
  [SMALL_STATE(3570)] = 53607,
  [SMALL_STATE(3571)] = 53637,
  [SMALL_STATE(3572)] = 53667,
  [SMALL_STATE(3573)] = 53709,
  [SMALL_STATE(3574)] = 53757,
  [SMALL_STATE(3575)] = 53789,
  [SMALL_STATE(3576)] = 53823,
  [SMALL_STATE(3577)] = 53873,
  [SMALL_STATE(3578)] = 53915,
  [SMALL_STATE(3579)] = 53955,
  [SMALL_STATE(3580)] = 54005,
  [SMALL_STATE(3581)] = 54055,
  [SMALL_STATE(3582)] = 54085,
  [SMALL_STATE(3583)] = 54115,
  [SMALL_STATE(3584)] = 54145,
  [SMALL_STATE(3585)] = 54195,
  [SMALL_STATE(3586)] = 54245,
  [SMALL_STATE(3587)] = 54275,
  [SMALL_STATE(3588)] = 54305,
  [SMALL_STATE(3589)] = 54355,
  [SMALL_STATE(3590)] = 54385,
  [SMALL_STATE(3591)] = 54415,
  [SMALL_STATE(3592)] = 54445,
  [SMALL_STATE(3593)] = 54495,
  [SMALL_STATE(3594)] = 54537,
  [SMALL_STATE(3595)] = 54587,
  [SMALL_STATE(3596)] = 54629,
  [SMALL_STATE(3597)] = 54679,
  [SMALL_STATE(3598)] = 54709,
  [SMALL_STATE(3599)] = 54759,
  [SMALL_STATE(3600)] = 54809,
  [SMALL_STATE(3601)] = 54859,
  [SMALL_STATE(3602)] = 54887,
  [SMALL_STATE(3603)] = 54937,
  [SMALL_STATE(3604)] = 54987,
  [SMALL_STATE(3605)] = 55037,
  [SMALL_STATE(3606)] = 55066,
  [SMALL_STATE(3607)] = 55093,
  [SMALL_STATE(3608)] = 55122,
  [SMALL_STATE(3609)] = 55149,
  [SMALL_STATE(3610)] = 55192,
  [SMALL_STATE(3611)] = 55235,
  [SMALL_STATE(3612)] = 55262,
  [SMALL_STATE(3613)] = 55289,
  [SMALL_STATE(3614)] = 55316,
  [SMALL_STATE(3615)] = 55359,
  [SMALL_STATE(3616)] = 55404,
  [SMALL_STATE(3617)] = 55447,
  [SMALL_STATE(3618)] = 55474,
  [SMALL_STATE(3619)] = 55507,
  [SMALL_STATE(3620)] = 55540,
  [SMALL_STATE(3621)] = 55567,
  [SMALL_STATE(3622)] = 55612,
  [SMALL_STATE(3623)] = 55655,
  [SMALL_STATE(3624)] = 55682,
  [SMALL_STATE(3625)] = 55709,
  [SMALL_STATE(3626)] = 55736,
  [SMALL_STATE(3627)] = 55763,
  [SMALL_STATE(3628)] = 55790,
  [SMALL_STATE(3629)] = 55817,
  [SMALL_STATE(3630)] = 55844,
  [SMALL_STATE(3631)] = 55873,
  [SMALL_STATE(3632)] = 55902,
  [SMALL_STATE(3633)] = 55931,
  [SMALL_STATE(3634)] = 55958,
  [SMALL_STATE(3635)] = 55987,
  [SMALL_STATE(3636)] = 56014,
  [SMALL_STATE(3637)] = 56043,
  [SMALL_STATE(3638)] = 56074,
  [SMALL_STATE(3639)] = 56103,
  [SMALL_STATE(3640)] = 56132,
  [SMALL_STATE(3641)] = 56161,
  [SMALL_STATE(3642)] = 56190,
  [SMALL_STATE(3643)] = 56219,
  [SMALL_STATE(3644)] = 56248,
  [SMALL_STATE(3645)] = 56277,
  [SMALL_STATE(3646)] = 56324,
  [SMALL_STATE(3647)] = 56353,
  [SMALL_STATE(3648)] = 56382,
  [SMALL_STATE(3649)] = 56408,
  [SMALL_STATE(3650)] = 56452,
  [SMALL_STATE(3651)] = 56482,
  [SMALL_STATE(3652)] = 56508,
  [SMALL_STATE(3653)] = 56540,
  [SMALL_STATE(3654)] = 56566,
  [SMALL_STATE(3655)] = 56610,
  [SMALL_STATE(3656)] = 56654,
  [SMALL_STATE(3657)] = 56680,
  [SMALL_STATE(3658)] = 56722,
  [SMALL_STATE(3659)] = 56748,
  [SMALL_STATE(3660)] = 56774,
  [SMALL_STATE(3661)] = 56804,
  [SMALL_STATE(3662)] = 56834,
  [SMALL_STATE(3663)] = 56878,
  [SMALL_STATE(3664)] = 56920,
  [SMALL_STATE(3665)] = 56946,
  [SMALL_STATE(3666)] = 56988,
  [SMALL_STATE(3667)] = 57014,
  [SMALL_STATE(3668)] = 57040,
  [SMALL_STATE(3669)] = 57066,
  [SMALL_STATE(3670)] = 57106,
  [SMALL_STATE(3671)] = 57136,
  [SMALL_STATE(3672)] = 57164,
  [SMALL_STATE(3673)] = 57190,
  [SMALL_STATE(3674)] = 57232,
  [SMALL_STATE(3675)] = 57272,
  [SMALL_STATE(3676)] = 57298,
  [SMALL_STATE(3677)] = 57324,
  [SMALL_STATE(3678)] = 57350,
  [SMALL_STATE(3679)] = 57394,
  [SMALL_STATE(3680)] = 57420,
  [SMALL_STATE(3681)] = 57462,
  [SMALL_STATE(3682)] = 57494,
  [SMALL_STATE(3683)] = 57538,
  [SMALL_STATE(3684)] = 57564,
  [SMALL_STATE(3685)] = 57604,
  [SMALL_STATE(3686)] = 57634,
  [SMALL_STATE(3687)] = 57664,
  [SMALL_STATE(3688)] = 57694,
  [SMALL_STATE(3689)] = 57726,
  [SMALL_STATE(3690)] = 57756,
  [SMALL_STATE(3691)] = 57800,
  [SMALL_STATE(3692)] = 57830,
  [SMALL_STATE(3693)] = 57864,
  [SMALL_STATE(3694)] = 57908,
  [SMALL_STATE(3695)] = 57948,
  [SMALL_STATE(3696)] = 57992,
  [SMALL_STATE(3697)] = 58036,
  [SMALL_STATE(3698)] = 58066,
  [SMALL_STATE(3699)] = 58106,
  [SMALL_STATE(3700)] = 58146,
  [SMALL_STATE(3701)] = 58186,
  [SMALL_STATE(3702)] = 58218,
  [SMALL_STATE(3703)] = 58248,
  [SMALL_STATE(3704)] = 58278,
  [SMALL_STATE(3705)] = 58310,
  [SMALL_STATE(3706)] = 58354,
  [SMALL_STATE(3707)] = 58396,
  [SMALL_STATE(3708)] = 58426,
  [SMALL_STATE(3709)] = 58456,
  [SMALL_STATE(3710)] = 58496,
  [SMALL_STATE(3711)] = 58540,
  [SMALL_STATE(3712)] = 58584,
  [SMALL_STATE(3713)] = 58626,
  [SMALL_STATE(3714)] = 58656,
  [SMALL_STATE(3715)] = 58698,
  [SMALL_STATE(3716)] = 58738,
  [SMALL_STATE(3717)] = 58768,
  [SMALL_STATE(3718)] = 58812,
  [SMALL_STATE(3719)] = 58854,
  [SMALL_STATE(3720)] = 58896,
  [SMALL_STATE(3721)] = 58937,
  [SMALL_STATE(3722)] = 58976,
  [SMALL_STATE(3723)] = 59015,
  [SMALL_STATE(3724)] = 59056,
  [SMALL_STATE(3725)] = 59095,
  [SMALL_STATE(3726)] = 59136,
  [SMALL_STATE(3727)] = 59175,
  [SMALL_STATE(3728)] = 59214,
  [SMALL_STATE(3729)] = 59255,
  [SMALL_STATE(3730)] = 59284,
  [SMALL_STATE(3731)] = 59323,
  [SMALL_STATE(3732)] = 59364,
  [SMALL_STATE(3733)] = 59405,
  [SMALL_STATE(3734)] = 59444,
  [SMALL_STATE(3735)] = 59471,
  [SMALL_STATE(3736)] = 59510,
  [SMALL_STATE(3737)] = 59551,
  [SMALL_STATE(3738)] = 59592,
  [SMALL_STATE(3739)] = 59631,
  [SMALL_STATE(3740)] = 59670,
  [SMALL_STATE(3741)] = 59709,
  [SMALL_STATE(3742)] = 59748,
  [SMALL_STATE(3743)] = 59787,
  [SMALL_STATE(3744)] = 59828,
  [SMALL_STATE(3745)] = 59867,
  [SMALL_STATE(3746)] = 59906,
  [SMALL_STATE(3747)] = 59947,
  [SMALL_STATE(3748)] = 59988,
  [SMALL_STATE(3749)] = 60027,
  [SMALL_STATE(3750)] = 60068,
  [SMALL_STATE(3751)] = 60109,
  [SMALL_STATE(3752)] = 60140,
  [SMALL_STATE(3753)] = 60179,
  [SMALL_STATE(3754)] = 60206,
  [SMALL_STATE(3755)] = 60235,
  [SMALL_STATE(3756)] = 60276,
  [SMALL_STATE(3757)] = 60305,
  [SMALL_STATE(3758)] = 60344,
  [SMALL_STATE(3759)] = 60375,
  [SMALL_STATE(3760)] = 60416,
  [SMALL_STATE(3761)] = 60457,
  [SMALL_STATE(3762)] = 60496,
  [SMALL_STATE(3763)] = 60537,
  [SMALL_STATE(3764)] = 60576,
  [SMALL_STATE(3765)] = 60617,
  [SMALL_STATE(3766)] = 60658,
  [SMALL_STATE(3767)] = 60699,
  [SMALL_STATE(3768)] = 60740,
  [SMALL_STATE(3769)] = 60781,
  [SMALL_STATE(3770)] = 60822,
  [SMALL_STATE(3771)] = 60861,
  [SMALL_STATE(3772)] = 60902,
  [SMALL_STATE(3773)] = 60943,
  [SMALL_STATE(3774)] = 60982,
  [SMALL_STATE(3775)] = 61011,
  [SMALL_STATE(3776)] = 61040,
  [SMALL_STATE(3777)] = 61081,
  [SMALL_STATE(3778)] = 61110,
  [SMALL_STATE(3779)] = 61151,
  [SMALL_STATE(3780)] = 61180,
  [SMALL_STATE(3781)] = 61219,
  [SMALL_STATE(3782)] = 61258,
  [SMALL_STATE(3783)] = 61299,
  [SMALL_STATE(3784)] = 61332,
  [SMALL_STATE(3785)] = 61371,
  [SMALL_STATE(3786)] = 61400,
  [SMALL_STATE(3787)] = 61429,
  [SMALL_STATE(3788)] = 61470,
  [SMALL_STATE(3789)] = 61511,
  [SMALL_STATE(3790)] = 61552,
  [SMALL_STATE(3791)] = 61591,
  [SMALL_STATE(3792)] = 61616,
  [SMALL_STATE(3793)] = 61655,
  [SMALL_STATE(3794)] = 61680,
  [SMALL_STATE(3795)] = 61721,
  [SMALL_STATE(3796)] = 61746,
  [SMALL_STATE(3797)] = 61785,
  [SMALL_STATE(3798)] = 61824,
  [SMALL_STATE(3799)] = 61865,
  [SMALL_STATE(3800)] = 61906,
  [SMALL_STATE(3801)] = 61947,
  [SMALL_STATE(3802)] = 61988,
  [SMALL_STATE(3803)] = 62029,
  [SMALL_STATE(3804)] = 62070,
  [SMALL_STATE(3805)] = 62111,
  [SMALL_STATE(3806)] = 62152,
  [SMALL_STATE(3807)] = 62191,
  [SMALL_STATE(3808)] = 62222,
  [SMALL_STATE(3809)] = 62263,
  [SMALL_STATE(3810)] = 62304,
  [SMALL_STATE(3811)] = 62335,
  [SMALL_STATE(3812)] = 62374,
  [SMALL_STATE(3813)] = 62413,
  [SMALL_STATE(3814)] = 62454,
  [SMALL_STATE(3815)] = 62495,
  [SMALL_STATE(3816)] = 62528,
  [SMALL_STATE(3817)] = 62557,
  [SMALL_STATE(3818)] = 62598,
  [SMALL_STATE(3819)] = 62637,
  [SMALL_STATE(3820)] = 62676,
  [SMALL_STATE(3821)] = 62717,
  [SMALL_STATE(3822)] = 62756,
  [SMALL_STATE(3823)] = 62785,
  [SMALL_STATE(3824)] = 62826,
  [SMALL_STATE(3825)] = 62865,
  [SMALL_STATE(3826)] = 62906,
  [SMALL_STATE(3827)] = 62935,
  [SMALL_STATE(3828)] = 62964,
  [SMALL_STATE(3829)] = 63005,
  [SMALL_STATE(3830)] = 63034,
  [SMALL_STATE(3831)] = 63063,
  [SMALL_STATE(3832)] = 63102,
  [SMALL_STATE(3833)] = 63140,
  [SMALL_STATE(3834)] = 63178,
  [SMALL_STATE(3835)] = 63216,
  [SMALL_STATE(3836)] = 63252,
  [SMALL_STATE(3837)] = 63278,
  [SMALL_STATE(3838)] = 63304,
  [SMALL_STATE(3839)] = 63330,
  [SMALL_STATE(3840)] = 63356,
  [SMALL_STATE(3841)] = 63394,
  [SMALL_STATE(3842)] = 63420,
  [SMALL_STATE(3843)] = 63446,
  [SMALL_STATE(3844)] = 63472,
  [SMALL_STATE(3845)] = 63510,
  [SMALL_STATE(3846)] = 63548,
  [SMALL_STATE(3847)] = 63586,
  [SMALL_STATE(3848)] = 63612,
  [SMALL_STATE(3849)] = 63650,
  [SMALL_STATE(3850)] = 63688,
  [SMALL_STATE(3851)] = 63726,
  [SMALL_STATE(3852)] = 63764,
  [SMALL_STATE(3853)] = 63802,
  [SMALL_STATE(3854)] = 63840,
  [SMALL_STATE(3855)] = 63866,
  [SMALL_STATE(3856)] = 63904,
  [SMALL_STATE(3857)] = 63942,
  [SMALL_STATE(3858)] = 63980,
  [SMALL_STATE(3859)] = 64018,
  [SMALL_STATE(3860)] = 64056,
  [SMALL_STATE(3861)] = 64094,
  [SMALL_STATE(3862)] = 64132,
  [SMALL_STATE(3863)] = 64156,
  [SMALL_STATE(3864)] = 64180,
  [SMALL_STATE(3865)] = 64210,
  [SMALL_STATE(3866)] = 64236,
  [SMALL_STATE(3867)] = 64262,
  [SMALL_STATE(3868)] = 64300,
  [SMALL_STATE(3869)] = 64338,
  [SMALL_STATE(3870)] = 64364,
  [SMALL_STATE(3871)] = 64388,
  [SMALL_STATE(3872)] = 64424,
  [SMALL_STATE(3873)] = 64450,
  [SMALL_STATE(3874)] = 64476,
  [SMALL_STATE(3875)] = 64500,
  [SMALL_STATE(3876)] = 64538,
  [SMALL_STATE(3877)] = 64576,
  [SMALL_STATE(3878)] = 64600,
  [SMALL_STATE(3879)] = 64638,
  [SMALL_STATE(3880)] = 64676,
  [SMALL_STATE(3881)] = 64714,
  [SMALL_STATE(3882)] = 64740,
  [SMALL_STATE(3883)] = 64768,
  [SMALL_STATE(3884)] = 64792,
  [SMALL_STATE(3885)] = 64830,
  [SMALL_STATE(3886)] = 64860,
  [SMALL_STATE(3887)] = 64898,
  [SMALL_STATE(3888)] = 64936,
  [SMALL_STATE(3889)] = 64972,
  [SMALL_STATE(3890)] = 65010,
  [SMALL_STATE(3891)] = 65038,
  [SMALL_STATE(3892)] = 65062,
  [SMALL_STATE(3893)] = 65086,
  [SMALL_STATE(3894)] = 65124,
  [SMALL_STATE(3895)] = 65152,
  [SMALL_STATE(3896)] = 65180,
  [SMALL_STATE(3897)] = 65206,
  [SMALL_STATE(3898)] = 65234,
  [SMALL_STATE(3899)] = 65258,
  [SMALL_STATE(3900)] = 65296,
  [SMALL_STATE(3901)] = 65320,
  [SMALL_STATE(3902)] = 65355,
  [SMALL_STATE(3903)] = 65390,
  [SMALL_STATE(3904)] = 65425,
  [SMALL_STATE(3905)] = 65460,
  [SMALL_STATE(3906)] = 65493,
  [SMALL_STATE(3907)] = 65518,
  [SMALL_STATE(3908)] = 65551,
  [SMALL_STATE(3909)] = 65586,
  [SMALL_STATE(3910)] = 65621,
  [SMALL_STATE(3911)] = 65654,
  [SMALL_STATE(3912)] = 65689,
  [SMALL_STATE(3913)] = 65722,
  [SMALL_STATE(3914)] = 65755,
  [SMALL_STATE(3915)] = 65788,
  [SMALL_STATE(3916)] = 65823,
  [SMALL_STATE(3917)] = 65856,
  [SMALL_STATE(3918)] = 65881,
  [SMALL_STATE(3919)] = 65916,
  [SMALL_STATE(3920)] = 65949,
  [SMALL_STATE(3921)] = 65984,
  [SMALL_STATE(3922)] = 66017,
  [SMALL_STATE(3923)] = 66052,
  [SMALL_STATE(3924)] = 66077,
  [SMALL_STATE(3925)] = 66102,
  [SMALL_STATE(3926)] = 66135,
  [SMALL_STATE(3927)] = 66168,
  [SMALL_STATE(3928)] = 66201,
  [SMALL_STATE(3929)] = 66234,
  [SMALL_STATE(3930)] = 66267,
  [SMALL_STATE(3931)] = 66300,
  [SMALL_STATE(3932)] = 66333,
  [SMALL_STATE(3933)] = 66366,
  [SMALL_STATE(3934)] = 66399,
  [SMALL_STATE(3935)] = 66432,
  [SMALL_STATE(3936)] = 66467,
  [SMALL_STATE(3937)] = 66502,
  [SMALL_STATE(3938)] = 66535,
  [SMALL_STATE(3939)] = 66570,
  [SMALL_STATE(3940)] = 66603,
  [SMALL_STATE(3941)] = 66636,
  [SMALL_STATE(3942)] = 66669,
  [SMALL_STATE(3943)] = 66702,
  [SMALL_STATE(3944)] = 66735,
  [SMALL_STATE(3945)] = 66768,
  [SMALL_STATE(3946)] = 66803,
  [SMALL_STATE(3947)] = 66838,
  [SMALL_STATE(3948)] = 66863,
  [SMALL_STATE(3949)] = 66896,
  [SMALL_STATE(3950)] = 66929,
  [SMALL_STATE(3951)] = 66962,
  [SMALL_STATE(3952)] = 66995,
  [SMALL_STATE(3953)] = 67028,
  [SMALL_STATE(3954)] = 67059,
  [SMALL_STATE(3955)] = 67092,
  [SMALL_STATE(3956)] = 67125,
  [SMALL_STATE(3957)] = 67158,
  [SMALL_STATE(3958)] = 67191,
  [SMALL_STATE(3959)] = 67224,
  [SMALL_STATE(3960)] = 67257,
  [SMALL_STATE(3961)] = 67290,
  [SMALL_STATE(3962)] = 67325,
  [SMALL_STATE(3963)] = 67358,
  [SMALL_STATE(3964)] = 67391,
  [SMALL_STATE(3965)] = 67424,
  [SMALL_STATE(3966)] = 67459,
  [SMALL_STATE(3967)] = 67492,
  [SMALL_STATE(3968)] = 67525,
  [SMALL_STATE(3969)] = 67558,
  [SMALL_STATE(3970)] = 67591,
  [SMALL_STATE(3971)] = 67626,
  [SMALL_STATE(3972)] = 67659,
  [SMALL_STATE(3973)] = 67692,
  [SMALL_STATE(3974)] = 67725,
  [SMALL_STATE(3975)] = 67758,
  [SMALL_STATE(3976)] = 67793,
  [SMALL_STATE(3977)] = 67826,
  [SMALL_STATE(3978)] = 67859,
  [SMALL_STATE(3979)] = 67894,
  [SMALL_STATE(3980)] = 67927,
  [SMALL_STATE(3981)] = 67952,
  [SMALL_STATE(3982)] = 67985,
  [SMALL_STATE(3983)] = 68009,
  [SMALL_STATE(3984)] = 68033,
  [SMALL_STATE(3985)] = 68063,
  [SMALL_STATE(3986)] = 68093,
  [SMALL_STATE(3987)] = 68125,
  [SMALL_STATE(3988)] = 68154,
  [SMALL_STATE(3989)] = 68183,
  [SMALL_STATE(3990)] = 68212,
  [SMALL_STATE(3991)] = 68241,
  [SMALL_STATE(3992)] = 68268,
  [SMALL_STATE(3993)] = 68297,
  [SMALL_STATE(3994)] = 68326,
  [SMALL_STATE(3995)] = 68355,
  [SMALL_STATE(3996)] = 68384,
  [SMALL_STATE(3997)] = 68413,
  [SMALL_STATE(3998)] = 68442,
  [SMALL_STATE(3999)] = 68471,
  [SMALL_STATE(4000)] = 68500,
  [SMALL_STATE(4001)] = 68529,
  [SMALL_STATE(4002)] = 68556,
  [SMALL_STATE(4003)] = 68585,
  [SMALL_STATE(4004)] = 68614,
  [SMALL_STATE(4005)] = 68643,
  [SMALL_STATE(4006)] = 68672,
  [SMALL_STATE(4007)] = 68701,
  [SMALL_STATE(4008)] = 68728,
  [SMALL_STATE(4009)] = 68757,
  [SMALL_STATE(4010)] = 68784,
  [SMALL_STATE(4011)] = 68813,
  [SMALL_STATE(4012)] = 68842,
  [SMALL_STATE(4013)] = 68871,
  [SMALL_STATE(4014)] = 68900,
  [SMALL_STATE(4015)] = 68929,
  [SMALL_STATE(4016)] = 68958,
  [SMALL_STATE(4017)] = 68987,
  [SMALL_STATE(4018)] = 69016,
  [SMALL_STATE(4019)] = 69045,
  [SMALL_STATE(4020)] = 69074,
  [SMALL_STATE(4021)] = 69103,
  [SMALL_STATE(4022)] = 69130,
  [SMALL_STATE(4023)] = 69159,
  [SMALL_STATE(4024)] = 69188,
  [SMALL_STATE(4025)] = 69215,
  [SMALL_STATE(4026)] = 69244,
  [SMALL_STATE(4027)] = 69271,
  [SMALL_STATE(4028)] = 69298,
  [SMALL_STATE(4029)] = 69327,
  [SMALL_STATE(4030)] = 69354,
  [SMALL_STATE(4031)] = 69381,
  [SMALL_STATE(4032)] = 69410,
  [SMALL_STATE(4033)] = 69439,
  [SMALL_STATE(4034)] = 69468,
  [SMALL_STATE(4035)] = 69497,
  [SMALL_STATE(4036)] = 69526,
  [SMALL_STATE(4037)] = 69555,
  [SMALL_STATE(4038)] = 69584,
  [SMALL_STATE(4039)] = 69613,
  [SMALL_STATE(4040)] = 69642,
  [SMALL_STATE(4041)] = 69669,
  [SMALL_STATE(4042)] = 69698,
  [SMALL_STATE(4043)] = 69727,
  [SMALL_STATE(4044)] = 69756,
  [SMALL_STATE(4045)] = 69785,
  [SMALL_STATE(4046)] = 69814,
  [SMALL_STATE(4047)] = 69843,
  [SMALL_STATE(4048)] = 69872,
  [SMALL_STATE(4049)] = 69899,
  [SMALL_STATE(4050)] = 69928,
  [SMALL_STATE(4051)] = 69957,
  [SMALL_STATE(4052)] = 69986,
  [SMALL_STATE(4053)] = 70015,
  [SMALL_STATE(4054)] = 70044,
  [SMALL_STATE(4055)] = 70071,
  [SMALL_STATE(4056)] = 70096,
  [SMALL_STATE(4057)] = 70125,
  [SMALL_STATE(4058)] = 70154,
  [SMALL_STATE(4059)] = 70183,
  [SMALL_STATE(4060)] = 70212,
  [SMALL_STATE(4061)] = 70241,
  [SMALL_STATE(4062)] = 70270,
  [SMALL_STATE(4063)] = 70299,
  [SMALL_STATE(4064)] = 70328,
  [SMALL_STATE(4065)] = 70357,
  [SMALL_STATE(4066)] = 70386,
  [SMALL_STATE(4067)] = 70415,
  [SMALL_STATE(4068)] = 70444,
  [SMALL_STATE(4069)] = 70473,
  [SMALL_STATE(4070)] = 70502,
  [SMALL_STATE(4071)] = 70529,
  [SMALL_STATE(4072)] = 70558,
  [SMALL_STATE(4073)] = 70587,
  [SMALL_STATE(4074)] = 70610,
  [SMALL_STATE(4075)] = 70639,
  [SMALL_STATE(4076)] = 70668,
  [SMALL_STATE(4077)] = 70697,
  [SMALL_STATE(4078)] = 70720,
  [SMALL_STATE(4079)] = 70749,
  [SMALL_STATE(4080)] = 70778,
  [SMALL_STATE(4081)] = 70807,
  [SMALL_STATE(4082)] = 70836,
  [SMALL_STATE(4083)] = 70865,
  [SMALL_STATE(4084)] = 70894,
  [SMALL_STATE(4085)] = 70920,
  [SMALL_STATE(4086)] = 70946,
  [SMALL_STATE(4087)] = 70972,
  [SMALL_STATE(4088)] = 70998,
  [SMALL_STATE(4089)] = 71024,
  [SMALL_STATE(4090)] = 71050,
  [SMALL_STATE(4091)] = 71076,
  [SMALL_STATE(4092)] = 71102,
  [SMALL_STATE(4093)] = 71128,
  [SMALL_STATE(4094)] = 71154,
  [SMALL_STATE(4095)] = 71180,
  [SMALL_STATE(4096)] = 71206,
  [SMALL_STATE(4097)] = 71232,
  [SMALL_STATE(4098)] = 71258,
  [SMALL_STATE(4099)] = 71284,
  [SMALL_STATE(4100)] = 71310,
  [SMALL_STATE(4101)] = 71332,
  [SMALL_STATE(4102)] = 71354,
  [SMALL_STATE(4103)] = 71380,
  [SMALL_STATE(4104)] = 71404,
  [SMALL_STATE(4105)] = 71430,
  [SMALL_STATE(4106)] = 71456,
  [SMALL_STATE(4107)] = 71482,
  [SMALL_STATE(4108)] = 71508,
  [SMALL_STATE(4109)] = 71534,
  [SMALL_STATE(4110)] = 71560,
  [SMALL_STATE(4111)] = 71586,
  [SMALL_STATE(4112)] = 71612,
  [SMALL_STATE(4113)] = 71638,
  [SMALL_STATE(4114)] = 71664,
  [SMALL_STATE(4115)] = 71690,
  [SMALL_STATE(4116)] = 71716,
  [SMALL_STATE(4117)] = 71742,
  [SMALL_STATE(4118)] = 71768,
  [SMALL_STATE(4119)] = 71792,
  [SMALL_STATE(4120)] = 71818,
  [SMALL_STATE(4121)] = 71844,
  [SMALL_STATE(4122)] = 71870,
  [SMALL_STATE(4123)] = 71896,
  [SMALL_STATE(4124)] = 71922,
  [SMALL_STATE(4125)] = 71948,
  [SMALL_STATE(4126)] = 71974,
  [SMALL_STATE(4127)] = 72000,
  [SMALL_STATE(4128)] = 72026,
  [SMALL_STATE(4129)] = 72052,
  [SMALL_STATE(4130)] = 72078,
  [SMALL_STATE(4131)] = 72104,
  [SMALL_STATE(4132)] = 72130,
  [SMALL_STATE(4133)] = 72156,
  [SMALL_STATE(4134)] = 72182,
  [SMALL_STATE(4135)] = 72208,
  [SMALL_STATE(4136)] = 72232,
  [SMALL_STATE(4137)] = 72256,
  [SMALL_STATE(4138)] = 72282,
  [SMALL_STATE(4139)] = 72308,
  [SMALL_STATE(4140)] = 72330,
  [SMALL_STATE(4141)] = 72356,
  [SMALL_STATE(4142)] = 72382,
  [SMALL_STATE(4143)] = 72408,
  [SMALL_STATE(4144)] = 72434,
  [SMALL_STATE(4145)] = 72456,
  [SMALL_STATE(4146)] = 72482,
  [SMALL_STATE(4147)] = 72508,
  [SMALL_STATE(4148)] = 72532,
  [SMALL_STATE(4149)] = 72556,
  [SMALL_STATE(4150)] = 72582,
  [SMALL_STATE(4151)] = 72608,
  [SMALL_STATE(4152)] = 72632,
  [SMALL_STATE(4153)] = 72658,
  [SMALL_STATE(4154)] = 72684,
  [SMALL_STATE(4155)] = 72703,
  [SMALL_STATE(4156)] = 72722,
  [SMALL_STATE(4157)] = 72745,
  [SMALL_STATE(4158)] = 72768,
  [SMALL_STATE(4159)] = 72791,
  [SMALL_STATE(4160)] = 72814,
  [SMALL_STATE(4161)] = 72837,
  [SMALL_STATE(4162)] = 72860,
  [SMALL_STATE(4163)] = 72879,
  [SMALL_STATE(4164)] = 72902,
  [SMALL_STATE(4165)] = 72925,
  [SMALL_STATE(4166)] = 72948,
  [SMALL_STATE(4167)] = 72971,
  [SMALL_STATE(4168)] = 72994,
  [SMALL_STATE(4169)] = 73017,
  [SMALL_STATE(4170)] = 73040,
  [SMALL_STATE(4171)] = 73063,
  [SMALL_STATE(4172)] = 73086,
  [SMALL_STATE(4173)] = 73109,
  [SMALL_STATE(4174)] = 73132,
  [SMALL_STATE(4175)] = 73155,
  [SMALL_STATE(4176)] = 73178,
  [SMALL_STATE(4177)] = 73201,
  [SMALL_STATE(4178)] = 73224,
  [SMALL_STATE(4179)] = 73243,
  [SMALL_STATE(4180)] = 73266,
  [SMALL_STATE(4181)] = 73289,
  [SMALL_STATE(4182)] = 73312,
  [SMALL_STATE(4183)] = 73335,
  [SMALL_STATE(4184)] = 73358,
  [SMALL_STATE(4185)] = 73381,
  [SMALL_STATE(4186)] = 73404,
  [SMALL_STATE(4187)] = 73427,
  [SMALL_STATE(4188)] = 73448,
  [SMALL_STATE(4189)] = 73467,
  [SMALL_STATE(4190)] = 73490,
  [SMALL_STATE(4191)] = 73513,
  [SMALL_STATE(4192)] = 73536,
  [SMALL_STATE(4193)] = 73559,
  [SMALL_STATE(4194)] = 73582,
  [SMALL_STATE(4195)] = 73605,
  [SMALL_STATE(4196)] = 73628,
  [SMALL_STATE(4197)] = 73651,
  [SMALL_STATE(4198)] = 73674,
  [SMALL_STATE(4199)] = 73697,
  [SMALL_STATE(4200)] = 73720,
  [SMALL_STATE(4201)] = 73743,
  [SMALL_STATE(4202)] = 73764,
  [SMALL_STATE(4203)] = 73785,
  [SMALL_STATE(4204)] = 73808,
  [SMALL_STATE(4205)] = 73831,
  [SMALL_STATE(4206)] = 73854,
  [SMALL_STATE(4207)] = 73877,
  [SMALL_STATE(4208)] = 73898,
  [SMALL_STATE(4209)] = 73921,
  [SMALL_STATE(4210)] = 73944,
  [SMALL_STATE(4211)] = 73967,
  [SMALL_STATE(4212)] = 73990,
  [SMALL_STATE(4213)] = 74013,
  [SMALL_STATE(4214)] = 74036,
  [SMALL_STATE(4215)] = 74059,
  [SMALL_STATE(4216)] = 74082,
  [SMALL_STATE(4217)] = 74105,
  [SMALL_STATE(4218)] = 74128,
  [SMALL_STATE(4219)] = 74151,
  [SMALL_STATE(4220)] = 74174,
  [SMALL_STATE(4221)] = 74197,
  [SMALL_STATE(4222)] = 74220,
  [SMALL_STATE(4223)] = 74243,
  [SMALL_STATE(4224)] = 74266,
  [SMALL_STATE(4225)] = 74289,
  [SMALL_STATE(4226)] = 74312,
  [SMALL_STATE(4227)] = 74335,
  [SMALL_STATE(4228)] = 74358,
  [SMALL_STATE(4229)] = 74381,
  [SMALL_STATE(4230)] = 74404,
  [SMALL_STATE(4231)] = 74427,
  [SMALL_STATE(4232)] = 74450,
  [SMALL_STATE(4233)] = 74473,
  [SMALL_STATE(4234)] = 74494,
  [SMALL_STATE(4235)] = 74517,
  [SMALL_STATE(4236)] = 74536,
  [SMALL_STATE(4237)] = 74559,
  [SMALL_STATE(4238)] = 74582,
  [SMALL_STATE(4239)] = 74605,
  [SMALL_STATE(4240)] = 74628,
  [SMALL_STATE(4241)] = 74651,
  [SMALL_STATE(4242)] = 74674,
  [SMALL_STATE(4243)] = 74697,
  [SMALL_STATE(4244)] = 74720,
  [SMALL_STATE(4245)] = 74741,
  [SMALL_STATE(4246)] = 74764,
  [SMALL_STATE(4247)] = 74785,
  [SMALL_STATE(4248)] = 74808,
  [SMALL_STATE(4249)] = 74831,
  [SMALL_STATE(4250)] = 74852,
  [SMALL_STATE(4251)] = 74875,
  [SMALL_STATE(4252)] = 74898,
  [SMALL_STATE(4253)] = 74921,
  [SMALL_STATE(4254)] = 74944,
  [SMALL_STATE(4255)] = 74967,
  [SMALL_STATE(4256)] = 74990,
  [SMALL_STATE(4257)] = 75013,
  [SMALL_STATE(4258)] = 75034,
  [SMALL_STATE(4259)] = 75055,
  [SMALL_STATE(4260)] = 75078,
  [SMALL_STATE(4261)] = 75101,
  [SMALL_STATE(4262)] = 75124,
  [SMALL_STATE(4263)] = 75147,
  [SMALL_STATE(4264)] = 75166,
  [SMALL_STATE(4265)] = 75189,
  [SMALL_STATE(4266)] = 75212,
  [SMALL_STATE(4267)] = 75231,
  [SMALL_STATE(4268)] = 75254,
  [SMALL_STATE(4269)] = 75277,
  [SMALL_STATE(4270)] = 75296,
  [SMALL_STATE(4271)] = 75319,
  [SMALL_STATE(4272)] = 75340,
  [SMALL_STATE(4273)] = 75361,
  [SMALL_STATE(4274)] = 75384,
  [SMALL_STATE(4275)] = 75407,
  [SMALL_STATE(4276)] = 75430,
  [SMALL_STATE(4277)] = 75453,
  [SMALL_STATE(4278)] = 75474,
  [SMALL_STATE(4279)] = 75497,
  [SMALL_STATE(4280)] = 75520,
  [SMALL_STATE(4281)] = 75543,
  [SMALL_STATE(4282)] = 75562,
  [SMALL_STATE(4283)] = 75585,
  [SMALL_STATE(4284)] = 75606,
  [SMALL_STATE(4285)] = 75629,
  [SMALL_STATE(4286)] = 75652,
  [SMALL_STATE(4287)] = 75675,
  [SMALL_STATE(4288)] = 75698,
  [SMALL_STATE(4289)] = 75721,
  [SMALL_STATE(4290)] = 75744,
  [SMALL_STATE(4291)] = 75767,
  [SMALL_STATE(4292)] = 75788,
  [SMALL_STATE(4293)] = 75811,
  [SMALL_STATE(4294)] = 75834,
  [SMALL_STATE(4295)] = 75857,
  [SMALL_STATE(4296)] = 75880,
  [SMALL_STATE(4297)] = 75903,
  [SMALL_STATE(4298)] = 75924,
  [SMALL_STATE(4299)] = 75947,
  [SMALL_STATE(4300)] = 75970,
  [SMALL_STATE(4301)] = 75993,
  [SMALL_STATE(4302)] = 76016,
  [SMALL_STATE(4303)] = 76039,
  [SMALL_STATE(4304)] = 76062,
  [SMALL_STATE(4305)] = 76085,
  [SMALL_STATE(4306)] = 76108,
  [SMALL_STATE(4307)] = 76131,
  [SMALL_STATE(4308)] = 76150,
  [SMALL_STATE(4309)] = 76173,
  [SMALL_STATE(4310)] = 76196,
  [SMALL_STATE(4311)] = 76219,
  [SMALL_STATE(4312)] = 76242,
  [SMALL_STATE(4313)] = 76265,
  [SMALL_STATE(4314)] = 76288,
  [SMALL_STATE(4315)] = 76309,
  [SMALL_STATE(4316)] = 76332,
  [SMALL_STATE(4317)] = 76355,
  [SMALL_STATE(4318)] = 76378,
  [SMALL_STATE(4319)] = 76401,
  [SMALL_STATE(4320)] = 76424,
  [SMALL_STATE(4321)] = 76447,
  [SMALL_STATE(4322)] = 76470,
  [SMALL_STATE(4323)] = 76493,
  [SMALL_STATE(4324)] = 76516,
  [SMALL_STATE(4325)] = 76539,
  [SMALL_STATE(4326)] = 76562,
  [SMALL_STATE(4327)] = 76585,
  [SMALL_STATE(4328)] = 76608,
  [SMALL_STATE(4329)] = 76628,
  [SMALL_STATE(4330)] = 76648,
  [SMALL_STATE(4331)] = 76666,
  [SMALL_STATE(4332)] = 76686,
  [SMALL_STATE(4333)] = 76704,
  [SMALL_STATE(4334)] = 76724,
  [SMALL_STATE(4335)] = 76744,
  [SMALL_STATE(4336)] = 76764,
  [SMALL_STATE(4337)] = 76784,
  [SMALL_STATE(4338)] = 76802,
  [SMALL_STATE(4339)] = 76820,
  [SMALL_STATE(4340)] = 76840,
  [SMALL_STATE(4341)] = 76860,
  [SMALL_STATE(4342)] = 76880,
  [SMALL_STATE(4343)] = 76898,
  [SMALL_STATE(4344)] = 76918,
  [SMALL_STATE(4345)] = 76936,
  [SMALL_STATE(4346)] = 76956,
  [SMALL_STATE(4347)] = 76976,
  [SMALL_STATE(4348)] = 76994,
  [SMALL_STATE(4349)] = 77014,
  [SMALL_STATE(4350)] = 77034,
  [SMALL_STATE(4351)] = 77054,
  [SMALL_STATE(4352)] = 77074,
  [SMALL_STATE(4353)] = 77094,
  [SMALL_STATE(4354)] = 77112,
  [SMALL_STATE(4355)] = 77132,
  [SMALL_STATE(4356)] = 77152,
  [SMALL_STATE(4357)] = 77172,
  [SMALL_STATE(4358)] = 77192,
  [SMALL_STATE(4359)] = 77210,
  [SMALL_STATE(4360)] = 77228,
  [SMALL_STATE(4361)] = 77248,
  [SMALL_STATE(4362)] = 77268,
  [SMALL_STATE(4363)] = 77286,
  [SMALL_STATE(4364)] = 77306,
  [SMALL_STATE(4365)] = 77324,
  [SMALL_STATE(4366)] = 77344,
  [SMALL_STATE(4367)] = 77362,
  [SMALL_STATE(4368)] = 77380,
  [SMALL_STATE(4369)] = 77400,
  [SMALL_STATE(4370)] = 77418,
  [SMALL_STATE(4371)] = 77438,
  [SMALL_STATE(4372)] = 77458,
  [SMALL_STATE(4373)] = 77478,
  [SMALL_STATE(4374)] = 77498,
  [SMALL_STATE(4375)] = 77518,
  [SMALL_STATE(4376)] = 77538,
  [SMALL_STATE(4377)] = 77556,
  [SMALL_STATE(4378)] = 77576,
  [SMALL_STATE(4379)] = 77596,
  [SMALL_STATE(4380)] = 77616,
  [SMALL_STATE(4381)] = 77636,
  [SMALL_STATE(4382)] = 77654,
  [SMALL_STATE(4383)] = 77674,
  [SMALL_STATE(4384)] = 77694,
  [SMALL_STATE(4385)] = 77714,
  [SMALL_STATE(4386)] = 77732,
  [SMALL_STATE(4387)] = 77752,
  [SMALL_STATE(4388)] = 77772,
  [SMALL_STATE(4389)] = 77792,
  [SMALL_STATE(4390)] = 77812,
  [SMALL_STATE(4391)] = 77832,
  [SMALL_STATE(4392)] = 77852,
  [SMALL_STATE(4393)] = 77872,
  [SMALL_STATE(4394)] = 77892,
  [SMALL_STATE(4395)] = 77912,
  [SMALL_STATE(4396)] = 77932,
  [SMALL_STATE(4397)] = 77952,
  [SMALL_STATE(4398)] = 77972,
  [SMALL_STATE(4399)] = 77992,
  [SMALL_STATE(4400)] = 78012,
  [SMALL_STATE(4401)] = 78032,
  [SMALL_STATE(4402)] = 78050,
  [SMALL_STATE(4403)] = 78068,
  [SMALL_STATE(4404)] = 78088,
  [SMALL_STATE(4405)] = 78106,
  [SMALL_STATE(4406)] = 78126,
  [SMALL_STATE(4407)] = 78146,
  [SMALL_STATE(4408)] = 78164,
  [SMALL_STATE(4409)] = 78184,
  [SMALL_STATE(4410)] = 78202,
  [SMALL_STATE(4411)] = 78220,
  [SMALL_STATE(4412)] = 78240,
  [SMALL_STATE(4413)] = 78260,
  [SMALL_STATE(4414)] = 78280,
  [SMALL_STATE(4415)] = 78300,
  [SMALL_STATE(4416)] = 78320,
  [SMALL_STATE(4417)] = 78340,
  [SMALL_STATE(4418)] = 78360,
  [SMALL_STATE(4419)] = 78378,
  [SMALL_STATE(4420)] = 78398,
  [SMALL_STATE(4421)] = 78416,
  [SMALL_STATE(4422)] = 78434,
  [SMALL_STATE(4423)] = 78452,
  [SMALL_STATE(4424)] = 78470,
  [SMALL_STATE(4425)] = 78490,
  [SMALL_STATE(4426)] = 78510,
  [SMALL_STATE(4427)] = 78530,
  [SMALL_STATE(4428)] = 78550,
  [SMALL_STATE(4429)] = 78568,
  [SMALL_STATE(4430)] = 78588,
  [SMALL_STATE(4431)] = 78608,
  [SMALL_STATE(4432)] = 78628,
  [SMALL_STATE(4433)] = 78648,
  [SMALL_STATE(4434)] = 78668,
  [SMALL_STATE(4435)] = 78686,
  [SMALL_STATE(4436)] = 78704,
  [SMALL_STATE(4437)] = 78724,
  [SMALL_STATE(4438)] = 78744,
  [SMALL_STATE(4439)] = 78764,
  [SMALL_STATE(4440)] = 78784,
  [SMALL_STATE(4441)] = 78804,
  [SMALL_STATE(4442)] = 78824,
  [SMALL_STATE(4443)] = 78844,
  [SMALL_STATE(4444)] = 78864,
  [SMALL_STATE(4445)] = 78884,
  [SMALL_STATE(4446)] = 78904,
  [SMALL_STATE(4447)] = 78922,
  [SMALL_STATE(4448)] = 78940,
  [SMALL_STATE(4449)] = 78960,
  [SMALL_STATE(4450)] = 78978,
  [SMALL_STATE(4451)] = 78996,
  [SMALL_STATE(4452)] = 79016,
  [SMALL_STATE(4453)] = 79036,
  [SMALL_STATE(4454)] = 79056,
  [SMALL_STATE(4455)] = 79076,
  [SMALL_STATE(4456)] = 79096,
  [SMALL_STATE(4457)] = 79116,
  [SMALL_STATE(4458)] = 79134,
  [SMALL_STATE(4459)] = 79154,
  [SMALL_STATE(4460)] = 79172,
  [SMALL_STATE(4461)] = 79190,
  [SMALL_STATE(4462)] = 79210,
  [SMALL_STATE(4463)] = 79228,
  [SMALL_STATE(4464)] = 79248,
  [SMALL_STATE(4465)] = 79268,
  [SMALL_STATE(4466)] = 79288,
  [SMALL_STATE(4467)] = 79308,
  [SMALL_STATE(4468)] = 79328,
  [SMALL_STATE(4469)] = 79348,
  [SMALL_STATE(4470)] = 79368,
  [SMALL_STATE(4471)] = 79388,
  [SMALL_STATE(4472)] = 79408,
  [SMALL_STATE(4473)] = 79428,
  [SMALL_STATE(4474)] = 79448,
  [SMALL_STATE(4475)] = 79466,
  [SMALL_STATE(4476)] = 79486,
  [SMALL_STATE(4477)] = 79506,
  [SMALL_STATE(4478)] = 79524,
  [SMALL_STATE(4479)] = 79544,
  [SMALL_STATE(4480)] = 79564,
  [SMALL_STATE(4481)] = 79584,
  [SMALL_STATE(4482)] = 79604,
  [SMALL_STATE(4483)] = 79624,
  [SMALL_STATE(4484)] = 79644,
  [SMALL_STATE(4485)] = 79664,
  [SMALL_STATE(4486)] = 79682,
  [SMALL_STATE(4487)] = 79702,
  [SMALL_STATE(4488)] = 79722,
  [SMALL_STATE(4489)] = 79740,
  [SMALL_STATE(4490)] = 79758,
  [SMALL_STATE(4491)] = 79776,
  [SMALL_STATE(4492)] = 79796,
  [SMALL_STATE(4493)] = 79816,
  [SMALL_STATE(4494)] = 79836,
  [SMALL_STATE(4495)] = 79856,
  [SMALL_STATE(4496)] = 79874,
  [SMALL_STATE(4497)] = 79894,
  [SMALL_STATE(4498)] = 79914,
  [SMALL_STATE(4499)] = 79934,
  [SMALL_STATE(4500)] = 79954,
  [SMALL_STATE(4501)] = 79974,
  [SMALL_STATE(4502)] = 79994,
  [SMALL_STATE(4503)] = 80012,
  [SMALL_STATE(4504)] = 80032,
  [SMALL_STATE(4505)] = 80052,
  [SMALL_STATE(4506)] = 80072,
  [SMALL_STATE(4507)] = 80092,
  [SMALL_STATE(4508)] = 80112,
  [SMALL_STATE(4509)] = 80132,
  [SMALL_STATE(4510)] = 80152,
  [SMALL_STATE(4511)] = 80172,
  [SMALL_STATE(4512)] = 80192,
  [SMALL_STATE(4513)] = 80212,
  [SMALL_STATE(4514)] = 80232,
  [SMALL_STATE(4515)] = 80250,
  [SMALL_STATE(4516)] = 80270,
  [SMALL_STATE(4517)] = 80290,
  [SMALL_STATE(4518)] = 80310,
  [SMALL_STATE(4519)] = 80330,
  [SMALL_STATE(4520)] = 80350,
  [SMALL_STATE(4521)] = 80370,
  [SMALL_STATE(4522)] = 80390,
  [SMALL_STATE(4523)] = 80410,
  [SMALL_STATE(4524)] = 80430,
  [SMALL_STATE(4525)] = 80450,
  [SMALL_STATE(4526)] = 80468,
  [SMALL_STATE(4527)] = 80488,
  [SMALL_STATE(4528)] = 80508,
  [SMALL_STATE(4529)] = 80526,
  [SMALL_STATE(4530)] = 80544,
  [SMALL_STATE(4531)] = 80564,
  [SMALL_STATE(4532)] = 80584,
  [SMALL_STATE(4533)] = 80602,
  [SMALL_STATE(4534)] = 80620,
  [SMALL_STATE(4535)] = 80640,
  [SMALL_STATE(4536)] = 80660,
  [SMALL_STATE(4537)] = 80680,
  [SMALL_STATE(4538)] = 80700,
  [SMALL_STATE(4539)] = 80720,
  [SMALL_STATE(4540)] = 80740,
  [SMALL_STATE(4541)] = 80760,
  [SMALL_STATE(4542)] = 80780,
  [SMALL_STATE(4543)] = 80798,
  [SMALL_STATE(4544)] = 80818,
  [SMALL_STATE(4545)] = 80836,
  [SMALL_STATE(4546)] = 80854,
  [SMALL_STATE(4547)] = 80874,
  [SMALL_STATE(4548)] = 80894,
  [SMALL_STATE(4549)] = 80914,
  [SMALL_STATE(4550)] = 80934,
  [SMALL_STATE(4551)] = 80954,
  [SMALL_STATE(4552)] = 80974,
  [SMALL_STATE(4553)] = 80994,
  [SMALL_STATE(4554)] = 81014,
  [SMALL_STATE(4555)] = 81034,
  [SMALL_STATE(4556)] = 81054,
  [SMALL_STATE(4557)] = 81072,
  [SMALL_STATE(4558)] = 81090,
  [SMALL_STATE(4559)] = 81110,
  [SMALL_STATE(4560)] = 81128,
  [SMALL_STATE(4561)] = 81148,
  [SMALL_STATE(4562)] = 81168,
  [SMALL_STATE(4563)] = 81188,
  [SMALL_STATE(4564)] = 81208,
  [SMALL_STATE(4565)] = 81228,
  [SMALL_STATE(4566)] = 81248,
  [SMALL_STATE(4567)] = 81268,
  [SMALL_STATE(4568)] = 81288,
  [SMALL_STATE(4569)] = 81306,
  [SMALL_STATE(4570)] = 81326,
  [SMALL_STATE(4571)] = 81346,
  [SMALL_STATE(4572)] = 81366,
  [SMALL_STATE(4573)] = 81384,
  [SMALL_STATE(4574)] = 81404,
  [SMALL_STATE(4575)] = 81424,
  [SMALL_STATE(4576)] = 81444,
  [SMALL_STATE(4577)] = 81464,
  [SMALL_STATE(4578)] = 81484,
  [SMALL_STATE(4579)] = 81504,
  [SMALL_STATE(4580)] = 81522,
  [SMALL_STATE(4581)] = 81542,
  [SMALL_STATE(4582)] = 81560,
  [SMALL_STATE(4583)] = 81580,
  [SMALL_STATE(4584)] = 81600,
  [SMALL_STATE(4585)] = 81620,
  [SMALL_STATE(4586)] = 81638,
  [SMALL_STATE(4587)] = 81658,
  [SMALL_STATE(4588)] = 81678,
  [SMALL_STATE(4589)] = 81698,
  [SMALL_STATE(4590)] = 81718,
  [SMALL_STATE(4591)] = 81738,
  [SMALL_STATE(4592)] = 81758,
  [SMALL_STATE(4593)] = 81778,
  [SMALL_STATE(4594)] = 81798,
  [SMALL_STATE(4595)] = 81818,
  [SMALL_STATE(4596)] = 81838,
  [SMALL_STATE(4597)] = 81858,
  [SMALL_STATE(4598)] = 81878,
  [SMALL_STATE(4599)] = 81898,
  [SMALL_STATE(4600)] = 81918,
  [SMALL_STATE(4601)] = 81938,
  [SMALL_STATE(4602)] = 81958,
  [SMALL_STATE(4603)] = 81978,
  [SMALL_STATE(4604)] = 81998,
  [SMALL_STATE(4605)] = 82016,
  [SMALL_STATE(4606)] = 82036,
  [SMALL_STATE(4607)] = 82056,
  [SMALL_STATE(4608)] = 82074,
  [SMALL_STATE(4609)] = 82094,
  [SMALL_STATE(4610)] = 82114,
  [SMALL_STATE(4611)] = 82134,
  [SMALL_STATE(4612)] = 82154,
  [SMALL_STATE(4613)] = 82172,
  [SMALL_STATE(4614)] = 82190,
  [SMALL_STATE(4615)] = 82210,
  [SMALL_STATE(4616)] = 82230,
  [SMALL_STATE(4617)] = 82248,
  [SMALL_STATE(4618)] = 82268,
  [SMALL_STATE(4619)] = 82288,
  [SMALL_STATE(4620)] = 82308,
  [SMALL_STATE(4621)] = 82326,
  [SMALL_STATE(4622)] = 82346,
  [SMALL_STATE(4623)] = 82366,
  [SMALL_STATE(4624)] = 82386,
  [SMALL_STATE(4625)] = 82404,
  [SMALL_STATE(4626)] = 82424,
  [SMALL_STATE(4627)] = 82442,
  [SMALL_STATE(4628)] = 82460,
  [SMALL_STATE(4629)] = 82480,
  [SMALL_STATE(4630)] = 82500,
  [SMALL_STATE(4631)] = 82520,
  [SMALL_STATE(4632)] = 82540,
  [SMALL_STATE(4633)] = 82560,
  [SMALL_STATE(4634)] = 82580,
  [SMALL_STATE(4635)] = 82598,
  [SMALL_STATE(4636)] = 82618,
  [SMALL_STATE(4637)] = 82638,
  [SMALL_STATE(4638)] = 82658,
  [SMALL_STATE(4639)] = 82678,
  [SMALL_STATE(4640)] = 82696,
  [SMALL_STATE(4641)] = 82716,
  [SMALL_STATE(4642)] = 82736,
  [SMALL_STATE(4643)] = 82756,
  [SMALL_STATE(4644)] = 82776,
  [SMALL_STATE(4645)] = 82796,
  [SMALL_STATE(4646)] = 82816,
  [SMALL_STATE(4647)] = 82834,
  [SMALL_STATE(4648)] = 82854,
  [SMALL_STATE(4649)] = 82874,
  [SMALL_STATE(4650)] = 82894,
  [SMALL_STATE(4651)] = 82914,
  [SMALL_STATE(4652)] = 82934,
  [SMALL_STATE(4653)] = 82954,
  [SMALL_STATE(4654)] = 82974,
  [SMALL_STATE(4655)] = 82994,
  [SMALL_STATE(4656)] = 83014,
  [SMALL_STATE(4657)] = 83034,
  [SMALL_STATE(4658)] = 83054,
  [SMALL_STATE(4659)] = 83074,
  [SMALL_STATE(4660)] = 83094,
  [SMALL_STATE(4661)] = 83114,
  [SMALL_STATE(4662)] = 83134,
  [SMALL_STATE(4663)] = 83154,
  [SMALL_STATE(4664)] = 83174,
  [SMALL_STATE(4665)] = 83194,
  [SMALL_STATE(4666)] = 83214,
  [SMALL_STATE(4667)] = 83232,
  [SMALL_STATE(4668)] = 83252,
  [SMALL_STATE(4669)] = 83272,
  [SMALL_STATE(4670)] = 83292,
  [SMALL_STATE(4671)] = 83312,
  [SMALL_STATE(4672)] = 83332,
  [SMALL_STATE(4673)] = 83352,
  [SMALL_STATE(4674)] = 83370,
  [SMALL_STATE(4675)] = 83390,
  [SMALL_STATE(4676)] = 83408,
  [SMALL_STATE(4677)] = 83428,
  [SMALL_STATE(4678)] = 83448,
  [SMALL_STATE(4679)] = 83468,
  [SMALL_STATE(4680)] = 83488,
  [SMALL_STATE(4681)] = 83508,
  [SMALL_STATE(4682)] = 83528,
  [SMALL_STATE(4683)] = 83548,
  [SMALL_STATE(4684)] = 83568,
  [SMALL_STATE(4685)] = 83588,
  [SMALL_STATE(4686)] = 83608,
  [SMALL_STATE(4687)] = 83628,
  [SMALL_STATE(4688)] = 83646,
  [SMALL_STATE(4689)] = 83666,
  [SMALL_STATE(4690)] = 83684,
  [SMALL_STATE(4691)] = 83704,
  [SMALL_STATE(4692)] = 83724,
  [SMALL_STATE(4693)] = 83742,
  [SMALL_STATE(4694)] = 83762,
  [SMALL_STATE(4695)] = 83782,
  [SMALL_STATE(4696)] = 83802,
  [SMALL_STATE(4697)] = 83822,
  [SMALL_STATE(4698)] = 83842,
  [SMALL_STATE(4699)] = 83862,
  [SMALL_STATE(4700)] = 83880,
  [SMALL_STATE(4701)] = 83900,
  [SMALL_STATE(4702)] = 83917,
  [SMALL_STATE(4703)] = 83934,
  [SMALL_STATE(4704)] = 83951,
  [SMALL_STATE(4705)] = 83968,
  [SMALL_STATE(4706)] = 83985,
  [SMALL_STATE(4707)] = 84002,
  [SMALL_STATE(4708)] = 84019,
  [SMALL_STATE(4709)] = 84036,
  [SMALL_STATE(4710)] = 84053,
  [SMALL_STATE(4711)] = 84070,
  [SMALL_STATE(4712)] = 84087,
  [SMALL_STATE(4713)] = 84104,
  [SMALL_STATE(4714)] = 84121,
  [SMALL_STATE(4715)] = 84138,
  [SMALL_STATE(4716)] = 84155,
  [SMALL_STATE(4717)] = 84172,
  [SMALL_STATE(4718)] = 84189,
  [SMALL_STATE(4719)] = 84206,
  [SMALL_STATE(4720)] = 84223,
  [SMALL_STATE(4721)] = 84240,
  [SMALL_STATE(4722)] = 84257,
  [SMALL_STATE(4723)] = 84274,
  [SMALL_STATE(4724)] = 84291,
  [SMALL_STATE(4725)] = 84308,
  [SMALL_STATE(4726)] = 84325,
  [SMALL_STATE(4727)] = 84342,
  [SMALL_STATE(4728)] = 84359,
  [SMALL_STATE(4729)] = 84376,
  [SMALL_STATE(4730)] = 84393,
  [SMALL_STATE(4731)] = 84410,
  [SMALL_STATE(4732)] = 84427,
  [SMALL_STATE(4733)] = 84444,
  [SMALL_STATE(4734)] = 84461,
  [SMALL_STATE(4735)] = 84478,
  [SMALL_STATE(4736)] = 84495,
  [SMALL_STATE(4737)] = 84512,
  [SMALL_STATE(4738)] = 84529,
  [SMALL_STATE(4739)] = 84546,
  [SMALL_STATE(4740)] = 84563,
  [SMALL_STATE(4741)] = 84580,
  [SMALL_STATE(4742)] = 84597,
  [SMALL_STATE(4743)] = 84614,
  [SMALL_STATE(4744)] = 84631,
  [SMALL_STATE(4745)] = 84648,
  [SMALL_STATE(4746)] = 84665,
  [SMALL_STATE(4747)] = 84682,
  [SMALL_STATE(4748)] = 84699,
  [SMALL_STATE(4749)] = 84716,
  [SMALL_STATE(4750)] = 84733,
  [SMALL_STATE(4751)] = 84750,
  [SMALL_STATE(4752)] = 84767,
  [SMALL_STATE(4753)] = 84784,
  [SMALL_STATE(4754)] = 84801,
  [SMALL_STATE(4755)] = 84818,
  [SMALL_STATE(4756)] = 84835,
  [SMALL_STATE(4757)] = 84852,
  [SMALL_STATE(4758)] = 84869,
  [SMALL_STATE(4759)] = 84886,
  [SMALL_STATE(4760)] = 84903,
  [SMALL_STATE(4761)] = 84920,
  [SMALL_STATE(4762)] = 84937,
  [SMALL_STATE(4763)] = 84954,
  [SMALL_STATE(4764)] = 84971,
  [SMALL_STATE(4765)] = 84988,
  [SMALL_STATE(4766)] = 85005,
  [SMALL_STATE(4767)] = 85022,
  [SMALL_STATE(4768)] = 85039,
  [SMALL_STATE(4769)] = 85056,
  [SMALL_STATE(4770)] = 85073,
  [SMALL_STATE(4771)] = 85090,
  [SMALL_STATE(4772)] = 85107,
  [SMALL_STATE(4773)] = 85124,
  [SMALL_STATE(4774)] = 85141,
  [SMALL_STATE(4775)] = 85158,
  [SMALL_STATE(4776)] = 85175,
  [SMALL_STATE(4777)] = 85192,
  [SMALL_STATE(4778)] = 85209,
  [SMALL_STATE(4779)] = 85226,
  [SMALL_STATE(4780)] = 85243,
  [SMALL_STATE(4781)] = 85260,
  [SMALL_STATE(4782)] = 85277,
  [SMALL_STATE(4783)] = 85294,
  [SMALL_STATE(4784)] = 85311,
  [SMALL_STATE(4785)] = 85328,
  [SMALL_STATE(4786)] = 85345,
  [SMALL_STATE(4787)] = 85362,
  [SMALL_STATE(4788)] = 85379,
  [SMALL_STATE(4789)] = 85396,
  [SMALL_STATE(4790)] = 85413,
  [SMALL_STATE(4791)] = 85430,
  [SMALL_STATE(4792)] = 85447,
  [SMALL_STATE(4793)] = 85464,
  [SMALL_STATE(4794)] = 85481,
  [SMALL_STATE(4795)] = 85498,
  [SMALL_STATE(4796)] = 85515,
  [SMALL_STATE(4797)] = 85532,
  [SMALL_STATE(4798)] = 85549,
  [SMALL_STATE(4799)] = 85566,
  [SMALL_STATE(4800)] = 85583,
  [SMALL_STATE(4801)] = 85600,
  [SMALL_STATE(4802)] = 85617,
  [SMALL_STATE(4803)] = 85634,
  [SMALL_STATE(4804)] = 85651,
  [SMALL_STATE(4805)] = 85668,
  [SMALL_STATE(4806)] = 85685,
  [SMALL_STATE(4807)] = 85702,
  [SMALL_STATE(4808)] = 85719,
  [SMALL_STATE(4809)] = 85736,
  [SMALL_STATE(4810)] = 85753,
  [SMALL_STATE(4811)] = 85770,
  [SMALL_STATE(4812)] = 85787,
  [SMALL_STATE(4813)] = 85804,
  [SMALL_STATE(4814)] = 85821,
  [SMALL_STATE(4815)] = 85838,
  [SMALL_STATE(4816)] = 85855,
  [SMALL_STATE(4817)] = 85872,
  [SMALL_STATE(4818)] = 85889,
  [SMALL_STATE(4819)] = 85906,
  [SMALL_STATE(4820)] = 85923,
  [SMALL_STATE(4821)] = 85940,
  [SMALL_STATE(4822)] = 85957,
  [SMALL_STATE(4823)] = 85974,
  [SMALL_STATE(4824)] = 85991,
  [SMALL_STATE(4825)] = 86008,
  [SMALL_STATE(4826)] = 86025,
  [SMALL_STATE(4827)] = 86042,
  [SMALL_STATE(4828)] = 86059,
  [SMALL_STATE(4829)] = 86076,
  [SMALL_STATE(4830)] = 86093,
  [SMALL_STATE(4831)] = 86110,
  [SMALL_STATE(4832)] = 86127,
  [SMALL_STATE(4833)] = 86144,
  [SMALL_STATE(4834)] = 86161,
  [SMALL_STATE(4835)] = 86178,
  [SMALL_STATE(4836)] = 86195,
  [SMALL_STATE(4837)] = 86212,
  [SMALL_STATE(4838)] = 86229,
  [SMALL_STATE(4839)] = 86246,
  [SMALL_STATE(4840)] = 86263,
  [SMALL_STATE(4841)] = 86280,
  [SMALL_STATE(4842)] = 86297,
  [SMALL_STATE(4843)] = 86314,
  [SMALL_STATE(4844)] = 86331,
  [SMALL_STATE(4845)] = 86348,
  [SMALL_STATE(4846)] = 86365,
  [SMALL_STATE(4847)] = 86382,
  [SMALL_STATE(4848)] = 86399,
  [SMALL_STATE(4849)] = 86416,
  [SMALL_STATE(4850)] = 86433,
  [SMALL_STATE(4851)] = 86450,
  [SMALL_STATE(4852)] = 86467,
  [SMALL_STATE(4853)] = 86484,
  [SMALL_STATE(4854)] = 86501,
  [SMALL_STATE(4855)] = 86518,
  [SMALL_STATE(4856)] = 86535,
  [SMALL_STATE(4857)] = 86552,
  [SMALL_STATE(4858)] = 86569,
  [SMALL_STATE(4859)] = 86586,
  [SMALL_STATE(4860)] = 86603,
  [SMALL_STATE(4861)] = 86620,
  [SMALL_STATE(4862)] = 86637,
  [SMALL_STATE(4863)] = 86654,
  [SMALL_STATE(4864)] = 86671,
  [SMALL_STATE(4865)] = 86688,
  [SMALL_STATE(4866)] = 86705,
  [SMALL_STATE(4867)] = 86722,
  [SMALL_STATE(4868)] = 86739,
  [SMALL_STATE(4869)] = 86756,
  [SMALL_STATE(4870)] = 86773,
  [SMALL_STATE(4871)] = 86790,
  [SMALL_STATE(4872)] = 86807,
  [SMALL_STATE(4873)] = 86824,
  [SMALL_STATE(4874)] = 86841,
  [SMALL_STATE(4875)] = 86858,
  [SMALL_STATE(4876)] = 86875,
  [SMALL_STATE(4877)] = 86892,
  [SMALL_STATE(4878)] = 86909,
  [SMALL_STATE(4879)] = 86926,
  [SMALL_STATE(4880)] = 86943,
  [SMALL_STATE(4881)] = 86960,
  [SMALL_STATE(4882)] = 86977,
  [SMALL_STATE(4883)] = 86994,
  [SMALL_STATE(4884)] = 87011,
  [SMALL_STATE(4885)] = 87028,
  [SMALL_STATE(4886)] = 87045,
  [SMALL_STATE(4887)] = 87062,
  [SMALL_STATE(4888)] = 87079,
  [SMALL_STATE(4889)] = 87096,
  [SMALL_STATE(4890)] = 87113,
  [SMALL_STATE(4891)] = 87130,
  [SMALL_STATE(4892)] = 87147,
  [SMALL_STATE(4893)] = 87164,
  [SMALL_STATE(4894)] = 87181,
  [SMALL_STATE(4895)] = 87198,
  [SMALL_STATE(4896)] = 87215,
  [SMALL_STATE(4897)] = 87232,
  [SMALL_STATE(4898)] = 87249,
  [SMALL_STATE(4899)] = 87266,
  [SMALL_STATE(4900)] = 87283,
  [SMALL_STATE(4901)] = 87300,
  [SMALL_STATE(4902)] = 87317,
  [SMALL_STATE(4903)] = 87334,
  [SMALL_STATE(4904)] = 87351,
  [SMALL_STATE(4905)] = 87368,
  [SMALL_STATE(4906)] = 87385,
  [SMALL_STATE(4907)] = 87402,
  [SMALL_STATE(4908)] = 87419,
  [SMALL_STATE(4909)] = 87436,
  [SMALL_STATE(4910)] = 87453,
  [SMALL_STATE(4911)] = 87470,
  [SMALL_STATE(4912)] = 87487,
  [SMALL_STATE(4913)] = 87504,
  [SMALL_STATE(4914)] = 87521,
  [SMALL_STATE(4915)] = 87538,
  [SMALL_STATE(4916)] = 87555,
  [SMALL_STATE(4917)] = 87572,
  [SMALL_STATE(4918)] = 87589,
  [SMALL_STATE(4919)] = 87606,
  [SMALL_STATE(4920)] = 87623,
  [SMALL_STATE(4921)] = 87640,
  [SMALL_STATE(4922)] = 87657,
  [SMALL_STATE(4923)] = 87674,
  [SMALL_STATE(4924)] = 87691,
  [SMALL_STATE(4925)] = 87708,
  [SMALL_STATE(4926)] = 87725,
  [SMALL_STATE(4927)] = 87742,
  [SMALL_STATE(4928)] = 87759,
  [SMALL_STATE(4929)] = 87776,
  [SMALL_STATE(4930)] = 87793,
  [SMALL_STATE(4931)] = 87810,
  [SMALL_STATE(4932)] = 87827,
  [SMALL_STATE(4933)] = 87844,
  [SMALL_STATE(4934)] = 87861,
  [SMALL_STATE(4935)] = 87878,
  [SMALL_STATE(4936)] = 87895,
  [SMALL_STATE(4937)] = 87912,
  [SMALL_STATE(4938)] = 87929,
  [SMALL_STATE(4939)] = 87946,
  [SMALL_STATE(4940)] = 87963,
  [SMALL_STATE(4941)] = 87980,
  [SMALL_STATE(4942)] = 87997,
  [SMALL_STATE(4943)] = 88014,
  [SMALL_STATE(4944)] = 88031,
  [SMALL_STATE(4945)] = 88048,
  [SMALL_STATE(4946)] = 88065,
  [SMALL_STATE(4947)] = 88082,
  [SMALL_STATE(4948)] = 88099,
  [SMALL_STATE(4949)] = 88116,
  [SMALL_STATE(4950)] = 88133,
  [SMALL_STATE(4951)] = 88150,
  [SMALL_STATE(4952)] = 88167,
  [SMALL_STATE(4953)] = 88184,
  [SMALL_STATE(4954)] = 88201,
  [SMALL_STATE(4955)] = 88218,
  [SMALL_STATE(4956)] = 88235,
  [SMALL_STATE(4957)] = 88252,
  [SMALL_STATE(4958)] = 88269,
  [SMALL_STATE(4959)] = 88286,
  [SMALL_STATE(4960)] = 88303,
  [SMALL_STATE(4961)] = 88320,
  [SMALL_STATE(4962)] = 88337,
  [SMALL_STATE(4963)] = 88354,
  [SMALL_STATE(4964)] = 88371,
  [SMALL_STATE(4965)] = 88388,
  [SMALL_STATE(4966)] = 88405,
  [SMALL_STATE(4967)] = 88422,
  [SMALL_STATE(4968)] = 88439,
  [SMALL_STATE(4969)] = 88456,
  [SMALL_STATE(4970)] = 88473,
  [SMALL_STATE(4971)] = 88490,
  [SMALL_STATE(4972)] = 88507,
  [SMALL_STATE(4973)] = 88524,
  [SMALL_STATE(4974)] = 88541,
  [SMALL_STATE(4975)] = 88558,
  [SMALL_STATE(4976)] = 88575,
  [SMALL_STATE(4977)] = 88592,
  [SMALL_STATE(4978)] = 88609,
  [SMALL_STATE(4979)] = 88626,
  [SMALL_STATE(4980)] = 88643,
  [SMALL_STATE(4981)] = 88660,
  [SMALL_STATE(4982)] = 88677,
  [SMALL_STATE(4983)] = 88694,
  [SMALL_STATE(4984)] = 88711,
  [SMALL_STATE(4985)] = 88728,
  [SMALL_STATE(4986)] = 88745,
  [SMALL_STATE(4987)] = 88762,
  [SMALL_STATE(4988)] = 88779,
  [SMALL_STATE(4989)] = 88796,
  [SMALL_STATE(4990)] = 88813,
  [SMALL_STATE(4991)] = 88830,
  [SMALL_STATE(4992)] = 88847,
  [SMALL_STATE(4993)] = 88864,
  [SMALL_STATE(4994)] = 88881,
  [SMALL_STATE(4995)] = 88898,
  [SMALL_STATE(4996)] = 88915,
  [SMALL_STATE(4997)] = 88932,
  [SMALL_STATE(4998)] = 88949,
  [SMALL_STATE(4999)] = 88966,
  [SMALL_STATE(5000)] = 88983,
  [SMALL_STATE(5001)] = 89000,
  [SMALL_STATE(5002)] = 89017,
  [SMALL_STATE(5003)] = 89034,
  [SMALL_STATE(5004)] = 89051,
  [SMALL_STATE(5005)] = 89068,
  [SMALL_STATE(5006)] = 89085,
  [SMALL_STATE(5007)] = 89102,
  [SMALL_STATE(5008)] = 89119,
  [SMALL_STATE(5009)] = 89136,
  [SMALL_STATE(5010)] = 89153,
  [SMALL_STATE(5011)] = 89170,
  [SMALL_STATE(5012)] = 89187,
  [SMALL_STATE(5013)] = 89204,
  [SMALL_STATE(5014)] = 89221,
  [SMALL_STATE(5015)] = 89238,
  [SMALL_STATE(5016)] = 89255,
  [SMALL_STATE(5017)] = 89272,
  [SMALL_STATE(5018)] = 89289,
  [SMALL_STATE(5019)] = 89306,
  [SMALL_STATE(5020)] = 89323,
  [SMALL_STATE(5021)] = 89340,
  [SMALL_STATE(5022)] = 89357,
  [SMALL_STATE(5023)] = 89374,
  [SMALL_STATE(5024)] = 89391,
  [SMALL_STATE(5025)] = 89408,
  [SMALL_STATE(5026)] = 89425,
  [SMALL_STATE(5027)] = 89442,
  [SMALL_STATE(5028)] = 89459,
  [SMALL_STATE(5029)] = 89476,
  [SMALL_STATE(5030)] = 89493,
  [SMALL_STATE(5031)] = 89510,
  [SMALL_STATE(5032)] = 89527,
  [SMALL_STATE(5033)] = 89544,
  [SMALL_STATE(5034)] = 89561,
  [SMALL_STATE(5035)] = 89578,
  [SMALL_STATE(5036)] = 89595,
  [SMALL_STATE(5037)] = 89612,
  [SMALL_STATE(5038)] = 89629,
  [SMALL_STATE(5039)] = 89646,
  [SMALL_STATE(5040)] = 89663,
  [SMALL_STATE(5041)] = 89680,
  [SMALL_STATE(5042)] = 89697,
  [SMALL_STATE(5043)] = 89714,
  [SMALL_STATE(5044)] = 89731,
  [SMALL_STATE(5045)] = 89748,
  [SMALL_STATE(5046)] = 89765,
  [SMALL_STATE(5047)] = 89782,
  [SMALL_STATE(5048)] = 89799,
  [SMALL_STATE(5049)] = 89816,
  [SMALL_STATE(5050)] = 89833,
  [SMALL_STATE(5051)] = 89850,
  [SMALL_STATE(5052)] = 89867,
  [SMALL_STATE(5053)] = 89884,
  [SMALL_STATE(5054)] = 89901,
  [SMALL_STATE(5055)] = 89918,
  [SMALL_STATE(5056)] = 89935,
  [SMALL_STATE(5057)] = 89952,
  [SMALL_STATE(5058)] = 89969,
  [SMALL_STATE(5059)] = 89986,
  [SMALL_STATE(5060)] = 90003,
  [SMALL_STATE(5061)] = 90020,
  [SMALL_STATE(5062)] = 90037,
  [SMALL_STATE(5063)] = 90054,
  [SMALL_STATE(5064)] = 90071,
  [SMALL_STATE(5065)] = 90088,
  [SMALL_STATE(5066)] = 90105,
  [SMALL_STATE(5067)] = 90122,
  [SMALL_STATE(5068)] = 90139,
  [SMALL_STATE(5069)] = 90156,
  [SMALL_STATE(5070)] = 90173,
  [SMALL_STATE(5071)] = 90190,
  [SMALL_STATE(5072)] = 90207,
  [SMALL_STATE(5073)] = 90224,
  [SMALL_STATE(5074)] = 90241,
  [SMALL_STATE(5075)] = 90258,
  [SMALL_STATE(5076)] = 90275,
  [SMALL_STATE(5077)] = 90292,
  [SMALL_STATE(5078)] = 90309,
  [SMALL_STATE(5079)] = 90326,
  [SMALL_STATE(5080)] = 90343,
  [SMALL_STATE(5081)] = 90360,
  [SMALL_STATE(5082)] = 90377,
  [SMALL_STATE(5083)] = 90394,
  [SMALL_STATE(5084)] = 90411,
  [SMALL_STATE(5085)] = 90428,
  [SMALL_STATE(5086)] = 90445,
  [SMALL_STATE(5087)] = 90462,
  [SMALL_STATE(5088)] = 90479,
  [SMALL_STATE(5089)] = 90496,
  [SMALL_STATE(5090)] = 90513,
  [SMALL_STATE(5091)] = 90530,
  [SMALL_STATE(5092)] = 90547,
  [SMALL_STATE(5093)] = 90564,
  [SMALL_STATE(5094)] = 90581,
  [SMALL_STATE(5095)] = 90598,
  [SMALL_STATE(5096)] = 90615,
  [SMALL_STATE(5097)] = 90632,
  [SMALL_STATE(5098)] = 90649,
  [SMALL_STATE(5099)] = 90666,
  [SMALL_STATE(5100)] = 90683,
  [SMALL_STATE(5101)] = 90700,
  [SMALL_STATE(5102)] = 90717,
  [SMALL_STATE(5103)] = 90734,
  [SMALL_STATE(5104)] = 90751,
  [SMALL_STATE(5105)] = 90768,
  [SMALL_STATE(5106)] = 90785,
  [SMALL_STATE(5107)] = 90802,
  [SMALL_STATE(5108)] = 90819,
  [SMALL_STATE(5109)] = 90836,
  [SMALL_STATE(5110)] = 90853,
  [SMALL_STATE(5111)] = 90870,
  [SMALL_STATE(5112)] = 90887,
  [SMALL_STATE(5113)] = 90904,
  [SMALL_STATE(5114)] = 90921,
  [SMALL_STATE(5115)] = 90938,
  [SMALL_STATE(5116)] = 90955,
  [SMALL_STATE(5117)] = 90972,
  [SMALL_STATE(5118)] = 90989,
  [SMALL_STATE(5119)] = 91006,
  [SMALL_STATE(5120)] = 91023,
  [SMALL_STATE(5121)] = 91040,
  [SMALL_STATE(5122)] = 91057,
  [SMALL_STATE(5123)] = 91074,
  [SMALL_STATE(5124)] = 91091,
  [SMALL_STATE(5125)] = 91108,
  [SMALL_STATE(5126)] = 91125,
  [SMALL_STATE(5127)] = 91142,
  [SMALL_STATE(5128)] = 91159,
  [SMALL_STATE(5129)] = 91176,
  [SMALL_STATE(5130)] = 91193,
  [SMALL_STATE(5131)] = 91210,
  [SMALL_STATE(5132)] = 91227,
  [SMALL_STATE(5133)] = 91244,
  [SMALL_STATE(5134)] = 91261,
  [SMALL_STATE(5135)] = 91278,
  [SMALL_STATE(5136)] = 91295,
  [SMALL_STATE(5137)] = 91312,
  [SMALL_STATE(5138)] = 91329,
  [SMALL_STATE(5139)] = 91346,
  [SMALL_STATE(5140)] = 91363,
  [SMALL_STATE(5141)] = 91380,
  [SMALL_STATE(5142)] = 91397,
  [SMALL_STATE(5143)] = 91414,
  [SMALL_STATE(5144)] = 91431,
  [SMALL_STATE(5145)] = 91448,
  [SMALL_STATE(5146)] = 91465,
  [SMALL_STATE(5147)] = 91482,
  [SMALL_STATE(5148)] = 91499,
  [SMALL_STATE(5149)] = 91516,
  [SMALL_STATE(5150)] = 91533,
  [SMALL_STATE(5151)] = 91550,
  [SMALL_STATE(5152)] = 91567,
  [SMALL_STATE(5153)] = 91584,
  [SMALL_STATE(5154)] = 91601,
  [SMALL_STATE(5155)] = 91618,
  [SMALL_STATE(5156)] = 91635,
  [SMALL_STATE(5157)] = 91652,
  [SMALL_STATE(5158)] = 91669,
  [SMALL_STATE(5159)] = 91686,
  [SMALL_STATE(5160)] = 91703,
  [SMALL_STATE(5161)] = 91720,
  [SMALL_STATE(5162)] = 91737,
  [SMALL_STATE(5163)] = 91754,
  [SMALL_STATE(5164)] = 91771,
  [SMALL_STATE(5165)] = 91788,
  [SMALL_STATE(5166)] = 91805,
  [SMALL_STATE(5167)] = 91822,
  [SMALL_STATE(5168)] = 91839,
  [SMALL_STATE(5169)] = 91856,
  [SMALL_STATE(5170)] = 91873,
  [SMALL_STATE(5171)] = 91890,
  [SMALL_STATE(5172)] = 91907,
  [SMALL_STATE(5173)] = 91924,
  [SMALL_STATE(5174)] = 91941,
  [SMALL_STATE(5175)] = 91958,
  [SMALL_STATE(5176)] = 91975,
  [SMALL_STATE(5177)] = 91992,
  [SMALL_STATE(5178)] = 92009,
  [SMALL_STATE(5179)] = 92026,
  [SMALL_STATE(5180)] = 92043,
  [SMALL_STATE(5181)] = 92060,
  [SMALL_STATE(5182)] = 92077,
  [SMALL_STATE(5183)] = 92094,
  [SMALL_STATE(5184)] = 92111,
  [SMALL_STATE(5185)] = 92128,
  [SMALL_STATE(5186)] = 92145,
  [SMALL_STATE(5187)] = 92162,
  [SMALL_STATE(5188)] = 92179,
  [SMALL_STATE(5189)] = 92196,
  [SMALL_STATE(5190)] = 92213,
  [SMALL_STATE(5191)] = 92230,
  [SMALL_STATE(5192)] = 92247,
  [SMALL_STATE(5193)] = 92264,
  [SMALL_STATE(5194)] = 92281,
  [SMALL_STATE(5195)] = 92298,
  [SMALL_STATE(5196)] = 92315,
  [SMALL_STATE(5197)] = 92332,
  [SMALL_STATE(5198)] = 92349,
  [SMALL_STATE(5199)] = 92366,
  [SMALL_STATE(5200)] = 92383,
  [SMALL_STATE(5201)] = 92400,
  [SMALL_STATE(5202)] = 92417,
  [SMALL_STATE(5203)] = 92434,
  [SMALL_STATE(5204)] = 92451,
  [SMALL_STATE(5205)] = 92468,
  [SMALL_STATE(5206)] = 92485,
  [SMALL_STATE(5207)] = 92502,
  [SMALL_STATE(5208)] = 92519,
  [SMALL_STATE(5209)] = 92536,
  [SMALL_STATE(5210)] = 92553,
  [SMALL_STATE(5211)] = 92570,
  [SMALL_STATE(5212)] = 92587,
  [SMALL_STATE(5213)] = 92604,
  [SMALL_STATE(5214)] = 92621,
  [SMALL_STATE(5215)] = 92638,
  [SMALL_STATE(5216)] = 92655,
  [SMALL_STATE(5217)] = 92672,
  [SMALL_STATE(5218)] = 92689,
  [SMALL_STATE(5219)] = 92706,
  [SMALL_STATE(5220)] = 92723,
  [SMALL_STATE(5221)] = 92740,
  [SMALL_STATE(5222)] = 92757,
  [SMALL_STATE(5223)] = 92774,
  [SMALL_STATE(5224)] = 92791,
  [SMALL_STATE(5225)] = 92808,
  [SMALL_STATE(5226)] = 92825,
  [SMALL_STATE(5227)] = 92842,
  [SMALL_STATE(5228)] = 92859,
  [SMALL_STATE(5229)] = 92876,
  [SMALL_STATE(5230)] = 92893,
  [SMALL_STATE(5231)] = 92910,
  [SMALL_STATE(5232)] = 92927,
  [SMALL_STATE(5233)] = 92944,
  [SMALL_STATE(5234)] = 92961,
  [SMALL_STATE(5235)] = 92978,
  [SMALL_STATE(5236)] = 92995,
  [SMALL_STATE(5237)] = 93012,
  [SMALL_STATE(5238)] = 93029,
  [SMALL_STATE(5239)] = 93046,
  [SMALL_STATE(5240)] = 93063,
  [SMALL_STATE(5241)] = 93080,
  [SMALL_STATE(5242)] = 93097,
  [SMALL_STATE(5243)] = 93114,
  [SMALL_STATE(5244)] = 93131,
  [SMALL_STATE(5245)] = 93148,
  [SMALL_STATE(5246)] = 93165,
  [SMALL_STATE(5247)] = 93182,
  [SMALL_STATE(5248)] = 93199,
  [SMALL_STATE(5249)] = 93216,
  [SMALL_STATE(5250)] = 93233,
  [SMALL_STATE(5251)] = 93250,
  [SMALL_STATE(5252)] = 93267,
  [SMALL_STATE(5253)] = 93284,
  [SMALL_STATE(5254)] = 93301,
  [SMALL_STATE(5255)] = 93318,
  [SMALL_STATE(5256)] = 93335,
  [SMALL_STATE(5257)] = 93352,
  [SMALL_STATE(5258)] = 93369,
  [SMALL_STATE(5259)] = 93386,
  [SMALL_STATE(5260)] = 93403,
  [SMALL_STATE(5261)] = 93420,
  [SMALL_STATE(5262)] = 93437,
  [SMALL_STATE(5263)] = 93454,
  [SMALL_STATE(5264)] = 93471,
  [SMALL_STATE(5265)] = 93488,
  [SMALL_STATE(5266)] = 93505,
  [SMALL_STATE(5267)] = 93522,
  [SMALL_STATE(5268)] = 93539,
  [SMALL_STATE(5269)] = 93556,
  [SMALL_STATE(5270)] = 93573,
  [SMALL_STATE(5271)] = 93590,
  [SMALL_STATE(5272)] = 93607,
  [SMALL_STATE(5273)] = 93624,
  [SMALL_STATE(5274)] = 93641,
  [SMALL_STATE(5275)] = 93658,
  [SMALL_STATE(5276)] = 93675,
  [SMALL_STATE(5277)] = 93692,
  [SMALL_STATE(5278)] = 93709,
  [SMALL_STATE(5279)] = 93726,
  [SMALL_STATE(5280)] = 93743,
  [SMALL_STATE(5281)] = 93760,
  [SMALL_STATE(5282)] = 93777,
  [SMALL_STATE(5283)] = 93794,
  [SMALL_STATE(5284)] = 93811,
  [SMALL_STATE(5285)] = 93828,
  [SMALL_STATE(5286)] = 93845,
  [SMALL_STATE(5287)] = 93862,
  [SMALL_STATE(5288)] = 93879,
  [SMALL_STATE(5289)] = 93896,
  [SMALL_STATE(5290)] = 93913,
  [SMALL_STATE(5291)] = 93930,
  [SMALL_STATE(5292)] = 93947,
  [SMALL_STATE(5293)] = 93964,
  [SMALL_STATE(5294)] = 93981,
  [SMALL_STATE(5295)] = 93998,
  [SMALL_STATE(5296)] = 94015,
  [SMALL_STATE(5297)] = 94032,
  [SMALL_STATE(5298)] = 94049,
  [SMALL_STATE(5299)] = 94066,
  [SMALL_STATE(5300)] = 94083,
  [SMALL_STATE(5301)] = 94100,
  [SMALL_STATE(5302)] = 94117,
  [SMALL_STATE(5303)] = 94134,
  [SMALL_STATE(5304)] = 94151,
  [SMALL_STATE(5305)] = 94168,
  [SMALL_STATE(5306)] = 94185,
  [SMALL_STATE(5307)] = 94202,
  [SMALL_STATE(5308)] = 94219,
  [SMALL_STATE(5309)] = 94236,
  [SMALL_STATE(5310)] = 94253,
  [SMALL_STATE(5311)] = 94270,
  [SMALL_STATE(5312)] = 94287,
  [SMALL_STATE(5313)] = 94304,
  [SMALL_STATE(5314)] = 94321,
  [SMALL_STATE(5315)] = 94338,
  [SMALL_STATE(5316)] = 94355,
  [SMALL_STATE(5317)] = 94372,
  [SMALL_STATE(5318)] = 94389,
  [SMALL_STATE(5319)] = 94406,
  [SMALL_STATE(5320)] = 94423,
  [SMALL_STATE(5321)] = 94440,
  [SMALL_STATE(5322)] = 94457,
  [SMALL_STATE(5323)] = 94474,
  [SMALL_STATE(5324)] = 94491,
  [SMALL_STATE(5325)] = 94508,
  [SMALL_STATE(5326)] = 94525,
  [SMALL_STATE(5327)] = 94542,
  [SMALL_STATE(5328)] = 94559,
  [SMALL_STATE(5329)] = 94576,
  [SMALL_STATE(5330)] = 94593,
  [SMALL_STATE(5331)] = 94610,
  [SMALL_STATE(5332)] = 94627,
  [SMALL_STATE(5333)] = 94644,
  [SMALL_STATE(5334)] = 94661,
  [SMALL_STATE(5335)] = 94678,
  [SMALL_STATE(5336)] = 94695,
  [SMALL_STATE(5337)] = 94712,
  [SMALL_STATE(5338)] = 94729,
  [SMALL_STATE(5339)] = 94746,
  [SMALL_STATE(5340)] = 94763,
  [SMALL_STATE(5341)] = 94780,
  [SMALL_STATE(5342)] = 94797,
  [SMALL_STATE(5343)] = 94814,
  [SMALL_STATE(5344)] = 94831,
  [SMALL_STATE(5345)] = 94848,
  [SMALL_STATE(5346)] = 94865,
  [SMALL_STATE(5347)] = 94882,
  [SMALL_STATE(5348)] = 94899,
  [SMALL_STATE(5349)] = 94916,
  [SMALL_STATE(5350)] = 94933,
  [SMALL_STATE(5351)] = 94950,
  [SMALL_STATE(5352)] = 94967,
  [SMALL_STATE(5353)] = 94984,
  [SMALL_STATE(5354)] = 95001,
  [SMALL_STATE(5355)] = 95018,
  [SMALL_STATE(5356)] = 95035,
  [SMALL_STATE(5357)] = 95052,
  [SMALL_STATE(5358)] = 95069,
  [SMALL_STATE(5359)] = 95086,
  [SMALL_STATE(5360)] = 95103,
  [SMALL_STATE(5361)] = 95120,
  [SMALL_STATE(5362)] = 95137,
  [SMALL_STATE(5363)] = 95154,
  [SMALL_STATE(5364)] = 95171,
  [SMALL_STATE(5365)] = 95188,
  [SMALL_STATE(5366)] = 95205,
  [SMALL_STATE(5367)] = 95222,
  [SMALL_STATE(5368)] = 95239,
  [SMALL_STATE(5369)] = 95256,
  [SMALL_STATE(5370)] = 95273,
  [SMALL_STATE(5371)] = 95290,
  [SMALL_STATE(5372)] = 95307,
  [SMALL_STATE(5373)] = 95324,
  [SMALL_STATE(5374)] = 95341,
  [SMALL_STATE(5375)] = 95358,
  [SMALL_STATE(5376)] = 95375,
  [SMALL_STATE(5377)] = 95392,
  [SMALL_STATE(5378)] = 95409,
  [SMALL_STATE(5379)] = 95426,
  [SMALL_STATE(5380)] = 95443,
  [SMALL_STATE(5381)] = 95460,
  [SMALL_STATE(5382)] = 95477,
  [SMALL_STATE(5383)] = 95494,
  [SMALL_STATE(5384)] = 95511,
  [SMALL_STATE(5385)] = 95528,
  [SMALL_STATE(5386)] = 95545,
  [SMALL_STATE(5387)] = 95562,
  [SMALL_STATE(5388)] = 95579,
  [SMALL_STATE(5389)] = 95596,
  [SMALL_STATE(5390)] = 95613,
  [SMALL_STATE(5391)] = 95630,
  [SMALL_STATE(5392)] = 95647,
  [SMALL_STATE(5393)] = 95664,
  [SMALL_STATE(5394)] = 95681,
  [SMALL_STATE(5395)] = 95698,
  [SMALL_STATE(5396)] = 95715,
  [SMALL_STATE(5397)] = 95732,
  [SMALL_STATE(5398)] = 95749,
  [SMALL_STATE(5399)] = 95766,
  [SMALL_STATE(5400)] = 95783,
  [SMALL_STATE(5401)] = 95800,
  [SMALL_STATE(5402)] = 95817,
  [SMALL_STATE(5403)] = 95834,
  [SMALL_STATE(5404)] = 95851,
  [SMALL_STATE(5405)] = 95868,
  [SMALL_STATE(5406)] = 95885,
  [SMALL_STATE(5407)] = 95902,
  [SMALL_STATE(5408)] = 95919,
  [SMALL_STATE(5409)] = 95936,
  [SMALL_STATE(5410)] = 95940,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5407),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 0),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4660),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5382),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_expression, 2, .production_id = 10),
  [115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_expression, 2, .production_id = 10),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4609),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 1),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 1),
  [173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2),
  [177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_expression, 5, .production_id = 37),
  [179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_expression, 5, .production_id = 37),
  [181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mutate_expression, 3, .production_id = 19),
  [183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mutate_expression, 3, .production_id = 19),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2, .production_id = 18),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sequential_expression_repeat1, 2, .production_id = 18),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_instantiation_expression, 3),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_instantiation_expression, 3),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 3),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 3),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_expression, 2),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_expression, 2),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5212),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_elements, 1),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_construction, 2),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_range, 1),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5239),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_expression, 5, .production_id = 44),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4500),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4602),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_elements_repeat1, 2, .production_id = 18),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4509),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comp_or_range_expression, 1),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_elements, 2),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5178),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5188),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 5),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_range_special, 3, .production_id = 34),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_range_special, 2, .production_id = 28),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4676),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4588),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4479),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_comp_expression, 6),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, .production_id = 36),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_construction, 2),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 1),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4698),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace, 2, .production_id = 4),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace, 2, .production_id = 4),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2),
  [1455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(918),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4164),
  [1463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4131),
  [1466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4124),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4674),
  [1472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2736),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(648),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3064),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4660),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2003),
  [1487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2003),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(1009),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4097),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2529),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4180),
  [1502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4186),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5386),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5385),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3179),
  [1514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(648),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(633),
  [1520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(599),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2279),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(548),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(556),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2538),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4611),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(593),
  [1541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(593),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2137),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5145),
  [1550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5145),
  [1553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4609),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(489),
  [1559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3949),
  [1562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3464),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3492),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3959),
  [1571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5376),
  [1574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5375),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(1058),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(1058),
  [1583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(1007),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(1007),
  [1589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2529),
  [1592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2525),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(699),
  [1598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4553),
  [1601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4550),
  [1604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4549),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace, 3),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace, 3),
  [1611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace, 3, .production_id = 12),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace, 3, .production_id = 12),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace, 3, .production_id = 4),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace, 3, .production_id = 4),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace, 2),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace, 2),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace, 4, .production_id = 12),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace, 4, .production_id = 12),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(663),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3094),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(663),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5382),
  [1671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5382),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(705),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 2),
  [1681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(861),
  [1684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4208),
  [1687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4134),
  [1690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4132),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4629),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(561),
  [1699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3045),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4625),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2005),
  [1708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2005),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(925),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4112),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4279),
  [1720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4280),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5273),
  [1726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5274),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3083),
  [1732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(561),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(578),
  [1738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(577),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2280),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(692),
  [1747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(568),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2551),
  [1753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4415),
  [1756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(681),
  [1759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(681),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(2139),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5212),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(5212),
  [1771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4433),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(576),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3955),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3421),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3503),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(3929),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4832),
  [1792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(4833),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(889),
  [1798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(889),
  [1801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(894),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(894),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat3, 2), SHIFT_REPEAT(708),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_module, 2, .production_id = 4),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_module, 4, .production_id = 13),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_module, 3, .production_id = 13),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_module, 3, .production_id = 4),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_declaration, 1),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_declaration, 1),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_construction, 1),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_construction, 1),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_range_special, 2, .production_id = 29),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [2000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 1),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 1),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_int_repeat1, 2),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2),
  [2010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(707),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 2),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 2),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [2019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(714),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_int_repeat1, 1),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 1),
  [2030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(715),
  [2033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(713),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const, 1),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const, 1),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4663),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(739),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(737),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(735),
  [2131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(740),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(746),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(756),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__flexible_type, 2),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__flexible_type, 2),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typecast_expression, 3),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typecast_expression, 3),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type, 3),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type, 3),
  [2196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(759),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [2223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(765),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constrained_type, 3),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constrained_type, 3),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2),
  [2320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4885),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__compound_type, 2),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compound_type, 2),
  [2337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_long_identifier, 2),
  [2339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_long_identifier, 2),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [2343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3238),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [2370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1),
  [2373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_long_identifier, 1),
  [2378] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4885),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_long_identifier, 1),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_type, 2),
  [2410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_long_identifier_or_op, 1, .production_id = 3),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_long_identifier_or_op, 1, .production_id = 3),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_type, 2),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3074),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5027),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_argument, 2),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument, 2),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__paren_type, 3),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__paren_type, 3),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__generic_type, 4),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__generic_type, 4),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_argument, 1),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument, 1),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__generic_type, 3),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__generic_type, 3),
  [2446] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(5027),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__static_type, 2),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__static_type, 2),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_type, 2),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_type, 2),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5120),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3148),
  [2489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5120),
  [2492] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(5120),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rules, 2),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rules, 2),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [2502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4766),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rules, 1),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rules, 1),
  [2509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4766),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [2514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2206),
  [2521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4766),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [2526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rules, 3),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rules, 3),
  [2530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4766),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_block, 3),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_block, 3),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(5046),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5105),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rule, 3),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule, 3),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(5046),
  [2558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(5046),
  [2561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2213),
  [2564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(5046),
  [2567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 3),
  [2569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 3),
  [2571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 6),
  [2573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [2577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_expression, 2),
  [2579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rule, 5),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule, 5),
  [2583] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(5105),
  [2587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8),
  [2589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [2597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ce_expression, 6, .production_id = 40),
  [2599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ce_expression, 6, .production_id = 40),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequential_expression, 2),
  [2615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequential_expression, 2),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ieee32, 2),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ieee32, 2),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4821),
  [2626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2),
  [2630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5262),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_string, 2),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_string, 2),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_expression, 2),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4821),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2235),
  [2659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4821),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paren_expression, 3),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paren_expression, 3),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3),
  [2680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier_or_op, 1),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_or_op, 1),
  [2684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 9),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 9),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_triple_quoted_string, 1),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triple_quoted_string, 1),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_expression, 3),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_expression, 3),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_then_else_expression, 7, .production_id = 53),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_then_else_expression, 7, .production_id = 53),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__else_expression, 2, .production_id = 52),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_expression, 2, .production_id = 52),
  [2708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_end_expression, 3),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_end_expression, 3),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_triple_quoted_string, 3),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triple_quoted_string, 3),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_then_else_expression, 6, .production_id = 45),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_then_else_expression, 6, .production_id = 45),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_then_expression, 6, .production_id = 44),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_then_expression, 6, .production_id = 44),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bytearray, 2),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bytearray, 2),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_triple_quoted_string, 3),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_triple_quoted_string, 3),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verbatim_string, 2),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verbatim_string, 2),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verbatim_bytearray, 2),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verbatim_bytearray, 2),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4821),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 5),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 5),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot_expression, 3, .production_id = 20),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot_expression, 3, .production_id = 20),
  [2765] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(5262),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sbyte, 2),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sbyte, 2),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_byte, 2),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_byte, 2),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_record_expression, 5, .production_id = 35),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_record_expression, 5, .production_id = 35),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 3),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 3),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verbatim_bytearray, 3),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verbatim_bytearray, 3),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_brace_expression, 5, .production_id = 35),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brace_expression, 5, .production_id = 35),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int16, 2),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int16, 2),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 3),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 3),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uint16, 2),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uint16, 2),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int32, 2),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int32, 2),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uint32, 2),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uint32, 2),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nativeint, 2),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nativeint, 2),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unativeint, 2),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unativeint, 2),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int64, 2),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int64, 2),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uint64, 2),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uint64, 2),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bignum, 2),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bignum, 2),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 2),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 2),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verbatim_string, 3),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verbatim_string, 3),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ieee64, 2),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ieee64, 2),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 4),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 4),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2),
  [2855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sequential_expression_repeat1, 2),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(589),
  [2860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_long_identifier_or_op, 3, .production_id = 21),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_long_identifier_or_op, 3, .production_id = 21),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1),
  [2868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bytearray, 3),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bytearray, 3),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 1, .production_id = 1),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 1, .production_id = 1),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, .production_id = 30),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, .production_id = 30),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_string, 3),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_string, 3),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bytechar, 3),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bytechar, 3),
  [2896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4),
  [2904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 3),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 3),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 1, .production_id = 2),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 1, .production_id = 2),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier_or_op, 3),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_or_op, 3),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5383),
  [2940] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(5383),
  [2944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5383),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do, 2),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do, 2),
  [2963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(463),
  [2966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(688),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [2997] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4866),
  [3001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4866),
  [3004] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4861),
  [3008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4861),
  [3011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(509),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3098),
  [3017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3152),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [3022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4883),
  [3025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3071),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [3034] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4883),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4849),
  [3045] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4849),
  [3049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3190),
  [3052] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4868),
  [3056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4913),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3112),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [3068] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4913),
  [3072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4868),
  [3075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3082),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [3088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4911),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [3093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4941),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2222),
  [3099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4911),
  [3102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4941),
  [3105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4941),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [3110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4911),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [3115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2224),
  [3118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4941),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [3123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4911),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [3132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(662),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [3139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4851),
  [3142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2236),
  [3145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4971),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [3150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4881),
  [3153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4882),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4882),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [3160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4851),
  [3163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2196),
  [3166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4881),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [3173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(543),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [3178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4971),
  [3181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4851),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [3186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4971),
  [3189] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4769),
  [3193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2215),
  [3196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4851),
  [3199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4971),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [3206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4769),
  [3209] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4882),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3215] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4889),
  [3219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4881),
  [3222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4889),
  [3225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4881),
  [3228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(491),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [3233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5053),
  [3236] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4870),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [3252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(448),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [3257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4704),
  [3260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(584),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [3265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4870),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [3270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(630),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4892),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [3280] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4892),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [3288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4856),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [3293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4704),
  [3296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2199),
  [3299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4704),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [3304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4818),
  [3307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(684),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [3314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(613),
  [3317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 2), SHIFT(4818),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [3322] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(5053),
  [3326] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4856),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 3), SHIFT(4818),
  [3335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(2209),
  [3338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rules_repeat1, 2), SHIFT_REPEAT(4818),
  [3341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rules, 1), SHIFT(4704),
  [3344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5301),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [3349] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(5301),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(481),
  [3372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_param, 1),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_param, 1),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [3380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(634),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_pattern, 1),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier_pattern, 1),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [3425] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_long_identifier, 1), REDUCE(sym__identifier_or_op, 1), SHIFT(4922),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [3431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4922),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [3438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequential_expression_repeat1, 2), SHIFT_REPEAT(579),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curried_spec, 1),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curried_spec, 1),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_spec, 1),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5301),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curried_spec, 2),
  [3451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curried_spec, 2),
  [3453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4995),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [3458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3141),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_defn, 5),
  [3463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_defn, 5),
  [3465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4858),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_defns, 1),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_defns, 1),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [3480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [3484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_defn, 6),
  [3486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_defn, 6),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_pattern, 2),
  [3492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier_pattern, 2),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_defn, 4),
  [3516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_defn, 4),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_defns, 2),
  [3520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_defns, 2),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2),
  [3526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(2736),
  [3529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(3980),
  [3532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(2305),
  [3535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4119),
  [3538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4032),
  [3541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4050),
  [3544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(3918),
  [3547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4111),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_defn, 7),
  [3552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_defn, 7),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_defn, 8),
  [3556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_defn, 8),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [3588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(2324),
  [3591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4088),
  [3594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(3987),
  [3597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4045),
  [3600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(3946),
  [3603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4090),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [3616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3120),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_implementation, 2),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_implementation, 2),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5165),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_signature, 5),
  [3701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_signature, 5),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_defn, 5),
  [3707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_defn, 5),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_signature, 4),
  [3713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_signature, 4),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_defn, 3),
  [3719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_defn, 3),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [3723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_signature, 6),
  [3725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_signature, 6),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_signature, 3),
  [3731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_signature, 3),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 1),
  [3765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__member_defns_repeat1, 1),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_defn, 7),
  [3775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_defn, 7),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_signature, 7),
  [3779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_signature, 7),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_defn, 3),
  [3783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_defn, 3),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_defn, 4, .production_id = 48),
  [3787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_defn, 4, .production_id = 48),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additional_constr_defn, 4),
  [3795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additional_constr_defn, 4),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additional_constr_defn, 5),
  [3799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additional_constr_defn, 5),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_or_prop_defn, 5, .production_id = 54),
  [3803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_or_prop_defn, 5, .production_id = 54),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_signature, 8),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_signature, 8),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4615),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_defn, 1),
  [3817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_defn, 1),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_defn, 5, .production_id = 55),
  [3821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_defn, 5, .production_id = 55),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_or_prop_defn, 1, .production_id = 25),
  [3825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_or_prop_defn, 1, .production_id = 25),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_or_prop_defn, 1),
  [3835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_or_prop_defn, 1),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_defn, 2),
  [3839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_defn, 2),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2),
  [3873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [3877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2583),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2),
  [3882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2706),
  [3885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2799),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2797),
  [3891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2337),
  [3894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(3721),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2268),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2220),
  [3903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2198),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(4285),
  [3909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(3964),
  [3912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(3416),
  [3915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(3505),
  [3918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(3981),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(4864),
  [3924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(4865),
  [3927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2642),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2642),
  [3933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(2554),
  [3936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(4553),
  [3939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(4550),
  [3942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 2), SHIFT_REPEAT(4549),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3),
  [3959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4),
  [3965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [3973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [3975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(2736),
  [3978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(3044),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_defn_elements, 1),
  [3991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_defn_elements, 1),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__object_expression_inner_repeat1, 2),
  [3997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__object_expression_inner_repeat1, 2),
  [3999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__object_expression_inner_repeat1, 2), SHIFT_REPEAT(3246),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [4008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(3046),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__object_expression_inner_repeat1, 2), SHIFT_REPEAT(3077),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_members, 4, .production_id = 35),
  [4078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__object_members, 4, .production_id = 35),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__object_expression_inner_repeat1, 1),
  [4082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__object_expression_inner_repeat1, 1),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_implementation, 3, .production_id = 33),
  [4086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_implementation, 3, .production_id = 33),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [4090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_or_value_defns, 1, .production_id = 16),
  [4092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_or_value_defns, 1, .production_id = 16),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 26),
  [4098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 26),
  [4100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 26), SHIFT_REPEAT(2041),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_or_value_defns, 2, .production_id = 26),
  [4105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_or_value_defns, 2, .production_id = 26),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2),
  [4109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2),
  [4111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2), SHIFT_REPEAT(4131),
  [4114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5132),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_extension, 2),
  [4123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_extension, 2),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_defn, 5, .production_id = 40),
  [4127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type_defn, 5, .production_id = 40),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_defn_body, 1),
  [4131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_defn_body, 1),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_type_defn, 6, .production_id = 39),
  [4137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_type_defn, 6, .production_id = 39),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_defn, 6, .production_id = 47),
  [4141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type_defn, 6, .production_id = 47),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_or_value_defn_body, 3, .production_id = 27),
  [4145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_or_value_defn_body, 3, .production_id = 27),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_or_value_defn_body, 5, .production_id = 43),
  [4149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_or_value_defn_body, 5, .production_id = 43),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_extension_elements, 4, .production_id = 35),
  [4153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_extension_elements, 4, .production_id = 35),
  [4155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_extension_elements, 1),
  [4157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_extension_elements, 1),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_defn, 5, .production_id = 40),
  [4161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type_defn, 5, .production_id = 40),
  [4163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_type_defn, 5, .production_id = 40),
  [4165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_type_defn, 5, .production_id = 40),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_type_defn, 5, .production_id = 40),
  [4171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_type_defn, 5, .production_id = 40),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_abbrev_defn, 5, .production_id = 40),
  [4175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_abbrev_defn, 5, .production_id = 40),
  [4177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 26), SHIFT_REPEAT(2035),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type_defn, 9, .production_id = 58),
  [4182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_type_defn, 9, .production_id = 58),
  [4184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 8),
  [4186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 8),
  [4188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type_defn, 10, .production_id = 59),
  [4190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_type_defn, 10, .production_id = 59),
  [4192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 3),
  [4194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 3),
  [4196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4880),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_decl, 2),
  [4201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_decl, 2),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_defn, 7, .production_id = 46),
  [4209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_defn, 7, .production_id = 46),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_defn, 6, .production_id = 39),
  [4213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_defn, 6, .production_id = 39),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_abbrev, 6, .production_id = 39),
  [4217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_abbrev, 6, .production_id = 39),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_or_value_defn, 2, .production_id = 8),
  [4221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_or_value_defn, 2, .production_id = 8),
  [4223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fsi_directive_decl, 2),
  [4225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fsi_directive_decl, 2),
  [4227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compiler_directive_decl, 2),
  [4229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compiler_directive_decl, 2),
  [4231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_or_value_defn, 3, .production_id = 15),
  [4233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_or_value_defn, 3, .production_id = 15),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 1),
  [4237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 1),
  [4239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_defn, 8, .production_id = 57),
  [4241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_defn, 8, .production_id = 57),
  [4243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 1), REDUCE(aux_sym_file_repeat3, 1),
  [4246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 1), REDUCE(aux_sym_file_repeat3, 1),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_declaration, 2),
  [4251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_declaration, 2),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [4257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4739),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4950),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [4267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3231),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [4272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3204),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [4281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5320),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3191),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [4291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 26), SHIFT_REPEAT(2034),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [4296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_prefix_op_repeat1, 2),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefix_op_repeat1, 2),
  [4300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_prefix_op_repeat1, 2), SHIFT_REPEAT(2525),
  [4303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_op, 1),
  [4305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_op, 1),
  [4307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_prefix_op_repeat1, 1),
  [4309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefix_op_repeat1, 1),
  [4311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_op, 1),
  [4313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_op, 1),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [4387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(2923),
  [4390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2),
  [4392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(2995),
  [4395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(2307),
  [4398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(2214),
  [4401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(2238),
  [4404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(4326),
  [4407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(3942),
  [4410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(3419),
  [4413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(3506),
  [4416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(3907),
  [4419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(4798),
  [4422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(4799),
  [4425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(2957),
  [4428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(2957),
  [4431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(2576),
  [4434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(4553),
  [4437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(4550),
  [4440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(4549),
  [4443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_patterns, 1),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [4447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 2), SHIFT_REPEAT(4273),
  [4450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(2556),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [4481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(2561),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [4486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(2566),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [4499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [4507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [4541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(2571),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [4584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(2589),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [4589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5051),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [4602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 3),
  [4604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 3),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atomic_type, 2),
  [4618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atomic_type, 2),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [4622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4969),
  [4625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [4649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4863),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [4658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3225),
  [4661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3197),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [4670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5348),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [4677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5187),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(2735),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_pattern, 2),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_pattern, 2),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [4711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunct_pattern, 3),
  [4713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunct_pattern, 3),
  [4715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conjunct_pattern, 3),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conjunct_pattern, 3),
  [4719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2),
  [4721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2),
  [4723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2264),
  [4726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier_pattern, 3),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_pattern, 3),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [4742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 2),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 2),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [4756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4867),
  [4759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atomic_type, 1),
  [4761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atomic_type, 1),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [4765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_record_pattern_repeat1, 2),
  [4767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2),
  [4769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2), SHIFT_REPEAT(4191),
  [4772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_pattern, 3),
  [4774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3),
  [4776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3),
  [4780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3),
  [4782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_pattern, 2),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_pattern, 2),
  [4790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_pattern, 2),
  [4792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_pattern, 2),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [4802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3),
  [4806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4),
  [4808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4),
  [4810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4),
  [4812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [4814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_check_pattern, 2),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_check_pattern, 2),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [4820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3),
  [4822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [4824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paren_pattern, 3),
  [4826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paren_pattern, 3),
  [4828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, .production_id = 9),
  [4830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, .production_id = 9),
  [4832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3),
  [4834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3),
  [4836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2341),
  [4839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1),
  [4841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1),
  [4843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atomic_type, 3),
  [4845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atomic_type, 3),
  [4847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_check_pattern, 4),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_check_pattern, 4),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, .production_id = 7),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, .production_id = 7),
  [4855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, .production_id = 6),
  [4857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, .production_id = 6),
  [4859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [4861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [4863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atomic_type, 4),
  [4865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atomic_type, 4),
  [4867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__method_defn_repeat1, 1),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__method_defn_repeat1, 1),
  [4871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2),
  [4873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [4969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2), SHIFT_REPEAT(4304),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2255),
  [4977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2), SHIFT_REPEAT(4158),
  [4980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2259),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [4985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curried_spec_repeat1, 2), SHIFT_REPEAT(3864),
  [4988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curried_spec_repeat1, 2), SHIFT_REPEAT(2721),
  [4991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curried_spec_repeat1, 2), SHIFT_REPEAT(3591),
  [4994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curried_spec_repeat1, 2), SHIFT_REPEAT(5186),
  [4997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curried_spec_repeat1, 2), SHIFT_REPEAT(3151),
  [5000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curried_spec_repeat1, 2), SHIFT_REPEAT(3198),
  [5003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curried_spec_repeat1, 2), SHIFT_REPEAT(5179),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [5014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributes_repeat1, 2),
  [5016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2), SHIFT_REPEAT(2706),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2),
  [5021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_or_ident, 1),
  [5023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_or_ident, 1),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [5037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_set, 4),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_set, 4),
  [5041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributes_repeat1, 1),
  [5043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 1),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [5083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_set, 3),
  [5085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_set, 3),
  [5087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_or_ident, 3, .production_id = 42),
  [5089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_or_ident, 3, .production_id = 42),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [5093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5237),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributes, 1),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributes, 1),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 1),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 1),
  [5104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2), SHIFT_REPEAT(4167),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [5135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_case, 1),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [5139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type_case, 1),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [5143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [5171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2), SHIFT_REPEAT(4287),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [5184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atomic_pattern, 3),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atomic_pattern, 3),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [5194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_argument_patterns_repeat1, 1),
  [5196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_patterns_repeat1, 1),
  [5198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atomic_pattern, 1),
  [5200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atomic_pattern, 1),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [5208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2), SHIFT_REPEAT(2736),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [5221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_field, 3),
  [5223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type_field, 3),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [5243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_case, 3),
  [5245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type_case, 3),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [5257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_case, 4),
  [5259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type_case, 4),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [5263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_field, 1),
  [5265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type_field, 1),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [5275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4876),
  [5278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4886),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [5375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [5409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3164),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [5420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3263),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [5425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_int_repeat1, 2), SHIFT_REPEAT(3311),
  [5428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(2295),
  [5431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4125),
  [5434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(3998),
  [5437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4063),
  [5440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(3938),
  [5443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4116),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [5454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5079),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [5459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(2320),
  [5462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4123),
  [5465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(3989),
  [5468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4006),
  [5471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(3909),
  [5474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__member_defns_repeat1, 2), SHIFT_REPEAT(4086),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [5505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [5519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2), SHIFT_REPEAT(2715),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_fields, 2),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [5526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_fields_repeat1, 2),
  [5544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_fields_repeat1, 2), SHIFT_REPEAT(3054),
  [5547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, .production_id = 5),
  [5549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 1, .production_id = 5),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [5553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4902),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 3, .production_id = 23),
  [5558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 3, .production_id = 23),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 2, .production_id = 14),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 2, .production_id = 14),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_case, 2),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [5574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_fields, 1),
  [5576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4939),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [5605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_xint_repeat3, 2), SHIFT_REPEAT(3511),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_xint_repeat3, 2),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_xint_repeat3, 2),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [5622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_xint_repeat2, 2), SHIFT_REPEAT(3476),
  [5625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_xint_repeat2, 2),
  [5627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_xint_repeat2, 2),
  [5629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [5631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_cases, 2),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [5647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_cases, 1),
  [5649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [5653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_string_repeat1, 2), SHIFT_REPEAT(3872),
  [5656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_string_repeat1, 2), SHIFT_REPEAT(5255),
  [5659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_string_repeat1, 2), SHIFT_REPEAT(5308),
  [5662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_string_repeat1, 2), SHIFT_REPEAT(5059),
  [5665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_string_repeat1, 2), SHIFT_REPEAT(3872),
  [5668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_string_repeat1, 2), SHIFT_REPEAT(664),
  [5671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_string_repeat1, 2),
  [5673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3075),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [5678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_xint_repeat1, 2), SHIFT_REPEAT(3479),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_xint_repeat1, 2),
  [5683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_xint_repeat1, 2),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_cases, 3),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [5695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xint, 2),
  [5697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xint, 2),
  [5699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [5703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [5717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [5723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [5729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [5731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [5733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [5735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [5737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [5739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3223),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [5754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_cases_repeat1, 2),
  [5756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_cases_repeat1, 2), SHIFT_REPEAT(3986),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [5761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_xint_repeat2, 1),
  [5763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_xint_repeat2, 1),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [5769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [5777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_xint_repeat1, 1),
  [5779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_xint_repeat1, 1),
  [5781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 2, .production_id = 5),
  [5783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 2, .production_id = 5),
  [5785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [5789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(5147),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [5872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 4, .production_id = 23),
  [5874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 4, .production_id = 23),
  [5876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 4, .production_id = 31),
  [5878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 4, .production_id = 31),
  [5880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_xint_repeat3, 1),
  [5882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_xint_repeat3, 1),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [5906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2312),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [5913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3842),
  [5916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(5270),
  [5919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(5362),
  [5922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(5114),
  [5925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [5927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [5929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 3, .production_id = 14),
  [5931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 3, .production_id = 14),
  [5933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [5955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [5965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2), SHIFT_REPEAT(4238),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5277),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [6042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_inherits_decl, 2),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [6046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3177),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [6069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3906),
  [6072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(5277),
  [6075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(5230),
  [6078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(5148),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [6333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_pattern, 3),
  [6335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4248),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [6379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_types, 1),
  [6381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_declaration_left, 2),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [6405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 5),
  [6407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2), SHIFT_REPEAT(4160),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [6414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 6),
  [6416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 3),
  [6418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_long_identifier_repeat1, 2), SHIFT_REPEAT(4874),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [6423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2),
  [6425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 4),
  [6427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2), SHIFT_REPEAT(2721),
  [6430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint, 3),
  [6432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 3),
  [6434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2318),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [6455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_declaration_left, 3),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_attribute, 1),
  [6463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2291),
  [6466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_types_repeat1, 2),
  [6468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_declaration_left, 1),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [6484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [6516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compound_type_repeat1, 2), SHIFT_REPEAT(3130),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [6593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2300),
  [6596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2), SHIFT_REPEAT(4216),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [6619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_member_constraint, 5),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [6629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_member_constraint, 4),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [6639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_signature, 3),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [6671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2327),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [6688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_spec, 3),
  [6690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__trigraph, 4),
  [6692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__trigraph, 4),
  [6694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_string_repeat1, 1),
  [6696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_string_repeat1, 1),
  [6698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unicodegraph_short, 5),
  [6700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unicodegraph_short, 5),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [6704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unicodegraph_long, 9),
  [6706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unicodegraph_long, 9),
  [6708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_char, 1),
  [6710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_char, 1),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [6728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [6730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [6746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_string_eval, 3),
  [6748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_string_eval, 3),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [6754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_spec, 2),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [6770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_curried_spec_repeat1, 2),
  [6772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curried_spec_repeat1, 2),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [6780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_repeat_pattern_repeat1, 2), SHIFT_REPEAT(2287),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [6845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [6853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [6861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [6941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_verbatim_string_repeat1, 2), SHIFT_REPEAT(4073),
  [6944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_verbatim_string_repeat1, 2), SHIFT_REPEAT(4073),
  [6947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_verbatim_string_repeat1, 2),
  [6949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_verbatim_string_repeat1, 2),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4530),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [6981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [7003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_name_spec, 2, .production_id = 49),
  [7005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_name_spec, 2, .production_id = 49),
  [7007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_name_spec, 3, .production_id = 4),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_name_spec, 3, .production_id = 4),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [7075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [7077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4503),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [7109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__object_expression_inner_repeat1, 2), SHIFT_REPEAT(3271),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [7120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [7126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [7132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__verbatim_string_char, 1),
  [7134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__verbatim_string_char, 1),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [7140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_verbatim_string_repeat1, 1),
  [7142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_verbatim_string_repeat1, 1),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [7166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [7176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [7184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_argument, 2), REDUCE(sym_static_type_argument, 2),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [7189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, .production_id = 51),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [7197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 26), SHIFT_REPEAT(2029),
  [7200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2), SHIFT_REPEAT(2282),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [7211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [7213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, .production_id = 51),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [7217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [7219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, .production_id = 33),
  [7221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [7223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [7225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [7227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [7229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [7231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [7237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [7253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__object_expression_inner_repeat1, 2), SHIFT_REPEAT(3188),
  [7256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__if_then_else_expression_repeat1, 2),
  [7258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_then_else_expression_repeat1, 2), SHIFT_REPEAT(600),
  [7261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(3797),
  [7264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [7266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, .production_id = 33),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [7276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [7282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 2, .production_id = 11),
  [7284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat2, 2),
  [7286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat2, 2), SHIFT_REPEAT(4146),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [7305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type_body, 1),
  [7307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [7317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_attributes, 2),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [7341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [7343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [7351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_or_value_defns_repeat1, 2, .production_id = 26), SHIFT_REPEAT(2028),
  [7354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument_defn, 2),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [7358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_types, 2),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [7366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_active_pattern_op_name, 4),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [7378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_elements, 3),
  [7380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_elements_repeat1, 2), SHIFT_REPEAT(657),
  [7383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_elements_repeat1, 2),
  [7385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slice_ranges_repeat1, 2), SHIFT_REPEAT(390),
  [7388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slice_ranges_repeat1, 2),
  [7390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments_spec, 2),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [7398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializers, 2),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [7406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializers_repeat1, 2), SHIFT_REPEAT(4209),
  [7409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializers_repeat1, 2),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [7417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments_spec, 1),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [7427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5035),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [7443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_ranges, 2),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [7457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_fields, 2),
  [7459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_types_repeat1, 2), SHIFT_REPEAT(3228),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [7472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument_constraints, 2),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [7488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_attributes_repeat1, 2), SHIFT_REPEAT(3061),
  [7491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_attributes_repeat1, 2),
  [7493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [7495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_primary_constr_args_repeat1, 2),
  [7497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_primary_constr_args_repeat1, 2), SHIFT_REPEAT(4670),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [7512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slice_ranges_repeat1, 2), SHIFT_REPEAT(401),
  [7515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_type_body_repeat1, 2), SHIFT_REPEAT(2903),
  [7518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_type_body_repeat1, 2),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [7528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_pattern, 1),
  [7530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_type_argument, 3),
  [7532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_attributes, 1),
  [7534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument_defn, 1),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [7544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_set_repeat1, 2),
  [7546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_set_repeat1, 2), SHIFT_REPEAT(2730),
  [7549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_argument_constraints_repeat1, 2), SHIFT_REPEAT(3984),
  [7552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_argument_constraints_repeat1, 2),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [7560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_ranges, 1),
  [7562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 3, .production_id = 22),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [7566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument_constraints, 3),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [7574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_fields_repeat1, 2), SHIFT_REPEAT(3804),
  [7577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_fields_repeat1, 2),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [7587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_type_cases_repeat1, 2), SHIFT_REPEAT(4405),
  [7590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_type_cases_repeat1, 2),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [7594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_fields, 1),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [7598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_cases, 2),
  [7600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_spec_repeat1, 2),
  [7602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_spec_repeat1, 2), SHIFT_REPEAT(2916),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [7617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializers, 1),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [7629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type_body, 2),
  [7631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_static_type_argument_repeat1, 2),
  [7633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_static_type_argument_repeat1, 2), SHIFT_REPEAT(4572),
  [7636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_cases, 3),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [7650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [7656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [7668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration_left, 2),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [7676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__char_char, 1),
  [7678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__char_char, 1),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [7690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_range, 1, .production_id = 17),
  [7692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [7696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_function_or_value_defn, 3),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [7700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 4),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [7760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [7764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_inherits_decl, 3),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [7768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_case, 3),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [7780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_static_type_argument_repeat1, 3),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [7792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3),
  [7794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [7848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_function_or_value_defn, 2),
  [7850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration_left, 3),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [7868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat2, 1),
  [7870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__if_then_else_expression_repeat1, 1),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [7876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [7884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 5, .production_id = 38),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [7892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [7898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_element, 3),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [7926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 5),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [7932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_active_pattern_op_name_repeat1, 2), SHIFT_REPEAT(5242),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [7945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 9),
  [7947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 8),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [7953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration_left, 4),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [7961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_declaration_left, 4),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [7983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type_body_inner, 1),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [7993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_function_or_value_defn, 1),
  [7995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 6),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [7999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration_left, 5),
  [8001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_function_or_value_defn, 4),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [8041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type_cases, 1),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [8081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constr_args, 3, .production_id = 32),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [8145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_active_pattern_op_name_repeat1, 2),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [8437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constr_args, 2, .production_id = 24),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [8731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constr_args, 6, .production_id = 56),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [8861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constr_args, 4, .production_id = 41),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [8979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_active_pattern_op_name, 5),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [9105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [9173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5409),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [9217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_target, 1),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [9243] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [9277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constr_args, 5, .production_id = 50),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [9301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_active_pattern_op_name, 6),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [9307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_field_expression, 5, .production_id = 40),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [9317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xml_doc, 2),
  [9319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__then = 3,
  ts_external_token__else = 4,
  ts_external_token__elif = 5,
  ts_external_token__triple_quoted_content = 6,
  ts_external_token_block_comment_content = 7,
  ts_external_token_line_comment = 8,
  ts_external_token__error_sentinel = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__then] = sym__then,
  [ts_external_token__else] = sym__else,
  [ts_external_token__elif] = sym__elif,
  [ts_external_token__triple_quoted_content] = sym__triple_quoted_content,
  [ts_external_token_block_comment_content] = sym_block_comment_content,
  [ts_external_token_line_comment] = sym_line_comment,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__then] = true,
    [ts_external_token__else] = true,
    [ts_external_token__elif] = true,
    [ts_external_token__triple_quoted_content] = true,
    [ts_external_token_block_comment_content] = true,
    [ts_external_token_line_comment] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token_line_comment] = true,
  },
  [3] = {
    [ts_external_token__newline] = true,
    [ts_external_token_line_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_line_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__else] = true,
    [ts_external_token__elif] = true,
    [ts_external_token_line_comment] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
    [ts_external_token__else] = true,
    [ts_external_token__elif] = true,
    [ts_external_token_line_comment] = true,
  },
  [7] = {
    [ts_external_token__newline] = true,
    [ts_external_token__then] = true,
    [ts_external_token_line_comment] = true,
  },
  [8] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_line_comment] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_line_comment] = true,
  },
  [10] = {
    [ts_external_token__else] = true,
    [ts_external_token__elif] = true,
    [ts_external_token_line_comment] = true,
  },
  [11] = {
    [ts_external_token__indent] = true,
    [ts_external_token_line_comment] = true,
  },
  [12] = {
    [ts_external_token__triple_quoted_content] = true,
    [ts_external_token_line_comment] = true,
  },
  [13] = {
    [ts_external_token_block_comment_content] = true,
    [ts_external_token_line_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_fsharp_external_scanner_create(void);
void tree_sitter_fsharp_external_scanner_destroy(void *);
bool tree_sitter_fsharp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_fsharp_external_scanner_serialize(void *, char *);
void tree_sitter_fsharp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_fsharp() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_fsharp_external_scanner_create,
      tree_sitter_fsharp_external_scanner_destroy,
      tree_sitter_fsharp_external_scanner_scan,
      tree_sitter_fsharp_external_scanner_serialize,
      tree_sitter_fsharp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
